(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6fff3edb-f607-4c37-88a2-467950a90e75");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6fff3edb-f607-4c37-88a2-467950a90e75' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"956c60c9-cb1b-4e98-8c6d-f4a68c6530e6":{"roots":{"references":[{"attributes":{"formatter":{"id":"820f2f02-1f23-4fe2-adbc-c6a51f6af108","type":"BasicTickFormatter"},"plot":{"id":"bc6ccb52-b1df-4a76-93be-901e63cbe47c","subtype":"Figure","type":"Plot"},"ticker":{"id":"974dea1a-8302-485b-a98e-823c4e4bc450","type":"BasicTicker"}},"id":"0775c20e-8698-4e11-92b9-b310136a109d","type":"LinearAxis"},{"attributes":{},"id":"9b339ea7-c978-46b8-91b1-1720a5007b7a","type":"LinearScale"},{"attributes":{},"id":"6948cc6e-cd45-4993-a976-70aff4d7cdca","type":"ResetTool"},{"attributes":{},"id":"ceaaf358-2656-4ffb-9263-b7e2a4c834d9","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"0775c20e-8698-4e11-92b9-b310136a109d","type":"LinearAxis"}],"left":[{"id":"6dc2f606-34f1-4016-b8ec-728833797539","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0775c20e-8698-4e11-92b9-b310136a109d","type":"LinearAxis"},{"id":"9eb95e43-eb2f-4ea9-804c-a8ffeb8a438b","type":"Grid"},{"id":"6dc2f606-34f1-4016-b8ec-728833797539","type":"LinearAxis"},{"id":"543c60ae-8361-4dd9-bc3c-f8415097ed9a","type":"Grid"},{"id":"d335fd2c-297d-422e-80da-2d37ae92328f","type":"BoxAnnotation"},{"id":"5c163e77-10a9-4a32-a968-65db4e806747","type":"GlyphRenderer"}],"title":{"id":"cfe7fdb9-9b67-4330-b64e-8319703439ff","type":"Title"},"toolbar":{"id":"92d1bb66-63e7-4e24-a91c-60c72ff55447","type":"Toolbar"},"x_range":{"id":"518f4c46-eafb-4bdc-b392-2ea6983db479","type":"DataRange1d"},"x_scale":{"id":"58581c44-3be1-4704-99f0-b340847e3d9f","type":"LinearScale"},"y_range":{"id":"a25a6ea7-8ad2-479e-a373-db11a795f32a","type":"DataRange1d"},"y_scale":{"id":"9b339ea7-c978-46b8-91b1-1720a5007b7a","type":"LinearScale"}},"id":"bc6ccb52-b1df-4a76-93be-901e63cbe47c","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"bc6ccb52-b1df-4a76-93be-901e63cbe47c","subtype":"Figure","type":"Plot"},"ticker":{"id":"974dea1a-8302-485b-a98e-823c4e4bc450","type":"BasicTicker"}},"id":"9eb95e43-eb2f-4ea9-804c-a8ffeb8a438b","type":"Grid"},{"attributes":{},"id":"3756f7b6-c8c1-46d1-823d-7a5235c4d350","type":"PanTool"},{"attributes":{},"id":"58581c44-3be1-4704-99f0-b340847e3d9f","type":"LinearScale"},{"attributes":{"callback":null},"id":"a25a6ea7-8ad2-479e-a373-db11a795f32a","type":"DataRange1d"},{"attributes":{"data_source":{"id":"a5f850ce-7864-47df-99cf-690dd22ae071","type":"ColumnDataSource"},"glyph":{"id":"082d375c-5c7e-416e-9122-dda552d7d0ae","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f8755761-ad94-47ac-9f67-be396b315808","type":"Line"},"selection_glyph":null,"view":{"id":"353b53ec-807b-4b32-93b9-c6547ccd2079","type":"CDSView"}},"id":"5c163e77-10a9-4a32-a968-65db4e806747","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"d335fd2c-297d-422e-80da-2d37ae92328f","type":"BoxAnnotation"}},"id":"545821f4-98b6-4d03-a5dc-9aa06fd959b5","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"cfe7fdb9-9b67-4330-b64e-8319703439ff","type":"Title"},{"attributes":{},"id":"0de68906-5c58-4bb9-aa64-eb05265f26ac","type":"BasicTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"082d375c-5c7e-416e-9122-dda552d7d0ae","type":"Line"},{"attributes":{},"id":"974dea1a-8302-485b-a98e-823c4e4bc450","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ceaaf358-2656-4ffb-9263-b7e2a4c834d9","type":"BasicTickFormatter"},"plot":{"id":"bc6ccb52-b1df-4a76-93be-901e63cbe47c","subtype":"Figure","type":"Plot"},"ticker":{"id":"0de68906-5c58-4bb9-aa64-eb05265f26ac","type":"BasicTicker"}},"id":"6dc2f606-34f1-4016-b8ec-728833797539","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d335fd2c-297d-422e-80da-2d37ae92328f","type":"BoxAnnotation"},{"attributes":{},"id":"820f2f02-1f23-4fe2-adbc-c6a51f6af108","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"a5f850ce-7864-47df-99cf-690dd22ae071","type":"ColumnDataSource"}},"id":"353b53ec-807b-4b32-93b9-c6547ccd2079","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"f8755761-ad94-47ac-9f67-be396b315808","type":"Line"},{"attributes":{"callback":null},"id":"518f4c46-eafb-4bdc-b392-2ea6983db479","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5],"y":[6,7,2,4,4,5]}},"id":"a5f850ce-7864-47df-99cf-690dd22ae071","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"bc6ccb52-b1df-4a76-93be-901e63cbe47c","subtype":"Figure","type":"Plot"},"ticker":{"id":"0de68906-5c58-4bb9-aa64-eb05265f26ac","type":"BasicTicker"}},"id":"543c60ae-8361-4dd9-bc3c-f8415097ed9a","type":"Grid"},{"attributes":{},"id":"eb91a896-279e-49fa-ac3f-12ead08965bd","type":"WheelZoomTool"},{"attributes":{},"id":"67e6ac09-3ff2-4fad-98f2-3dadafe01e9d","type":"SaveTool"},{"attributes":{},"id":"64e89219-00ec-495a-82ff-9ae8f94facfe","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3756f7b6-c8c1-46d1-823d-7a5235c4d350","type":"PanTool"},{"id":"eb91a896-279e-49fa-ac3f-12ead08965bd","type":"WheelZoomTool"},{"id":"545821f4-98b6-4d03-a5dc-9aa06fd959b5","type":"BoxZoomTool"},{"id":"67e6ac09-3ff2-4fad-98f2-3dadafe01e9d","type":"SaveTool"},{"id":"6948cc6e-cd45-4993-a976-70aff4d7cdca","type":"ResetTool"},{"id":"64e89219-00ec-495a-82ff-9ae8f94facfe","type":"HelpTool"}]},"id":"92d1bb66-63e7-4e24-a91c-60c72ff55447","type":"Toolbar"}],"root_ids":["bc6ccb52-b1df-4a76-93be-901e63cbe47c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"956c60c9-cb1b-4e98-8c6d-f4a68c6530e6","elementid":"6fff3edb-f607-4c37-88a2-467950a90e75","modelid":"bc6ccb52-b1df-4a76-93be-901e63cbe47c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
