(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8b1d02a1-0fd3-4cf4-b67a-398383cfc25c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8b1d02a1-0fd3-4cf4-b67a-398383cfc25c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e0722f93-bcd1-4d7a-9ba5-814f1401eaca":{"roots":{"references":[{"attributes":{},"id":"64267f6c-972e-4c90-b2e0-08d99dd30863","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"32440543-da72-40e5-a3e4-9c55bfb028cf","type":"ColumnDataSource"},"glyph":{"id":"4b60ff8c-5800-41a9-a4e5-8e32bf87bf76","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8615a980-ec4f-4a9b-ba87-96159cdd780b","type":"Line"},"selection_glyph":null,"view":{"id":"d06f0c7d-bf9c-4d6f-a03d-e7775c18df98","type":"CDSView"}},"id":"f3bed851-b4dd-4f9f-b167-753e1fc00cf6","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"a8431bf4-8fca-4e5f-a296-d4b4fab03f2e","type":"ColumnDataSource"},{"attributes":{},"id":"216e36b2-f7d9-47c3-b532-43f1a9efbf35","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"216e36b2-f7d9-47c3-b532-43f1a9efbf35","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"34498558-eac0-45d4-baf6-bfb7157f844e","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d408a6d-6a24-4b7a-80a5-efc8b995084e","type":"CategoricalTicker"}},"id":"5b837685-578f-410e-a10e-98b6422d5e1c","type":"CategoricalAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"d19df051-7ed8-4c37-887a-8c2940ba887a","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"34498558-eac0-45d4-baf6-bfb7157f844e","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d408a6d-6a24-4b7a-80a5-efc8b995084e","type":"CategoricalTicker"}},"id":"fbe04937-1ae1-47bf-93c3-da479b75e547","type":"Grid"},{"attributes":{"formatter":{"id":"20350db3-9877-45ba-b333-9867cbb1f73d","type":"BasicTickFormatter"},"plot":{"id":"34498558-eac0-45d4-baf6-bfb7157f844e","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad93a652-badf-4de4-a050-fc23f13bf29d","type":"BasicTicker"}},"id":"31f81b22-c0b4-4d51-9285-9a96d500d521","type":"LinearAxis"},{"attributes":{"data_source":{"id":"a8431bf4-8fca-4e5f-a296-d4b4fab03f2e","type":"ColumnDataSource"},"glyph":{"id":"d19df051-7ed8-4c37-887a-8c2940ba887a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2886a3aa-5376-4107-98c0-de7243618d16","type":"VBar"},"selection_glyph":null,"view":{"id":"f19c0c30-e123-406c-835a-0bc80a62f52c","type":"CDSView"}},"id":"d5c97873-0984-47c7-aac6-751ffa778635","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4b60ff8c-5800-41a9-a4e5-8e32bf87bf76","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f585f33b-aee5-47ef-94c8-c3bd69b60791","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"2886a3aa-5376-4107-98c0-de7243618d16","type":"VBar"},{"attributes":{},"id":"20350db3-9877-45ba-b333-9867cbb1f73d","type":"BasicTickFormatter"},{"attributes":{"callback":null,"start":0},"id":"213dd5bf-1d97-47ad-8904-8358de0879f5","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8615a980-ec4f-4a9b-ba87-96159cdd780b","type":"Line"},{"attributes":{},"id":"ad93a652-badf-4de4-a050-fc23f13bf29d","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"32440543-da72-40e5-a3e4-9c55bfb028cf","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"965c61ea-bfc9-41f0-b028-4e72a8abf85c","type":"FactorRange"},{"attributes":{},"id":"4d408a6d-6a24-4b7a-80a5-efc8b995084e","type":"CategoricalTicker"},{"attributes":{"below":[{"id":"5b837685-578f-410e-a10e-98b6422d5e1c","type":"CategoricalAxis"}],"left":[{"id":"31f81b22-c0b4-4d51-9285-9a96d500d521","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"5b837685-578f-410e-a10e-98b6422d5e1c","type":"CategoricalAxis"},{"id":"fbe04937-1ae1-47bf-93c3-da479b75e547","type":"Grid"},{"id":"31f81b22-c0b4-4d51-9285-9a96d500d521","type":"LinearAxis"},{"id":"4f6bf8bd-3afe-470c-84a7-e4eb4c4e4982","type":"Grid"},{"id":"d5c97873-0984-47c7-aac6-751ffa778635","type":"GlyphRenderer"},{"id":"f3bed851-b4dd-4f9f-b167-753e1fc00cf6","type":"GlyphRenderer"}],"title":{"id":"1573e83b-1212-4742-8bdc-8d87c3d16302","type":"Title"},"toolbar":{"id":"f585f33b-aee5-47ef-94c8-c3bd69b60791","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"965c61ea-bfc9-41f0-b028-4e72a8abf85c","type":"FactorRange"},"x_scale":{"id":"64267f6c-972e-4c90-b2e0-08d99dd30863","type":"CategoricalScale"},"y_range":{"id":"213dd5bf-1d97-47ad-8904-8358de0879f5","type":"DataRange1d"},"y_scale":{"id":"d40d86da-dfa2-402a-aa2c-6ce81b6082ed","type":"LinearScale"}},"id":"34498558-eac0-45d4-baf6-bfb7157f844e","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"a8431bf4-8fca-4e5f-a296-d4b4fab03f2e","type":"ColumnDataSource"}},"id":"f19c0c30-e123-406c-835a-0bc80a62f52c","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"1573e83b-1212-4742-8bdc-8d87c3d16302","type":"Title"},{"attributes":{},"id":"d40d86da-dfa2-402a-aa2c-6ce81b6082ed","type":"LinearScale"},{"attributes":{"source":{"id":"32440543-da72-40e5-a3e4-9c55bfb028cf","type":"ColumnDataSource"}},"id":"d06f0c7d-bf9c-4d6f-a03d-e7775c18df98","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"34498558-eac0-45d4-baf6-bfb7157f844e","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad93a652-badf-4de4-a050-fc23f13bf29d","type":"BasicTicker"}},"id":"4f6bf8bd-3afe-470c-84a7-e4eb4c4e4982","type":"Grid"}],"root_ids":["34498558-eac0-45d4-baf6-bfb7157f844e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e0722f93-bcd1-4d7a-9ba5-814f1401eaca","elementid":"8b1d02a1-0fd3-4cf4-b67a-398383cfc25c","modelid":"34498558-eac0-45d4-baf6-bfb7157f844e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
