(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e0709b93-b6d3-4597-b107-d41b74c87dc6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e0709b93-b6d3-4597-b107-d41b74c87dc6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7cf3a7f8-a1fd-4a92-bc09-7c1cd551e9af":{"roots":{"references":[{"attributes":{},"id":"a4f8e2f2-f18c-49af-a7aa-f434c2342f91","type":"PanTool"},{"attributes":{},"id":"847eb30c-eaf8-4bc9-815f-a9cb4d1461e7","type":"ResetTool"},{"attributes":{"data_source":{"id":"64190812-d342-45f4-b92b-a2233b0850c7","type":"ColumnDataSource"},"glyph":{"id":"7815001f-b8df-4159-867b-243c55575821","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"820623a0-2fc5-4c95-aeb3-f2b3d46894f4","type":"Circle"},"selection_glyph":null,"view":{"id":"8ffd4906-44a8-47f2-8097-b93ec67e1661","type":"CDSView"}},"id":"34abec32-eff4-4410-910f-198a970f3566","type":"GlyphRenderer"},{"attributes":{},"id":"5a98074f-475b-45ce-b7bd-f97ef0a2d882","type":"LinearScale"},{"attributes":{"formatter":{"id":"45317569-655e-4868-ab76-f68442fb7cba","type":"PrintfTickFormatter"},"plot":{"id":"90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"203d16b6-5132-4903-b0b0-55dba85075bf","type":"BasicTicker"}},"id":"88849e46-9936-4361-83ed-2dad4d0ea7ab","type":"LinearAxis"},{"attributes":{"plot":{"id":"90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"203d16b6-5132-4903-b0b0-55dba85075bf","type":"BasicTicker"}},"id":"33307cf5-5032-44f7-b501-014806add3b9","type":"Grid"},{"attributes":{"formatter":{"id":"94b479fc-1f8e-4717-a95c-1134cbb2d509","type":"PrintfTickFormatter"},"plot":{"id":"90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"af65e7ca-3e53-401b-ba19-e041359e3468","type":"BasicTicker"}},"id":"f3a139e0-8084-4b56-a35c-4773238112b8","type":"LinearAxis"},{"attributes":{"source":{"id":"64190812-d342-45f4-b92b-a2233b0850c7","type":"ColumnDataSource"}},"id":"8ffd4906-44a8-47f2-8097-b93ec67e1661","type":"CDSView"},{"attributes":{},"id":"bc0493c1-b0e8-4409-a359-f91be6119a91","type":"HelpTool"},{"attributes":{"below":[{"id":"88849e46-9936-4361-83ed-2dad4d0ea7ab","type":"LinearAxis"}],"left":[{"id":"f3a139e0-8084-4b56-a35c-4773238112b8","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"88849e46-9936-4361-83ed-2dad4d0ea7ab","type":"LinearAxis"},{"id":"33307cf5-5032-44f7-b501-014806add3b9","type":"Grid"},{"id":"f3a139e0-8084-4b56-a35c-4773238112b8","type":"LinearAxis"},{"id":"a79adf91-701c-4082-b355-dbb2639fd8cb","type":"Grid"},{"id":"05f48a9e-35e8-4b6a-b4b1-ea4535eb4b2b","type":"BoxAnnotation"},{"id":"34abec32-eff4-4410-910f-198a970f3566","type":"GlyphRenderer"}],"title":{"id":"512024aa-3e10-4d28-96b9-2b8b20c9c78c","type":"Title"},"toolbar":{"id":"78182f0b-21ea-4d17-b54b-29d3c4d5f182","type":"Toolbar"},"x_range":{"id":"b2ee00d3-6b07-4fce-9d31-72a4fa41a077","type":"DataRange1d"},"x_scale":{"id":"5a98074f-475b-45ce-b7bd-f97ef0a2d882","type":"LinearScale"},"y_range":{"id":"87349ea7-c04e-4148-915f-0f72edeb524c","type":"DataRange1d"},"y_scale":{"id":"47a7b8b7-bedd-4166-948e-85a45710c257","type":"LinearScale"}},"id":"90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"87349ea7-c04e-4148-915f-0f72edeb524c","type":"DataRange1d"},{"attributes":{},"id":"47a7b8b7-bedd-4166-948e-85a45710c257","type":"LinearScale"},{"attributes":{},"id":"af65e7ca-3e53-401b-ba19-e041359e3468","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"820623a0-2fc5-4c95-aeb3-f2b3d46894f4","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7815001f-b8df-4159-867b-243c55575821","type":"Circle"},{"attributes":{"callback":null},"id":"b2ee00d3-6b07-4fce-9d31-72a4fa41a077","type":"DataRange1d"},{"attributes":{"format":"%5.3f mu"},"id":"94b479fc-1f8e-4717-a95c-1134cbb2d509","type":"PrintfTickFormatter"},{"attributes":{},"id":"203d16b6-5132-4903-b0b0-55dba85075bf","type":"BasicTicker"},{"attributes":{},"id":"7975431d-fcb2-4d49-ac5c-72049315f82b","type":"WheelZoomTool"},{"attributes":{},"id":"03c593fa-f636-42b9-a6f1-6b8d3eb2596c","type":"SaveTool"},{"attributes":{"overlay":{"id":"05f48a9e-35e8-4b6a-b4b1-ea4535eb4b2b","type":"BoxAnnotation"}},"id":"8c4291bc-7639-46ee-8a76-d62956bda254","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"512024aa-3e10-4d28-96b9-2b8b20c9c78c","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"64190812-d342-45f4-b92b-a2233b0850c7","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"af65e7ca-3e53-401b-ba19-e041359e3468","type":"BasicTicker"}},"id":"a79adf91-701c-4082-b355-dbb2639fd8cb","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a4f8e2f2-f18c-49af-a7aa-f434c2342f91","type":"PanTool"},{"id":"7975431d-fcb2-4d49-ac5c-72049315f82b","type":"WheelZoomTool"},{"id":"8c4291bc-7639-46ee-8a76-d62956bda254","type":"BoxZoomTool"},{"id":"03c593fa-f636-42b9-a6f1-6b8d3eb2596c","type":"SaveTool"},{"id":"847eb30c-eaf8-4bc9-815f-a9cb4d1461e7","type":"ResetTool"},{"id":"bc0493c1-b0e8-4409-a359-f91be6119a91","type":"HelpTool"}]},"id":"78182f0b-21ea-4d17-b54b-29d3c4d5f182","type":"Toolbar"},{"attributes":{"format":"%4.1e"},"id":"45317569-655e-4868-ab76-f68442fb7cba","type":"PrintfTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"05f48a9e-35e8-4b6a-b4b1-ea4535eb4b2b","type":"BoxAnnotation"}],"root_ids":["90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7cf3a7f8-a1fd-4a92-bc09-7c1cd551e9af","elementid":"e0709b93-b6d3-4597-b107-d41b74c87dc6","modelid":"90a58ba3-07e7-4eaa-8a8d-2d0cc1c7b0eb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
