(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cb1e7c58-95ba-47a5-831f-83122474774f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cb1e7c58-95ba-47a5-831f-83122474774f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"13f74c0c-25a8-4968-bbd2-e4f8e8c297c3":{"roots":{"references":[{"attributes":{},"id":"63f8bfc4-c771-4f2e-b843-a1352737d4b5","type":"ResetTool"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"c92e122e-bb01-4f8e-b9e8-f5681d7d6c70","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"59a0c5ac-b1cb-41d3-92d7-17eff4c95a9a","type":"VBar"},{"attributes":{},"id":"83713b32-8481-420b-970a-de8ca6be3d8a","type":"WheelZoomTool"},{"attributes":{},"id":"7b9a4bbf-8c13-4e92-83b6-f6f3fddcd7ee","type":"LinearScale"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"8fc1343f-d56e-4882-9322-4362972ee46d","type":"Title"},{"attributes":{},"id":"a0729c61-dfdb-403d-9c18-c0686d8e2693","type":"CategoricalTickFormatter"},{"attributes":{"items":[{"id":"d45e860f-3c28-4f24-a35a-416059c97e58","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"46d93c79-c32f-4510-920a-f425c2eba321","subtype":"Figure","type":"Plot"}},"id":"e22af538-97d3-4a79-92b4-3cab5d2294b8","type":"Legend"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"31d8f3ba-b44c-4f06-971e-856acdbbc894","type":"VBar"},{"attributes":{},"id":"b1ca7ac1-b729-4f35-93a7-41f8e9e7cf4c","type":"BasicTickFormatter"},{"attributes":{},"id":"ef91bf4b-3ef3-47a2-8064-fd58979b5b0f","type":"SaveTool"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"46d93c79-c32f-4510-920a-f425c2eba321","subtype":"Figure","type":"Plot"},"ticker":{"id":"55342f34-4f05-47f5-be73-c1f252c22366","type":"CategoricalTicker"}},"id":"f4903d5e-857a-4b92-b128-24f17fc307ff","type":"Grid"},{"attributes":{},"id":"856f66c9-708e-408e-ab92-b50716733041","type":"CategoricalScale"},{"attributes":{"overlay":{"id":"c8a4860f-c06d-45e8-a5f9-05ffbcc89229","type":"BoxAnnotation"}},"id":"57a22569-6083-473c-8b24-62255ecb0eac","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"b1ca7ac1-b729-4f35-93a7-41f8e9e7cf4c","type":"BasicTickFormatter"},"plot":{"id":"46d93c79-c32f-4510-920a-f425c2eba321","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c554837-1ecf-4f0a-b425-914b35927460","type":"BasicTicker"}},"id":"d9b2e541-fd06-49f3-9733-89dd30792387","type":"LinearAxis"},{"attributes":{},"id":"9c554837-1ecf-4f0a-b425-914b35927460","type":"BasicTicker"},{"attributes":{"data_source":{"id":"205e9939-17d2-431e-86f6-01d40ea4a450","type":"ColumnDataSource"},"glyph":{"id":"59a0c5ac-b1cb-41d3-92d7-17eff4c95a9a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"31d8f3ba-b44c-4f06-971e-856acdbbc894","type":"VBar"},"selection_glyph":null,"view":{"id":"c76e1b4b-fb07-4e2f-9ab4-d08e182e0006","type":"CDSView"}},"id":"69a08aa4-45c1-4f51-9586-2b86712584bf","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"46d93c79-c32f-4510-920a-f425c2eba321","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c554837-1ecf-4f0a-b425-914b35927460","type":"BasicTicker"}},"id":"137bc963-670b-4d0a-bc7a-1a2c73a9f643","type":"Grid"},{"attributes":{},"id":"55342f34-4f05-47f5-be73-c1f252c22366","type":"CategoricalTicker"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"205e9939-17d2-431e-86f6-01d40ea4a450","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":9,"start":0},"id":"7880e3c6-2739-408e-950d-7eb649eb60b5","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"565086cc-e2ed-4e3f-8362-015980e60245","type":"PanTool"},{"id":"83713b32-8481-420b-970a-de8ca6be3d8a","type":"WheelZoomTool"},{"id":"57a22569-6083-473c-8b24-62255ecb0eac","type":"BoxZoomTool"},{"id":"ef91bf4b-3ef3-47a2-8064-fd58979b5b0f","type":"SaveTool"},{"id":"63f8bfc4-c771-4f2e-b843-a1352737d4b5","type":"ResetTool"},{"id":"6977de5a-4361-4071-8e58-0e3a220585e5","type":"HelpTool"}]},"id":"6c1e4f5d-dae6-4149-85e8-c380b164d7da","type":"Toolbar"},{"attributes":{},"id":"6977de5a-4361-4071-8e58-0e3a220585e5","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c8a4860f-c06d-45e8-a5f9-05ffbcc89229","type":"BoxAnnotation"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"69a08aa4-45c1-4f51-9586-2b86712584bf","type":"GlyphRenderer"}]},"id":"d45e860f-3c28-4f24-a35a-416059c97e58","type":"LegendItem"},{"attributes":{"source":{"id":"205e9939-17d2-431e-86f6-01d40ea4a450","type":"ColumnDataSource"}},"id":"c76e1b4b-fb07-4e2f-9ab4-d08e182e0006","type":"CDSView"},{"attributes":{},"id":"565086cc-e2ed-4e3f-8362-015980e60245","type":"PanTool"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"a9d63ad4-b1f9-4257-80a0-ae8b141d1094","type":"FactorRange"},{"attributes":{"formatter":{"id":"a0729c61-dfdb-403d-9c18-c0686d8e2693","type":"CategoricalTickFormatter"},"plot":{"id":"46d93c79-c32f-4510-920a-f425c2eba321","subtype":"Figure","type":"Plot"},"ticker":{"id":"55342f34-4f05-47f5-be73-c1f252c22366","type":"CategoricalTicker"}},"id":"830aa0fe-2a6c-4eff-a30b-0b0babd1896a","type":"CategoricalAxis"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"c92e122e-bb01-4f8e-b9e8-f5681d7d6c70","type":"CategoricalColorMapper"},{"attributes":{"below":[{"id":"830aa0fe-2a6c-4eff-a30b-0b0babd1896a","type":"CategoricalAxis"}],"left":[{"id":"d9b2e541-fd06-49f3-9733-89dd30792387","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"830aa0fe-2a6c-4eff-a30b-0b0babd1896a","type":"CategoricalAxis"},{"id":"f4903d5e-857a-4b92-b128-24f17fc307ff","type":"Grid"},{"id":"d9b2e541-fd06-49f3-9733-89dd30792387","type":"LinearAxis"},{"id":"137bc963-670b-4d0a-bc7a-1a2c73a9f643","type":"Grid"},{"id":"c8a4860f-c06d-45e8-a5f9-05ffbcc89229","type":"BoxAnnotation"},{"id":"e22af538-97d3-4a79-92b4-3cab5d2294b8","type":"Legend"},{"id":"69a08aa4-45c1-4f51-9586-2b86712584bf","type":"GlyphRenderer"}],"title":{"id":"8fc1343f-d56e-4882-9322-4362972ee46d","type":"Title"},"toolbar":{"id":"6c1e4f5d-dae6-4149-85e8-c380b164d7da","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a9d63ad4-b1f9-4257-80a0-ae8b141d1094","type":"FactorRange"},"x_scale":{"id":"856f66c9-708e-408e-ab92-b50716733041","type":"CategoricalScale"},"y_range":{"id":"7880e3c6-2739-408e-950d-7eb649eb60b5","type":"DataRange1d"},"y_scale":{"id":"7b9a4bbf-8c13-4e92-83b6-f6f3fddcd7ee","type":"LinearScale"}},"id":"46d93c79-c32f-4510-920a-f425c2eba321","subtype":"Figure","type":"Plot"}],"root_ids":["46d93c79-c32f-4510-920a-f425c2eba321"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"13f74c0c-25a8-4968-bbd2-e4f8e8c297c3","elementid":"cb1e7c58-95ba-47a5-831f-83122474774f","modelid":"46d93c79-c32f-4510-920a-f425c2eba321"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
