(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("82ac96b8-2283-4509-8e28-45f52f6a47dc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '82ac96b8-2283-4509-8e28-45f52f6a47dc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"96875d21-b607-41a4-90ad-5e0ee3a40849":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"faa1099a-1bcc-48df-b937-9376b177e617","type":"Title"},{"attributes":{"plot":{"id":"46142743-93cc-4f6f-a414-670dfc7a4179","subtype":"Figure","type":"Plot"},"ticker":{"id":"0ba40db4-fe81-4fbc-951c-f2d996e06726","type":"BasicTicker"}},"id":"3faf67f0-c201-4053-aeba-856bb642dbbf","type":"Grid"},{"attributes":{"callback":null},"id":"c44a7dcb-6e51-4689-8445-16ac091e439b","type":"DataRange1d"},{"attributes":{},"id":"6b93c543-62ad-4f36-95d9-e647100c71f2","type":"HelpTool"},{"attributes":{"below":[{"id":"8d9473c2-df32-4d7b-af56-503dc28883a0","type":"LinearAxis"}],"left":[{"id":"9c0dc07f-b7f7-4973-9645-be0a14fcae55","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8d9473c2-df32-4d7b-af56-503dc28883a0","type":"LinearAxis"},{"id":"3faf67f0-c201-4053-aeba-856bb642dbbf","type":"Grid"},{"id":"9c0dc07f-b7f7-4973-9645-be0a14fcae55","type":"LinearAxis"},{"id":"f82fe4cb-c33a-4e12-a765-e0058ca9fa67","type":"Grid"},{"id":"fe0431ec-a976-4fa7-aaea-38782fd221fa","type":"BoxAnnotation"},{"id":"ddebbdc8-ae16-4b36-a8d8-8b902adfb1c4","type":"GlyphRenderer"}],"title":{"id":"faa1099a-1bcc-48df-b937-9376b177e617","type":"Title"},"toolbar":{"id":"f2c3971b-aa5c-47ea-ad24-9c8c199a55ef","type":"Toolbar"},"x_range":{"id":"9dff0288-d4e8-43ab-8563-cc7708579ba1","type":"DataRange1d"},"x_scale":{"id":"3f0bbce5-7bf7-4e1d-ab8b-80585e5a318e","type":"LinearScale"},"y_range":{"id":"c44a7dcb-6e51-4689-8445-16ac091e439b","type":"DataRange1d"},"y_scale":{"id":"edb4ae5d-7db3-4699-b90d-61a544fcf7b7","type":"LinearScale"}},"id":"46142743-93cc-4f6f-a414-670dfc7a4179","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"457e8e79-c141-49c1-8ae6-69299fe7fbaa","type":"PanTool"},{"id":"f49f912e-59fd-4b47-8a61-6637e3141c33","type":"WheelZoomTool"},{"id":"4f2f590d-362b-412c-8fa7-a26c760d1860","type":"BoxZoomTool"},{"id":"28da0b2f-4adf-4781-9cb7-88a96a874e32","type":"SaveTool"},{"id":"f0147950-e305-415f-a1c2-cec2b7beadaf","type":"ResetTool"},{"id":"6b93c543-62ad-4f36-95d9-e647100c71f2","type":"HelpTool"}]},"id":"f2c3971b-aa5c-47ea-ad24-9c8c199a55ef","type":"Toolbar"},{"attributes":{},"id":"b5fd4a24-439d-4bad-8031-ac997e18f734","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fe0431ec-a976-4fa7-aaea-38782fd221fa","type":"BoxAnnotation"},{"attributes":{},"id":"3f0bbce5-7bf7-4e1d-ab8b-80585e5a318e","type":"LinearScale"},{"attributes":{},"id":"e93fd3cf-cff7-45da-88b5-a258de6f967e","type":"BasicTicker"},{"attributes":{"data_source":{"id":"4d00ac94-e0c3-4c81-a764-1dbe56dfc4c9","type":"ColumnDataSource"},"glyph":{"id":"ea76e243-3738-4a82-af95-84f07e38c90d","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c717adae-503a-4f1b-94da-b1dc5c969daa","type":"Square"},"selection_glyph":null,"view":{"id":"12148dd8-8e2e-4974-b920-8292fad0d856","type":"CDSView"}},"id":"ddebbdc8-ae16-4b36-a8d8-8b902adfb1c4","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"9dff0288-d4e8-43ab-8563-cc7708579ba1","type":"DataRange1d"},{"attributes":{},"id":"f49f912e-59fd-4b47-8a61-6637e3141c33","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"fe0431ec-a976-4fa7-aaea-38782fd221fa","type":"BoxAnnotation"}},"id":"4f2f590d-362b-412c-8fa7-a26c760d1860","type":"BoxZoomTool"},{"attributes":{},"id":"28da0b2f-4adf-4781-9cb7-88a96a874e32","type":"SaveTool"},{"attributes":{},"id":"0ba40db4-fe81-4fbc-951c-f2d996e06726","type":"BasicTicker"},{"attributes":{},"id":"edb4ae5d-7db3-4699-b90d-61a544fcf7b7","type":"LinearScale"},{"attributes":{},"id":"457e8e79-c141-49c1-8ae6-69299fe7fbaa","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"c717adae-503a-4f1b-94da-b1dc5c969daa","type":"Square"},{"attributes":{"source":{"id":"4d00ac94-e0c3-4c81-a764-1dbe56dfc4c9","type":"ColumnDataSource"}},"id":"12148dd8-8e2e-4974-b920-8292fad0d856","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"46142743-93cc-4f6f-a414-670dfc7a4179","subtype":"Figure","type":"Plot"},"ticker":{"id":"e93fd3cf-cff7-45da-88b5-a258de6f967e","type":"BasicTicker"}},"id":"f82fe4cb-c33a-4e12-a765-e0058ca9fa67","type":"Grid"},{"attributes":{"formatter":{"id":"b5fd4a24-439d-4bad-8031-ac997e18f734","type":"BasicTickFormatter"},"plot":{"id":"46142743-93cc-4f6f-a414-670dfc7a4179","subtype":"Figure","type":"Plot"},"ticker":{"id":"0ba40db4-fe81-4fbc-951c-f2d996e06726","type":"BasicTicker"}},"id":"8d9473c2-df32-4d7b-af56-503dc28883a0","type":"LinearAxis"},{"attributes":{},"id":"f0147950-e305-415f-a1c2-cec2b7beadaf","type":"ResetTool"},{"attributes":{},"id":"678d8b29-aae5-43ea-9f51-6c6840432184","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"4d00ac94-e0c3-4c81-a764-1dbe56dfc4c9","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"678d8b29-aae5-43ea-9f51-6c6840432184","type":"BasicTickFormatter"},"plot":{"id":"46142743-93cc-4f6f-a414-670dfc7a4179","subtype":"Figure","type":"Plot"},"ticker":{"id":"e93fd3cf-cff7-45da-88b5-a258de6f967e","type":"BasicTicker"}},"id":"9c0dc07f-b7f7-4973-9645-be0a14fcae55","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"ea76e243-3738-4a82-af95-84f07e38c90d","type":"Square"}],"root_ids":["46142743-93cc-4f6f-a414-670dfc7a4179"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"96875d21-b607-41a4-90ad-5e0ee3a40849","elementid":"82ac96b8-2283-4509-8e28-45f52f6a47dc","modelid":"46142743-93cc-4f6f-a414-670dfc7a4179"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
