(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a1d02204-d35d-416c-b802-f454a104d089");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a1d02204-d35d-416c-b802-f454a104d089' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"26da2505-23f0-44f3-af2f-6243a395b695":{"roots":{"references":[{"attributes":{"data_source":{"id":"2bd5f282-4c00-4489-b8a6-f27c6ab6d27a","type":"ColumnDataSource"},"glyph":{"id":"89cef0ac-6c20-4873-8deb-409ee08af34a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"365e97da-8011-44cf-9b98-a036e740a153","type":"Circle"},"selection_glyph":null,"view":{"id":"bc1f144e-b473-4fd7-8ba8-a09820726d36","type":"CDSView"}},"id":"ff9f3f0e-00af-4f4f-9546-eb52131006c2","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"73c0faf8-9fe8-49c4-8be6-6034734dd4d6","type":"Title"},{"attributes":{"plot":{"id":"3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"dda34679-63e0-4dc1-9b23-ffb4da02cd1b","type":"BasicTicker"}},"id":"43ae2ddd-f7dd-4e42-830e-064bbcb83fb9","type":"Grid"},{"attributes":{"below":[{"id":"cb6326e5-bbe5-4221-81a1-7e5ad198a44a","type":"LinearAxis"}],"left":[{"id":"c01c00cd-eb10-475c-b6d4-18eb5c1c6d21","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"cb6326e5-bbe5-4221-81a1-7e5ad198a44a","type":"LinearAxis"},{"id":"43ae2ddd-f7dd-4e42-830e-064bbcb83fb9","type":"Grid"},{"id":"c01c00cd-eb10-475c-b6d4-18eb5c1c6d21","type":"LinearAxis"},{"id":"21ef3c6d-337c-4170-b280-bea950b006a2","type":"Grid"},{"id":"400f89a7-68f6-4b41-bd9f-3f78cd1fca0d","type":"BoxAnnotation"},{"id":"4dff8f2a-7471-4d2f-8baa-4f2742b7b2c4","type":"GlyphRenderer"},{"id":"ff9f3f0e-00af-4f4f-9546-eb52131006c2","type":"GlyphRenderer"}],"title":{"id":"73c0faf8-9fe8-49c4-8be6-6034734dd4d6","type":"Title"},"toolbar":{"id":"32cea305-d7da-4dcb-937c-ee00dbd8c05d","type":"Toolbar"},"x_range":{"id":"ff2568b7-3bbe-47c6-ae4e-fc60fe11094f","type":"DataRange1d"},"x_scale":{"id":"9620a7c3-27cf-4afe-af43-71ec861117f4","type":"LinearScale"},"y_range":{"id":"acf219b4-a601-4a5a-af48-65afa395a976","type":"DataRange1d"},"y_scale":{"id":"708d9862-9d28-4e9d-a2d3-f4d47ac8974e","type":"LinearScale"}},"id":"3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"de5bb696-b311-4c9e-b3bc-6c644fdb1d55","type":"BasicTickFormatter"},{"attributes":{},"id":"dda34679-63e0-4dc1-9b23-ffb4da02cd1b","type":"BasicTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ed4acdb5-4136-4fb1-81ef-4e4ba1c3816b","type":"Line"},{"attributes":{"data_source":{"id":"d4c3df9c-b034-4c70-8ce9-5f86fc4e913b","type":"ColumnDataSource"},"glyph":{"id":"ed4acdb5-4136-4fb1-81ef-4e4ba1c3816b","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"558fc5a6-0687-40ba-bd19-6693f7dd9915","type":"Line"},"selection_glyph":null,"view":{"id":"a2ba4f72-647f-46bd-a713-d4ad7e7bdf9b","type":"CDSView"}},"id":"4dff8f2a-7471-4d2f-8baa-4f2742b7b2c4","type":"GlyphRenderer"},{"attributes":{"source":{"id":"d4c3df9c-b034-4c70-8ce9-5f86fc4e913b","type":"ColumnDataSource"}},"id":"a2ba4f72-647f-46bd-a713-d4ad7e7bdf9b","type":"CDSView"},{"attributes":{},"id":"9bf5563f-9fe6-4e79-a44a-a31308e3f915","type":"PanTool"},{"attributes":{},"id":"9620a7c3-27cf-4afe-af43-71ec861117f4","type":"LinearScale"},{"attributes":{},"id":"6a5857ef-1243-45e8-a471-e8b04e834fe7","type":"ResetTool"},{"attributes":{},"id":"a21b0507-4f10-4596-a146-2427829fe055","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee4d93ca-e5f8-4ece-a479-6e4799d83efb","type":"BasicTicker"}},"id":"21ef3c6d-337c-4170-b280-bea950b006a2","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"558fc5a6-0687-40ba-bd19-6693f7dd9915","type":"Line"},{"attributes":{"formatter":{"id":"a21b0507-4f10-4596-a146-2427829fe055","type":"BasicTickFormatter"},"plot":{"id":"3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee4d93ca-e5f8-4ece-a479-6e4799d83efb","type":"BasicTicker"}},"id":"c01c00cd-eb10-475c-b6d4-18eb5c1c6d21","type":"LinearAxis"},{"attributes":{"overlay":{"id":"400f89a7-68f6-4b41-bd9f-3f78cd1fca0d","type":"BoxAnnotation"}},"id":"af03447e-6996-43b5-b7d1-adb54e238c95","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"d4c3df9c-b034-4c70-8ce9-5f86fc4e913b","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"365e97da-8011-44cf-9b98-a036e740a153","type":"Circle"},{"attributes":{},"id":"086337e7-a8a1-4cd3-bbf3-344b49ab6cc3","type":"SaveTool"},{"attributes":{"source":{"id":"2bd5f282-4c00-4489-b8a6-f27c6ab6d27a","type":"ColumnDataSource"}},"id":"bc1f144e-b473-4fd7-8ba8-a09820726d36","type":"CDSView"},{"attributes":{},"id":"ee4d93ca-e5f8-4ece-a479-6e4799d83efb","type":"BasicTicker"},{"attributes":{},"id":"d8c746bd-881f-40f0-8323-98868c6aef47","type":"HelpTool"},{"attributes":{"callback":null},"id":"ff2568b7-3bbe-47c6-ae4e-fc60fe11094f","type":"DataRange1d"},{"attributes":{},"id":"040b71fb-7f6b-4aed-8480-b7828c3ae3de","type":"WheelZoomTool"},{"attributes":{},"id":"708d9862-9d28-4e9d-a2d3-f4d47ac8974e","type":"LinearScale"},{"attributes":{"formatter":{"id":"de5bb696-b311-4c9e-b3bc-6c644fdb1d55","type":"BasicTickFormatter"},"plot":{"id":"3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"dda34679-63e0-4dc1-9b23-ffb4da02cd1b","type":"BasicTicker"}},"id":"cb6326e5-bbe5-4221-81a1-7e5ad198a44a","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"400f89a7-68f6-4b41-bd9f-3f78cd1fca0d","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9bf5563f-9fe6-4e79-a44a-a31308e3f915","type":"PanTool"},{"id":"040b71fb-7f6b-4aed-8480-b7828c3ae3de","type":"WheelZoomTool"},{"id":"af03447e-6996-43b5-b7d1-adb54e238c95","type":"BoxZoomTool"},{"id":"086337e7-a8a1-4cd3-bbf3-344b49ab6cc3","type":"SaveTool"},{"id":"6a5857ef-1243-45e8-a471-e8b04e834fe7","type":"ResetTool"},{"id":"d8c746bd-881f-40f0-8323-98868c6aef47","type":"HelpTool"}]},"id":"32cea305-d7da-4dcb-937c-ee00dbd8c05d","type":"Toolbar"},{"attributes":{"callback":null},"id":"acf219b4-a601-4a5a-af48-65afa395a976","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"2bd5f282-4c00-4489-b8a6-f27c6ab6d27a","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"89cef0ac-6c20-4873-8deb-409ee08af34a","type":"Circle"}],"root_ids":["3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"26da2505-23f0-44f3-af2f-6243a395b695","elementid":"a1d02204-d35d-416c-b802-f454a104d089","modelid":"3b6c90a4-222f-4ad7-bcaf-587f13fcc6ce"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
