(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b8a286fa-f943-4f41-8648-2c4ca235a01a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b8a286fa-f943-4f41-8648-2c4ca235a01a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"84cdf9e2-9601-4638-96cf-a50c008ac9a4":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"8120a9a0-0416-4026-89fa-017cf488b6c8","type":"Title"},{"attributes":{},"id":"a376a619-a708-4a92-9dc5-0876ca1b6263","type":"BasicTickFormatter"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"aa75861c-a74c-49f3-9be1-f9be9174a97c","type":"Wedge"},{"attributes":{},"id":"a50aca48-3d83-4276-b39d-20c41d990477","type":"BasicTickFormatter"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.6},"line_color":{"value":"firebrick"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"f102834a-b83d-4ca2-af90-4a9f2b821f4d","type":"Wedge"},{"attributes":{},"id":"2caf62d6-3460-4c7f-9523-9e29d34e6117","type":"LinearScale"},{"attributes":{"source":{"id":"4c89e795-8727-4270-a5ff-4ae037a799ea","type":"ColumnDataSource"}},"id":"2ae68482-b5fd-454d-9c52-d3931204b399","type":"CDSView"},{"attributes":{},"id":"a05fc999-4846-4bc5-82eb-fb4600b1c6f4","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"35c892d5-c6ae-4773-b685-60ed752f5cd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"9166a073-60a5-4725-8ca3-2de872a10105","type":"BasicTicker"}},"id":"0f21082d-a45c-4307-a051-5cfa0a62996f","type":"Grid"},{"attributes":{},"id":"600a9223-b3a4-47e9-a6f0-1f1f78491863","type":"BasicTicker"},{"attributes":{},"id":"0c9522b7-af8d-44e3-a041-39098cb90f3b","type":"ResetTool"},{"attributes":{},"id":"e6b811e7-85e4-4ac1-b304-44adedc20c8b","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"4c89e795-8727-4270-a5ff-4ae037a799ea","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"bb8a1f10-1962-4ad4-82f8-f398ec1a0c86","type":"DataRange1d"},{"attributes":{},"id":"5ce182aa-947d-47c1-a127-13c9576ae77c","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"35c892d5-c6ae-4773-b685-60ed752f5cd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"600a9223-b3a4-47e9-a6f0-1f1f78491863","type":"BasicTicker"}},"id":"7e6780bb-b587-43c9-bdf8-2bf56000a0d8","type":"Grid"},{"attributes":{"formatter":{"id":"a376a619-a708-4a92-9dc5-0876ca1b6263","type":"BasicTickFormatter"},"plot":{"id":"35c892d5-c6ae-4773-b685-60ed752f5cd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"600a9223-b3a4-47e9-a6f0-1f1f78491863","type":"BasicTicker"}},"id":"0c054d0b-43e1-4a46-b18c-03b8516c0927","type":"LinearAxis"},{"attributes":{},"id":"0e68cd70-a665-4372-8c47-65cede2f1d3a","type":"SaveTool"},{"attributes":{},"id":"d18048aa-5f92-4ead-bad6-1c65755259b5","type":"LinearScale"},{"attributes":{},"id":"9166a073-60a5-4725-8ca3-2de872a10105","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e6b811e7-85e4-4ac1-b304-44adedc20c8b","type":"PanTool"},{"id":"a05fc999-4846-4bc5-82eb-fb4600b1c6f4","type":"WheelZoomTool"},{"id":"8bfb52f1-fe45-40ca-a23c-7c3fcf16282e","type":"BoxZoomTool"},{"id":"0e68cd70-a665-4372-8c47-65cede2f1d3a","type":"SaveTool"},{"id":"0c9522b7-af8d-44e3-a041-39098cb90f3b","type":"ResetTool"},{"id":"5ce182aa-947d-47c1-a127-13c9576ae77c","type":"HelpTool"}]},"id":"f7b6e17b-8cb8-4c7c-8d79-bb8a4b359e0d","type":"Toolbar"},{"attributes":{"callback":null},"id":"7a26fa73-d500-4be0-bffc-8c62b0765487","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"710d93b6-fc24-4894-93dc-bfff00c7962e","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"a50aca48-3d83-4276-b39d-20c41d990477","type":"BasicTickFormatter"},"plot":{"id":"35c892d5-c6ae-4773-b685-60ed752f5cd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"9166a073-60a5-4725-8ca3-2de872a10105","type":"BasicTicker"}},"id":"eb52f9de-4878-4597-8c49-df572c8055e1","type":"LinearAxis"},{"attributes":{"data_source":{"id":"4c89e795-8727-4270-a5ff-4ae037a799ea","type":"ColumnDataSource"},"glyph":{"id":"f102834a-b83d-4ca2-af90-4a9f2b821f4d","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aa75861c-a74c-49f3-9be1-f9be9174a97c","type":"Wedge"},"selection_glyph":null,"view":{"id":"2ae68482-b5fd-454d-9c52-d3931204b399","type":"CDSView"}},"id":"9d81fcf2-32fc-4dc7-bc9a-ed62bb93e1d3","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"710d93b6-fc24-4894-93dc-bfff00c7962e","type":"BoxAnnotation"}},"id":"8bfb52f1-fe45-40ca-a23c-7c3fcf16282e","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"eb52f9de-4878-4597-8c49-df572c8055e1","type":"LinearAxis"}],"left":[{"id":"0c054d0b-43e1-4a46-b18c-03b8516c0927","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"eb52f9de-4878-4597-8c49-df572c8055e1","type":"LinearAxis"},{"id":"0f21082d-a45c-4307-a051-5cfa0a62996f","type":"Grid"},{"id":"0c054d0b-43e1-4a46-b18c-03b8516c0927","type":"LinearAxis"},{"id":"7e6780bb-b587-43c9-bdf8-2bf56000a0d8","type":"Grid"},{"id":"710d93b6-fc24-4894-93dc-bfff00c7962e","type":"BoxAnnotation"},{"id":"9d81fcf2-32fc-4dc7-bc9a-ed62bb93e1d3","type":"GlyphRenderer"}],"title":{"id":"8120a9a0-0416-4026-89fa-017cf488b6c8","type":"Title"},"toolbar":{"id":"f7b6e17b-8cb8-4c7c-8d79-bb8a4b359e0d","type":"Toolbar"},"x_range":{"id":"7a26fa73-d500-4be0-bffc-8c62b0765487","type":"DataRange1d"},"x_scale":{"id":"d18048aa-5f92-4ead-bad6-1c65755259b5","type":"LinearScale"},"y_range":{"id":"bb8a1f10-1962-4ad4-82f8-f398ec1a0c86","type":"DataRange1d"},"y_scale":{"id":"2caf62d6-3460-4c7f-9523-9e29d34e6117","type":"LinearScale"}},"id":"35c892d5-c6ae-4773-b685-60ed752f5cd1","subtype":"Figure","type":"Plot"}],"root_ids":["35c892d5-c6ae-4773-b685-60ed752f5cd1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"84cdf9e2-9601-4638-96cf-a50c008ac9a4","elementid":"b8a286fa-f943-4f41-8648-2c4ca235a01a","modelid":"35c892d5-c6ae-4773-b685-60ed752f5cd1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
