(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9bef273a-e5d1-40f8-a65e-781609edfbc7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9bef273a-e5d1-40f8-a65e-781609edfbc7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d1c61a55-02b1-4fb4-a7d0-5f37109fc9b1":{"roots":{"references":[{"attributes":{"overlay":{"id":"ef658ebd-f9b1-405c-aed7-9d14f054ce9f","type":"BoxAnnotation"}},"id":"12f32c03-d169-4416-ad45-b4a152542d3d","type":"BoxZoomTool"},{"attributes":{},"id":"3417f734-5022-4446-ba59-b0590160a02f","type":"PanTool"},{"attributes":{},"id":"b5a20b36-40bc-4d76-a0d1-5b48650467b2","type":"BasicTicker"},{"attributes":{},"id":"b691f0dc-1cf4-4e71-9e42-3a386f229ba4","type":"HelpTool"},{"attributes":{"formatter":{"id":"ff1d76f5-9084-43c4-b1db-7e3a276d894d","type":"BasicTickFormatter"},"plot":{"id":"a78c7023-3e03-4136-92e8-e04e62fb9c8a","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5a20b36-40bc-4d76-a0d1-5b48650467b2","type":"BasicTicker"}},"id":"3f836837-a6c3-411b-9909-9b2de66f806a","type":"LinearAxis"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"8050d9cf-cf9f-4033-a30b-a1b4736029b5","type":"FactorRange"},{"attributes":{},"id":"ff1d76f5-9084-43c4-b1db-7e3a276d894d","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"f780bcbc-0dc1-45fa-8144-3d8b3a3f5848","type":"Title"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"cc8ea104-d073-4296-8047-db84dbf5cd55","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":9,"start":0},"id":"782141d6-76d1-4488-974c-51e2bf250557","type":"DataRange1d"},{"attributes":{},"id":"288ee2f6-3b72-4e7d-9aee-84fd3fdfbe49","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3417f734-5022-4446-ba59-b0590160a02f","type":"PanTool"},{"id":"9ec442c8-874c-45ea-9293-028126e03133","type":"WheelZoomTool"},{"id":"12f32c03-d169-4416-ad45-b4a152542d3d","type":"BoxZoomTool"},{"id":"1addc768-7265-4217-9f6f-ad18265dbe5b","type":"SaveTool"},{"id":"475aa643-9eca-45c2-a860-2d11142f7a06","type":"ResetTool"},{"id":"b691f0dc-1cf4-4e71-9e42-3a386f229ba4","type":"HelpTool"}]},"id":"e563b82f-7245-4fd3-a885-4cf4d135c4eb","type":"Toolbar"},{"attributes":{"items":[{"id":"782993dd-4ace-4842-82e1-7caa5da12ffb","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"a78c7023-3e03-4136-92e8-e04e62fb9c8a","subtype":"Figure","type":"Plot"}},"id":"6472ade3-7b09-4e1e-9d72-0de080f5c9d8","type":"Legend"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"2c2feac9-b405-40e7-95cd-b5d8e27fd580","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"2e6eb7cb-2133-49da-b336-f75b0f98c9c0","type":"VBar"},{"attributes":{},"id":"475aa643-9eca-45c2-a860-2d11142f7a06","type":"ResetTool"},{"attributes":{},"id":"9ec442c8-874c-45ea-9293-028126e03133","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ef658ebd-f9b1-405c-aed7-9d14f054ce9f","type":"BoxAnnotation"},{"attributes":{},"id":"193e0e52-6ada-4a42-b183-7a839fe8b55e","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"193e0e52-6ada-4a42-b183-7a839fe8b55e","type":"CategoricalTickFormatter"},"plot":{"id":"a78c7023-3e03-4136-92e8-e04e62fb9c8a","subtype":"Figure","type":"Plot"},"ticker":{"id":"23dd9e55-338d-44f3-a6cf-92f2662bf682","type":"CategoricalTicker"}},"id":"19ad801a-972c-48f7-b781-fbabd3978e9d","type":"CategoricalAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"a9ed0e10-be1a-44f2-9d95-a1de2983cca1","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"a78c7023-3e03-4136-92e8-e04e62fb9c8a","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5a20b36-40bc-4d76-a0d1-5b48650467b2","type":"BasicTicker"}},"id":"53361229-d135-4a62-a89e-e689e5bdc6dd","type":"Grid"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"a78c7023-3e03-4136-92e8-e04e62fb9c8a","subtype":"Figure","type":"Plot"},"ticker":{"id":"23dd9e55-338d-44f3-a6cf-92f2662bf682","type":"CategoricalTicker"}},"id":"259ce52a-f8e6-4278-9797-bd9a5c45f3e3","type":"Grid"},{"attributes":{},"id":"23dd9e55-338d-44f3-a6cf-92f2662bf682","type":"CategoricalTicker"},{"attributes":{"source":{"id":"cc8ea104-d073-4296-8047-db84dbf5cd55","type":"ColumnDataSource"}},"id":"4fc9c22c-8f8c-46ce-ba3a-e425b5b0f909","type":"CDSView"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"8ff79095-68c7-4df8-aa28-3f104c964535","type":"GlyphRenderer"}]},"id":"782993dd-4ace-4842-82e1-7caa5da12ffb","type":"LegendItem"},{"attributes":{"below":[{"id":"19ad801a-972c-48f7-b781-fbabd3978e9d","type":"CategoricalAxis"}],"left":[{"id":"3f836837-a6c3-411b-9909-9b2de66f806a","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"19ad801a-972c-48f7-b781-fbabd3978e9d","type":"CategoricalAxis"},{"id":"259ce52a-f8e6-4278-9797-bd9a5c45f3e3","type":"Grid"},{"id":"3f836837-a6c3-411b-9909-9b2de66f806a","type":"LinearAxis"},{"id":"53361229-d135-4a62-a89e-e689e5bdc6dd","type":"Grid"},{"id":"ef658ebd-f9b1-405c-aed7-9d14f054ce9f","type":"BoxAnnotation"},{"id":"6472ade3-7b09-4e1e-9d72-0de080f5c9d8","type":"Legend"},{"id":"8ff79095-68c7-4df8-aa28-3f104c964535","type":"GlyphRenderer"}],"title":{"id":"f780bcbc-0dc1-45fa-8144-3d8b3a3f5848","type":"Title"},"toolbar":{"id":"e563b82f-7245-4fd3-a885-4cf4d135c4eb","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8050d9cf-cf9f-4033-a30b-a1b4736029b5","type":"FactorRange"},"x_scale":{"id":"288ee2f6-3b72-4e7d-9aee-84fd3fdfbe49","type":"CategoricalScale"},"y_range":{"id":"782141d6-76d1-4488-974c-51e2bf250557","type":"DataRange1d"},"y_scale":{"id":"a5d67c99-6709-47e4-ab41-afe997de0dd3","type":"LinearScale"}},"id":"a78c7023-3e03-4136-92e8-e04e62fb9c8a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1addc768-7265-4217-9f6f-ad18265dbe5b","type":"SaveTool"},{"attributes":{"data_source":{"id":"cc8ea104-d073-4296-8047-db84dbf5cd55","type":"ColumnDataSource"},"glyph":{"id":"2e6eb7cb-2133-49da-b336-f75b0f98c9c0","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a9ed0e10-be1a-44f2-9d95-a1de2983cca1","type":"VBar"},"selection_glyph":null,"view":{"id":"4fc9c22c-8f8c-46ce-ba3a-e425b5b0f909","type":"CDSView"}},"id":"8ff79095-68c7-4df8-aa28-3f104c964535","type":"GlyphRenderer"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"2c2feac9-b405-40e7-95cd-b5d8e27fd580","type":"CategoricalColorMapper"},{"attributes":{},"id":"a5d67c99-6709-47e4-ab41-afe997de0dd3","type":"LinearScale"}],"root_ids":["a78c7023-3e03-4136-92e8-e04e62fb9c8a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d1c61a55-02b1-4fb4-a7d0-5f37109fc9b1","elementid":"9bef273a-e5d1-40f8-a65e-781609edfbc7","modelid":"a78c7023-3e03-4136-92e8-e04e62fb9c8a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
