(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1fde27a2-ff5a-4915-970d-f317eae8c2ed");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1fde27a2-ff5a-4915-970d-f317eae8c2ed' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"80e1fc90-07fa-42f2-9f37-54c8b98abd72":{"roots":{"references":[{"attributes":{"callback":null},"id":"bfaefc0d-eaef-4d3d-9e50-e876d602ad40","type":"DataRange1d"},{"attributes":{},"id":"9f90f611-6045-4883-bd56-6ca1c82d5eed","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0d3917f7-7138-4119-8b42-2e5d12f0e494","type":"Line"},{"attributes":{},"id":"5b32580b-92cc-48e7-93fd-ada9725c7137","type":"BasicTickFormatter"},{"attributes":{},"id":"44c5c78a-8c34-42c8-a0d7-43cf3cfde394","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fb6cd719-d9cb-4c25-baf5-3fc142072be6","type":"PanTool"},{"id":"442a90a8-26a3-40ec-8ed3-7635af058ec3","type":"WheelZoomTool"},{"id":"ec3ea8b4-2a0b-400b-80c0-6528e54ce099","type":"BoxZoomTool"},{"id":"861bd1d7-5606-44b3-8ac3-68d451883604","type":"SaveTool"},{"id":"14d13dd8-0bb6-491b-83a7-bf436d93dce7","type":"ResetTool"},{"id":"44c5c78a-8c34-42c8-a0d7-43cf3cfde394","type":"HelpTool"}]},"id":"02676285-89fd-44f2-b66e-56ca8bed2ce6","type":"Toolbar"},{"attributes":{"plot":{"id":"e9cc65a1-97ee-4f46-b810-c881dc515d2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9fb96bb-82e5-4d93-af44-1ab1625096b1","type":"BasicTicker"}},"id":"0288de69-b92e-4786-80ce-703a38f9dbc6","type":"Grid"},{"attributes":{"callback":null},"id":"0532f726-f5c5-461a-aa0c-6681cf0bbdf1","type":"DataRange1d"},{"attributes":{},"id":"fb6cd719-d9cb-4c25-baf5-3fc142072be6","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6feb1beb-5d71-47bb-9ea3-52e2ce8ea4ac","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"9cde79de-60de-48af-bb7b-67a727333939","type":"Title"},{"attributes":{"formatter":{"id":"9f90f611-6045-4883-bd56-6ca1c82d5eed","type":"BasicTickFormatter"},"plot":{"id":"e9cc65a1-97ee-4f46-b810-c881dc515d2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9fb96bb-82e5-4d93-af44-1ab1625096b1","type":"BasicTicker"}},"id":"f2d2c90a-9782-4199-9b2f-faa70805e845","type":"LinearAxis"},{"attributes":{},"id":"c2fdba8d-5d3c-4b26-a277-05e4e22073f6","type":"BasicTicker"},{"attributes":{},"id":"dc05d40f-a1b6-4759-8b9d-dfd100e1d23a","type":"LinearScale"},{"attributes":{},"id":"442a90a8-26a3-40ec-8ed3-7635af058ec3","type":"WheelZoomTool"},{"attributes":{"source":{"id":"75655e77-567e-4622-b04c-cd149537b53f","type":"ColumnDataSource"}},"id":"c4d11d3a-017c-4355-a920-c6ee128be617","type":"CDSView"},{"attributes":{},"id":"d9fb96bb-82e5-4d93-af44-1ab1625096b1","type":"BasicTicker"},{"attributes":{},"id":"14d13dd8-0bb6-491b-83a7-bf436d93dce7","type":"ResetTool"},{"attributes":{"overlay":{"id":"6feb1beb-5d71-47bb-9ea3-52e2ce8ea4ac","type":"BoxAnnotation"}},"id":"ec3ea8b4-2a0b-400b-80c0-6528e54ce099","type":"BoxZoomTool"},{"attributes":{},"id":"861bd1d7-5606-44b3-8ac3-68d451883604","type":"SaveTool"},{"attributes":{},"id":"9f5cee8d-a8ea-4881-bdb8-e341437002c1","type":"LinearScale"},{"attributes":{"data_source":{"id":"75655e77-567e-4622-b04c-cd149537b53f","type":"ColumnDataSource"},"glyph":{"id":"0d3917f7-7138-4119-8b42-2e5d12f0e494","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e43a8e2-554b-41b6-a3aa-64b9e50e857d","type":"Line"},"selection_glyph":null,"view":{"id":"c4d11d3a-017c-4355-a920-c6ee128be617","type":"CDSView"}},"id":"832388eb-529d-4731-b1cd-11c2c5191834","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e43a8e2-554b-41b6-a3aa-64b9e50e857d","type":"Line"},{"attributes":{"below":[{"id":"f2d2c90a-9782-4199-9b2f-faa70805e845","type":"LinearAxis"}],"left":[{"id":"b573dffe-284a-4a79-b23f-85f84f22b5fb","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f2d2c90a-9782-4199-9b2f-faa70805e845","type":"LinearAxis"},{"id":"0288de69-b92e-4786-80ce-703a38f9dbc6","type":"Grid"},{"id":"b573dffe-284a-4a79-b23f-85f84f22b5fb","type":"LinearAxis"},{"id":"f3ef2e63-caf9-431a-b940-5e52b1f6da7a","type":"Grid"},{"id":"6feb1beb-5d71-47bb-9ea3-52e2ce8ea4ac","type":"BoxAnnotation"},{"id":"832388eb-529d-4731-b1cd-11c2c5191834","type":"GlyphRenderer"}],"title":{"id":"9cde79de-60de-48af-bb7b-67a727333939","type":"Title"},"toolbar":{"id":"02676285-89fd-44f2-b66e-56ca8bed2ce6","type":"Toolbar"},"x_range":{"id":"bfaefc0d-eaef-4d3d-9e50-e876d602ad40","type":"DataRange1d"},"x_scale":{"id":"9f5cee8d-a8ea-4881-bdb8-e341437002c1","type":"LinearScale"},"y_range":{"id":"0532f726-f5c5-461a-aa0c-6681cf0bbdf1","type":"DataRange1d"},"y_scale":{"id":"dc05d40f-a1b6-4759-8b9d-dfd100e1d23a","type":"LinearScale"}},"id":"e9cc65a1-97ee-4f46-b810-c881dc515d2d","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"5b32580b-92cc-48e7-93fd-ada9725c7137","type":"BasicTickFormatter"},"plot":{"id":"e9cc65a1-97ee-4f46-b810-c881dc515d2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2fdba8d-5d3c-4b26-a277-05e4e22073f6","type":"BasicTicker"}},"id":"b573dffe-284a-4a79-b23f-85f84f22b5fb","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"e9cc65a1-97ee-4f46-b810-c881dc515d2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c2fdba8d-5d3c-4b26-a277-05e4e22073f6","type":"BasicTicker"}},"id":"f3ef2e63-caf9-431a-b940-5e52b1f6da7a","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"75655e77-567e-4622-b04c-cd149537b53f","type":"ColumnDataSource"}],"root_ids":["e9cc65a1-97ee-4f46-b810-c881dc515d2d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"80e1fc90-07fa-42f2-9f37-54c8b98abd72","elementid":"1fde27a2-ff5a-4915-970d-f317eae8c2ed","modelid":"e9cc65a1-97ee-4f46-b810-c881dc515d2d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
