(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f51286b0-6321-476a-9691-6eead836a597");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f51286b0-6321-476a-9691-6eead836a597' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c91f6472-f7d8-4792-9749-1aeccf4a579d":{"roots":{"references":[{"attributes":{},"id":"0c31b6d0-e4d5-45ba-b112-802beb82586a","type":"SaveTool"},{"attributes":{"data_source":{"id":"1f3041c8-62aa-46ce-8345-e6957b1d510e","type":"ColumnDataSource"},"glyph":{"id":"dc573172-7346-4c43-85b6-5408cc1543c0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a53d21c2-728d-43f3-ae44-9858065135e0","type":"Circle"},"selection_glyph":null,"view":{"id":"78208319-fe6c-4366-872b-cc04f8f62419","type":"CDSView"}},"id":"daa048f3-e2d3-4819-a887-d494f1555e1a","type":"GlyphRenderer"},{"attributes":{},"id":"767b992c-f9d2-4431-b1d0-e22a44958c10","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0c31b6d0-e4d5-45ba-b112-802beb82586a","type":"SaveTool"}]},"id":"04090eb7-c912-43bc-9f71-36f5b2293a9a","type":"Toolbar"},{"attributes":{"source":{"id":"1f3041c8-62aa-46ce-8345-e6957b1d510e","type":"ColumnDataSource"}},"id":"78208319-fe6c-4366-872b-cc04f8f62419","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"a53d21c2-728d-43f3-ae44-9858065135e0","type":"Circle"},{"attributes":{},"id":"f15b6eac-084c-4cc2-a161-c4b5c2385588","type":"BasicTicker"},{"attributes":{"formatter":{"id":"767b992c-f9d2-4431-b1d0-e22a44958c10","type":"BasicTickFormatter"},"plot":{"id":"357bb4f2-d89f-48ed-a168-e5fcdac4a705","subtype":"Figure","type":"Plot"},"ticker":{"id":"74205084-d294-4715-bf0e-2de1ddf71adb","type":"BasicTicker"}},"id":"4f448562-b49d-4080-9706-7c94a0884a97","type":"LinearAxis"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"dc573172-7346-4c43-85b6-5408cc1543c0","type":"Circle"},{"attributes":{},"id":"2fc48dd9-208c-4d6d-80c1-b7f232615f7e","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"357bb4f2-d89f-48ed-a168-e5fcdac4a705","subtype":"Figure","type":"Plot"},"ticker":{"id":"f15b6eac-084c-4cc2-a161-c4b5c2385588","type":"BasicTicker"}},"id":"791c46fd-09d8-4363-a0bf-654407558b79","type":"Grid"},{"attributes":{"label":{"field":"label"},"renderers":[{"id":"daa048f3-e2d3-4819-a887-d494f1555e1a","type":"GlyphRenderer"}]},"id":"bbf8dd17-cbf0-424d-a739-195182e5e1db","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["color","y","label","x"],"data":{"color":["#ef8a62","#67a9cf","#ef8a62","#67a9cf","#ef8a62","#67a9cf"],"label":["hi","lo","hi","lo","hi","lo"],"x":[1,2,3,4,5,6],"y":[2,1,2,1,2,1]}},"id":"1f3041c8-62aa-46ce-8345-e6957b1d510e","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"6c748a0d-3b9d-4a98-9274-520d62e0be67","type":"LinearAxis"}],"left":[{"id":"4f448562-b49d-4080-9706-7c94a0884a97","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"6c748a0d-3b9d-4a98-9274-520d62e0be67","type":"LinearAxis"},{"id":"791c46fd-09d8-4363-a0bf-654407558b79","type":"Grid"},{"id":"4f448562-b49d-4080-9706-7c94a0884a97","type":"LinearAxis"},{"id":"81e4a166-3c56-4779-9856-4d5e47242a47","type":"Grid"},{"id":"f5577c24-43a8-4d88-8878-f4b9b8530063","type":"Legend"},{"id":"daa048f3-e2d3-4819-a887-d494f1555e1a","type":"GlyphRenderer"}],"title":{"id":"49b45c48-d143-4156-aa0d-37d75256a32e","type":"Title"},"toolbar":{"id":"04090eb7-c912-43bc-9f71-36f5b2293a9a","type":"Toolbar"},"x_range":{"id":"2e0e95da-d990-4bf9-bc5e-dfeef67cd899","type":"Range1d"},"x_scale":{"id":"5f8a5825-677f-45f3-a78c-fd0a814976cd","type":"LinearScale"},"y_range":{"id":"19fa5f3b-94ee-4c33-b784-f8b12c94b719","type":"Range1d"},"y_scale":{"id":"437fdede-ea04-41ca-b1df-db1d49691c54","type":"LinearScale"}},"id":"357bb4f2-d89f-48ed-a168-e5fcdac4a705","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"437fdede-ea04-41ca-b1df-db1d49691c54","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"49b45c48-d143-4156-aa0d-37d75256a32e","type":"Title"},{"attributes":{},"id":"74205084-d294-4715-bf0e-2de1ddf71adb","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"357bb4f2-d89f-48ed-a168-e5fcdac4a705","subtype":"Figure","type":"Plot"},"ticker":{"id":"74205084-d294-4715-bf0e-2de1ddf71adb","type":"BasicTicker"}},"id":"81e4a166-3c56-4779-9856-4d5e47242a47","type":"Grid"},{"attributes":{"items":[{"id":"bbf8dd17-cbf0-424d-a739-195182e5e1db","type":"LegendItem"}],"plot":{"id":"357bb4f2-d89f-48ed-a168-e5fcdac4a705","subtype":"Figure","type":"Plot"}},"id":"f5577c24-43a8-4d88-8878-f4b9b8530063","type":"Legend"},{"attributes":{"callback":null,"end":3},"id":"19fa5f3b-94ee-4c33-b784-f8b12c94b719","type":"Range1d"},{"attributes":{"formatter":{"id":"2fc48dd9-208c-4d6d-80c1-b7f232615f7e","type":"BasicTickFormatter"},"plot":{"id":"357bb4f2-d89f-48ed-a168-e5fcdac4a705","subtype":"Figure","type":"Plot"},"ticker":{"id":"f15b6eac-084c-4cc2-a161-c4b5c2385588","type":"BasicTicker"}},"id":"6c748a0d-3b9d-4a98-9274-520d62e0be67","type":"LinearAxis"},{"attributes":{},"id":"5f8a5825-677f-45f3-a78c-fd0a814976cd","type":"LinearScale"},{"attributes":{"callback":null,"end":7},"id":"2e0e95da-d990-4bf9-bc5e-dfeef67cd899","type":"Range1d"}],"root_ids":["357bb4f2-d89f-48ed-a168-e5fcdac4a705"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c91f6472-f7d8-4792-9749-1aeccf4a579d","elementid":"f51286b0-6321-476a-9691-6eead836a597","modelid":"357bb4f2-d89f-48ed-a168-e5fcdac4a705"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
