(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bc824349-5cef-4eb4-a56b-8c43a471361d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bc824349-5cef-4eb4-a56b-8c43a471361d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2e26583a-1b8a-4cb5-931d-434eac311d58":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"bee396fc-9ab1-4c3c-83d7-7c39f56940dc","type":"Dodge"}}},"id":"a51338f0-dbd7-4ddd-a6b2-61c673352d36","type":"VBar"},{"attributes":{"data_source":{"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"},"glyph":{"id":"82c4e6b9-afdc-4a5e-a2f5-957f88218de5","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"46efcf1d-2f05-41c7-bf5b-9a5978596125","type":"VBar"},"selection_glyph":null,"view":{"id":"fb154dec-f551-4253-834e-c3604dc350d2","type":"CDSView"}},"id":"293cb16b-00dd-48dd-8054-764f6f604450","type":"GlyphRenderer"},{"attributes":{"source":{"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"}},"id":"42322c01-ccf5-4cd4-9855-01d43855daf7","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a7d3127-7474-49f8-90f5-a910e7993db6","type":"BasicTicker"}},"id":"7e6f2be1-29be-48fd-ba18-bfb25d95e667","type":"Grid"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"fb96ed8d-20c8-43d6-86e9-f656a75fe698","type":"GlyphRenderer"}]},"id":"e49a16e9-5824-4a18-a9c1-a1d89d6e60e3","type":"LegendItem"},{"attributes":{},"id":"d777ea9d-4702-439c-b34b-97a75d4d648d","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"}},"id":"45e638df-c16f-4ecf-991a-21b64e6a6f6e","type":"CDSView"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"293cb16b-00dd-48dd-8054-764f6f604450","type":"GlyphRenderer"}]},"id":"b5bba15d-f1c9-4efd-8863-f40d20e9886b","type":"LegendItem"},{"attributes":{"below":[{"id":"ae276ccc-a1d6-45e3-b20a-51c85f122fb2","type":"CategoricalAxis"}],"left":[{"id":"5e8bca8e-8d54-447c-8c16-64d658746f95","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"ae276ccc-a1d6-45e3-b20a-51c85f122fb2","type":"CategoricalAxis"},{"id":"f79004c8-8e06-422b-8b06-6fbc460c6608","type":"Grid"},{"id":"5e8bca8e-8d54-447c-8c16-64d658746f95","type":"LinearAxis"},{"id":"7e6f2be1-29be-48fd-ba18-bfb25d95e667","type":"Grid"},{"id":"6497699d-fa83-4ce3-b083-26f98170bcd0","type":"Legend"},{"id":"fb96ed8d-20c8-43d6-86e9-f656a75fe698","type":"GlyphRenderer"},{"id":"293cb16b-00dd-48dd-8054-764f6f604450","type":"GlyphRenderer"},{"id":"2694d790-9b00-4038-a7d0-cd328d211aee","type":"GlyphRenderer"}],"title":{"id":"df35d176-c136-43c0-aec9-ce4b610972d7","type":"Title"},"toolbar":{"id":"a9ac4f4e-297a-49a1-80ce-f3b7379e43fe","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b5bdb6a4-37f9-4e8d-b54e-86e2ba50fe06","type":"FactorRange"},"x_scale":{"id":"34f494b3-2ad0-4818-ba00-4c86df83963a","type":"CategoricalScale"},"y_range":{"id":"f5df0f54-8469-4307-b8b5-ca62e4fc06a8","type":"Range1d"},"y_scale":{"id":"801406b7-6238-49ab-a3c7-43b265cc1381","type":"LinearScale"}},"id":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1","subtype":"Figure","type":"Plot"},{"attributes":{"range":{"id":"b5bdb6a4-37f9-4e8d-b54e-86e2ba50fe06","type":"FactorRange"},"value":-0.25},"id":"bee396fc-9ab1-4c3c-83d7-7c39f56940dc","type":"Dodge"},{"attributes":{"data_source":{"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"},"glyph":{"id":"a51338f0-dbd7-4ddd-a6b2-61c673352d36","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9858c880-9aec-4330-9b7d-13a643157f4b","type":"VBar"},"selection_glyph":null,"view":{"id":"45e638df-c16f-4ecf-991a-21b64e6a6f6e","type":"CDSView"}},"id":"fb96ed8d-20c8-43d6-86e9-f656a75fe698","type":"GlyphRenderer"},{"attributes":{},"id":"4bd67861-54b4-4398-9c4f-72bbb8970f41","type":"CategoricalTickFormatter"},{"attributes":{},"id":"801406b7-6238-49ab-a3c7-43b265cc1381","type":"LinearScale"},{"attributes":{},"id":"34f494b3-2ad0-4818-ba00-4c86df83963a","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"},"glyph":{"id":"c65c5f1d-117a-4c95-9b74-3b18511b6a01","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fd225660-2679-40dc-bb8a-acc0fe50fb77","type":"VBar"},"selection_glyph":null,"view":{"id":"42322c01-ccf5-4cd4-9855-01d43855daf7","type":"CDSView"}},"id":"2694d790-9b00-4038-a7d0-cd328d211aee","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"ee4ff448-7ae3-4356-8267-979da6af9ab5","type":"Dodge"}}},"id":"82c4e6b9-afdc-4a5e-a2f5-957f88218de5","type":"VBar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"},{"attributes":{"items":[{"id":"e49a16e9-5824-4a18-a9c1-a1d89d6e60e3","type":"LegendItem"},{"id":"b5bba15d-f1c9-4efd-8863-f40d20e9886b","type":"LegendItem"},{"id":"4a9b083b-d8a2-41b2-a6a0-e990ebab3a29","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1","subtype":"Figure","type":"Plot"}},"id":"6497699d-fa83-4ce3-b083-26f98170bcd0","type":"Legend"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"336a8b0d-9d93-44e5-bd70-f2bf5b8a7a79","type":"Dodge"}}},"id":"fd225660-2679-40dc-bb8a-acc0fe50fb77","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1","subtype":"Figure","type":"Plot"},"ticker":{"id":"67218d29-9aff-41e6-b35e-efdd1d185f8e","type":"CategoricalTicker"}},"id":"f79004c8-8e06-422b-8b06-6fbc460c6608","type":"Grid"},{"attributes":{"range":{"id":"b5bdb6a4-37f9-4e8d-b54e-86e2ba50fe06","type":"FactorRange"}},"id":"ee4ff448-7ae3-4356-8267-979da6af9ab5","type":"Dodge"},{"attributes":{"formatter":{"id":"d777ea9d-4702-439c-b34b-97a75d4d648d","type":"BasicTickFormatter"},"plot":{"id":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a7d3127-7474-49f8-90f5-a910e7993db6","type":"BasicTicker"}},"id":"5e8bca8e-8d54-447c-8c16-64d658746f95","type":"LinearAxis"},{"attributes":{},"id":"67218d29-9aff-41e6-b35e-efdd1d185f8e","type":"CategoricalTicker"},{"attributes":{"range":{"id":"b5bdb6a4-37f9-4e8d-b54e-86e2ba50fe06","type":"FactorRange"},"value":0.25},"id":"336a8b0d-9d93-44e5-bd70-f2bf5b8a7a79","type":"Dodge"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"b5bdb6a4-37f9-4e8d-b54e-86e2ba50fe06","type":"FactorRange"},{"attributes":{},"id":"5a7d3127-7474-49f8-90f5-a910e7993db6","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a9ac4f4e-297a-49a1-80ce-f3b7379e43fe","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"bee396fc-9ab1-4c3c-83d7-7c39f56940dc","type":"Dodge"}}},"id":"9858c880-9aec-4330-9b7d-13a643157f4b","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"df35d176-c136-43c0-aec9-ce4b610972d7","type":"Title"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"336a8b0d-9d93-44e5-bd70-f2bf5b8a7a79","type":"Dodge"}}},"id":"c65c5f1d-117a-4c95-9b74-3b18511b6a01","type":"VBar"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"2694d790-9b00-4038-a7d0-cd328d211aee","type":"GlyphRenderer"}]},"id":"4a9b083b-d8a2-41b2-a6a0-e990ebab3a29","type":"LegendItem"},{"attributes":{"formatter":{"id":"4bd67861-54b4-4398-9c4f-72bbb8970f41","type":"CategoricalTickFormatter"},"plot":{"id":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1","subtype":"Figure","type":"Plot"},"ticker":{"id":"67218d29-9aff-41e6-b35e-efdd1d185f8e","type":"CategoricalTicker"}},"id":"ae276ccc-a1d6-45e3-b20a-51c85f122fb2","type":"CategoricalAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"ee4ff448-7ae3-4356-8267-979da6af9ab5","type":"Dodge"}}},"id":"46efcf1d-2f05-41c7-bf5b-9a5978596125","type":"VBar"},{"attributes":{"callback":null,"end":10},"id":"f5df0f54-8469-4307-b8b5-ca62e4fc06a8","type":"Range1d"},{"attributes":{"source":{"id":"7ad9b27f-ca75-46d7-97b8-17bbea276ab8","type":"ColumnDataSource"}},"id":"fb154dec-f551-4253-834e-c3604dc350d2","type":"CDSView"}],"root_ids":["3b0f8ca9-0f1c-4866-8f62-24cdc4433db1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2e26583a-1b8a-4cb5-931d-434eac311d58","elementid":"bc824349-5cef-4eb4-a56b-8c43a471361d","modelid":"3b0f8ca9-0f1c-4866-8f62-24cdc4433db1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
