(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8b05de94-cb90-4d0a-bf3a-c9657ffef33c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8b05de94-cb90-4d0a-bf3a-c9657ffef33c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ee5a6c1e-9ebf-4fde-88c5-ea2b1bad4112":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"126b044c-7572-4386-b3c1-3f3032eda25d","type":"ColumnDataSource"},{"attributes":{},"id":"c58d951f-b99f-4c10-8d07-d24df498b48f","type":"PanTool"},{"attributes":{},"id":"b04bd096-9ff8-4d44-8137-2aa45a7c6da0","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"bf379bd0-fcb8-4b90-9a74-606b20833449","type":"LinearAxis"}],"left":[{"id":"b6755706-3c86-4ac5-bba2-e69c35b61dab","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"bf379bd0-fcb8-4b90-9a74-606b20833449","type":"LinearAxis"},{"id":"b1bd8eb5-fc01-4230-b2ca-dbd04c72ede3","type":"Grid"},{"id":"b6755706-3c86-4ac5-bba2-e69c35b61dab","type":"LinearAxis"},{"id":"7ba9603d-5274-4084-9538-34532069bd84","type":"Grid"},{"id":"142c536d-84ae-4a6d-805c-56c6d7adeec5","type":"BoxAnnotation"},{"id":"3e622e26-b98b-4e75-a5b3-3248ea64171c","type":"GlyphRenderer"}],"title":{"id":"933907d1-5640-461f-b0ac-6584e7fd2251","type":"Title"},"toolbar":{"id":"57bcd334-12f5-43dc-96fb-bb077927f91c","type":"Toolbar"},"x_range":{"id":"a05895fe-34fe-4341-bcd4-fc21cefea23f","type":"DataRange1d"},"x_scale":{"id":"91dd5937-197c-498a-b595-0582ba23c3ec","type":"LinearScale"},"y_range":{"id":"5ea1f395-a31a-457a-8847-94a607ca4405","type":"DataRange1d"},"y_scale":{"id":"ae446aa0-3980-4e26-99da-e3f0f35d2fc8","type":"LinearScale"}},"id":"5e81e57a-7b21-418f-a002-6f9cee1dc5b0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"057bfb0f-cce4-4eca-a09a-c627069a968b","type":"BasicTicker"},{"attributes":{"callback":null},"id":"5ea1f395-a31a-457a-8847-94a607ca4405","type":"DataRange1d"},{"attributes":{},"id":"91dd5937-197c-498a-b595-0582ba23c3ec","type":"LinearScale"},{"attributes":{},"id":"31a90df9-68a6-4955-b090-097e5b165da6","type":"SaveTool"},{"attributes":{},"id":"8c572ce1-5ca0-4f50-84d2-a390617d4763","type":"BasicTicker"},{"attributes":{"source":{"id":"126b044c-7572-4386-b3c1-3f3032eda25d","type":"ColumnDataSource"}},"id":"df905775-d335-43bc-8c94-90087b67c393","type":"CDSView"},{"attributes":{"overlay":{"id":"142c536d-84ae-4a6d-805c-56c6d7adeec5","type":"BoxAnnotation"}},"id":"146969d4-8258-4085-abe0-192b656b798c","type":"BoxZoomTool"},{"attributes":{},"id":"f6662779-5899-4c98-9385-431108b70564","type":"ResetTool"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_color":{"value":"navy"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"6a973bec-e442-496b-b437-8169301ca389","type":"Arc"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"142c536d-84ae-4a6d-805c-56c6d7adeec5","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"5e81e57a-7b21-418f-a002-6f9cee1dc5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"057bfb0f-cce4-4eca-a09a-c627069a968b","type":"BasicTicker"}},"id":"7ba9603d-5274-4084-9538-34532069bd84","type":"Grid"},{"attributes":{"plot":{"id":"5e81e57a-7b21-418f-a002-6f9cee1dc5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c572ce1-5ca0-4f50-84d2-a390617d4763","type":"BasicTicker"}},"id":"b1bd8eb5-fc01-4230-b2ca-dbd04c72ede3","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"933907d1-5640-461f-b0ac-6584e7fd2251","type":"Title"},{"attributes":{"data_source":{"id":"126b044c-7572-4386-b3c1-3f3032eda25d","type":"ColumnDataSource"},"glyph":{"id":"6a973bec-e442-496b-b437-8169301ca389","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9bbfc853-dc60-4722-b2f0-e2e39e3cf914","type":"Arc"},"selection_glyph":null,"view":{"id":"df905775-d335-43bc-8c94-90087b67c393","type":"CDSView"}},"id":"3e622e26-b98b-4e75-a5b3-3248ea64171c","type":"GlyphRenderer"},{"attributes":{},"id":"859cdf97-01d2-4c83-b120-5c213be9c77a","type":"WheelZoomTool"},{"attributes":{},"id":"e23380f5-e9e9-4e28-802f-3e948f7d7de0","type":"HelpTool"},{"attributes":{"formatter":{"id":"51793ab0-d754-4253-98c3-a6ae18f311a9","type":"BasicTickFormatter"},"plot":{"id":"5e81e57a-7b21-418f-a002-6f9cee1dc5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c572ce1-5ca0-4f50-84d2-a390617d4763","type":"BasicTicker"}},"id":"bf379bd0-fcb8-4b90-9a74-606b20833449","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c58d951f-b99f-4c10-8d07-d24df498b48f","type":"PanTool"},{"id":"859cdf97-01d2-4c83-b120-5c213be9c77a","type":"WheelZoomTool"},{"id":"146969d4-8258-4085-abe0-192b656b798c","type":"BoxZoomTool"},{"id":"31a90df9-68a6-4955-b090-097e5b165da6","type":"SaveTool"},{"id":"f6662779-5899-4c98-9385-431108b70564","type":"ResetTool"},{"id":"e23380f5-e9e9-4e28-802f-3e948f7d7de0","type":"HelpTool"}]},"id":"57bcd334-12f5-43dc-96fb-bb077927f91c","type":"Toolbar"},{"attributes":{},"id":"51793ab0-d754-4253-98c3-a6ae18f311a9","type":"BasicTickFormatter"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"9bbfc853-dc60-4722-b2f0-e2e39e3cf914","type":"Arc"},{"attributes":{"callback":null},"id":"a05895fe-34fe-4341-bcd4-fc21cefea23f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"b04bd096-9ff8-4d44-8137-2aa45a7c6da0","type":"BasicTickFormatter"},"plot":{"id":"5e81e57a-7b21-418f-a002-6f9cee1dc5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"057bfb0f-cce4-4eca-a09a-c627069a968b","type":"BasicTicker"}},"id":"b6755706-3c86-4ac5-bba2-e69c35b61dab","type":"LinearAxis"},{"attributes":{},"id":"ae446aa0-3980-4e26-99da-e3f0f35d2fc8","type":"LinearScale"}],"root_ids":["5e81e57a-7b21-418f-a002-6f9cee1dc5b0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ee5a6c1e-9ebf-4fde-88c5-ea2b1bad4112","elementid":"8b05de94-cb90-4d0a-bf3a-c9657ffef33c","modelid":"5e81e57a-7b21-418f-a002-6f9cee1dc5b0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
