(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("258f657c-08b0-41b0-b55b-22ac23babd42");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '258f657c-08b0-41b0-b55b-22ac23babd42' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8d6aee68-8159-4a71-be28-cb9c01620e34":{"roots":{"references":[{"attributes":{"overlay":{"id":"e0a235cb-8e31-49db-8920-5259ee852a5b","type":"BoxAnnotation"}},"id":"d7bdcff6-a27e-4180-8200-caefeb9f440c","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"8cb82b2c-6312-44a8-807c-97dfb0e4eb48","type":"DataRange1d"},{"attributes":{"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"ca473f60-06c1-4bff-acd1-a971fce57696","type":"MultiLine"},{"attributes":{},"id":"3da5dd53-8098-4c14-9c87-cca737f77fa1","type":"LinearScale"},{"attributes":{"below":[{"id":"9cfa153c-ac8a-461a-b1bb-5144c68ad693","type":"LinearAxis"}],"left":[{"id":"be2bf98e-eeba-4349-a8aa-33e35a004727","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9cfa153c-ac8a-461a-b1bb-5144c68ad693","type":"LinearAxis"},{"id":"a7d1b9fb-ec6f-4062-881a-f87ce251695f","type":"Grid"},{"id":"be2bf98e-eeba-4349-a8aa-33e35a004727","type":"LinearAxis"},{"id":"fa4bce53-a1bb-4e48-afa1-19304564f38d","type":"Grid"},{"id":"e0a235cb-8e31-49db-8920-5259ee852a5b","type":"BoxAnnotation"},{"id":"8fb011f5-112a-44f7-b37a-da2fb77103bc","type":"GlyphRenderer"}],"title":{"id":"449b309c-7e85-4b78-8608-cb5d118eb2e7","type":"Title"},"toolbar":{"id":"8de4cf9d-a823-42cb-913c-7d310960b79b","type":"Toolbar"},"x_range":{"id":"8cb82b2c-6312-44a8-807c-97dfb0e4eb48","type":"DataRange1d"},"x_scale":{"id":"cb1c956d-b183-493c-b0a2-444c49642252","type":"LinearScale"},"y_range":{"id":"2a8d140b-9aba-403a-82a6-d1e61e62094c","type":"DataRange1d"},"y_scale":{"id":"3da5dd53-8098-4c14-9c87-cca737f77fa1","type":"LinearScale"}},"id":"bbe04d7d-0273-49cd-9ad6-83e107726a23","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"d5820eb7-c74d-4900-845c-58f39b41cf04","type":"BasicTickFormatter"},"plot":{"id":"bbe04d7d-0273-49cd-9ad6-83e107726a23","subtype":"Figure","type":"Plot"},"ticker":{"id":"c6c9ad25-afe4-4980-a3d8-35e40d9c5194","type":"BasicTicker"}},"id":"be2bf98e-eeba-4349-a8aa-33e35a004727","type":"LinearAxis"},{"attributes":{},"id":"31d96d32-d40f-478c-a1c1-d9e3dccf4c92","type":"ResetTool"},{"attributes":{},"id":"105105fc-b905-4db3-b47b-417779bb03aa","type":"HelpTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"4eef90ac-7686-4b33-b158-0a671075e9c9","type":"MultiLine"},{"attributes":{},"id":"80634704-0a5f-470e-9c0d-719515827d12","type":"PanTool"},{"attributes":{"source":{"id":"fcca474b-91e8-48e8-9d9e-45170f3ce4f3","type":"ColumnDataSource"}},"id":"ccdd520e-15ff-4deb-bad4-1e5bc0516bac","type":"CDSView"},{"attributes":{},"id":"c6c9ad25-afe4-4980-a3d8-35e40d9c5194","type":"BasicTicker"},{"attributes":{"formatter":{"id":"4850a663-fbff-426b-bb45-42c9ea7cf537","type":"BasicTickFormatter"},"plot":{"id":"bbe04d7d-0273-49cd-9ad6-83e107726a23","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec3e1c37-6cde-4bd5-b2b5-f766264bb85b","type":"BasicTicker"}},"id":"9cfa153c-ac8a-461a-b1bb-5144c68ad693","type":"LinearAxis"},{"attributes":{},"id":"ec3e1c37-6cde-4bd5-b2b5-f766264bb85b","type":"BasicTicker"},{"attributes":{},"id":"4850a663-fbff-426b-bb45-42c9ea7cf537","type":"BasicTickFormatter"},{"attributes":{},"id":"29f94c02-a362-4984-bee4-2a9746f6c25e","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha"],"data":{"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"fcca474b-91e8-48e8-9d9e-45170f3ce4f3","type":"ColumnDataSource"},{"attributes":{},"id":"f2bd07fc-ab35-4fa6-962b-a385078ced95","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"bbe04d7d-0273-49cd-9ad6-83e107726a23","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec3e1c37-6cde-4bd5-b2b5-f766264bb85b","type":"BasicTicker"}},"id":"a7d1b9fb-ec6f-4062-881a-f87ce251695f","type":"Grid"},{"attributes":{},"id":"cb1c956d-b183-493c-b0a2-444c49642252","type":"LinearScale"},{"attributes":{"callback":null},"id":"2a8d140b-9aba-403a-82a6-d1e61e62094c","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e0a235cb-8e31-49db-8920-5259ee852a5b","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"80634704-0a5f-470e-9c0d-719515827d12","type":"PanTool"},{"id":"f2bd07fc-ab35-4fa6-962b-a385078ced95","type":"WheelZoomTool"},{"id":"d7bdcff6-a27e-4180-8200-caefeb9f440c","type":"BoxZoomTool"},{"id":"29f94c02-a362-4984-bee4-2a9746f6c25e","type":"SaveTool"},{"id":"31d96d32-d40f-478c-a1c1-d9e3dccf4c92","type":"ResetTool"},{"id":"105105fc-b905-4db3-b47b-417779bb03aa","type":"HelpTool"}]},"id":"8de4cf9d-a823-42cb-913c-7d310960b79b","type":"Toolbar"},{"attributes":{},"id":"d5820eb7-c74d-4900-845c-58f39b41cf04","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"449b309c-7e85-4b78-8608-cb5d118eb2e7","type":"Title"},{"attributes":{"data_source":{"id":"fcca474b-91e8-48e8-9d9e-45170f3ce4f3","type":"ColumnDataSource"},"glyph":{"id":"ca473f60-06c1-4bff-acd1-a971fce57696","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4eef90ac-7686-4b33-b158-0a671075e9c9","type":"MultiLine"},"selection_glyph":null,"view":{"id":"ccdd520e-15ff-4deb-bad4-1e5bc0516bac","type":"CDSView"}},"id":"8fb011f5-112a-44f7-b37a-da2fb77103bc","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"bbe04d7d-0273-49cd-9ad6-83e107726a23","subtype":"Figure","type":"Plot"},"ticker":{"id":"c6c9ad25-afe4-4980-a3d8-35e40d9c5194","type":"BasicTicker"}},"id":"fa4bce53-a1bb-4e48-afa1-19304564f38d","type":"Grid"}],"root_ids":["bbe04d7d-0273-49cd-9ad6-83e107726a23"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8d6aee68-8159-4a71-be28-cb9c01620e34","elementid":"258f657c-08b0-41b0-b55b-22ac23babd42","modelid":"bbe04d7d-0273-49cd-9ad6-83e107726a23"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
