(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8661b3b1-0687-48be-9d56-0de63bf7a6b8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8661b3b1-0687-48be-9d56-0de63bf7a6b8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"20e66c79-28f9-4fd1-9210-ae2146866f5b":{"roots":{"references":[{"attributes":{"args":{"circle":{"id":"91b35c39-e960-4d88-817f-c7b1613b75be","type":"ColumnDataSource"},"segment":{"id":"e1caa352-1437-4b3d-a5a7-9bf07c6275f0","type":"ColumnDataSource"}},"code":"\nvar links = {0: [1, 2], 1: [0, 3, 4], 2: [0, 5], 3: [1, 4], 4: [1, 3], 5: [2, 3, 4]};\nvar data = {'x0': [], 'y0': [], 'x1': [], 'y1': []};\nvar cdata = circle.data;\nvar indices = cb_data.index['1d'].indices;\nfor (i=0; i < indices.length; i++) {\n    ind0 = indices[i]\n    for (j=0; j < links[ind0].length; j++) {\n        ind1 = links[ind0][j];\n        data['x0'].push(cdata.x[ind0]);\n        data['y0'].push(cdata.y[ind0]);\n        data['x1'].push(cdata.x[ind1]);\n        data['y1'].push(cdata.y[ind1]);\n    }\n}\nsegment.data = data;\n"},"id":"bad5370f-4264-4333-bb08-da39c56efca5","type":"CustomJS"},{"attributes":{"callback":{"id":"bad5370f-4264-4333-bb08-da39c56efca5","type":"CustomJS"},"renderers":[{"id":"0183e359-aa17-4e30-af48-80ec42785239","type":"GlyphRenderer"}],"tooltips":null},"id":"e4c14a95-54a1-4dac-876d-6892d4016fc0","type":"HoverTool"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"value":"olive"},"line_alpha":{"value":0.4},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"a0229957-e3eb-4b00-95e8-2ac58e192e48","type":"Circle"},{"attributes":{},"id":"f1858e43-b093-4df2-a8ad-d341ec6d3bbf","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Hover over points"},"id":"49a90fdf-5b7b-4cfe-a060-c55227714825","type":"Title"},{"attributes":{"data_source":{"id":"91b35c39-e960-4d88-817f-c7b1613b75be","type":"ColumnDataSource"},"glyph":{"id":"a0229957-e3eb-4b00-95e8-2ac58e192e48","type":"Circle"},"hover_glyph":{"id":"7d3341d4-9837-4b28-a91d-09af1b6d1dda","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"5ec206e8-b1b9-4b16-9ed5-c086890020f9","type":"Circle"},"selection_glyph":null,"view":{"id":"cf5aa50b-dc99-4397-996b-e234c5b87b50","type":"CDSView"}},"id":"0183e359-aa17-4e30-af48-80ec42785239","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"22132472-1ff2-4c82-845f-b0c0e2bc451e","type":"BasicTickFormatter"},"plot":{"id":"52913f5b-aaf0-4fa5-9918-74dbeb1bf63b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ef63b9e-7fd5-4d85-965a-d2dbda55f580","type":"BasicTicker"}},"id":"9559fa30-25a6-4bec-8ccd-cbb3cdf321a2","type":"LinearAxis"},{"attributes":{"plot":{"id":"52913f5b-aaf0-4fa5-9918-74dbeb1bf63b","subtype":"Figure","type":"Plot"},"ticker":{"id":"17f39701-1254-4972-b127-73fa9f09123d","type":"BasicTicker"}},"id":"748552b4-378f-4470-b86c-b661e72e63d0","type":"Grid"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"olive"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"0c53afbc-2f7d-4d82-a585-df78d8c89e4c","type":"Segment"},{"attributes":{},"id":"17f39701-1254-4972-b127-73fa9f09123d","type":"BasicTicker"},{"attributes":{},"id":"58972d18-e7df-433e-9736-2ef339dbca6a","type":"LinearScale"},{"attributes":{"below":[{"id":"f96d6272-3de1-42ee-9231-7a9c31d4c17f","type":"LinearAxis"}],"left":[{"id":"9559fa30-25a6-4bec-8ccd-cbb3cdf321a2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f96d6272-3de1-42ee-9231-7a9c31d4c17f","type":"LinearAxis"},{"id":"748552b4-378f-4470-b86c-b661e72e63d0","type":"Grid"},{"id":"9559fa30-25a6-4bec-8ccd-cbb3cdf321a2","type":"LinearAxis"},{"id":"0fe640f8-2812-4690-adca-587ae33a32c4","type":"Grid"},{"id":"23329ddf-32bb-43fc-9657-4d6bbdbb55b1","type":"GlyphRenderer"},{"id":"0183e359-aa17-4e30-af48-80ec42785239","type":"GlyphRenderer"}],"title":{"id":"49a90fdf-5b7b-4cfe-a060-c55227714825","type":"Title"},"toolbar":{"id":"369d69af-82ed-4d87-80de-7d3e177715be","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a461dfd6-12e3-42b9-9623-525cf1c47b3d","type":"DataRange1d"},"x_scale":{"id":"56eb8df6-986f-4aef-ae5d-718349e8ca99","type":"LinearScale"},"y_range":{"id":"6809a9c5-e6f9-4ac7-bd5d-1efed59c15e6","type":"DataRange1d"},"y_scale":{"id":"58972d18-e7df-433e-9736-2ef339dbca6a","type":"LinearScale"}},"id":"52913f5b-aaf0-4fa5-9918-74dbeb1bf63b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"22132472-1ff2-4c82-845f-b0c0e2bc451e","type":"BasicTickFormatter"},{"attributes":{},"id":"4ef63b9e-7fd5-4d85-965a-d2dbda55f580","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e4c14a95-54a1-4dac-876d-6892d4016fc0","type":"HoverTool"}]},"id":"369d69af-82ed-4d87-80de-7d3e177715be","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"52913f5b-aaf0-4fa5-9918-74dbeb1bf63b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ef63b9e-7fd5-4d85-965a-d2dbda55f580","type":"BasicTicker"}},"id":"0fe640f8-2812-4690-adca-587ae33a32c4","type":"Grid"},{"attributes":{"callback":null},"id":"a461dfd6-12e3-42b9-9623-525cf1c47b3d","type":"DataRange1d"},{"attributes":{"callback":null},"id":"6809a9c5-e6f9-4ac7-bd5d-1efed59c15e6","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[],"x1":[],"y0":[],"y1":[]}},"id":"e1caa352-1437-4b3d-a5a7-9bf07c6275f0","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"9ea4056b-df23-4c9b-aa92-315b6e221c78","type":"Segment"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"5ec206e8-b1b9-4b16-9ed5-c086890020f9","type":"Circle"},{"attributes":{"source":{"id":"e1caa352-1437-4b3d-a5a7-9bf07c6275f0","type":"ColumnDataSource"}},"id":"57ea2b5d-c71e-46b6-ac83-e44c4267a707","type":"CDSView"},{"attributes":{"source":{"id":"91b35c39-e960-4d88-817f-c7b1613b75be","type":"ColumnDataSource"}},"id":"cf5aa50b-dc99-4397-996b-e234c5b87b50","type":"CDSView"},{"attributes":{"formatter":{"id":"f1858e43-b093-4df2-a8ad-d341ec6d3bbf","type":"BasicTickFormatter"},"plot":{"id":"52913f5b-aaf0-4fa5-9918-74dbeb1bf63b","subtype":"Figure","type":"Plot"},"ticker":{"id":"17f39701-1254-4972-b127-73fa9f09123d","type":"BasicTicker"}},"id":"f96d6272-3de1-42ee-9231-7a9c31d4c17f","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e1caa352-1437-4b3d-a5a7-9bf07c6275f0","type":"ColumnDataSource"},"glyph":{"id":"0c53afbc-2f7d-4d82-a585-df78d8c89e4c","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9ea4056b-df23-4c9b-aa92-315b6e221c78","type":"Segment"},"selection_glyph":null,"view":{"id":"57ea2b5d-c71e-46b6-ac83-e44c4267a707","type":"CDSView"}},"id":"23329ddf-32bb-43fc-9657-4d6bbdbb55b1","type":"GlyphRenderer"},{"attributes":{},"id":"56eb8df6-986f-4aef-ae5d-718349e8ca99","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[2,3,5,6,8,7],"y":[6,4,3,8,7,5]}},"id":"91b35c39-e960-4d88-817f-c7b1613b75be","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"olive"},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"7d3341d4-9837-4b28-a91d-09af1b6d1dda","type":"Circle"}],"root_ids":["52913f5b-aaf0-4fa5-9918-74dbeb1bf63b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"20e66c79-28f9-4fd1-9210-ae2146866f5b","elementid":"8661b3b1-0687-48be-9d56-0de63bf7a6b8","modelid":"52913f5b-aaf0-4fa5-9918-74dbeb1bf63b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
