(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("135939ed-5716-4217-9b04-4e4b47dd1f0c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '135939ed-5716-4217-9b04-4e4b47dd1f0c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"376b492c-6f73-4f74-bdc5-1ce4733ed883":{"roots":{"references":[{"attributes":{},"id":"a366fa76-c5c9-4f00-94c1-5814b7a462ae","type":"LinearScale"},{"attributes":{"plot":null,"text":"Watch Here"},"id":"5df0bbf6-a6d5-4c7b-971e-e0c53612530b","type":"Title"},{"attributes":{"callback":{"id":"098ef32b-3fee-43fb-8398-c9e3af2f7b21","type":"CustomJS"},"column_names":["y","x"],"data":{"x":[0.12161548356777829,0.294978315124649,0.21622252432901212,0.14595616084766672,0.09050920442199961,0.6516716963606198,0.6941062209509792,0.30520306045858436,0.31959336194545285,0.4406770757710523,0.962963768316053,0.5657217558855773,0.045454147110951415,0.4652092995388766,0.14223518820158476,0.4909970432662013,0.027639760981018724,0.6976065259086771,0.2840649653263285,0.6209329348978516,0.6462336431895825,0.7707246552395598,0.3683518553225724,0.45181524355987635,0.24876914465752542,0.042929648782025764,0.06030753171100933,0.4717271487176975,0.013781664280260286,0.12695281451568952,0.5153663427794567,0.23643251524358455,0.4547037296882521,0.9533497522792915,0.3482331087739948,0.2711492913352772,0.5562022838704523,0.42698504947665383,0.3004725757045773,0.5775804703360405,0.4602566385480682,0.301656942451468,0.7189873458299898,0.1579375898032922,0.6978334548385542,0.464636522633882,0.9203390989428941,0.13187338515574443,0.9379510289894606,0.6885381758582444,0.015587524774363426,0.7871053636677882,0.3276190791668294,0.5168518192775987,0.1673503402686516,0.7042553354592238,0.5141347226053912,0.43221307527219144,0.3140888036848407,0.7827049053679371,0.8535394668708539,0.0753555061941883,0.15815878988273346,0.618582537625714,0.15379181824955324,0.8448309398782133,0.7421776304516908,0.6718378682532586,0.14981082765140463,0.05753472677692184,0.02542335240334137,0.37182804619296983,0.8516295340583487,0.5196651407173121,0.6747376240954699,0.5723178192956236,0.5199692298019947,0.15406080630329455,0.8715811776693131,0.7640681580219215,0.7256109651896975,0.515677570127252,0.7378560336333922,0.4379711092098314,0.6459311505913609,0.5550336162997183,0.9024575474653008,0.3809534046727401,0.5670820641886535,0.6167282282966927,0.13742748525754567,0.9599801444089385,0.8130834938838796,0.8382527826845122,0.1376890247549437,0.668863317069102,0.8582102511565637,0.7745445476370587,0.657065332194788,0.8652378086854565,0.15030430106843373,0.04163885995490002,0.8262047402780075,0.6290972389605308,0.37774135291559896,0.7799906646799307,0.844241820329339,0.4861496567468716,0.30214225890844015,0.8869374193608796,0.42650117128578846,0.900078391863495,0.9119899595104937,0.9823826725707406,0.48290502206977415,0.22251135937573285,0.79534012090872,0.43598133796674976,0.5037647964874552,0.45123661563125883,0.7267271624149484,0.05636026924661075,0.9938108362656972,0.030080968118671225,0.11326528310971562,0.22381769821354014,0.6424855898930683,0.5608513469654421,0.4856840633583912,0.0273245163794561,0.4822021820084068,0.6767689950132643,0.6243666231659739,0.5250473435936187,0.5561635387848108,0.07770761543696492,0.9122320870915399,0.6034779371756582,0.4567854517662263,0.5538315458805921,0.6417223312589636,0.00672176901541599,0.3058992815756526,0.5804074324140895,0.13986900224330845,0.32058499850586775,0.9755161799402987,0.17183148384536961,0.7553676498377506,0.04932174930707134,0.7816856365122729,0.4843739173291697,0.8553514668678409,0.2297934193487864,0.3555161904314279,0.18774615642550074,0.15375508090649603,0.1836204709507987,0.47544092783382563,0.9027289515721482,0.08265637919482749,0.015753233334657724,0.7651596660291525,0.11156774878969888,0.17166500052050682,0.40569140534929726,0.8524218187940145,0.6409039939174209,0.12821081485091534,0.6606373699217793,0.7648334445154655,0.11690344834464117,0.6797861323076672,0.970893637535559,0.09780635432173024,0.9237241611236232,0.5910410302483433,0.2556506304309569,0.22006181035446393,0.7044500712070274,0.6038761906888347,0.5637825513262079,0.24410642180242115,0.5418634383549575,0.7125930536634639,0.9875772655386708,0.9316047177294549,0.3526912474573264,0.07915716491828495,0.28010027058324916,0.2033121736623874,0.37639389328531747,0.7856658735843507,0.9221757082139556,0.21628492823484646,0.012154270712217308,0.06898922801261387,0.7415307802655461,0.6822967980104211,0.8807974814060894,0.7138101702611822,0.3843945864032462,0.01949655541456974,0.6043311328499387,0.9621249622398426,0.6897809747561692,0.17181275896548132,0.8154357738177779,0.062440575202928006,0.5310605142129297,0.49780176097934314,0.7724060829690637,0.24475712535427818,0.17297090204056242,0.05994993257633996,0.537280243925783,0.7561154220637463,0.8649549825696016,0.8630504009818571,0.8632581615773761,0.7481590550135014,0.596997275921153,0.9570336983745034,0.9242860732068298,0.22411391803953618,0.33933877302049276,0.8619159841787138,0.06266847736597303,0.8475565565278976,0.24067453956154516,0.9212797955427193,0.9214940593975345,0.7154744443596307,0.9396801223375439,0.3809353575794734,0.14204661580772737,0.8516125471073096,0.9349758912140975,0.8476524581856077,0.05564718696449744,0.802909818188647,0.563233128150718,0.613775521728473,0.9331502954694083,0.06692591060963105,0.5338302640173168,0.5135745506529948,0.3689364659757387,0.6283734780907123,0.6382841131557833,0.37349571282465366,0.6287701764344216,0.7918798924517966,0.4548062682681483,0.5437326647647807,0.1033871106793176,0.589966371959427,0.9356137185918112,0.5324645332453245,0.8838101795683981,0.09664660212771925,0.33686964448317214,0.9277017261552565,0.0931014110449504,0.14279356011850086,0.0761840862980312,0.3576416269705509,0.8530232058641781,0.6400946854124346,0.8406366257922359,0.8034901533946034,0.30453107969131266,0.9618309278783737,0.8275310990524422,0.04186387532753777,0.6386796507046937,0.457459680575536,0.2899049759707898,0.09000081422921491,0.6375108350060126,0.4088767926332805,0.6444230842467449,0.7675713706001416,0.3300384360754126,0.8728810707702357,0.38593456299067486,0.7834674463674343,0.7558158815721192,0.5331300221739519,0.10270817617154337,0.7167075004852169,0.5096820620636848,0.1810895174541559,0.6463891366009126,0.2297059763720849,0.008701091291107077,0.5320699326066991,0.24294899771304024,0.23804864869832543,0.8941471301376057,0.7419329757070914,0.7399204116551166,0.4611573441783672,0.8459994085576189,0.27588169919441474,0.5718685796905653,0.1470024566906616,0.714820693071693,0.7070765684177328,0.6254967927774002,0.13293563428412125,0.06926950854140979,0.9522189501461876,0.7743740589683824,0.6749273805056039,0.2193027381787226,0.39877739084192576,0.022072786206205897,0.2170464249410975,0.7407971912109906,0.22829831206497508,0.306473245943111,0.46330249983450567,0.7705477756950753,0.2761867025500442,0.16707306493401985,0.6861110147709759,0.6689573743257383,0.3779617694506697,0.7837978278776514,0.24894721143563148,0.4898784340589174,0.07553344241889981,0.5730328482448115,0.13403336370544794,0.2819144859276199,0.3479288347061823,0.05785079079226629,0.32318905156469835,0.9257629760002763,0.3639677292151299,0.053180369844794906,0.041956640648287746,0.14481284710426123,0.785984152089123,0.01745137580617573,0.8537465347541825,0.17375475826581221,0.2988052572478913,0.717098002958044,0.46596466377632495,0.01552567159611884,0.24714912796052457,0.1603475183407832,0.9522805887811431,0.3995273355292416,0.8503798953589867,0.8724974755716515,0.5759744630661571,0.464640201384653,0.6075044353677894,0.339484987712516,0.8465181436278812,0.444636238234143,0.47507592345931215,0.7318945946919725,0.4303074372340777,0.26575586644396365,0.5241093551954898,0.6838196340127894,0.06905768381621336,0.800070391918602,0.24193874045786368,0.5218564652859001,0.8129709125279538,0.8778092628830376,0.25418597598964143,0.7392968007609424,0.7617411771484224,0.39014216142628344,0.41468396055863066,0.7427411786102414,0.8123526921209269,0.5851329977267907,0.8655143152283971,0.6155636434096929,0.177609964539428,0.518708319282096,0.7094892994191639,0.14509672308984534,0.8716142200089644,0.7112856606380725,0.7615560380730224,0.9820841921922148,0.1828050758093429,0.8638135259576384,0.4520566986766096,0.4952778657991205,0.5581283018810907,0.5129024878843137,0.2133171499454598,0.5337433966459572,0.3116240894806792,0.9738373834545115,0.48200987740034573,0.5309813913247778,0.5014484443016404,0.4741884996438921,0.9330050000519964,0.5933076894927525,0.32025936850594616,0.8818625987367962,0.3692894085753261,0.9711318116839962,0.37116083966576385,0.5310491806658743,0.22466830591555864,0.31460215894691623,0.9470168076423001,0.6205959117861919,0.987083070641729,0.5254008187425849,0.007657369320385632,0.7233490263388455,0.6827290354245964,0.72001918891125,0.3887823906517668,0.7930669661841507,0.4765964712371712,0.24525817914876102,0.3070511978882583,0.3883066553065442,0.29933443394949544,0.03630991335329403,0.981129123245766,0.2613193684900603,0.91754675277819,0.27720269941356124,0.33481137068509637,0.7373951915626881,0.05631270762939167,0.6212698413914791,0.11595376256066081,0.9540062285898525,0.9522350226294637,0.823477668390599,0.4263230713794026,0.8822986908039367,0.968313744397606,0.8957780564915446,0.2521659139825432,0.6196183145291347,0.14518007681594525,0.7966270374878378,0.9594974819071118,0.009446222418855177,0.8999786025954144,0.941789611107052,0.6613011869850013,0.36561010954868023,0.42612179505581715,0.13721322462209828,0.19058830745221278,0.8623281303111464,0.5929953443318381,0.8522044117961474,0.6713942734627569,0.0031950580747929225,0.3995873038880924,0.6677588508746467,0.5286161379151628,0.6354905305252763,0.2752090125263189,0.5594589758262171,0.07919709037527511,0.5766328735647422,0.6928126607018961,0.1667993311378625,0.49677506069337163,0.49848996549217894,0.8237754615796524,0.8784091761702626,0.07791816847578614,0.37508502439258795,0.2695504738806478,0.39225859272365315,0.5399904752509699,0.9633355456715029,0.11802016042004693,0.7662106436105961,0.8038992905736947,0.600522493704373,0.37107346974927446,0.5559900290253245,0.7740894846799655,0.5372198825216857,0.2342822279984318,0.7367962337306981,0.5277463790095871,0.7753887383603636],"y":[0.6482091193676262,0.4476633215721937,0.4162396648074743,0.6924403004135982,0.5737870111601996,0.47516703081953016,0.9173719341289008,0.2615697673408479,0.9744879479750377,0.559316247700028,0.42998278182981853,0.5273917957626388,0.008885231768904878,0.6267700346777191,0.8942168875257221,0.9965894968466014,0.5498590972521432,0.9130654560137241,0.2652724167353073,0.34689429438854613,0.7354994006789104,0.9341629197961433,0.473764639364026,0.036210227861218525,0.7478846708577516,0.8786558541765799,0.8096330992551977,0.6659222685369243,0.3364412207538765,0.5826844115634008,0.8911916114527292,0.39094209999513074,0.41501708612029176,0.9182725682181195,0.7964655289575341,0.4447633787805556,0.5085069270623915,0.3346734232346176,0.2965859891308411,0.19462723752654632,0.15067859356628022,0.9317488683560163,0.27037574213724636,0.5081281856155636,0.664094755529422,0.04459585762361129,0.8453640809706955,0.6409951127055404,0.1971358072265874,0.17394743866255535,0.01113541656719852,0.11727186955847746,0.07042350258899577,0.6992643172129409,0.08883055391669636,0.06151811644397731,0.33515211709503323,0.3686739982718985,0.4799842128723436,0.9431251151232464,0.1927479209309454,0.7482193151305738,0.2810418620978963,0.23766469370021626,0.681806586703104,0.7009191922356356,0.46406362228012843,0.5195123153411632,0.052812827387605066,0.009161291910771752,0.28104184824218803,0.8952830048077778,0.0889991568479338,0.2966914994627794,0.7427396229234419,0.8934956568201874,0.588006317649156,0.8913647840923399,0.5710065409480434,0.4262443079083065,0.19619839276378703,0.8654693931116204,0.5647737733598954,0.688520352305881,0.2087137677103177,0.6840663852386134,0.7495916688682455,0.13145979319786305,0.5281011956154423,0.8391536607142398,0.009759223767729752,0.9473675028171622,0.45589962686105134,0.9611022573756446,0.4949680426623746,0.6560233712069075,0.15155233923218703,0.09496001841635382,0.769706170308193,0.4261087651678953,0.15736366370481547,0.01670607937640134,0.8476858571455165,0.19519657198730234,0.47455748426622435,0.678979476036772,0.09372294196399622,0.8991284090385069,0.704449469332506,0.5941106418719485,0.36630346386529544,0.3970034550979733,0.3680785251682327,0.7668634430884529,0.3047376176894264,0.4475932480135142,0.8107463158887493,0.7617300242112252,0.7249140127374124,0.13085946276643867,0.5922714656450695,0.9945733361941425,0.7574280311658795,0.8635140120504365,0.8225299073176213,0.8359977648062769,0.9565175742440353,0.64339825710396,0.24753874030679446,0.23521291743511608,0.3550485596136429,0.5523553561958867,0.35712554220407433,0.9415296216789725,0.5947702541356392,0.7520485603897181,0.6593121425592827,0.06643949325672005,0.23641878432056906,0.22661724814645612,0.9990808997987164,0.41478213155775034,0.12681959999906256,0.576318241940834,0.7380521697811772,0.9690307551886094,0.1114639730498993,0.27961119187390293,0.16649649194817795,0.8092230303691634,0.6199977740963766,0.9534112869471953,0.2777246125664137,0.4497933850577267,0.38059910928253504,0.16392870463018705,0.19099100819511983,0.9266885226718057,0.06755236738856374,0.9035890811542144,0.6220018303677182,0.8726376220014387,0.20383514425099547,0.2874330353022353,0.48255269316084526,0.0453041323995238,0.8715711082768602,0.3020493146217389,0.30801284720305344,0.6196142240659516,0.5001870734853193,0.3426344964986111,0.8066554739802746,0.2467983271761801,0.39786583050087565,0.9992683240783897,0.9254486041654005,0.6811957696667376,0.21571657052639204,0.6924200856469641,0.3383934385218923,0.1845603236147847,0.3286634889810861,0.02607694841572472,0.718731198032274,0.9624146188597416,0.7450023496349344,0.31390246090296625,0.9009189901233814,0.45946030548473604,0.7317496471272295,0.24902988371299095,0.8188434170440969,0.5745999555097931,0.0987339268977464,0.5651651874415524,0.5607957195804156,0.6614043384354308,0.8867912580972351,0.8788842696423548,0.4150449187138995,0.08563157070089034,0.3540988359622711,0.5636147933455462,0.8509731847107945,0.029345840904242526,0.21575918331459853,0.5421876133499317,0.358469804369701,0.10000175639394826,0.8172975621371064,0.37502780333117414,0.9620605573236376,0.4722618176899597,0.23902993873885814,0.8785343696035643,0.4067329942743576,0.5894152213016026,0.952148135396474,0.4187853065372955,0.6677876236615162,0.10561416787712807,0.5271071486437113,0.13470734349852287,0.5864840492117955,0.27342004246388396,0.766777424623773,0.6279551228252065,0.28676622356378734,0.42588749536896997,0.9676179868607734,0.7348385374421734,0.14698831888011088,0.49630918579388816,0.47554505166430894,0.14354676294750057,0.20224204649863498,0.22614982192908428,0.46126148284389124,0.4926202453095625,0.756000559906047,0.11619869059651533,0.4828160379631897,0.7183035528194893,0.8135034720887316,0.015387827496595174,0.36921805822152165,0.49671852542426864,0.693387947004335,0.8476171025163142,0.04122796207236967,0.4372423286525928,0.008968513700896463,0.7788657712695145,0.8328834921910977,0.3090030474462563,0.47244818144722645,0.2268281808375766,0.5465290581345418,0.7156521993600616,0.8445894136524782,0.8341830770338424,0.22964290602421988,0.012616284765325725,0.7672216678114927,0.592593260127083,0.43277295959508433,0.2451061788267871,0.7587383546807653,0.9172811708405532,0.13291998702788654,0.7438307885985354,0.1927485705323322,0.18362201241031983,0.5021313101360712,0.5760548785450019,0.38682754402241637,0.8920020785001769,0.5881215708200899,0.9672002360304378,0.9142578611819056,0.6833638635683449,0.36773152893026917,0.05445040662239575,0.3933741557237863,0.9704040359146944,0.3619183849600366,0.603004718702095,0.37490445664998084,0.9687371596203231,0.6650801157490442,0.5394170836706896,0.17384259362405163,0.3130502920996041,0.43654453428627515,0.9658483408598402,0.9267548147545811,0.6802308102232086,0.8469972045330861,0.7997442879293369,0.672619468128009,0.9730199119465848,0.2140608086003104,0.06904615481637322,0.574652557195541,0.3791922960044014,0.2387580562801045,0.4518934496260123,0.9138760874897399,0.6815375071391562,0.40393891522937686,0.563026592423403,0.21294632396900803,0.2809035134171336,0.45925627448682793,0.5450573340985789,0.3539598760720777,0.2907843469049133,0.5039378079052446,0.06732594388270141,0.01463888956488879,0.20587512632374994,0.4709546315416778,0.8183329136776618,0.7551128909028759,0.7351920239906445,0.9111215545718574,0.8119532084399961,0.6089926182059979,0.1727632654151704,0.01462475933577334,0.8224545637043064,0.908045832848766,0.3124446065146478,0.5905496953743943,0.4705840721444071,0.12030735189564812,0.564309824073341,0.1466730314777538,0.796260044122482,0.4063561568035008,0.7048647168599332,0.40274704371231496,0.04921956734747712,0.2952686836960964,0.7718381250803881,0.783850969358276,0.2318736423565635,0.500108921011196,0.8326523043384833,0.45832356540699937,0.2068660458467655,0.8880393222775154,0.7992736129697564,0.4882364568897689,0.8816383568331941,0.8763185647259366,0.3193832874738418,0.34103850459274687,0.014504098474889315,0.9660750078807144,0.6283979189219782,0.49442827486840857,0.6898105892831103,0.9409528632516518,0.028082740145475182,0.45905636139966777,0.9932712198256695,0.3914564732204382,0.6007758335346697,0.9373651734402232,0.7838880692074633,0.6454737397366134,0.8586276247432943,0.24656705011659474,0.797714948647491,0.7434800067083464,0.08665097683647893,0.13656033901895692,0.6689571696491613,0.5814785661088648,0.4979973852334051,0.9306761278207923,0.7648514919113838,0.8126825403611728,0.6467444580306605,0.726624974679794,0.9666804536113491,0.9765790484556934,0.09295444502489314,0.7715214952515264,0.28710568686356597,0.9211818369705825,0.1496446105786554,0.7770404790167879,0.4666901821298476,0.6441659834756845,0.6330396982372564,0.42272658361373505,0.8494248103694986,0.9883842491170369,0.2819486797663696,0.36722727870073,0.8896826415976687,0.5546222058127609,0.10807041957287244,0.12188517915862274,0.5483255153894785,0.4185052258275834,0.5133238911229303,0.39914962880055826,0.7651179841216464,0.8587654780787124,0.17444642475097416,0.22369467450963587,0.7176908496918999,0.5728555983426109,0.7969392518944164,0.9160767268556308,0.25222592734541505,0.4325827819826167,0.9443771284502764,0.2877959861761443,0.4355811568573228,0.1598658240732267,0.6400007518468229,0.33716161479138285,0.7486801771867815,0.8413311211728396,0.1234978809470757,0.31381068010312607,0.9176185873278649,0.17939919837655338,0.4329860501490801,0.05621067021655157,0.7841558390944617,0.7714998199060886,0.44833099534637466,0.273399444410362,0.4142594147916169,0.44431106060374614,0.3205684509299398,0.10206116219436456,0.5833350283525206,0.43008920417811036,0.43160921378679484,0.577355705882179,0.5334723057880169,0.32524975016084245,0.5113847786896456,0.11569608347221516,0.5717630466448351,0.25874585143598583,0.5805485240215151,0.6606760855161575,0.3625413889939578,0.561707907745553,0.05607584394360976,0.121390607455922,0.5693703237155769,0.17742176098152562,0.7968102874080436,0.8326894048732548,0.7908502895626118,0.06777114774843862,0.48550605200802077,0.5004830054226428,0.6968626848217871,0.5624181005485391,0.7062550306388957,0.8372026800916729,0.587526340310403,0.6805871928020425,0.6713130844110886,0.4579194171334666,0.5823446081961178,0.18606856137666716,0.600534754554397,0.6132493023240774,0.30216344327321387,0.7450649439001266,0.42041773474197397,0.9408880393932185,0.907961334639333,0.2608746903422964,0.9526270569259375,0.7499580557691007,0.7934791379563028,0.3782994824907563,0.36953507364499394,0.6936807954874992,0.10830364103800816,0.21686447882914528,0.8412275368112759,0.6087475587053027,0.02499750317802496,0.6092978342662722,0.40805019237190754,0.2874201642789125,0.33639402352876746]}},"id":"efeac50e-11ee-4838-9afc-41a17caeb8e6","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[],"y":[]}},"id":"e9a25575-e77d-4e9f-aba5-2de08829a955","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e51e0eda-057d-4008-8d2a-ee20474c1c23","type":"Circle"},{"attributes":{},"id":"811b4b04-5acd-4dce-8e0d-e391f2ae2c34","type":"BasicTicker"},{"attributes":{"source":{"id":"efeac50e-11ee-4838-9afc-41a17caeb8e6","type":"ColumnDataSource"}},"id":"0e6356f5-3642-4801-9e1e-49cf6c06f7b0","type":"CDSView"},{"attributes":{},"id":"e03e64f9-fec8-4134-be2b-bded6e3a854a","type":"LinearScale"},{"attributes":{"data_source":{"id":"efeac50e-11ee-4838-9afc-41a17caeb8e6","type":"ColumnDataSource"},"glyph":{"id":"c2921b28-e782-4669-ae49-f219f3946a54","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7368b854-23f2-4da3-a2e1-f0fab1931d1a","type":"Circle"},"selection_glyph":null,"view":{"id":"0e6356f5-3642-4801-9e1e-49cf6c06f7b0","type":"CDSView"}},"id":"9755a379-e178-4e43-b1d1-4f9b32d5f695","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"5e572634-23a4-40a8-a407-90275b7f46a4","type":"LinearAxis"}],"left":[{"id":"275766ec-9159-4996-962b-f83272a2b2ad","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5e572634-23a4-40a8-a407-90275b7f46a4","type":"LinearAxis"},{"id":"b87560f9-bc0e-45d1-9934-35a472881382","type":"Grid"},{"id":"275766ec-9159-4996-962b-f83272a2b2ad","type":"LinearAxis"},{"id":"fd98acfd-c3ba-40b4-b694-0f9980ae236f","type":"Grid"},{"id":"b7a3f392-b6c5-41a6-bcf0-c54fad262fa2","type":"PolyAnnotation"},{"id":"9755a379-e178-4e43-b1d1-4f9b32d5f695","type":"GlyphRenderer"}],"title":{"id":"2f50fd49-f2e7-447a-a13d-9d0ed35dd1cb","type":"Title"},"toolbar":{"id":"e8ed191c-f36a-4efd-a315-55e9bf3b8c00","type":"Toolbar"},"x_range":{"id":"237d1290-1225-48a9-ac81-0a4447436fc8","type":"DataRange1d"},"x_scale":{"id":"e03e64f9-fec8-4134-be2b-bded6e3a854a","type":"LinearScale"},"y_range":{"id":"467762d8-48d4-47f9-86e9-be2ea11f2b39","type":"DataRange1d"},"y_scale":{"id":"a366fa76-c5c9-4f00-94c1-5814b7a462ae","type":"LinearScale"}},"id":"2d0cd405-d387-462a-be1b-648b04a3ed1f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"cbf79c48-fd62-4c92-81a1-f8bcdf103121","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"bdce81e7-1796-4453-a7be-377d5c59f937","type":"BasicTickFormatter"},"plot":{"id":"2d0cd405-d387-462a-be1b-648b04a3ed1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ac4efd6-84e3-44f0-8839-af1ec7d8c3d9","type":"BasicTicker"}},"id":"5e572634-23a4-40a8-a407-90275b7f46a4","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"b7a3f392-b6c5-41a6-bcf0-c54fad262fa2","type":"PolyAnnotation"}},"id":"615e7db9-c7f6-4af2-b15b-fdf39b4327a1","type":"LassoSelectTool"},{"attributes":{"callback":null},"id":"a4550806-f787-4bae-9d60-e7ef1e2cede1","type":"Range1d"},{"attributes":{},"id":"014cc064-4b4d-4b7e-830b-ffb19481b2d1","type":"BasicTicker"},{"attributes":{"args":{"s2":{"id":"e9a25575-e77d-4e9f-aba5-2de08829a955","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d1 = cb_obj.data;\n        var d2 = s2.data;\n        d2['x'] = []\n        d2['y'] = []\n        for (i = 0; i < inds.length; i++) {\n            d2['x'].push(d1['x'][inds[i]])\n            d2['y'].push(d1['y'][inds[i]])\n        }\n        s2.change.emit();\n    "},"id":"098ef32b-3fee-43fb-8398-c9e3af2f7b21","type":"CustomJS"},{"attributes":{},"id":"bdce81e7-1796-4453-a7be-377d5c59f937","type":"BasicTickFormatter"},{"attributes":{},"id":"4ac4efd6-84e3-44f0-8839-af1ec7d8c3d9","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"2d0cd405-d387-462a-be1b-648b04a3ed1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"811b4b04-5acd-4dce-8e0d-e391f2ae2c34","type":"BasicTicker"}},"id":"fd98acfd-c3ba-40b4-b694-0f9980ae236f","type":"Grid"},{"attributes":{"formatter":{"id":"cbf79c48-fd62-4c92-81a1-f8bcdf103121","type":"BasicTickFormatter"},"plot":{"id":"2d0cd405-d387-462a-be1b-648b04a3ed1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"811b4b04-5acd-4dce-8e0d-e391f2ae2c34","type":"BasicTicker"}},"id":"275766ec-9159-4996-962b-f83272a2b2ad","type":"LinearAxis"},{"attributes":{},"id":"8befc06a-661e-4e20-a57c-d2a53aac5545","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c2921b28-e782-4669-ae49-f219f3946a54","type":"Circle"},{"attributes":{},"id":"02b3166a-1a88-4e3d-8d29-b5935a529439","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Select Here"},"id":"2f50fd49-f2e7-447a-a13d-9d0ed35dd1cb","type":"Title"},{"attributes":{"formatter":{"id":"c5869b66-26e0-4c3d-a97d-3818d878e2c8","type":"BasicTickFormatter"},"plot":{"id":"6f462a95-f384-4432-8889-dc4424b5f09b","subtype":"Figure","type":"Plot"},"ticker":{"id":"02b3166a-1a88-4e3d-8d29-b5935a529439","type":"BasicTicker"}},"id":"2f385795-71ef-48dd-88f4-eaa6fda7ef28","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"6f462a95-f384-4432-8889-dc4424b5f09b","subtype":"Figure","type":"Plot"},"ticker":{"id":"014cc064-4b4d-4b7e-830b-ffb19481b2d1","type":"BasicTicker"}},"id":"a347c3ec-4c68-44c9-b0f5-34244387cf89","type":"Grid"},{"attributes":{"below":[{"id":"2f385795-71ef-48dd-88f4-eaa6fda7ef28","type":"LinearAxis"}],"left":[{"id":"7137d93e-ea7f-43fe-bd50-64cfdf784bc1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2f385795-71ef-48dd-88f4-eaa6fda7ef28","type":"LinearAxis"},{"id":"722a55ad-2804-4262-85ee-c34bc2e34cc3","type":"Grid"},{"id":"7137d93e-ea7f-43fe-bd50-64cfdf784bc1","type":"LinearAxis"},{"id":"a347c3ec-4c68-44c9-b0f5-34244387cf89","type":"Grid"},{"id":"c1ffa5f8-98ea-420b-86a0-5b1f74528f57","type":"GlyphRenderer"}],"title":{"id":"5df0bbf6-a6d5-4c7b-971e-e0c53612530b","type":"Title"},"toolbar":{"id":"d70cf4cd-5057-4a97-b462-f5657227bd92","type":"Toolbar"},"x_range":{"id":"f8f65571-e02e-47fc-a3b3-a3864287d126","type":"Range1d"},"x_scale":{"id":"264644a7-1f9f-4d19-b7d8-d4653e2cc349","type":"LinearScale"},"y_range":{"id":"a4550806-f787-4bae-9d60-e7ef1e2cede1","type":"Range1d"},"y_scale":{"id":"b51ba4f9-64cb-432c-8e41-283e95ec512a","type":"LinearScale"}},"id":"6f462a95-f384-4432-8889-dc4424b5f09b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b51ba4f9-64cb-432c-8e41-283e95ec512a","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"615e7db9-c7f6-4af2-b15b-fdf39b4327a1","type":"LassoSelectTool"}]},"id":"e8ed191c-f36a-4efd-a315-55e9bf3b8c00","type":"Toolbar"},{"attributes":{"callback":null},"id":"237d1290-1225-48a9-ac81-0a4447436fc8","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7368b854-23f2-4da3-a2e1-f0fab1931d1a","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"b7a3f392-b6c5-41a6-bcf0-c54fad262fa2","type":"PolyAnnotation"},{"attributes":{},"id":"264644a7-1f9f-4d19-b7d8-d4653e2cc349","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d70cf4cd-5057-4a97-b462-f5657227bd92","type":"Toolbar"},{"attributes":{"plot":{"id":"6f462a95-f384-4432-8889-dc4424b5f09b","subtype":"Figure","type":"Plot"},"ticker":{"id":"02b3166a-1a88-4e3d-8d29-b5935a529439","type":"BasicTicker"}},"id":"722a55ad-2804-4262-85ee-c34bc2e34cc3","type":"Grid"},{"attributes":{"children":[{"id":"2d0cd405-d387-462a-be1b-648b04a3ed1f","subtype":"Figure","type":"Plot"},{"id":"6f462a95-f384-4432-8889-dc4424b5f09b","subtype":"Figure","type":"Plot"}]},"id":"451ffd42-4a60-4d19-be85-b79da5115ae5","type":"Row"},{"attributes":{},"id":"c5869b66-26e0-4c3d-a97d-3818d878e2c8","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"e9a25575-e77d-4e9f-aba5-2de08829a955","type":"ColumnDataSource"}},"id":"d0f149dc-926d-44e8-97bd-7c6cbfe18358","type":"CDSView"},{"attributes":{"callback":null},"id":"f8f65571-e02e-47fc-a3b3-a3864287d126","type":"Range1d"},{"attributes":{"data_source":{"id":"e9a25575-e77d-4e9f-aba5-2de08829a955","type":"ColumnDataSource"},"glyph":{"id":"e51e0eda-057d-4008-8d2a-ee20474c1c23","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2f9caae5-de80-430f-9576-0392e0eac298","type":"Circle"},"selection_glyph":null,"view":{"id":"d0f149dc-926d-44e8-97bd-7c6cbfe18358","type":"CDSView"}},"id":"c1ffa5f8-98ea-420b-86a0-5b1f74528f57","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"2d0cd405-d387-462a-be1b-648b04a3ed1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ac4efd6-84e3-44f0-8839-af1ec7d8c3d9","type":"BasicTicker"}},"id":"b87560f9-bc0e-45d1-9934-35a472881382","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2f9caae5-de80-430f-9576-0392e0eac298","type":"Circle"},{"attributes":{"formatter":{"id":"8befc06a-661e-4e20-a57c-d2a53aac5545","type":"BasicTickFormatter"},"plot":{"id":"6f462a95-f384-4432-8889-dc4424b5f09b","subtype":"Figure","type":"Plot"},"ticker":{"id":"014cc064-4b4d-4b7e-830b-ffb19481b2d1","type":"BasicTicker"}},"id":"7137d93e-ea7f-43fe-bd50-64cfdf784bc1","type":"LinearAxis"},{"attributes":{"callback":null},"id":"467762d8-48d4-47f9-86e9-be2ea11f2b39","type":"DataRange1d"}],"root_ids":["451ffd42-4a60-4d19-be85-b79da5115ae5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"376b492c-6f73-4f74-bdc5-1ce4733ed883","elementid":"135939ed-5716-4217-9b04-4e4b47dd1f0c","modelid":"451ffd42-4a60-4d19-be85-b79da5115ae5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
