(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7e86c3f6-9cbe-4430-857d-09660dbb6c3c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7e86c3f6-9cbe-4430-857d-09660dbb6c3c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2f6c39d7-4f0f-40a4-852c-9025d4b64fcf":{"roots":{"references":[{"attributes":{},"id":"2b8aa6db-2d35-49f7-ad41-f56b3dfabe2c","type":"SaveTool"},{"attributes":{},"id":"1181e116-21d5-49bf-88f4-1f84abbd2701","type":"BasicTicker"},{"attributes":{"below":[{"id":"ee98ee48-4597-40fc-af55-c0afa4cdd458","type":"LinearAxis"}],"left":[{"id":"b00866d7-d53e-409b-bd14-dde1590d1bc2","type":"LinearAxis"}],"outline_line_alpha":{"value":0.3},"outline_line_color":{"value":"navy"},"outline_line_width":{"value":7},"plot_height":400,"plot_width":400,"renderers":[{"id":"ee98ee48-4597-40fc-af55-c0afa4cdd458","type":"LinearAxis"},{"id":"fdefcbc7-1382-4899-92ae-5584438e74e5","type":"Grid"},{"id":"b00866d7-d53e-409b-bd14-dde1590d1bc2","type":"LinearAxis"},{"id":"2bcf871c-5ded-4cc4-94d9-e66a4a1665fa","type":"Grid"},{"id":"6c533360-53db-4427-b54c-8853870adc65","type":"BoxAnnotation"},{"id":"5cc87bcd-d33a-41c7-8c2d-3966528bbb99","type":"GlyphRenderer"}],"title":{"id":"4deb7bd4-8b70-495f-9f76-f87a38c552d8","type":"Title"},"toolbar":{"id":"f58d43a7-20b0-4d02-9bab-fa6400c1c524","type":"Toolbar"},"x_range":{"id":"79988dc8-0fcd-4a92-9695-09f3c405537d","type":"DataRange1d"},"x_scale":{"id":"622d1883-d06f-4d12-9f1e-1cf87bc01a6e","type":"LinearScale"},"y_range":{"id":"52df15f1-6a3c-46ff-b565-982174dfb733","type":"DataRange1d"},"y_scale":{"id":"a451577e-b376-40d9-9d5e-efed3c827795","type":"LinearScale"}},"id":"570bccd3-0e66-4d1f-a202-ca4a40f9c562","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6ca85fb8-0f05-4ffa-8ee5-cd64f4a0cd4a","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"318042f2-83ad-47b2-b4b8-26f2232aff70","type":"ColumnDataSource"}},"id":"4a32591a-1a29-4ae0-bed9-b3cc8a2bf68b","type":"CDSView"},{"attributes":{},"id":"d2d71249-b359-4ba0-9095-3324cda78813","type":"PanTool"},{"attributes":{"formatter":{"id":"6ca85fb8-0f05-4ffa-8ee5-cd64f4a0cd4a","type":"BasicTickFormatter"},"plot":{"id":"570bccd3-0e66-4d1f-a202-ca4a40f9c562","subtype":"Figure","type":"Plot"},"ticker":{"id":"29a2b042-dbd4-4a67-8c83-9efd5648cffd","type":"BasicTicker"}},"id":"b00866d7-d53e-409b-bd14-dde1590d1bc2","type":"LinearAxis"},{"attributes":{},"id":"b6efd798-30e0-4e64-b1b6-c9440c10cd08","type":"ResetTool"},{"attributes":{"data_source":{"id":"318042f2-83ad-47b2-b4b8-26f2232aff70","type":"ColumnDataSource"},"glyph":{"id":"8c30c995-6851-4a3e-8be0-3d179324272d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"db8ed39b-f398-4846-a0b0-28d8e033e105","type":"Circle"},"selection_glyph":null,"view":{"id":"4a32591a-1a29-4ae0-bed9-b3cc8a2bf68b","type":"CDSView"}},"id":"5cc87bcd-d33a-41c7-8c2d-3966528bbb99","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"9ade8c17-75c5-4421-bb5b-c48418b0e6a5","type":"BasicTickFormatter"},"plot":{"id":"570bccd3-0e66-4d1f-a202-ca4a40f9c562","subtype":"Figure","type":"Plot"},"ticker":{"id":"1181e116-21d5-49bf-88f4-1f84abbd2701","type":"BasicTicker"}},"id":"ee98ee48-4597-40fc-af55-c0afa4cdd458","type":"LinearAxis"},{"attributes":{},"id":"622d1883-d06f-4d12-9f1e-1cf87bc01a6e","type":"LinearScale"},{"attributes":{},"id":"9ade8c17-75c5-4421-bb5b-c48418b0e6a5","type":"BasicTickFormatter"},{"attributes":{},"id":"0445b9b8-5afa-471c-82ae-2fca73847749","type":"HelpTool"},{"attributes":{"plot":{"id":"570bccd3-0e66-4d1f-a202-ca4a40f9c562","subtype":"Figure","type":"Plot"},"ticker":{"id":"1181e116-21d5-49bf-88f4-1f84abbd2701","type":"BasicTicker"}},"id":"fdefcbc7-1382-4899-92ae-5584438e74e5","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6c533360-53db-4427-b54c-8853870adc65","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"4deb7bd4-8b70-495f-9f76-f87a38c552d8","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"db8ed39b-f398-4846-a0b0-28d8e033e105","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d2d71249-b359-4ba0-9095-3324cda78813","type":"PanTool"},{"id":"95546f6f-84ac-4ec6-987b-9e449bc4ce81","type":"WheelZoomTool"},{"id":"b2fed5f6-e942-465a-abe1-5f024105b04d","type":"BoxZoomTool"},{"id":"2b8aa6db-2d35-49f7-ad41-f56b3dfabe2c","type":"SaveTool"},{"id":"b6efd798-30e0-4e64-b1b6-c9440c10cd08","type":"ResetTool"},{"id":"0445b9b8-5afa-471c-82ae-2fca73847749","type":"HelpTool"}]},"id":"f58d43a7-20b0-4d02-9bab-fa6400c1c524","type":"Toolbar"},{"attributes":{"callback":null},"id":"79988dc8-0fcd-4a92-9695-09f3c405537d","type":"DataRange1d"},{"attributes":{},"id":"a451577e-b376-40d9-9d5e-efed3c827795","type":"LinearScale"},{"attributes":{},"id":"29a2b042-dbd4-4a67-8c83-9efd5648cffd","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"318042f2-83ad-47b2-b4b8-26f2232aff70","type":"ColumnDataSource"},{"attributes":{},"id":"95546f6f-84ac-4ec6-987b-9e449bc4ce81","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"6c533360-53db-4427-b54c-8853870adc65","type":"BoxAnnotation"}},"id":"b2fed5f6-e942-465a-abe1-5f024105b04d","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"570bccd3-0e66-4d1f-a202-ca4a40f9c562","subtype":"Figure","type":"Plot"},"ticker":{"id":"29a2b042-dbd4-4a67-8c83-9efd5648cffd","type":"BasicTicker"}},"id":"2bcf871c-5ded-4cc4-94d9-e66a4a1665fa","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8c30c995-6851-4a3e-8be0-3d179324272d","type":"Circle"},{"attributes":{"callback":null},"id":"52df15f1-6a3c-46ff-b565-982174dfb733","type":"DataRange1d"}],"root_ids":["570bccd3-0e66-4d1f-a202-ca4a40f9c562"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2f6c39d7-4f0f-40a4-852c-9025d4b64fcf","elementid":"7e86c3f6-9cbe-4430-857d-09660dbb6c3c","modelid":"570bccd3-0e66-4d1f-a202-ca4a40f9c562"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
