(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("26afb1d3-e535-4a4c-b86e-d8d3e83885c4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '26afb1d3-e535-4a4c-b86e-d8d3e83885c4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ff62a235-7679-41b1-83b1-e7cd40564e31":{"roots":{"references":[{"attributes":{"source":{"id":"bcd01e0f-b20c-4114-bc64-06865e58321f","type":"ColumnDataSource"}},"id":"1aa44fab-a668-4633-9858-9452504c1431","type":"CDSView"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"dfaf4aa7-acf8-4478-a3c3-2768ed26af4e","type":"VBar"},{"attributes":{"data_source":{"id":"bcd01e0f-b20c-4114-bc64-06865e58321f","type":"ColumnDataSource"},"glyph":{"id":"dfaf4aa7-acf8-4478-a3c3-2768ed26af4e","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"790e35c8-f936-4970-b757-3ad4d820c2b2","type":"VBar"},"selection_glyph":null,"view":{"id":"1aa44fab-a668-4633-9858-9452504c1431","type":"CDSView"}},"id":"e7510dd9-8aee-45d5-a19f-d82a08154573","type":"GlyphRenderer"},{"attributes":{},"id":"4ebcdb68-62d5-4b01-9242-a7d111309076","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"bcd01e0f-b20c-4114-bc64-06865e58321f","type":"ColumnDataSource"},{"attributes":{},"id":"ea3fc164-09d7-4547-98ee-767a4eca788b","type":"CategoricalScale"},{"attributes":{"callback":null,"end":9},"id":"56dc4f01-35d5-4ec8-827b-2d57d56b3953","type":"Range1d"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"4068c0cd-d0b3-4d46-9f54-8a852da20547","type":"FactorRange"},{"attributes":{"items":[{"id":"90d2f66e-e10a-4a57-97f7-fd8563e4308c","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"7d5a8109-46ef-4724-83db-be4504550b9b","subtype":"Figure","type":"Plot"}},"id":"d42942f8-59df-4ebe-8ab1-73308e76b19a","type":"Legend"},{"attributes":{"dimension":1,"plot":{"id":"7d5a8109-46ef-4724-83db-be4504550b9b","subtype":"Figure","type":"Plot"},"ticker":{"id":"7001c627-5fad-4bb2-8967-41ffbd36114c","type":"BasicTicker"}},"id":"8c508c7b-845e-4a21-8373-e0c71b881a6a","type":"Grid"},{"attributes":{"below":[{"id":"f2b5b01a-a44f-4bbd-b31d-c5cea5755384","type":"CategoricalAxis"}],"left":[{"id":"e0439fc4-e2fd-45f4-9f3a-20c0038ba7f3","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"f2b5b01a-a44f-4bbd-b31d-c5cea5755384","type":"CategoricalAxis"},{"id":"2910a9eb-2aa6-4f82-98e3-030832dd0b55","type":"Grid"},{"id":"e0439fc4-e2fd-45f4-9f3a-20c0038ba7f3","type":"LinearAxis"},{"id":"8c508c7b-845e-4a21-8373-e0c71b881a6a","type":"Grid"},{"id":"d42942f8-59df-4ebe-8ab1-73308e76b19a","type":"Legend"},{"id":"e7510dd9-8aee-45d5-a19f-d82a08154573","type":"GlyphRenderer"}],"title":{"id":"c985c078-b18c-4c17-99cc-0570c089b80a","type":"Title"},"toolbar":{"id":"e86f1142-8962-41d4-a43f-caa8ce4ee013","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"4068c0cd-d0b3-4d46-9f54-8a852da20547","type":"FactorRange"},"x_scale":{"id":"ea3fc164-09d7-4547-98ee-767a4eca788b","type":"CategoricalScale"},"y_range":{"id":"56dc4f01-35d5-4ec8-827b-2d57d56b3953","type":"Range1d"},"y_scale":{"id":"8561b0bc-1925-4e4f-a517-28d1a08ccfe2","type":"LinearScale"}},"id":"7d5a8109-46ef-4724-83db-be4504550b9b","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"c985c078-b18c-4c17-99cc-0570c089b80a","type":"Title"},{"attributes":{},"id":"5c8b13c3-d2d7-4475-88a4-cbeaa238c1ef","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"958c5ad1-abee-494a-a998-91de07d50279","type":"CategoricalTickFormatter"},"plot":{"id":"7d5a8109-46ef-4724-83db-be4504550b9b","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c8b13c3-d2d7-4475-88a4-cbeaa238c1ef","type":"CategoricalTicker"}},"id":"f2b5b01a-a44f-4bbd-b31d-c5cea5755384","type":"CategoricalAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e86f1142-8962-41d4-a43f-caa8ce4ee013","type":"Toolbar"},{"attributes":{},"id":"8561b0bc-1925-4e4f-a517-28d1a08ccfe2","type":"LinearScale"},{"attributes":{},"id":"958c5ad1-abee-494a-a998-91de07d50279","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"4ebcdb68-62d5-4b01-9242-a7d111309076","type":"BasicTickFormatter"},"plot":{"id":"7d5a8109-46ef-4724-83db-be4504550b9b","subtype":"Figure","type":"Plot"},"ticker":{"id":"7001c627-5fad-4bb2-8967-41ffbd36114c","type":"BasicTicker"}},"id":"e0439fc4-e2fd-45f4-9f3a-20c0038ba7f3","type":"LinearAxis"},{"attributes":{},"id":"7001c627-5fad-4bb2-8967-41ffbd36114c","type":"BasicTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"7d5a8109-46ef-4724-83db-be4504550b9b","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c8b13c3-d2d7-4475-88a4-cbeaa238c1ef","type":"CategoricalTicker"}},"id":"2910a9eb-2aa6-4f82-98e3-030832dd0b55","type":"Grid"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"e7510dd9-8aee-45d5-a19f-d82a08154573","type":"GlyphRenderer"}]},"id":"90d2f66e-e10a-4a57-97f7-fd8563e4308c","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"790e35c8-f936-4970-b757-3ad4d820c2b2","type":"VBar"}],"root_ids":["7d5a8109-46ef-4724-83db-be4504550b9b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ff62a235-7679-41b1-83b1-e7cd40564e31","elementid":"26afb1d3-e535-4a4c-b86e-d8d3e83885c4","modelid":"7d5a8109-46ef-4724-83db-be4504550b9b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
