(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0b33c729-edb8-4133-82e5-cfb8e2796b20");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0b33c729-edb8-4133-82e5-cfb8e2796b20' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fd502f08-45fa-47bf-b63e-62dbce975cd5":{"roots":{"references":[{"attributes":{"formatter":{"id":"adba6dd5-e6c8-449b-bd19-0499bf9885b8","type":"BasicTickFormatter"},"plot":{"id":"56cc0e71-6716-4537-9efa-22bc1e60ce94","subtype":"Figure","type":"Plot"},"ticker":{"id":"870bf477-baeb-4ffc-94d9-488c884293fb","type":"BasicTicker"}},"id":"903628e2-f9be-46dc-94ee-7b115fa824f1","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"56cc0e71-6716-4537-9efa-22bc1e60ce94","subtype":"Figure","type":"Plot"},"ticker":{"id":"870bf477-baeb-4ffc-94d9-488c884293fb","type":"BasicTicker"}},"id":"b31f3186-5f73-41de-9c5a-6fd1874862b3","type":"Grid"},{"attributes":{},"id":"adba6dd5-e6c8-449b-bd19-0499bf9885b8","type":"BasicTickFormatter"},{"attributes":{},"id":"01192625-3c1c-4110-aa4c-9ed0a62b544d","type":"BasicTicker"},{"attributes":{},"id":"fa9355cc-8321-4a86-98fa-3fee17f5909a","type":"SaveTool"},{"attributes":{},"id":"0a169d83-8733-4a1a-8086-dc7cedfcd030","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b4e8b603-8137-4d25-944d-0519bd85ff2d","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"56cc0e71-6716-4537-9efa-22bc1e60ce94","subtype":"Figure","type":"Plot"},"ticker":{"id":"01192625-3c1c-4110-aa4c-9ed0a62b544d","type":"BasicTicker"}},"id":"36b9910b-80fe-48e3-bc1b-d32d1351094b","type":"Grid"},{"attributes":{},"id":"81730dd7-5873-4c0b-bec1-428814559f54","type":"HelpTool"},{"attributes":{},"id":"0ce102c6-7c93-4a93-b3db-fea0420b16df","type":"BasicTickFormatter"},{"attributes":{},"id":"afc620c6-6622-411e-937f-df2ce10c1e46","type":"LinearScale"},{"attributes":{"source":{"id":"6f14acb2-9448-4ad5-98da-589ce5b1b973","type":"ColumnDataSource"}},"id":"6d6abba5-066c-4e10-90d2-04346ab021d9","type":"CDSView"},{"attributes":{"callback":null},"id":"8bd028d5-019a-4639-b5c3-1d0264ecb852","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0a169d83-8733-4a1a-8086-dc7cedfcd030","type":"PanTool"},{"id":"b9b83f5f-222d-428d-a417-f1e2435f2329","type":"WheelZoomTool"},{"id":"8703e09a-2d5e-4848-a939-ee661cc05882","type":"BoxZoomTool"},{"id":"fa9355cc-8321-4a86-98fa-3fee17f5909a","type":"SaveTool"},{"id":"fca31fb6-9744-4795-8ce3-d72237bb0fa3","type":"ResetTool"},{"id":"81730dd7-5873-4c0b-bec1-428814559f54","type":"HelpTool"}]},"id":"f0a1f80e-8a1b-422f-abe3-de3bc242705a","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"2159ddcd-f3b8-46b7-afb9-e087608abd6a","type":"Patches"},{"attributes":{"overlay":{"id":"b4e8b603-8137-4d25-944d-0519bd85ff2d","type":"BoxAnnotation"}},"id":"8703e09a-2d5e-4848-a939-ee661cc05882","type":"BoxZoomTool"},{"attributes":{},"id":"6301ebcf-96a8-4371-8cb7-9985deedc247","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha","fill_alpha","fill_color"],"data":{"fill_alpha":[0.8,0.3],"fill_color":["firebrick","navy"],"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"6f14acb2-9448-4ad5-98da-589ce5b1b973","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"2b5586e0-f141-408a-9b1a-6bed261ab644","type":"LinearAxis"}],"left":[{"id":"903628e2-f9be-46dc-94ee-7b115fa824f1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2b5586e0-f141-408a-9b1a-6bed261ab644","type":"LinearAxis"},{"id":"36b9910b-80fe-48e3-bc1b-d32d1351094b","type":"Grid"},{"id":"903628e2-f9be-46dc-94ee-7b115fa824f1","type":"LinearAxis"},{"id":"b31f3186-5f73-41de-9c5a-6fd1874862b3","type":"Grid"},{"id":"b4e8b603-8137-4d25-944d-0519bd85ff2d","type":"BoxAnnotation"},{"id":"7c2bdc0d-29cf-4924-be65-490094d19c10","type":"GlyphRenderer"}],"title":{"id":"3bc90747-478b-4fd3-8b43-623243c5a9ec","type":"Title"},"toolbar":{"id":"f0a1f80e-8a1b-422f-abe3-de3bc242705a","type":"Toolbar"},"x_range":{"id":"1fbd8993-6b37-45f7-8427-27f5682b49f1","type":"DataRange1d"},"x_scale":{"id":"6301ebcf-96a8-4371-8cb7-9985deedc247","type":"LinearScale"},"y_range":{"id":"8bd028d5-019a-4639-b5c3-1d0264ecb852","type":"DataRange1d"},"y_scale":{"id":"afc620c6-6622-411e-937f-df2ce10c1e46","type":"LinearScale"}},"id":"56cc0e71-6716-4537-9efa-22bc1e60ce94","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"field":"fill_alpha"},"fill_color":{"field":"fill_color"},"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"c0166b50-75ba-4cad-b676-1a74dc9ebc71","type":"Patches"},{"attributes":{"data_source":{"id":"6f14acb2-9448-4ad5-98da-589ce5b1b973","type":"ColumnDataSource"},"glyph":{"id":"c0166b50-75ba-4cad-b676-1a74dc9ebc71","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2159ddcd-f3b8-46b7-afb9-e087608abd6a","type":"Patches"},"selection_glyph":null,"view":{"id":"6d6abba5-066c-4e10-90d2-04346ab021d9","type":"CDSView"}},"id":"7c2bdc0d-29cf-4924-be65-490094d19c10","type":"GlyphRenderer"},{"attributes":{},"id":"870bf477-baeb-4ffc-94d9-488c884293fb","type":"BasicTicker"},{"attributes":{},"id":"b9b83f5f-222d-428d-a417-f1e2435f2329","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"0ce102c6-7c93-4a93-b3db-fea0420b16df","type":"BasicTickFormatter"},"plot":{"id":"56cc0e71-6716-4537-9efa-22bc1e60ce94","subtype":"Figure","type":"Plot"},"ticker":{"id":"01192625-3c1c-4110-aa4c-9ed0a62b544d","type":"BasicTicker"}},"id":"2b5586e0-f141-408a-9b1a-6bed261ab644","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1fbd8993-6b37-45f7-8427-27f5682b49f1","type":"DataRange1d"},{"attributes":{},"id":"fca31fb6-9744-4795-8ce3-d72237bb0fa3","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"3bc90747-478b-4fd3-8b43-623243c5a9ec","type":"Title"}],"root_ids":["56cc0e71-6716-4537-9efa-22bc1e60ce94"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fd502f08-45fa-47bf-b63e-62dbce975cd5","elementid":"0b33c729-edb8-4133-82e5-cfb8e2796b20","modelid":"56cc0e71-6716-4537-9efa-22bc1e60ce94"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
