(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e7fd9df5-98fe-4012-b026-472f5b741b2b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e7fd9df5-98fe-4012-b026-472f5b741b2b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e164666a-87ff-4db2-8feb-661248e838e4":{"roots":{"references":[{"attributes":{},"id":"38c22827-146a-4cb2-ac78-acc674d950c8","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"55ac1092-dd7f-47e2-80df-a2d90549d57e","type":"BoxAnnotation"},{"attributes":{},"id":"ce76a39e-bc48-495c-acd1-e04689991ce3","type":"LinearScale"},{"attributes":{"background_fill_color":{"value":"#f0e1d2"},"border_fill_color":{"value":"#f0e1d2"},"min_border":0,"outline_line_color":{"value":"black"},"plot_height":800,"plot_width":800,"renderers":[{"id":"55ac1092-dd7f-47e2-80df-a2d90549d57e","type":"BoxAnnotation"},{"id":"0cfe0eed-3b50-4674-b8f8-68f76454056d","type":"GlyphRenderer"},{"id":"18724b97-2150-46fa-aa56-d13e08af4e55","type":"GlyphRenderer"},{"id":"d5563ce1-56f0-4430-a488-3372fa516b64","type":"GlyphRenderer"},{"id":"8da98454-caf7-4a9c-9fff-8fda9f26f740","type":"GlyphRenderer"},{"id":"a6481419-d57d-4c30-9749-2ac7e6a0870f","type":"GlyphRenderer"},{"id":"a416d1b9-3cff-402d-ba61-7afdd82138ac","type":"GlyphRenderer"},{"id":"f20f9a04-9740-47f4-82f1-9f2a51610567","type":"GlyphRenderer"},{"id":"f9d4e19d-e427-45ba-a406-86721789ffc4","type":"GlyphRenderer"},{"id":"6ddc6498-2982-4faf-a23e-4f2a0f3870b7","type":"GlyphRenderer"},{"id":"f26555a9-eedf-4823-873e-60c15c1e3e9e","type":"GlyphRenderer"},{"id":"ebf1bbc3-581c-4062-ada3-c3675c39c706","type":"GlyphRenderer"},{"id":"0aa9e723-3771-4674-9f5e-f62de10a42de","type":"GlyphRenderer"}],"title":{"id":"7a665c6b-0e5d-4e86-b499-2d634ef328cc","type":"Title"},"toolbar":{"id":"0a6bc948-1186-4bc7-8cb2-ac40ed3538f5","type":"Toolbar"},"toolbar_sticky":false,"x_range":{"id":"5fafe93d-7c62-48bb-aa7f-8cf8d22615eb","type":"Range1d"},"x_scale":{"id":"3f19d6fc-e418-4ba3-9966-3ff5f5158873","type":"LinearScale"},"y_range":{"id":"abfc1fdf-b336-4b59-82c3-57bb914b0e81","type":"Range1d"},"y_scale":{"id":"ce76a39e-bc48-495c-acd1-e04689991ce3","type":"LinearScale"}},"id":"0217d79a-af88-4671-bd98-eaead920f6f7","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"FyEz4zyk8z8EPFU1uHTrP7hriEjtQd8/ln2Zmahpvj/urLv7GA3Qv6Lc7g5O2uO/yuL/nw+u7797dIiY6MD1v4/3EGHJqvu/Ub3MFFXKAMDc/hB5Rb8DwGZAVd01tAbA8IGZQSapCcB6w92lFp4MwAcFIgoHkw/ARyMzt/tDEcA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"pmlXNAGDYkDWwF0C/m1lQDjj0CUzIWlAZ+OHhpjCZECbzPtu2O9jQJvM+27Y72NAHRgJcjWcZkAdGAlyNZxmQAbJjNcyD2VAx3MGqjT1bUAGyYzXMg9lQIaiNChEiGtAOOPQJTMhaUDoDDhWBvtgQKDSxFcteWFASjEX/kFVYUA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"8DJENPjL8j+1X3fXLsTpPxqzzIza4Ns/Hpuqql3lsD+MZXe3K27Tv/G4zGzXiuW/jN/ufkyv8L+iYndHLZn2v7bl/w8Og/y/ZTREbHc2AcDwdYjQZysEwHq3zDRYIAfABPkQmUgVCsCOOlX9OAoNwBt8mWEp/w/A0d7u4gx6EcA=","dtype":"float64","shape":[16]}}},"id":"cef6921a-9aa4-487c-9b7c-227b082b1a53","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","line_color","fill_color"],"data":{"end_angle":{"__ndarray__":"juv/7wot9j95aHcnKkPwP8nK3b2SsuQ/QImZWaK90T9QDCIig6e3v2iPqupjkd2/3E1mhnOc6r8EqruLGjjzvxgtRFT7Ifm/LLDMHNwL/7+hmapy3noCwCvb7tbObwXAtRwzO79kCMA/Xnefr1kLwMufuwOgTg7AqvD/M8ihEMA=","dtype":"float64","shape":[16]},"fill_color":["#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8"],"line_color":["#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8"],"start_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]}}},"id":"1092fb7b-50f4-4080-85d3-529658fdcec5","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"ab3890f5-5c3b-428e-bcd2-f74e231d3968","type":"ColumnDataSource"},"glyph":{"id":"2e062c23-0dc8-4bf5-91af-43eeffc32a25","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e7940eb2-5e28-4895-86ed-fa72b1e0f936","type":"Text"},"selection_glyph":null,"view":{"id":"3d047671-b710-4faa-bf65-f632cbd3b380","type":"CDSView"}},"id":"a416d1b9-3cff-402d-ba61-7afdd82138ac","type":"GlyphRenderer"},{"attributes":{"source":{"id":"3b765bf2-d3e8-4751-ade7-38a41ca66cb3","type":"ColumnDataSource"}},"id":"576a6ba3-49c8-46a0-a27b-2601accc0390","type":"CDSView"},{"attributes":{"data_source":{"id":"024f89c9-4a66-43f8-ae7e-af76fe27edf5","type":"ColumnDataSource"},"glyph":{"id":"a464b27f-09fa-46fe-9359-9261ce56441f","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7089e0d3-c447-4860-9630-c5e38e56d074","type":"Text"},"selection_glyph":null,"view":{"id":"92a76445-3518-4592-9045-3c80ef30e7b2","type":"CDSView"}},"id":"0aa9e723-3771-4674-9f5e-f62de10a42de","type":"GlyphRenderer"},{"attributes":{"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a464b27f-09fa-46fe-9359-9261ce56441f","type":"Text"},{"attributes":{"source":{"id":"1092fb7b-50f4-4080-85d3-529658fdcec5","type":"ColumnDataSource"}},"id":"d97de9e8-86ad-4c41-8e7c-6b58f2e16242","type":"CDSView"},{"attributes":{"source":{"id":"c1447b11-a4ff-4e41-8a5a-76933df5cf0b","type":"ColumnDataSource"}},"id":"22ef3f8b-cc62-47d7-8409-5792f0334f6a","type":"CDSView"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"black"},"inner_radius":{"units":"data","value":80},"outer_radius":{"units":"data","value":300},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"673e7259-78fb-492e-9107-a154bba1f77f","type":"AnnularWedge"},{"attributes":{"source":{"id":"1775a91c-d757-4053-99f5-a5034d85af18","type":"ColumnDataSource"}},"id":"025ee339-4676-4bda-9a2c-5d5885a63614","type":"CDSView"},{"attributes":{},"id":"a723d155-da5d-44fa-9668-334971bce0aa","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["radius"],"data":{"radius":{"__ndarray__":"AAAAAAAgckDHcwaqNPVtQDjj0CUzIWlABsmM1zIPZUCg0sRXLXlhQBRFOMxxdlxAAAAAAACAVkA=","dtype":"float64","shape":[7]}}},"id":"c1447b11-a4ff-4e41-8a5a-76933df5cf0b","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["text","y"],"data":{"text":["0.001","0.01","0.1","1.0","10.0","100.0"],"y":{"__ndarray__":"AAAAAAAgckDHcwaqNPVtQDjj0CUzIWlABsmM1zIPZUCg0sRXLXlhQBRFOMxxdlxA","dtype":"float64","shape":[6]}}},"id":"ab3890f5-5c3b-428e-bcd2-f74e231d3968","type":"ColumnDataSource"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":80},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":300},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"64540c03-fb14-4c55-a4d7-d82a1a90eb49","type":"AnnularWedge"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"43369457-5c2c-4d4d-9532-e1cfbd0fc87d","type":"AnnularWedge"},{"attributes":{"source":{"id":"fb77a4d1-f206-4a96-83b1-c7038aa623f7","type":"ColumnDataSource"}},"id":"c8f0df2d-e3f2-41cc-8965-4cc13268addc","type":"CDSView"},{"attributes":{"data_source":{"id":"1775a91c-d757-4053-99f5-a5034d85af18","type":"ColumnDataSource"},"glyph":{"id":"673e7259-78fb-492e-9107-a154bba1f77f","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"64540c03-fb14-4c55-a4d7-d82a1a90eb49","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"025ee339-4676-4bda-9a2c-5d5885a63614","type":"CDSView"}},"id":"f20f9a04-9740-47f4-82f1-9f2a51610567","type":"GlyphRenderer"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":13},"line_color":{"field":"line_color"},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"fb7ddb42-79a8-4c85-9477-4d613188eb0d","type":"Rect"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"field":"fill_color"},"inner_radius":{"units":"data","value":90},"line_color":{"field":"line_color"},"outer_radius":{"units":"data","value":290},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"c8b65397-f40c-40b1-975f-8dfbc2f15c08","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"c1447b11-a4ff-4e41-8a5a-76933df5cf0b","type":"ColumnDataSource"},"glyph":{"id":"5540602d-cb93-4181-9d84-7462d817b65c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"230308a2-c938-4485-aa65-19399e41b03c","type":"Circle"},"selection_glyph":null,"view":{"id":"22ef3f8b-cc62-47d7-8409-5792f0334f6a","type":"CDSView"}},"id":"a6481419-d57d-4c30-9749-2ac7e6a0870f","type":"GlyphRenderer"},{"attributes":{"angle":{"field":"angle","units":"rad"},"text_align":"center","text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7bbf8f61-cfcd-4208-ae60-51f1b90a1770","type":"Text"},{"attributes":{"data_source":{"id":"7e9036f4-2c50-4972-9334-9908b25e0f1b","type":"ColumnDataSource"},"glyph":{"id":"0e111afd-778d-49b5-8ca2-32a630e6d457","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2ee98cd2-dcfd-4883-8f02-03d95aa62497","type":"Circle"},"selection_glyph":null,"view":{"id":"8b4d9d0b-7fe2-487c-9173-00de749510f4","type":"CDSView"}},"id":"6ddc6498-2982-4faf-a23e-4f2a0f3870b7","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"fb77a4d1-f206-4a96-83b1-c7038aa623f7","type":"ColumnDataSource"},"glyph":{"id":"d15af59a-e33c-4767-aec2-7a785c296ea5","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dce3e9db-1dfa-44f9-8c68-c2e5f0b97712","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"c8f0df2d-e3f2-41cc-8965-4cc13268addc","type":"CDSView"}},"id":"8da98454-caf7-4a9c-9fff-8fda9f26f740","type":"GlyphRenderer"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"#c64737"},"inner_radius":{"units":"data","value":90},"line_color":{"value":"#c64737"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"b5b4b8eb-6566-41dd-8dbe-9e1a1c34bcb6","type":"AnnularWedge"},{"attributes":{"angle":{"field":"angle","units":"rad"},"text_align":"center","text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6724ed37-9576-4985-92b2-258378c97838","type":"Text"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"#0d3362"},"inner_radius":{"units":"data","value":90},"line_color":{"value":"#0d3362"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"0d10dbff-76a4-407c-9537-ba2e6668b7bd","type":"AnnularWedge"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0d3362","#c64737","black"],"line_color":["#0d3362","#c64737","black"],"x":[-40,-40,-40],"y":[18,0,-18]}},"id":"81d7a8db-b10d-4288-b88d-4fc58b5cb4bd","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"7a665c6b-0e5d-4e86-b499-2d634ef328cc","type":"Title"},{"attributes":{"source":{"id":"ab3890f5-5c3b-428e-bcd2-f74e231d3968","type":"ColumnDataSource"}},"id":"3d047671-b710-4faa-bf65-f632cbd3b380","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":13},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"3d791694-2129-4a82-bd14-c415b429e96d","type":"Rect"},{"attributes":{"callback":null,"column_names":["x","y","line_color","fill_color"],"data":{"fill_color":["#aeaeb8","#e69584"],"line_color":["#aeaeb8","#e69584"],"x":[-40,-40],"y":[-370,-390]}},"id":"7e9036f4-2c50-4972-9334-9908b25e0f1b","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"81d7a8db-b10d-4288-b88d-4fc58b5cb4bd","type":"ColumnDataSource"},"glyph":{"id":"fb7ddb42-79a8-4c85-9477-4d613188eb0d","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3d791694-2129-4a82-bd14-c415b429e96d","type":"Rect"},"selection_glyph":null,"view":{"id":"398ada02-77b5-4fcc-865f-aec5c64cd5ec","type":"CDSView"}},"id":"ebf1bbc3-581c-4062-ada3-c3675c39c706","type":"GlyphRenderer"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":290},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"a26f9b0d-a010-47b2-a249-a0a942248df7","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"1092fb7b-50f4-4080-85d3-529658fdcec5","type":"ColumnDataSource"},"glyph":{"id":"c8b65397-f40c-40b1-975f-8dfbc2f15c08","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a26f9b0d-a010-47b2-a249-a0a942248df7","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"d97de9e8-86ad-4c41-8e7c-6b58f2e16242","type":"CDSView"}},"id":"0cfe0eed-3b50-4674-b8f8-68f76454056d","type":"GlyphRenderer"},{"attributes":{},"id":"d615871c-4ca8-4eb5-bb6f-7b54e45adda2","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["text","y","x"],"data":{"text":["Gram-positive","Gram-negative"],"x":[-30,-30],"y":[-370,-390]}},"id":"3b765bf2-d3e8-4751-ade7-38a41ca66cb3","type":"ColumnDataSource"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"black"},"inner_radius":{"units":"data","value":90},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"d15af59a-e33c-4767-aec2-7a785c296ea5","type":"AnnularWedge"},{"attributes":{"callback":null,"end":420,"start":-420},"id":"abfc1fdf-b336-4b59-82c3-57bb914b0e81","type":"Range1d"},{"attributes":{"callback":null,"column_names":["text","y","x"],"data":{"text":["Penicillin","Streptomycin","Neomycin"],"x":[-15,-15,-15],"y":[18,0,-18]}},"id":"024f89c9-4a66-43f8-ae7e-af76fe27edf5","type":"ColumnDataSource"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"4ecf24e8-fb5c-4b52-a52c-2cbcbc430449","type":"AnnularWedge"},{"attributes":{"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":5},"x":{"field":"x"},"y":{"field":"y"}},"id":"0e111afd-778d-49b5-8ca2-32a630e6d457","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c49b5ffc-29cc-40f3-b6fe-dfcd0c42c002","type":"PanTool"},{"id":"a723d155-da5d-44fa-9668-334971bce0aa","type":"WheelZoomTool"},{"id":"d4149fa1-d347-4f57-8068-8dd360b59c08","type":"BoxZoomTool"},{"id":"2d0cc199-8060-46c5-8d04-fb60f3fc4e99","type":"SaveTool"},{"id":"d615871c-4ca8-4eb5-bb6f-7b54e45adda2","type":"ResetTool"},{"id":"38c22827-146a-4cb2-ac78-acc674d950c8","type":"HelpTool"}]},"id":"0a6bc948-1186-4bc7-8cb2-ac40ed3538f5","type":"Toolbar"},{"attributes":{"source":{"id":"e307a553-5616-4fe7-a63a-21b3b7bf7d75","type":"ColumnDataSource"}},"id":"5ede8c53-a2c2-4fd1-86fc-1a301e7d68ad","type":"CDSView"},{"attributes":{"source":{"id":"cef6921a-9aa4-487c-9b7c-227b082b1a53","type":"ColumnDataSource"}},"id":"72309931-db4f-477c-906c-a76461ddc1f7","type":"CDSView"},{"attributes":{"data_source":{"id":"cef6921a-9aa4-487c-9b7c-227b082b1a53","type":"ColumnDataSource"},"glyph":{"id":"b5b4b8eb-6566-41dd-8dbe-9e1a1c34bcb6","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"43369457-5c2c-4d4d-9532-e1cfbd0fc87d","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"72309931-db4f-477c-906c-a76461ddc1f7","type":"CDSView"}},"id":"d5563ce1-56f0-4430-a488-3372fa516b64","type":"GlyphRenderer"},{"attributes":{"source":{"id":"024f89c9-4a66-43f8-ae7e-af76fe27edf5","type":"ColumnDataSource"}},"id":"92a76445-3518-4592-9045-3c80ef30e7b2","type":"CDSView"},{"attributes":{"text_align":"center","text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"8pt"},"x":{"value":0},"y":{"field":"y"}},"id":"2e062c23-0dc8-4bf5-91af-43eeffc32a25","type":"Text"},{"attributes":{"data_source":{"id":"56ab32e7-d3b5-4f1d-a07d-01b7f5efec75","type":"ColumnDataSource"},"glyph":{"id":"6724ed37-9576-4985-92b2-258378c97838","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7bbf8f61-cfcd-4208-ae60-51f1b90a1770","type":"Text"},"selection_glyph":null,"view":{"id":"e8e5cc68-b001-46b6-80b6-5a1c84eae66e","type":"CDSView"}},"id":"f9d4e19d-e427-45ba-a406-86721789ffc4","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle"],"data":{"end_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]}}},"id":"1775a91c-d757-4053-99f5-a5034d85af18","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"yERVhbPz8T9mg5l5pRPoP3v6ENHHf9g/KMXd3ZUIiz8rHjNzPs/Wv0CVqspgO+e/tM3dLZGH8b/KUGb2cXH3v97T7r5SW/2/eKu7w5miAcAD7f8nipcEwI0uRIx6jAfAF3CI8GqBCsChscxUW3YNwJd5iNylNRDAW5qqDh6wEcA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"m8z7btjvY0D9PDy5w1RpQDjj0CUzIWlABsmM1zIPZUChS31Y0mVsQB0YCXI1nGZAOOPQJTMhaUCyh+QAGnxuQM3Wg944S2RA/HdeznjObkA449AlMyFpQAAAAAAAIHJAAAAAAAAgckCg0sRXLXlhQFhbROgM+V5AoNLEVy15YUA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"oVZm1m4b8T8Xp7sbHGPmP91BVRW1HtU/p1NmZnBGpL/J1u4uUTDav49xiCjq6+i/27vM3NVf8r/xPlWltkn4vwXC3W2XM/6/jCIzG7wOAsAXZHd/rAMFwKGlu+Oc+AfAK+f/R43tCsC1KESsfeINwCE1RAi3axDA5VVmOi/mEcA=","dtype":"float64","shape":[16]}}},"id":"fb77a4d1-f206-4a96-83b1-c7038aa623f7","type":"ColumnDataSource"},{"attributes":{"text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7089e0d3-c447-4860-9630-c5e38e56d074","type":"Text"},{"attributes":{},"id":"2d0cc199-8060-46c5-8d04-fb60f3fc4e99","type":"SaveTool"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"white"},"radius":{"field":"radius","units":"data"},"x":{"value":0},"y":{"value":0}},"id":"5540602d-cb93-4181-9d84-7462d817b65c","type":"Circle"},{"attributes":{"callback":null,"column_names":["angle","text","y","x"],"data":{"angle":{"__ndarray__":"BKq7ixo48z/dTWaGc5zqP2iPqupjkd0/WgwiIoOntz8+iZlZor3Rv8nK3b2SsuS/eGh3JypD8L+O6//vCi32v47r/+8KLfY/emh3JypD8D/Iyt29krLkP0CJmVmivdE/QAwiIoOnt79gj6rqY5Hdv+BNZoZznOq/BKq7ixo4878=","dtype":"float64","shape":[16]},"text":["Mycobacterium tuberculosis","Salmonella schottmuelleri","Proteus vulgaris","Klebsiella pneumoniae","Brucella abortus","Pseudomonas aeruginosa","Escherichia coli","Salmonella (Eberthella) typhosa","Aerobacter aerogenes","Brucella antracis","Streptococcus fecalis","Staphylococcus aureus","Staphylococcus albus","Streptococcus hemolyticus","Streptococcus viridans","Diplococcus pneumoniae"],"x":{"__ndarray__":"cGn7M6UwWkA0VkZE5WtoQKq2lcOOOXBAjuBL4jQMckDOGdT43m5xQMF6BpGZ7WxA7SBXXEoVY0AXTcs3yKRKQBJNyzfIpErA6CBXXEoVY8DBegaRme1swM4Z1PjebnHAj+BL4jQMcsCrtpXDjjlwwDJWRkTla2jAcWn7M6UwWsA=","dtype":"float64","shape":[16]},"y":{"__ndarray__":"aywf0KvmcEAmrFe0AMpqQKfycbJzKGBAv6EJxQDCOkC6LG9iL9dTwNZbjg1z2GXAdpVS2APSbsAYUkjE/tBxwBhSSMT+0HHAepVS2APSbsDWW44Nc9hlwL8sb2Iv11PAmaEJxQDCOkCi8nGycyhgQCasV7QAympAaywf0KvmcEA=","dtype":"float64","shape":[16]}}},"id":"56ab32e7-d3b5-4f1d-a07d-01b7f5efec75","type":"ColumnDataSource"},{"attributes":{},"id":"c49b5ffc-29cc-40f3-b6fe-dfcd0c42c002","type":"PanTool"},{"attributes":{"source":{"id":"81d7a8db-b10d-4288-b88d-4fc58b5cb4bd","type":"ColumnDataSource"}},"id":"398ada02-77b5-4fcc-865f-aec5c64cd5ec","type":"CDSView"},{"attributes":{"source":{"id":"56ab32e7-d3b5-4f1d-a07d-01b7f5efec75","type":"ColumnDataSource"}},"id":"e8e5cc68-b001-46b6-80b6-5a1c84eae66e","type":"CDSView"},{"attributes":{"callback":null,"end":420,"start":-420},"id":"5fafe93d-7c62-48bb-aa7f-8cf8d22615eb","type":"Range1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"field":"radius","units":"data"},"x":{"value":0},"y":{"value":0}},"id":"230308a2-c938-4485-aa65-19399e41b03c","type":"Circle"},{"attributes":{"text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"7pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"011413e5-cb39-4719-9e94-a0025a958e6c","type":"Text"},{"attributes":{"source":{"id":"7e9036f4-2c50-4972-9334-9908b25e0f1b","type":"ColumnDataSource"}},"id":"8b4d9d0b-7fe2-487c-9173-00de749510f4","type":"CDSView"},{"attributes":{},"id":"3f19d6fc-e418-4ba3-9966-3ff5f5158873","type":"LinearScale"},{"attributes":{"data_source":{"id":"3b765bf2-d3e8-4751-ade7-38a41ca66cb3","type":"ColumnDataSource"},"glyph":{"id":"2b30c6af-0144-484d-b606-54be24092a9f","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"011413e5-cb39-4719-9e94-a0025a958e6c","type":"Text"},"selection_glyph":null,"view":{"id":"576a6ba3-49c8-46a0-a27b-2601accc0390","type":"CDSView"}},"id":"f26555a9-eedf-4823-873e-60c15c1e3e9e","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"e307a553-5616-4fe7-a63a-21b3b7bf7d75","type":"ColumnDataSource"},"glyph":{"id":"0d10dbff-76a4-407c-9537-ba2e6668b7bd","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4ecf24e8-fb5c-4b52-a52c-2cbcbc430449","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"5ede8c53-a2c2-4fd1-86fc-1a301e7d68ad","type":"CDSView"}},"id":"18724b97-2150-46fa-aa56-d13e08af4e55","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"55ac1092-dd7f-47e2-80df-a2d90549d57e","type":"BoxAnnotation"}},"id":"d4149fa1-d347-4f57-8068-8dd360b59c08","type":"BoxZoomTool"},{"attributes":{"text_align":"center","text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"8pt"},"x":{"value":0},"y":{"field":"y"}},"id":"e7940eb2-5e28-4895-86ed-fa72b1e0f936","type":"Text"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"Zv0QQcZU9T+i9BDxytXuP3ru/18JAuM/RKG7Ox+5zD9kd4gI55XCvwQkM1M7eeC/LCpE5PxM7L8smKo6XxD0v0AbMwNA+vm/U567yyDk/7+0ECLKAOcCwD5SZi7x2wXAyJOqkuHQCMBS1e720cULwN8WM1vCug7ANKy7X9nXEMA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"bLZfBPAOV0Cg0sRXLXlhQDLrDr5nTGNA1FIAQwHoVkAGyYzXMg9lQNRSAEMB6FZAFEU4zHF2XEAGyYzXMg9lQHi2fdUW2VZAAAAAAAAgckAGyYzXMg9lQIaiNChEiGtA/HdeznjObkAAAAAAACByQKYExgH2o29ApgTGAfajb0A=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"Pw8ikoF89D9UGDOTQSXtPysSIgKAUeE/CDBExPn2xT+g6P9/DFjJv1IAEbHEKeK/egYiQob97b9Thpnpo+j0v2cJIrKE0vq/PUZVvTJeAMDIh5khI1MDwFLJ3YUTSAbA3Aoi6gM9CcBmTGZO9DEMwPONqrLkJg/Avmd3i+oNEcA=","dtype":"float64","shape":[16]}}},"id":"e307a553-5616-4fe7-a63a-21b3b7bf7d75","type":"ColumnDataSource"},{"attributes":{"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"7pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2b30c6af-0144-484d-b606-54be24092a9f","type":"Text"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"dce3e9db-1dfa-44f9-8c68-c2e5f0b97712","type":"AnnularWedge"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":5},"x":{"field":"x"},"y":{"field":"y"}},"id":"2ee98cd2-dcfd-4883-8f02-03d95aa62497","type":"Circle"}],"root_ids":["0217d79a-af88-4671-bd98-eaead920f6f7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e164666a-87ff-4db2-8feb-661248e838e4","elementid":"e7fd9df5-98fe-4012-b026-472f5b741b2b","modelid":"0217d79a-af88-4671-bd98-eaead920f6f7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
