(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("19bfed55-4da2-4b00-bd93-b473a5ed5890");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '19bfed55-4da2-4b00-bd93-b473a5ed5890' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d3512cdb-cdb6-4b21-8bbb-d4fcfa346672":{"roots":{"references":[{"attributes":{},"id":"12653325-c387-4d6e-9ab3-a52d172b15f5","type":"LinearScale"},{"attributes":{},"id":"4605c757-cd94-441d-8158-fa6f6e7c022f","type":"NodesOnly"},{"attributes":{},"id":"f0373af0-8ad1-4ccf-8907-c3b963e06646","type":"Circle"},{"attributes":{"formatter":{"id":"defef5f2-bc24-4fc0-9d10-7ea3f3d45b00","type":"BasicTickFormatter"},"plot":{"id":"fcca3e2d-c844-446e-8c2c-73728869afc3","subtype":"Figure","type":"Plot"},"ticker":{"id":"59285ed3-ea40-4bc7-adae-30491fa9ae15","type":"BasicTicker"}},"id":"21054d10-cc74-4e88-89ef-94a5fa085da6","type":"LinearAxis"},{"attributes":{},"id":"defef5f2-bc24-4fc0-9d10-7ea3f3d45b00","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"82e4069f-a9da-4c36-a315-cc9512367cca","type":"ColumnDataSource"}},"id":"25ba8dd4-bfcc-4bdf-8d9b-a35fe81e6e36","type":"CDSView"},{"attributes":{},"id":"59285ed3-ea40-4bc7-adae-30491fa9ae15","type":"BasicTicker"},{"attributes":{"plot":{"id":"fcca3e2d-c844-446e-8c2c-73728869afc3","subtype":"Figure","type":"Plot"},"ticker":{"id":"db1d8418-7d67-4d3d-8b08-16d6362f9bfc","type":"BasicTicker"}},"id":"336e12ec-f5ed-4187-ae5e-b39fa8f0123d","type":"Grid"},{"attributes":{},"id":"bc39aa21-993c-41a2-99da-fceb390a68a9","type":"MultiLine"},{"attributes":{},"id":"f44ff93b-7826-440e-aaa0-43fce3f3fc43","type":"LinearScale"},{"attributes":{},"id":"4ead2c6d-11af-41f7-a854-b67550817d71","type":"NodesOnly"},{"attributes":{"formatter":{"id":"4c59a3f4-f268-46ec-8b85-71ab9ce32822","type":"BasicTickFormatter"},"plot":{"id":"fcca3e2d-c844-446e-8c2c-73728869afc3","subtype":"Figure","type":"Plot"},"ticker":{"id":"db1d8418-7d67-4d3d-8b08-16d6362f9bfc","type":"BasicTicker"}},"id":"a9bc0585-1520-4250-945a-e939347af4e0","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"82e4069f-a9da-4c36-a315-cc9512367cca","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"b66c6065-eff1-4cc0-b097-3ccd2749afa3","type":"Range1d"},{"attributes":{},"id":"4c59a3f4-f268-46ec-8b85-71ab9ce32822","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"bcd4d1f5-294e-409c-8a13-b3fbbaf42863","type":"ColumnDataSource"},"glyph":{"id":"bc39aa21-993c-41a2-99da-fceb390a68a9","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"efc4fe4b-7524-4f7f-a4eb-b1b559a45016","type":"CDSView"}},"id":"62ea237d-bbf6-4840-bf04-2f32dda860ae","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"a9bc0585-1520-4250-945a-e939347af4e0","type":"LinearAxis"}],"left":[{"id":"21054d10-cc74-4e88-89ef-94a5fa085da6","type":"LinearAxis"}],"renderers":[{"id":"a9bc0585-1520-4250-945a-e939347af4e0","type":"LinearAxis"},{"id":"336e12ec-f5ed-4187-ae5e-b39fa8f0123d","type":"Grid"},{"id":"21054d10-cc74-4e88-89ef-94a5fa085da6","type":"LinearAxis"},{"id":"beaebb8f-9c34-4810-98cd-02b09c73802e","type":"Grid"},{"id":"7da09ba7-d34a-4a62-ad8e-662c95dbdbc6","type":"GraphRenderer"}],"title":{"id":"19df466d-605d-450a-a343-68e3900bf0ee","type":"Title"},"toolbar":{"id":"edc0baab-734c-4c87-841a-2b2f8179e26f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e2c48522-442b-488c-acd2-83cd70a6e3b2","type":"Range1d"},"x_scale":{"id":"12653325-c387-4d6e-9ab3-a52d172b15f5","type":"LinearScale"},"y_range":{"id":"b66c6065-eff1-4cc0-b097-3ccd2749afa3","type":"Range1d"},"y_scale":{"id":"f44ff93b-7826-440e-aaa0-43fce3f3fc43","type":"LinearScale"}},"id":"fcca3e2d-c844-446e-8c2c-73728869afc3","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"edc0baab-734c-4c87-841a-2b2f8179e26f","type":"Toolbar"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"e2c48522-442b-488c-acd2-83cd70a6e3b2","type":"Range1d"},{"attributes":{"edge_renderer":{"id":"62ea237d-bbf6-4840-bf04-2f32dda860ae","type":"GlyphRenderer"},"inspection_policy":{"id":"4ead2c6d-11af-41f7-a854-b67550817d71","type":"NodesOnly"},"layout_provider":{"id":"0f6112a6-2a00-423f-8187-b885a494c978","type":"StaticLayoutProvider"},"node_renderer":{"id":"51ec979f-7902-4d9b-a0cb-9e97de6e27c0","type":"GlyphRenderer"},"selection_policy":{"id":"4605c757-cd94-441d-8158-fa6f6e7c022f","type":"NodesOnly"}},"id":"7da09ba7-d34a-4a62-ad8e-662c95dbdbc6","type":"GraphRenderer"},{"attributes":{"source":{"id":"bcd4d1f5-294e-409c-8a13-b3fbbaf42863","type":"ColumnDataSource"}},"id":"efc4fe4b-7524-4f7f-a4eb-b1b559a45016","type":"CDSView"},{"attributes":{"graph_layout":{"0":[0.49279102533428776,0.12046375008561916],"1":[0.3372798065934859,0.15373368091509731],"10":[0.9605712340547639,0.1301814494347362],"11":[0.39529505191832937,0.8171618653959458],"12":[0.7897490020215103,0.48052527926816224],"13":[0.09825961250679938,0.0331453179200365],"14":[-0.25611892271011416,-0.9752307698075725],"15":[-0.9496061638765592,-0.5122028762566768],"16":[0.7373336644417485,-0.7863714064278371],"17":[0.91767510913793,0.028600780805900783],"18":[-0.7594208155567903,-0.8017447817051548],"19":[-0.012978279936049608,0.3673929584028779],"2":[-0.13226966589432798,0.10127450989543862],"20":[-0.45689186804315585,-1.0],"21":[0.6315149767316266,0.6452462313577172],"22":[-1.0,-0.3381350429773363],"23":[-0.986580274266215,-0.12541128841231064],"24":[-0.7189528364713746,0.6082560485716528],"25":[-0.9047994291003749,0.3911139879068446],"26":[-0.6249406942532416,-0.9101022822750462],"27":[-0.8624366682735417,0.1750265468426706],"28":[-0.6545513041675237,0.1993903555649792],"29":[-0.8466806861805629,-0.6245636638975145],"3":[0.39869630113334753,0.4001822842064946],"30":[-0.021589935877924793,-0.5212386320029518],"31":[-0.4117970571396474,0.16051044153064709],"32":[-0.5268419433661198,-0.47476162949142753],"33":[-0.5095268357774304,-0.28338635405529977],"4":[1.0,-0.17218471861134577],"5":[0.934490094721997,-0.35492605507743547],"6":[0.9001863847059737,-0.5264424756005803],"7":[0.47171106478576963,-0.07610729611917277],"8":[-0.050381778647238806,-0.2965252847533655],"9":[-0.46672829222124024,0.4897695187178519]}},"id":"0f6112a6-2a00-423f-8187-b885a494c978","type":"StaticLayoutProvider"},{"attributes":{"data_source":{"id":"82e4069f-a9da-4c36-a315-cc9512367cca","type":"ColumnDataSource"},"glyph":{"id":"f0373af0-8ad1-4ccf-8907-c3b963e06646","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"25ba8dd4-bfcc-4bdf-8d9b-a35fe81e6e36","type":"CDSView"}},"id":"51ec979f-7902-4d9b-a0cb-9e97de6e27c0","type":"GlyphRenderer"},{"attributes":{},"id":"db1d8418-7d67-4d3d-8b08-16d6362f9bfc","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"fcca3e2d-c844-446e-8c2c-73728869afc3","subtype":"Figure","type":"Plot"},"ticker":{"id":"59285ed3-ea40-4bc7-adae-30491fa9ae15","type":"BasicTicker"}},"id":"beaebb8f-9c34-4810-98cd-02b09c73802e","type":"Grid"},{"attributes":{"plot":null,"text":"Networkx Integration Demonstration"},"id":"19df466d-605d-450a-a343-68e3900bf0ee","type":"Title"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"bcd4d1f5-294e-409c-8a13-b3fbbaf42863","type":"ColumnDataSource"}],"root_ids":["fcca3e2d-c844-446e-8c2c-73728869afc3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d3512cdb-cdb6-4b21-8bbb-d4fcfa346672","elementid":"19bfed55-4da2-4b00-bd93-b473a5ed5890","modelid":"fcca3e2d-c844-446e-8c2c-73728869afc3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
