(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("019358ad-bee0-448f-8be2-8c53ca42d616");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '019358ad-bee0-448f-8be2-8c53ca42d616' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"09f3288c-de67-4b1e-895a-bd2ae64360f8":{"roots":{"references":[{"attributes":{"fill_color":{"field":"x","transform":{"id":"300700d8-a9f7-4ef4-9ac9-3148d93c2fe0","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"384b5880-cc29-49a6-b869-e3aa236937ad","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"ba6bae68-3db5-4122-941e-c02cf8f9077c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d5a8735-a335-4148-8cbe-b923590b8241","type":"BasicTicker"}},"id":"73fbc2be-f53f-4283-9c02-70722cc7bac1","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"98a7ed2a-a7b5-4e46-88df-27b61af87717","type":"VBar"},{"attributes":{"source":{"id":"3019a91d-7dea-41ae-8ef9-16316cfcd5d5","type":"ColumnDataSource"}},"id":"1429813f-3e2e-4f6e-aa64-920bd5d5ddf8","type":"CDSView"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"cfc479ed-1737-414b-8a20-be78d9004147","type":"FactorRange"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"2fbe05c9-8655-473e-b224-65045ef43992","type":"Title"},{"attributes":{"data_source":{"id":"3019a91d-7dea-41ae-8ef9-16316cfcd5d5","type":"ColumnDataSource"},"glyph":{"id":"384b5880-cc29-49a6-b869-e3aa236937ad","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"98a7ed2a-a7b5-4e46-88df-27b61af87717","type":"VBar"},"selection_glyph":null,"view":{"id":"1429813f-3e2e-4f6e-aa64-920bd5d5ddf8","type":"CDSView"}},"id":"ba1162c4-6e2a-48a7-9667-1970f1f0dad0","type":"GlyphRenderer"},{"attributes":{},"id":"a980a466-086b-4f8f-9eb2-c823e8704fd1","type":"CategoricalTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"308f5918-bd89-449b-8c19-139c60e05720","type":"Toolbar"},{"attributes":{"callback":null,"start":0},"id":"21994cfb-1a82-4053-bd1b-573b72a42654","type":"DataRange1d"},{"attributes":{},"id":"b0895103-8a27-4aeb-880d-9d145fb884d4","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"3019a91d-7dea-41ae-8ef9-16316cfcd5d5","type":"ColumnDataSource"},{"attributes":{},"id":"409599ab-a7e4-4db7-8d08-563f8ae32ac8","type":"LinearScale"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ba6bae68-3db5-4122-941e-c02cf8f9077c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5993cec4-1d0e-408f-8814-55122148b518","type":"CategoricalTicker"}},"id":"02e08d95-80d9-44e9-a5bc-f6486b0b8ed6","type":"Grid"},{"attributes":{},"id":"5993cec4-1d0e-408f-8814-55122148b518","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"a980a466-086b-4f8f-9eb2-c823e8704fd1","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"ba6bae68-3db5-4122-941e-c02cf8f9077c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5993cec4-1d0e-408f-8814-55122148b518","type":"CategoricalTicker"}},"id":"be82af6c-610c-4530-a544-4d4fad838cb1","type":"CategoricalAxis"},{"attributes":{},"id":"2449b0cf-e1ae-4bba-95fb-ab68846fa108","type":"CategoricalScale"},{"attributes":{},"id":"5d5a8735-a335-4148-8cbe-b923590b8241","type":"BasicTicker"},{"attributes":{"below":[{"id":"be82af6c-610c-4530-a544-4d4fad838cb1","type":"CategoricalAxis"}],"left":[{"id":"24005e7c-d92d-4c25-a87a-39ec961971fb","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"be82af6c-610c-4530-a544-4d4fad838cb1","type":"CategoricalAxis"},{"id":"02e08d95-80d9-44e9-a5bc-f6486b0b8ed6","type":"Grid"},{"id":"24005e7c-d92d-4c25-a87a-39ec961971fb","type":"LinearAxis"},{"id":"73fbc2be-f53f-4283-9c02-70722cc7bac1","type":"Grid"},{"id":"ba1162c4-6e2a-48a7-9667-1970f1f0dad0","type":"GlyphRenderer"}],"title":{"id":"2fbe05c9-8655-473e-b224-65045ef43992","type":"Title"},"toolbar":{"id":"308f5918-bd89-449b-8c19-139c60e05720","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"cfc479ed-1737-414b-8a20-be78d9004147","type":"FactorRange"},"x_scale":{"id":"2449b0cf-e1ae-4bba-95fb-ab68846fa108","type":"CategoricalScale"},"y_range":{"id":"21994cfb-1a82-4053-bd1b-573b72a42654","type":"DataRange1d"},"y_scale":{"id":"409599ab-a7e4-4db7-8d08-563f8ae32ac8","type":"LinearScale"}},"id":"ba6bae68-3db5-4122-941e-c02cf8f9077c","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"b0895103-8a27-4aeb-880d-9d145fb884d4","type":"BasicTickFormatter"},"plot":{"id":"ba6bae68-3db5-4122-941e-c02cf8f9077c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d5a8735-a335-4148-8cbe-b923590b8241","type":"BasicTicker"}},"id":"24005e7c-d92d-4c25-a87a-39ec961971fb","type":"LinearAxis"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"300700d8-a9f7-4ef4-9ac9-3148d93c2fe0","type":"CategoricalColorMapper"}],"root_ids":["ba6bae68-3db5-4122-941e-c02cf8f9077c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"09f3288c-de67-4b1e-895a-bd2ae64360f8","elementid":"019358ad-bee0-448f-8be2-8c53ca42d616","modelid":"ba6bae68-3db5-4122-941e-c02cf8f9077c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
