(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("caa62009-08f8-4523-b10a-42a8af9323ad");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'caa62009-08f8-4523-b10a-42a8af9323ad' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ad9f0ddb-cdcd-40ff-bb02-844b89a99d73":{"roots":{"references":[{"attributes":{},"id":"0e10f13e-ec54-4135-a1bf-759ace9e5610","type":"ResetTool"},{"attributes":{},"id":"99957be8-2d8e-472c-865a-1f84cc2b99f4","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6afd6e63-6aba-4837-bfa7-0273403ed567","type":"Patch"},{"attributes":{},"id":"2ccfa0d2-4515-447b-bcbe-a022baa5e592","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"fa3526ae-6ea8-43dd-abae-f1073ee151ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d8b2830-933c-465d-a50b-bfdb0eb7ef76","type":"BasicTicker"}},"id":"4d1f6f33-fe33-4d86-83bf-b727486096bf","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"afeb6f76-8f32-45a9-91bb-d7caa01562ae","type":"Patch"},{"attributes":{},"id":"5e76b877-8349-4db5-bbf2-8dd74f6198ab","type":"LinearScale"},{"attributes":{"formatter":{"id":"38e46793-5269-4cd4-8db1-6764daf9c6e9","type":"BasicTickFormatter"},"plot":{"id":"fa3526ae-6ea8-43dd-abae-f1073ee151ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d8b2830-933c-465d-a50b-bfdb0eb7ef76","type":"BasicTicker"}},"id":"6c7000db-4ee4-41be-8b18-72881a43e31e","type":"LinearAxis"},{"attributes":{},"id":"efea2a20-d7fc-41c5-9eb7-bb807147ab17","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"e08140a7-249b-415a-83df-3eec027153a1","type":"Title"},{"attributes":{"callback":null},"id":"3e6eb52a-0b39-4446-9f16-f6157f615594","type":"DataRange1d"},{"attributes":{},"id":"fd464628-674d-4e1b-91cb-698d29b0fe40","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"3677514a-acb2-4b39-a508-3bd1fd6bd9e5","type":"DataRange1d"},{"attributes":{"plot":{"id":"fa3526ae-6ea8-43dd-abae-f1073ee151ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"bdf73d49-d8c1-4476-885a-f228835ab5de","type":"BasicTicker"}},"id":"9b4b63b4-581f-4695-99b8-0b5d3a4c51cd","type":"Grid"},{"attributes":{"formatter":{"id":"99957be8-2d8e-472c-865a-1f84cc2b99f4","type":"BasicTickFormatter"},"plot":{"id":"fa3526ae-6ea8-43dd-abae-f1073ee151ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"bdf73d49-d8c1-4476-885a-f228835ab5de","type":"BasicTicker"}},"id":"2ffb50e6-db7f-40d6-a81f-7a8172a667dc","type":"LinearAxis"},{"attributes":{"overlay":{"id":"76a0b7c0-10e6-4aca-9bc9-e7c8ac8f9606","type":"BoxAnnotation"}},"id":"e569d9a2-9aa4-4e76-9b05-7866a2470b9b","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"76a0b7c0-10e6-4aca-9bc9-e7c8ac8f9606","type":"BoxAnnotation"},{"attributes":{},"id":"9ef4d5dd-a261-480d-86bb-71c965c4d248","type":"HelpTool"},{"attributes":{},"id":"8d8b2830-933c-465d-a50b-bfdb0eb7ef76","type":"BasicTicker"},{"attributes":{"data_source":{"id":"bf7a38a6-3353-415d-a15e-cd26695b5a6b","type":"ColumnDataSource"},"glyph":{"id":"6afd6e63-6aba-4837-bfa7-0273403ed567","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"afeb6f76-8f32-45a9-91bb-d7caa01562ae","type":"Patch"},"selection_glyph":null,"view":{"id":"103e39e1-ec06-4a2c-a788-e34ec35a4056","type":"CDSView"}},"id":"404d356c-3fbf-4413-8b99-6c11048bf23e","type":"GlyphRenderer"},{"attributes":{"source":{"id":"bf7a38a6-3353-415d-a15e-cd26695b5a6b","type":"ColumnDataSource"}},"id":"103e39e1-ec06-4a2c-a788-e34ec35a4056","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6e458189-4bbb-4962-b9e9-e7b09e35ca85","type":"PanTool"},{"id":"fd464628-674d-4e1b-91cb-698d29b0fe40","type":"WheelZoomTool"},{"id":"e569d9a2-9aa4-4e76-9b05-7866a2470b9b","type":"BoxZoomTool"},{"id":"efea2a20-d7fc-41c5-9eb7-bb807147ab17","type":"SaveTool"},{"id":"0e10f13e-ec54-4135-a1bf-759ace9e5610","type":"ResetTool"},{"id":"9ef4d5dd-a261-480d-86bb-71c965c4d248","type":"HelpTool"}]},"id":"847920d5-0a59-4fc2-8302-f2d3c62f12da","type":"Toolbar"},{"attributes":{"below":[{"id":"2ffb50e6-db7f-40d6-a81f-7a8172a667dc","type":"LinearAxis"}],"left":[{"id":"6c7000db-4ee4-41be-8b18-72881a43e31e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2ffb50e6-db7f-40d6-a81f-7a8172a667dc","type":"LinearAxis"},{"id":"9b4b63b4-581f-4695-99b8-0b5d3a4c51cd","type":"Grid"},{"id":"6c7000db-4ee4-41be-8b18-72881a43e31e","type":"LinearAxis"},{"id":"4d1f6f33-fe33-4d86-83bf-b727486096bf","type":"Grid"},{"id":"76a0b7c0-10e6-4aca-9bc9-e7c8ac8f9606","type":"BoxAnnotation"},{"id":"404d356c-3fbf-4413-8b99-6c11048bf23e","type":"GlyphRenderer"}],"title":{"id":"e08140a7-249b-415a-83df-3eec027153a1","type":"Title"},"toolbar":{"id":"847920d5-0a59-4fc2-8302-f2d3c62f12da","type":"Toolbar"},"x_range":{"id":"3e6eb52a-0b39-4446-9f16-f6157f615594","type":"DataRange1d"},"x_scale":{"id":"2ccfa0d2-4515-447b-bcbe-a022baa5e592","type":"LinearScale"},"y_range":{"id":"3677514a-acb2-4b39-a508-3bd1fd6bd9e5","type":"DataRange1d"},"y_scale":{"id":"5e76b877-8349-4db5-bbf2-8dd74f6198ab","type":"LinearScale"}},"id":"fa3526ae-6ea8-43dd-abae-f1073ee151ef","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"38e46793-5269-4cd4-8db1-6764daf9c6e9","type":"BasicTickFormatter"},{"attributes":{},"id":"bdf73d49-d8c1-4476-885a-f228835ab5de","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"bf7a38a6-3353-415d-a15e-cd26695b5a6b","type":"ColumnDataSource"},{"attributes":{},"id":"6e458189-4bbb-4962-b9e9-e7b09e35ca85","type":"PanTool"}],"root_ids":["fa3526ae-6ea8-43dd-abae-f1073ee151ef"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ad9f0ddb-cdcd-40ff-bb02-844b89a99d73","elementid":"caa62009-08f8-4523-b10a-42a8af9323ad","modelid":"fa3526ae-6ea8-43dd-abae-f1073ee151ef"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
