(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a9996e11-949b-4598-8314-acfa27da5d3a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a9996e11-949b-4598-8314-acfa27da5d3a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5503e979-7f18-4a7f-9b5e-c54d590acba9":{"roots":{"references":[{"attributes":{},"id":"bd8e34b2-121c-44ed-bf45-293ca5a3cf82","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"02509960-c393-437b-82a3-f2e3dbc614e6","type":"LinearAxis"}],"left":[{"id":"2616dda4-bb22-4521-9def-38e3f74cf4b5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"02509960-c393-437b-82a3-f2e3dbc614e6","type":"LinearAxis"},{"id":"0bf1f91e-1f56-499e-8bda-d0aceebeec51","type":"Grid"},{"id":"2616dda4-bb22-4521-9def-38e3f74cf4b5","type":"LinearAxis"},{"id":"25faecac-d487-4858-8aad-4c32a327abf0","type":"Grid"},{"id":"77f6e143-3629-4b4c-a2d8-0bde561eabdf","type":"GlyphRenderer"}],"title":{"id":"00812381-0b2d-40ca-9525-da4eb0a3e31a","type":"Title"},"toolbar":{"id":"dff59915-54a5-467e-bba9-298d2a8be208","type":"Toolbar"},"x_range":{"id":"1f6b51b3-b253-4aec-aabe-4a39185681c4","type":"DataRange1d"},"x_scale":{"id":"7084b2b8-2b5b-4fea-859d-aa5b19572d93","type":"LinearScale"},"y_range":{"id":"8635cf72-8583-449c-a66f-dbedaeb3f40b","type":"DataRange1d"},"y_scale":{"id":"a5048989-26ea-4820-a6f3-b62ddecb5820","type":"LinearScale"}},"id":"a2033af3-22d8-4c9e-82bd-231559fa35eb","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"}},"id":"5c26b63d-1cf9-44e3-ab2b-5b0a5c9b6899","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"a2033af3-22d8-4c9e-82bd-231559fa35eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"716d738d-0608-4e8c-98b6-259eb014ac64","type":"BasicTicker"}},"id":"25faecac-d487-4858-8aad-4c32a327abf0","type":"Grid"},{"attributes":{"source":{"id":"e6627371-0ce8-4b51-be09-f2e7eaa1b930","type":"ColumnDataSource"}},"id":"4e614140-19fe-49db-a2b3-e09b68c5b2db","type":"CDSView"},{"attributes":{},"id":"a5048989-26ea-4820-a6f3-b62ddecb5820","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"653e6a1c-b20f-4ef4-95e3-664ced979ecb","type":"Circle"},{"attributes":{"formatter":{"id":"bd8e34b2-121c-44ed-bf45-293ca5a3cf82","type":"BasicTickFormatter"},"plot":{"id":"a2033af3-22d8-4c9e-82bd-231559fa35eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"71029218-c1f4-4a0a-8506-96ebf0efc2f0","type":"BasicTicker"}},"id":"02509960-c393-437b-82a3-f2e3dbc614e6","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":null}},"id":"e259e482-ff5e-4f18-a9a8-73535d9f3403","type":"Circle"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"00812381-0b2d-40ca-9525-da4eb0a3e31a","type":"Title"},{"attributes":{},"id":"10338e07-05b4-4e90-babb-9861ba78d6ce","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"10338e07-05b4-4e90-babb-9861ba78d6ce","type":"BasicTickFormatter"},"plot":{"id":"a2033af3-22d8-4c9e-82bd-231559fa35eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"716d738d-0608-4e8c-98b6-259eb014ac64","type":"BasicTicker"}},"id":"2616dda4-bb22-4521-9def-38e3f74cf4b5","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e6627371-0ce8-4b51-be09-f2e7eaa1b930","type":"ColumnDataSource"},"glyph":{"id":"653e6a1c-b20f-4ef4-95e3-664ced979ecb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5c26b63d-1cf9-44e3-ab2b-5b0a5c9b6899","type":"Circle"},"selection_glyph":{"id":"e259e482-ff5e-4f18-a9a8-73535d9f3403","type":"Circle"},"view":{"id":"4e614140-19fe-49db-a2b3-e09b68c5b2db","type":"CDSView"}},"id":"77f6e143-3629-4b4c-a2d8-0bde561eabdf","type":"GlyphRenderer"},{"attributes":{},"id":"716d738d-0608-4e8c-98b6-259eb014ac64","type":"BasicTicker"},{"attributes":{},"id":"71029218-c1f4-4a0a-8506-96ebf0efc2f0","type":"BasicTicker"},{"attributes":{"callback":null},"id":"8635cf72-8583-449c-a66f-dbedaeb3f40b","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e6627371-0ce8-4b51-be09-f2e7eaa1b930","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"a2033af3-22d8-4c9e-82bd-231559fa35eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"71029218-c1f4-4a0a-8506-96ebf0efc2f0","type":"BasicTicker"}},"id":"0bf1f91e-1f56-499e-8bda-d0aceebeec51","type":"Grid"},{"attributes":{},"id":"7084b2b8-2b5b-4fea-859d-aa5b19572d93","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"834cbbe7-3887-444f-ba3f-15ad8e6c180d","type":"TapTool"}]},"id":"dff59915-54a5-467e-bba9-298d2a8be208","type":"Toolbar"},{"attributes":{"callback":null},"id":"1f6b51b3-b253-4aec-aabe-4a39185681c4","type":"DataRange1d"},{"attributes":{"callback":null},"id":"834cbbe7-3887-444f-ba3f-15ad8e6c180d","type":"TapTool"}],"root_ids":["a2033af3-22d8-4c9e-82bd-231559fa35eb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5503e979-7f18-4a7f-9b5e-c54d590acba9","elementid":"a9996e11-949b-4598-8314-acfa27da5d3a","modelid":"a2033af3-22d8-4c9e-82bd-231559fa35eb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
