(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9c359066-ca5f-43f1-861e-da543ab26be9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9c359066-ca5f-43f1-861e-da543ab26be9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a983757b-9807-4ba2-8a8e-745237f271cc":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"fc2e1ef7-00f3-4ff3-a030-dd89d310a1fa","type":"Title"},{"attributes":{},"id":"1415714b-b954-41f7-a2cf-b004c03bf81b","type":"HelpTool"},{"attributes":{},"id":"cc23e5ee-c768-4a97-b532-3c08f0208635","type":"WheelZoomTool"},{"attributes":{},"id":"f1d462a1-f8f4-40fc-9fcf-41cfb3001093","type":"ResetTool"},{"attributes":{"formatter":{"id":"44c33158-a7ec-4358-8828-b4bb2e50358e","type":"BasicTickFormatter"},"plot":{"id":"946107a3-8d4d-41bf-b42a-a277a0698dd6","subtype":"Figure","type":"Plot"},"ticker":{"id":"8cc0b5eb-b790-4fcb-9bf6-4ae3f5b7a4f0","type":"BasicTicker"}},"id":"604d8ed1-58c4-4829-9fd3-2e3c8b6c6c75","type":"LinearAxis"},{"attributes":{"dimension":1,"minor_grid_line_alpha":{"value":0.1},"minor_grid_line_color":{"value":"navy"},"plot":{"id":"946107a3-8d4d-41bf-b42a-a277a0698dd6","subtype":"Figure","type":"Plot"},"ticker":{"id":"8cc0b5eb-b790-4fcb-9bf6-4ae3f5b7a4f0","type":"BasicTicker"}},"id":"495ccf52-38a3-4cde-b1eb-e5e42a52b76f","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"95d8b75b-a1cd-48a5-813d-88e5b8805d9f","type":"ColumnDataSource"},{"attributes":{},"id":"8c4faea3-229b-43be-9ed8-66469ba2f606","type":"LinearScale"},{"attributes":{},"id":"44c33158-a7ec-4358-8828-b4bb2e50358e","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4073e2d1-a57c-4d37-8a83-4ba03cba6825","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"29a8f4e0-a18c-4f3f-863f-f8b449d6a39f","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b82e3311-51dc-41a6-848b-fdd407b0b7b6","type":"Circle"},{"attributes":{},"id":"caf1b016-31b4-463d-a961-3c40def537cb","type":"PanTool"},{"attributes":{},"id":"8cc0b5eb-b790-4fcb-9bf6-4ae3f5b7a4f0","type":"BasicTicker"},{"attributes":{"source":{"id":"95d8b75b-a1cd-48a5-813d-88e5b8805d9f","type":"ColumnDataSource"}},"id":"6944a90d-2258-47b0-b777-1a8938a4b5b0","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"caf1b016-31b4-463d-a961-3c40def537cb","type":"PanTool"},{"id":"cc23e5ee-c768-4a97-b532-3c08f0208635","type":"WheelZoomTool"},{"id":"ebaaba89-8c6e-4e0f-b2bc-7c680ba67d31","type":"BoxZoomTool"},{"id":"3e78cf90-2678-475c-9de1-4f4caf9e7c22","type":"SaveTool"},{"id":"f1d462a1-f8f4-40fc-9fcf-41cfb3001093","type":"ResetTool"},{"id":"1415714b-b954-41f7-a2cf-b004c03bf81b","type":"HelpTool"}]},"id":"3c4855cb-6ee8-487f-a95b-b9a9901edea6","type":"Toolbar"},{"attributes":{},"id":"3e78cf90-2678-475c-9de1-4f4caf9e7c22","type":"SaveTool"},{"attributes":{"callback":null},"id":"ff3bd6ab-deb8-4ba4-854e-fcdfedff79af","type":"DataRange1d"},{"attributes":{"plot":{"id":"946107a3-8d4d-41bf-b42a-a277a0698dd6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9f9429df-7874-418e-a247-007be616d40b","type":"BasicTicker"}},"id":"646178ec-fdd5-4f6d-b4ad-c0f6642f7e50","type":"Grid"},{"attributes":{"callback":null},"id":"f98bb151-c1bf-4c6c-8d77-239cd3660795","type":"DataRange1d"},{"attributes":{},"id":"d30e479c-e636-4760-ade2-ff6f928cf274","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"d30e479c-e636-4760-ade2-ff6f928cf274","type":"BasicTickFormatter"},"plot":{"id":"946107a3-8d4d-41bf-b42a-a277a0698dd6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9f9429df-7874-418e-a247-007be616d40b","type":"BasicTicker"}},"id":"3b015636-c75c-43e2-96e2-4c897f91160e","type":"LinearAxis"},{"attributes":{"overlay":{"id":"29a8f4e0-a18c-4f3f-863f-f8b449d6a39f","type":"BoxAnnotation"}},"id":"ebaaba89-8c6e-4e0f-b2bc-7c680ba67d31","type":"BoxZoomTool"},{"attributes":{},"id":"9f9429df-7874-418e-a247-007be616d40b","type":"BasicTicker"},{"attributes":{"below":[{"id":"3b015636-c75c-43e2-96e2-4c897f91160e","type":"LinearAxis"}],"left":[{"id":"604d8ed1-58c4-4829-9fd3-2e3c8b6c6c75","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3b015636-c75c-43e2-96e2-4c897f91160e","type":"LinearAxis"},{"id":"646178ec-fdd5-4f6d-b4ad-c0f6642f7e50","type":"Grid"},{"id":"604d8ed1-58c4-4829-9fd3-2e3c8b6c6c75","type":"LinearAxis"},{"id":"495ccf52-38a3-4cde-b1eb-e5e42a52b76f","type":"Grid"},{"id":"29a8f4e0-a18c-4f3f-863f-f8b449d6a39f","type":"BoxAnnotation"},{"id":"a86b4fa6-7ee4-43b2-a057-6ffb201b63d6","type":"GlyphRenderer"}],"title":{"id":"fc2e1ef7-00f3-4ff3-a030-dd89d310a1fa","type":"Title"},"toolbar":{"id":"3c4855cb-6ee8-487f-a95b-b9a9901edea6","type":"Toolbar"},"x_range":{"id":"ff3bd6ab-deb8-4ba4-854e-fcdfedff79af","type":"DataRange1d"},"x_scale":{"id":"8c4faea3-229b-43be-9ed8-66469ba2f606","type":"LinearScale"},"y_range":{"id":"f98bb151-c1bf-4c6c-8d77-239cd3660795","type":"DataRange1d"},"y_scale":{"id":"0fb9ef0b-3290-4c10-af72-b94031ff81b6","type":"LinearScale"}},"id":"946107a3-8d4d-41bf-b42a-a277a0698dd6","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0fb9ef0b-3290-4c10-af72-b94031ff81b6","type":"LinearScale"},{"attributes":{"data_source":{"id":"95d8b75b-a1cd-48a5-813d-88e5b8805d9f","type":"ColumnDataSource"},"glyph":{"id":"4073e2d1-a57c-4d37-8a83-4ba03cba6825","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b82e3311-51dc-41a6-848b-fdd407b0b7b6","type":"Circle"},"selection_glyph":null,"view":{"id":"6944a90d-2258-47b0-b777-1a8938a4b5b0","type":"CDSView"}},"id":"a86b4fa6-7ee4-43b2-a057-6ffb201b63d6","type":"GlyphRenderer"}],"root_ids":["946107a3-8d4d-41bf-b42a-a277a0698dd6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a983757b-9807-4ba2-8a8e-745237f271cc","elementid":"9c359066-ca5f-43f1-861e-da543ab26be9","modelid":"946107a3-8d4d-41bf-b42a-a277a0698dd6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
