(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("82bc33c8-3dd8-4f77-8443-71ee3844ef92");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '82bc33c8-3dd8-4f77-8443-71ee3844ef92' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"77371574-7f36-48ec-bf8d-c58dbb22213a":{"roots":{"references":[{"attributes":{},"id":"b9b875b9-0250-496b-bc42-49c6ce17bf97","type":"LinearScale"},{"attributes":{},"id":"2c6e56a4-11b4-4854-a9f2-0b90766d472e","type":"BasicTicker"},{"attributes":{},"id":"bec1cc37-3763-455d-a383-0193f9479cbd","type":"ResetTool"},{"attributes":{"data_source":{"id":"3fcca6c5-0e47-4cc0-a558-8ff3adba345e","type":"ColumnDataSource"},"glyph":{"id":"d42a9e99-aea2-471f-9779-2e797aa373e4","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8dda03be-d25a-446b-be97-9553ec0a9da3","type":"Line"},"selection_glyph":null,"view":{"id":"6a01f430-ef92-4633-8c2e-a6ee1ec8d288","type":"CDSView"}},"id":"cad3ecfe-7f6d-4e41-8acb-af594ddf7267","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"aa823c66-24ce-435a-8618-b9eadcb109f3","type":"PanTool"},{"id":"00ed0dba-4cbd-4fa6-8a37-29e609aba7fe","type":"WheelZoomTool"},{"id":"a4ba1226-33da-49f4-bd03-f04f023f9db4","type":"BoxZoomTool"},{"id":"b00a3ed8-367f-45c3-bc34-8659ee14c844","type":"SaveTool"},{"id":"bec1cc37-3763-455d-a383-0193f9479cbd","type":"ResetTool"},{"id":"9f1baef2-c3db-4c13-a1ed-f841ce62a8eb","type":"HelpTool"}]},"id":"e7a68fe5-ff40-49cf-b8b2-e9defd2184b0","type":"Toolbar"},{"attributes":{"plot":{"id":"a25f5bc3-008b-4a7c-936d-dc2330906c27","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2cd9ebf-2c0b-409d-a7e2-2ae853f1e994","type":"BasicTicker"}},"id":"137757e4-d237-49c6-8e5b-8a0c308da5eb","type":"Grid"},{"attributes":{"formatter":{"id":"6c721528-b6ab-48ae-a921-a0255f1e8529","type":"BasicTickFormatter"},"plot":{"id":"a25f5bc3-008b-4a7c-936d-dc2330906c27","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c6e56a4-11b4-4854-a9f2-0b90766d472e","type":"BasicTicker"}},"id":"8b8db0b5-b25c-48e7-851d-9c2261ee2453","type":"LinearAxis"},{"attributes":{},"id":"9f1baef2-c3db-4c13-a1ed-f841ce62a8eb","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"a25f5bc3-008b-4a7c-936d-dc2330906c27","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c6e56a4-11b4-4854-a9f2-0b90766d472e","type":"BasicTicker"}},"id":"86a82d59-7fba-437e-ac48-73522dfa1415","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"8dda03be-d25a-446b-be97-9553ec0a9da3","type":"Line"},{"attributes":{},"id":"363e5605-9fa1-42da-8aee-49ced7fd4722","type":"LinearScale"},{"attributes":{"formatter":{"id":"cb3c2ecf-f819-40a0-bd9f-8a071fab9274","type":"BasicTickFormatter"},"plot":{"id":"a25f5bc3-008b-4a7c-936d-dc2330906c27","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2cd9ebf-2c0b-409d-a7e2-2ae853f1e994","type":"BasicTicker"}},"id":"0eb90fa2-c5b4-4e00-99bf-d93de124cc9c","type":"LinearAxis"},{"attributes":{"source":{"id":"3fcca6c5-0e47-4cc0-a558-8ff3adba345e","type":"ColumnDataSource"}},"id":"6a01f430-ef92-4633-8c2e-a6ee1ec8d288","type":"CDSView"},{"attributes":{"children":[{"id":"515f8d64-7689-422d-8e8e-3e44e947b267","type":"Slider"}]},"id":"a91dbda6-4c67-430a-b09d-81c05c4ad52f","type":"WidgetBox"},{"attributes":{},"id":"00ed0dba-4cbd-4fa6-8a37-29e609aba7fe","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"25821eb7-ee09-4183-b85e-f905cadde2fe","type":"BoxAnnotation"}},"id":"a4ba1226-33da-49f4-bd03-f04f023f9db4","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"25821eb7-ee09-4183-b85e-f905cadde2fe","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"3fcca6c5-0e47-4cc0-a558-8ff3adba345e","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"34f6423e-abcd-4c71-a9bf-e99fc0c1edf4","type":"DataRange1d"},{"attributes":{},"id":"b00a3ed8-367f-45c3-bc34-8659ee14c844","type":"SaveTool"},{"attributes":{"callback":null},"id":"e2e17cb0-70bb-4183-9bce-56c2cba40941","type":"DataRange1d"},{"attributes":{},"id":"6c721528-b6ab-48ae-a921-a0255f1e8529","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"66155ef8-4234-4d2e-b00c-41ec8f54a4be","type":"Title"},{"attributes":{},"id":"aa823c66-24ce-435a-8618-b9eadcb109f3","type":"PanTool"},{"attributes":{},"id":"a2cd9ebf-2c0b-409d-a7e2-2ae853f1e994","type":"BasicTicker"},{"attributes":{"children":[{"id":"a91dbda6-4c67-430a-b09d-81c05c4ad52f","type":"WidgetBox"},{"id":"a25f5bc3-008b-4a7c-936d-dc2330906c27","subtype":"Figure","type":"Plot"}]},"id":"738ef2db-45a2-4106-ac83-8d9ef3f09405","type":"Column"},{"attributes":{"callback":{"id":"68759209-b7d4-4a01-b911-c9efe486ecbf","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"515f8d64-7689-422d-8e8e-3e44e947b267","type":"Slider"},{"attributes":{},"id":"cb3c2ecf-f819-40a0-bd9f-8a071fab9274","type":"BasicTickFormatter"},{"attributes":{"args":{"source":{"id":"3fcca6c5-0e47-4cc0-a558-8ff3adba345e","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"68759209-b7d4-4a01-b911-c9efe486ecbf","type":"CustomJS"},{"attributes":{"below":[{"id":"0eb90fa2-c5b4-4e00-99bf-d93de124cc9c","type":"LinearAxis"}],"left":[{"id":"8b8db0b5-b25c-48e7-851d-9c2261ee2453","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0eb90fa2-c5b4-4e00-99bf-d93de124cc9c","type":"LinearAxis"},{"id":"137757e4-d237-49c6-8e5b-8a0c308da5eb","type":"Grid"},{"id":"8b8db0b5-b25c-48e7-851d-9c2261ee2453","type":"LinearAxis"},{"id":"86a82d59-7fba-437e-ac48-73522dfa1415","type":"Grid"},{"id":"25821eb7-ee09-4183-b85e-f905cadde2fe","type":"BoxAnnotation"},{"id":"cad3ecfe-7f6d-4e41-8acb-af594ddf7267","type":"GlyphRenderer"}],"title":{"id":"66155ef8-4234-4d2e-b00c-41ec8f54a4be","type":"Title"},"toolbar":{"id":"e7a68fe5-ff40-49cf-b8b2-e9defd2184b0","type":"Toolbar"},"x_range":{"id":"e2e17cb0-70bb-4183-9bce-56c2cba40941","type":"DataRange1d"},"x_scale":{"id":"363e5605-9fa1-42da-8aee-49ced7fd4722","type":"LinearScale"},"y_range":{"id":"34f6423e-abcd-4c71-a9bf-e99fc0c1edf4","type":"DataRange1d"},"y_scale":{"id":"b9b875b9-0250-496b-bc42-49c6ce17bf97","type":"LinearScale"}},"id":"a25f5bc3-008b-4a7c-936d-dc2330906c27","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"d42a9e99-aea2-471f-9779-2e797aa373e4","type":"Line"}],"root_ids":["738ef2db-45a2-4106-ac83-8d9ef3f09405"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"77371574-7f36-48ec-bf8d-c58dbb22213a","elementid":"82bc33c8-3dd8-4f77-8443-71ee3844ef92","modelid":"738ef2db-45a2-4106-ac83-8d9ef3f09405"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
