(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("aca524c1-1322-4a2f-8e6e-126f982b044e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'aca524c1-1322-4a2f-8e6e-126f982b044e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a8a31066-c1df-4688-b0ed-8ebc7cdb7a03":{"roots":{"references":[{"attributes":{"callback":null},"id":"75bb6b03-a77c-4c8b-88bb-e5d9c8f43fc9","type":"DataRange1d"},{"attributes":{},"id":"377c6ba5-01fd-45c1-a3a8-b298306373a9","type":"ResetTool"},{"attributes":{},"id":"3c19fde2-ef63-4970-a2dd-ab20d67ad388","type":"LinearScale"},{"attributes":{},"id":"aca26dfc-e5f2-4a96-bfc6-06a46289d98f","type":"SaveTool"},{"attributes":{},"id":"8a12d40c-1d6f-4150-9711-3b8dd86ad4b5","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"4d775608-1bb4-45cf-ab91-eb2bdb516916","type":"BoxAnnotation"}},"id":"4e5d49d9-460c-4965-8972-9b34a0202a89","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"643f6179-9d08-4f2d-8f04-2c30bcc8742f","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fc10a811-10bb-4379-91c7-1e9ebfb18240","type":"PanTool"},{"id":"7af9a7bc-8411-4b86-bda8-48392c2bce67","type":"WheelZoomTool"},{"id":"4e5d49d9-460c-4965-8972-9b34a0202a89","type":"BoxZoomTool"},{"id":"aca26dfc-e5f2-4a96-bfc6-06a46289d98f","type":"SaveTool"},{"id":"377c6ba5-01fd-45c1-a3a8-b298306373a9","type":"ResetTool"},{"id":"7593e199-1d8e-4527-82bb-ecb8b62a1fb0","type":"HelpTool"}]},"id":"8aa1c435-39e6-4887-8495-3c2b0de83ad0","type":"Toolbar"},{"attributes":{"source":{"id":"643f6179-9d08-4f2d-8f04-2c30bcc8742f","type":"ColumnDataSource"}},"id":"d66c48b7-4131-44de-92cf-8049d517e693","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bf615f8a-f08e-4062-a92a-d516db4ec7af","type":"Circle"},{"attributes":{"plot":{"id":"4eedee40-95b7-4e2a-b716-238d79d33aae","subtype":"Figure","type":"Plot"},"ticker":{"id":"41103d6d-b865-4cf1-ab4b-f816943ab2a8","type":"BasicTicker"}},"id":"2db8fb79-4147-48c4-acf9-7a23fb53970a","type":"Grid"},{"attributes":{},"id":"fc10a811-10bb-4379-91c7-1e9ebfb18240","type":"PanTool"},{"attributes":{},"id":"7af9a7bc-8411-4b86-bda8-48392c2bce67","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"c2499fbc-4f70-4285-a1a9-53287adb93c4","type":"Title"},{"attributes":{"bounds":[2,4],"formatter":{"id":"4bb94ff6-f6f1-42c8-8426-efc4461fcf7f","type":"BasicTickFormatter"},"plot":{"id":"4eedee40-95b7-4e2a-b716-238d79d33aae","subtype":"Figure","type":"Plot"},"ticker":{"id":"41103d6d-b865-4cf1-ab4b-f816943ab2a8","type":"BasicTicker"}},"id":"f4d3c9f7-9185-4b68-b61b-763c828a0d18","type":"LinearAxis"},{"attributes":{},"id":"4bb94ff6-f6f1-42c8-8426-efc4461fcf7f","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"30474abe-4468-4914-8194-8620f95ef8c4","type":"DataRange1d"},{"attributes":{},"id":"41103d6d-b865-4cf1-ab4b-f816943ab2a8","type":"BasicTicker"},{"attributes":{},"id":"7593e199-1d8e-4527-82bb-ecb8b62a1fb0","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4d775608-1bb4-45cf-ab91-eb2bdb516916","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"4eedee40-95b7-4e2a-b716-238d79d33aae","subtype":"Figure","type":"Plot"},"ticker":{"id":"60f2025b-3456-4628-9a20-646f8e3bfc29","type":"BasicTicker"}},"id":"12a1be3f-618b-49d1-92e1-57249c19bc7a","type":"Grid"},{"attributes":{},"id":"1af8ed38-aa35-4f87-b7eb-984510571c91","type":"LinearScale"},{"attributes":{"data_source":{"id":"643f6179-9d08-4f2d-8f04-2c30bcc8742f","type":"ColumnDataSource"},"glyph":{"id":"bf615f8a-f08e-4062-a92a-d516db4ec7af","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cb6fc0c9-28a4-4311-b786-e48e84bd03de","type":"Circle"},"selection_glyph":null,"view":{"id":"d66c48b7-4131-44de-92cf-8049d517e693","type":"CDSView"}},"id":"d6a45716-dcdc-4b5d-9bd0-f32469ea8967","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"8a12d40c-1d6f-4150-9711-3b8dd86ad4b5","type":"BasicTickFormatter"},"plot":{"id":"4eedee40-95b7-4e2a-b716-238d79d33aae","subtype":"Figure","type":"Plot"},"ticker":{"id":"60f2025b-3456-4628-9a20-646f8e3bfc29","type":"BasicTicker"}},"id":"49dd92af-c31c-42b6-a72d-ed7c8339957c","type":"LinearAxis"},{"attributes":{"below":[{"id":"f4d3c9f7-9185-4b68-b61b-763c828a0d18","type":"LinearAxis"}],"left":[{"id":"49dd92af-c31c-42b6-a72d-ed7c8339957c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f4d3c9f7-9185-4b68-b61b-763c828a0d18","type":"LinearAxis"},{"id":"2db8fb79-4147-48c4-acf9-7a23fb53970a","type":"Grid"},{"id":"49dd92af-c31c-42b6-a72d-ed7c8339957c","type":"LinearAxis"},{"id":"12a1be3f-618b-49d1-92e1-57249c19bc7a","type":"Grid"},{"id":"4d775608-1bb4-45cf-ab91-eb2bdb516916","type":"BoxAnnotation"},{"id":"d6a45716-dcdc-4b5d-9bd0-f32469ea8967","type":"GlyphRenderer"}],"title":{"id":"c2499fbc-4f70-4285-a1a9-53287adb93c4","type":"Title"},"toolbar":{"id":"8aa1c435-39e6-4887-8495-3c2b0de83ad0","type":"Toolbar"},"x_range":{"id":"30474abe-4468-4914-8194-8620f95ef8c4","type":"DataRange1d"},"x_scale":{"id":"1af8ed38-aa35-4f87-b7eb-984510571c91","type":"LinearScale"},"y_range":{"id":"75bb6b03-a77c-4c8b-88bb-e5d9c8f43fc9","type":"DataRange1d"},"y_scale":{"id":"3c19fde2-ef63-4970-a2dd-ab20d67ad388","type":"LinearScale"}},"id":"4eedee40-95b7-4e2a-b716-238d79d33aae","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"60f2025b-3456-4628-9a20-646f8e3bfc29","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cb6fc0c9-28a4-4311-b786-e48e84bd03de","type":"Circle"}],"root_ids":["4eedee40-95b7-4e2a-b716-238d79d33aae"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a8a31066-c1df-4688-b0ed-8ebc7cdb7a03","elementid":"aca524c1-1322-4a2f-8e6e-126f982b044e","modelid":"4eedee40-95b7-4e2a-b716-238d79d33aae"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
