(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e75e759a-84b5-4a52-9188-3544c8496912");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e75e759a-84b5-4a52-9188-3544c8496912' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a41d31d4-f30b-491f-ac78-32b52de3ba91":{"roots":{"references":[{"attributes":{},"id":"f5bf0fdd-8c98-44a3-88d3-7668b1408857","type":"HelpTool"},{"attributes":{"fields":["2015"]},"id":"f6baef1d-5a4a-4a22-803e-d947288e5b4b","type":"Stack"},{"attributes":{},"id":"8d018cb0-9b15-4dca-80b9-6167616ea845","type":"ResetTool"},{"attributes":{},"id":"e8cef183-7836-4699-bde6-a2ecc45a2bd7","type":"BasicTicker"},{"attributes":{"source":{"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"}},"id":"a303bcda-9877-42be-9eda-10031e6eb349","type":"CDSView"},{"attributes":{},"id":"c3d2e9dd-7011-4be7-a1f9-fafdd07e6e2d","type":"CategoricalScale"},{"attributes":{"source":{"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"}},"id":"d402d3eb-fb5c-4624-a081-dc9b56af1b4f","type":"CDSView"},{"attributes":{"fields":["2015","2016"]},"id":"8d0b9eed-1b21-447d-bb45-2ac72872ecad","type":"Stack"},{"attributes":{"data_source":{"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"},"glyph":{"id":"50682037-d67c-4aca-b4b5-e81dab60f7d5","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"74f36269-585d-4d4e-8166-ce155a808c90","type":"HBar"},"selection_glyph":null,"view":{"id":"422cb930-c4a3-4e25-a66a-991a4da15d44","type":"CDSView"}},"id":"36daa2fc-131e-467f-a40e-b729075a7758","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"f6baef1d-5a4a-4a22-803e-d947288e5b4b","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"96852d48-9e8c-4f82-9bea-9721f7cf035f","type":"Stack"}},"y":{"field":"fruits"}},"id":"6ba6f1ec-94a4-4e1c-8adf-7ff3950561e1","type":"HBar"},{"attributes":{"fields":["2015","2016","2017"]},"id":"9cac780b-b1ec-467e-811e-abf2c635ee8c","type":"Stack"},{"attributes":{"fields":[]},"id":"b55d1147-f6ff-45a7-8511-97361b6dc3d0","type":"Stack"},{"attributes":{"source":{"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"}},"id":"422cb930-c4a3-4e25-a66a-991a4da15d44","type":"CDSView"},{"attributes":{},"id":"f73e412a-3f86-4073-bf6f-f989e06fae66","type":"WheelZoomTool"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"f62a4540-9a92-4eb3-a97a-909e05a681d3","type":"CategoricalTicker"}},"id":"84e05192-4f6c-4450-aa4e-5f9430c7c0f3","type":"Grid"},{"attributes":{},"id":"3f735b90-5229-4f11-b049-bf041b0ce08f","type":"CategoricalTickFormatter"},{"attributes":{"fields":[]},"id":"823185c3-931c-4c78-8a2e-1413a860c96a","type":"Stack"},{"attributes":{"formatter":{"id":"d9c062c1-3976-4b52-af09-527ec07b33ac","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8cef183-7836-4699-bde6-a2ecc45a2bd7","type":"BasicTicker"}},"id":"30040364-d68c-4fa5-9894-fc7459e9d6f0","type":"LinearAxis"},{"attributes":{},"id":"f62a4540-9a92-4eb3-a97a-909e05a681d3","type":"CategoricalTicker"},{"attributes":{},"id":"6726d368-dbd7-461d-b684-6fbd86fc8733","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"823185c3-931c-4c78-8a2e-1413a860c96a","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"250d2f44-f020-4e33-8402-bdd3665c702b","type":"Stack"}},"y":{"field":"fruits"}},"id":"82859353-b32a-41b0-b9b0-83eb64d6c6cf","type":"HBar"},{"attributes":{"source":{"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"}},"id":"669e4857-d017-4af3-80ec-b214866908f5","type":"CDSView"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"c2ad0836-2b8c-4b00-8d4a-d7ec445bac5b","type":"GlyphRenderer"}]},"id":"5c4fdb5f-ba04-4dd5-b3eb-7f4e5a899519","type":"LegendItem"},{"attributes":{},"id":"d9c062c1-3976-4b52-af09-527ec07b33ac","type":"BasicTickFormatter"},{"attributes":{"fields":["2015","2016"]},"id":"68cff4fb-8ded-492e-b3ec-e4c8b71c3b0f","type":"Stack"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"98545a4e-6e50-459b-8db2-9b92702a0f49","type":"FactorRange"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9297dea3-31f5-490e-bd1b-c1a25c9968e3","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"b7f799e8-ac1d-41de-8cdb-39ef65eebea6","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"7a13af44-c825-4ebd-9f54-087b0429f11a","type":"Stack"}},"y":{"field":"fruits"}},"id":"50682037-d67c-4aca-b4b5-e81dab60f7d5","type":"HBar"},{"attributes":{"data_source":{"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"},"glyph":{"id":"e495f2ef-8be5-45d8-9f03-f3084f950952","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1466447d-a83c-4f6c-8f68-25fbe6fdfe03","type":"HBar"},"selection_glyph":null,"view":{"id":"e8501de3-77bc-4018-a572-5c960ddc6b1f","type":"CDSView"}},"id":"80f2801b-714d-4bb3-923d-6ab4ec70efae","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"},"glyph":{"id":"bd3786e6-f743-40c7-ab4b-7993aa87247e","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"82859353-b32a-41b0-b9b0-83eb64d6c6cf","type":"HBar"},"selection_glyph":null,"view":{"id":"d402d3eb-fb5c-4624-a081-dc9b56af1b4f","type":"CDSView"}},"id":"d4797bbd-8efd-490c-9e03-bc91af83b5b6","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"9425dbcb-07c8-4f9e-8a96-1f9e3892278b","type":"GlyphRenderer"}]},"id":"afb7cf6b-4daa-4edc-9bdd-863a4dae56e9","type":"LegendItem"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"ed419e8c-1277-4622-8406-4f7e95721b7b","type":"Range1d"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"d4797bbd-8efd-490c-9e03-bc91af83b5b6","type":"GlyphRenderer"}]},"id":"3421570d-33a8-4395-b2d6-ca10b5de4d79","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"68cff4fb-8ded-492e-b3ec-e4c8b71c3b0f","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"9cac780b-b1ec-467e-811e-abf2c635ee8c","type":"Stack"}},"y":{"field":"fruits"}},"id":"186dc081-7054-4e2c-a37f-0930dea932df","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"b7f799e8-ac1d-41de-8cdb-39ef65eebea6","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"7a13af44-c825-4ebd-9f54-087b0429f11a","type":"Stack"}},"y":{"field":"fruits"}},"id":"74f36269-585d-4d4e-8166-ce155a808c90","type":"HBar"},{"attributes":{"formatter":{"id":"3f735b90-5229-4f11-b049-bf041b0ce08f","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"f62a4540-9a92-4eb3-a97a-909e05a681d3","type":"CategoricalTicker"}},"id":"24c6c4b1-5bfb-469f-83dc-f281128ea5d3","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"},"glyph":{"id":"f0fa2c8f-2faf-4a1d-92f2-72ad6cb2d15a","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"186dc081-7054-4e2c-a37f-0930dea932df","type":"HBar"},"selection_glyph":null,"view":{"id":"97ed0249-f294-4b31-9540-8aa25b843235","type":"CDSView"}},"id":"c2ad0836-2b8c-4b00-8d4a-d7ec445bac5b","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8cef183-7836-4699-bde6-a2ecc45a2bd7","type":"BasicTicker"}},"id":"3f087236-01d4-47de-a3ce-f435d2a579dd","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"b55d1147-f6ff-45a7-8511-97361b6dc3d0","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"e0f9b2b2-bba0-44a6-a2e6-367ae8a5c06d","type":"Stack"}},"y":{"field":"fruits"}},"id":"1466447d-a83c-4f6c-8f68-25fbe6fdfe03","type":"HBar"},{"attributes":{"data_source":{"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"},"glyph":{"id":"6ba6f1ec-94a4-4e1c-8adf-7ff3950561e1","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e65f0aec-2d08-4ad4-8b19-17707f32ea08","type":"HBar"},"selection_glyph":null,"view":{"id":"669e4857-d017-4af3-80ec-b214866908f5","type":"CDSView"}},"id":"afd68a8f-7dae-4eed-b6ea-a0bccf987a6f","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"f6baef1d-5a4a-4a22-803e-d947288e5b4b","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"96852d48-9e8c-4f82-9bea-9721f7cf035f","type":"Stack"}},"y":{"field":"fruits"}},"id":"e65f0aec-2d08-4ad4-8b19-17707f32ea08","type":"HBar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"},{"attributes":{"fields":["2015"]},"id":"b7f799e8-ac1d-41de-8cdb-39ef65eebea6","type":"Stack"},{"attributes":{"source":{"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"}},"id":"97ed0249-f294-4b31-9540-8aa25b843235","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"8d0b9eed-1b21-447d-bb45-2ac72872ecad","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"dd207512-1fc9-4270-86a7-2c311a2d2642","type":"Stack"}},"y":{"field":"fruits"}},"id":"12976471-baf0-4acb-8a98-3223252be477","type":"HBar"},{"attributes":{"overlay":{"id":"9297dea3-31f5-490e-bd1b-c1a25c9968e3","type":"BoxAnnotation"}},"id":"cf0af32f-b4d7-4eb3-bdc5-69ad4a5c48ee","type":"BoxZoomTool"},{"attributes":{"fields":["2015"]},"id":"e0f9b2b2-bba0-44a6-a2e6-367ae8a5c06d","type":"Stack"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"b55d1147-f6ff-45a7-8511-97361b6dc3d0","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"e0f9b2b2-bba0-44a6-a2e6-367ae8a5c06d","type":"Stack"}},"y":{"field":"fruits"}},"id":"e495f2ef-8be5-45d8-9f03-f3084f950952","type":"HBar"},{"attributes":{},"id":"93af4eda-1371-4873-8982-12caa3581f78","type":"PanTool"},{"attributes":{"source":{"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"}},"id":"e8501de3-77bc-4018-a572-5c960ddc6b1f","type":"CDSView"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"823185c3-931c-4c78-8a2e-1413a860c96a","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"250d2f44-f020-4e33-8402-bdd3665c702b","type":"Stack"}},"y":{"field":"fruits"}},"id":"bd3786e6-f743-40c7-ab4b-7993aa87247e","type":"HBar"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"562b9031-ffec-4ebe-9957-30d38e10fec6","type":"Title"},{"attributes":{"fields":["2015","2016"]},"id":"7a13af44-c825-4ebd-9f54-087b0429f11a","type":"Stack"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"80f2801b-714d-4bb3-923d-6ab4ec70efae","type":"GlyphRenderer"}]},"id":"538f7e66-8072-4fc0-b54a-5553d524c3c4","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"bb08ba9f-7553-400e-82d4-8c34f6a5d376","type":"ColumnDataSource"},{"attributes":{},"id":"6c78207a-0952-42c2-941e-9d3c4e30f750","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"68cff4fb-8ded-492e-b3ec-e4c8b71c3b0f","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"9cac780b-b1ec-467e-811e-abf2c635ee8c","type":"Stack"}},"y":{"field":"fruits"}},"id":"f0fa2c8f-2faf-4a1d-92f2-72ad6cb2d15a","type":"HBar"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"36daa2fc-131e-467f-a40e-b729075a7758","type":"GlyphRenderer"}]},"id":"5cef9744-e600-4357-abd7-2f49397157c0","type":"LegendItem"},{"attributes":{"fields":["2015"]},"id":"250d2f44-f020-4e33-8402-bdd3665c702b","type":"Stack"},{"attributes":{"data_source":{"id":"66112692-7189-4f7e-b710-0ad1ac4e6b58","type":"ColumnDataSource"},"glyph":{"id":"7a55300d-4fb6-4748-a233-3a56d6422adb","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"12976471-baf0-4acb-8a98-3223252be477","type":"HBar"},"selection_glyph":null,"view":{"id":"a303bcda-9877-42be-9eda-10031e6eb349","type":"CDSView"}},"id":"9425dbcb-07c8-4f9e-8a96-1f9e3892278b","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"afd68a8f-7dae-4eed-b6ea-a0bccf987a6f","type":"GlyphRenderer"}]},"id":"c936f850-d752-430c-b725-ee36c33e001d","type":"LegendItem"},{"attributes":{"items":[{"id":"538f7e66-8072-4fc0-b54a-5553d524c3c4","type":"LegendItem"},{"id":"c936f850-d752-430c-b725-ee36c33e001d","type":"LegendItem"},{"id":"5c4fdb5f-ba04-4dd5-b3eb-7f4e5a899519","type":"LegendItem"},{"id":"3421570d-33a8-4395-b2d6-ca10b5de4d79","type":"LegendItem"},{"id":"5cef9744-e600-4357-abd7-2f49397157c0","type":"LegendItem"},{"id":"afb7cf6b-4daa-4edc-9bdd-863a4dae56e9","type":"LegendItem"}],"location":"top_left","plot":{"id":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4","subtype":"Figure","type":"Plot"}},"id":"c71f26e6-a93c-49d7-9015-e8ca68d6ff7a","type":"Legend"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"8d0b9eed-1b21-447d-bb45-2ac72872ecad","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"dd207512-1fc9-4270-86a7-2c311a2d2642","type":"Stack"}},"y":{"field":"fruits"}},"id":"7a55300d-4fb6-4748-a233-3a56d6422adb","type":"HBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"93af4eda-1371-4873-8982-12caa3581f78","type":"PanTool"},{"id":"f73e412a-3f86-4073-bf6f-f989e06fae66","type":"WheelZoomTool"},{"id":"cf0af32f-b4d7-4eb3-bdc5-69ad4a5c48ee","type":"BoxZoomTool"},{"id":"6726d368-dbd7-461d-b684-6fbd86fc8733","type":"SaveTool"},{"id":"8d018cb0-9b15-4dca-80b9-6167616ea845","type":"ResetTool"},{"id":"f5bf0fdd-8c98-44a3-88d3-7668b1408857","type":"HelpTool"}]},"id":"a91a796e-d8a1-4876-b403-079e769b90ad","type":"Toolbar"},{"attributes":{"below":[{"id":"30040364-d68c-4fa5-9894-fc7459e9d6f0","type":"LinearAxis"}],"left":[{"id":"24c6c4b1-5bfb-469f-83dc-f281128ea5d3","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"30040364-d68c-4fa5-9894-fc7459e9d6f0","type":"LinearAxis"},{"id":"3f087236-01d4-47de-a3ce-f435d2a579dd","type":"Grid"},{"id":"24c6c4b1-5bfb-469f-83dc-f281128ea5d3","type":"CategoricalAxis"},{"id":"84e05192-4f6c-4450-aa4e-5f9430c7c0f3","type":"Grid"},{"id":"9297dea3-31f5-490e-bd1b-c1a25c9968e3","type":"BoxAnnotation"},{"id":"c71f26e6-a93c-49d7-9015-e8ca68d6ff7a","type":"Legend"},{"id":"80f2801b-714d-4bb3-923d-6ab4ec70efae","type":"GlyphRenderer"},{"id":"afd68a8f-7dae-4eed-b6ea-a0bccf987a6f","type":"GlyphRenderer"},{"id":"c2ad0836-2b8c-4b00-8d4a-d7ec445bac5b","type":"GlyphRenderer"},{"id":"d4797bbd-8efd-490c-9e03-bc91af83b5b6","type":"GlyphRenderer"},{"id":"36daa2fc-131e-467f-a40e-b729075a7758","type":"GlyphRenderer"},{"id":"9425dbcb-07c8-4f9e-8a96-1f9e3892278b","type":"GlyphRenderer"}],"title":{"id":"562b9031-ffec-4ebe-9957-30d38e10fec6","type":"Title"},"toolbar":{"id":"a91a796e-d8a1-4876-b403-079e769b90ad","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ed419e8c-1277-4622-8406-4f7e95721b7b","type":"Range1d"},"x_scale":{"id":"6c78207a-0952-42c2-941e-9d3c4e30f750","type":"LinearScale"},"y_range":{"id":"98545a4e-6e50-459b-8db2-9b92702a0f49","type":"FactorRange"},"y_scale":{"id":"c3d2e9dd-7011-4be7-a1f9-fafdd07e6e2d","type":"CategoricalScale"}},"id":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4","subtype":"Figure","type":"Plot"},{"attributes":{"fields":["2015","2016","2017"]},"id":"dd207512-1fc9-4270-86a7-2c311a2d2642","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"96852d48-9e8c-4f82-9bea-9721f7cf035f","type":"Stack"}],"root_ids":["3be64a90-9de6-4fa6-a45c-e14f7ff794c4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a41d31d4-f30b-491f-ac78-32b52de3ba91","elementid":"e75e759a-84b5-4a52-9188-3544c8496912","modelid":"3be64a90-9de6-4fa6-a45c-e14f7ff794c4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
