(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b6d59fe7-df3f-4cb8-b6e4-e2b0b1792eef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b6d59fe7-df3f-4cb8-b6e4-e2b0b1792eef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"171cd518-2699-4492-a2b4-1f301870f889":{"roots":{"references":[{"attributes":{"plot":{"id":"1bfaa061-7356-445d-a09e-713a898e8291","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca7fef56-f760-4702-84ba-e6119f83172d","type":"BasicTicker"}},"id":"d297d717-f87a-4bf5-bb8f-d3e62db4379d","type":"Grid"},{"attributes":{"overlay":{"id":"4775be30-15b3-4806-9b06-58f5d13eef48","type":"BoxAnnotation"}},"id":"8bbe0c80-8d95-4363-a41d-14a827f038ca","type":"BoxZoomTool"},{"attributes":{},"id":"25cec281-fd3a-461e-83fd-d6f9523b9f08","type":"LinearScale"},{"attributes":{},"id":"5f5463bd-0b1c-43c9-8c1d-8171bbe599a0","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4775be30-15b3-4806-9b06-58f5d13eef48","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"7ac9a5d0-a4f4-4ad0-b465-7bf1647ec151","type":"LinearAxis"}],"left":[{"id":"7d4f5b28-6c5f-4c3e-831f-85b3ed244491","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7ac9a5d0-a4f4-4ad0-b465-7bf1647ec151","type":"LinearAxis"},{"id":"d297d717-f87a-4bf5-bb8f-d3e62db4379d","type":"Grid"},{"id":"7d4f5b28-6c5f-4c3e-831f-85b3ed244491","type":"LinearAxis"},{"id":"1495764c-fde9-4416-be83-6abeb256c004","type":"Grid"},{"id":"4775be30-15b3-4806-9b06-58f5d13eef48","type":"BoxAnnotation"},{"id":"84a25889-2aa5-4c1f-94de-a0bb00e3d24f","type":"GlyphRenderer"}],"title":{"id":"5a9ef1a3-b475-48fa-8399-c8e80cacb27b","type":"Title"},"toolbar":{"id":"bfc6cfd8-ff42-44bf-b744-9b5d5d7a1119","type":"Toolbar"},"x_range":{"id":"c7f620df-64be-417e-aef9-f0cdafd6c9cd","type":"Range1d"},"x_scale":{"id":"a140d6b8-62c1-4bac-b0c0-45b7488f14e3","type":"LinearScale"},"y_range":{"id":"8ed3e960-e06f-49aa-b6c6-2cbeeb60f7fb","type":"Range1d"},"y_scale":{"id":"25cec281-fd3a-461e-83fd-d6f9523b9f08","type":"LinearScale"}},"id":"1bfaa061-7356-445d-a09e-713a898e8291","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"33820f07-d367-451b-95a2-1b419043b690","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"1bfaa061-7356-445d-a09e-713a898e8291","subtype":"Figure","type":"Plot"},"ticker":{"id":"33820f07-d367-451b-95a2-1b419043b690","type":"BasicTicker"}},"id":"1495764c-fde9-4416-be83-6abeb256c004","type":"Grid"},{"attributes":{},"id":"03a0e201-f41f-4c2b-baa8-8b1af0fe05dd","type":"WheelZoomTool"},{"attributes":{"callback":null,"end":15},"id":"8ed3e960-e06f-49aa-b6c6-2cbeeb60f7fb","type":"Range1d"},{"attributes":{"data_source":{"id":"be6c62f5-7ad9-4c1d-9036-563faa9a1b2c","type":"ColumnDataSource"},"glyph":{"id":"9f463b41-1e8d-4dde-b47b-2340e88ccf00","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c889a2cc-e08b-4743-bce7-ffe78363efd8","type":"Circle"},"selection_glyph":null,"view":{"id":"7b09dd6a-05ce-48df-bc3a-1a7f75232073","type":"CDSView"}},"id":"84a25889-2aa5-4c1f-94de-a0bb00e3d24f","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"a87f7d72-c772-4bbe-b151-39fc322230db","type":"BasicTickFormatter"},"plot":{"id":"1bfaa061-7356-445d-a09e-713a898e8291","subtype":"Figure","type":"Plot"},"ticker":{"id":"33820f07-d367-451b-95a2-1b419043b690","type":"BasicTicker"}},"id":"7d4f5b28-6c5f-4c3e-831f-85b3ed244491","type":"LinearAxis"},{"attributes":{},"id":"00f66f9b-fa90-47a0-9683-37a42ddda777","type":"SaveTool"},{"attributes":{},"id":"94fa7b5f-6b45-4cf5-96fa-9237e285b997","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"be6c62f5-7ad9-4c1d-9036-563faa9a1b2c","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":20},"id":"c7f620df-64be-417e-aef9-f0cdafd6c9cd","type":"Range1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"94fa7b5f-6b45-4cf5-96fa-9237e285b997","type":"PanTool"},{"id":"03a0e201-f41f-4c2b-baa8-8b1af0fe05dd","type":"WheelZoomTool"},{"id":"8bbe0c80-8d95-4363-a41d-14a827f038ca","type":"BoxZoomTool"},{"id":"00f66f9b-fa90-47a0-9683-37a42ddda777","type":"SaveTool"},{"id":"5f5463bd-0b1c-43c9-8c1d-8171bbe599a0","type":"ResetTool"},{"id":"0d558279-c6dd-4dc0-83a0-f1edf23ab9cf","type":"HelpTool"}]},"id":"bfc6cfd8-ff42-44bf-b744-9b5d5d7a1119","type":"Toolbar"},{"attributes":{},"id":"a140d6b8-62c1-4bac-b0c0-45b7488f14e3","type":"LinearScale"},{"attributes":{"formatter":{"id":"1d1337ee-6cc1-47e4-8abb-ac62b42c1ab5","type":"BasicTickFormatter"},"plot":{"id":"1bfaa061-7356-445d-a09e-713a898e8291","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca7fef56-f760-4702-84ba-e6119f83172d","type":"BasicTicker"}},"id":"7ac9a5d0-a4f4-4ad0-b465-7bf1647ec151","type":"LinearAxis"},{"attributes":{"source":{"id":"be6c62f5-7ad9-4c1d-9036-563faa9a1b2c","type":"ColumnDataSource"}},"id":"7b09dd6a-05ce-48df-bc3a-1a7f75232073","type":"CDSView"},{"attributes":{},"id":"ca7fef56-f760-4702-84ba-e6119f83172d","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9f463b41-1e8d-4dde-b47b-2340e88ccf00","type":"Circle"},{"attributes":{},"id":"0d558279-c6dd-4dc0-83a0-f1edf23ab9cf","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c889a2cc-e08b-4743-bce7-ffe78363efd8","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"5a9ef1a3-b475-48fa-8399-c8e80cacb27b","type":"Title"},{"attributes":{},"id":"1d1337ee-6cc1-47e4-8abb-ac62b42c1ab5","type":"BasicTickFormatter"},{"attributes":{},"id":"a87f7d72-c772-4bbe-b151-39fc322230db","type":"BasicTickFormatter"}],"root_ids":["1bfaa061-7356-445d-a09e-713a898e8291"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"171cd518-2699-4492-a2b4-1f301870f889","elementid":"b6d59fe7-df3f-4cb8-b6e4-e2b0b1792eef","modelid":"1bfaa061-7356-445d-a09e-713a898e8291"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
