(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d72cff43-e725-43c7-81de-6459ca0075b7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd72cff43-e725-43c7-81de-6459ca0075b7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9a115584-3db2-45d2-abd6-834a9c6dc44d":{"roots":{"references":[{"attributes":{"source":{"id":"9edfb638-192c-4508-be9c-31ad9b6dca8c","type":"ColumnDataSource"}},"id":"dd18399d-31d3-4ddb-ac98-d199452e3a91","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b6e2b338-118f-4e72-9587-6f941b0a7feb","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"47e00a83-b611-4b0b-a1b9-9af5aa299cbf","type":"Circle"},{"attributes":{},"id":"e0c197cf-7106-429b-9a99-a707052f7437","type":"ResetTool"},{"attributes":{"overlay":{"id":"b6e2b338-118f-4e72-9587-6f941b0a7feb","type":"BoxAnnotation"}},"id":"aad31ff3-206a-4c44-9b6a-63d1a966df7a","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"51710e83-f642-43e8-9149-0e2aadc9c968","type":"Circle"},{"attributes":{"formatter":{"id":"a2982e07-c662-447b-815e-ebb99ee2fdd2","type":"NumeralTickFormatter"},"plot":{"id":"4486759a-e989-4268-a5ea-bdd66251cb77","subtype":"Figure","type":"Plot"},"ticker":{"id":"2f9149b0-cc8d-4236-ab25-cd98e1351644","type":"BasicTicker"}},"id":"5fad2a4e-90fc-47c6-a0d5-036d5396d6b1","type":"LinearAxis"},{"attributes":{},"id":"2f9149b0-cc8d-4236-ab25-cd98e1351644","type":"BasicTicker"},{"attributes":{},"id":"96069358-6a90-4ddb-aa0d-5c229aa6f064","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cdb94678-2c48-4c71-87f1-d3b6bec25a12","type":"PanTool"},{"id":"1137f089-79b2-44a6-901f-b5e0255ac216","type":"WheelZoomTool"},{"id":"aad31ff3-206a-4c44-9b6a-63d1a966df7a","type":"BoxZoomTool"},{"id":"23b2928a-eb11-4bee-9120-1d1440d2c719","type":"SaveTool"},{"id":"e0c197cf-7106-429b-9a99-a707052f7437","type":"ResetTool"},{"id":"4ded6c29-f236-46cb-8d47-14818c2f78ab","type":"HelpTool"}]},"id":"b949b19b-5316-4b88-a87c-53d822e87275","type":"Toolbar"},{"attributes":{},"id":"1137f089-79b2-44a6-901f-b5e0255ac216","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"4486759a-e989-4268-a5ea-bdd66251cb77","subtype":"Figure","type":"Plot"},"ticker":{"id":"2f9149b0-cc8d-4236-ab25-cd98e1351644","type":"BasicTicker"}},"id":"13d29a18-2d54-4fd9-a361-b30106154148","type":"Grid"},{"attributes":{"formatter":{"id":"8cc5f9ae-87dd-4543-8f04-0e23e0f7db95","type":"NumeralTickFormatter"},"plot":{"id":"4486759a-e989-4268-a5ea-bdd66251cb77","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e433c38-3fb5-4401-8758-0229606f1bd8","type":"BasicTicker"}},"id":"c44068d3-6ca1-472a-9893-2846dcb52150","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"9edfb638-192c-4508-be9c-31ad9b6dca8c","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"9edfb638-192c-4508-be9c-31ad9b6dca8c","type":"ColumnDataSource"},"glyph":{"id":"47e00a83-b611-4b0b-a1b9-9af5aa299cbf","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"51710e83-f642-43e8-9149-0e2aadc9c968","type":"Circle"},"selection_glyph":null,"view":{"id":"dd18399d-31d3-4ddb-ac98-d199452e3a91","type":"CDSView"}},"id":"6de6cf61-991a-4ce6-ac8c-d965b400d6f7","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"4486759a-e989-4268-a5ea-bdd66251cb77","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e433c38-3fb5-4401-8758-0229606f1bd8","type":"BasicTicker"}},"id":"a5b43312-a526-4609-8564-b57e10d795a9","type":"Grid"},{"attributes":{"below":[{"id":"5fad2a4e-90fc-47c6-a0d5-036d5396d6b1","type":"LinearAxis"}],"left":[{"id":"c44068d3-6ca1-472a-9893-2846dcb52150","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5fad2a4e-90fc-47c6-a0d5-036d5396d6b1","type":"LinearAxis"},{"id":"13d29a18-2d54-4fd9-a361-b30106154148","type":"Grid"},{"id":"c44068d3-6ca1-472a-9893-2846dcb52150","type":"LinearAxis"},{"id":"a5b43312-a526-4609-8564-b57e10d795a9","type":"Grid"},{"id":"b6e2b338-118f-4e72-9587-6f941b0a7feb","type":"BoxAnnotation"},{"id":"6de6cf61-991a-4ce6-ac8c-d965b400d6f7","type":"GlyphRenderer"}],"title":{"id":"ef2f0d6e-4de4-44ce-8194-2081bba6d08a","type":"Title"},"toolbar":{"id":"b949b19b-5316-4b88-a87c-53d822e87275","type":"Toolbar"},"x_range":{"id":"4ed467c4-e4eb-422f-b262-ad8b804f3b74","type":"DataRange1d"},"x_scale":{"id":"96069358-6a90-4ddb-aa0d-5c229aa6f064","type":"LinearScale"},"y_range":{"id":"b33956ca-962a-42bc-8a8e-dfe7b5bf72cb","type":"DataRange1d"},"y_scale":{"id":"d06505e6-b5f5-48d9-ae30-58295529fae5","type":"LinearScale"}},"id":"4486759a-e989-4268-a5ea-bdd66251cb77","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3e433c38-3fb5-4401-8758-0229606f1bd8","type":"BasicTicker"},{"attributes":{"format":"$0.00"},"id":"8cc5f9ae-87dd-4543-8f04-0e23e0f7db95","type":"NumeralTickFormatter"},{"attributes":{"callback":null},"id":"b33956ca-962a-42bc-8a8e-dfe7b5bf72cb","type":"DataRange1d"},{"attributes":{},"id":"23b2928a-eb11-4bee-9120-1d1440d2c719","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"ef2f0d6e-4de4-44ce-8194-2081bba6d08a","type":"Title"},{"attributes":{},"id":"d06505e6-b5f5-48d9-ae30-58295529fae5","type":"LinearScale"},{"attributes":{"callback":null},"id":"4ed467c4-e4eb-422f-b262-ad8b804f3b74","type":"DataRange1d"},{"attributes":{},"id":"cdb94678-2c48-4c71-87f1-d3b6bec25a12","type":"PanTool"},{"attributes":{"format":"0.0%"},"id":"a2982e07-c662-447b-815e-ebb99ee2fdd2","type":"NumeralTickFormatter"},{"attributes":{},"id":"4ded6c29-f236-46cb-8d47-14818c2f78ab","type":"HelpTool"}],"root_ids":["4486759a-e989-4268-a5ea-bdd66251cb77"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9a115584-3db2-45d2-abd6-834a9c6dc44d","elementid":"d72cff43-e725-43c7-81de-6459ca0075b7","modelid":"4486759a-e989-4268-a5ea-bdd66251cb77"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
