(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("08e47bb3-abb0-4efa-9c77-935999206906");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '08e47bb3-abb0-4efa-9c77-935999206906' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f6c9b14f-46f2-40d2-a192-1dccd2dfc6eb":{"roots":{"references":[{"attributes":{},"id":"e7045f61-1b9d-4a33-a419-2dc7a42a4dc9","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f0fbaa39-8772-4895-bd74-b481b174960b","type":"Toolbar"},{"attributes":{"data_source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"},"glyph":{"id":"40bb37ef-d869-482c-be96-6bd0250001de","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"b0b7bcf2-5ad0-4fc8-b2dd-8d440b44bbf4","type":"CDSView"}},"id":"19ac2948-7518-4878-996a-e5b7da2d7acd","type":"GlyphRenderer"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"05a86893-7429-4cdf-ad75-5df40c2d8dc9","type":"BasicTickFormatter"},"plot":{"id":"a82926df-dacb-4392-a317-dd2dfc6c90b2","type":"Plot"},"ticker":{"id":"59bf86f5-26ae-49e1-8c71-0a86943004c1","type":"BasicTicker"}},"id":"d7571e4c-c42f-48ec-a16c-c2cec87df7e6","type":"LinearAxis"},{"attributes":{},"id":"3ec3e74d-f22f-469e-bc93-51794a5ef98f","type":"BasicTickFormatter"},{"attributes":{},"id":"2902cff1-4ef1-4eff-ac8c-77737dc55b74","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"III"},"id":"ffb5a12e-8260-4bee-86a4-6ee43f9a7271","type":"Title"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"df0d9f6d-8940-49f0-8b8e-1fb73c5787d7","type":"Line"},{"attributes":{"children":[{"id":"b21d8e97-dc2d-435e-9520-b27445ef4387","type":"Plot"},{"id":"a82926df-dacb-4392-a317-dd2dfc6c90b2","type":"Plot"}]},"id":"5cb27ee2-0862-4efd-97b2-2b7bfcdb432b","type":"Row"},{"attributes":{},"id":"59bf86f5-26ae-49e1-8c71-0a86943004c1","type":"BasicTicker"},{"attributes":{},"id":"c3801a29-845d-4588-a961-0cafd361183a","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"}},"id":"7ab3c3f0-67d6-470e-baf3-9b4000dd2120","type":"CDSView"},{"attributes":{"plot":{"id":"b21d8e97-dc2d-435e-9520-b27445ef4387","type":"Plot"},"ticker":{"id":"5b7abcb0-d002-4f67-a6ea-a7b0501c433b","type":"BasicTicker"}},"id":"97d20142-89c6-4985-b7ec-07e0c82e84ca","type":"Grid"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"e7045f61-1b9d-4a33-a419-2dc7a42a4dc9","type":"BasicTickFormatter"},"plot":{"id":"a82926df-dacb-4392-a317-dd2dfc6c90b2","type":"Plot"},"ticker":{"id":"d993a771-db0f-4400-a555-698d6f64d90b","type":"BasicTicker"}},"id":"7e0de7d8-26bc-4f53-9c34-d18128dbc981","type":"LinearAxis"},{"attributes":{},"id":"f4bc5dfd-72df-4d06-80a3-ef59a05c7765","type":"LinearScale"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"2902cff1-4ef1-4eff-ac8c-77737dc55b74","type":"BasicTickFormatter"},"plot":{"id":"7648c490-0bbf-4464-8add-e14d69fa2cde","type":"Plot"},"ticker":{"id":"b85e68a1-b2a7-485d-afff-2f492197b7e0","type":"BasicTicker"}},"id":"2f474557-816f-46bb-92a6-2587e11ffbe3","type":"LinearAxis"},{"attributes":{},"id":"50454521-46ac-40c5-b6f2-8e8a384aeeb9","type":"BasicTickFormatter"},{"attributes":{},"id":"b85e68a1-b2a7-485d-afff-2f492197b7e0","type":"BasicTicker"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ce72e9d2-5cf5-4049-b6e4-cae38d11fc10","type":"Line"},{"attributes":{},"id":"05a86893-7429-4cdf-ad75-5df40c2d8dc9","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"}},"id":"ef58db3a-8803-4178-a032-a6dd8840c396","type":"CDSView"},{"attributes":{},"id":"46d61c87-fca8-46b4-ad66-f7c9394899ed","type":"BasicTicker"},{"attributes":{},"id":"5b7abcb0-d002-4f67-a6ea-a7b0501c433b","type":"BasicTicker"},{"attributes":{"data_source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"},"glyph":{"id":"35fb299a-d9e9-4164-a161-377aba43b408","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ef58db3a-8803-4178-a032-a6dd8840c396","type":"CDSView"}},"id":"09ddd637-f9cb-4074-a345-ab97ef721050","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"7648c490-0bbf-4464-8add-e14d69fa2cde","type":"Plot"},"ticker":{"id":"cae514f1-eba5-448f-ad3a-2e9490720be6","type":"BasicTicker"}},"id":"7835f78d-9fba-493d-ac43-1ec8fab32b58","type":"Grid"},{"attributes":{},"id":"25d60b9f-63a4-4392-9978-9b9e18b78ab6","type":"LinearScale"},{"attributes":{},"id":"da8d29ad-f4ab-4cf6-874a-f17cb892cdf6","type":"BasicTicker"},{"attributes":{"callback":null,"end":20.5,"start":-0.5},"id":"19714ed1-2d4a-4554-a698-81c34b0c71fc","type":"Range1d"},{"attributes":{"callback":null,"end":20.5,"start":-0.5},"id":"4f55bf28-7339-4d0b-bbbd-a7317ceb27f3","type":"Range1d"},{"attributes":{},"id":"a9008f28-2e60-4059-b701-86dd6f06f604","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"40bb37ef-d869-482c-be96-6bd0250001de","type":"Line"},{"attributes":{"source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"}},"id":"0d80a502-cc28-4f82-ba13-2a9fa859e389","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"7fcd000a-e2f7-442b-8a74-eeb970cd14a7","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a82926df-dacb-4392-a317-dd2dfc6c90b2","type":"Plot"},"ticker":{"id":"d993a771-db0f-4400-a555-698d6f64d90b","type":"BasicTicker"}},"id":"0ae1ec87-93bd-4dbf-92e7-01d135ffb74a","type":"Grid"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"dc26466f-987e-4398-aa2c-80edac5ecc33","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"678f36d5-ca6c-43b4-a54e-17c50787e56b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"dc26466f-987e-4398-aa2c-80edac5ecc33","type":"LinearAxis"},{"id":"678f36d5-ca6c-43b4-a54e-17c50787e56b","type":"LinearAxis"},{"id":"5fcf531c-f070-4df7-ae11-b6c03310e536","type":"Grid"},{"id":"f9f7a48e-4ec4-4eeb-8196-03daa3a92b14","type":"Grid"},{"id":"7b233475-af1e-4cbe-9a5b-98b7b94173bd","type":"GlyphRenderer"},{"id":"402f4095-aa1d-46e6-96be-709a0a873c3f","type":"GlyphRenderer"}],"title":{"id":"ffb5a12e-8260-4bee-86a4-6ee43f9a7271","type":"Title"},"toolbar":{"id":"f0fbaa39-8772-4895-bd74-b481b174960b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"19714ed1-2d4a-4554-a698-81c34b0c71fc","type":"Range1d"},"x_scale":{"id":"5033b903-f73f-4e2c-9410-843a4f378771","type":"LinearScale"},"y_range":{"id":"4f55bf28-7339-4d0b-bbbd-a7317ceb27f3","type":"Range1d"},"y_scale":{"id":"d494cef3-14fa-40bf-ade0-66f9b28b13f2","type":"LinearScale"}},"id":"42759a47-9893-40b2-9e5d-da27c9907c46","type":"Plot"},{"attributes":{"children":[{"id":"5cb27ee2-0862-4efd-97b2-2b7bfcdb432b","type":"Row"},{"id":"da5f12ac-5808-4d83-a7fb-44028ebc3bda","type":"Row"}]},"id":"0fa42fe6-9282-4073-9b4d-4f71ee4e9ce9","type":"Column"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xiv"},"y":{"field":"yiv"}},"id":"81dd4eaf-f3a2-4f29-87c2-bda94530bb7e","type":"Circle"},{"attributes":{},"id":"c225a94b-df7e-4a40-96db-6f0ae13759cc","type":"LinearScale"},{"attributes":{"data_source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"},"glyph":{"id":"ce72e9d2-5cf5-4049-b6e4-cae38d11fc10","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"a364c9ce-0b38-4f6b-9c98-5eba5b82c9fd","type":"CDSView"}},"id":"fb0b85df-abcf-4f17-81f3-72e4ae3b225c","type":"GlyphRenderer"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"c5db8e91-dfeb-4405-99eb-e30b85cf9c91","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"2f474557-816f-46bb-92a6-2587e11ffbe3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c5db8e91-dfeb-4405-99eb-e30b85cf9c91","type":"LinearAxis"},{"id":"2f474557-816f-46bb-92a6-2587e11ffbe3","type":"LinearAxis"},{"id":"7835f78d-9fba-493d-ac43-1ec8fab32b58","type":"Grid"},{"id":"21725759-6e8c-41b4-93b4-9fd47bd76b67","type":"Grid"},{"id":"19ac2948-7518-4878-996a-e5b7da2d7acd","type":"GlyphRenderer"},{"id":"7b722085-398f-4e8a-aecc-20bce5377612","type":"GlyphRenderer"}],"title":{"id":"93f3ea70-f7df-4ec0-923a-4f6ab93ca28c","type":"Title"},"toolbar":{"id":"7fcd000a-e2f7-442b-8a74-eeb970cd14a7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"19714ed1-2d4a-4554-a698-81c34b0c71fc","type":"Range1d"},"x_scale":{"id":"25d60b9f-63a4-4392-9978-9b9e18b78ab6","type":"LinearScale"},"y_range":{"id":"4f55bf28-7339-4d0b-bbbd-a7317ceb27f3","type":"Range1d"},"y_scale":{"id":"622701f4-c1df-46d1-9c03-432f272090ce","type":"LinearScale"}},"id":"7648c490-0bbf-4464-8add-e14d69fa2cde","type":"Plot"},{"attributes":{"data_source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"},"glyph":{"id":"df0d9f6d-8940-49f0-8b8e-1fb73c5787d7","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"0d80a502-cc28-4f82-ba13-2a9fa859e389","type":"CDSView"}},"id":"7b233475-af1e-4cbe-9a5b-98b7b94173bd","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"acd537f8-2b42-49ae-acc3-0efcc0616420","type":"Line"},{"attributes":{"data_source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"},"glyph":{"id":"81dd4eaf-f3a2-4f29-87c2-bda94530bb7e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5d57b5cd-ada9-4639-a389-bfb2f323f3eb","type":"CDSView"}},"id":"7b722085-398f-4e8a-aecc-20bce5377612","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"},"glyph":{"id":"5ff6b366-6ad1-425f-965e-5b0225559139","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"7ab3c3f0-67d6-470e-baf3-9b4000dd2120","type":"CDSView"}},"id":"402f4095-aa1d-46e6-96be-709a0a873c3f","type":"GlyphRenderer"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"d7571e4c-c42f-48ec-a16c-c2cec87df7e6","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"7e0de7d8-26bc-4f53-9c34-d18128dbc981","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d7571e4c-c42f-48ec-a16c-c2cec87df7e6","type":"LinearAxis"},{"id":"7e0de7d8-26bc-4f53-9c34-d18128dbc981","type":"LinearAxis"},{"id":"1f716450-7484-4d60-8de4-7998bf9dd33a","type":"Grid"},{"id":"0ae1ec87-93bd-4dbf-92e7-01d135ffb74a","type":"Grid"},{"id":"fb0b85df-abcf-4f17-81f3-72e4ae3b225c","type":"GlyphRenderer"},{"id":"09ddd637-f9cb-4074-a345-ab97ef721050","type":"GlyphRenderer"}],"title":{"id":"c615c1c4-d047-4318-8527-d8b9e3922478","type":"Title"},"toolbar":{"id":"133ef346-3ec8-4137-914c-57564e8f2967","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"19714ed1-2d4a-4554-a698-81c34b0c71fc","type":"Range1d"},"x_scale":{"id":"f4bc5dfd-72df-4d06-80a3-ef59a05c7765","type":"LinearScale"},"y_range":{"id":"4f55bf28-7339-4d0b-bbbd-a7317ceb27f3","type":"Range1d"},"y_scale":{"id":"c225a94b-df7e-4a40-96db-6f0ae13759cc","type":"LinearScale"}},"id":"a82926df-dacb-4392-a317-dd2dfc6c90b2","type":"Plot"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"50454521-46ac-40c5-b6f2-8e8a384aeeb9","type":"BasicTickFormatter"},"plot":{"id":"b21d8e97-dc2d-435e-9520-b27445ef4387","type":"Plot"},"ticker":{"id":"46d61c87-fca8-46b4-ad66-f7c9394899ed","type":"BasicTicker"}},"id":"11ac05d7-4b98-4147-a8d0-2ad857fdb561","type":"LinearAxis"},{"attributes":{"source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"}},"id":"c6f2c12e-0c32-4f25-9c39-9dca57e6c28c","type":"CDSView"},{"attributes":{},"id":"622701f4-c1df-46d1-9c03-432f272090ce","type":"LinearScale"},{"attributes":{"data_source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"},"glyph":{"id":"acd537f8-2b42-49ae-acc3-0efcc0616420","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"6c8bc9e4-697a-4075-abe5-177b7b681216","type":"CDSView"}},"id":"742c31bb-303e-432f-a9eb-b86e311f899b","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"42759a47-9893-40b2-9e5d-da27c9907c46","type":"Plot"},{"id":"7648c490-0bbf-4464-8add-e14d69fa2cde","type":"Plot"}]},"id":"da5f12ac-5808-4d83-a7fb-44028ebc3bda","type":"Row"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"a9008f28-2e60-4059-b701-86dd6f06f604","type":"BasicTickFormatter"},"plot":{"id":"42759a47-9893-40b2-9e5d-da27c9907c46","type":"Plot"},"ticker":{"id":"acd7b48a-b3be-4691-9331-231820547107","type":"BasicTicker"}},"id":"dc26466f-987e-4398-aa2c-80edac5ecc33","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAA4L9WVVVVVVX9P6uqqqqqqhBAAAAAAAAAGkCrqqqqqqohQFZVVVVVVSZAAAAAAAAAK0CsqqqqqqovQKuqqqqqKjJAAAAAAACANEA=","dtype":"float64","shape":[10]},"y":{"__ndarray__":"AAAAAAAABkBWVVVVVVUPQFZVVVVVVRRAAAAAAAAAGUCrqqqqqqodQKuqqqqqKiFAAAAAAACAI0BWVVVVVdUlQKuqqqqqKihAAAAAAACAKkA=","dtype":"float64","shape":[10]}}},"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"fc200e63-ad70-4bd3-819e-7ee6065d9120","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"133ef346-3ec8-4137-914c-57564e8f2967","type":"Toolbar"},{"attributes":{"plot":null,"text":"IV"},"id":"93f3ea70-f7df-4ec0-923a-4f6ab93ca28c","type":"Title"},{"attributes":{"source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"}},"id":"5d57b5cd-ada9-4639-a389-bfb2f323f3eb","type":"CDSView"},{"attributes":{},"id":"d993a771-db0f-4400-a555-698d6f64d90b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"b21d8e97-dc2d-435e-9520-b27445ef4387","type":"Plot"},"ticker":{"id":"46d61c87-fca8-46b4-ad66-f7c9394899ed","type":"BasicTicker"}},"id":"7d62d744-acf7-4e90-aa4c-59ab99eb9516","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xiii"},"y":{"field":"yiii"}},"id":"5ff6b366-6ad1-425f-965e-5b0225559139","type":"Circle"},{"attributes":{"plot":{"id":"42759a47-9893-40b2-9e5d-da27c9907c46","type":"Plot"},"ticker":{"id":"acd7b48a-b3be-4691-9331-231820547107","type":"BasicTicker"}},"id":"5fcf531c-f070-4df7-ae11-b6c03310e536","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"42759a47-9893-40b2-9e5d-da27c9907c46","type":"Plot"},"ticker":{"id":"da8d29ad-f4ab-4cf6-874a-f17cb892cdf6","type":"BasicTicker"}},"id":"f9f7a48e-4ec4-4eeb-8196-03daa3a92b14","type":"Grid"},{"attributes":{},"id":"44e1cd1d-b759-4c34-a645-b14ee644cdac","type":"LinearScale"},{"attributes":{"source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"}},"id":"b0b7bcf2-5ad0-4fc8-b2dd-8d440b44bbf4","type":"CDSView"},{"attributes":{},"id":"d494cef3-14fa-40bf-ade0-66f9b28b13f2","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["yiii","yi","xi","xii","yii","yiv","xiv","xiii"],"data":{"xi":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xii":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xiii":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xiv":{"__ndarray__":"AAAAAAAAIEAAAAAAAAAgQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAgQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAzQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAgQA==","dtype":"float64","shape":[11]},"yi":{"__ndarray__":"FK5H4XoUIEDNzMzMzMwbQFK4HoXrUR5AH4XrUbieIUApXI/C9aggQOxRuB6F6yNA9ihcj8L1HEAK16NwPQoRQK5H4XoUriVASOF6FK5HE0C4HoXrUbgWQA==","dtype":"float64","shape":[11]},"yii":{"__ndarray__":"SOF6FK5HIkBI4XoUrkcgQHsUrkfheiFACtejcD2KIUCF61G4HoUiQDMzMzMzMyBAhetRuB6FGEDNzMzMzMwIQMP1KFyPQiJACtejcD0KHUD2KFyPwvUSQA==","dtype":"float64","shape":[11]},"yiii":{"__ndarray__":"16NwPQrXHUAUrkfhehQbQHsUrkfheilAcT0K16NwHEA9CtejcD0fQK5H4XoUriFAUrgehetRGECPwvUoXI8VQM3MzMzMTCBArkfhehSuGUDsUbgehesWQA==","dtype":"float64","shape":[11]},"yiv":{"__ndarray__":"UrgehetRGkAK16NwPQoXQNejcD0K1x5ArkfhehSuIUBxPQrXo/AgQClcj8L1KBxAAAAAAAAAFUAAAAAAAAApQD0K16NwPRZApHA9CtejH0CPwvUoXI8bQA==","dtype":"float64","shape":[11]}}},"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"},{"attributes":{"source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"}},"id":"6c8bc9e4-697a-4075-abe5-177b7b681216","type":"CDSView"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"c3801a29-845d-4588-a961-0cafd361183a","type":"BasicTickFormatter"},"plot":{"id":"b21d8e97-dc2d-435e-9520-b27445ef4387","type":"Plot"},"ticker":{"id":"5b7abcb0-d002-4f67-a6ea-a7b0501c433b","type":"BasicTicker"}},"id":"13072ecb-6922-45ca-97f7-4406a5f8da0d","type":"LinearAxis"},{"attributes":{"plot":null,"text":"II"},"id":"c615c1c4-d047-4318-8527-d8b9e3922478","type":"Title"},{"attributes":{},"id":"01784c3c-de4b-40bd-8777-ae2e6ea3dc9e","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"7648c490-0bbf-4464-8add-e14d69fa2cde","type":"Plot"},"ticker":{"id":"b85e68a1-b2a7-485d-afff-2f492197b7e0","type":"BasicTicker"}},"id":"21725759-6e8c-41b4-93b4-9fd47bd76b67","type":"Grid"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"13072ecb-6922-45ca-97f7-4406a5f8da0d","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"11ac05d7-4b98-4147-a8d0-2ad857fdb561","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"13072ecb-6922-45ca-97f7-4406a5f8da0d","type":"LinearAxis"},{"id":"11ac05d7-4b98-4147-a8d0-2ad857fdb561","type":"LinearAxis"},{"id":"97d20142-89c6-4985-b7ec-07e0c82e84ca","type":"Grid"},{"id":"7d62d744-acf7-4e90-aa4c-59ab99eb9516","type":"Grid"},{"id":"742c31bb-303e-432f-a9eb-b86e311f899b","type":"GlyphRenderer"},{"id":"8ac4aa86-f6ce-47d8-a1b2-ed6e410b8106","type":"GlyphRenderer"}],"title":{"id":"8019cbed-f1c5-41d5-9399-e2b444e5607e","type":"Title"},"toolbar":{"id":"fc200e63-ad70-4bd3-819e-7ee6065d9120","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"19714ed1-2d4a-4554-a698-81c34b0c71fc","type":"Range1d"},"x_scale":{"id":"44e1cd1d-b759-4c34-a645-b14ee644cdac","type":"LinearScale"},"y_range":{"id":"4f55bf28-7339-4d0b-bbbd-a7317ceb27f3","type":"Range1d"},"y_scale":{"id":"609dd91e-b1ca-45ac-a9c6-11ce94fc239a","type":"LinearScale"}},"id":"b21d8e97-dc2d-435e-9520-b27445ef4387","type":"Plot"},{"attributes":{},"id":"5033b903-f73f-4e2c-9410-843a4f378771","type":"LinearScale"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"01784c3c-de4b-40bd-8777-ae2e6ea3dc9e","type":"BasicTickFormatter"},"plot":{"id":"7648c490-0bbf-4464-8add-e14d69fa2cde","type":"Plot"},"ticker":{"id":"cae514f1-eba5-448f-ad3a-2e9490720be6","type":"BasicTicker"}},"id":"c5db8e91-dfeb-4405-99eb-e30b85cf9c91","type":"LinearAxis"},{"attributes":{"plot":{"id":"a82926df-dacb-4392-a317-dd2dfc6c90b2","type":"Plot"},"ticker":{"id":"59bf86f5-26ae-49e1-8c71-0a86943004c1","type":"BasicTicker"}},"id":"1f716450-7484-4d60-8de4-7998bf9dd33a","type":"Grid"},{"attributes":{"plot":null,"text":"I"},"id":"8019cbed-f1c5-41d5-9399-e2b444e5607e","type":"Title"},{"attributes":{},"id":"acd7b48a-b3be-4691-9331-231820547107","type":"BasicTicker"},{"attributes":{},"id":"cae514f1-eba5-448f-ad3a-2e9490720be6","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xii"},"y":{"field":"yii"}},"id":"35fb299a-d9e9-4164-a161-377aba43b408","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xi"},"y":{"field":"yi"}},"id":"9f300885-12eb-4b31-aeac-cdbc83223b0d","type":"Circle"},{"attributes":{"source":{"id":"347ccf39-b3f7-4317-9e62-e12a60c63ed0","type":"ColumnDataSource"}},"id":"a364c9ce-0b38-4f6b-9c98-5eba5b82c9fd","type":"CDSView"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"3ec3e74d-f22f-469e-bc93-51794a5ef98f","type":"BasicTickFormatter"},"plot":{"id":"42759a47-9893-40b2-9e5d-da27c9907c46","type":"Plot"},"ticker":{"id":"da8d29ad-f4ab-4cf6-874a-f17cb892cdf6","type":"BasicTicker"}},"id":"678f36d5-ca6c-43b4-a54e-17c50787e56b","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5f9035d5-5610-44d5-8bdf-e51280fe1254","type":"ColumnDataSource"},"glyph":{"id":"9f300885-12eb-4b31-aeac-cdbc83223b0d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c6f2c12e-0c32-4f25-9c39-9dca57e6c28c","type":"CDSView"}},"id":"8ac4aa86-f6ce-47d8-a1b2-ed6e410b8106","type":"GlyphRenderer"},{"attributes":{},"id":"609dd91e-b1ca-45ac-a9c6-11ce94fc239a","type":"LinearScale"}],"root_ids":["0fa42fe6-9282-4073-9b4d-4f71ee4e9ce9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f6c9b14f-46f2-40d2-a192-1dccd2dfc6eb","elementid":"08e47bb3-abb0-4efa-9c77-935999206906","modelid":"0fa42fe6-9282-4073-9b4d-4f71ee4e9ce9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
