(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6fc87703-f576-4bf0-838c-db381e4253db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6fc87703-f576-4bf0-838c-db381e4253db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8c75f15f-fcff-46aa-bb5d-e893f5c55217":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"3eb71d64-592f-4943-a252-ebc9cd4aff49","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"9b708002-74d2-4b33-8f79-4e3848b18be4","type":"DataRange1d"},{"attributes":{"children":[{"id":"2d4e303d-fba9-47fb-917a-027512fb5dc5","type":"Toggle"}]},"id":"71687403-831f-4685-b023-1bc4f7a81623","type":"WidgetBox"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1d90a00-b458-4cc8-a470-7acf78e28f23","type":"Line"},{"attributes":{"children":[{"id":"2b4eb060-c4c5-437c-b05c-eaed0b689995","type":"Toggle"}]},"id":"682f717f-1e8c-4543-8174-68f356313599","type":"WidgetBox"},{"attributes":{"args":{"object":{"id":"55345cda-0787-4a04-a976-e17526211313","type":"GlyphRenderer"},"toggle":{"id":"2b4eb060-c4c5-437c-b05c-eaed0b689995","type":"Toggle"}},"code":"object.visible = toggle.active;\n"},"id":"55d99fe0-7d27-4d44-b334-7cd966e8e874","type":"CustomJS"},{"attributes":{"source":{"id":"ff195bae-e3f1-4d17-9a1b-e7a65bf3b658","type":"ColumnDataSource"}},"id":"bca00a7e-0327-4c8e-9f3c-41056a0925e5","type":"CDSView"},{"attributes":{},"id":"4bc1c40e-d639-48a6-8bd7-7fe1ddd2ecfd","type":"LinearScale"},{"attributes":{"children":[{"id":"f38e48b5-dbfa-4198-8fd7-900c6b58f774","type":"Row"},{"id":"f9da3216-2cad-42e6-8651-1ba2933cd2e4","type":"Row"}]},"id":"90becfb6-2286-434d-8815-f1d8508315ca","type":"Column"},{"attributes":{"below":[{"id":"e471bbb9-0d20-4a49-9a30-89a48cb4e5f6","type":"LinearAxis"}],"left":[{"id":"e6064a6f-1e26-48c2-a59c-fa81d416396c","type":"LinearAxis"}],"plot_height":200,"renderers":[{"id":"e471bbb9-0d20-4a49-9a30-89a48cb4e5f6","type":"LinearAxis"},{"id":"6358442c-1d92-41fb-8213-9fc287f2ad9e","type":"Grid"},{"id":"e6064a6f-1e26-48c2-a59c-fa81d416396c","type":"LinearAxis"},{"id":"311ed1ad-15cf-4df8-b65e-50e8b4cd5516","type":"Grid"},{"id":"fa3351bc-b73a-4a85-91c0-23f5728768b8","type":"GlyphRenderer"},{"id":"55345cda-0787-4a04-a976-e17526211313","type":"GlyphRenderer"},{"id":"94f08949-c962-45e2-9346-3878c6a13ee8","type":"BoxAnnotation"}],"title":{"id":"74630591-b22a-4b2c-9fcc-db44cc066953","type":"Title"},"toolbar":{"id":"575af1f4-79f9-44b6-bf8f-4f8b8e6ccee4","type":"Toolbar"},"x_range":{"id":"9b708002-74d2-4b33-8f79-4e3848b18be4","type":"DataRange1d"},"x_scale":{"id":"0f523fcb-7955-4f82-b88f-d17845ea236a","type":"LinearScale"},"y_range":{"id":"16c9a177-0530-40eb-a2ba-24c65165fe19","type":"DataRange1d"},"y_scale":{"id":"4bc1c40e-d639-48a6-8bd7-7fe1ddd2ecfd","type":"LinearScale"}},"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"3eb71d64-592f-4943-a252-ebc9cd4aff49","type":"ColumnDataSource"}},"id":"736faddf-5bba-45f8-b73a-5fb5f141daeb","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"74630591-b22a-4b2c-9fcc-db44cc066953","type":"Title"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"ff195bae-e3f1-4d17-9a1b-e7a65bf3b658","type":"ColumnDataSource"},{"attributes":{"children":[{"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"}]},"id":"f38e48b5-dbfa-4198-8fd7-900c6b58f774","type":"Row"},{"attributes":{"dimension":1,"plot":{"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3c3b5fb-0d7c-426f-8bb9-8610e1d1d2a5","type":"BasicTicker"}},"id":"311ed1ad-15cf-4df8-b65e-50e8b4cd5516","type":"Grid"},{"attributes":{"formatter":{"id":"a4d5118f-4f06-4de9-8d83-682269746c7e","type":"BasicTickFormatter"},"plot":{"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3c3b5fb-0d7c-426f-8bb9-8610e1d1d2a5","type":"BasicTicker"}},"id":"e6064a6f-1e26-48c2-a59c-fa81d416396c","type":"LinearAxis"},{"attributes":{},"id":"4a9aae76-f842-4410-b143-1de63e55bded","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"fe955732-0216-433f-89e3-1e8d76c973ea","type":"Line"},{"attributes":{},"id":"0f523fcb-7955-4f82-b88f-d17845ea236a","type":"LinearScale"},{"attributes":{"button_type":"success","callback":{"id":"55d99fe0-7d27-4d44-b334-7cd966e8e874","type":"CustomJS"},"icon":null,"label":"Pink Line"},"id":"2b4eb060-c4c5-437c-b05c-eaed0b689995","type":"Toggle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"575af1f4-79f9-44b6-bf8f-4f8b8e6ccee4","type":"Toolbar"},{"attributes":{"args":{"object":{"id":"94f08949-c962-45e2-9346-3878c6a13ee8","type":"BoxAnnotation"},"toggle":{"id":"2d4e303d-fba9-47fb-917a-027512fb5dc5","type":"Toggle"}},"code":"object.visible = toggle.active;\n"},"id":"c2f07037-7f88-409e-85d8-2b7a4e1e7d9d","type":"CustomJS"},{"attributes":{"callback":null},"id":"16c9a177-0530-40eb-a2ba-24c65165fe19","type":"DataRange1d"},{"attributes":{"children":[{"id":"71687403-831f-4685-b023-1bc4f7a81623","type":"WidgetBox"},{"id":"682f717f-1e8c-4543-8174-68f356313599","type":"WidgetBox"}]},"id":"f9da3216-2cad-42e6-8651-1ba2933cd2e4","type":"Row"},{"attributes":{"data_source":{"id":"ff195bae-e3f1-4d17-9a1b-e7a65bf3b658","type":"ColumnDataSource"},"glyph":{"id":"654d7311-119b-4cd3-af8c-7c7da66028e1","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fe955732-0216-433f-89e3-1e8d76c973ea","type":"Line"},"selection_glyph":null,"view":{"id":"bca00a7e-0327-4c8e-9f3c-41056a0925e5","type":"CDSView"}},"id":"55345cda-0787-4a04-a976-e17526211313","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"3eb71d64-592f-4943-a252-ebc9cd4aff49","type":"ColumnDataSource"},"glyph":{"id":"463e3bdb-8124-45ea-bb2f-6929b2ec8a84","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c1d90a00-b458-4cc8-a470-7acf78e28f23","type":"Line"},"selection_glyph":null,"view":{"id":"736faddf-5bba-45f8-b73a-5fb5f141daeb","type":"CDSView"}},"id":"fa3351bc-b73a-4a85-91c0-23f5728768b8","type":"GlyphRenderer"},{"attributes":{},"id":"a4d5118f-4f06-4de9-8d83-682269746c7e","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"654d7311-119b-4cd3-af8c-7c7da66028e1","type":"Line"},{"attributes":{"plot":{"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"4772a816-6284-45f9-8806-234bf7ed5bc6","type":"BasicTicker"}},"id":"6358442c-1d92-41fb-8213-9fc287f2ad9e","type":"Grid"},{"attributes":{},"id":"4772a816-6284-45f9-8806-234bf7ed5bc6","type":"BasicTicker"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"463e3bdb-8124-45ea-bb2f-6929b2ec8a84","type":"Line"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"green"},"left":1.5,"plot":{"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"},"right":2.5},"id":"94f08949-c962-45e2-9346-3878c6a13ee8","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"4a9aae76-f842-4410-b143-1de63e55bded","type":"BasicTickFormatter"},"plot":{"id":"35b4dbf0-5a8f-4240-ba17-22006a335e0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"4772a816-6284-45f9-8806-234bf7ed5bc6","type":"BasicTicker"}},"id":"e471bbb9-0d20-4a49-9a30-89a48cb4e5f6","type":"LinearAxis"},{"attributes":{},"id":"c3c3b5fb-0d7c-426f-8bb9-8610e1d1d2a5","type":"BasicTicker"},{"attributes":{"button_type":"success","callback":{"id":"c2f07037-7f88-409e-85d8-2b7a4e1e7d9d","type":"CustomJS"},"icon":null,"label":"Green Box"},"id":"2d4e303d-fba9-47fb-917a-027512fb5dc5","type":"Toggle"}],"root_ids":["90becfb6-2286-434d-8815-f1d8508315ca"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8c75f15f-fcff-46aa-bb5d-e893f5c55217","elementid":"6fc87703-f576-4bf0-838c-db381e4253db","modelid":"90becfb6-2286-434d-8815-f1d8508315ca"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
