(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a717e3e4-f4d1-44ce-a42b-e231ccf2d010");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a717e3e4-f4d1-44ce-a42b-e231ccf2d010' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e88d8ba0-0dec-4ca9-8f3b-13815bb7b7b0":{"roots":{"references":[{"attributes":{},"id":"4a456702-5615-48e1-8d15-c4cd11e35b76","type":"CategoricalTicker"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":[["Apples",-0.5],["Pears",-0.2],["Nectarines",0.0],["Plums",0.3],["Grapes",0.1],["Strawberries",0.3]]}},"id":"f614ad9a-0252-48d5-bb3d-0728f70fe0b4","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"9e2f5424-235e-4e22-9ea7-5e9d096de2cd","type":"FactorRange"},{"attributes":{},"id":"4ef8628a-740e-4a11-97f9-f9cf1f82de0f","type":"CategoricalScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"e64e231b-5525-4aa3-beb1-0abaf9f70a24","type":"VBar"},{"attributes":{"below":[{"id":"032dfa51-e6ab-4157-9e7a-972505c38f2f","type":"CategoricalAxis"}],"left":[{"id":"5d6d65fd-a566-46b3-b0ef-f2c2a8a25abf","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"032dfa51-e6ab-4157-9e7a-972505c38f2f","type":"CategoricalAxis"},{"id":"ca3e04a3-042c-4ed1-b50f-343b5b39d30c","type":"Grid"},{"id":"5d6d65fd-a566-46b3-b0ef-f2c2a8a25abf","type":"LinearAxis"},{"id":"ee09e4f6-ad4b-4d25-a63b-002a621b34a6","type":"Grid"},{"id":"5e5ee9f8-0581-4815-9c88-62e578817031","type":"GlyphRenderer"}],"title":{"id":"2c654d09-aa06-4a48-bf7d-7b3acccd6fcf","type":"Title"},"toolbar":{"id":"ae5d95c1-7e5e-4083-833c-f892385a1920","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9e2f5424-235e-4e22-9ea7-5e9d096de2cd","type":"FactorRange"},"x_scale":{"id":"4ef8628a-740e-4a11-97f9-f9cf1f82de0f","type":"CategoricalScale"},"y_range":{"id":"e95f02e4-f2ea-4097-9c75-8fb9736ca0fe","type":"DataRange1d"},"y_scale":{"id":"b3808fef-283a-4ab5-9d10-715c2314715b","type":"LinearScale"}},"id":"ca370e53-bfc1-406c-bc13-611bdc048dc2","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"2c46eecf-555a-4f45-bce8-d38dcf77dbbf","type":"CategoricalTickFormatter"},"plot":{"id":"ca370e53-bfc1-406c-bc13-611bdc048dc2","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a456702-5615-48e1-8d15-c4cd11e35b76","type":"CategoricalTicker"}},"id":"032dfa51-e6ab-4157-9e7a-972505c38f2f","type":"CategoricalAxis"},{"attributes":{},"id":"2c46eecf-555a-4f45-bce8-d38dcf77dbbf","type":"CategoricalTickFormatter"},{"attributes":{"source":{"id":"f614ad9a-0252-48d5-bb3d-0728f70fe0b4","type":"ColumnDataSource"}},"id":"4544e89c-57f5-47d3-8efc-5c8d93231773","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ae5d95c1-7e5e-4083-833c-f892385a1920","type":"Toolbar"},{"attributes":{},"id":"b1db35de-f98a-41b3-9b38-a448aa7bc7e7","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"ca370e53-bfc1-406c-bc13-611bdc048dc2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec5b9ef3-cba7-4cde-a315-4b5c5aa94ce0","type":"BasicTicker"}},"id":"ee09e4f6-ad4b-4d25-a63b-002a621b34a6","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"e95f02e4-f2ea-4097-9c75-8fb9736ca0fe","type":"DataRange1d"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"2c654d09-aa06-4a48-bf7d-7b3acccd6fcf","type":"Title"},{"attributes":{},"id":"ec5b9ef3-cba7-4cde-a315-4b5c5aa94ce0","type":"BasicTicker"},{"attributes":{"formatter":{"id":"b1db35de-f98a-41b3-9b38-a448aa7bc7e7","type":"BasicTickFormatter"},"plot":{"id":"ca370e53-bfc1-406c-bc13-611bdc048dc2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec5b9ef3-cba7-4cde-a315-4b5c5aa94ce0","type":"BasicTicker"}},"id":"5d6d65fd-a566-46b3-b0ef-f2c2a8a25abf","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"a676787b-651f-4acb-b65f-ba998c1a1115","type":"VBar"},{"attributes":{"data_source":{"id":"f614ad9a-0252-48d5-bb3d-0728f70fe0b4","type":"ColumnDataSource"},"glyph":{"id":"e64e231b-5525-4aa3-beb1-0abaf9f70a24","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a676787b-651f-4acb-b65f-ba998c1a1115","type":"VBar"},"selection_glyph":null,"view":{"id":"4544e89c-57f5-47d3-8efc-5c8d93231773","type":"CDSView"}},"id":"5e5ee9f8-0581-4815-9c88-62e578817031","type":"GlyphRenderer"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ca370e53-bfc1-406c-bc13-611bdc048dc2","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a456702-5615-48e1-8d15-c4cd11e35b76","type":"CategoricalTicker"}},"id":"ca3e04a3-042c-4ed1-b50f-343b5b39d30c","type":"Grid"},{"attributes":{},"id":"b3808fef-283a-4ab5-9d10-715c2314715b","type":"LinearScale"}],"root_ids":["ca370e53-bfc1-406c-bc13-611bdc048dc2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e88d8ba0-0dec-4ca9-8f3b-13815bb7b7b0","elementid":"a717e3e4-f4d1-44ce-a42b-e231ccf2d010","modelid":"ca370e53-bfc1-406c-bc13-611bdc048dc2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
