(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a7755c0a-123c-4769-899b-1d0899759fb7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a7755c0a-123c-4769-899b-1d0899759fb7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"41a318e7-d968-4040-b074-ddfba457bae0":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"b09666c9-5e7f-4ead-add7-7978e7d978d8","type":"HBar"},{"attributes":{},"id":"e1c738f4-4fbc-45f5-89ff-f9e8d721b564","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a5487dcc-3baf-4123-89dd-f3a30a6d5dc3","type":"PanTool"},{"id":"b90c6647-f771-41c2-8a16-e71c6ff72519","type":"WheelZoomTool"},{"id":"eaa3b4b1-1321-4337-8bd1-977439b1897c","type":"BoxZoomTool"},{"id":"4d355ebe-4b15-4894-8b89-068955d831dc","type":"SaveTool"},{"id":"b602787a-b38d-4ff9-972f-a2c406c33d9c","type":"ResetTool"},{"id":"35eb7de3-4586-4bfc-8538-c61198485d27","type":"HelpTool"}]},"id":"14bbeda5-9a2f-4bbe-90ad-0f27859867d8","type":"Toolbar"},{"attributes":{},"id":"5c1c044d-1484-4c59-b6e6-e2347f967553","type":"BasicTickFormatter"},{"attributes":{},"id":"b90c6647-f771-41c2-8a16-e71c6ff72519","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"791e6bf8-4414-4d3b-87da-f1938e083cec","type":"DataRange1d"},{"attributes":{},"id":"b602787a-b38d-4ff9-972f-a2c406c33d9c","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"a224f2c9-b143-490f-b7ca-156250509f8f","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"945d1f4e-f456-4248-a42b-f32b9cf115c2","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"navy"},"height":{"value":0.5},"line_color":{"value":"navy"},"right":{"field":"right"},"y":{"field":"y"}},"id":"2f28747f-6e48-4e18-a642-08e18b0d5759","type":"HBar"},{"attributes":{"callback":null},"id":"99faa18c-d3cb-456d-a9ad-ff4a4fe9143b","type":"DataRange1d"},{"attributes":{"overlay":{"id":"945d1f4e-f456-4248-a42b-f32b9cf115c2","type":"BoxAnnotation"}},"id":"eaa3b4b1-1321-4337-8bd1-977439b1897c","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"b7a50958-897f-4fec-8e08-5a3c68a27b2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"0471b683-8f75-48a3-8b43-d2fd3a27070e","type":"BasicTicker"}},"id":"36998b81-af22-4bf8-b23b-4f3d461a234c","type":"Grid"},{"attributes":{},"id":"150a55e1-b389-4be2-8502-158e1d7cfaeb","type":"LinearScale"},{"attributes":{},"id":"d7ef2c15-c87b-4485-a6af-3ef43418e912","type":"LinearScale"},{"attributes":{"data_source":{"id":"c8cdfaee-b8a2-405e-83e5-749179808d9d","type":"ColumnDataSource"},"glyph":{"id":"2f28747f-6e48-4e18-a642-08e18b0d5759","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b09666c9-5e7f-4ead-add7-7978e7d978d8","type":"HBar"},"selection_glyph":null,"view":{"id":"b56e8ca4-a58d-4c0f-a900-ce7febd5e6ff","type":"CDSView"}},"id":"4a620d18-1518-4ac5-ad52-29bb7ad5f464","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"5c1c044d-1484-4c59-b6e6-e2347f967553","type":"BasicTickFormatter"},"plot":{"id":"b7a50958-897f-4fec-8e08-5a3c68a27b2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a97a2b3-1d50-4bd1-9b71-ce804220a7b3","type":"BasicTicker"}},"id":"8bd0ecb8-7998-4339-b6c5-fda8ea81a776","type":"LinearAxis"},{"attributes":{},"id":"5a97a2b3-1d50-4bd1-9b71-ce804220a7b3","type":"BasicTicker"},{"attributes":{},"id":"35eb7de3-4586-4bfc-8538-c61198485d27","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"b7a50958-897f-4fec-8e08-5a3c68a27b2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a97a2b3-1d50-4bd1-9b71-ce804220a7b3","type":"BasicTicker"}},"id":"f92f6e5c-773f-445b-89fa-98a14af1eb49","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1.2,2.5,3.7],"y":[1,2,3]}},"id":"c8cdfaee-b8a2-405e-83e5-749179808d9d","type":"ColumnDataSource"},{"attributes":{},"id":"4d355ebe-4b15-4894-8b89-068955d831dc","type":"SaveTool"},{"attributes":{"below":[{"id":"a4a1577b-7a4e-4b50-87e5-184112ec031b","type":"LinearAxis"}],"left":[{"id":"8bd0ecb8-7998-4339-b6c5-fda8ea81a776","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a4a1577b-7a4e-4b50-87e5-184112ec031b","type":"LinearAxis"},{"id":"36998b81-af22-4bf8-b23b-4f3d461a234c","type":"Grid"},{"id":"8bd0ecb8-7998-4339-b6c5-fda8ea81a776","type":"LinearAxis"},{"id":"f92f6e5c-773f-445b-89fa-98a14af1eb49","type":"Grid"},{"id":"945d1f4e-f456-4248-a42b-f32b9cf115c2","type":"BoxAnnotation"},{"id":"4a620d18-1518-4ac5-ad52-29bb7ad5f464","type":"GlyphRenderer"}],"title":{"id":"a224f2c9-b143-490f-b7ca-156250509f8f","type":"Title"},"toolbar":{"id":"14bbeda5-9a2f-4bbe-90ad-0f27859867d8","type":"Toolbar"},"x_range":{"id":"791e6bf8-4414-4d3b-87da-f1938e083cec","type":"DataRange1d"},"x_scale":{"id":"150a55e1-b389-4be2-8502-158e1d7cfaeb","type":"LinearScale"},"y_range":{"id":"99faa18c-d3cb-456d-a9ad-ff4a4fe9143b","type":"DataRange1d"},"y_scale":{"id":"d7ef2c15-c87b-4485-a6af-3ef43418e912","type":"LinearScale"}},"id":"b7a50958-897f-4fec-8e08-5a3c68a27b2c","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"c8cdfaee-b8a2-405e-83e5-749179808d9d","type":"ColumnDataSource"}},"id":"b56e8ca4-a58d-4c0f-a900-ce7febd5e6ff","type":"CDSView"},{"attributes":{},"id":"a5487dcc-3baf-4123-89dd-f3a30a6d5dc3","type":"PanTool"},{"attributes":{},"id":"0471b683-8f75-48a3-8b43-d2fd3a27070e","type":"BasicTicker"},{"attributes":{"formatter":{"id":"e1c738f4-4fbc-45f5-89ff-f9e8d721b564","type":"BasicTickFormatter"},"plot":{"id":"b7a50958-897f-4fec-8e08-5a3c68a27b2c","subtype":"Figure","type":"Plot"},"ticker":{"id":"0471b683-8f75-48a3-8b43-d2fd3a27070e","type":"BasicTicker"}},"id":"a4a1577b-7a4e-4b50-87e5-184112ec031b","type":"LinearAxis"}],"root_ids":["b7a50958-897f-4fec-8e08-5a3c68a27b2c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"41a318e7-d968-4040-b074-ddfba457bae0","elementid":"a7755c0a-123c-4769-899b-1d0899759fb7","modelid":"b7a50958-897f-4fec-8e08-5a3c68a27b2c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
