(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2de7b678-d477-4b66-8c6c-85c29aa716fa");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2de7b678-d477-4b66-8c6c-85c29aa716fa' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"eabd3a4b-d285-43ef-8339-49c4be6d28a3":{"roots":{"references":[{"attributes":{"source":{"id":"adaa0960-c465-4d7b-95f5-6671703575cb","type":"ColumnDataSource"}},"id":"5bf71bc9-0348-4fde-8e10-901f83e701e5","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"25ad3072-370e-4ef4-8441-10ccf3d5aaaa","type":"Circle"},{"attributes":{},"id":"fa310d0c-dfc2-4ec0-91d6-4316ef5108f0","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"adaa0960-c465-4d7b-95f5-6671703575cb","type":"ColumnDataSource"},{"attributes":{},"id":"f40df945-90fd-45a3-870e-75221ccbb59c","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"23d4b75b-f6c0-4014-b45c-c4293cd67b9d","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"8236b5e3-57d8-4a8d-b2be-4dc23b3f4a4e","type":"BasicTickFormatter"},"major_tick_line_color":{"value":"firebrick"},"major_tick_line_width":{"value":3},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":"orange"},"minor_tick_out":8,"plot":{"id":"6484ec94-52e2-44f1-af91-3b31c59de75f","subtype":"Figure","type":"Plot"},"ticker":{"id":"03e45038-6147-4c69-bea7-df4dad7f6c85","type":"BasicTicker"}},"id":"6156f3ae-0c06-4ae6-bdec-a34191f1c9ea","type":"LinearAxis"},{"attributes":{},"id":"5fc7878d-803a-41cc-a4a9-aed50423f243","type":"BasicTicker"},{"attributes":{"plot":{"id":"6484ec94-52e2-44f1-af91-3b31c59de75f","subtype":"Figure","type":"Plot"},"ticker":{"id":"03e45038-6147-4c69-bea7-df4dad7f6c85","type":"BasicTicker"}},"id":"627358c1-831b-4983-898b-61a28ced5551","type":"Grid"},{"attributes":{},"id":"fbd0b4f2-8f85-47c1-94a0-19ff522b763f","type":"PanTool"},{"attributes":{"overlay":{"id":"23d4b75b-f6c0-4014-b45c-c4293cd67b9d","type":"BoxAnnotation"}},"id":"8e6f63a6-95ae-4de8-ae44-9abc2af42aee","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"f40df945-90fd-45a3-870e-75221ccbb59c","type":"BasicTickFormatter"},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":null},"minor_tick_out":8,"plot":{"id":"6484ec94-52e2-44f1-af91-3b31c59de75f","subtype":"Figure","type":"Plot"},"ticker":{"id":"5fc7878d-803a-41cc-a4a9-aed50423f243","type":"BasicTicker"}},"id":"62b047db-18e0-4716-a1e1-a5b265a631d9","type":"LinearAxis"},{"attributes":{"below":[{"id":"6156f3ae-0c06-4ae6-bdec-a34191f1c9ea","type":"LinearAxis"}],"left":[{"id":"62b047db-18e0-4716-a1e1-a5b265a631d9","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6156f3ae-0c06-4ae6-bdec-a34191f1c9ea","type":"LinearAxis"},{"id":"627358c1-831b-4983-898b-61a28ced5551","type":"Grid"},{"id":"62b047db-18e0-4716-a1e1-a5b265a631d9","type":"LinearAxis"},{"id":"23e95d5f-f1ea-4591-a455-496ede40c991","type":"Grid"},{"id":"23d4b75b-f6c0-4014-b45c-c4293cd67b9d","type":"BoxAnnotation"},{"id":"223d4aad-b2e3-449c-b9d8-9a545ca6b18d","type":"GlyphRenderer"}],"title":{"id":"9a3cba80-5e06-4801-a29f-511e10a73b4b","type":"Title"},"toolbar":{"id":"3210e3cd-491e-4fd9-af25-47aa113513c3","type":"Toolbar"},"x_range":{"id":"d64c74a3-0ef3-4bb9-8727-56a3471d9938","type":"DataRange1d"},"x_scale":{"id":"9f4965b5-02d9-4416-92db-e6c200289dde","type":"LinearScale"},"y_range":{"id":"e5438a03-292c-4d9c-8e7b-6bb05e275b1b","type":"DataRange1d"},"y_scale":{"id":"701cce18-daaa-4eee-940a-83dbed66fb4b","type":"LinearScale"}},"id":"6484ec94-52e2-44f1-af91-3b31c59de75f","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"6484ec94-52e2-44f1-af91-3b31c59de75f","subtype":"Figure","type":"Plot"},"ticker":{"id":"5fc7878d-803a-41cc-a4a9-aed50423f243","type":"BasicTicker"}},"id":"23e95d5f-f1ea-4591-a455-496ede40c991","type":"Grid"},{"attributes":{},"id":"6a35798c-63ff-452c-92d6-0ff916fc7075","type":"SaveTool"},{"attributes":{},"id":"8236b5e3-57d8-4a8d-b2be-4dc23b3f4a4e","type":"BasicTickFormatter"},{"attributes":{},"id":"701cce18-daaa-4eee-940a-83dbed66fb4b","type":"LinearScale"},{"attributes":{},"id":"ab4a0180-246f-47f7-9571-e8f42b0c3420","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"d64c74a3-0ef3-4bb9-8727-56a3471d9938","type":"DataRange1d"},{"attributes":{},"id":"41ab3222-7ed7-4460-aae1-5d79206c1712","type":"HelpTool"},{"attributes":{},"id":"9f4965b5-02d9-4416-92db-e6c200289dde","type":"LinearScale"},{"attributes":{},"id":"03e45038-6147-4c69-bea7-df4dad7f6c85","type":"BasicTicker"},{"attributes":{"data_source":{"id":"adaa0960-c465-4d7b-95f5-6671703575cb","type":"ColumnDataSource"},"glyph":{"id":"25ad3072-370e-4ef4-8441-10ccf3d5aaaa","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2a40a747-2b9d-4fb1-a437-c9e323f7bfbb","type":"Circle"},"selection_glyph":null,"view":{"id":"5bf71bc9-0348-4fde-8e10-901f83e701e5","type":"CDSView"}},"id":"223d4aad-b2e3-449c-b9d8-9a545ca6b18d","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2a40a747-2b9d-4fb1-a437-c9e323f7bfbb","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"9a3cba80-5e06-4801-a29f-511e10a73b4b","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fbd0b4f2-8f85-47c1-94a0-19ff522b763f","type":"PanTool"},{"id":"ab4a0180-246f-47f7-9571-e8f42b0c3420","type":"WheelZoomTool"},{"id":"8e6f63a6-95ae-4de8-ae44-9abc2af42aee","type":"BoxZoomTool"},{"id":"6a35798c-63ff-452c-92d6-0ff916fc7075","type":"SaveTool"},{"id":"fa310d0c-dfc2-4ec0-91d6-4316ef5108f0","type":"ResetTool"},{"id":"41ab3222-7ed7-4460-aae1-5d79206c1712","type":"HelpTool"}]},"id":"3210e3cd-491e-4fd9-af25-47aa113513c3","type":"Toolbar"},{"attributes":{"callback":null},"id":"e5438a03-292c-4d9c-8e7b-6bb05e275b1b","type":"DataRange1d"}],"root_ids":["6484ec94-52e2-44f1-af91-3b31c59de75f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"eabd3a4b-d285-43ef-8339-49c4be6d28a3","elementid":"2de7b678-d477-4b66-8c6c-85c29aa716fa","modelid":"6484ec94-52e2-44f1-af91-3b31c59de75f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
