(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1b658ac9-cee1-4ce9-b2cd-b114283a4d28");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1b658ac9-cee1-4ce9-b2cd-b114283a4d28' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f500a1fb-b190-4cb6-a6de-38e68e437434":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9e0c419f-9f37-4870-9528-ca2767951c23","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"21cb302b-205d-4bb4-ad36-003ea9d8efb0","type":"ColumnDataSource"},{"attributes":{},"id":"48b62eed-2732-4eaf-a8c4-76610c3b7d81","type":"LinearScale"},{"attributes":{"callback":null},"id":"5e047602-65ef-48fd-9522-3d98040d695f","type":"DataRange1d"},{"attributes":{"axis_label":"Bin Count","formatter":{"id":"4c3007ce-39ee-4b7e-a4f6-eacd046ab6d3","type":"BasicTickFormatter"},"plot":{"id":"17c8714a-8c7a-403f-a7f5-138844d79447","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcd4f5c6-f510-4c95-8516-b10fd4517040","type":"BasicTicker"}},"id":"0a5c887e-72b7-40aa-9fcc-10ebaa159b5e","type":"LinearAxis"},{"attributes":{},"id":"fcd7ea94-6620-4db7-8a40-76c9a9839fb0","type":"SaveTool"},{"attributes":{},"id":"bfc8c40a-4b2d-48d4-b72d-080acce41697","type":"WheelZoomTool"},{"attributes":{},"id":"3a9bf26d-0353-48b2-a860-c7d9079ecebb","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"3c2f11c3-56fd-44d6-bbbd-e700d5de4c85","type":"Title"},{"attributes":{},"id":"abce0595-5f2f-4fc9-8171-9b4a0a824723","type":"ResetTool"},{"attributes":{"overlay":{"id":"cd4bb447-e456-49a2-90c7-7deff459d14a","type":"BoxAnnotation"}},"id":"8e6e5060-bab8-42c6-8564-7775653899e7","type":"BoxZoomTool"},{"attributes":{"source":{"id":"21cb302b-205d-4bb4-ad36-003ea9d8efb0","type":"ColumnDataSource"}},"id":"d12a06c3-38c2-4835-a77c-5a4d42552775","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cd4bb447-e456-49a2-90c7-7deff459d14a","type":"BoxAnnotation"},{"attributes":{"axis_label":"Lot Number","axis_label_standoff":30,"axis_label_text_color":{"value":"#aa6666"},"formatter":{"id":"ed781269-6b87-4d33-b06c-9e4ab05b6f08","type":"BasicTickFormatter"},"plot":{"id":"17c8714a-8c7a-403f-a7f5-138844d79447","subtype":"Figure","type":"Plot"},"ticker":{"id":"e614607c-1056-4e6a-aebf-9598c68e616e","type":"BasicTicker"}},"id":"66c6018e-b85f-45b4-ab25-80183bb38d73","type":"LinearAxis"},{"attributes":{},"id":"158cff8f-9494-4a6f-b206-fb82ddf60ca8","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"158cff8f-9494-4a6f-b206-fb82ddf60ca8","type":"PanTool"},{"id":"bfc8c40a-4b2d-48d4-b72d-080acce41697","type":"WheelZoomTool"},{"id":"8e6e5060-bab8-42c6-8564-7775653899e7","type":"BoxZoomTool"},{"id":"fcd7ea94-6620-4db7-8a40-76c9a9839fb0","type":"SaveTool"},{"id":"abce0595-5f2f-4fc9-8171-9b4a0a824723","type":"ResetTool"},{"id":"3a9bf26d-0353-48b2-a860-c7d9079ecebb","type":"HelpTool"}]},"id":"dfdfb5bf-2738-4a09-91cd-76bcb19ecd0c","type":"Toolbar"},{"attributes":{"below":[{"id":"66c6018e-b85f-45b4-ab25-80183bb38d73","type":"LinearAxis"}],"left":[{"id":"0a5c887e-72b7-40aa-9fcc-10ebaa159b5e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"66c6018e-b85f-45b4-ab25-80183bb38d73","type":"LinearAxis"},{"id":"ad46c071-c427-4365-9c35-21ef70afcb36","type":"Grid"},{"id":"0a5c887e-72b7-40aa-9fcc-10ebaa159b5e","type":"LinearAxis"},{"id":"dc0b4e14-0986-48e0-8f25-96936d6d9a9c","type":"Grid"},{"id":"cd4bb447-e456-49a2-90c7-7deff459d14a","type":"BoxAnnotation"},{"id":"c0165ad4-0cf3-4cd3-8975-43e3d6181f35","type":"GlyphRenderer"}],"title":{"id":"3c2f11c3-56fd-44d6-bbbd-e700d5de4c85","type":"Title"},"toolbar":{"id":"dfdfb5bf-2738-4a09-91cd-76bcb19ecd0c","type":"Toolbar"},"x_range":{"id":"03241136-2731-4c78-91af-d353a55b9853","type":"DataRange1d"},"x_scale":{"id":"1328aa32-c811-431d-b8d9-dcf78acd6967","type":"LinearScale"},"y_range":{"id":"5e047602-65ef-48fd-9522-3d98040d695f","type":"DataRange1d"},"y_scale":{"id":"48b62eed-2732-4eaf-a8c4-76610c3b7d81","type":"LinearScale"}},"id":"17c8714a-8c7a-403f-a7f5-138844d79447","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e614607c-1056-4e6a-aebf-9598c68e616e","type":"BasicTicker"},{"attributes":{},"id":"ed781269-6b87-4d33-b06c-9e4ab05b6f08","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"17c8714a-8c7a-403f-a7f5-138844d79447","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcd4f5c6-f510-4c95-8516-b10fd4517040","type":"BasicTicker"}},"id":"dc0b4e14-0986-48e0-8f25-96936d6d9a9c","type":"Grid"},{"attributes":{},"id":"4c3007ce-39ee-4b7e-a4f6-eacd046ab6d3","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9532d2ff-0a42-473b-a754-4d9896937947","type":"Circle"},{"attributes":{"callback":null},"id":"03241136-2731-4c78-91af-d353a55b9853","type":"DataRange1d"},{"attributes":{"data_source":{"id":"21cb302b-205d-4bb4-ad36-003ea9d8efb0","type":"ColumnDataSource"},"glyph":{"id":"9532d2ff-0a42-473b-a754-4d9896937947","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9e0c419f-9f37-4870-9528-ca2767951c23","type":"Circle"},"selection_glyph":null,"view":{"id":"d12a06c3-38c2-4835-a77c-5a4d42552775","type":"CDSView"}},"id":"c0165ad4-0cf3-4cd3-8975-43e3d6181f35","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"17c8714a-8c7a-403f-a7f5-138844d79447","subtype":"Figure","type":"Plot"},"ticker":{"id":"e614607c-1056-4e6a-aebf-9598c68e616e","type":"BasicTicker"}},"id":"ad46c071-c427-4365-9c35-21ef70afcb36","type":"Grid"},{"attributes":{},"id":"1328aa32-c811-431d-b8d9-dcf78acd6967","type":"LinearScale"},{"attributes":{},"id":"bcd4f5c6-f510-4c95-8516-b10fd4517040","type":"BasicTicker"}],"root_ids":["17c8714a-8c7a-403f-a7f5-138844d79447"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f500a1fb-b190-4cb6-a6de-38e68e437434","elementid":"1b658ac9-cee1-4ce9-b2cd-b114283a4d28","modelid":"17c8714a-8c7a-403f-a7f5-138844d79447"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
