(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d0882723-ced7-4bb2-89bf-61a4c8fd6e8a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd0882723-ced7-4bb2-89bf-61a4c8fd6e8a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f2996939-b6c4-420a-938d-1c57c56e7373":{"roots":{"references":[{"attributes":{},"id":"c8857a18-e063-4fad-83fe-c7147f2266cb","type":"CategoricalTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"0bf27970-44b2-4ec1-a8bc-0c25e65704e7","type":"VBar"},{"attributes":{},"id":"5ce82dcf-6d1e-427d-98c6-9034dc213958","type":"LinearScale"},{"attributes":{"formatter":{"id":"b05897fe-b6fa-4686-95e4-6152e8454017","type":"CategoricalTickFormatter"},"plot":{"id":"4fb5c3e0-333d-42be-8778-b90676297ed5","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8857a18-e063-4fad-83fe-c7147f2266cb","type":"CategoricalTicker"}},"id":"552ba3ed-eccb-4676-8fce-3158bb7558f7","type":"CategoricalAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"4fb5c3e0-333d-42be-8778-b90676297ed5","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8857a18-e063-4fad-83fe-c7147f2266cb","type":"CategoricalTicker"}},"id":"597227b4-c80e-4f12-83dd-53ae92162fd5","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"8a4b0de1-93d9-4bf0-b986-a45258b9b144","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"3a794839-2494-4cfb-a43c-0c94c80d7c3c","type":"Title"},{"attributes":{"formatter":{"id":"c6b74a68-bc85-4e07-9e7a-da397fb82099","type":"BasicTickFormatter"},"plot":{"id":"4fb5c3e0-333d-42be-8778-b90676297ed5","subtype":"Figure","type":"Plot"},"ticker":{"id":"fea9d4cd-ab16-40d1-9261-3f104c448449","type":"BasicTicker"}},"id":"67598bf8-29a8-4833-8d2f-4f2800718980","type":"LinearAxis"},{"attributes":{},"id":"e36ec28f-b544-4159-bf18-872394d9c59c","type":"CategoricalScale"},{"attributes":{"dimension":1,"plot":{"id":"4fb5c3e0-333d-42be-8778-b90676297ed5","subtype":"Figure","type":"Plot"},"ticker":{"id":"fea9d4cd-ab16-40d1-9261-3f104c448449","type":"BasicTicker"}},"id":"3e4b2abc-cdda-47e5-9ffc-fc3b9192317f","type":"Grid"},{"attributes":{},"id":"fea9d4cd-ab16-40d1-9261-3f104c448449","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e5fc6bdd-0984-4e2b-a094-540d31a49406","type":"Toolbar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"88bfb890-c143-4953-83db-db67138735cc","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"828a5bad-8471-48b8-8bad-6b91116f53ab","type":"VBar"},{"attributes":{"below":[{"id":"552ba3ed-eccb-4676-8fce-3158bb7558f7","type":"CategoricalAxis"}],"left":[{"id":"67598bf8-29a8-4833-8d2f-4f2800718980","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"552ba3ed-eccb-4676-8fce-3158bb7558f7","type":"CategoricalAxis"},{"id":"597227b4-c80e-4f12-83dd-53ae92162fd5","type":"Grid"},{"id":"67598bf8-29a8-4833-8d2f-4f2800718980","type":"LinearAxis"},{"id":"3e4b2abc-cdda-47e5-9ffc-fc3b9192317f","type":"Grid"},{"id":"7735f138-20cd-4cf3-afde-6ef3a7d1877d","type":"GlyphRenderer"}],"title":{"id":"3a794839-2494-4cfb-a43c-0c94c80d7c3c","type":"Title"},"toolbar":{"id":"e5fc6bdd-0984-4e2b-a094-540d31a49406","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"88bfb890-c143-4953-83db-db67138735cc","type":"FactorRange"},"x_scale":{"id":"e36ec28f-b544-4159-bf18-872394d9c59c","type":"CategoricalScale"},"y_range":{"id":"091295ce-6658-42d3-89c6-448e6efde9b1","type":"DataRange1d"},"y_scale":{"id":"5ce82dcf-6d1e-427d-98c6-9034dc213958","type":"LinearScale"}},"id":"4fb5c3e0-333d-42be-8778-b90676297ed5","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"start":0},"id":"091295ce-6658-42d3-89c6-448e6efde9b1","type":"DataRange1d"},{"attributes":{},"id":"b05897fe-b6fa-4686-95e4-6152e8454017","type":"CategoricalTickFormatter"},{"attributes":{},"id":"c6b74a68-bc85-4e07-9e7a-da397fb82099","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"8a4b0de1-93d9-4bf0-b986-a45258b9b144","type":"ColumnDataSource"},"glyph":{"id":"0bf27970-44b2-4ec1-a8bc-0c25e65704e7","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"828a5bad-8471-48b8-8bad-6b91116f53ab","type":"VBar"},"selection_glyph":null,"view":{"id":"6a252c03-8168-41b1-8bb5-91ec75a04e21","type":"CDSView"}},"id":"7735f138-20cd-4cf3-afde-6ef3a7d1877d","type":"GlyphRenderer"},{"attributes":{"source":{"id":"8a4b0de1-93d9-4bf0-b986-a45258b9b144","type":"ColumnDataSource"}},"id":"6a252c03-8168-41b1-8bb5-91ec75a04e21","type":"CDSView"}],"root_ids":["4fb5c3e0-333d-42be-8778-b90676297ed5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f2996939-b6c4-420a-938d-1c57c56e7373","elementid":"d0882723-ced7-4bb2-89bf-61a4c8fd6e8a","modelid":"4fb5c3e0-333d-42be-8778-b90676297ed5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
