(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("290b39d0-19e2-45ce-9205-a052298d9924");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '290b39d0-19e2-45ce-9205-a052298d9924' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3d302f42-a1d2-410b-8b65-47ba4680e51e":{"roots":{"references":[{"attributes":{},"id":"c1bbbde8-32b1-4e65-9238-233cc788a014","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"efa62a32-6053-4bf1-b125-9bf4c5dfdd76","type":"BasicTickFormatter"},"plot":{"id":"5186ba1e-f88c-49de-9e84-bf2276a15d76","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a0d290a-2bfd-454c-8600-23a35303431d","type":"BasicTicker"}},"id":"2106dc24-4445-4f4e-9871-5ecfc7e27afa","type":"LinearAxis"},{"attributes":{},"id":"4c9c3448-ba4f-43bf-8cfb-b0014c052ddc","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"3f15e965-60a6-46a1-900c-01217f052f14","type":"ColumnDataSource"},"glyph":{"id":"d3b8b23c-0b1a-4885-8067-7880611e1e50","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5d132729-829a-4fdd-aa07-da33ed304193","type":"Circle"},"selection_glyph":null,"view":{"id":"8bcd763f-3f48-463a-9424-2efc1b4c318f","type":"CDSView"}},"id":"c01356fa-d196-43d5-980e-8450d810d6ed","type":"GlyphRenderer"},{"attributes":{},"id":"be6ebb10-df18-4403-950e-240c8f4987cc","type":"ResetTool"},{"attributes":{},"id":"7c2050ee-3e7a-4d6f-bf7d-4819c28407b8","type":"HelpTool"},{"attributes":{},"id":"efa62a32-6053-4bf1-b125-9bf4c5dfdd76","type":"BasicTickFormatter"},{"attributes":{},"id":"d3b317e0-0ce3-431b-863d-01d3d587559d","type":"SaveTool"},{"attributes":{"plot":{"id":"5186ba1e-f88c-49de-9e84-bf2276a15d76","subtype":"Figure","type":"Plot"},"ticker":{"id":"d81c5656-5045-418e-998a-528654619029","type":"BasicTicker"}},"id":"330d604f-0571-4679-a029-e74ee81998c4","type":"Grid"},{"attributes":{"formatter":{"id":"c1bbbde8-32b1-4e65-9238-233cc788a014","type":"BasicTickFormatter"},"plot":{"id":"5186ba1e-f88c-49de-9e84-bf2276a15d76","subtype":"Figure","type":"Plot"},"ticker":{"id":"d81c5656-5045-418e-998a-528654619029","type":"BasicTicker"}},"id":"bfd2abf5-c518-40d0-aa23-0bb461ee63d8","type":"LinearAxis"},{"attributes":{},"id":"d81c5656-5045-418e-998a-528654619029","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a2f59b5f-6a4b-4d55-b241-491cb5c45472","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e0a5f540-669d-43d5-80f4-37e05de0c7da","type":"PanTool"},{"id":"4c9c3448-ba4f-43bf-8cfb-b0014c052ddc","type":"WheelZoomTool"},{"id":"52ffabb0-c208-4910-8ed4-a7b0d0f0d1d2","type":"BoxZoomTool"},{"id":"d3b317e0-0ce3-431b-863d-01d3d587559d","type":"SaveTool"},{"id":"be6ebb10-df18-4403-950e-240c8f4987cc","type":"ResetTool"},{"id":"7c2050ee-3e7a-4d6f-bf7d-4819c28407b8","type":"HelpTool"}]},"id":"11a37cd2-3626-4297-b2ea-dd9526cf3dd0","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d3b8b23c-0b1a-4885-8067-7880611e1e50","type":"Circle"},{"attributes":{},"id":"09f9d9b1-60b2-4858-824e-105c0217f29b","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"3f15e965-60a6-46a1-900c-01217f052f14","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"5186ba1e-f88c-49de-9e84-bf2276a15d76","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a0d290a-2bfd-454c-8600-23a35303431d","type":"BasicTicker"}},"id":"fb5e94d0-3586-497a-aabf-ed60e065ebb8","type":"Grid"},{"attributes":{"callback":null},"id":"8dd2f756-1062-4d3e-92c3-118c0868855a","type":"DataRange1d"},{"attributes":{"overlay":{"id":"0fd93665-d8b9-4495-b5c9-670094a46adf","type":"BoxAnnotation"}},"id":"52ffabb0-c208-4910-8ed4-a7b0d0f0d1d2","type":"BoxZoomTool"},{"attributes":{},"id":"e0a5f540-669d-43d5-80f4-37e05de0c7da","type":"PanTool"},{"attributes":{"below":[{"id":"bfd2abf5-c518-40d0-aa23-0bb461ee63d8","type":"LinearAxis"}],"left":[{"id":"2106dc24-4445-4f4e-9871-5ecfc7e27afa","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"bfd2abf5-c518-40d0-aa23-0bb461ee63d8","type":"LinearAxis"},{"id":"330d604f-0571-4679-a029-e74ee81998c4","type":"Grid"},{"id":"2106dc24-4445-4f4e-9871-5ecfc7e27afa","type":"LinearAxis"},{"id":"fb5e94d0-3586-497a-aabf-ed60e065ebb8","type":"Grid"},{"id":"0fd93665-d8b9-4495-b5c9-670094a46adf","type":"BoxAnnotation"},{"id":"c01356fa-d196-43d5-980e-8450d810d6ed","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"11a37cd2-3626-4297-b2ea-dd9526cf3dd0","type":"Toolbar"},"toolbar_location":"below","toolbar_sticky":false,"x_range":{"id":"a2f59b5f-6a4b-4d55-b241-491cb5c45472","type":"DataRange1d"},"x_scale":{"id":"09f9d9b1-60b2-4858-824e-105c0217f29b","type":"LinearScale"},"y_range":{"id":"8dd2f756-1062-4d3e-92c3-118c0868855a","type":"DataRange1d"},"y_scale":{"id":"4ff89028-14f4-41ca-bba4-af263833b239","type":"LinearScale"}},"id":"5186ba1e-f88c-49de-9e84-bf2276a15d76","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8a0d290a-2bfd-454c-8600-23a35303431d","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5d132729-829a-4fdd-aa07-da33ed304193","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0fd93665-d8b9-4495-b5c9-670094a46adf","type":"BoxAnnotation"},{"attributes":{"source":{"id":"3f15e965-60a6-46a1-900c-01217f052f14","type":"ColumnDataSource"}},"id":"8bcd763f-3f48-463a-9424-2efc1b4c318f","type":"CDSView"},{"attributes":{},"id":"4ff89028-14f4-41ca-bba4-af263833b239","type":"LinearScale"}],"root_ids":["5186ba1e-f88c-49de-9e84-bf2276a15d76"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3d302f42-a1d2-410b-8b65-47ba4680e51e","elementid":"290b39d0-19e2-45ce-9205-a052298d9924","modelid":"5186ba1e-f88c-49de-9e84-bf2276a15d76"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
