(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cf2cfb01-0752-4525-85ab-42c26fe57c2f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cf2cfb01-0752-4525-85ab-42c26fe57c2f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f40ad041-a9e4-4c9a-82d3-70b6fea8d1ac":{"roots":{"references":[{"attributes":{},"id":"257c6284-9764-420a-a64d-da1bab6efb80","type":"BasicTicker"},{"attributes":{"data_source":{"id":"0d8a03db-d99d-4c87-904d-8782648040db","type":"ColumnDataSource"},"glyph":{"id":"e3b32c06-1318-443b-b311-3538a726127e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"600fea82-e977-44bc-87aa-718be2da2c69","type":"Circle"},"selection_glyph":null,"view":{"id":"e83fa2c6-6d6f-47ce-bf5e-b941b52e3d96","type":"CDSView"}},"id":"b3f32a89-a963-43ed-bc22-492475cf833d","type":"GlyphRenderer"},{"attributes":{},"id":"67678d5d-4baa-45bd-86f0-0dd7386d59b0","type":"BasicTicker"},{"attributes":{"below":[{"id":"4837c337-48a4-4c5e-b7c7-668c551356e9","type":"LinearAxis"}],"left":[{"id":"46e113cf-a62e-4e36-bd71-c5f5dd4ddaf3","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4837c337-48a4-4c5e-b7c7-668c551356e9","type":"LinearAxis"},{"id":"149c4624-90bf-4a22-a71a-9c6a297cb9e2","type":"Grid"},{"id":"46e113cf-a62e-4e36-bd71-c5f5dd4ddaf3","type":"LinearAxis"},{"id":"563be71d-58c1-4be9-b4ba-91dfb6a14609","type":"Grid"},{"id":"8ef44e81-5cc4-42ce-9cf1-e95c8ddc948d","type":"BoxAnnotation"},{"id":"9add6366-384b-452d-8062-a9e01a159534","type":"PolyAnnotation"},{"id":"b3f32a89-a963-43ed-bc22-492475cf833d","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"e8a12cb3-300f-4a8b-a9d0-bf19a80c233e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"372f7646-566c-40d0-b25c-8126a498f92d","type":"DataRange1d"},"x_scale":{"id":"d07e320c-b306-4f10-8e6e-f17ca09797ec","type":"LinearScale"},"y_range":{"id":"85db142f-da16-4d1c-b951-b12391039878","type":"DataRange1d"},"y_scale":{"id":"92e3b977-623e-43b9-a5ea-c995d2e4f8b2","type":"LinearScale"}},"id":"2cbb1e8a-bf84-4bd1-bd49-2c1891c44e6d","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"9293f390-2c89-44fb-8e65-f790ecf0f556","type":"PolyAnnotation"},{"attributes":{},"id":"c5a24fa7-d2a4-4242-9664-fdb1c70cad25","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"9add6366-384b-452d-8062-a9e01a159534","type":"PolyAnnotation"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8ef44e81-5cc4-42ce-9cf1-e95c8ddc948d","type":"BoxAnnotation"},{"attributes":{},"id":"6f8a348a-f7fe-4f20-b62f-4be01f892948","type":"BasicTicker"},{"attributes":{"source":{"id":"0d8a03db-d99d-4c87-904d-8782648040db","type":"ColumnDataSource"}},"id":"e83fa2c6-6d6f-47ce-bf5e-b941b52e3d96","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4efa57b6-6048-407a-94f6-22f75bd187c8","type":"BoxSelectTool"},{"id":"f4fe94a9-e5a4-4d2e-8ed6-b97bd7e2a5e2","type":"LassoSelectTool"},{"id":"c5a24fa7-d2a4-4242-9664-fdb1c70cad25","type":"HelpTool"}]},"id":"075df41a-de50-41b6-bcfc-c1931fedf1ce","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"2cbb1e8a-bf84-4bd1-bd49-2c1891c44e6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f8a348a-f7fe-4f20-b62f-4be01f892948","type":"BasicTicker"}},"id":"563be71d-58c1-4be9-b4ba-91dfb6a14609","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"8ef44e81-5cc4-42ce-9cf1-e95c8ddc948d","type":"BoxAnnotation"},"renderers":[{"id":"b3f32a89-a963-43ed-bc22-492475cf833d","type":"GlyphRenderer"}]},"id":"231d9782-6f8f-40e1-b776-2dec75d2f578","type":"BoxSelectTool"},{"attributes":{"children":[{"id":"e891b077-a06e-4854-86e2-a2c60a115a89","type":"ToolbarBox"},{"id":"075325c0-0454-4468-b37d-2d74a03ab51c","type":"Column"}]},"id":"5deba472-55ef-4929-9b51-f42d131e8618","type":"Column"},{"attributes":{"data_source":{"id":"0d8a03db-d99d-4c87-904d-8782648040db","type":"ColumnDataSource"},"glyph":{"id":"fd14e2b6-06bd-4de3-930e-e28323e10c25","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ff60e790-fe9e-4ef1-9498-287ace5a0dca","type":"Circle"},"selection_glyph":null,"view":{"id":"772d723f-07ec-4042-bfd4-a92ee9392e33","type":"CDSView"}},"id":"1043f6e8-0299-40dd-8ce1-712d15ba1ad0","type":"GlyphRenderer"},{"attributes":{},"id":"9a92f5fa-7291-498a-acae-8474d53168d9","type":"BasicTicker"},{"attributes":{},"id":"8ea95e6c-d020-49a9-9e9c-9cfe582c3436","type":"BasicTickFormatter"},{"attributes":{},"id":"ee8a3afd-5bf7-488f-8463-2d58986f0518","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"2cbb1e8a-bf84-4bd1-bd49-2c1891c44e6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"67678d5d-4baa-45bd-86f0-0dd7386d59b0","type":"BasicTicker"}},"id":"149c4624-90bf-4a22-a71a-9c6a297cb9e2","type":"Grid"},{"attributes":{},"id":"39c261a4-262c-4b76-88eb-bdd0c44c4aea","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"9293f390-2c89-44fb-8e65-f790ecf0f556","type":"PolyAnnotation"}},"id":"f4fe94a9-e5a4-4d2e-8ed6-b97bd7e2a5e2","type":"LassoSelectTool"},{"attributes":{"plot":{"id":"3696d66f-fe43-43a6-8efd-e352ede4659b","subtype":"Figure","type":"Plot"},"ticker":{"id":"257c6284-9764-420a-a64d-da1bab6efb80","type":"BasicTicker"}},"id":"3db42760-63d9-45b2-8b10-32f175ff0285","type":"Grid"},{"attributes":{"children":[{"id":"2cbb1e8a-bf84-4bd1-bd49-2c1891c44e6d","subtype":"Figure","type":"Plot"},{"id":"3696d66f-fe43-43a6-8efd-e352ede4659b","subtype":"Figure","type":"Plot"}]},"id":"634ae820-66ec-4055-9461-af755d49aee1","type":"Row"},{"attributes":{"callback":null},"id":"85db142f-da16-4d1c-b951-b12391039878","type":"DataRange1d"},{"attributes":{},"id":"b26d8ad7-cfc7-4565-9039-c9d655768501","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fa819e08-5478-4987-a920-7c1268938dcc","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"ee8a3afd-5bf7-488f-8463-2d58986f0518","type":"BasicTickFormatter"},"plot":{"id":"3696d66f-fe43-43a6-8efd-e352ede4659b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a92f5fa-7291-498a-acae-8474d53168d9","type":"BasicTicker"}},"id":"3c7e90af-71b1-4b25-8975-e3d1758b00ed","type":"LinearAxis"},{"attributes":{"formatter":{"id":"2a20e593-ba55-444f-99a1-6b75ab82410b","type":"BasicTickFormatter"},"plot":{"id":"3696d66f-fe43-43a6-8efd-e352ede4659b","subtype":"Figure","type":"Plot"},"ticker":{"id":"257c6284-9764-420a-a64d-da1bab6efb80","type":"BasicTicker"}},"id":"32e49604-655c-4b9d-8d90-8bae98a640d2","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"e3b32c06-1318-443b-b311-3538a726127e","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"231d9782-6f8f-40e1-b776-2dec75d2f578","type":"BoxSelectTool"},{"id":"0605a6f7-84ad-4276-8521-0fc4ffc36200","type":"LassoSelectTool"},{"id":"b26d8ad7-cfc7-4565-9039-c9d655768501","type":"HelpTool"}]},"id":"e8a12cb3-300f-4a8b-a9d0-bf19a80c233e","type":"Toolbar"},{"attributes":{"formatter":{"id":"8ea95e6c-d020-49a9-9e9c-9cfe582c3436","type":"BasicTickFormatter"},"plot":{"id":"2cbb1e8a-bf84-4bd1-bd49-2c1891c44e6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f8a348a-f7fe-4f20-b62f-4be01f892948","type":"BasicTicker"}},"id":"46e113cf-a62e-4e36-bd71-c5f5dd4ddaf3","type":"LinearAxis"},{"attributes":{"children":[{"id":"634ae820-66ec-4055-9461-af755d49aee1","type":"Row"}]},"id":"075325c0-0454-4468-b37d-2d74a03ab51c","type":"Column"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"0d8a03db-d99d-4c87-904d-8782648040db","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"ff60e790-fe9e-4ef1-9498-287ace5a0dca","type":"Circle"},{"attributes":{"formatter":{"id":"39c261a4-262c-4b76-88eb-bdd0c44c4aea","type":"BasicTickFormatter"},"plot":{"id":"2cbb1e8a-bf84-4bd1-bd49-2c1891c44e6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"67678d5d-4baa-45bd-86f0-0dd7386d59b0","type":"BasicTicker"}},"id":"4837c337-48a4-4c5e-b7c7-668c551356e9","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"fa819e08-5478-4987-a920-7c1268938dcc","type":"BoxAnnotation"},"renderers":[{"id":"1043f6e8-0299-40dd-8ce1-712d15ba1ad0","type":"GlyphRenderer"}]},"id":"4efa57b6-6048-407a-94f6-22f75bd187c8","type":"BoxSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"9add6366-384b-452d-8062-a9e01a159534","type":"PolyAnnotation"}},"id":"0605a6f7-84ad-4276-8521-0fc4ffc36200","type":"LassoSelectTool"},{"attributes":{"callback":null},"id":"261937d3-3c78-42f1-98ed-ab8b07f01512","type":"DataRange1d"},{"attributes":{},"id":"2a20e593-ba55-444f-99a1-6b75ab82410b","type":"BasicTickFormatter"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"231d9782-6f8f-40e1-b776-2dec75d2f578","type":"BoxSelectTool"},{"id":"0605a6f7-84ad-4276-8521-0fc4ffc36200","type":"LassoSelectTool"},{"id":"b26d8ad7-cfc7-4565-9039-c9d655768501","type":"HelpTool"},{"id":"4efa57b6-6048-407a-94f6-22f75bd187c8","type":"BoxSelectTool"},{"id":"f4fe94a9-e5a4-4d2e-8ed6-b97bd7e2a5e2","type":"LassoSelectTool"},{"id":"c5a24fa7-d2a4-4242-9664-fdb1c70cad25","type":"HelpTool"}]},"id":"e891b077-a06e-4854-86e2-a2c60a115a89","type":"ToolbarBox"},{"attributes":{},"id":"d07e320c-b306-4f10-8e6e-f17ca09797ec","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"3696d66f-fe43-43a6-8efd-e352ede4659b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a92f5fa-7291-498a-acae-8474d53168d9","type":"BasicTicker"}},"id":"0f0772c5-70e8-4419-be5d-dcfb95275884","type":"Grid"},{"attributes":{"callback":null},"id":"372f7646-566c-40d0-b25c-8126a498f92d","type":"DataRange1d"},{"attributes":{},"id":"bed77afc-9460-4533-a29c-aa34cbd2bc26","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"fd14e2b6-06bd-4de3-930e-e28323e10c25","type":"Circle"},{"attributes":{"callback":null},"id":"b17f3f10-b908-4685-b169-66b6308425ac","type":"DataRange1d"},{"attributes":{},"id":"92e3b977-623e-43b9-a5ea-c995d2e4f8b2","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"600fea82-e977-44bc-87aa-718be2da2c69","type":"Circle"},{"attributes":{"below":[{"id":"32e49604-655c-4b9d-8d90-8bae98a640d2","type":"LinearAxis"}],"left":[{"id":"3c7e90af-71b1-4b25-8975-e3d1758b00ed","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"32e49604-655c-4b9d-8d90-8bae98a640d2","type":"LinearAxis"},{"id":"3db42760-63d9-45b2-8b10-32f175ff0285","type":"Grid"},{"id":"3c7e90af-71b1-4b25-8975-e3d1758b00ed","type":"LinearAxis"},{"id":"0f0772c5-70e8-4419-be5d-dcfb95275884","type":"Grid"},{"id":"fa819e08-5478-4987-a920-7c1268938dcc","type":"BoxAnnotation"},{"id":"9293f390-2c89-44fb-8e65-f790ecf0f556","type":"PolyAnnotation"},{"id":"1043f6e8-0299-40dd-8ce1-712d15ba1ad0","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"075df41a-de50-41b6-bcfc-c1931fedf1ce","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b17f3f10-b908-4685-b169-66b6308425ac","type":"DataRange1d"},"x_scale":{"id":"bed77afc-9460-4533-a29c-aa34cbd2bc26","type":"LinearScale"},"y_range":{"id":"261937d3-3c78-42f1-98ed-ab8b07f01512","type":"DataRange1d"},"y_scale":{"id":"62150f28-2bba-41cf-b92d-23b5e446838c","type":"LinearScale"}},"id":"3696d66f-fe43-43a6-8efd-e352ede4659b","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"0d8a03db-d99d-4c87-904d-8782648040db","type":"ColumnDataSource"}},"id":"772d723f-07ec-4042-bfd4-a92ee9392e33","type":"CDSView"},{"attributes":{},"id":"62150f28-2bba-41cf-b92d-23b5e446838c","type":"LinearScale"}],"root_ids":["5deba472-55ef-4929-9b51-f42d131e8618"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f40ad041-a9e4-4c9a-82d3-70b6fea8d1ac","elementid":"cf2cfb01-0752-4525-85ab-42c26fe57c2f","modelid":"5deba472-55ef-4929-9b51-f42d131e8618"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
