(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0047a427-0d87-4a32-8ec0-f22bd0aa8de0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0047a427-0d87-4a32-8ec0-f22bd0aa8de0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3382e5ae-db70-4e32-9f3a-8fcb824e804a":{"roots":{"references":[{"attributes":{},"id":"c9cfb17b-740e-41ca-bda6-0b45452b95f4","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1d84114-7185-4c4f-a9be-ff0ceb2a47f0","type":"Circle"},{"attributes":{},"id":"2c0c1a6a-fa1d-45f6-b1fa-5b53c2160b98","type":"ResetTool"},{"attributes":{},"id":"f2c3e1ff-530e-4ce8-836a-3e5ada609aea","type":"HelpTool"},{"attributes":{"formatter":{"id":"7ce4672c-f8ef-4ec7-96b5-9b304b6b45f2","type":"BasicTickFormatter"},"plot":{"id":"d282686b-9574-4e7d-af71-8346d74b48e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"d10a85e4-8572-49ed-a869-a3931365bb95","type":"BasicTicker"}},"id":"37ab3309-f728-4ab1-833e-e1b83929651f","type":"LinearAxis"},{"attributes":{},"id":"985b959b-d162-4b31-8305-45b7d03df8a1","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"fac4c104-fba8-48c3-a791-4589dbed5953","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"d282686b-9574-4e7d-af71-8346d74b48e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"afe95489-d9dd-4c11-b571-d7bdca44030a","type":"BasicTicker"}},"id":"0ff8d040-515c-467b-bd0c-751f6fdc2e0e","type":"Grid"},{"attributes":{},"id":"d10a85e4-8572-49ed-a869-a3931365bb95","type":"BasicTicker"},{"attributes":{"overlay":{"id":"8df405d5-5f9d-48fa-ad86-237922c02ede","type":"BoxAnnotation"}},"id":"358ad1b3-9c63-41cf-81e7-082f3cb4b244","type":"BoxZoomTool"},{"attributes":{},"id":"a6ad7a64-5e9c-4455-a675-84a8f4cfc84e","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a6ad7a64-5e9c-4455-a675-84a8f4cfc84e","type":"PanTool"},{"id":"c9cfb17b-740e-41ca-bda6-0b45452b95f4","type":"WheelZoomTool"},{"id":"358ad1b3-9c63-41cf-81e7-082f3cb4b244","type":"BoxZoomTool"},{"id":"ee8f23b5-f631-47b1-81e6-fc61f86f9f8e","type":"SaveTool"},{"id":"2c0c1a6a-fa1d-45f6-b1fa-5b53c2160b98","type":"ResetTool"},{"id":"f2c3e1ff-530e-4ce8-836a-3e5ada609aea","type":"HelpTool"}]},"id":"804b5476-49ab-4969-a913-97839a598c69","type":"Toolbar"},{"attributes":{"callback":null},"id":"93c8b412-ea14-4206-9d61-5e11d05d23a4","type":"DataRange1d"},{"attributes":{"callback":null},"id":"0fb6b0c1-3699-4d5f-ba49-ba32390c1472","type":"DataRange1d"},{"attributes":{"formatter":{"id":"51cc570f-05d1-4406-b524-fe7413df3770","type":"BasicTickFormatter"},"plot":{"id":"d282686b-9574-4e7d-af71-8346d74b48e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"6632d3e4-c03b-4d2f-8d41-e40bde35017e","type":"FixedTicker"}},"id":"23df674a-97d6-48e8-a5d1-8b0f18f842b3","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8df405d5-5f9d-48fa-ad86-237922c02ede","type":"BoxAnnotation"},{"attributes":{},"id":"ee94b866-7506-4f75-bfb1-556dbbcfc4c9","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"7962a388-8712-42c5-95ba-e15506a063f8","type":"Title"},{"attributes":{},"id":"7ce4672c-f8ef-4ec7-96b5-9b304b6b45f2","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"fac4c104-fba8-48c3-a791-4589dbed5953","type":"ColumnDataSource"},"glyph":{"id":"61efae69-08a8-476f-9026-2d781fcd2772","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c1d84114-7185-4c4f-a9be-ff0ceb2a47f0","type":"Circle"},"selection_glyph":null,"view":{"id":"04d61528-c9d8-4e1b-bd55-c8463cae7994","type":"CDSView"}},"id":"7aabc230-8382-4a0f-9abf-b5c257e5a063","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"23df674a-97d6-48e8-a5d1-8b0f18f842b3","type":"LinearAxis"}],"left":[{"id":"37ab3309-f728-4ab1-833e-e1b83929651f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"23df674a-97d6-48e8-a5d1-8b0f18f842b3","type":"LinearAxis"},{"id":"0ff8d040-515c-467b-bd0c-751f6fdc2e0e","type":"Grid"},{"id":"37ab3309-f728-4ab1-833e-e1b83929651f","type":"LinearAxis"},{"id":"69dcbda5-3f63-4a4c-a2ce-5b846c56e3b3","type":"Grid"},{"id":"8df405d5-5f9d-48fa-ad86-237922c02ede","type":"BoxAnnotation"},{"id":"7aabc230-8382-4a0f-9abf-b5c257e5a063","type":"GlyphRenderer"}],"title":{"id":"7962a388-8712-42c5-95ba-e15506a063f8","type":"Title"},"toolbar":{"id":"804b5476-49ab-4969-a913-97839a598c69","type":"Toolbar"},"x_range":{"id":"0fb6b0c1-3699-4d5f-ba49-ba32390c1472","type":"DataRange1d"},"x_scale":{"id":"ee94b866-7506-4f75-bfb1-556dbbcfc4c9","type":"LinearScale"},"y_range":{"id":"93c8b412-ea14-4206-9d61-5e11d05d23a4","type":"DataRange1d"},"y_scale":{"id":"985b959b-d162-4b31-8305-45b7d03df8a1","type":"LinearScale"}},"id":"d282686b-9574-4e7d-af71-8346d74b48e9","subtype":"Figure","type":"Plot"},{"attributes":{"ticks":[2,3.5,4]},"id":"6632d3e4-c03b-4d2f-8d41-e40bde35017e","type":"FixedTicker"},{"attributes":{"dimension":1,"plot":{"id":"d282686b-9574-4e7d-af71-8346d74b48e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"d10a85e4-8572-49ed-a869-a3931365bb95","type":"BasicTicker"}},"id":"69dcbda5-3f63-4a4c-a2ce-5b846c56e3b3","type":"Grid"},{"attributes":{},"id":"51cc570f-05d1-4406-b524-fe7413df3770","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"fac4c104-fba8-48c3-a791-4589dbed5953","type":"ColumnDataSource"}},"id":"04d61528-c9d8-4e1b-bd55-c8463cae7994","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"61efae69-08a8-476f-9026-2d781fcd2772","type":"Circle"},{"attributes":{},"id":"afe95489-d9dd-4c11-b571-d7bdca44030a","type":"BasicTicker"},{"attributes":{},"id":"ee8f23b5-f631-47b1-81e6-fc61f86f9f8e","type":"SaveTool"}],"root_ids":["d282686b-9574-4e7d-af71-8346d74b48e9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3382e5ae-db70-4e32-9f3a-8fcb824e804a","elementid":"0047a427-0d87-4a32-8ec0-f22bd0aa8de0","modelid":"d282686b-9574-4e7d-af71-8346d74b48e9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
