(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9a48eebc-5d19-4e64-9577-ed8650e600b0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9a48eebc-5d19-4e64-9577-ed8650e600b0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"387120b4-0122-4f76-89c6-8b7c095e5571":{"roots":{"references":[{"attributes":{"callback":null},"id":"02b19e47-12ae-4ed9-b702-36d8de91ebe9","type":"DataRange1d"},{"attributes":{},"id":"4b9f249d-0b52-4525-8c3f-666598264ec4","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"14e1435c-ffe9-4dd3-88a5-f8579b463552","type":"Title"},{"attributes":{"plot":{"id":"9fb1ad80-70a8-472f-8a62-29923fc60744","subtype":"Figure","type":"Plot"},"ticker":{"id":"98d12c5a-6805-4f5d-af3e-6a6d1ac3353e","type":"BasicTicker"}},"id":"65df5aa6-64f2-42ce-b829-1ad52db343e8","type":"Grid"},{"attributes":{},"id":"59c2350b-bbbb-4a92-8741-3705dde3798b","type":"SaveTool"},{"attributes":{"formatter":{"id":"4b9f249d-0b52-4525-8c3f-666598264ec4","type":"BasicTickFormatter"},"plot":{"id":"9fb1ad80-70a8-472f-8a62-29923fc60744","subtype":"Figure","type":"Plot"},"ticker":{"id":"e36f5b19-390b-423c-8d25-13ba16b89bdb","type":"BasicTicker"}},"id":"b5630773-94a7-4f7c-94ad-cabc7ade84b9","type":"LinearAxis"},{"attributes":{},"id":"51816776-c900-4a7f-9655-2a2014c41c37","type":"HelpTool"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"d66a161e-879d-462c-9c40-a86b8542426d","type":"Quad"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7b74e6d3-065c-4224-a0fc-a6faf3972118","type":"PanTool"},{"id":"a360d327-6774-4d7e-97a2-e5213a201379","type":"WheelZoomTool"},{"id":"994be4f3-fd4b-4fad-8043-36c36a019296","type":"BoxZoomTool"},{"id":"59c2350b-bbbb-4a92-8741-3705dde3798b","type":"SaveTool"},{"id":"bfb28e34-40e9-4722-a287-e88a80cbf5c8","type":"ResetTool"},{"id":"51816776-c900-4a7f-9655-2a2014c41c37","type":"HelpTool"}]},"id":"ee85f0e0-7363-4ff3-86fb-9e146feb76a6","type":"Toolbar"},{"attributes":{},"id":"3f691d39-61af-40c9-8d0a-7bf06a499e4f","type":"LinearScale"},{"attributes":{},"id":"0e149e7b-1e4a-4b30-a189-9d1c2b9f3fb2","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"dcf53f4f-b3f6-4b1a-a6aa-67fa37628b57","type":"ColumnDataSource"},"glyph":{"id":"d66a161e-879d-462c-9c40-a86b8542426d","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f9018fcc-0b29-47a8-8510-e2aec9e3e505","type":"Quad"},"selection_glyph":null,"view":{"id":"fd523c61-fa6f-40ee-abf4-39b28519f070","type":"CDSView"}},"id":"01c61068-1ed5-41da-a562-7a5655da8ecc","type":"GlyphRenderer"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"f9018fcc-0b29-47a8-8510-e2aec9e3e505","type":"Quad"},{"attributes":{"formatter":{"id":"0e149e7b-1e4a-4b30-a189-9d1c2b9f3fb2","type":"BasicTickFormatter"},"plot":{"id":"9fb1ad80-70a8-472f-8a62-29923fc60744","subtype":"Figure","type":"Plot"},"ticker":{"id":"98d12c5a-6805-4f5d-af3e-6a6d1ac3353e","type":"BasicTicker"}},"id":"35ceb569-448c-46d7-88a7-df3edb116995","type":"LinearAxis"},{"attributes":{"callback":null},"id":"b4264c0d-75f9-4b19-9790-6d98ad803c76","type":"DataRange1d"},{"attributes":{"source":{"id":"dcf53f4f-b3f6-4b1a-a6aa-67fa37628b57","type":"ColumnDataSource"}},"id":"fd523c61-fa6f-40ee-abf4-39b28519f070","type":"CDSView"},{"attributes":{"below":[{"id":"35ceb569-448c-46d7-88a7-df3edb116995","type":"LinearAxis"}],"left":[{"id":"b5630773-94a7-4f7c-94ad-cabc7ade84b9","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"35ceb569-448c-46d7-88a7-df3edb116995","type":"LinearAxis"},{"id":"65df5aa6-64f2-42ce-b829-1ad52db343e8","type":"Grid"},{"id":"b5630773-94a7-4f7c-94ad-cabc7ade84b9","type":"LinearAxis"},{"id":"700c714e-5e68-4f28-b289-26fb9ae19490","type":"Grid"},{"id":"687b22d9-2160-4520-93a0-2072c96d044c","type":"BoxAnnotation"},{"id":"01c61068-1ed5-41da-a562-7a5655da8ecc","type":"GlyphRenderer"}],"title":{"id":"14e1435c-ffe9-4dd3-88a5-f8579b463552","type":"Title"},"toolbar":{"id":"ee85f0e0-7363-4ff3-86fb-9e146feb76a6","type":"Toolbar"},"x_range":{"id":"02b19e47-12ae-4ed9-b702-36d8de91ebe9","type":"DataRange1d"},"x_scale":{"id":"00f0418c-049d-47be-b425-811e1043f81d","type":"LinearScale"},"y_range":{"id":"b4264c0d-75f9-4b19-9790-6d98ad803c76","type":"DataRange1d"},"y_scale":{"id":"3f691d39-61af-40c9-8d0a-7bf06a499e4f","type":"LinearScale"}},"id":"9fb1ad80-70a8-472f-8a62-29923fc60744","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"687b22d9-2160-4520-93a0-2072c96d044c","type":"BoxAnnotation"}},"id":"994be4f3-fd4b-4fad-8043-36c36a019296","type":"BoxZoomTool"},{"attributes":{},"id":"a360d327-6774-4d7e-97a2-e5213a201379","type":"WheelZoomTool"},{"attributes":{},"id":"00f0418c-049d-47be-b425-811e1043f81d","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"9fb1ad80-70a8-472f-8a62-29923fc60744","subtype":"Figure","type":"Plot"},"ticker":{"id":"e36f5b19-390b-423c-8d25-13ba16b89bdb","type":"BasicTicker"}},"id":"700c714e-5e68-4f28-b289-26fb9ae19490","type":"Grid"},{"attributes":{},"id":"7b74e6d3-065c-4224-a0fc-a6faf3972118","type":"PanTool"},{"attributes":{},"id":"bfb28e34-40e9-4722-a287-e88a80cbf5c8","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"dcf53f4f-b3f6-4b1a-a6aa-67fa37628b57","type":"ColumnDataSource"},{"attributes":{},"id":"e36f5b19-390b-423c-8d25-13ba16b89bdb","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"687b22d9-2160-4520-93a0-2072c96d044c","type":"BoxAnnotation"},{"attributes":{},"id":"98d12c5a-6805-4f5d-af3e-6a6d1ac3353e","type":"BasicTicker"}],"root_ids":["9fb1ad80-70a8-472f-8a62-29923fc60744"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"387120b4-0122-4f76-89c6-8b7c095e5571","elementid":"9a48eebc-5d19-4e64-9577-ed8650e600b0","modelid":"9fb1ad80-70a8-472f-8a62-29923fc60744"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
