(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("143fb451-148e-480d-8593-1a672aa1ae24");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '143fb451-148e-480d-8593-1a672aa1ae24' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"69f9c7fd-b8cc-4415-8280-7426b27c148f":{"roots":{"references":[{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c25a5d7-f729-41ed-a249-4d06ab9c5aa7","type":"Circle"},{"attributes":{"data_source":{"id":"133a8275-4649-466f-950c-025b1ce96822","type":"ColumnDataSource"},"glyph":{"id":"4c25a5d7-f729-41ed-a249-4d06ab9c5aa7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5e4693e8-f9d0-4e57-873c-42055c99fc9d","type":"Circle"},"selection_glyph":null,"view":{"id":"49682632-592b-461b-90be-17a0d3fec367","type":"CDSView"}},"id":"ed6da303-f21b-4120-b648-d1b53448f5d2","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"df017215-84e5-48e1-bd06-97f6304278e6","type":"BasicTickFormatter"},"plot":{"id":"8e72c116-9dee-4e7a-9869-182281ad3d7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8f62b60-6bc0-4eb0-9f60-e149f5b30275","type":"BasicTicker"}},"id":"48dd919b-4804-40b5-a9ea-c3c448336591","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"5e4693e8-f9d0-4e57-873c-42055c99fc9d","type":"Circle"},{"attributes":{"source":{"id":"133a8275-4649-466f-950c-025b1ce96822","type":"ColumnDataSource"}},"id":"49682632-592b-461b-90be-17a0d3fec367","type":"CDSView"},{"attributes":{},"id":"bf19ab4f-217d-4601-b67b-4753faae2de1","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"04ff822e-31df-4c85-9ecb-0ec43efd8c42","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"04ff822e-31df-4c85-9ecb-0ec43efd8c42","type":"BoxAnnotation"}},"id":"55e7c4db-970d-4cb7-9382-00ee7a6fbab0","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"24905a58-16f6-4329-9f91-b9ad3e44dfe1","type":"DataRange1d"},{"attributes":{},"id":"15b40668-b812-42b8-bbe6-b3db832b826f","type":"WheelZoomTool"},{"attributes":{},"id":"36267652-b7bf-4a7f-8ec5-4b29da072e8e","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"77c34f10-6188-4b41-bfb5-56cd2f73cfdb","type":"FactorRange"},{"attributes":{"plot":{"id":"8e72c116-9dee-4e7a-9869-182281ad3d7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8f62b60-6bc0-4eb0-9f60-e149f5b30275","type":"BasicTicker"}},"id":"f313a0e7-4ed9-4339-b19c-b3a86668731f","type":"Grid"},{"attributes":{},"id":"3e4faff1-b346-4755-9c9a-68ea14bb1976","type":"HelpTool"},{"attributes":{},"id":"e8f62b60-6bc0-4eb0-9f60-e149f5b30275","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"773efa0e-2f68-41b4-926d-e9de69374b5c","type":"Title"},{"attributes":{},"id":"df017215-84e5-48e1-bd06-97f6304278e6","type":"BasicTickFormatter"},{"attributes":{},"id":"c9c983fc-5dc7-4b42-8993-c3c516b83a5e","type":"CategoricalTicker"},{"attributes":{},"id":"6802fb03-ef7e-4c37-bda8-3c6a97515002","type":"SaveTool"},{"attributes":{"below":[{"id":"48dd919b-4804-40b5-a9ea-c3c448336591","type":"LinearAxis"}],"left":[{"id":"ebae9321-a920-4863-aa85-0358387d6914","type":"CategoricalAxis"}],"renderers":[{"id":"48dd919b-4804-40b5-a9ea-c3c448336591","type":"LinearAxis"},{"id":"f313a0e7-4ed9-4339-b19c-b3a86668731f","type":"Grid"},{"id":"ebae9321-a920-4863-aa85-0358387d6914","type":"CategoricalAxis"},{"id":"c64c6ada-5f06-4db1-81e0-fdb00a158b3c","type":"Grid"},{"id":"04ff822e-31df-4c85-9ecb-0ec43efd8c42","type":"BoxAnnotation"},{"id":"ed6da303-f21b-4120-b648-d1b53448f5d2","type":"GlyphRenderer"}],"title":{"id":"773efa0e-2f68-41b4-926d-e9de69374b5c","type":"Title"},"toolbar":{"id":"5eebef5a-89af-42a4-8c0c-504d11d0da73","type":"Toolbar"},"x_range":{"id":"24905a58-16f6-4329-9f91-b9ad3e44dfe1","type":"DataRange1d"},"x_scale":{"id":"bf19ab4f-217d-4601-b67b-4753faae2de1","type":"LinearScale"},"y_range":{"id":"77c34f10-6188-4b41-bfb5-56cd2f73cfdb","type":"FactorRange"},"y_scale":{"id":"0233a76b-d00f-446f-a275-57b242c8e6b8","type":"CategoricalScale"}},"id":"8e72c116-9dee-4e7a-9869-182281ad3d7a","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"8e72c116-9dee-4e7a-9869-182281ad3d7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c9c983fc-5dc7-4b42-8993-c3c516b83a5e","type":"CategoricalTicker"}},"id":"c64c6ada-5f06-4db1-81e0-fdb00a158b3c","type":"Grid"},{"attributes":{},"id":"0233a76b-d00f-446f-a275-57b242c8e6b8","type":"CategoricalScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"133a8275-4649-466f-950c-025b1ce96822","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3c2bb023-a1aa-460d-839b-e959aca19c90","type":"PanTool"},{"id":"15b40668-b812-42b8-bbe6-b3db832b826f","type":"WheelZoomTool"},{"id":"55e7c4db-970d-4cb7-9382-00ee7a6fbab0","type":"BoxZoomTool"},{"id":"6802fb03-ef7e-4c37-bda8-3c6a97515002","type":"SaveTool"},{"id":"ac86fd12-e52e-4677-826e-9c52edf9f8ae","type":"ResetTool"},{"id":"3e4faff1-b346-4755-9c9a-68ea14bb1976","type":"HelpTool"}]},"id":"5eebef5a-89af-42a4-8c0c-504d11d0da73","type":"Toolbar"},{"attributes":{},"id":"ac86fd12-e52e-4677-826e-9c52edf9f8ae","type":"ResetTool"},{"attributes":{"formatter":{"id":"36267652-b7bf-4a7f-8ec5-4b29da072e8e","type":"CategoricalTickFormatter"},"plot":{"id":"8e72c116-9dee-4e7a-9869-182281ad3d7a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c9c983fc-5dc7-4b42-8993-c3c516b83a5e","type":"CategoricalTicker"}},"id":"ebae9321-a920-4863-aa85-0358387d6914","type":"CategoricalAxis"},{"attributes":{},"id":"3c2bb023-a1aa-460d-839b-e959aca19c90","type":"PanTool"}],"root_ids":["8e72c116-9dee-4e7a-9869-182281ad3d7a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"69f9c7fd-b8cc-4415-8280-7426b27c148f","elementid":"143fb451-148e-480d-8593-1a672aa1ae24","modelid":"8e72c116-9dee-4e7a-9869-182281ad3d7a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
