(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3c591fc0-20be-4f52-b7aa-4cd678e0e93e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3c591fc0-20be-4f52-b7aa-4cd678e0e93e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"14195fe2-14aa-482f-98e7-f6931d962a39":{"roots":{"references":[{"attributes":{},"id":"a1154a8b-18a6-4750-9f20-1aff86d143ab","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"0dcb9464-85c2-4795-879b-bb8a45dee1e3","type":"Line"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a01f4acc-f5ca-4662-a973-0fc9092c33e7","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"cf1bcf26-95a1-4ea9-a421-5ce4f5153ca5","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"1798da62-c339-49e4-a5e2-34af69b0ce70","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a3db814-8af4-47ec-bc49-fcb5afea1f3e","type":"BasicTicker"}},"id":"dde2ad32-601e-4aa0-84d5-f1681fbf952a","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6be89580-e984-420f-a168-2ea3fc4f50dc","type":"BoxAnnotation"},{"attributes":{"child":{"id":"cc32a3ee-56a9-4349-8131-2413e307b5b0","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"17300847-549f-48b2-8201-c78e23f53f15","type":"Panel"},{"attributes":{"child":{"id":"1798da62-c339-49e4-a5e2-34af69b0ce70","subtype":"Figure","type":"Plot"},"title":"line"},"id":"9bbe5910-563d-4b0b-9989-d8edda63387f","type":"Panel"},{"attributes":{},"id":"b231bed6-3b34-4f51-acc0-34548bdd7250","type":"ResetTool"},{"attributes":{},"id":"bc2f4032-0d3c-4acf-945b-e4c22784c9e4","type":"PanTool"},{"attributes":{"formatter":{"id":"b478ad7d-a31f-479a-9e57-41ca14cf3136","type":"BasicTickFormatter"},"plot":{"id":"1798da62-c339-49e4-a5e2-34af69b0ce70","subtype":"Figure","type":"Plot"},"ticker":{"id":"b48d15ee-fdef-4c43-afec-97e9e16df302","type":"BasicTicker"}},"id":"458c9f0c-ceeb-4931-afa4-0e528de8c00f","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"88c35e71-c978-45d3-8979-cfad2f474688","type":"Title"},{"attributes":{"formatter":{"id":"ffea1dc7-98aa-4d70-9d03-916b9bcd3ecc","type":"BasicTickFormatter"},"plot":{"id":"cc32a3ee-56a9-4349-8131-2413e307b5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"96f31f30-b538-470f-9af7-bdb797b895a1","type":"BasicTicker"}},"id":"f4559736-aae1-4f16-8e0e-19dda7edcfa7","type":"LinearAxis"},{"attributes":{},"id":"25417ec2-d02d-4155-9fca-f032c3fc3399","type":"LinearScale"},{"attributes":{},"id":"506683e7-55a5-4fe8-87c2-52584b55e911","type":"HelpTool"},{"attributes":{"callback":null},"id":"f4343dd5-745a-4b27-a3ba-90e7e30df0ef","type":"DataRange1d"},{"attributes":{},"id":"e8994d3c-a336-4e65-b0e7-dce1c730b45c","type":"HelpTool"},{"attributes":{},"id":"19d95397-6b5f-4a5b-ac2b-40a9e1f2033e","type":"LinearScale"},{"attributes":{},"id":"9ecf729c-06b6-4d6d-a27d-0e847c1b04bf","type":"PanTool"},{"attributes":{"callback":null},"id":"c6adb8ad-1631-47c9-9408-c64e549c8bcc","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"16930b7e-f86c-4fc1-8411-2292479d9a54","type":"Line"},{"attributes":{"callback":null},"id":"c6b5e88b-e7d5-40da-b9a3-5166d9684909","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9ecf729c-06b6-4d6d-a27d-0e847c1b04bf","type":"PanTool"},{"id":"8b6737e7-cf26-4d3a-8deb-84222fc02b08","type":"WheelZoomTool"},{"id":"0ada691c-3b33-4a44-9cb6-180ccd74c77b","type":"BoxZoomTool"},{"id":"c0c0f03f-1303-42e8-b460-7631a4ef0550","type":"SaveTool"},{"id":"b231bed6-3b34-4f51-acc0-34548bdd7250","type":"ResetTool"},{"id":"e8994d3c-a336-4e65-b0e7-dce1c730b45c","type":"HelpTool"}]},"id":"be2f97b0-0502-43b7-81da-8810970569cc","type":"Toolbar"},{"attributes":{"below":[{"id":"f4559736-aae1-4f16-8e0e-19dda7edcfa7","type":"LinearAxis"}],"left":[{"id":"16bf1b92-d0f0-497b-9b67-1262f4e2106f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"f4559736-aae1-4f16-8e0e-19dda7edcfa7","type":"LinearAxis"},{"id":"9eb4665b-a5de-4a25-9b40-974aba45b02a","type":"Grid"},{"id":"16bf1b92-d0f0-497b-9b67-1262f4e2106f","type":"LinearAxis"},{"id":"14cac309-e2f0-4b74-a9f0-347852e49c81","type":"Grid"},{"id":"199587b2-26b3-48f8-9bee-4982cabe88ef","type":"BoxAnnotation"},{"id":"2bd175b2-53da-4746-9168-b2b493b41b66","type":"GlyphRenderer"}],"title":{"id":"c8d4f099-2e37-4643-89b9-c50065650fc5","type":"Title"},"toolbar":{"id":"a766afa4-7f5b-4bd0-bb29-5bd165e34851","type":"Toolbar"},"x_range":{"id":"609e8813-7e23-4567-a789-9acf6155324b","type":"DataRange1d"},"x_scale":{"id":"fff6d400-4ffe-4920-8d66-48bc48a52312","type":"LinearScale"},"y_range":{"id":"f4343dd5-745a-4b27-a3ba-90e7e30df0ef","type":"DataRange1d"},"y_scale":{"id":"996e9a88-edb5-4e73-861a-1cd2a1038eef","type":"LinearScale"}},"id":"cc32a3ee-56a9-4349-8131-2413e307b5b0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"64f2b3c6-663f-4108-bfac-4902e94c43bc","type":"SaveTool"},{"attributes":{},"id":"996e9a88-edb5-4e73-861a-1cd2a1038eef","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"d2e1ee43-aaa5-47f8-97fb-400b695828a3","type":"Circle"},{"attributes":{"source":{"id":"8d0a130f-e891-4438-a4a8-40a29e365e76","type":"ColumnDataSource"}},"id":"ca096208-fdbf-4747-b6a7-2184194ce403","type":"CDSView"},{"attributes":{},"id":"8b6737e7-cf26-4d3a-8deb-84222fc02b08","type":"WheelZoomTool"},{"attributes":{},"id":"96f31f30-b538-470f-9af7-bdb797b895a1","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c3deca2e-bb5c-4ed4-835d-84b6873d1206","type":"BasicTickFormatter"},"plot":{"id":"cc32a3ee-56a9-4349-8131-2413e307b5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8962c750-8d14-4bfd-a6ef-3c159fc5e7e7","type":"BasicTicker"}},"id":"16bf1b92-d0f0-497b-9b67-1262f4e2106f","type":"LinearAxis"},{"attributes":{},"id":"e1aa29f1-a7e4-4382-947c-edb0a79913bd","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"a1154a8b-18a6-4750-9f20-1aff86d143ab","type":"BasicTickFormatter"},"plot":{"id":"1798da62-c339-49e4-a5e2-34af69b0ce70","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a3db814-8af4-47ec-bc49-fcb5afea1f3e","type":"BasicTicker"}},"id":"6345569a-b698-44b8-bb95-47e70de7088f","type":"LinearAxis"},{"attributes":{},"id":"5a3db814-8af4-47ec-bc49-fcb5afea1f3e","type":"BasicTicker"},{"attributes":{},"id":"33f9319a-3f7a-49ca-8c01-7fe5f5b0acc1","type":"ResetTool"},{"attributes":{},"id":"8962c750-8d14-4bfd-a6ef-3c159fc5e7e7","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"c8d4f099-2e37-4643-89b9-c50065650fc5","type":"Title"},{"attributes":{"callback":null,"tabs":[{"id":"17300847-549f-48b2-8201-c78e23f53f15","type":"Panel"},{"id":"9bbe5910-563d-4b0b-9989-d8edda63387f","type":"Panel"}]},"id":"2946a22f-1934-4f7d-9054-e991035b04e7","type":"Tabs"},{"attributes":{},"id":"b478ad7d-a31f-479a-9e57-41ca14cf3136","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"199587b2-26b3-48f8-9bee-4982cabe88ef","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"199587b2-26b3-48f8-9bee-4982cabe88ef","type":"BoxAnnotation"}},"id":"18a0a692-5c38-46a5-85e7-21bf03885029","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"cc32a3ee-56a9-4349-8131-2413e307b5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8962c750-8d14-4bfd-a6ef-3c159fc5e7e7","type":"BasicTicker"}},"id":"14cac309-e2f0-4b74-a9f0-347852e49c81","type":"Grid"},{"attributes":{"below":[{"id":"458c9f0c-ceeb-4931-afa4-0e528de8c00f","type":"LinearAxis"}],"left":[{"id":"6345569a-b698-44b8-bb95-47e70de7088f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"458c9f0c-ceeb-4931-afa4-0e528de8c00f","type":"LinearAxis"},{"id":"a50b5dfd-939b-497d-ab11-7ae2f5450aa4","type":"Grid"},{"id":"6345569a-b698-44b8-bb95-47e70de7088f","type":"LinearAxis"},{"id":"dde2ad32-601e-4aa0-84d5-f1681fbf952a","type":"Grid"},{"id":"6be89580-e984-420f-a168-2ea3fc4f50dc","type":"BoxAnnotation"},{"id":"4a81dc45-f010-453b-9103-52f9e6f0bfc0","type":"GlyphRenderer"}],"title":{"id":"88c35e71-c978-45d3-8979-cfad2f474688","type":"Title"},"toolbar":{"id":"be2f97b0-0502-43b7-81da-8810970569cc","type":"Toolbar"},"x_range":{"id":"c6b5e88b-e7d5-40da-b9a3-5166d9684909","type":"DataRange1d"},"x_scale":{"id":"25417ec2-d02d-4155-9fca-f032c3fc3399","type":"LinearScale"},"y_range":{"id":"c6adb8ad-1631-47c9-9408-c64e549c8bcc","type":"DataRange1d"},"y_scale":{"id":"19d95397-6b5f-4a5b-ac2b-40a9e1f2033e","type":"LinearScale"}},"id":"1798da62-c339-49e4-a5e2-34af69b0ce70","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"1798da62-c339-49e4-a5e2-34af69b0ce70","subtype":"Figure","type":"Plot"},"ticker":{"id":"b48d15ee-fdef-4c43-afec-97e9e16df302","type":"BasicTicker"}},"id":"a50b5dfd-939b-497d-ab11-7ae2f5450aa4","type":"Grid"},{"attributes":{},"id":"fff6d400-4ffe-4920-8d66-48bc48a52312","type":"LinearScale"},{"attributes":{"data_source":{"id":"8d0a130f-e891-4438-a4a8-40a29e365e76","type":"ColumnDataSource"},"glyph":{"id":"16930b7e-f86c-4fc1-8411-2292479d9a54","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0dcb9464-85c2-4795-879b-bb8a45dee1e3","type":"Line"},"selection_glyph":null,"view":{"id":"ca096208-fdbf-4747-b6a7-2184194ce403","type":"CDSView"}},"id":"4a81dc45-f010-453b-9103-52f9e6f0bfc0","type":"GlyphRenderer"},{"attributes":{},"id":"b48d15ee-fdef-4c43-afec-97e9e16df302","type":"BasicTicker"},{"attributes":{"overlay":{"id":"6be89580-e984-420f-a168-2ea3fc4f50dc","type":"BoxAnnotation"}},"id":"0ada691c-3b33-4a44-9cb6-180ccd74c77b","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"609e8813-7e23-4567-a789-9acf6155324b","type":"DataRange1d"},{"attributes":{"data_source":{"id":"cf1bcf26-95a1-4ea9-a421-5ce4f5153ca5","type":"ColumnDataSource"},"glyph":{"id":"d2e1ee43-aaa5-47f8-97fb-400b695828a3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a01f4acc-f5ca-4662-a973-0fc9092c33e7","type":"Circle"},"selection_glyph":null,"view":{"id":"c38da437-1460-4e18-a160-8a13f96aedad","type":"CDSView"}},"id":"2bd175b2-53da-4746-9168-b2b493b41b66","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"cc32a3ee-56a9-4349-8131-2413e307b5b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"96f31f30-b538-470f-9af7-bdb797b895a1","type":"BasicTicker"}},"id":"9eb4665b-a5de-4a25-9b40-974aba45b02a","type":"Grid"},{"attributes":{},"id":"c3deca2e-bb5c-4ed4-835d-84b6873d1206","type":"BasicTickFormatter"},{"attributes":{},"id":"c0c0f03f-1303-42e8-b460-7631a4ef0550","type":"SaveTool"},{"attributes":{"source":{"id":"cf1bcf26-95a1-4ea9-a421-5ce4f5153ca5","type":"ColumnDataSource"}},"id":"c38da437-1460-4e18-a160-8a13f96aedad","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"8d0a130f-e891-4438-a4a8-40a29e365e76","type":"ColumnDataSource"},{"attributes":{},"id":"ffea1dc7-98aa-4d70-9d03-916b9bcd3ecc","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bc2f4032-0d3c-4acf-945b-e4c22784c9e4","type":"PanTool"},{"id":"e1aa29f1-a7e4-4382-947c-edb0a79913bd","type":"WheelZoomTool"},{"id":"18a0a692-5c38-46a5-85e7-21bf03885029","type":"BoxZoomTool"},{"id":"64f2b3c6-663f-4108-bfac-4902e94c43bc","type":"SaveTool"},{"id":"33f9319a-3f7a-49ca-8c01-7fe5f5b0acc1","type":"ResetTool"},{"id":"506683e7-55a5-4fe8-87c2-52584b55e911","type":"HelpTool"}]},"id":"a766afa4-7f5b-4bd0-bb29-5bd165e34851","type":"Toolbar"}],"root_ids":["2946a22f-1934-4f7d-9054-e991035b04e7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"14195fe2-14aa-482f-98e7-f6931d962a39","elementid":"3c591fc0-20be-4f52-b7aa-4cd678e0e93e","modelid":"2946a22f-1934-4f7d-9054-e991035b04e7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
