(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9a2bea4f-8a9d-452a-860a-13de4bc4d495");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9a2bea4f-8a9d-452a-860a-13de4bc4d495' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"28d7137d-320e-4e94-b73d-52b4075f9f18":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"e3c1f590-7a1a-40f2-af83-e17df982fe7b","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"962766df-5e5a-46cf-bbf3-141428982214","type":"VBar"},{"attributes":{"formatter":{"id":"f0b4d488-a617-49ab-955d-901ac3c91053","type":"CategoricalTickFormatter"},"plot":{"id":"b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"685de51f-60b3-403e-9b81-7d6c721d1882","type":"CategoricalTicker"}},"id":"9dc5e5ec-471f-4106-bb91-9a749221be65","type":"CategoricalAxis"},{"attributes":{},"id":"4425f0b8-03b4-4871-af7d-b9821578e5a3","type":"CategoricalScale"},{"attributes":{},"id":"5493eb55-ed5d-495b-94db-ba403b2ed1a0","type":"LinearScale"},{"attributes":{"formatter":{"id":"6dab4e2f-4bee-420e-af9f-a090f49ebbbd","type":"BasicTickFormatter"},"plot":{"id":"b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"630ecb6c-6334-40f3-9ce9-166dc9f0b965","type":"BasicTicker"}},"id":"5e81377c-8748-4182-b421-76983d55820e","type":"LinearAxis"},{"attributes":{"source":{"id":"e3c1f590-7a1a-40f2-af83-e17df982fe7b","type":"ColumnDataSource"}},"id":"a2bc4a72-ff56-457f-9dcf-74275cbf26b6","type":"CDSView"},{"attributes":{"data_source":{"id":"e3c1f590-7a1a-40f2-af83-e17df982fe7b","type":"ColumnDataSource"},"glyph":{"id":"706efb3f-5f1a-4a19-8542-83ce46652c42","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"962766df-5e5a-46cf-bbf3-141428982214","type":"VBar"},"selection_glyph":null,"view":{"id":"a2bc4a72-ff56-457f-9dcf-74275cbf26b6","type":"CDSView"}},"id":"c78497ef-abe6-4165-a2a5-56688a25e8b0","type":"GlyphRenderer"},{"attributes":{},"id":"685de51f-60b3-403e-9b81-7d6c721d1882","type":"CategoricalTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"706efb3f-5f1a-4a19-8542-83ce46652c42","type":"VBar"},{"attributes":{},"id":"f0b4d488-a617-49ab-955d-901ac3c91053","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"253c7a34-5051-4520-965e-b568b8e8070c","type":"FactorRange"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d9dcb783-e925-4de3-9a4d-4f1108049b91","type":"Toolbar"},{"attributes":{"below":[{"id":"9dc5e5ec-471f-4106-bb91-9a749221be65","type":"CategoricalAxis"}],"left":[{"id":"5e81377c-8748-4182-b421-76983d55820e","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"9dc5e5ec-471f-4106-bb91-9a749221be65","type":"CategoricalAxis"},{"id":"528e3cf8-da89-4c8d-b464-7989d35ddc10","type":"Grid"},{"id":"5e81377c-8748-4182-b421-76983d55820e","type":"LinearAxis"},{"id":"4f7d6025-9619-4c24-9f00-7b15c6852542","type":"Grid"},{"id":"c78497ef-abe6-4165-a2a5-56688a25e8b0","type":"GlyphRenderer"}],"title":{"id":"26950537-1982-449a-bf99-9f63f4446a94","type":"Title"},"toolbar":{"id":"d9dcb783-e925-4de3-9a4d-4f1108049b91","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"253c7a34-5051-4520-965e-b568b8e8070c","type":"FactorRange"},"x_scale":{"id":"4425f0b8-03b4-4871-af7d-b9821578e5a3","type":"CategoricalScale"},"y_range":{"id":"ac7410d4-d5e0-450c-a7e2-fcadf3dd049d","type":"DataRange1d"},"y_scale":{"id":"5493eb55-ed5d-495b-94db-ba403b2ed1a0","type":"LinearScale"}},"id":"b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"26950537-1982-449a-bf99-9f63f4446a94","type":"Title"},{"attributes":{"callback":null,"start":0},"id":"ac7410d4-d5e0-450c-a7e2-fcadf3dd049d","type":"DataRange1d"},{"attributes":{},"id":"630ecb6c-6334-40f3-9ce9-166dc9f0b965","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"630ecb6c-6334-40f3-9ce9-166dc9f0b965","type":"BasicTicker"}},"id":"4f7d6025-9619-4c24-9f00-7b15c6852542","type":"Grid"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"685de51f-60b3-403e-9b81-7d6c721d1882","type":"CategoricalTicker"}},"id":"528e3cf8-da89-4c8d-b464-7989d35ddc10","type":"Grid"},{"attributes":{},"id":"6dab4e2f-4bee-420e-af9f-a090f49ebbbd","type":"BasicTickFormatter"}],"root_ids":["b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"28d7137d-320e-4e94-b73d-52b4075f9f18","elementid":"9a2bea4f-8a9d-452a-860a-13de4bc4d495","modelid":"b4c2a516-8ae2-4d65-9a0e-fbb996a1b3dd"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
