(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f13ac1ee-39cb-49f2-9243-a9334e9cdc76");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f13ac1ee-39cb-49f2-9243-a9334e9cdc76' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a6fee7bd-b7b4-478e-9d81-c4b096fa6ff0":{"roots":{"references":[{"attributes":{"formatter":{"id":"a80c736a-595e-4dde-b28f-16ad4f1ee4f2","type":"BasicTickFormatter"},"plot":{"id":"cf506400-2429-4120-8db3-3d54bc8da605","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b4d1bb7-bd41-4e0a-abde-8186cf0090a2","type":"BasicTicker"}},"id":"6461d8d8-7e1c-4497-a8cd-4b1e6b6411b3","type":"LinearAxis"},{"attributes":{},"id":"6b4d1bb7-bd41-4e0a-abde-8186cf0090a2","type":"BasicTicker"},{"attributes":{"data_source":{"id":"890c8831-20dc-4cce-b669-219f8c15e12f","type":"ColumnDataSource"},"glyph":{"id":"5cfc99e9-165e-4ae2-b3e1-537db4bc4656","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5ee40841-d42f-4876-9836-3a76ced74fd6","type":"Line"},"selection_glyph":null,"view":{"id":"05b3bcef-cc61-495e-89da-c037c0e9883d","type":"CDSView"}},"id":"5537e444-af7c-498c-9e59-9b150f13ec5f","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"1012cd13-4dd4-4f82-b08c-5c1c82027ff2","type":"LinearAxis"}],"left":[{"id":"6461d8d8-7e1c-4497-a8cd-4b1e6b6411b3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1012cd13-4dd4-4f82-b08c-5c1c82027ff2","type":"LinearAxis"},{"id":"1ac856fb-544b-461d-8c97-0c008fb6a890","type":"Grid"},{"id":"6461d8d8-7e1c-4497-a8cd-4b1e6b6411b3","type":"LinearAxis"},{"id":"0ea60493-a2fd-46ae-9e3f-d99a26afb55b","type":"Grid"},{"id":"80ae96f0-1c6c-494c-b4b9-0f3c700e6f3a","type":"PolyAnnotation"},{"id":"01e09218-fd88-450f-bf2b-5675851af9c6","type":"GlyphRenderer"},{"id":"5537e444-af7c-498c-9e59-9b150f13ec5f","type":"GlyphRenderer"}],"title":{"id":"59cd4240-e0ec-4171-8ded-fc72d40843a2","type":"Title"},"toolbar":{"id":"b39da8d3-5fda-48b7-9a9a-f10e2dc3586d","type":"Toolbar"},"x_range":{"id":"f6f16e7f-0031-47d9-a335-0f9b2ea76025","type":"DataRange1d"},"x_scale":{"id":"37069c9a-4994-4e65-b5af-d0690a186ea4","type":"LinearScale"},"y_range":{"id":"7854e124-20b3-44a6-a628-4781e3b89d13","type":"DataRange1d"},"y_scale":{"id":"c56bdb82-6a54-4c92-b3f8-bdc967888ac1","type":"LinearScale"}},"id":"cf506400-2429-4120-8db3-3d54bc8da605","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"fb97d7ac-fab5-413e-a059-b5ee4416f452","type":"BasicTickFormatter"},{"attributes":{},"id":"a80c736a-595e-4dde-b28f-16ad4f1ee4f2","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a6e9f057-8699-49f8-bbef-8f0119aa4d48","type":"LassoSelectTool"}]},"id":"b39da8d3-5fda-48b7-9a9a-f10e2dc3586d","type":"Toolbar"},{"attributes":{"source":{"id":"890c8831-20dc-4cce-b669-219f8c15e12f","type":"ColumnDataSource"}},"id":"05b3bcef-cc61-495e-89da-c037c0e9883d","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"5cfc99e9-165e-4ae2-b3e1-537db4bc4656","type":"Line"},{"attributes":{"callback":null,"overlay":{"id":"80ae96f0-1c6c-494c-b4b9-0f3c700e6f3a","type":"PolyAnnotation"}},"id":"a6e9f057-8699-49f8-bbef-8f0119aa4d48","type":"LassoSelectTool"},{"attributes":{"formatter":{"id":"fb97d7ac-fab5-413e-a059-b5ee4416f452","type":"BasicTickFormatter"},"plot":{"id":"cf506400-2429-4120-8db3-3d54bc8da605","subtype":"Figure","type":"Plot"},"ticker":{"id":"aaef9865-3989-4a1e-ae89-b42e54a6add4","type":"BasicTicker"}},"id":"1012cd13-4dd4-4f82-b08c-5c1c82027ff2","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"5ee40841-d42f-4876-9836-3a76ced74fd6","type":"Line"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"3f1d07bd-1feb-4848-af7d-a4def7afc923","type":"Circle"},{"attributes":{"source":{"id":"c8ef846a-58f1-4da7-8931-b22ffe86f891","type":"ColumnDataSource"}},"id":"c8269da6-ac90-437e-8725-ad78d63b6914","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"80ae96f0-1c6c-494c-b4b9-0f3c700e6f3a","type":"PolyAnnotation"},{"attributes":{},"id":"c56bdb82-6a54-4c92-b3f8-bdc967888ac1","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","ym"],"data":{"x":[0,1],"ym":[0.5,0.5]}},"id":"890c8831-20dc-4cce-b669-219f8c15e12f","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"7854e124-20b3-44a6-a628-4781e3b89d13","type":"DataRange1d"},{"attributes":{"plot":{"id":"cf506400-2429-4120-8db3-3d54bc8da605","subtype":"Figure","type":"Plot"},"ticker":{"id":"aaef9865-3989-4a1e-ae89-b42e54a6add4","type":"BasicTicker"}},"id":"1ac856fb-544b-461d-8c97-0c008fb6a890","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"cf506400-2429-4120-8db3-3d54bc8da605","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b4d1bb7-bd41-4e0a-abde-8186cf0090a2","type":"BasicTicker"}},"id":"0ea60493-a2fd-46ae-9e3f-d99a26afb55b","type":"Grid"},{"attributes":{"args":{"s2":{"id":"890c8831-20dc-4cce-b669-219f8c15e12f","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d = cb_obj.data;\n        var ym = 0\n\n        if (inds.length == 0) { return; }\n\n        for (i = 0; i < d['color'].length; i++) {\n            d['color'][i] = \"navy\"\n        }\n        for (i = 0; i < inds.length; i++) {\n            d['color'][inds[i]] = \"firebrick\"\n            ym += d['y'][inds[i]]\n        }\n\n        ym /= inds.length\n        s2.data['ym'] = [ym, ym]\n\n        cb_obj.change.emit();\n        s2.change.emit();\n    "},"id":"e946569a-c145-459b-a13a-669d54906395","type":"CustomJS"},{"attributes":{"data_source":{"id":"c8ef846a-58f1-4da7-8931-b22ffe86f891","type":"ColumnDataSource"},"glyph":{"id":"472b1b62-3835-457e-a50d-27597a081fb8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3f1d07bd-1feb-4848-af7d-a4def7afc923","type":"Circle"},"selection_glyph":null,"view":{"id":"c8269da6-ac90-437e-8725-ad78d63b6914","type":"CDSView"}},"id":"01e09218-fd88-450f-bf2b-5675851af9c6","type":"GlyphRenderer"},{"attributes":{},"id":"37069c9a-4994-4e65-b5af-d0690a186ea4","type":"LinearScale"},{"attributes":{"callback":null},"id":"f6f16e7f-0031-47d9-a335-0f9b2ea76025","type":"DataRange1d"},{"attributes":{"callback":{"id":"e946569a-c145-459b-a13a-669d54906395","type":"CustomJS"},"column_names":["color","y","x"],"data":{"color":["navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy"],"x":[0.44827519009496786,0.22216090932848398,0.6916123480419206,0.3730746618778811,0.10137682781647972,0.18911160916593517,0.40642337943901286,0.6735730431723123,0.3937363174762024,0.21160958077673075,0.5955090361907432,0.2764836888857044,0.6890248220554434,0.8245739888097738,0.9514916820786266,0.9738896407586984,0.4575372794139927,0.5217007381212307,0.2382568777756855,0.8213303692635688,0.5271582741835817,0.11596206710514934,0.9769283844301269,0.7739238792557384,0.8462193696764088,0.6963227666992631,0.2311511138719039,0.6222990590466029,0.673607844644253,0.2535175812748409,0.3293686272497278,0.05842381988900647,0.8138711406268659,0.431065815201213,0.577114711887325,0.023544707190021774,0.610361851970352,0.9323902649767185,0.9387079305492949,0.6855756636639369,0.19544561263130056,0.2278437183562939,0.17504514507731528,0.7537444703481226,0.2755348896399411,0.4934234659737805,0.03546175814214103,0.9272457202076746,0.12947833049784097,0.6138239294462746,0.20113678185492756,0.8086017697643377,0.5947990589919738,0.5191749658003548,0.8954419743124209,0.21225368476521356,0.26326042894420154,0.8751192049742438,0.9255721517410661,0.7639790342132129,0.4149083180520132,0.15909796275926236,0.04396618362964144,0.11629188524496847,0.6208410863666834,0.4629784456411331,0.903313165673797,0.6382473393565237,0.15063835564714445,0.46963252393080035,0.7852570802641013,0.007312002687998587,0.05944421013261458,0.36586635351526764,0.5325875283373896,0.958257496729461,0.24245315864504924,0.3085754931399418,0.8968891338500231,0.05837395902429654,0.9333102415581883,0.33719751135772214,0.5953889877804238,0.3830040526246695,0.3236856318024214,0.9499763325371094,0.2394438111522642,0.6642387213011178,0.5444440067880516,0.5717541240276045,0.4584666648091035,0.18663995085172025,0.39601892569500685,0.21097458713134676,0.15335483690024587,0.2843968565656355,0.3090968026681439,0.8946102850253911,0.3230339119372899,0.7483712485264359,0.06270529113696921,0.42582157302576173,0.006606878204765243,0.5129061076832827,0.54412458838171,0.1753846223945159,0.8485248397381423,0.4001561080459686,0.8314435279744425,0.397428250752777,0.469343483763104,0.980264079706065,0.6912348240280534,0.9815449114291782,0.9598683505391823,0.1405571005566989,0.9414356336603708,0.5999146640310452,0.9978509323276676,0.2523088208672968,0.9746894881469654,0.08362782039104999,0.3943510917145636,0.38990345014846994,0.9772703425660857,0.41223842074804407,0.9685608591940759,0.835299379110434,0.06396764361286877,0.6628589248760673,0.11795615909526436,0.45440775388610066,0.7906250688718485,0.11722691293883791,0.19445235699349828,0.00731594328424956,0.7324596300209081,0.06725246167400734,0.4575330817469243,0.7854613923620065,0.8156375160945433,0.22968289606064352,0.29211037545464713,0.8332827681377778,0.7314293812918847,0.29687215942442735,0.3508022513069171,0.7446759741139067,0.44412570207977453,0.2568303167308369,0.7927359613654729,0.06729729866956857,0.26170089454896817,0.8538188888106553,0.7464505543819284,0.7204214309551144,0.19189296358679353,0.9101921685955581,0.890371260519275,0.760179464650382,0.12285986448280695,0.22412125786288306,0.8133909437824828,0.5271744351898277,0.6178391144355264,0.23942204457728256,0.684303073852503,0.9910581656793264,0.8815933003276054,0.5498265737570934,0.897979339861685,0.3545426958404667,0.9087889795083335,0.3744866564604755,0.15751097679171255,0.4813696636321305,0.07790468466382205,0.7141083947413807,0.6487340134372358,0.3754321032927631,0.2645373465169777,0.7086688728299588,0.27898219303063176,0.35790728487903745,0.6405145454196862,0.8219543082124697,0.40085312116682714,0.3548120250007176,0.4594449725067704,0.7503866507681269,0.8169071717827042,0.6594100019630673,0.2146957924253412,0.054917137387438975,0.7350583788763723,0.017093643312315554,0.30942841431546875,0.05661503463342066,0.08571424252351656,0.2385321918368425,0.2369957009318724,0.9055835085831384,0.8344771116754509,0.3587551980181638,0.136815824457576,0.803569440420264,0.3294781270809861,0.8038035449509054,0.9139516642218245,0.5604178489160302,0.6468221764218595,0.8099194420608092,0.6809026129428517,0.6441532011261886,0.04338827233598408,0.36470873408817095,0.8072587583736007,0.7755360795554781,0.1764567634716776,0.6279228714820813,0.055822092519489,0.0762415243192549,0.5958832994579214,0.41316090461766586,0.985251139110095,0.6122177077976103,0.9605066674352387,0.5306691401845409,0.9021585723332531,0.19829839459823773,0.722026398361882,0.28198173386200753,0.6955344453271616,0.547365887868487,0.4716678359475597,0.6469732956898285,0.8750530624735149,0.22783488123755768,0.5921912555787981,0.18853100278843693,0.2107931036192361,0.7820207590133998,0.45700734895060824,0.1299231289338052,0.4661450281800743,0.5079915163144983,0.5049346436699209,0.21070810463506362,0.8284904534457197,0.5566436735661409,0.27202973795892205,0.8661825638559985,0.7216926244001676,0.4884138478169118,0.789064879624662,0.6873198788279528,0.25418938326005014,0.11974226764145801,0.6071876980675036,0.9246960064622948,0.656671651190978,0.6126317734354588,0.09377287514929411,0.9658251057804129,0.6763381336184947,0.16761840859380106,0.14792443159375857,0.9564807006078213,0.5286033259604285,0.6851937672374531,0.6089292763576057,0.12784737044414862,0.17517928779546488,0.44941035959806863,0.2224044754029133,0.4724354016241936,0.056416981356850915,0.4916810705472022,0.4159489695690153,0.07055329926173548,0.06827214771631052,0.35302789152829317,0.7396480317123485,0.7318857342175097,0.8690608670290074,0.22708231630610343,0.9746314615369825,0.33569487752412,0.2686269948102138,0.18525040153222494,0.02773461841177527,0.24474695745789077,0.36560567057224513,0.9186527478423263,0.7550174854935641,0.11338959477874588,0.7610007631650314,0.484692022269094,0.19354921119282942,0.17594842758781115,0.02013871390069566,0.29026877152289143,0.7686861153024176,0.17119670794847275,0.479645648505318,0.22825111030745682,0.8756072238815421,0.01420592321281322,0.5530480145957705,0.5506498109744349,0.9692318688312741,0.6591049232526064,0.5005059428775629,0.6328234587344137,0.8756158489720884,0.05730412315771172,0.30567110221667504,0.1852677307165509,0.9346452653571424,0.005489256735084713,0.4128007435173122,0.3993105656375736,0.055521010127014714,0.5574808050743256,0.20286437791991518,0.9544484432563373,0.863222098067276,0.9404960119254434,0.6395696237861509,0.46900666608547026,0.8036990254403662,0.44854695475908635,0.6118178507357339,0.4454547885090472,0.5782734757266592,0.08414805525347158,0.7062029551467923,0.7114834316288615,0.11495009531583644,0.32721494746343494,0.41612676097031975,0.06201132712286994,0.14605708891519087,0.34594001347171144,0.7308450413459439,0.09947621650924598,0.9386633851871677,0.8250676361453838,0.5841278994090556,0.3905721362992145,0.9386809737977492,0.40065323579961276,0.8724895186674048,0.15699111312767478,0.019165617039704985,0.18526359236449452,0.3348569013337164,0.4293789532665828,0.8326592636858084,0.6616117713604657,0.9048730492918721,0.9403923538887161,0.6462105980659829,0.9526095033045379,0.34978731923511663,0.42248658802327244,0.2837445257886504,0.07422665114724536,0.12328943415600047,0.7712482147403986,0.2326855059004499,0.38914866878248766,0.2983141324944292,0.5883126113929829,0.16041098353610483,0.6739728543635696,0.8954534997257764,0.8631287882876563,0.6408992585028809,0.5364909753838017,0.04454669854565563,0.7816563466840641,0.25995785101462454,0.07999386900720695,0.48017495578217073,0.6278642805432683,0.028591910002707777,0.49263544502398404,0.13801206911624353,0.47837592696742726,0.03444435676707125,0.10893236393290417,0.8588756282392327,0.5011974529690791,0.18882348162898843,0.3030259223299553,0.9400107200882512,0.3350671615260925,0.40881911207575494,0.7856288413552315,0.6415708102405371,0.2977023362817677,0.2222494764251005,0.6998076360811359,0.48168309748427973,0.9646187289051229,0.5736031513736662,0.6591734682264633,0.00954312648302058,0.9454258783809364,0.04631343284424927,0.047966838620168706,0.494754386456975,0.7948158417599224,0.25316192433237505,0.4058159984199132,0.7108125855017305,0.2984652881297619,0.6882094848223292,0.8272977760337443,0.2401569783152393,0.6822380197389176,0.278544224712751,0.509676073226576,0.6598370506165263,0.9240851173871623,0.5900772370163767,0.553354841815504,0.473470524172951,0.491717778566063,0.3909443182279173,0.9987726173206675,0.07704202265842652,0.17905133431773712,0.06422934215852183,0.25914240804287836,0.962146924422498,0.4645880126970021,0.050143887390615594,0.5509475810069969,0.7634219159109187,0.6077660803908821,0.7391119723818139,0.33925093110186977,0.2757936878000107,0.5090060368574421,0.754387345642913,0.46175077136842113,0.8106320681627385,0.5830812924973336,0.5947582434247835,0.07473752497780184,0.5357417121966834,0.2619468560227104,0.05336890139782757,0.4511910368343468,0.2968174932024735,0.8621045658291266,0.6654440447439114,0.0631850796409208,0.9379395954205106,0.7304845787941493,0.13486134132811212,0.7571720558828517,0.9308249840384505,0.3124716331726326,0.4590783244235489,0.19823337144517617,0.15669122970035254,0.5987517326074833,0.42877866849722124,0.2388968470219759,0.4552755389756068,0.8899930261910276,0.8030333141727888,0.8902406847039666,0.395904843376199,0.4582892215238594,0.8989240716447842,0.7875346383290065,0.18474124497036548,0.2811023506688948,0.23233748110709362,0.05890641561642462,0.35189543485900887,0.3906089865405947,0.34824103625750624,0.39878991345970316,0.8839216246202728,0.41048532182113606,0.24875227115134257,0.7510901193481493,0.9254254256838216,0.26856981625536536,0.5721987770874807,0.9488472166931554,0.8624464149222983,0.8439954799350385,0.761985387179891,0.2814088440353433],"y":[0.3593058166480857,0.4645886875433298,0.8142778652621151,0.9221732629194578,0.2404124195003582,0.19272673614509928,0.22739092668978278,0.241412293399751,0.3786590104840254,0.14386269153402031,0.7616052534884178,0.4326695633448022,0.40463162245017403,0.12021690542481234,0.40263299161471244,0.41865603480899527,0.45761958520659674,0.41561963873129726,0.5496719969359547,0.14494848950776773,0.8503475405393959,0.29949975514075633,0.8373685648658727,0.7200513873527097,0.5137603769435446,0.14464954800582885,0.14992105949088774,0.9592184073101372,0.786263853077464,0.694888472583112,0.08368490731524014,0.002584317138414338,0.2610231419788154,0.1962740921864028,0.8361811855872072,0.7041596942806329,0.8841110328723225,0.9022799837702141,0.019780259333593286,0.16187640670812364,0.0119177308658176,0.28482321708142677,0.8328277037581107,0.11718558773224597,0.4359111520112179,0.5367786119646848,0.23505333834714381,0.729420103406376,0.16870856587113836,0.366962433178853,0.5332908041137612,0.6818941943083364,0.12166156047864929,0.8151467271633909,0.5822756135702594,0.8060001431523709,0.7457410073333971,0.4911646282370955,0.5620390636331215,0.4918850048391631,0.42240826322998437,0.1373660117326927,0.9317608767159703,0.32594859480171856,0.6349064736637283,0.1371443197248463,0.4158338175866134,0.018181779250434627,0.1507616905618121,0.058979808595287064,0.13413502044227255,0.8156168981191115,0.7662605927172855,0.18800382575809338,0.4378590045473171,0.23079315638201325,0.8220532177393152,0.7088687784835308,0.26062907473454033,0.9202069646539992,0.6052520952631293,0.8440891209496401,0.005297283316694101,0.7808601712660371,0.02963908236587076,0.568464663646299,0.7347523017270244,0.28090114722533754,0.9153796398250733,0.8862990129062269,0.9081507177595347,0.5411826132788271,0.2260719574713057,0.49470684760724737,0.7240582679897187,0.1280184579639,0.8075571645597196,0.9913086178633281,0.5672713527176182,0.31484312842462403,0.5282188439357607,0.9562557837623823,0.9802212426767375,0.6275648681097634,0.9421810136322246,0.5201752139948401,0.4123515678216426,0.6901893010308687,0.869219145902631,0.9558978102406244,0.4688093784892625,0.5298275410978791,0.31724127990078343,0.07000917099109238,0.7046441683870939,0.36162288468877124,0.8213122150319624,0.25837651912479465,0.8880395084177536,0.9557641326081425,0.7271592041097347,0.06863390204964825,0.22098857938965122,0.8580795578960558,0.21661914750353573,0.21455325043119478,0.7201705779842525,0.6429758238758368,0.1340343416587353,0.04474358788571531,0.8721253719480698,0.31240446295117086,0.354910883037285,0.5952483261820494,0.3743565005037761,0.3015332189367227,0.1708723904715762,0.339696516148153,0.7484597694059404,0.30792964417398394,0.4454860957307587,0.45547416985387845,0.21254929748219087,0.15514089686280974,0.9096710038374479,0.985513459517676,0.5356164939239407,0.7530401663365129,0.6735867197818605,0.4357776274806452,0.2256565236620791,0.7889424699824544,0.9988933302165243,0.2675799012602307,0.5323505023336357,0.16974938637396952,0.5806812149580709,0.06628837410769861,0.30924797259852843,0.5401815935862055,0.45936231409329087,0.6000657288472296,0.6122503249025774,0.3206614461776024,0.22951179203205496,0.8735501979597334,0.6287031088213412,0.6028871764351346,0.8376619647344745,0.8586576036872242,0.1310238135885381,0.15711022564486388,0.8379454368827645,0.4339639092398023,0.6252531798785611,0.9432599271671627,0.8823847048941161,0.6771578099310216,0.30586190823517423,0.03627591886196058,0.44849015829959593,0.23338769135067994,0.9469134118838415,0.37720082117685894,0.73487149618831,0.7179502014034208,0.9822209427421685,0.8600787583600431,0.19044924202147717,0.6700495843550606,0.7352158568429399,0.924106848480313,0.15423708128814195,0.08506535214631095,0.9030968605424806,0.12962531805048716,0.27960164665655773,0.3063629562682205,0.9425199413516917,0.5632754956943776,0.7517164955810823,0.3303915679837265,0.2657744400689046,0.2624322460571554,0.8254925239190603,0.31163869757580187,0.9307974309037095,0.31493671099505116,0.11816296492986023,0.1016375906142537,0.8071738546719663,0.7676098984327305,0.37582624954187616,0.8794585034866638,0.7106479497565302,0.46170894541300167,0.6134786587799795,0.46502124901387965,0.2692655797118618,0.6947601190272434,0.8048718519074376,0.49239698187231085,0.9647582788662783,0.6005916158529865,0.04266441620588435,0.9181876379547056,0.05917467251636577,0.6672841775764385,0.30037111101513314,0.3511059528182393,0.36683296726877357,0.2456074669616899,0.7416161874983788,0.0008565789804385604,0.49704532803135726,0.8698630547733157,0.27645259448553283,0.7312494512103717,0.5933570475796512,0.030483603116855607,0.0722405204479114,0.9759254865755719,0.6689983083131996,0.39402937414333417,0.8663843373783551,0.806722003079325,0.12803252946179589,0.03780458510755602,0.5482618364758319,0.559981967902891,0.7387024424582912,0.9847916947810278,0.800364764659779,0.6364486754276184,0.4692532136837274,0.13312358367827704,0.9324610391979985,0.3945304275559105,0.9445292229327944,0.47978825657184787,0.8706659623107885,0.13213248693938595,0.24264591689999648,0.924354343473908,0.24880881646238384,0.35456367281998113,0.5796903252098884,0.2496248487028061,0.025646391555884218,0.3166856765778664,0.851096572112789,0.4067738339965621,0.9918851427517342,0.08880332196946727,0.5899049512426829,0.15541233667693832,0.9020668355108592,0.387775589487077,0.24473752675240412,0.40106230987055536,0.11383108009742704,0.04419951361346042,0.834618179262116,0.4768012323303462,0.6772778871050381,0.3516386263114184,0.10858582698562236,0.889083236840026,0.06676575534365004,0.905387547970441,0.5506452473738204,0.3599331525811881,0.35121468298883773,0.9990821090845625,0.5870435995306362,0.27894689945578044,0.7391989310626647,0.1939214388385061,0.4243993655703303,0.39510938004568075,0.397341761592526,0.8099398647348073,0.8285398979317722,0.6562520137797371,0.17607584679718524,0.07017968340493907,0.08471225013160988,0.6119984921430428,0.414317283456735,0.6141822596822288,0.18902400827242627,0.39118529766314236,0.4586460366275481,0.7626998200314232,0.29591185268420017,0.2620911009262352,0.5630321876221422,0.3383538805315309,0.8056705118480667,0.9202777024436644,0.23783980430408436,0.28198427931442815,0.22464857439264674,0.4161622703155282,0.8829076287017922,0.32319309278999386,0.01737641654294486,0.9301078427740948,0.9430364410215505,0.2232833142109859,0.2588827768583699,0.2695357127643796,0.5569467100221253,0.8379733510081655,0.30811897180028724,0.56047624231954,0.37848444008805004,0.5808105566468074,0.4329964971340432,0.28482860472188154,0.8859344130001914,0.8516481264414346,0.6696704997030977,0.5559855797646059,0.2579967163005017,0.8362378830013419,0.7457215292740851,0.48804003942669394,0.5287450416875716,0.0018404930443189915,0.7290876551991314,0.3020500747761097,0.537744883960504,0.03922068408804957,0.6537620976086557,0.43358099277948114,0.3756642430324797,0.014736030787609433,0.184248855638403,0.765127035262648,0.8709401528269006,0.7145616827158051,0.9234701982380764,0.5319610893684936,0.22519504222726916,0.3503136684534325,0.5038670982240822,0.2421900865786728,0.1391497232657437,0.9059795979398741,0.10446811307319115,0.7916841643623578,0.2349509873444957,0.16832330711404986,0.8239504261646865,0.37310732810693137,0.34596064883235267,0.1217105868433559,0.7674698293281409,0.6506046841756806,0.7995898709101095,0.04934871835297838,0.6691855887423395,0.4455762501630339,0.2665673767412309,0.7050058087948535,0.9043893000124734,0.7623633837000552,0.9051961415203079,0.4951223664971538,0.8592494160999791,0.5302406340577307,0.34003721755547456,0.7704979926183988,0.8835601048090647,0.31694554450307744,0.9506732663863754,0.9413447784473711,0.9204235988305853,0.3912234476948957,0.4491300863194708,0.7037756862749693,0.7079140736739489,0.3509944873365195,0.18012685217328916,0.11655579095742985,0.5064734330331614,0.9796961502162236,0.15984834763246292,0.6871143449391965,0.8153840863698909,0.5194887035683157,0.49176420404384014,0.5492199774514921,0.024915671088099445,0.1697699573161826,0.5835330092954957,0.6447395985494617,0.02504314432878907,0.43613027126489423,0.9995735548891826,0.5344930065104665,0.09984167953333256,0.018334273701043458,0.6453926196984808,0.9542822092676161,0.1378641912696198,0.23478796598601048,0.5599836984323631,0.5611426584433223,0.1633516957488208,0.7517243181998148,0.9568237833465117,0.5970958506172576,0.6687328967259776,0.4813984159217245,0.6756242398740075,0.08654571549288892,0.21150852820304744,0.2776980135588003,0.11188064376375262,0.04688748389662689,0.0854367380555785,0.5264114448328143,0.40870175648947416,0.8119106076729946,0.8718197088717469,0.9683452039539026,0.7893429075146996,0.5347745448973282,0.3312253332750892,0.20714029161062253,0.6554675875644187,0.6258882859758904,0.6302072121608688,0.16748496387170664,0.9058988898033513,0.9676743372239437,0.9377853492060946,0.07892005427533799,0.16649659648298654,0.1609018486590874,0.6149566898199667,0.3398326005121566,0.994443882007098,0.9722607544835948,0.8126997396159606,0.445390825898878,0.5339865577712973,0.2682083110961121,0.42482244568343686,0.1212259739167092,0.766761041113862,0.8717285553869041,0.7201331524521325,0.721189867531987,0.9321637098033361,0.163993732989828,0.44900837522524195,0.9093573817114949,0.0858701576127836,0.11203621546462239,0.6195621130161071,0.9026675673336806,0.14848803592036885,0.16232007316880603,0.020869734319150846,0.8619194202768017,0.11024800064622542,0.9634547227169104,0.22130826096363587,0.6688025379958064,0.7418843766294226,0.03571913932474635,0.08897774271470493,0.2607384277834859,0.823651341833888,0.7799465596679778,0.5088000973831137,0.3554466477329078]}},"id":"c8ef846a-58f1-4da7-8931-b22ffe86f891","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"field":"color"},"line_alpha":{"value":0.4},"line_color":{"field":"color"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"472b1b62-3835-457e-a50d-27597a081fb8","type":"Circle"},{"attributes":{"plot":null,"text":"Select Here"},"id":"59cd4240-e0ec-4171-8ded-fc72d40843a2","type":"Title"},{"attributes":{},"id":"aaef9865-3989-4a1e-ae89-b42e54a6add4","type":"BasicTicker"}],"root_ids":["cf506400-2429-4120-8db3-3d54bc8da605"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a6fee7bd-b7b4-478e-9d81-c4b096fa6ff0","elementid":"f13ac1ee-39cb-49f2-9243-a9334e9cdc76","modelid":"cf506400-2429-4120-8db3-3d54bc8da605"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
