(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9cd716b4-da40-421e-a144-f387471a6e8d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9cd716b4-da40-421e-a144-f387471a6e8d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1909a327-e4f6-4fce-beb9-942014aea7bf":{"roots":{"references":[{"attributes":{"source":{"id":"ad3bba93-6b10-4579-ab06-9fa37d4eadbc","type":"ColumnDataSource"}},"id":"8d9af8f5-50ff-4dcb-a71f-a4c028ad0b06","type":"CDSView"},{"attributes":{},"id":"dd2b3682-ff8f-4a61-be49-0f483e953927","type":"LinearScale"},{"attributes":{"callback":null},"id":"d2c147b6-151c-4ed2-909f-92de5d65799a","type":"DataRange1d"},{"attributes":{"overlay":{"id":"cbedc666-3071-4c6a-ad6c-f2979028c527","type":"BoxAnnotation"}},"id":"988c3371-10ce-401a-ae8f-4a7323405847","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cbedc666-3071-4c6a-ad6c-f2979028c527","type":"BoxAnnotation"},{"attributes":{},"id":"1acf8234-ede5-4ff3-afd1-d010d227013e","type":"SaveTool"},{"attributes":{"data_source":{"id":"ad3bba93-6b10-4579-ab06-9fa37d4eadbc","type":"ColumnDataSource"},"glyph":{"id":"da4c18f8-e4bc-4d52-bdd7-f3f6eee4293a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b43a8f5c-712d-4790-b242-3504f6e10827","type":"Circle"},"selection_glyph":null,"view":{"id":"8d9af8f5-50ff-4dcb-a71f-a4c028ad0b06","type":"CDSView"}},"id":"9ffdb44b-64c9-4998-9fbb-cf094ff9094e","type":"GlyphRenderer"},{"attributes":{},"id":"13c4907d-02f9-4d4a-a5d3-2026b0725120","type":"ResetTool"},{"attributes":{"callback":null},"id":"0a11ef71-ad3d-4ca3-b0ee-4feecb5d9f92","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"ad3bba93-6b10-4579-ab06-9fa37d4eadbc","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"1d4500de-2d1b-4823-aa8b-f5cfc5a38174","subtype":"Figure","type":"Plot"},"ticker":{"id":"a160daef-d92b-43b5-8075-df3933bb2f1f","type":"BasicTicker"}},"id":"d88bd0c4-26a0-4302-9729-6d6f26046ba0","type":"Grid"},{"attributes":{},"id":"7bdfa304-8f52-4340-83f0-857da55c9eed","type":"HelpTool"},{"attributes":{},"id":"d9de55fd-e134-4f01-84a1-260779db0e88","type":"WheelZoomTool"},{"attributes":{},"id":"4a04a53b-e1f8-4350-aba1-18be9cf813b2","type":"PanTool"},{"attributes":{},"id":"de78fcdf-07db-45c1-8d97-6edb8c4a6e47","type":"BasicTickFormatter"},{"attributes":{},"id":"0253063e-4840-45d7-86a1-37b488855930","type":"LinearScale"},{"attributes":{},"id":"a160daef-d92b-43b5-8075-df3933bb2f1f","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"da4c18f8-e4bc-4d52-bdd7-f3f6eee4293a","type":"Circle"},{"attributes":{"formatter":{"id":"de78fcdf-07db-45c1-8d97-6edb8c4a6e47","type":"BasicTickFormatter"},"plot":{"id":"1d4500de-2d1b-4823-aa8b-f5cfc5a38174","subtype":"Figure","type":"Plot"},"ticker":{"id":"a160daef-d92b-43b5-8075-df3933bb2f1f","type":"BasicTicker"}},"id":"433bb7e7-b044-4d42-bb57-67b6d7bafdc1","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"1d4500de-2d1b-4823-aa8b-f5cfc5a38174","subtype":"Figure","type":"Plot"},"ticker":{"id":"f05dd0c3-8504-43a3-8ed7-c0339a252d0b","type":"BasicTicker"}},"id":"49750ec5-152d-4317-a8eb-d7f9bd94abcc","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4a04a53b-e1f8-4350-aba1-18be9cf813b2","type":"PanTool"},{"id":"d9de55fd-e134-4f01-84a1-260779db0e88","type":"WheelZoomTool"},{"id":"988c3371-10ce-401a-ae8f-4a7323405847","type":"BoxZoomTool"},{"id":"1acf8234-ede5-4ff3-afd1-d010d227013e","type":"SaveTool"},{"id":"13c4907d-02f9-4d4a-a5d3-2026b0725120","type":"ResetTool"},{"id":"7bdfa304-8f52-4340-83f0-857da55c9eed","type":"HelpTool"}]},"id":"2d34897a-7fb4-4a0b-bcd3-bef96056a162","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b43a8f5c-712d-4790-b242-3504f6e10827","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"b5fb95bb-d6d3-48d7-8dbf-13217a1bc07b","type":"Title"},{"attributes":{"formatter":{"id":"817e59ba-7605-4ef7-8add-14870d6ac1fa","type":"BasicTickFormatter"},"plot":{"id":"1d4500de-2d1b-4823-aa8b-f5cfc5a38174","subtype":"Figure","type":"Plot"},"ticker":{"id":"f05dd0c3-8504-43a3-8ed7-c0339a252d0b","type":"BasicTicker"}},"id":"f29a9a0b-a250-4375-97d6-c5d7f1481de9","type":"LinearAxis"},{"attributes":{},"id":"817e59ba-7605-4ef7-8add-14870d6ac1fa","type":"BasicTickFormatter"},{"attributes":{},"id":"f05dd0c3-8504-43a3-8ed7-c0339a252d0b","type":"BasicTicker"},{"attributes":{"below":[{"id":"433bb7e7-b044-4d42-bb57-67b6d7bafdc1","type":"LinearAxis"}],"left":[{"id":"f29a9a0b-a250-4375-97d6-c5d7f1481de9","type":"LinearAxis"}],"plot_height":300,"plot_width":700,"renderers":[{"id":"433bb7e7-b044-4d42-bb57-67b6d7bafdc1","type":"LinearAxis"},{"id":"d88bd0c4-26a0-4302-9729-6d6f26046ba0","type":"Grid"},{"id":"f29a9a0b-a250-4375-97d6-c5d7f1481de9","type":"LinearAxis"},{"id":"49750ec5-152d-4317-a8eb-d7f9bd94abcc","type":"Grid"},{"id":"cbedc666-3071-4c6a-ad6c-f2979028c527","type":"BoxAnnotation"},{"id":"9ffdb44b-64c9-4998-9fbb-cf094ff9094e","type":"GlyphRenderer"}],"title":{"id":"b5fb95bb-d6d3-48d7-8dbf-13217a1bc07b","type":"Title"},"toolbar":{"id":"2d34897a-7fb4-4a0b-bcd3-bef96056a162","type":"Toolbar"},"x_range":{"id":"d2c147b6-151c-4ed2-909f-92de5d65799a","type":"DataRange1d"},"x_scale":{"id":"dd2b3682-ff8f-4a61-be49-0f483e953927","type":"LinearScale"},"y_range":{"id":"0a11ef71-ad3d-4ca3-b0ee-4feecb5d9f92","type":"DataRange1d"},"y_scale":{"id":"0253063e-4840-45d7-86a1-37b488855930","type":"LinearScale"}},"id":"1d4500de-2d1b-4823-aa8b-f5cfc5a38174","subtype":"Figure","type":"Plot"}],"root_ids":["1d4500de-2d1b-4823-aa8b-f5cfc5a38174"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1909a327-e4f6-4fce-beb9-942014aea7bf","elementid":"9cd716b4-da40-421e-a144-f387471a6e8d","modelid":"1d4500de-2d1b-4823-aa8b-f5cfc5a38174"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
