(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7e9eb4ef-446c-423a-b563-1ac15c42497c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7e9eb4ef-446c-423a-b563-1ac15c42497c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d4eb44e4-a23a-4300-bdbe-d34b637ad615":{"roots":{"references":[{"attributes":{"below":[{"id":"7d4a7e81-d903-42f4-b9a9-4f93398019f1","type":"LinearAxis"}],"left":[{"id":"ed95b438-5aad-477b-9845-7eee8645af2d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7d4a7e81-d903-42f4-b9a9-4f93398019f1","type":"LinearAxis"},{"id":"0156c1c9-5198-4538-bff5-625d28128bdf","type":"Grid"},{"id":"ed95b438-5aad-477b-9845-7eee8645af2d","type":"LinearAxis"},{"id":"79142764-0b37-4b59-8079-358bee6538d2","type":"Grid"},{"id":"1ee6131a-6a7a-44f4-9640-e77419cfc15f","type":"BoxAnnotation"},{"id":"1ada54bd-1d76-40dd-b349-692a00f9a14d","type":"GlyphRenderer"}],"title":{"id":"cb0c23b7-a237-45b9-abe7-056b3e2beeb5","type":"Title"},"toolbar":{"id":"af7dd63e-95f7-415e-9c66-50d086bacaca","type":"Toolbar"},"x_range":{"id":"6b72ec51-ac26-4b9d-a549-965b8de41eb7","type":"DataRange1d"},"x_scale":{"id":"af26a7a5-919e-48f9-9442-95ee464f84e0","type":"LinearScale"},"y_range":{"id":"d7bd694c-6208-4667-9a8e-a13838a2cca5","type":"DataRange1d"},"y_scale":{"id":"e5022fbe-ad11-42e0-b57f-3e3ef2028aab","type":"LinearScale"}},"id":"993fbe2b-601d-4131-adbb-fc2ef2ec8771","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1ee6131a-6a7a-44f4-9640-e77419cfc15f","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"600ca621-7de4-48ca-aa9b-544b22e211fb","type":"BasicTickFormatter"},"plot":{"id":"993fbe2b-601d-4131-adbb-fc2ef2ec8771","subtype":"Figure","type":"Plot"},"ticker":{"id":"82520787-365b-4e0d-8dc1-2cef40bc3e54","type":"BasicTicker"}},"id":"ed95b438-5aad-477b-9845-7eee8645af2d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"993fbe2b-601d-4131-adbb-fc2ef2ec8771","subtype":"Figure","type":"Plot"},"ticker":{"id":"82520787-365b-4e0d-8dc1-2cef40bc3e54","type":"BasicTicker"}},"id":"79142764-0b37-4b59-8079-358bee6538d2","type":"Grid"},{"attributes":{"overlay":{"id":"1ee6131a-6a7a-44f4-9640-e77419cfc15f","type":"BoxAnnotation"}},"id":"a31e8628-14d1-4595-80ed-6eff5328e708","type":"BoxZoomTool"},{"attributes":{},"id":"af26a7a5-919e-48f9-9442-95ee464f84e0","type":"LinearScale"},{"attributes":{},"id":"7468a7c2-211e-4308-ad45-b10185d102a6","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"orange"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"ba698872-cfd4-406b-b604-47f7e6c41f41","type":"Annulus"},{"attributes":{},"id":"052acf7b-a6bc-4230-9a4f-187a64570cdb","type":"BasicTickFormatter"},{"attributes":{},"id":"600ca621-7de4-48ca-aa9b-544b22e211fb","type":"BasicTickFormatter"},{"attributes":{},"id":"a4cef80f-f7fb-4997-a77c-43fbf0620a24","type":"BasicTicker"},{"attributes":{"formatter":{"id":"052acf7b-a6bc-4230-9a4f-187a64570cdb","type":"BasicTickFormatter"},"plot":{"id":"993fbe2b-601d-4131-adbb-fc2ef2ec8771","subtype":"Figure","type":"Plot"},"ticker":{"id":"a4cef80f-f7fb-4997-a77c-43fbf0620a24","type":"BasicTicker"}},"id":"7d4a7e81-d903-42f4-b9a9-4f93398019f1","type":"LinearAxis"},{"attributes":{},"id":"82520787-365b-4e0d-8dc1-2cef40bc3e54","type":"BasicTicker"},{"attributes":{"callback":null},"id":"6b72ec51-ac26-4b9d-a549-965b8de41eb7","type":"DataRange1d"},{"attributes":{},"id":"e5022fbe-ad11-42e0-b57f-3e3ef2028aab","type":"LinearScale"},{"attributes":{"callback":null},"id":"d7bd694c-6208-4667-9a8e-a13838a2cca5","type":"DataRange1d"},{"attributes":{"source":{"id":"7d389c19-20f1-4548-85b9-6beb2c0ca05c","type":"ColumnDataSource"}},"id":"dde887dd-c779-4f73-9d84-0e56aeadbfd4","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"cb0c23b7-a237-45b9-abe7-056b3e2beeb5","type":"Title"},{"attributes":{"data_source":{"id":"7d389c19-20f1-4548-85b9-6beb2c0ca05c","type":"ColumnDataSource"},"glyph":{"id":"ba698872-cfd4-406b-b604-47f7e6c41f41","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"995c111f-e65c-4322-8863-b6e39af2ec17","type":"Annulus"},"selection_glyph":null,"view":{"id":"dde887dd-c779-4f73-9d84-0e56aeadbfd4","type":"CDSView"}},"id":"1ada54bd-1d76-40dd-b349-692a00f9a14d","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"995c111f-e65c-4322-8863-b6e39af2ec17","type":"Annulus"},{"attributes":{},"id":"d6f04172-723b-4839-90b2-74eb884b9dbb","type":"ResetTool"},{"attributes":{},"id":"aba6ec0e-53a2-4d34-b725-84bc74c684b7","type":"WheelZoomTool"},{"attributes":{},"id":"37412aaa-1853-42a1-a93b-b080eae16b9a","type":"PanTool"},{"attributes":{},"id":"300400b0-893a-4f69-8ed1-e69261a992c7","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"37412aaa-1853-42a1-a93b-b080eae16b9a","type":"PanTool"},{"id":"aba6ec0e-53a2-4d34-b725-84bc74c684b7","type":"WheelZoomTool"},{"id":"a31e8628-14d1-4595-80ed-6eff5328e708","type":"BoxZoomTool"},{"id":"300400b0-893a-4f69-8ed1-e69261a992c7","type":"SaveTool"},{"id":"d6f04172-723b-4839-90b2-74eb884b9dbb","type":"ResetTool"},{"id":"7468a7c2-211e-4308-ad45-b10185d102a6","type":"HelpTool"}]},"id":"af7dd63e-95f7-415e-9c66-50d086bacaca","type":"Toolbar"},{"attributes":{"plot":{"id":"993fbe2b-601d-4131-adbb-fc2ef2ec8771","subtype":"Figure","type":"Plot"},"ticker":{"id":"a4cef80f-f7fb-4997-a77c-43fbf0620a24","type":"BasicTicker"}},"id":"0156c1c9-5198-4538-bff5-625d28128bdf","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"7d389c19-20f1-4548-85b9-6beb2c0ca05c","type":"ColumnDataSource"}],"root_ids":["993fbe2b-601d-4131-adbb-fc2ef2ec8771"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d4eb44e4-a23a-4300-bdbe-d34b637ad615","elementid":"7e9eb4ef-446c-423a-b563-1ac15c42497c","modelid":"993fbe2b-601d-4131-adbb-fc2ef2ec8771"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
