(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2158e2ad-4cd8-48df-b635-4df2c89897e5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2158e2ad-4cd8-48df-b635-4df2c89897e5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"52e5e329-9f30-4d72-8e56-b06f2d38a0ab":{"roots":{"references":[{"attributes":{},"id":"d53552b5-8aa3-458c-a9f4-77c43c97cb5f","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6b320ecf-3422-492e-9b3e-246778de4b14","type":"Circle"},{"attributes":{},"id":"a863401f-b7e3-4fa4-b4b1-f5b8269c196e","type":"HelpTool"},{"attributes":{"data_source":{"id":"3128a4c3-e81a-4999-a952-db4a24d5f193","type":"ColumnDataSource"},"glyph":{"id":"161decaa-4cf6-40cd-ac91-597d001e585d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6b320ecf-3422-492e-9b3e-246778de4b14","type":"Circle"},"selection_glyph":null,"view":{"id":"0f87a3f8-afaa-41b0-ab21-badc56140851","type":"CDSView"}},"id":"2f21ef34-d25f-419c-8bf4-04ab22f59ac9","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"f99f0412-e1c6-497a-9997-94e8d0e79a02","type":"BasicTickFormatter"},"plot":{"id":"93eb6dc0-59ce-4ef7-8af9-1db9270ae5da","subtype":"Figure","type":"Plot"},"ticker":{"id":"059886f6-bd42-4e59-b6e1-bf69ae36ab02","type":"BasicTicker"}},"id":"d342197e-524e-4be2-bff7-fb27483becea","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"161decaa-4cf6-40cd-ac91-597d001e585d","type":"Circle"},{"attributes":{},"id":"f99f0412-e1c6-497a-9997-94e8d0e79a02","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"93eb6dc0-59ce-4ef7-8af9-1db9270ae5da","subtype":"Figure","type":"Plot"},"ticker":{"id":"059886f6-bd42-4e59-b6e1-bf69ae36ab02","type":"BasicTicker"}},"id":"b2f92f82-0dd1-44c0-820b-f29486eab0ed","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0fd0a4c4-ff84-4ed3-9561-6f8c619190e0","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":"Some Title","text_color":{"value":"olive"},"text_font":"times","text_font_style":"italic"},"id":"2963375e-d195-4c93-aa71-e8341276e6b5","type":"Title"},{"attributes":{},"id":"a0d84a4b-9d2e-45a2-8567-ec9ecc621774","type":"PanTool"},{"attributes":{},"id":"6504671a-5c80-4b1c-9e41-500918dae1ae","type":"SaveTool"},{"attributes":{"source":{"id":"3128a4c3-e81a-4999-a952-db4a24d5f193","type":"ColumnDataSource"}},"id":"0f87a3f8-afaa-41b0-ab21-badc56140851","type":"CDSView"},{"attributes":{"overlay":{"id":"0fd0a4c4-ff84-4ed3-9561-6f8c619190e0","type":"BoxAnnotation"}},"id":"237ddb97-2a0c-4402-9c1c-f10f32f41fe0","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"3128a4c3-e81a-4999-a952-db4a24d5f193","type":"ColumnDataSource"},{"attributes":{},"id":"363dbe01-1c1a-4c34-9966-67d1758b99f2","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a0d84a4b-9d2e-45a2-8567-ec9ecc621774","type":"PanTool"},{"id":"4288395b-3064-4c8a-acc3-d26b56f742eb","type":"WheelZoomTool"},{"id":"237ddb97-2a0c-4402-9c1c-f10f32f41fe0","type":"BoxZoomTool"},{"id":"6504671a-5c80-4b1c-9e41-500918dae1ae","type":"SaveTool"},{"id":"5e954018-1f1d-4b54-9e86-8404f4b11ac2","type":"ResetTool"},{"id":"a863401f-b7e3-4fa4-b4b1-f5b8269c196e","type":"HelpTool"}]},"id":"732d55c9-e44d-4aca-b8c5-1e77e6bcb985","type":"Toolbar"},{"attributes":{},"id":"d4bac465-bbb9-4f44-9c34-ee24f3fd003b","type":"LinearScale"},{"attributes":{"formatter":{"id":"ff15a271-1729-44f4-8ce0-214a043b7cd7","type":"BasicTickFormatter"},"plot":{"id":"93eb6dc0-59ce-4ef7-8af9-1db9270ae5da","subtype":"Figure","type":"Plot"},"ticker":{"id":"d53552b5-8aa3-458c-a9f4-77c43c97cb5f","type":"BasicTicker"}},"id":"6e90e904-7dc2-4418-af26-0166ace89aff","type":"LinearAxis"},{"attributes":{"callback":null},"id":"add64a89-84b0-4537-b9c1-a27e9fa4a063","type":"DataRange1d"},{"attributes":{},"id":"4288395b-3064-4c8a-acc3-d26b56f742eb","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"93eb6dc0-59ce-4ef7-8af9-1db9270ae5da","subtype":"Figure","type":"Plot"},"ticker":{"id":"d53552b5-8aa3-458c-a9f4-77c43c97cb5f","type":"BasicTicker"}},"id":"71cb69c2-6669-47b2-84aa-9905f18173ca","type":"Grid"},{"attributes":{"callback":null},"id":"dcac2108-c25f-4f2b-9d8b-82b9b98f7f6e","type":"DataRange1d"},{"attributes":{},"id":"5e954018-1f1d-4b54-9e86-8404f4b11ac2","type":"ResetTool"},{"attributes":{},"id":"ff15a271-1729-44f4-8ce0-214a043b7cd7","type":"BasicTickFormatter"},{"attributes":{},"id":"059886f6-bd42-4e59-b6e1-bf69ae36ab02","type":"BasicTicker"},{"attributes":{"below":[{"id":"d342197e-524e-4be2-bff7-fb27483becea","type":"LinearAxis"}],"left":[{"id":"6e90e904-7dc2-4418-af26-0166ace89aff","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d342197e-524e-4be2-bff7-fb27483becea","type":"LinearAxis"},{"id":"b2f92f82-0dd1-44c0-820b-f29486eab0ed","type":"Grid"},{"id":"6e90e904-7dc2-4418-af26-0166ace89aff","type":"LinearAxis"},{"id":"71cb69c2-6669-47b2-84aa-9905f18173ca","type":"Grid"},{"id":"0fd0a4c4-ff84-4ed3-9561-6f8c619190e0","type":"BoxAnnotation"},{"id":"2f21ef34-d25f-419c-8bf4-04ab22f59ac9","type":"GlyphRenderer"}],"title":{"id":"2963375e-d195-4c93-aa71-e8341276e6b5","type":"Title"},"toolbar":{"id":"732d55c9-e44d-4aca-b8c5-1e77e6bcb985","type":"Toolbar"},"x_range":{"id":"add64a89-84b0-4537-b9c1-a27e9fa4a063","type":"DataRange1d"},"x_scale":{"id":"363dbe01-1c1a-4c34-9966-67d1758b99f2","type":"LinearScale"},"y_range":{"id":"dcac2108-c25f-4f2b-9d8b-82b9b98f7f6e","type":"DataRange1d"},"y_scale":{"id":"d4bac465-bbb9-4f44-9c34-ee24f3fd003b","type":"LinearScale"}},"id":"93eb6dc0-59ce-4ef7-8af9-1db9270ae5da","subtype":"Figure","type":"Plot"}],"root_ids":["93eb6dc0-59ce-4ef7-8af9-1db9270ae5da"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"52e5e329-9f30-4d72-8e56-b06f2d38a0ab","elementid":"2158e2ad-4cd8-48df-b635-4df2c89897e5","modelid":"93eb6dc0-59ce-4ef7-8af9-1db9270ae5da"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
