(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("133b1566-fbcc-42b8-ac81-14a601bf4c05");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '133b1566-fbcc-42b8-ac81-14a601bf4c05' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f7070812-f0ea-4cca-9df6-0b11d0afb351":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"09c99a57-67e6-47e3-9e53-3c295e2c3254","type":"VBar"},{"attributes":{"below":[{"id":"c1b536ab-1672-473e-9425-649a604a7091","type":"CategoricalAxis"}],"left":[{"id":"a7ad5259-75c8-4a31-897b-b9e687086c60","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"c1b536ab-1672-473e-9425-649a604a7091","type":"CategoricalAxis"},{"id":"04310c47-c59f-4fb2-9931-be5fd2e93d65","type":"Grid"},{"id":"a7ad5259-75c8-4a31-897b-b9e687086c60","type":"LinearAxis"},{"id":"958ad5f4-87be-452e-9dcf-4ac1b92df4dc","type":"Grid"},{"id":"04093ccf-9186-4584-8e5a-4925da89e969","type":"GlyphRenderer"}],"title":{"id":"ff549923-2371-47f6-bb4e-63227ae7a89c","type":"Title"},"toolbar":{"id":"3212cf2d-f392-457e-8691-fc989563c657","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3ffa8c3a-1217-40eb-a47f-64848528eb3a","type":"FactorRange"},"x_scale":{"id":"dd1f8fff-9873-41fd-8439-ac7dc522fa8f","type":"CategoricalScale"},"y_range":{"id":"0aaa109c-1bb4-4396-a2f0-98cc3cb6fe72","type":"DataRange1d"},"y_scale":{"id":"1aca14a6-8b50-468c-b513-6f125ceb80d5","type":"LinearScale"}},"id":"1f3ede71-41f9-4e79-a187-e9c854bbd690","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"dd1f8fff-9873-41fd-8439-ac7dc522fa8f","type":"CategoricalScale"},{"attributes":{"callback":null,"start":0},"id":"0aaa109c-1bb4-4396-a2f0-98cc3cb6fe72","type":"DataRange1d"},{"attributes":{"data_source":{"id":"9b5bbebe-2d38-420a-b97a-dd6b4e99e5cf","type":"ColumnDataSource"},"glyph":{"id":"22e354fc-ee98-4655-86a3-4403c2707247","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"09c99a57-67e6-47e3-9e53-3c295e2c3254","type":"VBar"},"selection_glyph":null,"view":{"id":"dca2b0f2-a078-4d9e-be43-304a829b1624","type":"CDSView"}},"id":"04093ccf-9186-4584-8e5a-4925da89e969","type":"GlyphRenderer"},{"attributes":{},"id":"1aca14a6-8b50-468c-b513-6f125ceb80d5","type":"LinearScale"},{"attributes":{"source":{"id":"9b5bbebe-2d38-420a-b97a-dd6b4e99e5cf","type":"ColumnDataSource"}},"id":"dca2b0f2-a078-4d9e-be43-304a829b1624","type":"CDSView"},{"attributes":{"formatter":{"id":"de251117-e452-4651-af6d-f51336f8dcf8","type":"BasicTickFormatter"},"plot":{"id":"1f3ede71-41f9-4e79-a187-e9c854bbd690","subtype":"Figure","type":"Plot"},"ticker":{"id":"2bdeebf7-e199-47b3-ae70-4001ccebf795","type":"BasicTicker"}},"id":"a7ad5259-75c8-4a31-897b-b9e687086c60","type":"LinearAxis"},{"attributes":{},"id":"2bdeebf7-e199-47b3-ae70-4001ccebf795","type":"BasicTicker"},{"attributes":{},"id":"a7b2c4d4-aee7-4875-b78c-f257b4187331","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"1f3ede71-41f9-4e79-a187-e9c854bbd690","subtype":"Figure","type":"Plot"},"ticker":{"id":"a7b2c4d4-aee7-4875-b78c-f257b4187331","type":"CategoricalTicker"}},"id":"04310c47-c59f-4fb2-9931-be5fd2e93d65","type":"Grid"},{"attributes":{"formatter":{"id":"49fe89aa-091d-4c1c-8a8e-01e8ba8d1991","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"1f3ede71-41f9-4e79-a187-e9c854bbd690","subtype":"Figure","type":"Plot"},"ticker":{"id":"a7b2c4d4-aee7-4875-b78c-f257b4187331","type":"CategoricalTicker"}},"id":"c1b536ab-1672-473e-9425-649a604a7091","type":"CategoricalAxis"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"9b5bbebe-2d38-420a-b97a-dd6b4e99e5cf","type":"ColumnDataSource"},{"attributes":{},"id":"de251117-e452-4651-af6d-f51336f8dcf8","type":"BasicTickFormatter"},{"attributes":{},"id":"49fe89aa-091d-4c1c-8a8e-01e8ba8d1991","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"1f3ede71-41f9-4e79-a187-e9c854bbd690","subtype":"Figure","type":"Plot"},"ticker":{"id":"2bdeebf7-e199-47b3-ae70-4001ccebf795","type":"BasicTicker"}},"id":"958ad5f4-87be-452e-9dcf-4ac1b92df4dc","type":"Grid"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"3ffa8c3a-1217-40eb-a47f-64848528eb3a","type":"FactorRange"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"22e354fc-ee98-4655-86a3-4403c2707247","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"3212cf2d-f392-457e-8691-fc989563c657","type":"Toolbar"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"ff549923-2371-47f6-bb4e-63227ae7a89c","type":"Title"}],"root_ids":["1f3ede71-41f9-4e79-a187-e9c854bbd690"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f7070812-f0ea-4cca-9df6-0b11d0afb351","elementid":"133b1566-fbcc-42b8-ac81-14a601bf4c05","modelid":"1f3ede71-41f9-4e79-a187-e9c854bbd690"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
