(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b7057ca8-7524-41df-8726-0d4e71609e48");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b7057ca8-7524-41df-8726-0d4e71609e48' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b82a5354-3f1b-4772-9cba-a18e2f81cc98":{"roots":{"references":[{"attributes":{"formatter":{"id":"35bb206d-b376-40bd-bd7f-6e20e143a4f1","type":"BasicTickFormatter"},"plot":{"id":"808e58fb-5a39-48c2-84b8-ad44bea99d97","subtype":"Figure","type":"Plot"},"ticker":{"id":"d986583d-aa68-4fa0-b491-379bf847272a","type":"BasicTicker"}},"id":"4debd60d-3548-4486-8558-10cf23bbcb3a","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"808e58fb-5a39-48c2-84b8-ad44bea99d97","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a75d7d2-3e62-4bdd-b661-912a5b8cd415","type":"BasicTicker"}},"id":"4523972c-ab06-439a-aa30-c7df4da51c6d","type":"Grid"},{"attributes":{"align":"right","background_fill_color":{"value":"#aaaaee"},"plot":null,"text":"Title With Options","text_color":{"value":"orange"},"text_font_size":{"value":"25px"}},"id":"b6f15c05-f2b7-4ca9-8377-4ac8053d4cf8","type":"Title"},{"attributes":{},"id":"60b1d5fa-c630-47db-b99a-e31e7a7cbaaf","type":"PanTool"},{"attributes":{},"id":"2a75d7d2-3e62-4bdd-b661-912a5b8cd415","type":"BasicTicker"},{"attributes":{},"id":"00d34f1b-5582-4884-9b68-8659db4085cb","type":"ResetTool"},{"attributes":{},"id":"a04035d3-493e-4e1a-b4f4-08dba72ed5d6","type":"WheelZoomTool"},{"attributes":{},"id":"35bb206d-b376-40bd-bd7f-6e20e143a4f1","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"0ac172de-8cb3-4221-9152-c682f5e7f742","type":"ColumnDataSource"},"glyph":{"id":"dd266e3f-5ca1-4e8e-95ca-887a4d46ffce","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b6bfb561-409a-454b-ba8f-92e44269deda","type":"Circle"},"selection_glyph":null,"view":{"id":"440391f9-1e03-484b-9331-22e8798daab5","type":"CDSView"}},"id":"889a5f81-4f09-4f71-b4b5-495887f3bd77","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"d511f70d-5d35-4c79-a378-8c65a1d217f1","type":"BasicTickFormatter"},"plot":{"id":"808e58fb-5a39-48c2-84b8-ad44bea99d97","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a75d7d2-3e62-4bdd-b661-912a5b8cd415","type":"BasicTicker"}},"id":"a47e2e2c-48f3-41fc-a1f1-6e0401040f93","type":"LinearAxis"},{"attributes":{"callback":null},"id":"7c56b829-4b3f-4c7f-a005-7ea3aa734790","type":"DataRange1d"},{"attributes":{"source":{"id":"0ac172de-8cb3-4221-9152-c682f5e7f742","type":"ColumnDataSource"}},"id":"440391f9-1e03-484b-9331-22e8798daab5","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"dd266e3f-5ca1-4e8e-95ca-887a4d46ffce","type":"Circle"},{"attributes":{"callback":null},"id":"f04836fd-ae40-4974-92d3-d02bedd6bbc2","type":"DataRange1d"},{"attributes":{},"id":"a01c4461-a6d7-49c1-9b04-c4f1078c82ed","type":"LinearScale"},{"attributes":{},"id":"d6d6e4c1-6467-451e-854d-3cdcc1175bb4","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b6bfb561-409a-454b-ba8f-92e44269deda","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b93ff574-8fd9-415d-a377-2fe709761c46","type":"BoxAnnotation"},{"attributes":{},"id":"d986583d-aa68-4fa0-b491-379bf847272a","type":"BasicTicker"},{"attributes":{"overlay":{"id":"b93ff574-8fd9-415d-a377-2fe709761c46","type":"BoxAnnotation"}},"id":"9ff9853d-58d9-4045-a165-bcdc5676d9f7","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"808e58fb-5a39-48c2-84b8-ad44bea99d97","subtype":"Figure","type":"Plot"},"ticker":{"id":"d986583d-aa68-4fa0-b491-379bf847272a","type":"BasicTicker"}},"id":"019f2d56-984e-4928-a450-6dd0e18588b3","type":"Grid"},{"attributes":{"below":[{"id":"4debd60d-3548-4486-8558-10cf23bbcb3a","type":"LinearAxis"}],"left":[{"id":"a47e2e2c-48f3-41fc-a1f1-6e0401040f93","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4debd60d-3548-4486-8558-10cf23bbcb3a","type":"LinearAxis"},{"id":"019f2d56-984e-4928-a450-6dd0e18588b3","type":"Grid"},{"id":"a47e2e2c-48f3-41fc-a1f1-6e0401040f93","type":"LinearAxis"},{"id":"4523972c-ab06-439a-aa30-c7df4da51c6d","type":"Grid"},{"id":"b93ff574-8fd9-415d-a377-2fe709761c46","type":"BoxAnnotation"},{"id":"889a5f81-4f09-4f71-b4b5-495887f3bd77","type":"GlyphRenderer"}],"title":{"id":"b6f15c05-f2b7-4ca9-8377-4ac8053d4cf8","type":"Title"},"toolbar":{"id":"76e911e4-ad12-4d2d-b84e-273cc4a5a064","type":"Toolbar"},"x_range":{"id":"f04836fd-ae40-4974-92d3-d02bedd6bbc2","type":"DataRange1d"},"x_scale":{"id":"ee541db7-ba3c-4383-a200-f71375bc9e1f","type":"LinearScale"},"y_range":{"id":"7c56b829-4b3f-4c7f-a005-7ea3aa734790","type":"DataRange1d"},"y_scale":{"id":"a01c4461-a6d7-49c1-9b04-c4f1078c82ed","type":"LinearScale"}},"id":"808e58fb-5a39-48c2-84b8-ad44bea99d97","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d511f70d-5d35-4c79-a378-8c65a1d217f1","type":"BasicTickFormatter"},{"attributes":{},"id":"fc0cad9f-572e-4e93-a74a-9c2ccbec5c64","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"60b1d5fa-c630-47db-b99a-e31e7a7cbaaf","type":"PanTool"},{"id":"a04035d3-493e-4e1a-b4f4-08dba72ed5d6","type":"WheelZoomTool"},{"id":"9ff9853d-58d9-4045-a165-bcdc5676d9f7","type":"BoxZoomTool"},{"id":"d6d6e4c1-6467-451e-854d-3cdcc1175bb4","type":"SaveTool"},{"id":"00d34f1b-5582-4884-9b68-8659db4085cb","type":"ResetTool"},{"id":"fc0cad9f-572e-4e93-a74a-9c2ccbec5c64","type":"HelpTool"}]},"id":"76e911e4-ad12-4d2d-b84e-273cc4a5a064","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"0ac172de-8cb3-4221-9152-c682f5e7f742","type":"ColumnDataSource"},{"attributes":{},"id":"ee541db7-ba3c-4383-a200-f71375bc9e1f","type":"LinearScale"}],"root_ids":["808e58fb-5a39-48c2-84b8-ad44bea99d97"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b82a5354-3f1b-4772-9cba-a18e2f81cc98","elementid":"b7057ca8-7524-41df-8726-0d4e71609e48","modelid":"808e58fb-5a39-48c2-84b8-ad44bea99d97"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
