(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2bcfbe65-7a3f-4d76-bd93-516704c583d1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2bcfbe65-7a3f-4d76-bd93-516704c583d1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2b75ea50-441b-4e98-a576-6c798b7b7aed":{"roots":{"references":[{"attributes":{"callback":null},"id":"0a407418-8e69-45b8-a8b9-75cf07138d73","type":"DataRange1d"},{"attributes":{"below":[{"id":"23eca9cd-2d36-47f8-8bbd-07b93339eb2d","type":"LinearAxis"},{"id":"6042a4c5-f591-447b-8af2-c55e325dde69","type":"Title"}],"left":[{"id":"7e5de87e-3a0e-49b5-bf35-8d77bbe71c01","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"23eca9cd-2d36-47f8-8bbd-07b93339eb2d","type":"LinearAxis"},{"id":"71b89e5d-5967-4c7e-a2ce-64f06e2f991b","type":"Grid"},{"id":"7e5de87e-3a0e-49b5-bf35-8d77bbe71c01","type":"LinearAxis"},{"id":"f5b5eff3-1dea-492d-898c-e2efe2c678ed","type":"Grid"},{"id":"132a98af-21d6-42f6-b761-d47b2c8152dd","type":"BoxAnnotation"},{"id":"a36b97a8-4c09-4584-a0d9-f9d7a0cd6fe3","type":"GlyphRenderer"},{"id":"6042a4c5-f591-447b-8af2-c55e325dde69","type":"Title"}],"title":{"id":"6849a652-e6c8-4192-b43a-81de210386fc","type":"Title"},"title_location":"left","toolbar":{"id":"e1643abd-4965-41da-a984-a1a31b9b7734","type":"Toolbar"},"x_range":{"id":"0a407418-8e69-45b8-a8b9-75cf07138d73","type":"DataRange1d"},"x_scale":{"id":"4207c72c-5688-4f55-afe5-625a5eab15c0","type":"LinearScale"},"y_range":{"id":"6e253a1c-76ea-4745-af7f-2bdbce6d4ce0","type":"DataRange1d"},"y_scale":{"id":"1847336e-3bd8-4946-8a74-e6778fda50fd","type":"LinearScale"}},"id":"a8042ba5-a544-41af-a7d3-f72f949d4ff0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4207c72c-5688-4f55-afe5-625a5eab15c0","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"8aaad06d-e180-4572-a9e3-7f02b4723925","type":"Circle"},{"attributes":{},"id":"cba7981e-3eeb-49dc-adfa-a21e8dacd9dd","type":"HelpTool"},{"attributes":{"data_source":{"id":"951c181c-8305-4729-8263-ace6d57df38e","type":"ColumnDataSource"},"glyph":{"id":"faf5a599-1456-4ed7-a1cb-bebecc2c9d93","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8aaad06d-e180-4572-a9e3-7f02b4723925","type":"Circle"},"selection_glyph":null,"view":{"id":"130c7bcb-4ccd-4b4b-8f71-b0521ad9120f","type":"CDSView"}},"id":"a36b97a8-4c09-4584-a0d9-f9d7a0cd6fe3","type":"GlyphRenderer"},{"attributes":{},"id":"903c657a-290c-46f6-ae13-3c5bc1662822","type":"PanTool"},{"attributes":{"plot":{"id":"a8042ba5-a544-41af-a7d3-f72f949d4ff0","subtype":"Figure","type":"Plot"},"ticker":{"id":"e4175de2-3116-4c34-abf4-fbcc40c1b4bb","type":"BasicTicker"}},"id":"71b89e5d-5967-4c7e-a2ce-64f06e2f991b","type":"Grid"},{"attributes":{"source":{"id":"951c181c-8305-4729-8263-ace6d57df38e","type":"ColumnDataSource"}},"id":"130c7bcb-4ccd-4b4b-8f71-b0521ad9120f","type":"CDSView"},{"attributes":{"overlay":{"id":"132a98af-21d6-42f6-b761-d47b2c8152dd","type":"BoxAnnotation"}},"id":"479a69c2-e2b0-4a32-ae2c-c20dda31a790","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"5bb2c3e1-b98c-4f05-80b8-6c0d8c56f86c","type":"BasicTickFormatter"},"plot":{"id":"a8042ba5-a544-41af-a7d3-f72f949d4ff0","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3928b28-bd18-44af-acdb-c2dba6fea815","type":"BasicTicker"}},"id":"7e5de87e-3a0e-49b5-bf35-8d77bbe71c01","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"a8042ba5-a544-41af-a7d3-f72f949d4ff0","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3928b28-bd18-44af-acdb-c2dba6fea815","type":"BasicTicker"}},"id":"f5b5eff3-1dea-492d-898c-e2efe2c678ed","type":"Grid"},{"attributes":{"align":"center","plot":{"id":"a8042ba5-a544-41af-a7d3-f72f949d4ff0","subtype":"Figure","type":"Plot"},"text":"Bottom Centered Title"},"id":"6042a4c5-f591-447b-8af2-c55e325dde69","type":"Title"},{"attributes":{},"id":"fc831fa9-acce-42ec-9303-d68480fcd1f4","type":"SaveTool"},{"attributes":{},"id":"f3928b28-bd18-44af-acdb-c2dba6fea815","type":"BasicTicker"},{"attributes":{},"id":"5bb2c3e1-b98c-4f05-80b8-6c0d8c56f86c","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Left Title"},"id":"6849a652-e6c8-4192-b43a-81de210386fc","type":"Title"},{"attributes":{},"id":"e4175de2-3116-4c34-abf4-fbcc40c1b4bb","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"faf5a599-1456-4ed7-a1cb-bebecc2c9d93","type":"Circle"},{"attributes":{},"id":"19977d36-de5b-456e-b645-9343c2bdd2d8","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"903c657a-290c-46f6-ae13-3c5bc1662822","type":"PanTool"},{"id":"19977d36-de5b-456e-b645-9343c2bdd2d8","type":"WheelZoomTool"},{"id":"479a69c2-e2b0-4a32-ae2c-c20dda31a790","type":"BoxZoomTool"},{"id":"fc831fa9-acce-42ec-9303-d68480fcd1f4","type":"SaveTool"},{"id":"bafc94c1-aff6-4c2b-a408-2bdc02886b3d","type":"ResetTool"},{"id":"cba7981e-3eeb-49dc-adfa-a21e8dacd9dd","type":"HelpTool"}]},"id":"e1643abd-4965-41da-a984-a1a31b9b7734","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"951c181c-8305-4729-8263-ace6d57df38e","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"132a98af-21d6-42f6-b761-d47b2c8152dd","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"fc1ed54d-d430-42c2-a6c8-c974fd90a22e","type":"BasicTickFormatter"},"plot":{"id":"a8042ba5-a544-41af-a7d3-f72f949d4ff0","subtype":"Figure","type":"Plot"},"ticker":{"id":"e4175de2-3116-4c34-abf4-fbcc40c1b4bb","type":"BasicTicker"}},"id":"23eca9cd-2d36-47f8-8bbd-07b93339eb2d","type":"LinearAxis"},{"attributes":{},"id":"fc1ed54d-d430-42c2-a6c8-c974fd90a22e","type":"BasicTickFormatter"},{"attributes":{},"id":"1847336e-3bd8-4946-8a74-e6778fda50fd","type":"LinearScale"},{"attributes":{},"id":"bafc94c1-aff6-4c2b-a408-2bdc02886b3d","type":"ResetTool"},{"attributes":{"callback":null},"id":"6e253a1c-76ea-4745-af7f-2bdbce6d4ce0","type":"DataRange1d"}],"root_ids":["a8042ba5-a544-41af-a7d3-f72f949d4ff0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2b75ea50-441b-4e98-a576-6c798b7b7aed","elementid":"2bcfbe65-7a3f-4d76-bd93-516704c583d1","modelid":"a8042ba5-a544-41af-a7d3-f72f949d4ff0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
