(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f956e3ef-f98e-4e6b-bbf1-89765c51b517");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f956e3ef-f98e-4e6b-bbf1-89765c51b517' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"957f6287-238f-467f-8e77-1e3a175b6f69":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"1bd58ed1-356b-4ea1-ada9-429c77f295d6","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f953ccb9-3810-46b5-9d1b-113485487a08","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fb6913cf-ab76-46cc-aa1b-47528d739288","type":"PanTool"},{"id":"5d774896-8ff1-4a54-a148-0f278ea52848","type":"WheelZoomTool"},{"id":"89e0c40d-36cc-4728-a32a-a04dd2e3fb08","type":"BoxZoomTool"},{"id":"d1db3f1a-5faa-4111-9f21-b7e1a410d34d","type":"SaveTool"},{"id":"f42946bd-b822-4a22-bf2d-72477d0802be","type":"ResetTool"},{"id":"1262536c-8c2a-4f85-a4e3-e8c9a568bcd0","type":"HelpTool"}]},"id":"578ecd50-ff27-47f3-95d1-afb57258a345","type":"Toolbar"},{"attributes":{},"id":"f42946bd-b822-4a22-bf2d-72477d0802be","type":"ResetTool"},{"attributes":{"callback":null},"id":"a03c4948-eef6-42fc-9b7d-a09c42354ac7","type":"DataRange1d"},{"attributes":{"overlay":{"id":"1baf0b3a-7997-4eb7-a557-75d6b858db90","type":"BoxAnnotation"}},"id":"89e0c40d-36cc-4728-a32a-a04dd2e3fb08","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"e2016f7d-ae7e-4a4a-a4b7-0476422101b8","type":"Title"},{"attributes":{"source":{"id":"1bd58ed1-356b-4ea1-ada9-429c77f295d6","type":"ColumnDataSource"}},"id":"9f3e3125-e26a-490f-9fd6-e19f301a1acb","type":"CDSView"},{"attributes":{"formatter":{"id":"c99c1fb2-514b-4c11-bf3c-43747055f0d1","type":"BasicTickFormatter"},"plot":{"id":"9601e092-e0e3-4dbd-b553-98a6c189ab51","subtype":"Figure","type":"Plot"},"ticker":{"id":"59a38724-4338-400d-8fe6-f9a811908e7c","type":"BasicTicker"}},"id":"76701fe5-19cb-445a-aec4-6879bb9b74cf","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1baf0b3a-7997-4eb7-a557-75d6b858db90","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"30bf98cb-5a35-4b9f-8123-bd1a78f5b67b","type":"BasicTickFormatter"},"plot":{"id":"9601e092-e0e3-4dbd-b553-98a6c189ab51","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c1dd017-fca3-44d3-8d56-d5a5a28393ed","type":"BasicTicker"}},"id":"ded4f742-a34f-4f10-8eeb-86ddbf85cf20","type":"LinearAxis"},{"attributes":{},"id":"30bf98cb-5a35-4b9f-8123-bd1a78f5b67b","type":"BasicTickFormatter"},{"attributes":{},"id":"d1db3f1a-5faa-4111-9f21-b7e1a410d34d","type":"SaveTool"},{"attributes":{"data_source":{"id":"1bd58ed1-356b-4ea1-ada9-429c77f295d6","type":"ColumnDataSource"},"glyph":{"id":"9fc1c87a-97a1-4a82-ac00-348a5a656265","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f953ccb9-3810-46b5-9d1b-113485487a08","type":"Circle"},"selection_glyph":null,"view":{"id":"9f3e3125-e26a-490f-9fd6-e19f301a1acb","type":"CDSView"}},"id":"8ac345ae-c40d-4373-8a72-596eb8a66a79","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"9601e092-e0e3-4dbd-b553-98a6c189ab51","subtype":"Figure","type":"Plot"},"ticker":{"id":"59a38724-4338-400d-8fe6-f9a811908e7c","type":"BasicTicker"}},"id":"9d6b58a5-0c47-4047-993f-932868d0ae59","type":"Grid"},{"attributes":{},"id":"77710abd-57a4-45de-afcc-5f7b80a87e27","type":"LinearScale"},{"attributes":{},"id":"c99c1fb2-514b-4c11-bf3c-43747055f0d1","type":"BasicTickFormatter"},{"attributes":{},"id":"0c1dd017-fca3-44d3-8d56-d5a5a28393ed","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"9601e092-e0e3-4dbd-b553-98a6c189ab51","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c1dd017-fca3-44d3-8d56-d5a5a28393ed","type":"BasicTicker"}},"id":"eecda8bb-5cfe-49a5-9ced-ef12d4997017","type":"Grid"},{"attributes":{},"id":"1262536c-8c2a-4f85-a4e3-e8c9a568bcd0","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9fc1c87a-97a1-4a82-ac00-348a5a656265","type":"Circle"},{"attributes":{},"id":"c0aa6d16-2e65-4032-930a-27256a67e10f","type":"LinearScale"},{"attributes":{},"id":"59a38724-4338-400d-8fe6-f9a811908e7c","type":"BasicTicker"},{"attributes":{"below":[{"id":"76701fe5-19cb-445a-aec4-6879bb9b74cf","type":"LinearAxis"}],"border_fill_color":{"value":"whitesmoke"},"left":[{"id":"ded4f742-a34f-4f10-8eeb-86ddbf85cf20","type":"LinearAxis"}],"min_border_left":80,"plot_height":400,"plot_width":400,"renderers":[{"id":"76701fe5-19cb-445a-aec4-6879bb9b74cf","type":"LinearAxis"},{"id":"9d6b58a5-0c47-4047-993f-932868d0ae59","type":"Grid"},{"id":"ded4f742-a34f-4f10-8eeb-86ddbf85cf20","type":"LinearAxis"},{"id":"eecda8bb-5cfe-49a5-9ced-ef12d4997017","type":"Grid"},{"id":"1baf0b3a-7997-4eb7-a557-75d6b858db90","type":"BoxAnnotation"},{"id":"8ac345ae-c40d-4373-8a72-596eb8a66a79","type":"GlyphRenderer"}],"title":{"id":"e2016f7d-ae7e-4a4a-a4b7-0476422101b8","type":"Title"},"toolbar":{"id":"578ecd50-ff27-47f3-95d1-afb57258a345","type":"Toolbar"},"x_range":{"id":"a03c4948-eef6-42fc-9b7d-a09c42354ac7","type":"DataRange1d"},"x_scale":{"id":"77710abd-57a4-45de-afcc-5f7b80a87e27","type":"LinearScale"},"y_range":{"id":"1c41ada5-5759-4199-bfdc-f259fa9f3cf5","type":"DataRange1d"},"y_scale":{"id":"c0aa6d16-2e65-4032-930a-27256a67e10f","type":"LinearScale"}},"id":"9601e092-e0e3-4dbd-b553-98a6c189ab51","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5d774896-8ff1-4a54-a148-0f278ea52848","type":"WheelZoomTool"},{"attributes":{},"id":"fb6913cf-ab76-46cc-aa1b-47528d739288","type":"PanTool"},{"attributes":{"callback":null},"id":"1c41ada5-5759-4199-bfdc-f259fa9f3cf5","type":"DataRange1d"}],"root_ids":["9601e092-e0e3-4dbd-b553-98a6c189ab51"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"957f6287-238f-467f-8e77-1e3a175b6f69","elementid":"f956e3ef-f98e-4e6b-bbf1-89765c51b517","modelid":"9601e092-e0e3-4dbd-b553-98a6c189ab51"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
