(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1d6b7d00-d5b3-4889-a1f4-ba0efc7c4db2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1d6b7d00-d5b3-4889-a1f4-ba0efc7c4db2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2de80bab-573e-451f-a6ab-0028e9952089":{"roots":{"references":[{"attributes":{},"id":"253c84bc-c894-4a84-8709-fd859cc8fdb9","type":"LinearScale"},{"attributes":{},"id":"48f45d33-40fe-493a-9baa-64cbe1ce5c77","type":"PanTool"},{"attributes":{"callback":null},"id":"409ba7ab-85c5-4989-ab9f-137c590a32af","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"f4133646-04d1-4e46-8713-d854df9d7f76","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"444facc8-81ae-4441-8e3f-41bda1edf9a6","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"48f45d33-40fe-493a-9baa-64cbe1ce5c77","type":"PanTool"},{"id":"a6324b29-40bf-4d9c-ab28-8a3e0112b5fd","type":"WheelZoomTool"},{"id":"394b25a0-3e36-4729-87f7-0e884ddb01a3","type":"BoxZoomTool"},{"id":"2327e2a1-ac0d-4f2e-ba73-04923d4ae8dc","type":"SaveTool"},{"id":"f1029adc-640f-4dd9-a50a-1293549c7b6e","type":"ResetTool"},{"id":"ee4052fe-12bf-4c10-bb4b-de3bce6e6b3a","type":"HelpTool"}]},"id":"15859520-5086-4a8b-ba39-f3b00883a5a2","type":"Toolbar"},{"attributes":{},"id":"97a1430d-e3c8-4676-b0e2-e8f740322a56","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"f18d5e16-cc30-4c45-91bf-d5322c1b9daf","type":"VBar"},{"attributes":{},"id":"2327e2a1-ac0d-4f2e-ba73-04923d4ae8dc","type":"SaveTool"},{"attributes":{},"id":"a6324b29-40bf-4d9c-ab28-8a3e0112b5fd","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"afe33ae8-1c2d-4cd1-8c10-b485dbd7d946","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1.2,2.5,3.7],"x":[1,2,3]}},"id":"26eb7f28-ab67-45a4-990d-dfc128c763f2","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"afe33ae8-1c2d-4cd1-8c10-b485dbd7d946","type":"BoxAnnotation"}},"id":"394b25a0-3e36-4729-87f7-0e884ddb01a3","type":"BoxZoomTool"},{"attributes":{},"id":"c3ee9db7-8f93-4a0e-955f-e17ffd6774d6","type":"LinearScale"},{"attributes":{"plot":{"id":"2a6eb526-d54f-443a-b07b-d6875e2c23ed","subtype":"Figure","type":"Plot"},"ticker":{"id":"97a1430d-e3c8-4676-b0e2-e8f740322a56","type":"BasicTicker"}},"id":"629242a6-b528-4d9e-9555-449f1ef11393","type":"Grid"},{"attributes":{},"id":"f1029adc-640f-4dd9-a50a-1293549c7b6e","type":"ResetTool"},{"attributes":{"formatter":{"id":"bf20646f-b5dd-49fd-a74b-e9cf96874fee","type":"BasicTickFormatter"},"plot":{"id":"2a6eb526-d54f-443a-b07b-d6875e2c23ed","subtype":"Figure","type":"Plot"},"ticker":{"id":"f01c9690-af80-4be7-bfa9-8260b41393ee","type":"BasicTicker"}},"id":"79c39cc8-9fd1-4730-a084-2ea44e4799fc","type":"LinearAxis"},{"attributes":{"source":{"id":"26eb7f28-ab67-45a4-990d-dfc128c763f2","type":"ColumnDataSource"}},"id":"fdf1fe60-9064-42a5-8ee1-0f7566724136","type":"CDSView"},{"attributes":{},"id":"bf20646f-b5dd-49fd-a74b-e9cf96874fee","type":"BasicTickFormatter"},{"attributes":{},"id":"ee4052fe-12bf-4c10-bb4b-de3bce6e6b3a","type":"HelpTool"},{"attributes":{},"id":"e7911ed5-ae34-4eee-9f28-fa03caa94147","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e7911ed5-ae34-4eee-9f28-fa03caa94147","type":"BasicTickFormatter"},"plot":{"id":"2a6eb526-d54f-443a-b07b-d6875e2c23ed","subtype":"Figure","type":"Plot"},"ticker":{"id":"97a1430d-e3c8-4676-b0e2-e8f740322a56","type":"BasicTicker"}},"id":"f094d871-6e03-4d29-a571-f0c8dab59e3d","type":"LinearAxis"},{"attributes":{"data_source":{"id":"26eb7f28-ab67-45a4-990d-dfc128c763f2","type":"ColumnDataSource"},"glyph":{"id":"f18d5e16-cc30-4c45-91bf-d5322c1b9daf","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"444facc8-81ae-4441-8e3f-41bda1edf9a6","type":"VBar"},"selection_glyph":null,"view":{"id":"fdf1fe60-9064-42a5-8ee1-0f7566724136","type":"CDSView"}},"id":"591726a5-7922-4da1-b1d2-27c03ac25bd7","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"49da1587-3b4b-4426-b3c1-21f45a25c640","type":"DataRange1d"},{"attributes":{"below":[{"id":"f094d871-6e03-4d29-a571-f0c8dab59e3d","type":"LinearAxis"}],"left":[{"id":"79c39cc8-9fd1-4730-a084-2ea44e4799fc","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f094d871-6e03-4d29-a571-f0c8dab59e3d","type":"LinearAxis"},{"id":"629242a6-b528-4d9e-9555-449f1ef11393","type":"Grid"},{"id":"79c39cc8-9fd1-4730-a084-2ea44e4799fc","type":"LinearAxis"},{"id":"35c3cfd6-85cb-4db8-8c1b-17bf61c1a6ac","type":"Grid"},{"id":"afe33ae8-1c2d-4cd1-8c10-b485dbd7d946","type":"BoxAnnotation"},{"id":"591726a5-7922-4da1-b1d2-27c03ac25bd7","type":"GlyphRenderer"}],"title":{"id":"f4133646-04d1-4e46-8713-d854df9d7f76","type":"Title"},"toolbar":{"id":"15859520-5086-4a8b-ba39-f3b00883a5a2","type":"Toolbar"},"x_range":{"id":"409ba7ab-85c5-4989-ab9f-137c590a32af","type":"DataRange1d"},"x_scale":{"id":"c3ee9db7-8f93-4a0e-955f-e17ffd6774d6","type":"LinearScale"},"y_range":{"id":"49da1587-3b4b-4426-b3c1-21f45a25c640","type":"DataRange1d"},"y_scale":{"id":"253c84bc-c894-4a84-8709-fd859cc8fdb9","type":"LinearScale"}},"id":"2a6eb526-d54f-443a-b07b-d6875e2c23ed","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"2a6eb526-d54f-443a-b07b-d6875e2c23ed","subtype":"Figure","type":"Plot"},"ticker":{"id":"f01c9690-af80-4be7-bfa9-8260b41393ee","type":"BasicTicker"}},"id":"35c3cfd6-85cb-4db8-8c1b-17bf61c1a6ac","type":"Grid"},{"attributes":{},"id":"f01c9690-af80-4be7-bfa9-8260b41393ee","type":"BasicTicker"}],"root_ids":["2a6eb526-d54f-443a-b07b-d6875e2c23ed"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2de80bab-573e-451f-a6ab-0028e9952089","elementid":"1d6b7d00-d5b3-4889-a1f4-ba0efc7c4db2","modelid":"2a6eb526-d54f-443a-b07b-d6875e2c23ed"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
