(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ce68c1d5-e04b-4f07-a9ff-adc5e68bfaeb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ce68c1d5-e04b-4f07-a9ff-adc5e68bfaeb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c1fec49c-b37a-48ce-a67b-4cb1dd84cd0a":{"roots":{"references":[{"attributes":{},"id":"8f06f181-8017-4f51-a410-0d4816ac516c","type":"ResetTool"},{"attributes":{},"id":"de8f321c-ff9a-44af-947e-e19cd88da386","type":"BasicTicker"},{"attributes":{},"id":"73707706-3792-4217-bc6e-2773187b5f50","type":"WheelZoomTool"},{"attributes":{"band_fill_alpha":{"value":0.1},"band_fill_color":{"value":"navy"},"dimension":1,"plot":{"id":"dee2c23e-69d1-4d3f-a0d2-847b14cec4f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"a1a84c72-6463-4ee6-b013-c1492091c679","type":"BasicTicker"}},"id":"29c2b4f1-79e9-4b0e-a644-e0ac75f480c5","type":"Grid"},{"attributes":{"data_source":{"id":"b674125c-ffc2-48b9-9dc3-db415c393f6b","type":"ColumnDataSource"},"glyph":{"id":"99a50439-da1d-41f7-b545-a2b4f7c26ffb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"65c52620-0547-4633-9ec1-9e93d62c5361","type":"Circle"},"selection_glyph":null,"view":{"id":"e412e40d-a370-45ec-8a72-bbcae116d058","type":"CDSView"}},"id":"8aba911b-f6fb-411c-b1ea-f794909ac714","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"e98c22d1-c4cb-4713-88f2-8979391a8533","type":"DataRange1d"},{"attributes":{"overlay":{"id":"894c5861-55c9-4af2-ac12-86f09e3bcbcc","type":"BoxAnnotation"}},"id":"b239dc6c-3688-4975-9cbd-11a74735722a","type":"BoxZoomTool"},{"attributes":{},"id":"362bcc0b-23ee-4fcf-8ba5-572a28221d58","type":"LinearScale"},{"attributes":{},"id":"e202370f-8a2e-42dc-8e6d-714d92e9210e","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3fe82285-d37a-43b5-a598-43f11013d1d4","type":"PanTool"},{"id":"73707706-3792-4217-bc6e-2773187b5f50","type":"WheelZoomTool"},{"id":"b239dc6c-3688-4975-9cbd-11a74735722a","type":"BoxZoomTool"},{"id":"7b88fb7b-74dd-4894-9511-e066cf631e48","type":"SaveTool"},{"id":"8f06f181-8017-4f51-a410-0d4816ac516c","type":"ResetTool"},{"id":"cc7125c0-e270-4710-b0de-0ce73a8462c7","type":"HelpTool"}]},"id":"bf810b3f-1824-46b7-a7c7-4933404c80b2","type":"Toolbar"},{"attributes":{},"id":"a1a84c72-6463-4ee6-b013-c1492091c679","type":"BasicTicker"},{"attributes":{},"id":"428cca85-fff0-42f2-9aa9-f20832279186","type":"LinearScale"},{"attributes":{},"id":"7b88fb7b-74dd-4894-9511-e066cf631e48","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b674125c-ffc2-48b9-9dc3-db415c393f6b","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"e0e568fe-4244-4b93-bda5-80da22a7f1df","type":"LinearAxis"}],"left":[{"id":"8723763d-f775-4bd1-b327-0f8a2b9d04e1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e0e568fe-4244-4b93-bda5-80da22a7f1df","type":"LinearAxis"},{"id":"54dc7d62-2015-4ba9-934e-96f9ef6fdfc9","type":"Grid"},{"id":"8723763d-f775-4bd1-b327-0f8a2b9d04e1","type":"LinearAxis"},{"id":"29c2b4f1-79e9-4b0e-a644-e0ac75f480c5","type":"Grid"},{"id":"894c5861-55c9-4af2-ac12-86f09e3bcbcc","type":"BoxAnnotation"},{"id":"8aba911b-f6fb-411c-b1ea-f794909ac714","type":"GlyphRenderer"}],"title":{"id":"1f31fb4c-59a9-4132-881f-c70057cd5975","type":"Title"},"toolbar":{"id":"bf810b3f-1824-46b7-a7c7-4933404c80b2","type":"Toolbar"},"x_range":{"id":"e98c22d1-c4cb-4713-88f2-8979391a8533","type":"DataRange1d"},"x_scale":{"id":"362bcc0b-23ee-4fcf-8ba5-572a28221d58","type":"LinearScale"},"y_range":{"id":"cece08bf-d629-410c-bf7e-f369ca74f6d7","type":"DataRange1d"},"y_scale":{"id":"428cca85-fff0-42f2-9aa9-f20832279186","type":"LinearScale"}},"id":"dee2c23e-69d1-4d3f-a0d2-847b14cec4f7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"cc7125c0-e270-4710-b0de-0ce73a8462c7","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"894c5861-55c9-4af2-ac12-86f09e3bcbcc","type":"BoxAnnotation"},{"attributes":{},"id":"2f65d9b8-6c20-4192-aa3f-3cd5b71996fb","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"1f31fb4c-59a9-4132-881f-c70057cd5975","type":"Title"},{"attributes":{"callback":null},"id":"cece08bf-d629-410c-bf7e-f369ca74f6d7","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e202370f-8a2e-42dc-8e6d-714d92e9210e","type":"BasicTickFormatter"},"plot":{"id":"dee2c23e-69d1-4d3f-a0d2-847b14cec4f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"de8f321c-ff9a-44af-947e-e19cd88da386","type":"BasicTicker"}},"id":"e0e568fe-4244-4b93-bda5-80da22a7f1df","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"65c52620-0547-4633-9ec1-9e93d62c5361","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"99a50439-da1d-41f7-b545-a2b4f7c26ffb","type":"Circle"},{"attributes":{"source":{"id":"b674125c-ffc2-48b9-9dc3-db415c393f6b","type":"ColumnDataSource"}},"id":"e412e40d-a370-45ec-8a72-bbcae116d058","type":"CDSView"},{"attributes":{"formatter":{"id":"2f65d9b8-6c20-4192-aa3f-3cd5b71996fb","type":"BasicTickFormatter"},"plot":{"id":"dee2c23e-69d1-4d3f-a0d2-847b14cec4f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"a1a84c72-6463-4ee6-b013-c1492091c679","type":"BasicTicker"}},"id":"8723763d-f775-4bd1-b327-0f8a2b9d04e1","type":"LinearAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"dee2c23e-69d1-4d3f-a0d2-847b14cec4f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"de8f321c-ff9a-44af-947e-e19cd88da386","type":"BasicTicker"}},"id":"54dc7d62-2015-4ba9-934e-96f9ef6fdfc9","type":"Grid"},{"attributes":{},"id":"3fe82285-d37a-43b5-a598-43f11013d1d4","type":"PanTool"}],"root_ids":["dee2c23e-69d1-4d3f-a0d2-847b14cec4f7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c1fec49c-b37a-48ce-a67b-4cb1dd84cd0a","elementid":"ce68c1d5-e04b-4f07-a9ff-adc5e68bfaeb","modelid":"dee2c23e-69d1-4d3f-a0d2-847b14cec4f7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
