(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a8782814-4bbb-4c43-9ea7-f7f28cab2821");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a8782814-4bbb-4c43-9ea7-f7f28cab2821' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"91752cc3-9770-416d-b3e0-8f4814640bf8":{"roots":{"references":[{"attributes":{},"id":"7461557a-8403-4505-ad65-6e2cca54602e","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"6351bc25-57e3-4e8c-a0dd-135436fad31b","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9543141-d778-4f39-b18e-e7f0833919c0","type":"BasicTicker"}},"id":"a8176215-ed0b-4665-8279-a0212965d349","type":"Grid"},{"attributes":{},"id":"d01476d3-0880-40d8-baeb-fe15407e8383","type":"SaveTool"},{"attributes":{},"id":"2d5e22ab-2049-45fc-b3c2-ef62820d3955","type":"HelpTool"},{"attributes":{},"id":"9a9a4b1f-8f24-4339-a915-3b92d4211e5f","type":"BasicTicker"},{"attributes":{},"id":"2e0b72bb-05b5-47a1-88d6-3190e31c099e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["angle","y","x"],"data":{"angle":[30,45,60],"x":[1,2,3],"y":[1,2,3]}},"id":"209cb4a7-7818-4e77-912a-7da9b518d046","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"3c4824a4-7a6e-43e0-90c3-072960ba1596","type":"DataRange1d"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"560a7c15-3c6e-4eee-ac27-b22a17cc134d","type":"Ray"},{"attributes":{"formatter":{"id":"b4a39e64-f9a9-4e43-96f3-e9081b3c70b3","type":"BasicTickFormatter"},"plot":{"id":"6351bc25-57e3-4e8c-a0dd-135436fad31b","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9543141-d778-4f39-b18e-e7f0833919c0","type":"BasicTicker"}},"id":"23c6bd1f-e743-4a35-97ad-c72545b196dd","type":"LinearAxis"},{"attributes":{},"id":"b4a39e64-f9a9-4e43-96f3-e9081b3c70b3","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f0041557-974c-4f50-b3fa-f471164c9a6d","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"209cb4a7-7818-4e77-912a-7da9b518d046","type":"ColumnDataSource"},"glyph":{"id":"717f190a-fb0f-4b2f-b1d5-e165fa2654d1","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"560a7c15-3c6e-4eee-ac27-b22a17cc134d","type":"Ray"},"selection_glyph":null,"view":{"id":"45b18b54-55e0-495b-bf41-c3e36027e265","type":"CDSView"}},"id":"479d6699-964a-4725-8dbf-ba5a436a9d91","type":"GlyphRenderer"},{"attributes":{},"id":"f0808e6d-4085-4e05-a3a5-e345a7fabb1b","type":"ResetTool"},{"attributes":{"source":{"id":"209cb4a7-7818-4e77-912a-7da9b518d046","type":"ColumnDataSource"}},"id":"45b18b54-55e0-495b-bf41-c3e36027e265","type":"CDSView"},{"attributes":{"plot":{"id":"6351bc25-57e3-4e8c-a0dd-135436fad31b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a9a4b1f-8f24-4339-a915-3b92d4211e5f","type":"BasicTicker"}},"id":"2f86f710-fdd0-4ecb-b1c5-eccf6b3773d7","type":"Grid"},{"attributes":{"callback":null},"id":"0966428c-3fcb-40be-aa98-1fc24c4efd99","type":"DataRange1d"},{"attributes":{},"id":"f9543141-d778-4f39-b18e-e7f0833919c0","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c5e7936c-b55b-496f-9a79-c654d944854d","type":"PanTool"},{"id":"d5a9ca80-a809-4232-923d-e0ddc17f0889","type":"WheelZoomTool"},{"id":"e9228b2d-d982-4429-b4f3-a227815427c0","type":"BoxZoomTool"},{"id":"d01476d3-0880-40d8-baeb-fe15407e8383","type":"SaveTool"},{"id":"f0808e6d-4085-4e05-a3a5-e345a7fabb1b","type":"ResetTool"},{"id":"2d5e22ab-2049-45fc-b3c2-ef62820d3955","type":"HelpTool"}]},"id":"f4babdec-9412-486f-bf0a-befd1bf6eeaa","type":"Toolbar"},{"attributes":{},"id":"ba783784-4b33-4b0b-8c61-ef95869f114b","type":"BasicTickFormatter"},{"attributes":{},"id":"d5a9ca80-a809-4232-923d-e0ddc17f0889","type":"WheelZoomTool"},{"attributes":{},"id":"c5e7936c-b55b-496f-9a79-c654d944854d","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"21380ca7-d83c-4421-8d76-2f0723268275","type":"Title"},{"attributes":{"formatter":{"id":"ba783784-4b33-4b0b-8c61-ef95869f114b","type":"BasicTickFormatter"},"plot":{"id":"6351bc25-57e3-4e8c-a0dd-135436fad31b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a9a4b1f-8f24-4339-a915-3b92d4211e5f","type":"BasicTicker"}},"id":"f4106ab9-28fb-4f51-aa47-76b3ddcb0e0b","type":"LinearAxis"},{"attributes":{"below":[{"id":"f4106ab9-28fb-4f51-aa47-76b3ddcb0e0b","type":"LinearAxis"}],"left":[{"id":"23c6bd1f-e743-4a35-97ad-c72545b196dd","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f4106ab9-28fb-4f51-aa47-76b3ddcb0e0b","type":"LinearAxis"},{"id":"2f86f710-fdd0-4ecb-b1c5-eccf6b3773d7","type":"Grid"},{"id":"23c6bd1f-e743-4a35-97ad-c72545b196dd","type":"LinearAxis"},{"id":"a8176215-ed0b-4665-8279-a0212965d349","type":"Grid"},{"id":"f0041557-974c-4f50-b3fa-f471164c9a6d","type":"BoxAnnotation"},{"id":"479d6699-964a-4725-8dbf-ba5a436a9d91","type":"GlyphRenderer"}],"title":{"id":"21380ca7-d83c-4421-8d76-2f0723268275","type":"Title"},"toolbar":{"id":"f4babdec-9412-486f-bf0a-befd1bf6eeaa","type":"Toolbar"},"x_range":{"id":"0966428c-3fcb-40be-aa98-1fc24c4efd99","type":"DataRange1d"},"x_scale":{"id":"2e0b72bb-05b5-47a1-88d6-3190e31c099e","type":"LinearScale"},"y_range":{"id":"3c4824a4-7a6e-43e0-90c3-072960ba1596","type":"DataRange1d"},"y_scale":{"id":"7461557a-8403-4505-ad65-6e2cca54602e","type":"LinearScale"}},"id":"6351bc25-57e3-4e8c-a0dd-135436fad31b","subtype":"Figure","type":"Plot"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"717f190a-fb0f-4b2f-b1d5-e165fa2654d1","type":"Ray"},{"attributes":{"overlay":{"id":"f0041557-974c-4f50-b3fa-f471164c9a6d","type":"BoxAnnotation"}},"id":"e9228b2d-d982-4429-b4f3-a227815427c0","type":"BoxZoomTool"}],"root_ids":["6351bc25-57e3-4e8c-a0dd-135436fad31b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"91752cc3-9770-416d-b3e0-8f4814640bf8","elementid":"a8782814-4bbb-4c43-9ea7-f7f28cab2821","modelid":"6351bc25-57e3-4e8c-a0dd-135436fad31b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
