(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3b6e7e2e-bc88-4545-914f-db1dc92e9eb1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3b6e7e2e-bc88-4545-914f-db1dc92e9eb1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5c6112ba-e379-4f17-a067-61018af04f37":{"roots":{"references":[{"attributes":{"callback":null},"id":"b1ea64f8-74fd-4d80-9f54-c2264a78828c","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"05cbb56c-f294-460b-b66f-3f3bcfc7f3b2","type":"Plot"},"ticker":{"id":"463eaee5-8d09-409d-8702-4a9410f48bef","type":"BasicTicker"}},"id":"400a62e9-67d7-4e1d-824f-20c6b4ce9416","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"393d3d3dzT+amZmZmZnRP0VERERERNQ/7+7u7u7u1j+amZmZmZnZP0VERERERNw/7+7u7u7u3j/NzMzMzMzgPyIiIiIiIuI/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"85ba5278-33a2-4269-89bf-5780f881eac7","type":"ColumnDataSource"},{"attributes":{},"id":"cf8b658d-b235-4dee-890a-83e2098ad743","type":"BasicTicker"},{"attributes":{"formatter":{"id":"081bed39-a7e4-4c73-abe2-7156584832c3","type":"BasicTickFormatter"},"plot":{"id":"05cbb56c-f294-460b-b66f-3f3bcfc7f3b2","type":"Plot"},"ticker":{"id":"cf8b658d-b235-4dee-890a-83e2098ad743","type":"BasicTicker"}},"id":"7bcc6784-b2f2-4129-a995-a42bc35b7fee","type":"LinearAxis"},{"attributes":{"callback":null},"id":"75f53350-8e09-428f-9911-873680b881a3","type":"DataRange1d"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#8888ee"},"inner_radius":{"units":"data","value":0.2},"outer_radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"cb3c3568-7f91-4ba4-8037-99faa94f8d58","type":"AnnularWedge"},{"attributes":{"plot":{"id":"05cbb56c-f294-460b-b66f-3f3bcfc7f3b2","type":"Plot"},"ticker":{"id":"cf8b658d-b235-4dee-890a-83e2098ad743","type":"BasicTicker"}},"id":"1feae656-7e15-4743-968e-c38f37c549a7","type":"Grid"},{"attributes":{},"id":"171108b8-5cfc-4b24-84df-36c5af8ddfb8","type":"LinearScale"},{"attributes":{},"id":"64b42c94-c34c-4646-a602-b8fdd825737b","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"9c0baff9-f209-4470-a9a8-9b83402f2271","type":"Toolbar"},{"attributes":{},"id":"081bed39-a7e4-4c73-abe2-7156584832c3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"83580f35-4521-48cd-986f-1995171e4ce1","type":"BasicTickFormatter"},"plot":{"id":"05cbb56c-f294-460b-b66f-3f3bcfc7f3b2","type":"Plot"},"ticker":{"id":"463eaee5-8d09-409d-8702-4a9410f48bef","type":"BasicTicker"}},"id":"76f5f6bd-eeff-44c9-bb45-9272e6391341","type":"LinearAxis"},{"attributes":{"data_source":{"id":"85ba5278-33a2-4269-89bf-5780f881eac7","type":"ColumnDataSource"},"glyph":{"id":"cb3c3568-7f91-4ba4-8037-99faa94f8d58","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"80aa012c-82f1-4ad2-ac13-5bd2ad8a3529","type":"CDSView"}},"id":"424e426e-9da6-438b-946f-28a536cca585","type":"GlyphRenderer"},{"attributes":{},"id":"83580f35-4521-48cd-986f-1995171e4ce1","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"85ba5278-33a2-4269-89bf-5780f881eac7","type":"ColumnDataSource"}},"id":"80aa012c-82f1-4ad2-ac13-5bd2ad8a3529","type":"CDSView"},{"attributes":{"below":[{"id":"7bcc6784-b2f2-4129-a995-a42bc35b7fee","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"76f5f6bd-eeff-44c9-bb45-9272e6391341","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"424e426e-9da6-438b-946f-28a536cca585","type":"GlyphRenderer"},{"id":"7bcc6784-b2f2-4129-a995-a42bc35b7fee","type":"LinearAxis"},{"id":"76f5f6bd-eeff-44c9-bb45-9272e6391341","type":"LinearAxis"},{"id":"1feae656-7e15-4743-968e-c38f37c549a7","type":"Grid"},{"id":"400a62e9-67d7-4e1d-824f-20c6b4ce9416","type":"Grid"}],"title":null,"toolbar":{"id":"9c0baff9-f209-4470-a9a8-9b83402f2271","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b1ea64f8-74fd-4d80-9f54-c2264a78828c","type":"DataRange1d"},"x_scale":{"id":"64b42c94-c34c-4646-a602-b8fdd825737b","type":"LinearScale"},"y_range":{"id":"75f53350-8e09-428f-9911-873680b881a3","type":"DataRange1d"},"y_scale":{"id":"171108b8-5cfc-4b24-84df-36c5af8ddfb8","type":"LinearScale"}},"id":"05cbb56c-f294-460b-b66f-3f3bcfc7f3b2","type":"Plot"},{"attributes":{},"id":"463eaee5-8d09-409d-8702-4a9410f48bef","type":"BasicTicker"}],"root_ids":["05cbb56c-f294-460b-b66f-3f3bcfc7f3b2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5c6112ba-e379-4f17-a067-61018af04f37","elementid":"3b6e7e2e-bc88-4545-914f-db1dc92e9eb1","modelid":"05cbb56c-f294-460b-b66f-3f3bcfc7f3b2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
