(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b74de8ab-cda7-4234-90ee-b30171f24995");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b74de8ab-cda7-4234-90ee-b30171f24995' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e17c2a6a-f76b-41ca-91da-7d716ab809f6":{"roots":{"references":[{"attributes":{"below":[{"id":"078c87a8-d837-4440-961b-65ec291ba1a4","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"7446c80d-3b00-4a08-9c70-e63bc2f9ca98","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"b9f88b97-2f24-4c38-a9be-a6f07bb9e098","type":"GlyphRenderer"},{"id":"078c87a8-d837-4440-961b-65ec291ba1a4","type":"LinearAxis"},{"id":"7446c80d-3b00-4a08-9c70-e63bc2f9ca98","type":"LinearAxis"},{"id":"10c8aa40-7e0a-4286-b0e7-0b9fc26c9610","type":"Grid"},{"id":"4ed7e791-acee-487d-a791-492d8c42edfb","type":"Grid"}],"title":null,"toolbar":{"id":"2312d7f0-44d8-4b3e-becf-dd512b60c33c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1641f198-ccc7-4289-9a24-a094171f3df1","type":"DataRange1d"},"x_scale":{"id":"511f261f-3f40-45bf-9a5b-1331294ae168","type":"LinearScale"},"y_range":{"id":"d81aad47-2aec-4903-aae0-e7e11864d1a1","type":"DataRange1d"},"y_scale":{"id":"1daf76f2-2c00-4b38-9ced-df952688e7fb","type":"LinearScale"}},"id":"2dc4b48a-7054-495a-8521-480051a6e23d","type":"Plot"},{"attributes":{"plot":{"id":"2dc4b48a-7054-495a-8521-480051a6e23d","type":"Plot"},"ticker":{"id":"53038d4b-966e-4c36-ab87-94994c0c33c5","type":"BasicTicker"}},"id":"10c8aa40-7e0a-4286-b0e7-0b9fc26c9610","type":"Grid"},{"attributes":{},"id":"53038d4b-966e-4c36-ab87-94994c0c33c5","type":"BasicTicker"},{"attributes":{"callback":null},"id":"d81aad47-2aec-4903-aae0-e7e11864d1a1","type":"DataRange1d"},{"attributes":{},"id":"2ed84e69-d8c6-4eb0-b7da-15dd13a8eed7","type":"BasicTickFormatter"},{"attributes":{},"id":"c2c3639c-3ae6-4995-912d-3128befeb0e7","type":"BasicTickFormatter"},{"attributes":{},"id":"511f261f-3f40-45bf-9a5b-1331294ae168","type":"LinearScale"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"line_color":{"value":"#beaed4"},"line_width":{"value":3},"radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"fe293be1-5321-4e8f-bf55-9a22f8879cbf","type":"Arc"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2312d7f0-44d8-4b3e-becf-dd512b60c33c","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"2dc4b48a-7054-495a-8521-480051a6e23d","type":"Plot"},"ticker":{"id":"fb588959-62c3-4dd3-abb9-fa35de7f398d","type":"BasicTicker"}},"id":"4ed7e791-acee-487d-a791-492d8c42edfb","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"de1f2ab0-a038-4857-9d52-886ea0085b7a","type":"ColumnDataSource"},{"attributes":{},"id":"1daf76f2-2c00-4b38-9ced-df952688e7fb","type":"LinearScale"},{"attributes":{"formatter":{"id":"2ed84e69-d8c6-4eb0-b7da-15dd13a8eed7","type":"BasicTickFormatter"},"plot":{"id":"2dc4b48a-7054-495a-8521-480051a6e23d","type":"Plot"},"ticker":{"id":"53038d4b-966e-4c36-ab87-94994c0c33c5","type":"BasicTicker"}},"id":"078c87a8-d837-4440-961b-65ec291ba1a4","type":"LinearAxis"},{"attributes":{"formatter":{"id":"c2c3639c-3ae6-4995-912d-3128befeb0e7","type":"BasicTickFormatter"},"plot":{"id":"2dc4b48a-7054-495a-8521-480051a6e23d","type":"Plot"},"ticker":{"id":"fb588959-62c3-4dd3-abb9-fa35de7f398d","type":"BasicTicker"}},"id":"7446c80d-3b00-4a08-9c70-e63bc2f9ca98","type":"LinearAxis"},{"attributes":{},"id":"fb588959-62c3-4dd3-abb9-fa35de7f398d","type":"BasicTicker"},{"attributes":{"source":{"id":"de1f2ab0-a038-4857-9d52-886ea0085b7a","type":"ColumnDataSource"}},"id":"5e31b05c-58e2-4dd5-8a76-5fb357ad2cf8","type":"CDSView"},{"attributes":{"callback":null},"id":"1641f198-ccc7-4289-9a24-a094171f3df1","type":"DataRange1d"},{"attributes":{"data_source":{"id":"de1f2ab0-a038-4857-9d52-886ea0085b7a","type":"ColumnDataSource"},"glyph":{"id":"fe293be1-5321-4e8f-bf55-9a22f8879cbf","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5e31b05c-58e2-4dd5-8a76-5fb357ad2cf8","type":"CDSView"}},"id":"b9f88b97-2f24-4c38-a9be-a6f07bb9e098","type":"GlyphRenderer"}],"root_ids":["2dc4b48a-7054-495a-8521-480051a6e23d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e17c2a6a-f76b-41ca-91da-7d716ab809f6","elementid":"b74de8ab-cda7-4234-90ee-b30171f24995","modelid":"2dc4b48a-7054-495a-8521-480051a6e23d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
