(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7fb9f66f-add9-464f-a731-a15eb5e2aa11");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7fb9f66f-add9-464f-a731-a15eb5e2aa11' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"006b72db-06bc-468c-9c5e-af8fd979cf06":{"roots":{"references":[{"attributes":{"plot":{"id":"f8ca01f7-e21a-4e6c-b578-798aecdabeb7","type":"Plot"},"ticker":{"id":"9576b0ce-e7d8-473c-9658-eadae3940816","type":"BasicTicker"}},"id":"0d46c66f-8d7d-4547-9a38-1cb91842481d","type":"Grid"},{"attributes":{},"id":"ce88f6f0-f825-44cf-b79d-911b9d5969d6","type":"LinearScale"},{"attributes":{},"id":"067f5f96-34f4-47db-99ef-23fdfada1af5","type":"LinearScale"},{"attributes":{"formatter":{"id":"ff5da08d-b478-4b18-ac30-c9ca32ba2c0a","type":"BasicTickFormatter"},"plot":{"id":"f8ca01f7-e21a-4e6c-b578-798aecdabeb7","type":"Plot"},"ticker":{"id":"22a47f2e-3eb9-46e1-88b0-e0524d42fc27","type":"BasicTicker"}},"id":"4251856b-a06f-4bd0-9f3f-ec7df5404b19","type":"LinearAxis"},{"attributes":{"formatter":{"id":"5ab7b633-725a-46de-958a-71ba8813a41c","type":"BasicTickFormatter"},"plot":{"id":"f8ca01f7-e21a-4e6c-b578-798aecdabeb7","type":"Plot"},"ticker":{"id":"9576b0ce-e7d8-473c-9658-eadae3940816","type":"BasicTicker"}},"id":"c59d6f18-38a1-4215-8ded-04f2f268d89c","type":"LinearAxis"},{"attributes":{},"id":"22a47f2e-3eb9-46e1-88b0-e0524d42fc27","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"f8ca01f7-e21a-4e6c-b578-798aecdabeb7","type":"Plot"},"ticker":{"id":"22a47f2e-3eb9-46e1-88b0-e0524d42fc27","type":"BasicTicker"}},"id":"eb9b4bfc-5066-4dbe-be54-f664739cc455","type":"Grid"},{"attributes":{"data_source":{"id":"3cc63d2d-a926-49e0-b467-a2f4d4e0df8c","type":"ColumnDataSource"},"glyph":{"id":"ab8d23c0-9121-49a3-82bf-b14e39989b21","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"797785c5-e8cb-426d-a15e-fea49540a434","type":"CDSView"}},"id":"fbf09297-0aca-4afb-a388-e0617ecf7e80","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"7a112f56-77da-4a8f-8aea-bd63e728122b","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]}}},"id":"3cc63d2d-a926-49e0-b467-a2f4d4e0df8c","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"c59d6f18-38a1-4215-8ded-04f2f268d89c","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"4251856b-a06f-4bd0-9f3f-ec7df5404b19","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"fbf09297-0aca-4afb-a388-e0617ecf7e80","type":"GlyphRenderer"},{"id":"c59d6f18-38a1-4215-8ded-04f2f268d89c","type":"LinearAxis"},{"id":"4251856b-a06f-4bd0-9f3f-ec7df5404b19","type":"LinearAxis"},{"id":"0d46c66f-8d7d-4547-9a38-1cb91842481d","type":"Grid"},{"id":"eb9b4bfc-5066-4dbe-be54-f664739cc455","type":"Grid"}],"title":null,"toolbar":{"id":"ee6eecfa-b230-4f36-90ed-f6c9b1e89922","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7a112f56-77da-4a8f-8aea-bd63e728122b","type":"DataRange1d"},"x_scale":{"id":"067f5f96-34f4-47db-99ef-23fdfada1af5","type":"LinearScale"},"y_range":{"id":"c67faab1-5ce9-4a33-bffd-0c8124a1a049","type":"DataRange1d"},"y_scale":{"id":"ce88f6f0-f825-44cf-b79d-911b9d5969d6","type":"LinearScale"}},"id":"f8ca01f7-e21a-4e6c-b578-798aecdabeb7","type":"Plot"},{"attributes":{},"id":"9576b0ce-e7d8-473c-9658-eadae3940816","type":"BasicTicker"},{"attributes":{"callback":null},"id":"c67faab1-5ce9-4a33-bffd-0c8124a1a049","type":"DataRange1d"},{"attributes":{},"id":"5ab7b633-725a-46de-958a-71ba8813a41c","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ee6eecfa-b230-4f36-90ed-f6c9b1e89922","type":"Toolbar"},{"attributes":{},"id":"ff5da08d-b478-4b18-ac30-c9ca32ba2c0a","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#b3de69"},"height":{"value":0.5},"right":{"field":"right"},"y":{"field":"y"}},"id":"ab8d23c0-9121-49a3-82bf-b14e39989b21","type":"HBar"},{"attributes":{"source":{"id":"3cc63d2d-a926-49e0-b467-a2f4d4e0df8c","type":"ColumnDataSource"}},"id":"797785c5-e8cb-426d-a15e-fea49540a434","type":"CDSView"}],"root_ids":["f8ca01f7-e21a-4e6c-b578-798aecdabeb7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"006b72db-06bc-468c-9c5e-af8fd979cf06","elementid":"7fb9f66f-add9-464f-a731-a15eb5e2aa11","modelid":"f8ca01f7-e21a-4e6c-b578-798aecdabeb7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
