(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2655e02e-e8ea-4a92-a9e0-925a662ed4cf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2655e02e-e8ea-4a92-a9e0-925a662ed4cf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"49e16754-1488-4cbc-b09d-59e65cd62902":{"roots":{"references":[{"attributes":{"below":[{"id":"7a59cb62-c914-457c-a101-25e60a1d2dc9","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"1a7ef31a-2f8c-4c3f-b901-ccfd9c566d2a","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"0629178c-b388-40da-841e-5558860e33bf","type":"GlyphRenderer"},{"id":"846b97ba-e4a3-4574-8f44-8354b42ec294","type":"GlyphRenderer"},{"id":"e1a8da2b-9c7a-41de-8a24-fa0790f92876","type":"GlyphRenderer"},{"id":"7a59cb62-c914-457c-a101-25e60a1d2dc9","type":"LinearAxis"},{"id":"1a7ef31a-2f8c-4c3f-b901-ccfd9c566d2a","type":"LinearAxis"},{"id":"d8386104-1d66-4eda-be19-ad82df05e7e8","type":"Grid"},{"id":"0fbde2bf-2a30-484d-b9b3-b3596dd60e5f","type":"Grid"}],"title":null,"toolbar":{"id":"f463acc9-d038-4267-ae52-fbc0c91fb255","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"d5d5c0da-104b-4e99-9a06-3f7946912e1f","type":"Range1d"},"x_scale":{"id":"63d2c037-97af-4c9a-a339-0ce1a22ed1ed","type":"LinearScale"},"y_range":{"id":"5de94b5b-ac18-4a0d-893a-d5b694809e10","type":"Range1d"},"y_scale":{"id":"eebce58e-4b87-4125-931a-ee5eeb2090f4","type":"LinearScale"}},"id":"00f42011-3a03-4a89-bdd1-e2b1fccc604a","type":"Plot"},{"attributes":{},"id":"eebce58e-4b87-4125-931a-ee5eeb2090f4","type":"LinearScale"},{"attributes":{"data_source":{"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"},"glyph":{"id":"8ca1d051-144a-458f-b5e6-1a72eabc2113","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ef5aca13-0ef3-49a0-837c-4510aef31c44","type":"CDSView"}},"id":"e1a8da2b-9c7a-41de-8a24-fa0790f92876","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"00f42011-3a03-4a89-bdd1-e2b1fccc604a","type":"Plot"},"ticker":{"id":"7c7ea5e0-438f-4b52-a5ef-5adf24bbb859","type":"BasicTicker"}},"id":"d8386104-1d66-4eda-be19-ad82df05e7e8","type":"Grid"},{"attributes":{"source":{"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"}},"id":"ef5aca13-0ef3-49a0-837c-4510aef31c44","type":"CDSView"},{"attributes":{"anchor":"bottom_right","url":{"value":"https://bokeh.pydata.org/en/latest/_static/images/logo.png"},"x":{"value":200},"y":{"value":-100}},"id":"8ca1d051-144a-458f-b5e6-1a72eabc2113","type":"ImageURL"},{"attributes":{},"id":"f1f121c8-232e-474e-a925-25c76dbd08d9","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"}},"id":"aa5cfae6-731d-4520-9741-130f54565792","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f463acc9-d038-4267-ae52-fbc0c91fb255","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["x2","y1","h1","w1","url","x1","y2"],"data":{"h1":{"__ndarray__":"AAAAAAAAJEAAAAAAAAA0QAAAAAAAAD5AAAAAAAAAREAAAAAAAABJQA==","dtype":"float64","shape":[5]},"url":["https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png"],"w1":{"__ndarray__":"AAAAAAAAJEAAAAAAAAA0QAAAAAAAAD5AAAAAAAAAREAAAAAAAABJQA==","dtype":"float64","shape":[5]},"x1":{"__ndarray__":"AAAAAAAAAAAAAAAAAMBCQAAAAAAAwFJAAAAAAAAgXEAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"x2":{"__ndarray__":"AAAAAAAAScAAAAAAAAAAAAAAAAAAAElAAAAAAAAAWUAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"y1":{"__ndarray__":"AAAAAAAAAAAAAAAAAMBCQAAAAAAAwFJAAAAAAAAgXEAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"y2":{"__ndarray__":"AAAAAAAAAAAAAAAAAABJQAAAAAAAAFlAAAAAAADAYkAAAAAAAABpQA==","dtype":"float64","shape":[5]}}},"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"},{"attributes":{"anchor":"center","h":{"field":"h1","units":"data"},"url":{"field":"url"},"w":{"field":"w1","units":"data"},"x":{"field":"x1"},"y":{"field":"y1"}},"id":"75f0d0f6-54ea-4dad-97be-677439e01879","type":"ImageURL"},{"attributes":{"h":{"units":"data","value":20},"url":{"field":"url"},"w":{"units":"data","value":20},"x":{"field":"x2"},"y":{"field":"y2"}},"id":"14655ef8-3732-456d-b5f4-4d8958d1286d","type":"ImageURL"},{"attributes":{},"id":"7bdcc301-5a68-4de2-8312-79a5beac6c78","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"},"glyph":{"id":"14655ef8-3732-456d-b5f4-4d8958d1286d","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"aa5cfae6-731d-4520-9741-130f54565792","type":"CDSView"}},"id":"846b97ba-e4a3-4574-8f44-8354b42ec294","type":"GlyphRenderer"},{"attributes":{},"id":"63d2c037-97af-4c9a-a339-0ce1a22ed1ed","type":"LinearScale"},{"attributes":{},"id":"d167cbbf-16a5-4e2a-b231-6595ca58e6d2","type":"BasicTicker"},{"attributes":{"callback":null,"end":200,"start":-100},"id":"5de94b5b-ac18-4a0d-893a-d5b694809e10","type":"Range1d"},{"attributes":{"source":{"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"}},"id":"03a7baec-0996-4be3-8aea-e961a4d143da","type":"CDSView"},{"attributes":{"callback":null,"end":200,"start":-100},"id":"d5d5c0da-104b-4e99-9a06-3f7946912e1f","type":"Range1d"},{"attributes":{"dimension":1,"plot":{"id":"00f42011-3a03-4a89-bdd1-e2b1fccc604a","type":"Plot"},"ticker":{"id":"d167cbbf-16a5-4e2a-b231-6595ca58e6d2","type":"BasicTicker"}},"id":"0fbde2bf-2a30-484d-b9b3-b3596dd60e5f","type":"Grid"},{"attributes":{},"id":"7c7ea5e0-438f-4b52-a5ef-5adf24bbb859","type":"BasicTicker"},{"attributes":{"data_source":{"id":"fa938cdb-c430-4916-9278-92459a6509fc","type":"ColumnDataSource"},"glyph":{"id":"75f0d0f6-54ea-4dad-97be-677439e01879","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"03a7baec-0996-4be3-8aea-e961a4d143da","type":"CDSView"}},"id":"0629178c-b388-40da-841e-5558860e33bf","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"7bdcc301-5a68-4de2-8312-79a5beac6c78","type":"BasicTickFormatter"},"plot":{"id":"00f42011-3a03-4a89-bdd1-e2b1fccc604a","type":"Plot"},"ticker":{"id":"7c7ea5e0-438f-4b52-a5ef-5adf24bbb859","type":"BasicTicker"}},"id":"7a59cb62-c914-457c-a101-25e60a1d2dc9","type":"LinearAxis"},{"attributes":{"formatter":{"id":"f1f121c8-232e-474e-a925-25c76dbd08d9","type":"BasicTickFormatter"},"plot":{"id":"00f42011-3a03-4a89-bdd1-e2b1fccc604a","type":"Plot"},"ticker":{"id":"d167cbbf-16a5-4e2a-b231-6595ca58e6d2","type":"BasicTicker"}},"id":"1a7ef31a-2f8c-4c3f-b901-ccfd9c566d2a","type":"LinearAxis"}],"root_ids":["00f42011-3a03-4a89-bdd1-e2b1fccc604a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"49e16754-1488-4cbc-b09d-59e65cd62902","elementid":"2655e02e-e8ea-4a92-a9e0-925a662ed4cf","modelid":"00f42011-3a03-4a89-bdd1-e2b1fccc604a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
