(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e4d7cb7a-c247-49fb-b418-e0882010e851");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e4d7cb7a-c247-49fb-b418-e0882010e851' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"88a63b97-be91-4364-8a12-b4587446f1aa":{"roots":{"references":[{"attributes":{},"id":"9f3554cc-b08e-44ee-b44b-5e43d1c0b292","type":"BasicTicker"},{"attributes":{},"id":"ae7f3b65-f6c7-4bcc-967d-f06b41b4311e","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#8073ac"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"bfa73e60-93d5-484e-94e1-e3d44acf5b73","type":"MultiLine"},{"attributes":{},"id":"0092d9e3-af74-4ab2-b298-d032a2d0cdab","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ae7f3b65-f6c7-4bcc-967d-f06b41b4311e","type":"BasicTickFormatter"},"plot":{"id":"08c5b7d8-7660-4aa1-adc5-bac2a6c99e50","type":"Plot"},"ticker":{"id":"0092d9e3-af74-4ab2-b298-d032a2d0cdab","type":"BasicTicker"}},"id":"461c5116-8ab4-4356-9c11-b20b13ff7927","type":"LinearAxis"},{"attributes":{"below":[{"id":"33d7a46b-0c51-4950-9851-1999c4fdcbb2","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"461c5116-8ab4-4356-9c11-b20b13ff7927","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"356eed9f-68e6-486d-94d3-8d5ad87b4480","type":"GlyphRenderer"},{"id":"33d7a46b-0c51-4950-9851-1999c4fdcbb2","type":"LinearAxis"},{"id":"461c5116-8ab4-4356-9c11-b20b13ff7927","type":"LinearAxis"},{"id":"66eafcd9-4346-432d-abec-6fdc579f4d38","type":"Grid"},{"id":"a94e3530-0d03-4b86-9596-7107e8888cf3","type":"Grid"}],"title":null,"toolbar":{"id":"d968c898-e128-4714-b726-6b3bb78a4d24","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2e25e8bc-dbdc-44f3-8ab0-fafbfc353c9e","type":"DataRange1d"},"x_scale":{"id":"74d656d4-6e1f-4442-afb3-197507cb90eb","type":"LinearScale"},"y_range":{"id":"69a7de5f-b68c-481d-bdfb-9ceee56935fe","type":"DataRange1d"},"y_scale":{"id":"c6dee450-2810-4402-8c07-9b317b5b6e52","type":"LinearScale"}},"id":"08c5b7d8-7660-4aa1-adc5-bac2a6c99e50","type":"Plot"},{"attributes":{"data_source":{"id":"7d73b7eb-1fd0-4e89-b439-2664b6342fa7","type":"ColumnDataSource"},"glyph":{"id":"bfa73e60-93d5-484e-94e1-e3d44acf5b73","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"09fec9f4-6a17-44a6-ae25-17e78e036f49","type":"CDSView"}},"id":"356eed9f-68e6-486d-94d3-8d5ad87b4480","type":"GlyphRenderer"},{"attributes":{"source":{"id":"7d73b7eb-1fd0-4e89-b439-2664b6342fa7","type":"ColumnDataSource"}},"id":"09fec9f4-6a17-44a6-ae25-17e78e036f49","type":"CDSView"},{"attributes":{},"id":"244b45dc-6806-41dd-aa0f-b8d590d8e701","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"2e25e8bc-dbdc-44f3-8ab0-fafbfc353c9e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"244b45dc-6806-41dd-aa0f-b8d590d8e701","type":"BasicTickFormatter"},"plot":{"id":"08c5b7d8-7660-4aa1-adc5-bac2a6c99e50","type":"Plot"},"ticker":{"id":"9f3554cc-b08e-44ee-b44b-5e43d1c0b292","type":"BasicTicker"}},"id":"33d7a46b-0c51-4950-9851-1999c4fdcbb2","type":"LinearAxis"},{"attributes":{"callback":null},"id":"69a7de5f-b68c-481d-bdfb-9ceee56935fe","type":"DataRange1d"},{"attributes":{},"id":"74d656d4-6e1f-4442-afb3-197507cb90eb","type":"LinearScale"},{"attributes":{},"id":"c6dee450-2810-4402-8c07-9b317b5b6e52","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d968c898-e128-4714-b726-6b3bb78a4d24","type":"Toolbar"},{"attributes":{"plot":{"id":"08c5b7d8-7660-4aa1-adc5-bac2a6c99e50","type":"Plot"},"ticker":{"id":"9f3554cc-b08e-44ee-b44b-5e43d1c0b292","type":"BasicTicker"}},"id":"66eafcd9-4346-432d-abec-6fdc579f4d38","type":"Grid"},{"attributes":{"callback":null,"column_names":["xs","ys"],"data":{"xs":[{"__ndarray__":"uB6F61G4AMD2KFyPwvUAwAAAAAAAAADAFK5H4XoU/r+PwvUoXI/+vw==","dtype":"float64","shape":[5]},{"__ndarray__":"L90kBoGV+b/qJjEIrBz6vwAAAAAAAPi/FtnO91Pj9b/RItv5fmr2vw==","dtype":"float64","shape":[5]},{"__ndarray__":"7nw/NV668b/n+6nx0k3yvwAAAAAAAPC/MQisHFpk678lBoGVQ4vsvw==","dtype":"float64","shape":[5]},{"__ndarray__":"WDm0yHa+47/LoUW28/3kvwAAAAAAAOC/arx0kxgE1r9QjZduEoPYvw==","dtype":"float64","shape":[5]},{"__ndarray__":"VOOlm8QgwL8aL90kBoHFvwAAAAAAAAAAGi/dJAaBxT9U46WbxCDAPw==","dtype":"float64","shape":[5]},{"__ndarray__":"XI/C9Shc1z97FK5H4XrUPwAAAAAAAOA/wvUoXI/C5T9SuB6F61HkPw==","dtype":"float64","shape":[5]},{"__ndarray__":"MQisHFpk6z9CYOXQItvpPwAAAAAAAPA/30+Nl24S8z/n+6nx0k3yPw==","dtype":"float64","shape":[5]},{"__ndarray__":"WmQ730+N9T8j2/l+arz0PwAAAAAAAPg/3SQGgZVD+z+mm8QgsHL6Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"nMQgsHJo/T8lBoGVQ4v8PwAAAAAAAABA7nw/NV66AUCyne+nxksBQA==","dtype":"float64","shape":[5]}],"ys":[{"__ndarray__":"MzMzMzMzD0AUrkfhehQQQGZmZmZmZhBAFK5H4XoUEEAzMzMzMzMPQA==","dtype":"float64","shape":[5]},{"__ndarray__":"H4XrUbgeAUCTGARWDi0CQOF6FK5H4QJAkxgEVg4tAkAfhetRuB4BQA==","dtype":"float64","shape":[5]},{"__ndarray__":"KVyPwvUo7D/8qfHSTWLwP+xRuB6F6/E//Knx0k1i8D8pXI/C9SjsPw==","dtype":"float64","shape":[5]},{"__ndarray__":"uB6F61G4vj9Ei2zn+6nRP1K4HoXrUdg/RIts5/up0T+4HoXrUbi+Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"61G4HoXrwb946SYxCKycP+tRuB6F68E/eOkmMQisnD/rUbgehevBvw==","dtype":"float64","shape":[5]},{"__ndarray__":"mJmZmZmZuT/sUbgehevRP5qZmZmZmdk/7FG4HoXr0T+YmZmZmZm5Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"4XoUrkfh6j9QjZduEoPwP5DC9Shcj/I/UI2XbhKD8D/hehSuR+HqPw==","dtype":"float64","shape":[5]},{"__ndarray__":"pHA9CtejAEASg8DKoUUCQFyPwvUoXANAEoPAyqFFAkCkcD0K16MAQA==","dtype":"float64","shape":[5]},{"__ndarray__":"j8L1KFyPDkC+nxov3SQQQLgehetRuBBAvp8aL90kEECPwvUoXI8OQA==","dtype":"float64","shape":[5]}]}},"id":"7d73b7eb-1fd0-4e89-b439-2664b6342fa7","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"08c5b7d8-7660-4aa1-adc5-bac2a6c99e50","type":"Plot"},"ticker":{"id":"0092d9e3-af74-4ab2-b298-d032a2d0cdab","type":"BasicTicker"}},"id":"a94e3530-0d03-4b86-9596-7107e8888cf3","type":"Grid"}],"root_ids":["08c5b7d8-7660-4aa1-adc5-bac2a6c99e50"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"88a63b97-be91-4364-8a12-b4587446f1aa","elementid":"e4d7cb7a-c247-49fb-b418-e0882010e851","modelid":"08c5b7d8-7660-4aa1-adc5-bac2a6c99e50"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
