(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d229eba1-e596-4651-b03c-a09a168359ef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd229eba1-e596-4651-b03c-a09a168359ef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c770e581-1b01-41b1-9821-611343043741":{"roots":{"references":[{"attributes":{},"id":"fc96ab34-efe8-4c9b-90a7-16ac122afca4","type":"LinearScale"},{"attributes":{"formatter":{"id":"0249c51b-50f9-4af7-90e3-a90ec6690a4f","type":"BasicTickFormatter"},"plot":{"id":"9943de2c-b681-462b-b731-bfddeda253c5","type":"Plot"},"ticker":{"id":"6440a56b-d74f-432a-b033-4a9fd9949d84","type":"BasicTicker"}},"id":"a8bd3107-19e7-412e-b2bd-4c4d016a6873","type":"LinearAxis"},{"attributes":{},"id":"4d3f2ca5-76df-4688-b169-1a9e405d37b2","type":"BasicTickFormatter"},{"attributes":{},"id":"605c5187-5858-4da8-b6c0-1bd022d72944","type":"BasicTicker"},{"attributes":{"callback":null},"id":"81f6c67c-cade-4305-9822-12759ec4b3b4","type":"DataRange1d"},{"attributes":{"callback":null},"id":"3294827f-4ccb-4bf4-b91a-b5961eb79c18","type":"DataRange1d"},{"attributes":{"below":[{"id":"a8bd3107-19e7-412e-b2bd-4c4d016a6873","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b9b8bba7-ca4c-425c-a498-59ab0169b01e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"012c0f8e-de9c-4bb4-b053-d6419ef9397b","type":"GlyphRenderer"},{"id":"a8bd3107-19e7-412e-b2bd-4c4d016a6873","type":"LinearAxis"},{"id":"b9b8bba7-ca4c-425c-a498-59ab0169b01e","type":"LinearAxis"},{"id":"ad974261-538e-4631-91f8-2b7a6369981a","type":"Grid"},{"id":"94e8476b-6bfe-4425-8b6a-7c33f60df478","type":"Grid"}],"title":null,"toolbar":{"id":"b77ba953-6c81-4b80-b3b7-f24b0a4aed28","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"81f6c67c-cade-4305-9822-12759ec4b3b4","type":"DataRange1d"},"x_scale":{"id":"fc96ab34-efe8-4c9b-90a7-16ac122afca4","type":"LinearScale"},"y_range":{"id":"3294827f-4ccb-4bf4-b91a-b5961eb79c18","type":"DataRange1d"},"y_scale":{"id":"6f69c1e0-d30c-4740-ab12-336e1b3dffe5","type":"LinearScale"}},"id":"9943de2c-b681-462b-b731-bfddeda253c5","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"7f08292e-9fee-4d8a-b6c7-0ca898ce14fa","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"9943de2c-b681-462b-b731-bfddeda253c5","type":"Plot"},"ticker":{"id":"605c5187-5858-4da8-b6c0-1bd022d72944","type":"BasicTicker"}},"id":"94e8476b-6bfe-4425-8b6a-7c33f60df478","type":"Grid"},{"attributes":{"source":{"id":"7f08292e-9fee-4d8a-b6c7-0ca898ce14fa","type":"ColumnDataSource"}},"id":"8139bc61-d6d6-4654-8a92-513ae53dc477","type":"CDSView"},{"attributes":{},"id":"6f69c1e0-d30c-4740-ab12-336e1b3dffe5","type":"LinearScale"},{"attributes":{},"id":"6440a56b-d74f-432a-b033-4a9fd9949d84","type":"BasicTicker"},{"attributes":{"formatter":{"id":"4d3f2ca5-76df-4688-b169-1a9e405d37b2","type":"BasicTickFormatter"},"plot":{"id":"9943de2c-b681-462b-b731-bfddeda253c5","type":"Plot"},"ticker":{"id":"605c5187-5858-4da8-b6c0-1bd022d72944","type":"BasicTicker"}},"id":"b9b8bba7-ca4c-425c-a498-59ab0169b01e","type":"LinearAxis"},{"attributes":{"plot":{"id":"9943de2c-b681-462b-b731-bfddeda253c5","type":"Plot"},"ticker":{"id":"6440a56b-d74f-432a-b033-4a9fd9949d84","type":"BasicTicker"}},"id":"ad974261-538e-4631-91f8-2b7a6369981a","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b77ba953-6c81-4b80-b3b7-f24b0a4aed28","type":"Toolbar"},{"attributes":{},"id":"0249c51b-50f9-4af7-90e3-a90ec6690a4f","type":"BasicTickFormatter"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#1d91d0"},"height":{"units":"data","value":0.6},"width":{"units":"data","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"900c501e-bae3-462a-88d8-7a4fd63fdd32","type":"Oval"},{"attributes":{"data_source":{"id":"7f08292e-9fee-4d8a-b6c7-0ca898ce14fa","type":"ColumnDataSource"},"glyph":{"id":"900c501e-bae3-462a-88d8-7a4fd63fdd32","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"8139bc61-d6d6-4654-8a92-513ae53dc477","type":"CDSView"}},"id":"012c0f8e-de9c-4bb4-b053-d6419ef9397b","type":"GlyphRenderer"}],"root_ids":["9943de2c-b681-462b-b731-bfddeda253c5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c770e581-1b01-41b1-9821-611343043741","elementid":"d229eba1-e596-4651-b03c-a09a168359ef","modelid":"9943de2c-b681-462b-b731-bfddeda253c5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
