(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b0907fff-35cc-4ce3-b90c-23cc17fdb5a7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b0907fff-35cc-4ce3-b90c-23cc17fdb5a7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3eb4ab71-e340-45d7-8684-cb86c109e23a":{"roots":{"references":[{"attributes":{"source":{"id":"1755123c-cbb4-48b6-b117-207fbd8a1766","type":"ColumnDataSource"}},"id":"84c54e69-5a9d-44e9-998f-e7120547c007","type":"CDSView"},{"attributes":{},"id":"fa8cd7ab-9e31-47e3-9e4b-52edde3f7cfd","type":"BasicTicker"},{"attributes":{},"id":"e3b40cd8-9822-483a-8d06-550e4538d8af","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["xs","ys"],"data":{"xs":[{"__ndarray__":"uB6F61G4AMD2KFyPwvUAwAAAAAAAAADAFK5H4XoU/r+PwvUoXI/+vw==","dtype":"float64","shape":[5]},{"__ndarray__":"L90kBoGV+b/qJjEIrBz6vwAAAAAAAPi/FtnO91Pj9b/RItv5fmr2vw==","dtype":"float64","shape":[5]},{"__ndarray__":"7nw/NV668b/n+6nx0k3yvwAAAAAAAPC/MQisHFpk678lBoGVQ4vsvw==","dtype":"float64","shape":[5]},{"__ndarray__":"WDm0yHa+47/LoUW28/3kvwAAAAAAAOC/arx0kxgE1r9QjZduEoPYvw==","dtype":"float64","shape":[5]},{"__ndarray__":"VOOlm8QgwL8aL90kBoHFvwAAAAAAAAAAGi/dJAaBxT9U46WbxCDAPw==","dtype":"float64","shape":[5]},{"__ndarray__":"XI/C9Shc1z97FK5H4XrUPwAAAAAAAOA/wvUoXI/C5T9SuB6F61HkPw==","dtype":"float64","shape":[5]},{"__ndarray__":"MQisHFpk6z9CYOXQItvpPwAAAAAAAPA/30+Nl24S8z/n+6nx0k3yPw==","dtype":"float64","shape":[5]},{"__ndarray__":"WmQ730+N9T8j2/l+arz0PwAAAAAAAPg/3SQGgZVD+z+mm8QgsHL6Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"nMQgsHJo/T8lBoGVQ4v8PwAAAAAAAABA7nw/NV66AUCyne+nxksBQA==","dtype":"float64","shape":[5]}],"ys":[{"__ndarray__":"MzMzMzMzD0AUrkfhehQQQGZmZmZmZhBAFK5H4XoUEEAzMzMzMzMPQA==","dtype":"float64","shape":[5]},{"__ndarray__":"H4XrUbgeAUCTGARWDi0CQOF6FK5H4QJAkxgEVg4tAkAfhetRuB4BQA==","dtype":"float64","shape":[5]},{"__ndarray__":"KVyPwvUo7D/8qfHSTWLwP+xRuB6F6/E//Knx0k1i8D8pXI/C9SjsPw==","dtype":"float64","shape":[5]},{"__ndarray__":"uB6F61G4vj9Ei2zn+6nRP1K4HoXrUdg/RIts5/up0T+4HoXrUbi+Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"61G4HoXrwb946SYxCKycP+tRuB6F68E/eOkmMQisnD/rUbgehevBvw==","dtype":"float64","shape":[5]},{"__ndarray__":"mJmZmZmZuT/sUbgehevRP5qZmZmZmdk/7FG4HoXr0T+YmZmZmZm5Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"4XoUrkfh6j9QjZduEoPwP5DC9Shcj/I/UI2XbhKD8D/hehSuR+HqPw==","dtype":"float64","shape":[5]},{"__ndarray__":"pHA9CtejAEASg8DKoUUCQFyPwvUoXANAEoPAyqFFAkCkcD0K16MAQA==","dtype":"float64","shape":[5]},{"__ndarray__":"j8L1KFyPDkC+nxov3SQQQLgehetRuBBAvp8aL90kEECPwvUoXI8OQA==","dtype":"float64","shape":[5]}]}},"id":"1755123c-cbb4-48b6-b117-207fbd8a1766","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"1755123c-cbb4-48b6-b117-207fbd8a1766","type":"ColumnDataSource"},"glyph":{"id":"84b53ba2-47ff-4808-94f6-aa3496bb5054","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"84c54e69-5a9d-44e9-998f-e7120547c007","type":"CDSView"}},"id":"47af7248-6cc7-482f-b036-84b2285d689d","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"4a7b7d47-1697-4f8a-836f-fa2e02a46971","type":"DataRange1d"},{"attributes":{},"id":"5fa686cc-96ea-4a55-a713-0b16be204308","type":"BasicTickFormatter"},{"attributes":{},"id":"e44367fb-2295-4bca-acd2-a68edd8a61b3","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"254d2d1a-7a46-4c64-9667-3c69c6aed1fb","type":"Plot"},"ticker":{"id":"e3b40cd8-9822-483a-8d06-550e4538d8af","type":"BasicTicker"}},"id":"72c6d3f1-9c27-41be-b9fe-9d2fc9e7a237","type":"Grid"},{"attributes":{},"id":"0b0cacc8-6757-4b33-80b3-15c88bf3ffcc","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"4562c5c4-141e-4a8b-b2ae-cfd0c8dceb12","type":"Toolbar"},{"attributes":{"formatter":{"id":"5fa686cc-96ea-4a55-a713-0b16be204308","type":"BasicTickFormatter"},"plot":{"id":"254d2d1a-7a46-4c64-9667-3c69c6aed1fb","type":"Plot"},"ticker":{"id":"e3b40cd8-9822-483a-8d06-550e4538d8af","type":"BasicTicker"}},"id":"ddef3372-51b7-493c-8ce8-cdf5fded84fc","type":"LinearAxis"},{"attributes":{"callback":null},"id":"a4849345-ceb9-4c3b-9d94-3055c747540d","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e44367fb-2295-4bca-acd2-a68edd8a61b3","type":"BasicTickFormatter"},"plot":{"id":"254d2d1a-7a46-4c64-9667-3c69c6aed1fb","type":"Plot"},"ticker":{"id":"fa8cd7ab-9e31-47e3-9e4b-52edde3f7cfd","type":"BasicTicker"}},"id":"42415512-0042-40d2-86b3-30d1d6f62248","type":"LinearAxis"},{"attributes":{"plot":{"id":"254d2d1a-7a46-4c64-9667-3c69c6aed1fb","type":"Plot"},"ticker":{"id":"fa8cd7ab-9e31-47e3-9e4b-52edde3f7cfd","type":"BasicTicker"}},"id":"9e5be3b0-2944-4977-b3d4-8adbe94b663b","type":"Grid"},{"attributes":{"below":[{"id":"42415512-0042-40d2-86b3-30d1d6f62248","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"ddef3372-51b7-493c-8ce8-cdf5fded84fc","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"47af7248-6cc7-482f-b036-84b2285d689d","type":"GlyphRenderer"},{"id":"42415512-0042-40d2-86b3-30d1d6f62248","type":"LinearAxis"},{"id":"ddef3372-51b7-493c-8ce8-cdf5fded84fc","type":"LinearAxis"},{"id":"9e5be3b0-2944-4977-b3d4-8adbe94b663b","type":"Grid"},{"id":"72c6d3f1-9c27-41be-b9fe-9d2fc9e7a237","type":"Grid"}],"title":null,"toolbar":{"id":"4562c5c4-141e-4a8b-b2ae-cfd0c8dceb12","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a4849345-ceb9-4c3b-9d94-3055c747540d","type":"DataRange1d"},"x_scale":{"id":"f4fa353b-8798-4b4c-9068-0f9a34982b29","type":"LinearScale"},"y_range":{"id":"4a7b7d47-1697-4f8a-836f-fa2e02a46971","type":"DataRange1d"},"y_scale":{"id":"0b0cacc8-6757-4b33-80b3-15c88bf3ffcc","type":"LinearScale"}},"id":"254d2d1a-7a46-4c64-9667-3c69c6aed1fb","type":"Plot"},{"attributes":{"fill_color":{"value":"#fb9a99"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"84b53ba2-47ff-4808-94f6-aa3496bb5054","type":"Patches"},{"attributes":{},"id":"f4fa353b-8798-4b4c-9068-0f9a34982b29","type":"LinearScale"}],"root_ids":["254d2d1a-7a46-4c64-9667-3c69c6aed1fb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3eb4ab71-e340-45d7-8684-cb86c109e23a","elementid":"b0907fff-35cc-4ce3-b90c-23cc17fdb5a7","modelid":"254d2d1a-7a46-4c64-9667-3c69c6aed1fb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
