(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2858e732-89dd-4742-adae-27b73361c62e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2858e732-89dd-4742-adae-27b73361c62e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2f2a5921-d923-4ac5-bc4a-2adcb4816784":{"roots":{"references":[{"attributes":{},"id":"8ad5845b-cdeb-4b40-8506-b51f9d27f907","type":"BasicTickFormatter"},{"attributes":{},"id":"22a01636-866f-42b1-801c-1bdef2f180b0","type":"BasicTicker"},{"attributes":{"callback":null},"id":"50470170-159c-4bce-a9fa-f5bfab203b40","type":"DataRange1d"},{"attributes":{},"id":"377c986c-2747-4c57-be11-abd65b4f6484","type":"LinearScale"},{"attributes":{},"id":"9322216a-2f99-4b02-8a9e-bb58e903042e","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"01190cc3-d90c-431c-9796-ca23f2790867","type":"Plot"},"ticker":{"id":"1ca125ff-e47b-4ea2-b33b-0f2e13fe08d1","type":"BasicTicker"}},"id":"057a16b1-6b32-436e-8506-767fb2a1c4dd","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","text","x"],"data":{"text":["abc","def","ghi","jkl","mno","pqr","stu","vwx","yz"],"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"f2016270-0854-4638-878b-68b66691fdc2","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"f2016270-0854-4638-878b-68b66691fdc2","type":"ColumnDataSource"},"glyph":{"id":"195f878c-9611-4c9a-ae68-87a2b1844046","type":"Text"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"1cfe84b7-49a7-420f-ba3c-6c1daac63299","type":"CDSView"}},"id":"595a7945-4cfa-4914-93e7-99f41fd97020","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"01190cc3-d90c-431c-9796-ca23f2790867","type":"Plot"},"ticker":{"id":"22a01636-866f-42b1-801c-1bdef2f180b0","type":"BasicTicker"}},"id":"cfe16824-e95e-4e27-965b-7d33da96a0b7","type":"Grid"},{"attributes":{},"id":"1ca125ff-e47b-4ea2-b33b-0f2e13fe08d1","type":"BasicTicker"},{"attributes":{"angle":{"units":"rad","value":0.3},"text_color":{"value":"#96deb3"},"x":{"field":"x"},"y":{"field":"y"}},"id":"195f878c-9611-4c9a-ae68-87a2b1844046","type":"Text"},{"attributes":{"formatter":{"id":"8ad5845b-cdeb-4b40-8506-b51f9d27f907","type":"BasicTickFormatter"},"plot":{"id":"01190cc3-d90c-431c-9796-ca23f2790867","type":"Plot"},"ticker":{"id":"22a01636-866f-42b1-801c-1bdef2f180b0","type":"BasicTicker"}},"id":"72fca838-323f-45da-8d48-355d219c8b9b","type":"LinearAxis"},{"attributes":{"callback":null},"id":"71b93dc4-585c-4076-9a81-952dc8ca5ea4","type":"DataRange1d"},{"attributes":{"formatter":{"id":"9322216a-2f99-4b02-8a9e-bb58e903042e","type":"BasicTickFormatter"},"plot":{"id":"01190cc3-d90c-431c-9796-ca23f2790867","type":"Plot"},"ticker":{"id":"1ca125ff-e47b-4ea2-b33b-0f2e13fe08d1","type":"BasicTicker"}},"id":"ca7462f0-6775-446c-befa-c9cc12d8347d","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e4afa5e5-81b1-4617-ab1d-383d8a729016","type":"Toolbar"},{"attributes":{"source":{"id":"f2016270-0854-4638-878b-68b66691fdc2","type":"ColumnDataSource"}},"id":"1cfe84b7-49a7-420f-ba3c-6c1daac63299","type":"CDSView"},{"attributes":{},"id":"1e409ee2-bc92-4d87-98b5-dde9add45ad0","type":"LinearScale"},{"attributes":{"below":[{"id":"ca7462f0-6775-446c-befa-c9cc12d8347d","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"72fca838-323f-45da-8d48-355d219c8b9b","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"595a7945-4cfa-4914-93e7-99f41fd97020","type":"GlyphRenderer"},{"id":"ca7462f0-6775-446c-befa-c9cc12d8347d","type":"LinearAxis"},{"id":"72fca838-323f-45da-8d48-355d219c8b9b","type":"LinearAxis"},{"id":"057a16b1-6b32-436e-8506-767fb2a1c4dd","type":"Grid"},{"id":"cfe16824-e95e-4e27-965b-7d33da96a0b7","type":"Grid"}],"title":null,"toolbar":{"id":"e4afa5e5-81b1-4617-ab1d-383d8a729016","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"71b93dc4-585c-4076-9a81-952dc8ca5ea4","type":"DataRange1d"},"x_scale":{"id":"1e409ee2-bc92-4d87-98b5-dde9add45ad0","type":"LinearScale"},"y_range":{"id":"50470170-159c-4bce-a9fa-f5bfab203b40","type":"DataRange1d"},"y_scale":{"id":"377c986c-2747-4c57-be11-abd65b4f6484","type":"LinearScale"}},"id":"01190cc3-d90c-431c-9796-ca23f2790867","type":"Plot"}],"root_ids":["01190cc3-d90c-431c-9796-ca23f2790867"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2f2a5921-d923-4ac5-bc4a-2adcb4816784","elementid":"2858e732-89dd-4742-adae-27b73361c62e","modelid":"01190cc3-d90c-431c-9796-ca23f2790867"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
