(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7f223b0e-a137-4dcb-aefb-992f8c875656");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7f223b0e-a137-4dcb-aefb-992f8c875656' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"33b75bc5-981d-4fb8-8c16-e4ec39f55b5d":{"roots":{"references":[{"attributes":{"formatter":{"id":"58458052-0241-4e50-8ed4-8c21e879c839","type":"BasicTickFormatter"},"plot":{"id":"b52132a5-3e5b-40f0-b09c-0baff6b634ec","type":"Plot"},"ticker":{"id":"684a555a-dcbc-4c2e-92a0-b68aea58ba3a","type":"BasicTicker"}},"id":"57410671-ccff-4441-a0b2-72c3a59a635e","type":"LinearAxis"},{"attributes":{"below":[{"id":"269aa5cb-1b04-495e-8993-8a538e8ab765","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"57410671-ccff-4441-a0b2-72c3a59a635e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"ef59e583-1a8b-4401-8ecb-ef579505a97f","type":"GlyphRenderer"},{"id":"269aa5cb-1b04-495e-8993-8a538e8ab765","type":"LinearAxis"},{"id":"57410671-ccff-4441-a0b2-72c3a59a635e","type":"LinearAxis"},{"id":"a7ccb008-0a13-4102-81fb-5055dfce05a4","type":"Grid"},{"id":"45ddba4d-093c-471f-bf64-58c5cbf64ccb","type":"Grid"}],"title":null,"toolbar":{"id":"d54b6bb1-8d07-40a8-9eef-e85460bff8f1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f518954d-bebe-4f4a-b0ee-2b0bdbebe3ab","type":"DataRange1d"},"x_scale":{"id":"93c16a48-5f4c-42fe-ac3d-1a7b5d320e2b","type":"LinearScale"},"y_range":{"id":"51b4c88b-1ea4-48cc-901d-d88dbc1cb763","type":"DataRange1d"},"y_scale":{"id":"a6f6caf4-d0ce-4cd9-944e-67c1e87c4ea8","type":"LinearScale"}},"id":"b52132a5-3e5b-40f0-b09c-0baff6b634ec","type":"Plot"},{"attributes":{"callback":null},"id":"51b4c88b-1ea4-48cc-901d-d88dbc1cb763","type":"DataRange1d"},{"attributes":{},"id":"a6f6caf4-d0ce-4cd9-944e-67c1e87c4ea8","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"b52132a5-3e5b-40f0-b09c-0baff6b634ec","type":"Plot"},"ticker":{"id":"684a555a-dcbc-4c2e-92a0-b68aea58ba3a","type":"BasicTicker"}},"id":"45ddba4d-093c-471f-bf64-58c5cbf64ccb","type":"Grid"},{"attributes":{},"id":"684a555a-dcbc-4c2e-92a0-b68aea58ba3a","type":"BasicTicker"},{"attributes":{},"id":"93c16a48-5f4c-42fe-ac3d-1a7b5d320e2b","type":"LinearScale"},{"attributes":{},"id":"51beef98-0312-4ac9-b105-1175c9c88694","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]}}},"id":"f43c3a55-02f5-4f2e-945d-e0fd7938989d","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"f518954d-bebe-4f4a-b0ee-2b0bdbebe3ab","type":"DataRange1d"},{"attributes":{"source":{"id":"f43c3a55-02f5-4f2e-945d-e0fd7938989d","type":"ColumnDataSource"}},"id":"973564da-3264-48d8-b23e-5e82dd9b0d42","type":"CDSView"},{"attributes":{"formatter":{"id":"51beef98-0312-4ac9-b105-1175c9c88694","type":"BasicTickFormatter"},"plot":{"id":"b52132a5-3e5b-40f0-b09c-0baff6b634ec","type":"Plot"},"ticker":{"id":"8a517dc3-b9df-42f4-8f28-32f3677a8d48","type":"BasicTicker"}},"id":"269aa5cb-1b04-495e-8993-8a538e8ab765","type":"LinearAxis"},{"attributes":{"plot":{"id":"b52132a5-3e5b-40f0-b09c-0baff6b634ec","type":"Plot"},"ticker":{"id":"8a517dc3-b9df-42f4-8f28-32f3677a8d48","type":"BasicTicker"}},"id":"a7ccb008-0a13-4102-81fb-5055dfce05a4","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d54b6bb1-8d07-40a8-9eef-e85460bff8f1","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#b3de69"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"f1046e65-534c-445d-8fb0-0b333f1d2639","type":"VBar"},{"attributes":{},"id":"8a517dc3-b9df-42f4-8f28-32f3677a8d48","type":"BasicTicker"},{"attributes":{"data_source":{"id":"f43c3a55-02f5-4f2e-945d-e0fd7938989d","type":"ColumnDataSource"},"glyph":{"id":"f1046e65-534c-445d-8fb0-0b333f1d2639","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"973564da-3264-48d8-b23e-5e82dd9b0d42","type":"CDSView"}},"id":"ef59e583-1a8b-4401-8ecb-ef579505a97f","type":"GlyphRenderer"},{"attributes":{},"id":"58458052-0241-4e50-8ed4-8c21e879c839","type":"BasicTickFormatter"}],"root_ids":["b52132a5-3e5b-40f0-b09c-0baff6b634ec"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"33b75bc5-981d-4fb8-8c16-e4ec39f55b5d","elementid":"7f223b0e-a137-4dcb-aefb-992f8c875656","modelid":"b52132a5-3e5b-40f0-b09c-0baff6b634ec"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
