(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6b2a2e89-f696-4f02-98bd-e0394e1c424a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6b2a2e89-f696-4f02-98bd-e0394e1c424a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6a5ea736-a610-430e-9785-c081163d826a":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"3815051b-1bfe-4468-ad6f-0b89705a3e18","type":"Plot"},"ticker":{"id":"5ec3f3b3-0044-4c61-b1f8-0b43e9ee8b86","type":"BasicTicker"}},"id":"58f259d9-6d31-4118-87d1-5e2c3c5a6a29","type":"Grid"},{"attributes":{},"id":"5ec3f3b3-0044-4c61-b1f8-0b43e9ee8b86","type":"BasicTicker"},{"attributes":{},"id":"e63e9b36-7562-49b0-a779-872bd85840e3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e63e9b36-7562-49b0-a779-872bd85840e3","type":"BasicTickFormatter"},"plot":{"id":"3815051b-1bfe-4468-ad6f-0b89705a3e18","type":"Plot"},"ticker":{"id":"5ec3f3b3-0044-4c61-b1f8-0b43e9ee8b86","type":"BasicTicker"}},"id":"fb5dd309-bd26-40df-b311-a2e3e1c8b3b7","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2f004f21-7706-409b-b933-affde2b911a4","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"bd257a50-40c1-4fe0-b053-20487ac1a053","type":"Toolbar"},{"attributes":{"data_source":{"id":"f538a2e4-1629-4d6b-be09-df4fe50b1600","type":"ColumnDataSource"},"glyph":{"id":"e34359aa-5cec-4a0f-87dc-2f3f686d2a77","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d20f311f-d56a-4038-a896-a187fe96ff4a","type":"CDSView"}},"id":"e0ec78b4-e47d-4d21-99bd-d0466e2dd102","type":"GlyphRenderer"},{"attributes":{},"id":"84727822-7427-49e2-99d5-a8d1be66ed4c","type":"BasicTicker"},{"attributes":{"source":{"id":"f538a2e4-1629-4d6b-be09-df4fe50b1600","type":"ColumnDataSource"}},"id":"d20f311f-d56a-4038-a896-a187fe96ff4a","type":"CDSView"},{"attributes":{},"id":"39472d9e-473d-430f-a173-1842d1c6c42d","type":"LinearScale"},{"attributes":{"callback":null},"id":"62b293cb-b4ef-4ade-92fb-447c115ec02f","type":"DataRange1d"},{"attributes":{},"id":"20d51d31-b31f-4fb0-bb23-267b63686154","type":"LinearScale"},{"attributes":{"formatter":{"id":"5f97a1dc-73aa-47d6-9ce1-b5ff3b6d3ee8","type":"BasicTickFormatter"},"plot":{"id":"3815051b-1bfe-4468-ad6f-0b89705a3e18","type":"Plot"},"ticker":{"id":"84727822-7427-49e2-99d5-a8d1be66ed4c","type":"BasicTicker"}},"id":"9b058545-d1eb-4357-94ab-d96d60cff49f","type":"LinearAxis"},{"attributes":{},"id":"5f97a1dc-73aa-47d6-9ce1-b5ff3b6d3ee8","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"3815051b-1bfe-4468-ad6f-0b89705a3e18","type":"Plot"},"ticker":{"id":"84727822-7427-49e2-99d5-a8d1be66ed4c","type":"BasicTicker"}},"id":"8b3a6c15-9bab-4034-8854-c83d6886fed5","type":"Grid"},{"attributes":{"below":[{"id":"9b058545-d1eb-4357-94ab-d96d60cff49f","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"fb5dd309-bd26-40df-b311-a2e3e1c8b3b7","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"e0ec78b4-e47d-4d21-99bd-d0466e2dd102","type":"GlyphRenderer"},{"id":"9b058545-d1eb-4357-94ab-d96d60cff49f","type":"LinearAxis"},{"id":"fb5dd309-bd26-40df-b311-a2e3e1c8b3b7","type":"LinearAxis"},{"id":"8b3a6c15-9bab-4034-8854-c83d6886fed5","type":"Grid"},{"id":"58f259d9-6d31-4118-87d1-5e2c3c5a6a29","type":"Grid"}],"title":null,"toolbar":{"id":"bd257a50-40c1-4fe0-b053-20487ac1a053","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"62b293cb-b4ef-4ade-92fb-447c115ec02f","type":"DataRange1d"},"x_scale":{"id":"39472d9e-473d-430f-a173-1842d1c6c42d","type":"LinearScale"},"y_range":{"id":"2f004f21-7706-409b-b933-affde2b911a4","type":"DataRange1d"},"y_scale":{"id":"20d51d31-b31f-4fb0-bb23-267b63686154","type":"LinearScale"}},"id":"3815051b-1bfe-4468-ad6f-0b89705a3e18","type":"Plot"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#B3DE69"},"radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"e34359aa-5cec-4a0f-87dc-2f3f686d2a77","type":"Wedge"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"f538a2e4-1629-4d6b-be09-df4fe50b1600","type":"ColumnDataSource"}],"root_ids":["3815051b-1bfe-4468-ad6f-0b89705a3e18"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6a5ea736-a610-430e-9785-c081163d826a","elementid":"6b2a2e89-f696-4f02-98bd-e0394e1c424a","modelid":"3815051b-1bfe-4468-ad6f-0b89705a3e18"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
