(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("df2bb07e-e4ff-4268-9b09-eace354f9dfd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'df2bb07e-e4ff-4268-9b09-eace354f9dfd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4e987509-5176-41aa-861b-0da199c9556a":{"roots":{"references":[{"attributes":{},"id":"917c9fb4-859a-4f1e-8ded-015890f4c58d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"07406204-2534-4a3d-ac0b-fcd5a91091b2","type":"BasicTickFormatter"},"plot":{"id":"24c55a5b-16fc-481e-b38b-2fd43cdf4335","type":"Plot"},"ticker":{"id":"fbe7463f-2c99-431d-aad1-87264f2f95b8","type":"BasicTicker"}},"id":"9d6c64f3-697e-4872-af47-bbe31ee8db86","type":"LinearAxis"},{"attributes":{},"id":"38665dc4-a9e5-4445-b8bc-52277794fe5f","type":"LinearScale"},{"attributes":{"callback":null},"id":"8bf070d8-504a-4834-9d96-19ae8d86560a","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"24c55a5b-16fc-481e-b38b-2fd43cdf4335","type":"Plot"},"ticker":{"id":"fbe7463f-2c99-431d-aad1-87264f2f95b8","type":"BasicTicker"}},"id":"dc6cb56e-73b1-48b5-ac7d-bd07a85f73ba","type":"Grid"},{"attributes":{"callback":null},"id":"e8ae1e5c-c886-4ddf-8a99-842934fa77cc","type":"DataRange1d"},{"attributes":{"source":{"id":"3d251299-d9b0-4cde-9e00-a3f0660d4f1f","type":"ColumnDataSource"}},"id":"f6a90222-9dc2-44af-9fd2-b9068c8cd8f0","type":"CDSView"},{"attributes":{"formatter":{"id":"92c9cdfd-011d-4dc3-a72a-c67422e97ebd","type":"BasicTickFormatter"},"plot":{"id":"24c55a5b-16fc-481e-b38b-2fd43cdf4335","type":"Plot"},"ticker":{"id":"917c9fb4-859a-4f1e-8ded-015890f4c58d","type":"BasicTicker"}},"id":"23793104-271c-4dde-88c0-0cbc6877537a","type":"LinearAxis"},{"attributes":{},"id":"fbe7463f-2c99-431d-aad1-87264f2f95b8","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b0edbb09-bca7-4a9d-a6b6-5445cbadb7cb","type":"Toolbar"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#1c9099"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2469fa5b-9300-4c2e-b86e-b25b0bd05528","type":"Diamond"},{"attributes":{"data_source":{"id":"3d251299-d9b0-4cde-9e00-a3f0660d4f1f","type":"ColumnDataSource"},"glyph":{"id":"2469fa5b-9300-4c2e-b86e-b25b0bd05528","type":"Diamond"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"f6a90222-9dc2-44af-9fd2-b9068c8cd8f0","type":"CDSView"}},"id":"dda4e662-ca2b-4434-818a-2cfb547769a5","type":"GlyphRenderer"},{"attributes":{},"id":"92c9cdfd-011d-4dc3-a72a-c67422e97ebd","type":"BasicTickFormatter"},{"attributes":{},"id":"07406204-2534-4a3d-ac0b-fcd5a91091b2","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"23793104-271c-4dde-88c0-0cbc6877537a","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"9d6c64f3-697e-4872-af47-bbe31ee8db86","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"dda4e662-ca2b-4434-818a-2cfb547769a5","type":"GlyphRenderer"},{"id":"23793104-271c-4dde-88c0-0cbc6877537a","type":"LinearAxis"},{"id":"9d6c64f3-697e-4872-af47-bbe31ee8db86","type":"LinearAxis"},{"id":"60ab4685-602b-41f8-abf7-8a4f4c9a1223","type":"Grid"},{"id":"dc6cb56e-73b1-48b5-ac7d-bd07a85f73ba","type":"Grid"}],"title":null,"toolbar":{"id":"b0edbb09-bca7-4a9d-a6b6-5445cbadb7cb","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e8ae1e5c-c886-4ddf-8a99-842934fa77cc","type":"DataRange1d"},"x_scale":{"id":"f5578bf7-4477-41ea-aac1-4c1aaab438f2","type":"LinearScale"},"y_range":{"id":"8bf070d8-504a-4834-9d96-19ae8d86560a","type":"DataRange1d"},"y_scale":{"id":"38665dc4-a9e5-4445-b8bc-52277794fe5f","type":"LinearScale"}},"id":"24c55a5b-16fc-481e-b38b-2fd43cdf4335","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"3d251299-d9b0-4cde-9e00-a3f0660d4f1f","type":"ColumnDataSource"},{"attributes":{},"id":"f5578bf7-4477-41ea-aac1-4c1aaab438f2","type":"LinearScale"},{"attributes":{"plot":{"id":"24c55a5b-16fc-481e-b38b-2fd43cdf4335","type":"Plot"},"ticker":{"id":"917c9fb4-859a-4f1e-8ded-015890f4c58d","type":"BasicTicker"}},"id":"60ab4685-602b-41f8-abf7-8a4f4c9a1223","type":"Grid"}],"root_ids":["24c55a5b-16fc-481e-b38b-2fd43cdf4335"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4e987509-5176-41aa-861b-0da199c9556a","elementid":"df2bb07e-e4ff-4268-9b09-eace354f9dfd","modelid":"24c55a5b-16fc-481e-b38b-2fd43cdf4335"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
