(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9bbdab7b-54bd-41d7-acc6-2c756dc54ee5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9bbdab7b-54bd-41d7-acc6-2c756dc54ee5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0e3752a6-6de3-4f66-81ac-7e3558e33bf1":{"roots":{"references":[{"attributes":{},"id":"f5591782-0339-4420-9fc0-949a56c26bdc","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d091bddc-4b18-432c-9509-8d52973e02cd","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"b9a1c3c6-259a-405a-a249-3f7cdfa7792b","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"9a4ab39a-d1f9-4aff-b0d5-9869e72037db","type":"BasicTickFormatter"},"plot":{"id":"2329ca4c-5f23-431e-b0a5-f60e2bc8633a","type":"Plot"},"ticker":{"id":"8e6a198d-f3ef-4f45-bbe6-1049e51c6039","type":"BasicTicker"}},"id":"51ffc8d3-23f0-405d-9410-dc331fc05bc4","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"2329ca4c-5f23-431e-b0a5-f60e2bc8633a","type":"Plot"},"ticker":{"id":"d3d20708-b2e1-48a7-b9d5-2d081396c275","type":"BasicTicker"}},"id":"ba29b674-211f-464d-8d06-011d408de5d1","type":"Grid"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#386cb0"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"54dd212d-aa30-4a81-8cf4-f5d717e15132","type":"DiamondCross"},{"attributes":{},"id":"ee702281-d65c-4f0b-9747-90a52e04dc57","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"51ffc8d3-23f0-405d-9410-dc331fc05bc4","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"8910c93a-edc1-4eae-9acf-952b313cd562","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"54ab337c-892a-49e9-bbe5-258e61cfa206","type":"GlyphRenderer"},{"id":"51ffc8d3-23f0-405d-9410-dc331fc05bc4","type":"LinearAxis"},{"id":"8910c93a-edc1-4eae-9acf-952b313cd562","type":"LinearAxis"},{"id":"1e119299-5ce8-41e5-8f22-e28cfeb4b069","type":"Grid"},{"id":"ba29b674-211f-464d-8d06-011d408de5d1","type":"Grid"}],"title":null,"toolbar":{"id":"d091bddc-4b18-432c-9509-8d52973e02cd","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"91555bee-0ab2-40a0-88e5-56b64eae8db2","type":"DataRange1d"},"x_scale":{"id":"11072e54-d61c-4877-b429-5f2d1191563d","type":"LinearScale"},"y_range":{"id":"b54782a5-9f94-4dec-a7cc-cfff8c66f80f","type":"DataRange1d"},"y_scale":{"id":"f5591782-0339-4420-9fc0-949a56c26bdc","type":"LinearScale"}},"id":"2329ca4c-5f23-431e-b0a5-f60e2bc8633a","type":"Plot"},{"attributes":{"callback":null},"id":"91555bee-0ab2-40a0-88e5-56b64eae8db2","type":"DataRange1d"},{"attributes":{"data_source":{"id":"b9a1c3c6-259a-405a-a249-3f7cdfa7792b","type":"ColumnDataSource"},"glyph":{"id":"54dd212d-aa30-4a81-8cf4-f5d717e15132","type":"DiamondCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"fa082ae4-06f7-49b2-b43d-6287ea50004d","type":"CDSView"}},"id":"54ab337c-892a-49e9-bbe5-258e61cfa206","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"b54782a5-9f94-4dec-a7cc-cfff8c66f80f","type":"DataRange1d"},{"attributes":{"plot":{"id":"2329ca4c-5f23-431e-b0a5-f60e2bc8633a","type":"Plot"},"ticker":{"id":"8e6a198d-f3ef-4f45-bbe6-1049e51c6039","type":"BasicTicker"}},"id":"1e119299-5ce8-41e5-8f22-e28cfeb4b069","type":"Grid"},{"attributes":{},"id":"8e6a198d-f3ef-4f45-bbe6-1049e51c6039","type":"BasicTicker"},{"attributes":{},"id":"9a4ab39a-d1f9-4aff-b0d5-9869e72037db","type":"BasicTickFormatter"},{"attributes":{},"id":"d3d20708-b2e1-48a7-b9d5-2d081396c275","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ee702281-d65c-4f0b-9747-90a52e04dc57","type":"BasicTickFormatter"},"plot":{"id":"2329ca4c-5f23-431e-b0a5-f60e2bc8633a","type":"Plot"},"ticker":{"id":"d3d20708-b2e1-48a7-b9d5-2d081396c275","type":"BasicTicker"}},"id":"8910c93a-edc1-4eae-9acf-952b313cd562","type":"LinearAxis"},{"attributes":{"source":{"id":"b9a1c3c6-259a-405a-a249-3f7cdfa7792b","type":"ColumnDataSource"}},"id":"fa082ae4-06f7-49b2-b43d-6287ea50004d","type":"CDSView"},{"attributes":{},"id":"11072e54-d61c-4877-b429-5f2d1191563d","type":"LinearScale"}],"root_ids":["2329ca4c-5f23-431e-b0a5-f60e2bc8633a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0e3752a6-6de3-4f66-81ac-7e3558e33bf1","elementid":"9bbdab7b-54bd-41d7-acc6-2c756dc54ee5","modelid":"2329ca4c-5f23-431e-b0a5-f60e2bc8633a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
