(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("da0f8997-9e2c-43e3-9cc9-286a4b0f65a8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'da0f8997-9e2c-43e3-9cc9-286a4b0f65a8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e99533eb-d4ee-44a7-afb3-ac5ded6e6f64":{"roots":{"references":[{"attributes":{},"id":"7729e9e7-fe6b-4442-beec-fac58d867753","type":"LinearScale"},{"attributes":{},"id":"bfad20f6-3d98-4194-a7e2-9c18033e12fc","type":"BasicTicker"},{"attributes":{"callback":null},"id":"5bf458dc-0c87-4990-9e96-e57bf202a604","type":"DataRange1d"},{"attributes":{"plot":{"id":"1f36e44a-01a2-4b76-84b3-a48128dfbc1f","type":"Plot"},"ticker":{"id":"649f567b-3562-455f-a9bc-57ab561ca706","type":"BasicTicker"}},"id":"e2eb19f7-371b-454e-bf11-a456fb604065","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b385104c-ea21-4f71-a842-18ec95355fa1","type":"Toolbar"},{"attributes":{"formatter":{"id":"0caabc6d-816c-4000-9798-9216daf49e94","type":"BasicTickFormatter"},"plot":{"id":"1f36e44a-01a2-4b76-84b3-a48128dfbc1f","type":"Plot"},"ticker":{"id":"bfad20f6-3d98-4194-a7e2-9c18033e12fc","type":"BasicTicker"}},"id":"67c56537-e4b4-4586-a662-466ca80e7e3f","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"27e48891-c11b-4a13-97b8-314fbd1717e5","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"5f8310f9-630c-4ab6-995d-f1c60e60e190","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"67c56537-e4b4-4586-a662-466ca80e7e3f","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"5bb5d625-4457-4024-969d-1fe7dcb642c3","type":"GlyphRenderer"},{"id":"5f8310f9-630c-4ab6-995d-f1c60e60e190","type":"LinearAxis"},{"id":"67c56537-e4b4-4586-a662-466ca80e7e3f","type":"LinearAxis"},{"id":"e2eb19f7-371b-454e-bf11-a456fb604065","type":"Grid"},{"id":"f3e3674b-3250-4daf-8524-1395acd6e2f6","type":"Grid"}],"title":null,"toolbar":{"id":"b385104c-ea21-4f71-a842-18ec95355fa1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2fd02453-f6d6-4db4-9bce-888ffdca8792","type":"DataRange1d"},"x_scale":{"id":"7729e9e7-fe6b-4442-beec-fac58d867753","type":"LinearScale"},"y_range":{"id":"5bf458dc-0c87-4990-9e96-e57bf202a604","type":"DataRange1d"},"y_scale":{"id":"46642434-9936-4fe3-b329-216df3da7f97","type":"LinearScale"}},"id":"1f36e44a-01a2-4b76-84b3-a48128dfbc1f","type":"Plot"},{"attributes":{},"id":"649f567b-3562-455f-a9bc-57ab561ca706","type":"BasicTicker"},{"attributes":{"data_source":{"id":"27e48891-c11b-4a13-97b8-314fbd1717e5","type":"ColumnDataSource"},"glyph":{"id":"93b6fb0d-76d2-4d08-b443-e479d544738f","type":"InvertedTriangle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"712ecd59-96fc-4b8b-b1a7-229e5d757aac","type":"CDSView"}},"id":"5bb5d625-4457-4024-969d-1fe7dcb642c3","type":"GlyphRenderer"},{"attributes":{},"id":"46642434-9936-4fe3-b329-216df3da7f97","type":"LinearScale"},{"attributes":{"callback":null},"id":"2fd02453-f6d6-4db4-9bce-888ffdca8792","type":"DataRange1d"},{"attributes":{},"id":"0caabc6d-816c-4000-9798-9216daf49e94","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#de2d26"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"93b6fb0d-76d2-4d08-b443-e479d544738f","type":"InvertedTriangle"},{"attributes":{"source":{"id":"27e48891-c11b-4a13-97b8-314fbd1717e5","type":"ColumnDataSource"}},"id":"712ecd59-96fc-4b8b-b1a7-229e5d757aac","type":"CDSView"},{"attributes":{"formatter":{"id":"e5dc9857-7e18-4e68-b7d8-e5cd12b6b618","type":"BasicTickFormatter"},"plot":{"id":"1f36e44a-01a2-4b76-84b3-a48128dfbc1f","type":"Plot"},"ticker":{"id":"649f567b-3562-455f-a9bc-57ab561ca706","type":"BasicTicker"}},"id":"5f8310f9-630c-4ab6-995d-f1c60e60e190","type":"LinearAxis"},{"attributes":{},"id":"e5dc9857-7e18-4e68-b7d8-e5cd12b6b618","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"1f36e44a-01a2-4b76-84b3-a48128dfbc1f","type":"Plot"},"ticker":{"id":"bfad20f6-3d98-4194-a7e2-9c18033e12fc","type":"BasicTicker"}},"id":"f3e3674b-3250-4daf-8524-1395acd6e2f6","type":"Grid"}],"root_ids":["1f36e44a-01a2-4b76-84b3-a48128dfbc1f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e99533eb-d4ee-44a7-afb3-ac5ded6e6f64","elementid":"da0f8997-9e2c-43e3-9cc9-286a4b0f65a8","modelid":"1f36e44a-01a2-4b76-84b3-a48128dfbc1f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
