(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dfb86a47-eacc-47dd-99aa-9afb474d39da");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dfb86a47-eacc-47dd-99aa-9afb474d39da' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e2039dad-047e-4282-8592-fb4829dae48f":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"260fb6e3-a927-42f6-b77b-2c5f8ed4375d","type":"Plot"},"ticker":{"id":"15f3d84f-1d00-47e8-8384-ba7d1e50f830","type":"BasicTicker"}},"id":"a8bf045a-028b-4cf8-9b1a-8b282cfbb0aa","type":"Grid"},{"attributes":{},"id":"ed7bc5e5-aec6-4d27-86c3-705215eda8cb","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"75db1666-cf1c-411b-b68b-e09564c43832","type":"ColumnDataSource"},"glyph":{"id":"a8204a5b-0d8e-4342-811d-6ce402f5bf29","type":"Square"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e25c9cc7-11d5-472f-b9e1-8d4a27af23e0","type":"CDSView"}},"id":"71206e39-e1b5-46d5-a8a9-4ed40ae74801","type":"GlyphRenderer"},{"attributes":{"source":{"id":"75db1666-cf1c-411b-b68b-e09564c43832","type":"ColumnDataSource"}},"id":"e25c9cc7-11d5-472f-b9e1-8d4a27af23e0","type":"CDSView"},{"attributes":{"callback":null},"id":"11404929-aef9-4829-b4d6-88d85d6e953a","type":"DataRange1d"},{"attributes":{"formatter":{"id":"caa70f9c-52db-4273-96d2-18871dd1f941","type":"BasicTickFormatter"},"plot":{"id":"260fb6e3-a927-42f6-b77b-2c5f8ed4375d","type":"Plot"},"ticker":{"id":"41a045e5-78f2-4342-a264-647d45aec309","type":"BasicTicker"}},"id":"7283d7fe-fc77-4742-85b4-9d6d5d0dadfe","type":"LinearAxis"},{"attributes":{},"id":"7c7774d8-6d51-4403-84e4-388a019aedfc","type":"LinearScale"},{"attributes":{"callback":null},"id":"d6b88510-c218-47be-8069-65bace419576","type":"DataRange1d"},{"attributes":{"below":[{"id":"7283d7fe-fc77-4742-85b4-9d6d5d0dadfe","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"7670fd72-e4d3-44ed-8171-0fb0bed25543","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"71206e39-e1b5-46d5-a8a9-4ed40ae74801","type":"GlyphRenderer"},{"id":"7283d7fe-fc77-4742-85b4-9d6d5d0dadfe","type":"LinearAxis"},{"id":"7670fd72-e4d3-44ed-8171-0fb0bed25543","type":"LinearAxis"},{"id":"8eeff768-4945-44e7-8c04-2d0eab996343","type":"Grid"},{"id":"a8bf045a-028b-4cf8-9b1a-8b282cfbb0aa","type":"Grid"}],"title":null,"toolbar":{"id":"52472dc0-ded0-4576-aa6b-e031725516b0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"11404929-aef9-4829-b4d6-88d85d6e953a","type":"DataRange1d"},"x_scale":{"id":"7c7774d8-6d51-4403-84e4-388a019aedfc","type":"LinearScale"},"y_range":{"id":"d6b88510-c218-47be-8069-65bace419576","type":"DataRange1d"},"y_scale":{"id":"0078f286-29af-4c25-a728-de9f86aead90","type":"LinearScale"}},"id":"260fb6e3-a927-42f6-b77b-2c5f8ed4375d","type":"Plot"},{"attributes":{},"id":"41a045e5-78f2-4342-a264-647d45aec309","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"75db1666-cf1c-411b-b68b-e09564c43832","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"52472dc0-ded0-4576-aa6b-e031725516b0","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#74add1"},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a8204a5b-0d8e-4342-811d-6ce402f5bf29","type":"Square"},{"attributes":{"formatter":{"id":"ed7bc5e5-aec6-4d27-86c3-705215eda8cb","type":"BasicTickFormatter"},"plot":{"id":"260fb6e3-a927-42f6-b77b-2c5f8ed4375d","type":"Plot"},"ticker":{"id":"15f3d84f-1d00-47e8-8384-ba7d1e50f830","type":"BasicTicker"}},"id":"7670fd72-e4d3-44ed-8171-0fb0bed25543","type":"LinearAxis"},{"attributes":{"plot":{"id":"260fb6e3-a927-42f6-b77b-2c5f8ed4375d","type":"Plot"},"ticker":{"id":"41a045e5-78f2-4342-a264-647d45aec309","type":"BasicTicker"}},"id":"8eeff768-4945-44e7-8c04-2d0eab996343","type":"Grid"},{"attributes":{},"id":"15f3d84f-1d00-47e8-8384-ba7d1e50f830","type":"BasicTicker"},{"attributes":{},"id":"caa70f9c-52db-4273-96d2-18871dd1f941","type":"BasicTickFormatter"},{"attributes":{},"id":"0078f286-29af-4c25-a728-de9f86aead90","type":"LinearScale"}],"root_ids":["260fb6e3-a927-42f6-b77b-2c5f8ed4375d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e2039dad-047e-4282-8592-fb4829dae48f","elementid":"dfb86a47-eacc-47dd-99aa-9afb474d39da","modelid":"260fb6e3-a927-42f6-b77b-2c5f8ed4375d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
