(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0cc5850d-7610-48be-ab18-c19952091c87");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0cc5850d-7610-48be-ab18-c19952091c87' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8a618954-efad-4ef6-9298-b332744d36e2":{"roots":{"references":[{"attributes":{},"id":"0afe5359-ee3b-4124-a087-62cbfcb1809f","type":"LinearScale"},{"attributes":{"formatter":{"id":"ed5f44e4-29ab-416d-adca-5964569e2b2c","type":"BasicTickFormatter"},"plot":{"id":"30ccbb36-edce-43a6-93b9-fdb483f8c5fe","type":"Plot"},"ticker":{"id":"bea0d01b-b48a-4602-9595-247f3d653c48","type":"BasicTicker"}},"id":"ddec2877-3ebc-4e88-ad1c-fc4d3f8efd4e","type":"LinearAxis"},{"attributes":{},"id":"bea0d01b-b48a-4602-9595-247f3d653c48","type":"BasicTicker"},{"attributes":{},"id":"ed5f44e4-29ab-416d-adca-5964569e2b2c","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fdae6b"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7eaa149f-edb3-45ee-9c70-a524d5774409","type":"SquareX"},{"attributes":{"source":{"id":"ce4c0c8e-7caf-437e-b95a-ea3ea3e3f8a1","type":"ColumnDataSource"}},"id":"52f528d9-38c6-4c01-a547-7eccf8759568","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"bc40d561-99ea-44be-870f-347af5a616ae","type":"Toolbar"},{"attributes":{"below":[{"id":"70870131-ba03-407b-b3ae-051a01ab2371","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"ddec2877-3ebc-4e88-ad1c-fc4d3f8efd4e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"64e20236-c422-4f1d-805e-809f08891b21","type":"GlyphRenderer"},{"id":"70870131-ba03-407b-b3ae-051a01ab2371","type":"LinearAxis"},{"id":"ddec2877-3ebc-4e88-ad1c-fc4d3f8efd4e","type":"LinearAxis"},{"id":"f20291fe-fbd9-46fb-a34b-0ad872400d1d","type":"Grid"},{"id":"d9b93144-1545-4de8-8ab1-164bb3b3f8be","type":"Grid"}],"title":null,"toolbar":{"id":"bc40d561-99ea-44be-870f-347af5a616ae","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"82bab5f1-4cc7-4004-98e0-567b0f02f581","type":"DataRange1d"},"x_scale":{"id":"0afe5359-ee3b-4124-a087-62cbfcb1809f","type":"LinearScale"},"y_range":{"id":"98b97300-0e73-4eb6-aca7-470c26de3b88","type":"DataRange1d"},"y_scale":{"id":"1609e170-cbea-4518-bdb0-73b847ac0c74","type":"LinearScale"}},"id":"30ccbb36-edce-43a6-93b9-fdb483f8c5fe","type":"Plot"},{"attributes":{"data_source":{"id":"ce4c0c8e-7caf-437e-b95a-ea3ea3e3f8a1","type":"ColumnDataSource"},"glyph":{"id":"7eaa149f-edb3-45ee-9c70-a524d5774409","type":"SquareX"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"52f528d9-38c6-4c01-a547-7eccf8759568","type":"CDSView"}},"id":"64e20236-c422-4f1d-805e-809f08891b21","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"30ccbb36-edce-43a6-93b9-fdb483f8c5fe","type":"Plot"},"ticker":{"id":"1e7f36bb-31f8-4f8c-b2cc-b0cf45f83b8d","type":"BasicTicker"}},"id":"f20291fe-fbd9-46fb-a34b-0ad872400d1d","type":"Grid"},{"attributes":{},"id":"1609e170-cbea-4518-bdb0-73b847ac0c74","type":"LinearScale"},{"attributes":{"callback":null},"id":"82bab5f1-4cc7-4004-98e0-567b0f02f581","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"ce4c0c8e-7caf-437e-b95a-ea3ea3e3f8a1","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"98b97300-0e73-4eb6-aca7-470c26de3b88","type":"DataRange1d"},{"attributes":{},"id":"83cad706-2d58-4991-81a7-badb6c17455e","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"83cad706-2d58-4991-81a7-badb6c17455e","type":"BasicTickFormatter"},"plot":{"id":"30ccbb36-edce-43a6-93b9-fdb483f8c5fe","type":"Plot"},"ticker":{"id":"1e7f36bb-31f8-4f8c-b2cc-b0cf45f83b8d","type":"BasicTicker"}},"id":"70870131-ba03-407b-b3ae-051a01ab2371","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"30ccbb36-edce-43a6-93b9-fdb483f8c5fe","type":"Plot"},"ticker":{"id":"bea0d01b-b48a-4602-9595-247f3d653c48","type":"BasicTicker"}},"id":"d9b93144-1545-4de8-8ab1-164bb3b3f8be","type":"Grid"},{"attributes":{},"id":"1e7f36bb-31f8-4f8c-b2cc-b0cf45f83b8d","type":"BasicTicker"}],"root_ids":["30ccbb36-edce-43a6-93b9-fdb483f8c5fe"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8a618954-efad-4ef6-9298-b332744d36e2","elementid":"0cc5850d-7610-48be-ab18-c19952091c87","modelid":"30ccbb36-edce-43a6-93b9-fdb483f8c5fe"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
