(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cff515cd-39d5-45c9-ae14-a85127f91bdf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cff515cd-39d5-45c9-ae14-a85127f91bdf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ceed5f7a-bc69-44a6-bd01-4886ecdeba5c":{"roots":{"references":[{"attributes":{"callback":null},"id":"3c98a37e-4397-46bb-9356-9b151e0e09dd","type":"DataRange1d"},{"attributes":{"data_source":{"id":"8076e2f9-4331-4325-8773-9547b5fdc8eb","type":"ColumnDataSource"},"glyph":{"id":"2a7ae4b0-c4d8-4d78-84dd-68f22f212253","type":"X"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"2c9c4294-b154-42ca-be18-1965e8e9e16d","type":"CDSView"}},"id":"4abf35ab-3208-4bbc-92d8-ea6ae01e51bc","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fdae6b"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2a7ae4b0-c4d8-4d78-84dd-68f22f212253","type":"X"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"8076e2f9-4331-4325-8773-9547b5fdc8eb","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"79f7c113-7887-46e9-b0c4-ef923d2d559d","type":"Toolbar"},{"attributes":{"callback":null},"id":"b7c17c60-290d-4103-8404-4c7602ba1801","type":"DataRange1d"},{"attributes":{},"id":"938192ae-da33-421f-bbdc-dadd3f822728","type":"BasicTicker"},{"attributes":{},"id":"c9aeed5f-f5d2-44e9-9039-c748d2f50c03","type":"BasicTicker"},{"attributes":{},"id":"ebc823de-fc38-46c2-917a-1e3c521d8c61","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"106b57f5-a32b-41fc-8ed8-e24129299364","type":"BasicTickFormatter"},"plot":{"id":"dc046455-fd0e-4697-a588-f4476d03f1a0","type":"Plot"},"ticker":{"id":"938192ae-da33-421f-bbdc-dadd3f822728","type":"BasicTicker"}},"id":"5e1f7c64-65b7-40da-8fed-9f35b9b7e1d9","type":"LinearAxis"},{"attributes":{},"id":"85b0c06a-a8e3-42b0-ae57-5b14b9d2a9ff","type":"LinearScale"},{"attributes":{},"id":"122bf49b-dadb-4269-97c4-cf8b8d189eac","type":"LinearScale"},{"attributes":{"formatter":{"id":"ebc823de-fc38-46c2-917a-1e3c521d8c61","type":"BasicTickFormatter"},"plot":{"id":"dc046455-fd0e-4697-a588-f4476d03f1a0","type":"Plot"},"ticker":{"id":"c9aeed5f-f5d2-44e9-9039-c748d2f50c03","type":"BasicTicker"}},"id":"4180909a-1e12-4478-b9b2-9cf682673ec9","type":"LinearAxis"},{"attributes":{"plot":{"id":"dc046455-fd0e-4697-a588-f4476d03f1a0","type":"Plot"},"ticker":{"id":"938192ae-da33-421f-bbdc-dadd3f822728","type":"BasicTicker"}},"id":"69676bc3-44e4-436d-b05a-1da37cc53f7b","type":"Grid"},{"attributes":{},"id":"106b57f5-a32b-41fc-8ed8-e24129299364","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"8076e2f9-4331-4325-8773-9547b5fdc8eb","type":"ColumnDataSource"}},"id":"2c9c4294-b154-42ca-be18-1965e8e9e16d","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"dc046455-fd0e-4697-a588-f4476d03f1a0","type":"Plot"},"ticker":{"id":"c9aeed5f-f5d2-44e9-9039-c748d2f50c03","type":"BasicTicker"}},"id":"a632151f-7eb8-4ebb-b4a6-b45baad68753","type":"Grid"},{"attributes":{"below":[{"id":"5e1f7c64-65b7-40da-8fed-9f35b9b7e1d9","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"4180909a-1e12-4478-b9b2-9cf682673ec9","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"4abf35ab-3208-4bbc-92d8-ea6ae01e51bc","type":"GlyphRenderer"},{"id":"5e1f7c64-65b7-40da-8fed-9f35b9b7e1d9","type":"LinearAxis"},{"id":"4180909a-1e12-4478-b9b2-9cf682673ec9","type":"LinearAxis"},{"id":"69676bc3-44e4-436d-b05a-1da37cc53f7b","type":"Grid"},{"id":"a632151f-7eb8-4ebb-b4a6-b45baad68753","type":"Grid"}],"title":null,"toolbar":{"id":"79f7c113-7887-46e9-b0c4-ef923d2d559d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3c98a37e-4397-46bb-9356-9b151e0e09dd","type":"DataRange1d"},"x_scale":{"id":"122bf49b-dadb-4269-97c4-cf8b8d189eac","type":"LinearScale"},"y_range":{"id":"b7c17c60-290d-4103-8404-4c7602ba1801","type":"DataRange1d"},"y_scale":{"id":"85b0c06a-a8e3-42b0-ae57-5b14b9d2a9ff","type":"LinearScale"}},"id":"dc046455-fd0e-4697-a588-f4476d03f1a0","type":"Plot"}],"root_ids":["dc046455-fd0e-4697-a588-f4476d03f1a0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ceed5f7a-bc69-44a6-bd01-4886ecdeba5c","elementid":"cff515cd-39d5-45c9-ae14-a85127f91bdf","modelid":"dc046455-fd0e-4697-a588-f4476d03f1a0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
