(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8f1474cd-29f0-4f64-b63e-45ec620d215a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8f1474cd-29f0-4f64-b63e-45ec620d215a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"46475eb2-f053-4ce3-914c-1fb9f9e87218":{"roots":{"references":[{"attributes":{"callback":null},"id":"edfa06b1-8f37-4899-afa8-a4fb0ad1beec","type":"DataRange1d"},{"attributes":{"data_source":{"id":"4c50ad38-252c-48e2-a407-bc41d08d2678","type":"ColumnDataSource"},"glyph":{"id":"985f64f4-1a6b-41b0-aa54-6a8833d632d6","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"58961639-b46a-48c4-9e62-059f795b9019","type":"Annulus"},"selection_glyph":null,"view":{"id":"15aa911e-8938-42ae-a79f-cd1ab54e26bd","type":"CDSView"}},"id":"88946a4e-4ad9-4d16-a9d6-dd271b8388c4","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"d02fb74f-482c-4ddd-83a8-9d59ae6a9e65","type":"BasicTickFormatter"},"plot":{"id":"1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"86c4eb09-3368-4841-bba7-c683a84527e0","type":"BasicTicker"}},"id":"7f62e49b-915e-48c1-80a2-ca1fcada6ef0","type":"LinearAxis"},{"attributes":{"source":{"id":"4c50ad38-252c-48e2-a407-bc41d08d2678","type":"ColumnDataSource"}},"id":"15aa911e-8938-42ae-a79f-cd1ab54e26bd","type":"CDSView"},{"attributes":{},"id":"3366676f-a8e3-48a0-817a-f55fdec2d369","type":"BasicTicker"},{"attributes":{},"id":"313ddde2-a9ca-4bcf-ae27-24f35fb35924","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"527e45de-f734-49e6-bf53-4122307cc99f","type":"BoxAnnotation"},{"attributes":{},"id":"d02fb74f-482c-4ddd-83a8-9d59ae6a9e65","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"313ddde2-a9ca-4bcf-ae27-24f35fb35924","type":"PanTool"},{"id":"c81396ec-9eab-430a-a9b4-9e401b6181b7","type":"WheelZoomTool"},{"id":"1d82ddcc-0c20-45ba-8121-a124b0e66563","type":"BoxZoomTool"},{"id":"2be4c1c0-2ba0-452b-97f1-abe6c1ca2985","type":"SaveTool"},{"id":"cc4c8b00-e02f-4484-819b-bfa6c3b805fb","type":"ResetTool"},{"id":"afa92aca-29ef-413a-bd95-bb40df618881","type":"HelpTool"}]},"id":"cf17d0b9-988d-4074-9ae9-0f0ecc364aba","type":"Toolbar"},{"attributes":{"callback":null},"id":"64dd0633-839a-49ce-bac9-c7872a6ff14e","type":"DataRange1d"},{"attributes":{},"id":"03d7c4d9-2182-42e9-b12a-5b2c61a0fc6c","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"3366676f-a8e3-48a0-817a-f55fdec2d369","type":"BasicTicker"}},"id":"00b728f0-9180-403b-9509-7fe8a8dfbb39","type":"Grid"},{"attributes":{},"id":"2be4c1c0-2ba0-452b-97f1-abe6c1ca2985","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#7FC97F"},"inner_radius":{"units":"data","value":0.2},"line_color":{"value":"#7FC97F"},"outer_radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"985f64f4-1a6b-41b0-aa54-6a8833d632d6","type":"Annulus"},{"attributes":{},"id":"afa92aca-29ef-413a-bd95-bb40df618881","type":"HelpTool"},{"attributes":{},"id":"7fcd338e-c54a-4aba-b825-61b859873e32","type":"LinearScale"},{"attributes":{"overlay":{"id":"527e45de-f734-49e6-bf53-4122307cc99f","type":"BoxAnnotation"}},"id":"1d82ddcc-0c20-45ba-8121-a124b0e66563","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.2},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"58961639-b46a-48c4-9e62-059f795b9019","type":"Annulus"},{"attributes":{},"id":"f140ffdc-ad55-41d4-afa8-d401d99bf96a","type":"LinearScale"},{"attributes":{},"id":"86c4eb09-3368-4841-bba7-c683a84527e0","type":"BasicTicker"},{"attributes":{"below":[{"id":"53160cd9-43f8-4437-8721-b50e739cb863","type":"LinearAxis"}],"left":[{"id":"7f62e49b-915e-48c1-80a2-ca1fcada6ef0","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"53160cd9-43f8-4437-8721-b50e739cb863","type":"LinearAxis"},{"id":"00b728f0-9180-403b-9509-7fe8a8dfbb39","type":"Grid"},{"id":"7f62e49b-915e-48c1-80a2-ca1fcada6ef0","type":"LinearAxis"},{"id":"2ef1d84a-fff4-4ee8-b363-232666259e6a","type":"Grid"},{"id":"527e45de-f734-49e6-bf53-4122307cc99f","type":"BoxAnnotation"},{"id":"88946a4e-4ad9-4d16-a9d6-dd271b8388c4","type":"GlyphRenderer"}],"title":{"id":"4b6aaad3-835b-4308-a485-fa2188443e64","type":"Title"},"toolbar":{"id":"cf17d0b9-988d-4074-9ae9-0f0ecc364aba","type":"Toolbar"},"x_range":{"id":"64dd0633-839a-49ce-bac9-c7872a6ff14e","type":"DataRange1d"},"x_scale":{"id":"f140ffdc-ad55-41d4-afa8-d401d99bf96a","type":"LinearScale"},"y_range":{"id":"edfa06b1-8f37-4899-afa8-a4fb0ad1beec","type":"DataRange1d"},"y_scale":{"id":"7fcd338e-c54a-4aba-b825-61b859873e32","type":"LinearScale"}},"id":"1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"cc4c8b00-e02f-4484-819b-bfa6c3b805fb","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"4c50ad38-252c-48e2-a407-bc41d08d2678","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"86c4eb09-3368-4841-bba7-c683a84527e0","type":"BasicTicker"}},"id":"2ef1d84a-fff4-4ee8-b363-232666259e6a","type":"Grid"},{"attributes":{"formatter":{"id":"03d7c4d9-2182-42e9-b12a-5b2c61a0fc6c","type":"BasicTickFormatter"},"plot":{"id":"1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"3366676f-a8e3-48a0-817a-f55fdec2d369","type":"BasicTicker"}},"id":"53160cd9-43f8-4437-8721-b50e739cb863","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"4b6aaad3-835b-4308-a485-fa2188443e64","type":"Title"},{"attributes":{},"id":"c81396ec-9eab-430a-a9b4-9e401b6181b7","type":"WheelZoomTool"}],"root_ids":["1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"46475eb2-f053-4ce3-914c-1fb9f9e87218","elementid":"8f1474cd-29f0-4f64-b63e-45ec620d215a","modelid":"1b9ceaec-df8f-445a-b7d3-4dc99ac98f4f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
