(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a5e000bb-d054-491f-a572-9e07c55a8efd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a5e000bb-d054-491f-a572-9e07c55a8efd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9fcb7fdb-c910-4ef7-a837-d2b329419ef8":{"roots":{"references":[{"attributes":{},"id":"8c1385bd-29e1-40d2-a0cc-7f8cf26fb83b","type":"BasicTickFormatter"},{"attributes":{},"id":"31af7844-0178-4236-be43-1c12ce53338c","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"22374663-0de8-4289-a6cf-c9a3c217569b","type":"PanTool"},{"id":"31af7844-0178-4236-be43-1c12ce53338c","type":"WheelZoomTool"},{"id":"49d4c65c-0880-4467-b655-32302101c143","type":"BoxZoomTool"},{"id":"f5a12307-481f-4047-ae29-486628806345","type":"SaveTool"},{"id":"db73d4cd-428f-4047-980d-42a5fa1e3b11","type":"ResetTool"},{"id":"cc73f6e5-106a-4841-910f-a68082c706f3","type":"HelpTool"}]},"id":"ef19532c-0243-46c1-9ecf-77e3ef789ca1","type":"Toolbar"},{"attributes":{},"id":"40455cce-a591-4cb5-b1ff-54f30c3e507d","type":"LinearScale"},{"attributes":{"plot":{"id":"978172d5-a2a8-4ca3-954b-1485231ed851","subtype":"Figure","type":"Plot"},"ticker":{"id":"938e05c0-30c8-4c6d-9648-113ca5bac0cc","type":"BasicTicker"}},"id":"104e3f1c-676c-46dd-ab0b-0b44524a1432","type":"Grid"},{"attributes":{},"id":"22374663-0de8-4289-a6cf-c9a3c217569b","type":"PanTool"},{"attributes":{"callback":null},"id":"64f3f0e9-dd74-4999-b2f3-c6c1dc69f1d0","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#F0027F"},"line_color":{"value":"#F0027F"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"2af74ed2-42bb-4ec7-908d-ca1a6961c40a","type":"Asterisk"},{"attributes":{},"id":"e13ae630-3e44-4fa4-8881-6d438a7e076a","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"09051e78-4de3-49b5-9d8e-2f695e262333","type":"Title"},{"attributes":{},"id":"cc73f6e5-106a-4841-910f-a68082c706f3","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"978172d5-a2a8-4ca3-954b-1485231ed851","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe4b03ff-faf2-4922-b7d2-b2f885378331","type":"BasicTicker"}},"id":"d6f8ece9-9fc2-42cb-a635-d7218777e2b8","type":"Grid"},{"attributes":{"callback":null},"id":"13cc28fe-cdd9-4e68-90a4-6c7af53a267a","type":"DataRange1d"},{"attributes":{},"id":"db73d4cd-428f-4047-980d-42a5fa1e3b11","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f2f932d9-df28-4115-8a6d-e931ba79f90a","type":"Asterisk"},{"attributes":{},"id":"f5a12307-481f-4047-ae29-486628806345","type":"SaveTool"},{"attributes":{"formatter":{"id":"7b010994-1bd7-48b2-9db1-e980b1615828","type":"BasicTickFormatter"},"plot":{"id":"978172d5-a2a8-4ca3-954b-1485231ed851","subtype":"Figure","type":"Plot"},"ticker":{"id":"938e05c0-30c8-4c6d-9648-113ca5bac0cc","type":"BasicTicker"}},"id":"c2916818-5ef2-4bdc-9ec3-ee967866e873","type":"LinearAxis"},{"attributes":{"source":{"id":"16b81355-87d3-4954-b58e-a9356d7a5062","type":"ColumnDataSource"}},"id":"f085be27-f692-450e-b5c1-f14dec90033a","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"79f9600b-98c3-40ee-9273-13e4e62469f1","type":"BoxAnnotation"},{"attributes":{},"id":"7b010994-1bd7-48b2-9db1-e980b1615828","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"79f9600b-98c3-40ee-9273-13e4e62469f1","type":"BoxAnnotation"}},"id":"49d4c65c-0880-4467-b655-32302101c143","type":"BoxZoomTool"},{"attributes":{},"id":"938e05c0-30c8-4c6d-9648-113ca5bac0cc","type":"BasicTicker"},{"attributes":{"data_source":{"id":"16b81355-87d3-4954-b58e-a9356d7a5062","type":"ColumnDataSource"},"glyph":{"id":"2af74ed2-42bb-4ec7-908d-ca1a6961c40a","type":"Asterisk"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f2f932d9-df28-4115-8a6d-e931ba79f90a","type":"Asterisk"},"selection_glyph":null,"view":{"id":"f085be27-f692-450e-b5c1-f14dec90033a","type":"CDSView"}},"id":"fc6ae923-070f-4dd3-880f-e3b289c7cd5d","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"8c1385bd-29e1-40d2-a0cc-7f8cf26fb83b","type":"BasicTickFormatter"},"plot":{"id":"978172d5-a2a8-4ca3-954b-1485231ed851","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe4b03ff-faf2-4922-b7d2-b2f885378331","type":"BasicTicker"}},"id":"cda0b0a4-5091-4a42-81f8-836861acd3bc","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"16b81355-87d3-4954-b58e-a9356d7a5062","type":"ColumnDataSource"},{"attributes":{},"id":"fe4b03ff-faf2-4922-b7d2-b2f885378331","type":"BasicTicker"},{"attributes":{"below":[{"id":"c2916818-5ef2-4bdc-9ec3-ee967866e873","type":"LinearAxis"}],"left":[{"id":"cda0b0a4-5091-4a42-81f8-836861acd3bc","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c2916818-5ef2-4bdc-9ec3-ee967866e873","type":"LinearAxis"},{"id":"104e3f1c-676c-46dd-ab0b-0b44524a1432","type":"Grid"},{"id":"cda0b0a4-5091-4a42-81f8-836861acd3bc","type":"LinearAxis"},{"id":"d6f8ece9-9fc2-42cb-a635-d7218777e2b8","type":"Grid"},{"id":"79f9600b-98c3-40ee-9273-13e4e62469f1","type":"BoxAnnotation"},{"id":"fc6ae923-070f-4dd3-880f-e3b289c7cd5d","type":"GlyphRenderer"}],"title":{"id":"09051e78-4de3-49b5-9d8e-2f695e262333","type":"Title"},"toolbar":{"id":"ef19532c-0243-46c1-9ecf-77e3ef789ca1","type":"Toolbar"},"x_range":{"id":"13cc28fe-cdd9-4e68-90a4-6c7af53a267a","type":"DataRange1d"},"x_scale":{"id":"40455cce-a591-4cb5-b1ff-54f30c3e507d","type":"LinearScale"},"y_range":{"id":"64f3f0e9-dd74-4999-b2f3-c6c1dc69f1d0","type":"DataRange1d"},"y_scale":{"id":"e13ae630-3e44-4fa4-8881-6d438a7e076a","type":"LinearScale"}},"id":"978172d5-a2a8-4ca3-954b-1485231ed851","subtype":"Figure","type":"Plot"}],"root_ids":["978172d5-a2a8-4ca3-954b-1485231ed851"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9fcb7fdb-c910-4ef7-a837-d2b329419ef8","elementid":"a5e000bb-d054-491f-a572-9e07c55a8efd","modelid":"978172d5-a2a8-4ca3-954b-1485231ed851"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
