(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c6a17fb5-cdf5-4ae3-a1c0-37bc69f5266a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c6a17fb5-cdf5-4ae3-a1c0-37bc69f5266a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"da1f7ccb-3be5-4c4c-b20b-fcfffa56ea27":{"roots":{"references":[{"attributes":{"formatter":{"id":"0ce9f5ad-a368-443e-b451-cfe68307a3d2","type":"BasicTickFormatter"},"plot":{"id":"1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"add0519a-ac8d-46f4-9639-871eb7dff086","type":"BasicTicker"}},"id":"dbf3d962-2706-4d08-b3cb-9216606abe09","type":"LinearAxis"},{"attributes":{},"id":"c3271e8a-70f7-45fe-a33b-5314c839088e","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"add0519a-ac8d-46f4-9639-871eb7dff086","type":"BasicTicker"}},"id":"b2e53e2c-5e9c-47e2-9821-ac558a86d138","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0802fc65-d117-433b-a0b2-40bdd571e042","type":"PanTool"},{"id":"2b112a1b-3adf-4407-9149-e1d5d53bcfc5","type":"WheelZoomTool"},{"id":"2ccec5b0-cd5c-4d64-8681-809fdf81e945","type":"BoxZoomTool"},{"id":"c3271e8a-70f7-45fe-a33b-5314c839088e","type":"SaveTool"},{"id":"70b99afb-be5c-4960-81a7-830c16d42d4a","type":"ResetTool"},{"id":"6e772584-18bc-4931-8e42-3980e8a52ba8","type":"HelpTool"}]},"id":"5945be21-fff7-4d32-b8e8-081cdf17e244","type":"Toolbar"},{"attributes":{"formatter":{"id":"425a8262-6ad6-4e07-ae0f-7af28b75c122","type":"BasicTickFormatter"},"plot":{"id":"1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"90686dce-3678-4750-8625-d254048ebcc1","type":"BasicTicker"}},"id":"ad25e6ff-a42b-4cbc-ac8b-ce8a1e9e5217","type":"LinearAxis"},{"attributes":{},"id":"6e772584-18bc-4931-8e42-3980e8a52ba8","type":"HelpTool"},{"attributes":{},"id":"0802fc65-d117-433b-a0b2-40bdd571e042","type":"PanTool"},{"attributes":{},"id":"2b112a1b-3adf-4407-9149-e1d5d53bcfc5","type":"WheelZoomTool"},{"attributes":{},"id":"70b99afb-be5c-4960-81a7-830c16d42d4a","type":"ResetTool"},{"attributes":{"below":[{"id":"ad25e6ff-a42b-4cbc-ac8b-ce8a1e9e5217","type":"LinearAxis"}],"left":[{"id":"dbf3d962-2706-4d08-b3cb-9216606abe09","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"ad25e6ff-a42b-4cbc-ac8b-ce8a1e9e5217","type":"LinearAxis"},{"id":"1e9a0b93-960f-47b8-b184-5338310360fa","type":"Grid"},{"id":"dbf3d962-2706-4d08-b3cb-9216606abe09","type":"LinearAxis"},{"id":"b2e53e2c-5e9c-47e2-9821-ac558a86d138","type":"Grid"},{"id":"a164fcec-1fd9-4364-8e3a-6ed6e04ca744","type":"BoxAnnotation"},{"id":"c431e881-d0c3-4488-b54c-3a9be76aaedf","type":"GlyphRenderer"}],"title":{"id":"b5a99ff3-e13b-4859-9536-e4e99164b258","type":"Title"},"toolbar":{"id":"5945be21-fff7-4d32-b8e8-081cdf17e244","type":"Toolbar"},"x_range":{"id":"892a751c-f289-4521-a781-6bdc4cada889","type":"DataRange1d"},"x_scale":{"id":"0131b449-c618-42f7-b9ae-cb35b87bc195","type":"LinearScale"},"y_range":{"id":"85fe76bb-b053-4727-abdc-7aaf63b5a6f7","type":"DataRange1d"},"y_scale":{"id":"897c569e-5d1f-4fad-87c8-1ecc278ea01c","type":"LinearScale"}},"id":"1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"892a751c-f289-4521-a781-6bdc4cada889","type":"DataRange1d"},{"attributes":{},"id":"897c569e-5d1f-4fad-87c8-1ecc278ea01c","type":"LinearScale"},{"attributes":{},"id":"0131b449-c618-42f7-b9ae-cb35b87bc195","type":"LinearScale"},{"attributes":{},"id":"0ce9f5ad-a368-443e-b451-cfe68307a3d2","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"77dcec7c-2517-49b6-b475-67af52536c78","type":"Line"},{"attributes":{"source":{"id":"6e177513-1d78-4c17-9961-734b2f18b388","type":"ColumnDataSource"}},"id":"f9668939-7fbb-4f82-b230-d8b72d3cb990","type":"CDSView"},{"attributes":{},"id":"425a8262-6ad6-4e07-ae0f-7af28b75c122","type":"BasicTickFormatter"},{"attributes":{},"id":"add0519a-ac8d-46f4-9639-871eb7dff086","type":"BasicTicker"},{"attributes":{"overlay":{"id":"a164fcec-1fd9-4364-8e3a-6ed6e04ca744","type":"BoxAnnotation"}},"id":"2ccec5b0-cd5c-4d64-8681-809fdf81e945","type":"BoxZoomTool"},{"attributes":{},"id":"90686dce-3678-4750-8625-d254048ebcc1","type":"BasicTicker"},{"attributes":{"plot":{"id":"1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"90686dce-3678-4750-8625-d254048ebcc1","type":"BasicTicker"}},"id":"1e9a0b93-960f-47b8-b184-5338310360fa","type":"Grid"},{"attributes":{"callback":null},"id":"85fe76bb-b053-4727-abdc-7aaf63b5a6f7","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6de7366a-0270-45df-a641-67b7517e5ac6","type":"Line"},{"attributes":{"plot":null,"text":"line"},"id":"b5a99ff3-e13b-4859-9536-e4e99164b258","type":"Title"},{"attributes":{"data_source":{"id":"6e177513-1d78-4c17-9961-734b2f18b388","type":"ColumnDataSource"},"glyph":{"id":"77dcec7c-2517-49b6-b475-67af52536c78","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6de7366a-0270-45df-a641-67b7517e5ac6","type":"Line"},"selection_glyph":null,"view":{"id":"f9668939-7fbb-4f82-b230-d8b72d3cb990","type":"CDSView"}},"id":"c431e881-d0c3-4488-b54c-3a9be76aaedf","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a164fcec-1fd9-4364-8e3a-6ed6e04ca744","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"6e177513-1d78-4c17-9961-734b2f18b388","type":"ColumnDataSource"}],"root_ids":["1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"da1f7ccb-3be5-4c4c-b20b-fcfffa56ea27","elementid":"c6a17fb5-cdf5-4ae3-a1c0-37bc69f5266a","modelid":"1582a155-ebd0-4fd5-bfc6-4b1f554c5f1b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
