(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("631fa84b-4de2-451f-b8bf-d684d396348c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '631fa84b-4de2-451f-b8bf-d684d396348c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bf974dab-b319-4c4d-ba79-ecb08264323b":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["xs","ys","line_color"],"data":{"line_color":["red","green"],"xs":[[1,2,3],[2,3,4]],"ys":[[6,7,2],[4,5,7]]}},"id":"e19c6b62-d4aa-4e51-8913-5e80cc0dabe4","type":"ColumnDataSource"},{"attributes":{},"id":"da5a640d-806b-4278-98c4-d0609d88ad8e","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"c640bf55-e04b-482d-ab01-c27dd1a3192a","subtype":"Figure","type":"Plot"},"ticker":{"id":"5848ccda-953e-4bb0-9877-e5b12fdcd8c3","type":"BasicTicker"}},"id":"1f4988c7-7f4c-478d-b3ae-f38ca8770064","type":"Grid"},{"attributes":{"plot":{"id":"c640bf55-e04b-482d-ab01-c27dd1a3192a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8cbad854-e3b9-4830-ad57-ed9a945a3c10","type":"BasicTicker"}},"id":"53f18eae-5f34-480a-9536-9cf36c1a78a2","type":"Grid"},{"attributes":{"line_color":{"field":"line_color"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"4b344a96-548d-4542-8c65-9ec9c2aab244","type":"MultiLine"},{"attributes":{},"id":"5848ccda-953e-4bb0-9877-e5b12fdcd8c3","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"4df80e28-1843-4a75-ae48-2a17eea9fa12","type":"Title"},{"attributes":{},"id":"430242b3-eaaf-44ca-994d-0c22982add99","type":"PanTool"},{"attributes":{"formatter":{"id":"7d9958f1-aa54-4d88-8658-70500ae449fe","type":"BasicTickFormatter"},"plot":{"id":"c640bf55-e04b-482d-ab01-c27dd1a3192a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8cbad854-e3b9-4830-ad57-ed9a945a3c10","type":"BasicTicker"}},"id":"480fb432-4bb8-4e4e-9bc0-f271ece22689","type":"LinearAxis"},{"attributes":{"overlay":{"id":"95943fbe-5512-427d-91f1-ee15b3f5a618","type":"BoxAnnotation"}},"id":"70b32387-97ea-4a02-a1f4-2ee91fb86d93","type":"BoxZoomTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"0f9116f7-1573-4fff-a77c-fbf2a36430cf","type":"MultiLine"},{"attributes":{},"id":"8cbad854-e3b9-4830-ad57-ed9a945a3c10","type":"BasicTicker"},{"attributes":{},"id":"86f90da9-9dc7-4402-9499-4a3441e698cc","type":"HelpTool"},{"attributes":{"source":{"id":"e19c6b62-d4aa-4e51-8913-5e80cc0dabe4","type":"ColumnDataSource"}},"id":"d1c8938c-a235-4d94-abbe-8e26e7c8547b","type":"CDSView"},{"attributes":{"callback":null},"id":"0784c0ef-77da-4852-8078-fb7ea568cea0","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e9df6965-c8e9-49e5-ade0-835b7ec70738","type":"BasicTickFormatter"},"plot":{"id":"c640bf55-e04b-482d-ab01-c27dd1a3192a","subtype":"Figure","type":"Plot"},"ticker":{"id":"5848ccda-953e-4bb0-9877-e5b12fdcd8c3","type":"BasicTicker"}},"id":"81acdba5-3c2a-4937-b72e-ec0f54d2877e","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"430242b3-eaaf-44ca-994d-0c22982add99","type":"PanTool"},{"id":"da5a640d-806b-4278-98c4-d0609d88ad8e","type":"WheelZoomTool"},{"id":"70b32387-97ea-4a02-a1f4-2ee91fb86d93","type":"BoxZoomTool"},{"id":"1f4c0dfd-d45f-48d2-a013-11e6bd634e50","type":"SaveTool"},{"id":"2c6d2b10-5459-46f0-b78a-1e306bc0f783","type":"ResetTool"},{"id":"86f90da9-9dc7-4402-9499-4a3441e698cc","type":"HelpTool"}]},"id":"1426eb4c-3148-470f-bf73-52768824338b","type":"Toolbar"},{"attributes":{},"id":"7d9958f1-aa54-4d88-8658-70500ae449fe","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"e19c6b62-d4aa-4e51-8913-5e80cc0dabe4","type":"ColumnDataSource"},"glyph":{"id":"4b344a96-548d-4542-8c65-9ec9c2aab244","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0f9116f7-1573-4fff-a77c-fbf2a36430cf","type":"MultiLine"},"selection_glyph":null,"view":{"id":"d1c8938c-a235-4d94-abbe-8e26e7c8547b","type":"CDSView"}},"id":"b6c2690b-fdba-4cf4-a233-d1b47f30a816","type":"GlyphRenderer"},{"attributes":{},"id":"32bd05b9-f4bd-4963-b8ac-3bdd2c8643c9","type":"LinearScale"},{"attributes":{},"id":"e9df6965-c8e9-49e5-ade0-835b7ec70738","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"95943fbe-5512-427d-91f1-ee15b3f5a618","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"480fb432-4bb8-4e4e-9bc0-f271ece22689","type":"LinearAxis"}],"left":[{"id":"81acdba5-3c2a-4937-b72e-ec0f54d2877e","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"480fb432-4bb8-4e4e-9bc0-f271ece22689","type":"LinearAxis"},{"id":"53f18eae-5f34-480a-9536-9cf36c1a78a2","type":"Grid"},{"id":"81acdba5-3c2a-4937-b72e-ec0f54d2877e","type":"LinearAxis"},{"id":"1f4988c7-7f4c-478d-b3ae-f38ca8770064","type":"Grid"},{"id":"95943fbe-5512-427d-91f1-ee15b3f5a618","type":"BoxAnnotation"},{"id":"b6c2690b-fdba-4cf4-a233-d1b47f30a816","type":"GlyphRenderer"}],"title":{"id":"4df80e28-1843-4a75-ae48-2a17eea9fa12","type":"Title"},"toolbar":{"id":"1426eb4c-3148-470f-bf73-52768824338b","type":"Toolbar"},"x_range":{"id":"0784c0ef-77da-4852-8078-fb7ea568cea0","type":"DataRange1d"},"x_scale":{"id":"6a055ae5-fa82-47fa-b897-db247aeebba3","type":"LinearScale"},"y_range":{"id":"62839a74-70a8-4e87-a557-1f2d50bb2366","type":"DataRange1d"},"y_scale":{"id":"32bd05b9-f4bd-4963-b8ac-3bdd2c8643c9","type":"LinearScale"}},"id":"c640bf55-e04b-482d-ab01-c27dd1a3192a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6a055ae5-fa82-47fa-b897-db247aeebba3","type":"LinearScale"},{"attributes":{},"id":"2c6d2b10-5459-46f0-b78a-1e306bc0f783","type":"ResetTool"},{"attributes":{},"id":"1f4c0dfd-d45f-48d2-a013-11e6bd634e50","type":"SaveTool"},{"attributes":{"callback":null},"id":"62839a74-70a8-4e87-a557-1f2d50bb2366","type":"DataRange1d"}],"root_ids":["c640bf55-e04b-482d-ab01-c27dd1a3192a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bf974dab-b319-4c4d-ba79-ecb08264323b","elementid":"631fa84b-4de2-451f-b8bf-d684d396348c","modelid":"c640bf55-e04b-482d-ab01-c27dd1a3192a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
