(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4f5e3261-0149-4c7c-bfc6-28e47908ad6e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4f5e3261-0149-4c7c-bfc6-28e47908ad6e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"09747080-7b7a-45f4-8237-84ba67baae9a":{"roots":{"references":[{"attributes":{},"id":"dc672e7d-cc60-44fa-9f2d-b0dd60d17a65","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["xs","ys","line_color","fill_color"],"data":{"fill_color":["#43a2ca","#a8ddb5"],"line_color":["#43a2ca","#a8ddb5"],"xs":[[1,2,3],[4,5,6,5]],"ys":[[1,2,1],[4,5,5,4]]}},"id":"51be2e7e-3dd1-408d-bcdc-83e08a91b6b4","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"85c9a8b5-81d9-4d93-b5c1-495b97cca022","subtype":"Figure","type":"Plot"},"ticker":{"id":"e13f81d8-ffa4-4ddb-8598-a5c9df854130","type":"BasicTicker"}},"id":"15635575-42f4-48b0-a734-5e92b0a86efd","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"0e438592-bed0-4709-94aa-38596f7e35e3","type":"Title"},{"attributes":{},"id":"cbe2b089-a1b6-4c8f-858e-cfead7247baf","type":"LinearScale"},{"attributes":{},"id":"dc1f817b-d195-41e9-82cf-2fc9275a29f5","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f51e685f-c3f3-4724-842d-5e5d04edde05","type":"BoxAnnotation"},{"attributes":{},"id":"9a449c6e-794e-4235-a326-7d108b08da7d","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"9a449c6e-794e-4235-a326-7d108b08da7d","type":"BasicTickFormatter"},"plot":{"id":"85c9a8b5-81d9-4d93-b5c1-495b97cca022","subtype":"Figure","type":"Plot"},"ticker":{"id":"e13f81d8-ffa4-4ddb-8598-a5c9df854130","type":"BasicTicker"}},"id":"49e2dad7-cf90-436f-81f7-dad0a0d4bc25","type":"LinearAxis"},{"attributes":{"callback":null},"id":"03010ce1-a463-4503-bdd5-58c32734a605","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"9811fedb-750b-4538-994e-f8805a20267f","type":"Patches"},{"attributes":{},"id":"623fdce4-8400-4636-bae2-2c224ee60166","type":"LinearScale"},{"attributes":{},"id":"56a393b9-f295-49df-b7d6-5b4df146cc22","type":"ResetTool"},{"attributes":{"overlay":{"id":"f51e685f-c3f3-4724-842d-5e5d04edde05","type":"BoxAnnotation"}},"id":"0ffc4a00-a2e0-467a-aa7d-00cdee7a0542","type":"BoxZoomTool"},{"attributes":{"source":{"id":"51be2e7e-3dd1-408d-bcdc-83e08a91b6b4","type":"ColumnDataSource"}},"id":"e55c398c-189b-4677-90b7-cf2616594287","type":"CDSView"},{"attributes":{},"id":"3b56a913-d35b-48aa-be3d-964c387a48b5","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"85c9a8b5-81d9-4d93-b5c1-495b97cca022","subtype":"Figure","type":"Plot"},"ticker":{"id":"1db8ef0d-85d4-4bcf-9b42-44b505885b54","type":"BasicTicker"}},"id":"4c4c3eac-1518-4d7f-b520-ff8507e51a45","type":"Grid"},{"attributes":{},"id":"7ff6ab4b-ecfc-4a04-8f65-e03ca513aded","type":"WheelZoomTool"},{"attributes":{"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"a7975ee0-9295-4d63-b616-60acc835d61c","type":"Patches"},{"attributes":{"below":[{"id":"0283c02d-e6e4-414d-b208-87946fe309cc","type":"LinearAxis"}],"left":[{"id":"49e2dad7-cf90-436f-81f7-dad0a0d4bc25","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0283c02d-e6e4-414d-b208-87946fe309cc","type":"LinearAxis"},{"id":"4c4c3eac-1518-4d7f-b520-ff8507e51a45","type":"Grid"},{"id":"49e2dad7-cf90-436f-81f7-dad0a0d4bc25","type":"LinearAxis"},{"id":"15635575-42f4-48b0-a734-5e92b0a86efd","type":"Grid"},{"id":"f51e685f-c3f3-4724-842d-5e5d04edde05","type":"BoxAnnotation"},{"id":"e352f135-18c0-4b5a-8416-9f43907ad4d4","type":"GlyphRenderer"}],"title":{"id":"0e438592-bed0-4709-94aa-38596f7e35e3","type":"Title"},"toolbar":{"id":"7d391a79-4589-412d-a0d3-d4945d7269b7","type":"Toolbar"},"x_range":{"id":"5b3c27c8-ee6b-4f48-8eb7-f6c018ff4118","type":"DataRange1d"},"x_scale":{"id":"623fdce4-8400-4636-bae2-2c224ee60166","type":"LinearScale"},"y_range":{"id":"03010ce1-a463-4503-bdd5-58c32734a605","type":"DataRange1d"},"y_scale":{"id":"cbe2b089-a1b6-4c8f-858e-cfead7247baf","type":"LinearScale"}},"id":"85c9a8b5-81d9-4d93-b5c1-495b97cca022","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"95d6bc0d-9e5c-4c5b-acfa-45105fc0cdf9","type":"HelpTool"},{"attributes":{"formatter":{"id":"3b56a913-d35b-48aa-be3d-964c387a48b5","type":"BasicTickFormatter"},"plot":{"id":"85c9a8b5-81d9-4d93-b5c1-495b97cca022","subtype":"Figure","type":"Plot"},"ticker":{"id":"1db8ef0d-85d4-4bcf-9b42-44b505885b54","type":"BasicTicker"}},"id":"0283c02d-e6e4-414d-b208-87946fe309cc","type":"LinearAxis"},{"attributes":{},"id":"e13f81d8-ffa4-4ddb-8598-a5c9df854130","type":"BasicTicker"},{"attributes":{"callback":null},"id":"5b3c27c8-ee6b-4f48-8eb7-f6c018ff4118","type":"DataRange1d"},{"attributes":{},"id":"1db8ef0d-85d4-4bcf-9b42-44b505885b54","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dc1f817b-d195-41e9-82cf-2fc9275a29f5","type":"PanTool"},{"id":"7ff6ab4b-ecfc-4a04-8f65-e03ca513aded","type":"WheelZoomTool"},{"id":"0ffc4a00-a2e0-467a-aa7d-00cdee7a0542","type":"BoxZoomTool"},{"id":"dc672e7d-cc60-44fa-9f2d-b0dd60d17a65","type":"SaveTool"},{"id":"56a393b9-f295-49df-b7d6-5b4df146cc22","type":"ResetTool"},{"id":"95d6bc0d-9e5c-4c5b-acfa-45105fc0cdf9","type":"HelpTool"}]},"id":"7d391a79-4589-412d-a0d3-d4945d7269b7","type":"Toolbar"},{"attributes":{"data_source":{"id":"51be2e7e-3dd1-408d-bcdc-83e08a91b6b4","type":"ColumnDataSource"},"glyph":{"id":"a7975ee0-9295-4d63-b616-60acc835d61c","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9811fedb-750b-4538-994e-f8805a20267f","type":"Patches"},"selection_glyph":null,"view":{"id":"e55c398c-189b-4677-90b7-cf2616594287","type":"CDSView"}},"id":"e352f135-18c0-4b5a-8416-9f43907ad4d4","type":"GlyphRenderer"}],"root_ids":["85c9a8b5-81d9-4d93-b5c1-495b97cca022"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"09747080-7b7a-45f4-8237-84ba67baae9a","elementid":"4f5e3261-0149-4c7c-bfc6-28e47908ad6e","modelid":"85c9a8b5-81d9-4d93-b5c1-495b97cca022"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
