(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1ec7a2e0-53fb-4f64-a7cb-a2eb979e2738");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1ec7a2e0-53fb-4f64-a7cb-a2eb979e2738' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4fa704b0-291c-47ef-ba8c-07f3e97f6537":{"roots":{"references":[{"attributes":{},"id":"9796f2e1-419f-4132-a00a-337c4d61fa98","type":"ResetTool"},{"attributes":{"below":[{"id":"ba19fc94-9def-411e-89d9-798133dce27a","type":"LinearAxis"}],"left":[{"id":"c1ff6b4d-4bea-4afb-8fa1-36d6d6934126","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"ba19fc94-9def-411e-89d9-798133dce27a","type":"LinearAxis"},{"id":"b5188a74-f0b7-4ff9-a36d-4e54dc993021","type":"Grid"},{"id":"c1ff6b4d-4bea-4afb-8fa1-36d6d6934126","type":"LinearAxis"},{"id":"8b4c0017-6fd0-41e8-9387-ee6a784722aa","type":"Grid"},{"id":"7712cae3-f824-450c-a92a-925d8d0b7d53","type":"BoxAnnotation"},{"id":"98ae25d2-87bf-412c-b00a-e5a01c794868","type":"GlyphRenderer"}],"title":{"id":"be890d1c-fd42-4668-8fb9-44dfde671e0e","type":"Title"},"toolbar":{"id":"d915556a-4a7c-4235-aed1-acace96cf8ee","type":"Toolbar"},"x_range":{"id":"ef795bd3-9cef-440e-b0f9-da4fddd37a6f","type":"DataRange1d"},"x_scale":{"id":"1957cc46-4ad5-4d7d-9440-cfaf9c9d24cb","type":"LinearScale"},"y_range":{"id":"cffec4f2-ef34-49ac-ab07-b373e40689c6","type":"DataRange1d"},"y_scale":{"id":"e24b1172-fbdd-42f9-9e62-fcc622abad69","type":"LinearScale"}},"id":"2f93f715-6890-4f8d-93c8-0213989432d1","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"2f93f715-6890-4f8d-93c8-0213989432d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"889fee2d-9979-4d53-97e7-9c11b7d4c480","type":"BasicTicker"}},"id":"b5188a74-f0b7-4ff9-a36d-4e54dc993021","type":"Grid"},{"attributes":{},"id":"e24b1172-fbdd-42f9-9e62-fcc622abad69","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"2f93f715-6890-4f8d-93c8-0213989432d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee8bba49-474b-49ca-b9e1-a926b08cccf9","type":"BasicTicker"}},"id":"8b4c0017-6fd0-41e8-9387-ee6a784722aa","type":"Grid"},{"attributes":{},"id":"748b9d21-c996-42aa-8ae5-c2230f51791a","type":"HelpTool"},{"attributes":{},"id":"d2082f8e-ca8d-47ab-9723-e0836302089f","type":"PanTool"},{"attributes":{},"id":"3c000de7-b0d6-4684-8a76-3f003b14de31","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d2082f8e-ca8d-47ab-9723-e0836302089f","type":"PanTool"},{"id":"fcca5235-3eda-4d21-a72b-d8e0ff1d544a","type":"WheelZoomTool"},{"id":"262fc5e2-cf58-4abf-9d5e-050be1387e28","type":"BoxZoomTool"},{"id":"ab4fcd92-7e8c-4b91-8d1c-d666339fa5f7","type":"SaveTool"},{"id":"9796f2e1-419f-4132-a00a-337c4d61fa98","type":"ResetTool"},{"id":"748b9d21-c996-42aa-8ae5-c2230f51791a","type":"HelpTool"}]},"id":"d915556a-4a7c-4235-aed1-acace96cf8ee","type":"Toolbar"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"d05aa1b2-7076-4230-be79-ccad1969369d","type":"Quad"},{"attributes":{"overlay":{"id":"7712cae3-f824-450c-a92a-925d8d0b7d53","type":"BoxAnnotation"}},"id":"262fc5e2-cf58-4abf-9d5e-050be1387e28","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"2d1389b9-867e-44ab-8e54-0f8c8a2c61ea","type":"BasicTickFormatter"},"plot":{"id":"2f93f715-6890-4f8d-93c8-0213989432d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee8bba49-474b-49ca-b9e1-a926b08cccf9","type":"BasicTicker"}},"id":"c1ff6b4d-4bea-4afb-8fa1-36d6d6934126","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"be890d1c-fd42-4668-8fb9-44dfde671e0e","type":"Title"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"b3390a7f-cf72-4061-89f7-681559f73551","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"ef795bd3-9cef-440e-b0f9-da4fddd37a6f","type":"DataRange1d"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"5a7add24-b0f9-4a61-848f-9c5bbd302b00","type":"Quad"},{"attributes":{"formatter":{"id":"3c000de7-b0d6-4684-8a76-3f003b14de31","type":"BasicTickFormatter"},"plot":{"id":"2f93f715-6890-4f8d-93c8-0213989432d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"889fee2d-9979-4d53-97e7-9c11b7d4c480","type":"BasicTicker"}},"id":"ba19fc94-9def-411e-89d9-798133dce27a","type":"LinearAxis"},{"attributes":{},"id":"ee8bba49-474b-49ca-b9e1-a926b08cccf9","type":"BasicTicker"},{"attributes":{"callback":null},"id":"cffec4f2-ef34-49ac-ab07-b373e40689c6","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7712cae3-f824-450c-a92a-925d8d0b7d53","type":"BoxAnnotation"},{"attributes":{"source":{"id":"b3390a7f-cf72-4061-89f7-681559f73551","type":"ColumnDataSource"}},"id":"dcb45b8e-79af-4be9-a688-760b9dedb7a7","type":"CDSView"},{"attributes":{},"id":"1957cc46-4ad5-4d7d-9440-cfaf9c9d24cb","type":"LinearScale"},{"attributes":{},"id":"fcca5235-3eda-4d21-a72b-d8e0ff1d544a","type":"WheelZoomTool"},{"attributes":{},"id":"ab4fcd92-7e8c-4b91-8d1c-d666339fa5f7","type":"SaveTool"},{"attributes":{"data_source":{"id":"b3390a7f-cf72-4061-89f7-681559f73551","type":"ColumnDataSource"},"glyph":{"id":"5a7add24-b0f9-4a61-848f-9c5bbd302b00","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d05aa1b2-7076-4230-be79-ccad1969369d","type":"Quad"},"selection_glyph":null,"view":{"id":"dcb45b8e-79af-4be9-a688-760b9dedb7a7","type":"CDSView"}},"id":"98ae25d2-87bf-412c-b00a-e5a01c794868","type":"GlyphRenderer"},{"attributes":{},"id":"889fee2d-9979-4d53-97e7-9c11b7d4c480","type":"BasicTicker"},{"attributes":{},"id":"2d1389b9-867e-44ab-8e54-0f8c8a2c61ea","type":"BasicTickFormatter"}],"root_ids":["2f93f715-6890-4f8d-93c8-0213989432d1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4fa704b0-291c-47ef-ba8c-07f3e97f6537","elementid":"1ec7a2e0-53fb-4f64-a7cb-a2eb979e2738","modelid":"2f93f715-6890-4f8d-93c8-0213989432d1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
