(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("097e8eb8-1705-4af4-8750-c7336a716960");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '097e8eb8-1705-4af4-8750-c7336a716960' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8e91459c-925a-46fb-ad50-1c51f03215d1":{"roots":{"references":[{"attributes":{"callback":null},"id":"e255ee2a-ccae-4ee5-b154-d71ad06493a9","type":"DataRange1d"},{"attributes":{},"id":"b8ef7195-d347-4eb4-b8a6-ab96c2e371f4","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b8ef7195-d347-4eb4-b8a6-ab96c2e371f4","type":"BasicTickFormatter"},"plot":{"id":"a1b32d48-cff9-478d-95a8-4bc01dd84577","subtype":"Figure","type":"Plot"},"ticker":{"id":"28303ab5-ff23-4790-bee7-36e6383f0693","type":"BasicTicker"}},"id":"7b35f838-b5a3-4185-b17d-48b37ea5c5e3","type":"LinearAxis"},{"attributes":{},"id":"dbfc4445-f4b7-4be7-829f-6025686b61f3","type":"LinearScale"},{"attributes":{},"id":"3a618697-e833-4347-ba97-d6cfff53327b","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"def36695-337e-431d-b0db-ffbd6703ec71","type":"Circle"},{"attributes":{"below":[{"id":"7b35f838-b5a3-4185-b17d-48b37ea5c5e3","type":"LinearAxis"}],"left":[{"id":"cefdf90b-5b26-4541-ab76-6556d4db97e6","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"7b35f838-b5a3-4185-b17d-48b37ea5c5e3","type":"LinearAxis"},{"id":"bee560fb-1268-4f3b-a9c5-f965f3c9696f","type":"Grid"},{"id":"cefdf90b-5b26-4541-ab76-6556d4db97e6","type":"LinearAxis"},{"id":"ed6bb0cb-e8ca-4e67-a0fc-9828fa4bfeb8","type":"Grid"},{"id":"cdffda2a-3bca-45f0-a747-7449c094efed","type":"BoxAnnotation"},{"id":"63fa9a5e-5516-450c-b7ed-4aaccf79defa","type":"GlyphRenderer"}],"title":{"id":"7db57c4f-dfb3-4b49-80f4-335dece4f8a6","type":"Title"},"toolbar":{"id":"4aa54a49-3eab-426a-a07b-2998e94a7865","type":"Toolbar"},"x_range":{"id":"ceffd381-2277-439b-82ee-d67ec347c4c2","type":"DataRange1d"},"x_scale":{"id":"8420492c-0bf6-4d47-bda4-518793d246f8","type":"LinearScale"},"y_range":{"id":"e255ee2a-ccae-4ee5-b154-d71ad06493a9","type":"DataRange1d"},"y_scale":{"id":"dbfc4445-f4b7-4be7-829f-6025686b61f3","type":"LinearScale"}},"id":"a1b32d48-cff9-478d-95a8-4bc01dd84577","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9c315328-95b4-4d73-aaf7-9e247642e3e3","type":"BasicTicker"},{"attributes":{"source":{"id":"ade3d6e7-c4e9-4c2f-93c0-acc7dc25d555","type":"ColumnDataSource"}},"id":"56444f9a-feba-4cb4-a1a2-6eafb07ccea0","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"7db57c4f-dfb3-4b49-80f4-335dece4f8a6","type":"Title"},{"attributes":{"callback":null},"id":"ceffd381-2277-439b-82ee-d67ec347c4c2","type":"DataRange1d"},{"attributes":{"formatter":{"id":"587a2c86-aab5-4e38-bf33-4b4409b0f2a6","type":"BasicTickFormatter"},"plot":{"id":"a1b32d48-cff9-478d-95a8-4bc01dd84577","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c315328-95b4-4d73-aaf7-9e247642e3e3","type":"BasicTicker"}},"id":"cefdf90b-5b26-4541-ab76-6556d4db97e6","type":"LinearAxis"},{"attributes":{},"id":"26135eae-b416-4fa0-8258-6a6dd7d41150","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"91649aab-322a-4361-b411-6b38c2609d5b","type":"PanTool"},{"id":"593bc031-2fde-41c8-9ead-f1624bb6037e","type":"WheelZoomTool"},{"id":"d6ec6ac7-c3b0-49ea-bb87-d15e472e9316","type":"BoxZoomTool"},{"id":"3a618697-e833-4347-ba97-d6cfff53327b","type":"SaveTool"},{"id":"26135eae-b416-4fa0-8258-6a6dd7d41150","type":"ResetTool"},{"id":"88a5d413-9583-422a-ab25-fcfdcb564cc1","type":"HelpTool"}]},"id":"4aa54a49-3eab-426a-a07b-2998e94a7865","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a1b32d48-cff9-478d-95a8-4bc01dd84577","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c315328-95b4-4d73-aaf7-9e247642e3e3","type":"BasicTicker"}},"id":"ed6bb0cb-e8ca-4e67-a0fc-9828fa4bfeb8","type":"Grid"},{"attributes":{},"id":"88a5d413-9583-422a-ab25-fcfdcb564cc1","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"ade3d6e7-c4e9-4c2f-93c0-acc7dc25d555","type":"ColumnDataSource"},{"attributes":{},"id":"593bc031-2fde-41c8-9ead-f1624bb6037e","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f9663dbf-f72a-4adf-b2e1-3e415144e889","type":"Circle"},{"attributes":{},"id":"28303ab5-ff23-4790-bee7-36e6383f0693","type":"BasicTicker"},{"attributes":{},"id":"587a2c86-aab5-4e38-bf33-4b4409b0f2a6","type":"BasicTickFormatter"},{"attributes":{},"id":"8420492c-0bf6-4d47-bda4-518793d246f8","type":"LinearScale"},{"attributes":{"plot":{"id":"a1b32d48-cff9-478d-95a8-4bc01dd84577","subtype":"Figure","type":"Plot"},"ticker":{"id":"28303ab5-ff23-4790-bee7-36e6383f0693","type":"BasicTicker"}},"id":"bee560fb-1268-4f3b-a9c5-f965f3c9696f","type":"Grid"},{"attributes":{"data_source":{"id":"ade3d6e7-c4e9-4c2f-93c0-acc7dc25d555","type":"ColumnDataSource"},"glyph":{"id":"def36695-337e-431d-b0db-ffbd6703ec71","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f9663dbf-f72a-4adf-b2e1-3e415144e889","type":"Circle"},"selection_glyph":null,"view":{"id":"56444f9a-feba-4cb4-a1a2-6eafb07ccea0","type":"CDSView"}},"id":"63fa9a5e-5516-450c-b7ed-4aaccf79defa","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cdffda2a-3bca-45f0-a747-7449c094efed","type":"BoxAnnotation"},{"attributes":{},"id":"91649aab-322a-4361-b411-6b38c2609d5b","type":"PanTool"},{"attributes":{"overlay":{"id":"cdffda2a-3bca-45f0-a747-7449c094efed","type":"BoxAnnotation"}},"id":"d6ec6ac7-c3b0-49ea-bb87-d15e472e9316","type":"BoxZoomTool"}],"root_ids":["a1b32d48-cff9-478d-95a8-4bc01dd84577"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8e91459c-925a-46fb-ad50-1c51f03215d1","elementid":"097e8eb8-1705-4af4-8750-c7336a716960","modelid":"a1b32d48-cff9-478d-95a8-4bc01dd84577"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
