(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b89c0e7e-e25d-4277-ac43-5bf7f05501f0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b89c0e7e-e25d-4277-ac43-5bf7f05501f0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d7a60830-82ad-4402-9aaf-a873030c6888":{"roots":{"references":[{"attributes":{},"id":"e2f06b79-1eb9-441a-9b26-112b4f145f08","type":"LinearScale"},{"attributes":{},"id":"b25576b2-da68-4bb4-ad74-d1c2c19ce9f5","type":"PanTool"},{"attributes":{},"id":"5b125fcb-f004-495d-9228-e0f4b5c66744","type":"BasicTicker"},{"attributes":{},"id":"afff6db1-1392-4828-89ae-1171fdbe9f2d","type":"SaveTool"},{"attributes":{"formatter":{"id":"012a1601-5299-452c-b3f6-f72f72a03157","type":"BasicTickFormatter"},"plot":{"id":"5e8f14f4-e063-4073-a161-ca7c7634659d","subtype":"Figure","type":"Plot"},"ticker":{"id":"5b125fcb-f004-495d-9228-e0f4b5c66744","type":"BasicTicker"}},"id":"1b14aa94-fffd-4535-8dbe-a87c2ec21ca1","type":"LinearAxis"},{"attributes":{"below":[{"id":"1b14aa94-fffd-4535-8dbe-a87c2ec21ca1","type":"LinearAxis"}],"left":[{"id":"4ef8b39b-1784-415a-a2d8-b9e3b740e192","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1b14aa94-fffd-4535-8dbe-a87c2ec21ca1","type":"LinearAxis"},{"id":"471ba7cf-44c9-44a4-8e02-8f67302b86ee","type":"Grid"},{"id":"4ef8b39b-1784-415a-a2d8-b9e3b740e192","type":"LinearAxis"},{"id":"91d35d3b-655c-4609-a831-88ecaf61b7a1","type":"Grid"},{"id":"f673ab14-9686-4c1f-b25e-ae234da084d1","type":"BoxAnnotation"},{"id":"e483fbf0-6d4e-4ed5-90c6-3beb4dc9a55e","type":"GlyphRenderer"}],"title":{"id":"f4fe09e9-e457-4319-bbbd-8a96ac11cfa1","type":"Title"},"toolbar":{"id":"e54d8cd7-e667-46e3-a0e8-aa5c80614f83","type":"Toolbar"},"x_range":{"id":"83b5cfb2-64c0-4e55-81ce-d1cdd577f035","type":"DataRange1d"},"x_scale":{"id":"e2f06b79-1eb9-441a-9b26-112b4f145f08","type":"LinearScale"},"y_range":{"id":"bb14e744-7892-42c8-95d1-6cbc0549d2e3","type":"DataRange1d"},"y_scale":{"id":"a4b16f48-4644-4106-952d-670ffbdaba64","type":"LinearScale"}},"id":"5e8f14f4-e063-4073-a161-ca7c7634659d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b9af683f-5d0a-498b-958c-c088dc399a02","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"5e8f14f4-e063-4073-a161-ca7c7634659d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9af683f-5d0a-498b-958c-c088dc399a02","type":"BasicTicker"}},"id":"91d35d3b-655c-4609-a831-88ecaf61b7a1","type":"Grid"},{"attributes":{},"id":"ff68225c-3b73-4da2-bd38-5d080b94ac31","type":"ResetTool"},{"attributes":{},"id":"cbbb669e-2ad0-433f-8c1e-a904bb2acceb","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"b9ea47d9-4fad-4844-892a-f22e8fcbbf9a","type":"BasicTickFormatter"},"plot":{"id":"5e8f14f4-e063-4073-a161-ca7c7634659d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9af683f-5d0a-498b-958c-c088dc399a02","type":"BasicTicker"}},"id":"4ef8b39b-1784-415a-a2d8-b9e3b740e192","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#74ADD1"},"line_color":{"value":"#74ADD1"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e32fa6d8-0912-43c9-bdff-60f7094b9068","type":"Square"},{"attributes":{"callback":null},"id":"83b5cfb2-64c0-4e55-81ce-d1cdd577f035","type":"DataRange1d"},{"attributes":{"plot":{"id":"5e8f14f4-e063-4073-a161-ca7c7634659d","subtype":"Figure","type":"Plot"},"ticker":{"id":"5b125fcb-f004-495d-9228-e0f4b5c66744","type":"BasicTicker"}},"id":"471ba7cf-44c9-44a4-8e02-8f67302b86ee","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a5956e13-33d0-4236-812a-80d3a856b0cc","type":"Square"},{"attributes":{},"id":"012a1601-5299-452c-b3f6-f72f72a03157","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"f673ab14-9686-4c1f-b25e-ae234da084d1","type":"BoxAnnotation"}},"id":"3e61d1e0-4802-4b5c-80f1-dd1d500758b4","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"bb14e744-7892-42c8-95d1-6cbc0549d2e3","type":"DataRange1d"},{"attributes":{},"id":"b9ea47d9-4fad-4844-892a-f22e8fcbbf9a","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f673ab14-9686-4c1f-b25e-ae234da084d1","type":"BoxAnnotation"},{"attributes":{},"id":"22bce152-dd9b-4188-85ae-cf594f6d36a3","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["x","y","size"],"data":{"size":[10,20,30],"x":[1,2,3],"y":[1,2,3]}},"id":"31e5956c-4773-4f36-8cd0-9cf0869fe236","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"f4fe09e9-e457-4319-bbbd-8a96ac11cfa1","type":"Title"},{"attributes":{},"id":"a4b16f48-4644-4106-952d-670ffbdaba64","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b25576b2-da68-4bb4-ad74-d1c2c19ce9f5","type":"PanTool"},{"id":"cbbb669e-2ad0-433f-8c1e-a904bb2acceb","type":"WheelZoomTool"},{"id":"3e61d1e0-4802-4b5c-80f1-dd1d500758b4","type":"BoxZoomTool"},{"id":"afff6db1-1392-4828-89ae-1171fdbe9f2d","type":"SaveTool"},{"id":"ff68225c-3b73-4da2-bd38-5d080b94ac31","type":"ResetTool"},{"id":"22bce152-dd9b-4188-85ae-cf594f6d36a3","type":"HelpTool"}]},"id":"e54d8cd7-e667-46e3-a0e8-aa5c80614f83","type":"Toolbar"},{"attributes":{"source":{"id":"31e5956c-4773-4f36-8cd0-9cf0869fe236","type":"ColumnDataSource"}},"id":"4d526158-5c37-44fa-ac8d-de47c6673447","type":"CDSView"},{"attributes":{"data_source":{"id":"31e5956c-4773-4f36-8cd0-9cf0869fe236","type":"ColumnDataSource"},"glyph":{"id":"e32fa6d8-0912-43c9-bdff-60f7094b9068","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a5956e13-33d0-4236-812a-80d3a856b0cc","type":"Square"},"selection_glyph":null,"view":{"id":"4d526158-5c37-44fa-ac8d-de47c6673447","type":"CDSView"}},"id":"e483fbf0-6d4e-4ed5-90c6-3beb4dc9a55e","type":"GlyphRenderer"}],"root_ids":["5e8f14f4-e063-4073-a161-ca7c7634659d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d7a60830-82ad-4402-9aaf-a873030c6888","elementid":"b89c0e7e-e25d-4277-ac43-5bf7f05501f0","modelid":"5e8f14f4-e063-4073-a161-ca7c7634659d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
