(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fd0143c2-3890-495c-8fe4-45a682d1895a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fd0143c2-3890-495c-8fe4-45a682d1895a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4d1fb162-8944-4877-a37a-1e1a046c8a65":{"roots":{"references":[{"attributes":{"formatter":{"id":"8ed0e51b-0089-420e-aa71-d060a88dd61b","type":"BasicTickFormatter"},"plot":{"id":"9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b","subtype":"Figure","type":"Plot"},"ticker":{"id":"cf708fbf-9f6c-4f81-a08d-041fc9065925","type":"BasicTicker"}},"id":"cdfdbe23-d484-4f4a-99fb-3393da1175d7","type":"LinearAxis"},{"attributes":{},"id":"a5e8dc3d-7d73-411e-84a9-b91ce155fa39","type":"SaveTool"},{"attributes":{},"id":"4a38a21b-66da-493b-a80e-788e96bee344","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4c43dfdf-62cd-479e-a82a-88ed9af011ed","type":"PanTool"},{"id":"d6df536b-fcf3-4332-9c7e-139baef92218","type":"WheelZoomTool"},{"id":"6e7859e0-def4-419e-a98e-4f2862da036e","type":"BoxZoomTool"},{"id":"a5e8dc3d-7d73-411e-84a9-b91ce155fa39","type":"SaveTool"},{"id":"9ec92869-b2f3-4745-9386-be592c9410a9","type":"ResetTool"},{"id":"fa36aeb3-63fc-47aa-9534-3579494aa7ed","type":"HelpTool"}]},"id":"9e30f596-ddba-4842-a5df-e2664e2cb2a6","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"06de18f3-4527-4b59-bd72-eef8ca4272f3","type":"BoxAnnotation"},{"attributes":{},"id":"d6df536b-fcf3-4332-9c7e-139baef92218","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"7b62fecf-a347-43c6-a9d6-f8b88ff82239","type":"ColumnDataSource"},{"attributes":{},"id":"93dcf4b1-3d1f-4056-9479-2b37ac28ba37","type":"BasicTicker"},{"attributes":{},"id":"db83965e-2169-4bbc-8c82-fe3c88f0fd68","type":"LinearScale"},{"attributes":{"callback":null},"id":"6fc4a291-c580-426a-8c13-67274fd81be0","type":"DataRange1d"},{"attributes":{"below":[{"id":"e8180a74-0712-4ab6-941e-4f45f66739f3","type":"LinearAxis"}],"left":[{"id":"cdfdbe23-d484-4f4a-99fb-3393da1175d7","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"e8180a74-0712-4ab6-941e-4f45f66739f3","type":"LinearAxis"},{"id":"a4ff1b29-058e-412a-94fb-49ef50a8066a","type":"Grid"},{"id":"cdfdbe23-d484-4f4a-99fb-3393da1175d7","type":"LinearAxis"},{"id":"a6931186-7944-4244-9718-d83fb405f88f","type":"Grid"},{"id":"06de18f3-4527-4b59-bd72-eef8ca4272f3","type":"BoxAnnotation"},{"id":"324c13e5-e8bc-40c8-8636-518712f794df","type":"GlyphRenderer"}],"title":{"id":"0fff2eb1-d2e8-493a-a2e8-c6d0cf5fbe54","type":"Title"},"toolbar":{"id":"9e30f596-ddba-4842-a5df-e2664e2cb2a6","type":"Toolbar"},"x_range":{"id":"54058911-9b87-41e4-afed-12de36266511","type":"DataRange1d"},"x_scale":{"id":"db83965e-2169-4bbc-8c82-fe3c88f0fd68","type":"LinearScale"},"y_range":{"id":"6fc4a291-c580-426a-8c13-67274fd81be0","type":"DataRange1d"},"y_scale":{"id":"a8e1499f-8095-48c6-8d5e-65879738e679","type":"LinearScale"}},"id":"9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"cf708fbf-9f6c-4f81-a08d-041fc9065925","type":"BasicTicker"},{"attributes":{"source":{"id":"7b62fecf-a347-43c6-a9d6-f8b88ff82239","type":"ColumnDataSource"}},"id":"6dea9b64-d171-4e4f-a242-d2f5aa23fcf0","type":"CDSView"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#FDAE6B"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"af133fe7-e0b2-4b80-a4ee-54117fb7c24b","type":"SquareX"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"3b6c9fd8-3c7c-4846-adba-d09b8b0994ee","type":"SquareX"},{"attributes":{"plot":{"id":"9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b","subtype":"Figure","type":"Plot"},"ticker":{"id":"93dcf4b1-3d1f-4056-9479-2b37ac28ba37","type":"BasicTicker"}},"id":"a4ff1b29-058e-412a-94fb-49ef50a8066a","type":"Grid"},{"attributes":{},"id":"a8e1499f-8095-48c6-8d5e-65879738e679","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b","subtype":"Figure","type":"Plot"},"ticker":{"id":"cf708fbf-9f6c-4f81-a08d-041fc9065925","type":"BasicTicker"}},"id":"a6931186-7944-4244-9718-d83fb405f88f","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"0fff2eb1-d2e8-493a-a2e8-c6d0cf5fbe54","type":"Title"},{"attributes":{"callback":null},"id":"54058911-9b87-41e4-afed-12de36266511","type":"DataRange1d"},{"attributes":{},"id":"4c43dfdf-62cd-479e-a82a-88ed9af011ed","type":"PanTool"},{"attributes":{"data_source":{"id":"7b62fecf-a347-43c6-a9d6-f8b88ff82239","type":"ColumnDataSource"},"glyph":{"id":"af133fe7-e0b2-4b80-a4ee-54117fb7c24b","type":"SquareX"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3b6c9fd8-3c7c-4846-adba-d09b8b0994ee","type":"SquareX"},"selection_glyph":null,"view":{"id":"6dea9b64-d171-4e4f-a242-d2f5aa23fcf0","type":"CDSView"}},"id":"324c13e5-e8bc-40c8-8636-518712f794df","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"06de18f3-4527-4b59-bd72-eef8ca4272f3","type":"BoxAnnotation"}},"id":"6e7859e0-def4-419e-a98e-4f2862da036e","type":"BoxZoomTool"},{"attributes":{},"id":"fa36aeb3-63fc-47aa-9534-3579494aa7ed","type":"HelpTool"},{"attributes":{},"id":"8ed0e51b-0089-420e-aa71-d060a88dd61b","type":"BasicTickFormatter"},{"attributes":{},"id":"9ec92869-b2f3-4745-9386-be592c9410a9","type":"ResetTool"},{"attributes":{"formatter":{"id":"4a38a21b-66da-493b-a80e-788e96bee344","type":"BasicTickFormatter"},"plot":{"id":"9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b","subtype":"Figure","type":"Plot"},"ticker":{"id":"93dcf4b1-3d1f-4056-9479-2b37ac28ba37","type":"BasicTicker"}},"id":"e8180a74-0712-4ab6-941e-4f45f66739f3","type":"LinearAxis"}],"root_ids":["9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4d1fb162-8944-4877-a37a-1e1a046c8a65","elementid":"fd0143c2-3890-495c-8fe4-45a682d1895a","modelid":"9333e2f9-9f4b-4bb2-ad6a-c62af0ee499b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
