(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("136d0014-9ef7-4ea0-88b1-b0a764c3b770");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '136d0014-9ef7-4ea0-88b1-b0a764c3b770' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b198ea99-6f7e-472c-a145-40b0051d0a02":{"roots":{"references":[{"attributes":{},"id":"6b2e6856-303e-4483-9f61-bfb53d51f026","type":"BasicTicker"},{"attributes":{"callback":null},"id":"72d82f59-47b6-4662-83ed-8620ee341218","type":"DataRange1d"},{"attributes":{},"id":"73fe9c5a-6b35-4dce-a35d-dfd7c8a2dab9","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1,2,3],"x":[1,2,3]}},"id":"506266d8-3d63-4cc6-a73b-2ceaecacbf3e","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"7b7e1ee3-f1fc-4388-b740-7121cfb0e379","type":"BasicTickFormatter"},"plot":{"id":"76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b2e6856-303e-4483-9f61-bfb53d51f026","type":"BasicTicker"}},"id":"78a043a7-47f3-4b46-8276-81571b7bf433","type":"LinearAxis"},{"attributes":{"plot":{"id":"76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15","subtype":"Figure","type":"Plot"},"ticker":{"id":"cecf4361-792e-47ea-8a36-4ec5bda76710","type":"BasicTicker"}},"id":"0ef1cb66-2e1a-4c94-9138-a296c44167cd","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a507c6be-4cb1-423c-9716-1d122408f468","type":"PanTool"},{"id":"73fe9c5a-6b35-4dce-a35d-dfd7c8a2dab9","type":"WheelZoomTool"},{"id":"b842846d-d9be-4444-83ce-699cb4b5be1d","type":"BoxZoomTool"},{"id":"6c3350ac-54de-4dda-8537-22df078b0273","type":"SaveTool"},{"id":"708f2fcb-4186-4977-b6af-ac18d8301ac3","type":"ResetTool"},{"id":"d45a2337-0b11-4d0b-884c-6a2436c10e28","type":"HelpTool"}]},"id":"859ae42f-b0d8-4c02-b064-29a4f869b5cb","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"line_color":{"value":"#CAB2D6"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"bc62f2dc-6d67-4894-a341-c174b8456e21","type":"VBar"},{"attributes":{"formatter":{"id":"0112e53d-df2d-42bf-b633-85ce49b09bf7","type":"BasicTickFormatter"},"plot":{"id":"76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15","subtype":"Figure","type":"Plot"},"ticker":{"id":"cecf4361-792e-47ea-8a36-4ec5bda76710","type":"BasicTicker"}},"id":"8ffda0d3-548a-4dfb-9191-a2602ef5fffb","type":"LinearAxis"},{"attributes":{},"id":"708f2fcb-4186-4977-b6af-ac18d8301ac3","type":"ResetTool"},{"attributes":{},"id":"cecf4361-792e-47ea-8a36-4ec5bda76710","type":"BasicTicker"},{"attributes":{},"id":"a507c6be-4cb1-423c-9716-1d122408f468","type":"PanTool"},{"attributes":{},"id":"7b7e1ee3-f1fc-4388-b740-7121cfb0e379","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"df72dcca-b4d1-4531-995a-6338d20dd915","type":"DataRange1d"},{"attributes":{},"id":"d45a2337-0b11-4d0b-884c-6a2436c10e28","type":"HelpTool"},{"attributes":{},"id":"0112e53d-df2d-42bf-b633-85ce49b09bf7","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"f507d544-09f0-483e-8af4-8cd026f167c5","type":"VBar"},{"attributes":{"overlay":{"id":"a40b34e8-8e4a-4230-85ec-e87f37e2a6b7","type":"BoxAnnotation"}},"id":"b842846d-d9be-4444-83ce-699cb4b5be1d","type":"BoxZoomTool"},{"attributes":{},"id":"6c3350ac-54de-4dda-8537-22df078b0273","type":"SaveTool"},{"attributes":{"data_source":{"id":"506266d8-3d63-4cc6-a73b-2ceaecacbf3e","type":"ColumnDataSource"},"glyph":{"id":"bc62f2dc-6d67-4894-a341-c174b8456e21","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f507d544-09f0-483e-8af4-8cd026f167c5","type":"VBar"},"selection_glyph":null,"view":{"id":"c7ec1d89-cf73-4661-83d1-647dd7cad414","type":"CDSView"}},"id":"471b32f1-6c61-422d-aa42-748701859536","type":"GlyphRenderer"},{"attributes":{},"id":"fabe81ad-b8a6-48c2-966d-8264b0802f76","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"2a871fa9-57fe-4e95-9edd-ecda90892997","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b2e6856-303e-4483-9f61-bfb53d51f026","type":"BasicTicker"}},"id":"44877866-a0d8-4fdf-96cb-6ef82f188f87","type":"Grid"},{"attributes":{"source":{"id":"506266d8-3d63-4cc6-a73b-2ceaecacbf3e","type":"ColumnDataSource"}},"id":"c7ec1d89-cf73-4661-83d1-647dd7cad414","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a40b34e8-8e4a-4230-85ec-e87f37e2a6b7","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"8ffda0d3-548a-4dfb-9191-a2602ef5fffb","type":"LinearAxis"}],"left":[{"id":"78a043a7-47f3-4b46-8276-81571b7bf433","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"8ffda0d3-548a-4dfb-9191-a2602ef5fffb","type":"LinearAxis"},{"id":"0ef1cb66-2e1a-4c94-9138-a296c44167cd","type":"Grid"},{"id":"78a043a7-47f3-4b46-8276-81571b7bf433","type":"LinearAxis"},{"id":"44877866-a0d8-4fdf-96cb-6ef82f188f87","type":"Grid"},{"id":"a40b34e8-8e4a-4230-85ec-e87f37e2a6b7","type":"BoxAnnotation"},{"id":"471b32f1-6c61-422d-aa42-748701859536","type":"GlyphRenderer"}],"title":{"id":"2a871fa9-57fe-4e95-9edd-ecda90892997","type":"Title"},"toolbar":{"id":"859ae42f-b0d8-4c02-b064-29a4f869b5cb","type":"Toolbar"},"x_range":{"id":"df72dcca-b4d1-4531-995a-6338d20dd915","type":"DataRange1d"},"x_scale":{"id":"57927ae7-ac98-4020-8907-8573d925bb59","type":"LinearScale"},"y_range":{"id":"72d82f59-47b6-4662-83ed-8620ee341218","type":"DataRange1d"},"y_scale":{"id":"fabe81ad-b8a6-48c2-966d-8264b0802f76","type":"LinearScale"}},"id":"76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"57927ae7-ac98-4020-8907-8573d925bb59","type":"LinearScale"}],"root_ids":["76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b198ea99-6f7e-472c-a145-40b0051d0a02","elementid":"136d0014-9ef7-4ea0-88b1-b0a764c3b770","modelid":"76d8a9f8-c9b3-41ca-b71f-e5ce2adf8a15"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
