(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("27696820-75e8-4e0e-baf7-46accba42f21");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '27696820-75e8-4e0e-baf7-46accba42f21' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8ede6fe7-bc2f-4b76-8b70-92ffe3981328":{"roots":{"references":[{"attributes":{"below":[{"id":"4a316d77-f07f-4d45-bf0c-11cb057ecdb2","type":"LinearAxis"}],"left":[{"id":"6dd8af1b-3d06-4ec1-8e3c-f982c92f1002","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4a316d77-f07f-4d45-bf0c-11cb057ecdb2","type":"LinearAxis"},{"id":"e54b63f6-c7cf-4709-9bd8-310d6c67ca18","type":"Grid"},{"id":"6dd8af1b-3d06-4ec1-8e3c-f982c92f1002","type":"LinearAxis"},{"id":"d4f2e5f2-acec-44ce-90f9-ee9c62b46221","type":"Grid"},{"id":"8c23950d-0736-46c0-a751-7df1aefe520a","type":"BoxAnnotation"},{"id":"3b8fbe49-0681-4119-9aa0-933e4253ca00","type":"GlyphRenderer"}],"title":{"id":"09743cde-ae06-4364-8631-755554a00594","type":"Title"},"toolbar":{"id":"d7aa32d0-981b-40dd-913f-f5cbd5e1504c","type":"Toolbar"},"x_range":{"id":"11a039af-d12f-4653-bde5-d4b226a6f6a7","type":"DataRange1d"},"x_scale":{"id":"7e2ea6cf-53cb-429b-b605-5f9e764bba73","type":"LinearScale"},"y_range":{"id":"7f24ad29-123c-4b32-97b2-b28a5d19647b","type":"DataRange1d"},"y_scale":{"id":"bc898eff-29ae-433b-9f73-ad8c8e292654","type":"LinearScale"}},"id":"a67767e6-4054-4bf6-a4e9-165e38178720","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"7f24ad29-123c-4b32-97b2-b28a5d19647b","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8c23950d-0736-46c0-a751-7df1aefe520a","type":"BoxAnnotation"},{"attributes":{},"id":"d84b752b-4243-464d-a719-f371806b2308","type":"BasicTicker"},{"attributes":{"source":{"id":"dee9d470-7279-48a2-a130-1dd395548e89","type":"ColumnDataSource"}},"id":"e48b1fc8-c712-407c-8ab5-9ff9231086c1","type":"CDSView"},{"attributes":{},"id":"4809cbee-173d-4ccb-82af-f8d078b5071b","type":"SaveTool"},{"attributes":{"overlay":{"id":"8c23950d-0736-46c0-a751-7df1aefe520a","type":"BoxAnnotation"}},"id":"dfb58846-f1fd-43ab-a8bc-0dc3cecdc081","type":"BoxZoomTool"},{"attributes":{},"id":"34bc4345-feee-4415-9856-359f5568ba5d","type":"ResetTool"},{"attributes":{"plot":{"id":"a67767e6-4054-4bf6-a4e9-165e38178720","subtype":"Figure","type":"Plot"},"ticker":{"id":"f2606e39-b7ee-4ccc-a16a-b700597a85d5","type":"BasicTicker"}},"id":"e54b63f6-c7cf-4709-9bd8-310d6c67ca18","type":"Grid"},{"attributes":{},"id":"bc898eff-29ae-433b-9f73-ad8c8e292654","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"dee9d470-7279-48a2-a130-1dd395548e89","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"dee9d470-7279-48a2-a130-1dd395548e89","type":"ColumnDataSource"},"glyph":{"id":"bf031ace-f991-48fc-8622-cd90ee7cc9b2","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"78e63eff-8572-4788-a9f5-d49122240590","type":"Wedge"},"selection_glyph":null,"view":{"id":"e48b1fc8-c712-407c-8ab5-9ff9231086c1","type":"CDSView"}},"id":"3b8fbe49-0681-4119-9aa0-933e4253ca00","type":"GlyphRenderer"},{"attributes":{},"id":"a4a1fabd-b6ec-473a-b7c8-8edcc98b628c","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"a67767e6-4054-4bf6-a4e9-165e38178720","subtype":"Figure","type":"Plot"},"ticker":{"id":"d84b752b-4243-464d-a719-f371806b2308","type":"BasicTicker"}},"id":"d4f2e5f2-acec-44ce-90f9-ee9c62b46221","type":"Grid"},{"attributes":{"formatter":{"id":"4a0d9ee8-1f0f-4262-9602-32cdbfef9ae8","type":"BasicTickFormatter"},"plot":{"id":"a67767e6-4054-4bf6-a4e9-165e38178720","subtype":"Figure","type":"Plot"},"ticker":{"id":"f2606e39-b7ee-4ccc-a16a-b700597a85d5","type":"BasicTicker"}},"id":"4a316d77-f07f-4d45-bf0c-11cb057ecdb2","type":"LinearAxis"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"screen","value":15},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"78e63eff-8572-4788-a9f5-d49122240590","type":"Wedge"},{"attributes":{},"id":"eccd3bb3-b69e-4aec-a652-922dd373920f","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"09743cde-ae06-4364-8631-755554a00594","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8cdd2dab-3fe9-46a4-b4fc-75f5cd446324","type":"PanTool"},{"id":"eccd3bb3-b69e-4aec-a652-922dd373920f","type":"WheelZoomTool"},{"id":"dfb58846-f1fd-43ab-a8bc-0dc3cecdc081","type":"BoxZoomTool"},{"id":"4809cbee-173d-4ccb-82af-f8d078b5071b","type":"SaveTool"},{"id":"34bc4345-feee-4415-9856-359f5568ba5d","type":"ResetTool"},{"id":"4fd320f3-5f07-422d-b110-8ef6cf2de8ad","type":"HelpTool"}]},"id":"d7aa32d0-981b-40dd-913f-f5cbd5e1504c","type":"Toolbar"},{"attributes":{"formatter":{"id":"a4a1fabd-b6ec-473a-b7c8-8edcc98b628c","type":"BasicTickFormatter"},"plot":{"id":"a67767e6-4054-4bf6-a4e9-165e38178720","subtype":"Figure","type":"Plot"},"ticker":{"id":"d84b752b-4243-464d-a719-f371806b2308","type":"BasicTicker"}},"id":"6dd8af1b-3d06-4ec1-8e3c-f982c92f1002","type":"LinearAxis"},{"attributes":{},"id":"4a0d9ee8-1f0f-4262-9602-32cdbfef9ae8","type":"BasicTickFormatter"},{"attributes":{},"id":"7e2ea6cf-53cb-429b-b605-5f9e764bba73","type":"LinearScale"},{"attributes":{"callback":null},"id":"11a039af-d12f-4653-bde5-d4b226a6f6a7","type":"DataRange1d"},{"attributes":{},"id":"8cdd2dab-3fe9-46a4-b4fc-75f5cd446324","type":"PanTool"},{"attributes":{},"id":"4fd320f3-5f07-422d-b110-8ef6cf2de8ad","type":"HelpTool"},{"attributes":{},"id":"f2606e39-b7ee-4ccc-a16a-b700597a85d5","type":"BasicTicker"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#2b8cbe"},"line_color":{"value":"#2b8cbe"},"radius":{"units":"screen","value":15},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"bf031ace-f991-48fc-8622-cd90ee7cc9b2","type":"Wedge"}],"root_ids":["a67767e6-4054-4bf6-a4e9-165e38178720"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8ede6fe7-bc2f-4b76-8b70-92ffe3981328","elementid":"27696820-75e8-4e0e-baf7-46accba42f21","modelid":"a67767e6-4054-4bf6-a4e9-165e38178720"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
