(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("18910903-b7a1-404e-bb10-281b747f732a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '18910903-b7a1-404e-bb10-281b747f732a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9d7a6297-fa99-4b00-8de4-2b35ad410dd1":{"roots":{"references":[{"attributes":{"plot":{"id":"6adf47cd-7285-4620-9c2c-e0175e59fc6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"93cb23cd-7761-4834-b859-07f65edd0f9f","type":"BasicTicker"}},"id":"0d882da2-8008-43eb-8248-8127554136b2","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"eeba18aa-086c-4da3-9acb-694b1d246f8c","type":"X"},{"attributes":{},"id":"f5afc4f4-9db4-4aa7-af5b-0524334a633a","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#fa9fb5"},"line_color":{"value":"#fa9fb5"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a595c679-1725-4f4f-a183-2b7e662d3aad","type":"X"},{"attributes":{"source":{"id":"7a198ff2-8abd-49d5-b725-6122a8615f21","type":"ColumnDataSource"}},"id":"395833c1-4d97-400f-9bba-13b86a3f2212","type":"CDSView"},{"attributes":{},"id":"95592f46-911d-4d51-916c-6c7295b55ee4","type":"PanTool"},{"attributes":{"callback":null},"id":"9e58561d-6dcf-470d-9f41-673736d53894","type":"DataRange1d"},{"attributes":{},"id":"5cb628e9-c5d8-4bce-9f0c-76e60038780e","type":"LinearScale"},{"attributes":{},"id":"f9b4670b-96c7-49a7-a7ce-51b5cf62899b","type":"BasicTickFormatter"},{"attributes":{},"id":"f533b32c-4d95-4baf-a51e-ef37844c2098","type":"BasicTicker"},{"attributes":{},"id":"375e9946-6936-411b-9656-3cbeabb266fa","type":"SaveTool"},{"attributes":{},"id":"93cb23cd-7761-4834-b859-07f65edd0f9f","type":"BasicTicker"},{"attributes":{},"id":"3045010c-eaf3-409c-b476-31408508465a","type":"ResetTool"},{"attributes":{},"id":"c7445090-ab93-4eb2-b8da-c3c2064f9e36","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"7a198ff2-8abd-49d5-b725-6122a8615f21","type":"ColumnDataSource"},{"attributes":{},"id":"472c557b-b585-47c6-99cc-a1b6ed7e006e","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"7a198ff2-8abd-49d5-b725-6122a8615f21","type":"ColumnDataSource"},"glyph":{"id":"a595c679-1725-4f4f-a183-2b7e662d3aad","type":"X"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"eeba18aa-086c-4da3-9acb-694b1d246f8c","type":"X"},"selection_glyph":null,"view":{"id":"395833c1-4d97-400f-9bba-13b86a3f2212","type":"CDSView"}},"id":"08c8c16c-5c70-469f-bea3-dd731a60ec88","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"2f206c6e-11b0-4d9a-ae8e-697b4157a97b","type":"LinearAxis"}],"left":[{"id":"ba68a664-009e-4bad-98d1-11b5c158bbc5","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"2f206c6e-11b0-4d9a-ae8e-697b4157a97b","type":"LinearAxis"},{"id":"0d882da2-8008-43eb-8248-8127554136b2","type":"Grid"},{"id":"ba68a664-009e-4bad-98d1-11b5c158bbc5","type":"LinearAxis"},{"id":"5a78f46e-3377-4573-aec9-e23d80a45ea6","type":"Grid"},{"id":"2cfcc860-a41c-434d-bf47-56269497ebfa","type":"BoxAnnotation"},{"id":"08c8c16c-5c70-469f-bea3-dd731a60ec88","type":"GlyphRenderer"}],"title":{"id":"4d31fd2a-404b-49cd-a9ba-c74a6efbd77c","type":"Title"},"toolbar":{"id":"7a4812d0-faf6-46f2-8e4d-df0fb777a9f8","type":"Toolbar"},"x_range":{"id":"9e58561d-6dcf-470d-9f41-673736d53894","type":"DataRange1d"},"x_scale":{"id":"5cb628e9-c5d8-4bce-9f0c-76e60038780e","type":"LinearScale"},"y_range":{"id":"66079774-ce2e-4aba-a011-e2dfc0af6e74","type":"DataRange1d"},"y_scale":{"id":"c7445090-ab93-4eb2-b8da-c3c2064f9e36","type":"LinearScale"}},"id":"6adf47cd-7285-4620-9c2c-e0175e59fc6f","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"2cfcc860-a41c-434d-bf47-56269497ebfa","type":"BoxAnnotation"}},"id":"33b31da3-d06d-4a9e-940e-a1c1e4379fa8","type":"BoxZoomTool"},{"attributes":{},"id":"d2f6fa74-646e-4416-b3f2-5a33d9e96418","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"472c557b-b585-47c6-99cc-a1b6ed7e006e","type":"BasicTickFormatter"},"plot":{"id":"6adf47cd-7285-4620-9c2c-e0175e59fc6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"93cb23cd-7761-4834-b859-07f65edd0f9f","type":"BasicTicker"}},"id":"2f206c6e-11b0-4d9a-ae8e-697b4157a97b","type":"LinearAxis"},{"attributes":{"callback":null},"id":"66079774-ce2e-4aba-a011-e2dfc0af6e74","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"95592f46-911d-4d51-916c-6c7295b55ee4","type":"PanTool"},{"id":"d2f6fa74-646e-4416-b3f2-5a33d9e96418","type":"WheelZoomTool"},{"id":"33b31da3-d06d-4a9e-940e-a1c1e4379fa8","type":"BoxZoomTool"},{"id":"375e9946-6936-411b-9656-3cbeabb266fa","type":"SaveTool"},{"id":"3045010c-eaf3-409c-b476-31408508465a","type":"ResetTool"},{"id":"f5afc4f4-9db4-4aa7-af5b-0524334a633a","type":"HelpTool"}]},"id":"7a4812d0-faf6-46f2-8e4d-df0fb777a9f8","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"6adf47cd-7285-4620-9c2c-e0175e59fc6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"f533b32c-4d95-4baf-a51e-ef37844c2098","type":"BasicTicker"}},"id":"5a78f46e-3377-4573-aec9-e23d80a45ea6","type":"Grid"},{"attributes":{"formatter":{"id":"f9b4670b-96c7-49a7-a7ce-51b5cf62899b","type":"BasicTickFormatter"},"plot":{"id":"6adf47cd-7285-4620-9c2c-e0175e59fc6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"f533b32c-4d95-4baf-a51e-ef37844c2098","type":"BasicTicker"}},"id":"ba68a664-009e-4bad-98d1-11b5c158bbc5","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2cfcc860-a41c-434d-bf47-56269497ebfa","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"4d31fd2a-404b-49cd-a9ba-c74a6efbd77c","type":"Title"}],"root_ids":["6adf47cd-7285-4620-9c2c-e0175e59fc6f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9d7a6297-fa99-4b00-8de4-2b35ad410dd1","elementid":"18910903-b7a1-404e-bb10-281b747f732a","modelid":"6adf47cd-7285-4620-9c2c-e0175e59fc6f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
