(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4407dc7b-871b-47ab-b507-43a8353494f9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4407dc7b-871b-47ab-b507-43a8353494f9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4ed05eb6-cf97-4736-9f2a-8d17fd3f99e4":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"6a73a766-a0f1-46a1-87f9-02ddd46dba65","type":"Title"},{"attributes":{"source":{"id":"d97afbbf-a691-4e4b-89ac-030db13c29a4","type":"ColumnDataSource"}},"id":"55e444c0-f6e2-423d-9dff-e816c3d42266","type":"CDSView"},{"attributes":{"below":[{"id":"5a37e3d2-c088-412f-a0e9-c0abbc6537c8","type":"LinearAxis"}],"left":[{"id":"60dc5966-8d13-4867-a496-7f0d16b0ed7f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"5a37e3d2-c088-412f-a0e9-c0abbc6537c8","type":"LinearAxis"},{"id":"3b71c073-962b-4aab-a4c7-72322cde9008","type":"Grid"},{"id":"60dc5966-8d13-4867-a496-7f0d16b0ed7f","type":"LinearAxis"},{"id":"1d74d51f-cc70-47d1-a46a-2eddfcfc7655","type":"Grid"},{"id":"3d9606b9-31ce-402e-8740-9f6f7ce4acdb","type":"BoxAnnotation"},{"id":"7d4d630b-0794-470d-8cdc-461bcf279f44","type":"GlyphRenderer"}],"title":{"id":"6a73a766-a0f1-46a1-87f9-02ddd46dba65","type":"Title"},"toolbar":{"id":"f49b9292-6619-4ecc-9c64-68970d5ab6fb","type":"Toolbar"},"x_range":{"id":"19efda99-e959-4880-b60e-0e3dd18766f7","type":"DataRange1d"},"x_scale":{"id":"d071e279-4fc1-477f-96c4-1fd8ee1e45f6","type":"LinearScale"},"y_range":{"id":"d5d07b0a-209a-4582-a9bc-fa0538efb240","type":"DataRange1d"},"y_scale":{"id":"f0a9951d-ef33-44a0-9807-f93b88cb5717","type":"LinearScale"}},"id":"8104af39-1567-4ded-826f-4f8a3200b51d","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"8f6779df-735d-4471-a6a9-2002bed38a89","type":"BasicTickFormatter"},"plot":{"id":"8104af39-1567-4ded-826f-4f8a3200b51d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3fbd15d3-af2f-4d92-acc4-468d65cc2542","type":"BasicTicker"}},"id":"60dc5966-8d13-4867-a496-7f0d16b0ed7f","type":"LinearAxis"},{"attributes":{},"id":"9a2c3c6b-9760-4bfe-a207-a605fcfde175","type":"BasicTicker"},{"attributes":{"callback":null},"id":"19efda99-e959-4880-b60e-0e3dd18766f7","type":"DataRange1d"},{"attributes":{},"id":"e6a89ed2-01f9-4f8f-86d0-7d286832d118","type":"PanTool"},{"attributes":{"plot":{"id":"8104af39-1567-4ded-826f-4f8a3200b51d","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a2c3c6b-9760-4bfe-a207-a605fcfde175","type":"BasicTicker"}},"id":"3b71c073-962b-4aab-a4c7-72322cde9008","type":"Grid"},{"attributes":{},"id":"6c04da09-a5ba-4673-95f5-a8efba933320","type":"HelpTool"},{"attributes":{"callback":null},"id":"d5d07b0a-209a-4582-a9bc-fa0538efb240","type":"DataRange1d"},{"attributes":{"overlay":{"id":"3d9606b9-31ce-402e-8740-9f6f7ce4acdb","type":"BoxAnnotation"}},"id":"c7c2ebc1-97e8-4a5b-a99f-6da2908eb027","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[4,5,6]}},"id":"d97afbbf-a691-4e4b-89ac-030db13c29a4","type":"ColumnDataSource"},{"attributes":{},"id":"f0a9951d-ef33-44a0-9807-f93b88cb5717","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e6a89ed2-01f9-4f8f-86d0-7d286832d118","type":"PanTool"},{"id":"55e4ec00-eadd-4973-a1e8-d0455b108109","type":"WheelZoomTool"},{"id":"c7c2ebc1-97e8-4a5b-a99f-6da2908eb027","type":"BoxZoomTool"},{"id":"1926b64a-838a-4cb6-b3b1-b7c940f78602","type":"SaveTool"},{"id":"f40386ef-3bb4-4767-b97e-89b5bd20a6f5","type":"ResetTool"},{"id":"6c04da09-a5ba-4673-95f5-a8efba933320","type":"HelpTool"}]},"id":"f49b9292-6619-4ecc-9c64-68970d5ab6fb","type":"Toolbar"},{"attributes":{},"id":"f40386ef-3bb4-4767-b97e-89b5bd20a6f5","type":"ResetTool"},{"attributes":{},"id":"d071e279-4fc1-477f-96c4-1fd8ee1e45f6","type":"LinearScale"},{"attributes":{},"id":"1926b64a-838a-4cb6-b3b1-b7c940f78602","type":"SaveTool"},{"attributes":{},"id":"8f6779df-735d-4471-a6a9-2002bed38a89","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"2e9a7212-49ea-46ea-857c-3175f4d23832","type":"BasicTickFormatter"},"plot":{"id":"8104af39-1567-4ded-826f-4f8a3200b51d","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a2c3c6b-9760-4bfe-a207-a605fcfde175","type":"BasicTicker"}},"id":"5a37e3d2-c088-412f-a0e9-c0abbc6537c8","type":"LinearAxis"},{"attributes":{},"id":"55e4ec00-eadd-4973-a1e8-d0455b108109","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"d97afbbf-a691-4e4b-89ac-030db13c29a4","type":"ColumnDataSource"},"glyph":{"id":"cb523929-a1a6-403e-adbc-c346dae36e01","type":"CircleCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"03216c47-f0f0-42b9-88ea-d8ba3d029d54","type":"CircleCross"},"selection_glyph":null,"view":{"id":"55e444c0-f6e2-423d-9dff-e816c3d42266","type":"CDSView"}},"id":"7d4d630b-0794-470d-8cdc-461bcf279f44","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"03216c47-f0f0-42b9-88ea-d8ba3d029d54","type":"CircleCross"},{"attributes":{},"id":"2e9a7212-49ea-46ea-857c-3175f4d23832","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"8104af39-1567-4ded-826f-4f8a3200b51d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3fbd15d3-af2f-4d92-acc4-468d65cc2542","type":"BasicTicker"}},"id":"1d74d51f-cc70-47d1-a46a-2eddfcfc7655","type":"Grid"},{"attributes":{},"id":"3fbd15d3-af2f-4d92-acc4-468d65cc2542","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3d9606b9-31ce-402e-8740-9f6f7ce4acdb","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#FB8072"},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"cb523929-a1a6-403e-adbc-c346dae36e01","type":"CircleCross"}],"root_ids":["8104af39-1567-4ded-826f-4f8a3200b51d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4ed05eb6-cf97-4736-9f2a-8d17fd3f99e4","elementid":"4407dc7b-871b-47ab-b507-43a8353494f9","modelid":"8104af39-1567-4ded-826f-4f8a3200b51d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
