(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0e36ae27-b179-4e7d-9457-5945f06dcb7e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0e36ae27-b179-4e7d-9457-5945f06dcb7e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4f5cb4f2-2ed6-4a2b-ae84-e06d958f3517":{"roots":{"references":[{"attributes":{},"id":"a5eb52e8-7a15-4386-8a7e-5162f789dcda","type":"LinearScale"},{"attributes":{},"id":"498d8d80-9975-4151-84fe-88426b9cc375","type":"HelpTool"},{"attributes":{"data_source":{"id":"66f0f729-1f90-4d53-b17f-bdf35057eff2","type":"ColumnDataSource"},"glyph":{"id":"7e6b0fa5-c1b3-42eb-b7d5-35a7cca27e84","type":"CircleX"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"63b9858a-93e9-4134-8d5c-ebeabc61ca9d","type":"CircleX"},"selection_glyph":null,"view":{"id":"ed772b81-7f90-4959-acea-44452ce147cd","type":"CDSView"}},"id":"3f55695b-cbd0-433b-a5d1-76d433c30db7","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"1e420c40-7b9c-4412-bb40-b1b9c4cb3176","type":"BoxAnnotation"}},"id":"d9eea47a-3458-4f3a-8c42-fc37ac831916","type":"BoxZoomTool"},{"attributes":{},"id":"466f5d86-543c-42c3-9c8e-310287249341","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1e420c40-7b9c-4412-bb40-b1b9c4cb3176","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"66f0f729-1f90-4d53-b17f-bdf35057eff2","type":"ColumnDataSource"},{"attributes":{},"id":"95568ca8-349c-472f-999a-d667320815cb","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"0ca52f84-edce-4a10-9b57-6418d37e20ec","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"36af37fe-92d3-40af-88b5-d6d330b98a29","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ee63a20-8070-4ad2-8fec-a42269a3f59d","type":"BasicTicker"}},"id":"f8f7fef9-ba1d-46af-84b1-e11213d51d21","type":"Grid"},{"attributes":{"callback":null},"id":"4d926f64-b9df-4d0b-a38b-18bb6825bc15","type":"DataRange1d"},{"attributes":{},"id":"9fe5bcf4-c323-4da8-a911-8f08d5b3c0c5","type":"SaveTool"},{"attributes":{},"id":"bc2bc8e9-eb11-43ac-813d-56ec117f728b","type":"BasicTicker"},{"attributes":{"formatter":{"id":"0f847968-d340-49ee-a7be-a49780addefe","type":"BasicTickFormatter"},"plot":{"id":"36af37fe-92d3-40af-88b5-d6d330b98a29","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ee63a20-8070-4ad2-8fec-a42269a3f59d","type":"BasicTicker"}},"id":"30153e70-f460-4d4b-b3d6-dbf98fd4d46a","type":"LinearAxis"},{"attributes":{},"id":"a458bdf7-4fc7-4811-82b1-0fde78584cdc","type":"LinearScale"},{"attributes":{"callback":null},"id":"011efdc8-1399-4ae9-97e0-1a3fa48b7689","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"63b9858a-93e9-4134-8d5c-ebeabc61ca9d","type":"CircleX"},{"attributes":{},"id":"3ee63a20-8070-4ad2-8fec-a42269a3f59d","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#DD1C77"},"line_color":{"value":"#DD1C77"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"7e6b0fa5-c1b3-42eb-b7d5-35a7cca27e84","type":"CircleX"},{"attributes":{"source":{"id":"66f0f729-1f90-4d53-b17f-bdf35057eff2","type":"ColumnDataSource"}},"id":"ed772b81-7f90-4959-acea-44452ce147cd","type":"CDSView"},{"attributes":{"below":[{"id":"a880a6cc-a1d6-4b0a-af8d-cb08b3c2807f","type":"LinearAxis"}],"left":[{"id":"30153e70-f460-4d4b-b3d6-dbf98fd4d46a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"a880a6cc-a1d6-4b0a-af8d-cb08b3c2807f","type":"LinearAxis"},{"id":"a6147b7c-b2cc-41d4-aa4b-b679b953f9ec","type":"Grid"},{"id":"30153e70-f460-4d4b-b3d6-dbf98fd4d46a","type":"LinearAxis"},{"id":"f8f7fef9-ba1d-46af-84b1-e11213d51d21","type":"Grid"},{"id":"1e420c40-7b9c-4412-bb40-b1b9c4cb3176","type":"BoxAnnotation"},{"id":"3f55695b-cbd0-433b-a5d1-76d433c30db7","type":"GlyphRenderer"}],"title":{"id":"0ca52f84-edce-4a10-9b57-6418d37e20ec","type":"Title"},"toolbar":{"id":"36224663-82aa-4b2d-9a89-acad1841f43e","type":"Toolbar"},"x_range":{"id":"4d926f64-b9df-4d0b-a38b-18bb6825bc15","type":"DataRange1d"},"x_scale":{"id":"a458bdf7-4fc7-4811-82b1-0fde78584cdc","type":"LinearScale"},"y_range":{"id":"011efdc8-1399-4ae9-97e0-1a3fa48b7689","type":"DataRange1d"},"y_scale":{"id":"a5eb52e8-7a15-4386-8a7e-5162f789dcda","type":"LinearScale"}},"id":"36af37fe-92d3-40af-88b5-d6d330b98a29","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"dca9ed09-e516-4899-ac64-072eed7b92db","type":"PanTool"},{"attributes":{},"id":"f437c8c4-17b4-4703-949a-22f753c9b754","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"f437c8c4-17b4-4703-949a-22f753c9b754","type":"BasicTickFormatter"},"plot":{"id":"36af37fe-92d3-40af-88b5-d6d330b98a29","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc2bc8e9-eb11-43ac-813d-56ec117f728b","type":"BasicTicker"}},"id":"a880a6cc-a1d6-4b0a-af8d-cb08b3c2807f","type":"LinearAxis"},{"attributes":{"plot":{"id":"36af37fe-92d3-40af-88b5-d6d330b98a29","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc2bc8e9-eb11-43ac-813d-56ec117f728b","type":"BasicTicker"}},"id":"a6147b7c-b2cc-41d4-aa4b-b679b953f9ec","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dca9ed09-e516-4899-ac64-072eed7b92db","type":"PanTool"},{"id":"95568ca8-349c-472f-999a-d667320815cb","type":"WheelZoomTool"},{"id":"d9eea47a-3458-4f3a-8c42-fc37ac831916","type":"BoxZoomTool"},{"id":"9fe5bcf4-c323-4da8-a911-8f08d5b3c0c5","type":"SaveTool"},{"id":"466f5d86-543c-42c3-9c8e-310287249341","type":"ResetTool"},{"id":"498d8d80-9975-4151-84fe-88426b9cc375","type":"HelpTool"}]},"id":"36224663-82aa-4b2d-9a89-acad1841f43e","type":"Toolbar"},{"attributes":{},"id":"0f847968-d340-49ee-a7be-a49780addefe","type":"BasicTickFormatter"}],"root_ids":["36af37fe-92d3-40af-88b5-d6d330b98a29"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4f5cb4f2-2ed6-4a2b-ae84-e06d958f3517","elementid":"0e36ae27-b179-4e7d-9457-5945f06dcb7e","modelid":"36af37fe-92d3-40af-88b5-d6d330b98a29"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
