(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a8f62783-e0c7-4fb9-8096-8c540a81b18b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a8f62783-e0c7-4fb9-8096-8c540a81b18b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5ed9246c-08a4-4e1c-ae2e-25f286c8effb":{"roots":{"references":[{"attributes":{},"id":"ccbe68cf-b1bc-44bb-b6df-2a495a06f33b","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1C9099"},"line_color":{"value":"#1C9099"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"550c1c8a-dc8b-4a74-8c57-f1d37cf05fd6","type":"Diamond"},{"attributes":{"plot":null,"text":""},"id":"31c70121-5ca9-457e-9cd4-199f953b24ba","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2f3cee11-5ec5-4e43-a28a-65253bd33581","type":"BoxAnnotation"},{"attributes":{},"id":"8804a867-5923-4e49-9c99-2fcd5f95e475","type":"ResetTool"},{"attributes":{"below":[{"id":"6512acae-118a-4604-b608-2a94c9560e35","type":"LinearAxis"}],"left":[{"id":"9deb616c-8e64-4dc4-bdcd-90af01341e52","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"6512acae-118a-4604-b608-2a94c9560e35","type":"LinearAxis"},{"id":"fb29cbfd-254c-4ecd-957c-e30111f6c56e","type":"Grid"},{"id":"9deb616c-8e64-4dc4-bdcd-90af01341e52","type":"LinearAxis"},{"id":"73e74424-b8f8-48f1-b930-1cf15a8bb470","type":"Grid"},{"id":"2f3cee11-5ec5-4e43-a28a-65253bd33581","type":"BoxAnnotation"},{"id":"5d970f89-db0b-4f2d-92f6-8aca215cef05","type":"GlyphRenderer"}],"title":{"id":"31c70121-5ca9-457e-9cd4-199f953b24ba","type":"Title"},"toolbar":{"id":"da8300fd-2e83-4e15-91ae-1277e74e2087","type":"Toolbar"},"x_range":{"id":"a7738d4d-ee83-4d7c-ae33-8a06efa76b76","type":"DataRange1d"},"x_scale":{"id":"bd6eefc3-fc1f-4179-8c61-86ebee5dac51","type":"LinearScale"},"y_range":{"id":"ae13cfa6-d7ab-4cef-af83-bdc8eeda39fe","type":"DataRange1d"},"y_scale":{"id":"75492d1f-9d03-468f-a104-14b466df47ab","type":"LinearScale"}},"id":"0287d670-a444-4a91-9cac-eaef5fcbed59","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6f957152-fcbd-4d96-bc6a-361309b4c656","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"762803c2-7369-4770-9edf-1bb3c12fa011","type":"ColumnDataSource"},{"attributes":{"source":{"id":"762803c2-7369-4770-9edf-1bb3c12fa011","type":"ColumnDataSource"}},"id":"91e1326c-7efa-49f8-b90d-1fda1329b996","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"638b694d-8341-472d-917b-bb9d6a7cc68d","type":"Diamond"},{"attributes":{},"id":"d91ba1de-de5e-43ca-b609-2c9491cce4cd","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"0287d670-a444-4a91-9cac-eaef5fcbed59","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f957152-fcbd-4d96-bc6a-361309b4c656","type":"BasicTicker"}},"id":"fb29cbfd-254c-4ecd-957c-e30111f6c56e","type":"Grid"},{"attributes":{},"id":"3604f5ca-be08-45ee-922d-a608e74f2a36","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"762803c2-7369-4770-9edf-1bb3c12fa011","type":"ColumnDataSource"},"glyph":{"id":"550c1c8a-dc8b-4a74-8c57-f1d37cf05fd6","type":"Diamond"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"638b694d-8341-472d-917b-bb9d6a7cc68d","type":"Diamond"},"selection_glyph":null,"view":{"id":"91e1326c-7efa-49f8-b90d-1fda1329b996","type":"CDSView"}},"id":"5d970f89-db0b-4f2d-92f6-8aca215cef05","type":"GlyphRenderer"},{"attributes":{},"id":"9e557b2d-94f7-44cf-86ac-4964b7d41878","type":"BasicTicker"},{"attributes":{"formatter":{"id":"e56e5ce8-8f95-44ea-a338-ed90827e2ee9","type":"BasicTickFormatter"},"plot":{"id":"0287d670-a444-4a91-9cac-eaef5fcbed59","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e557b2d-94f7-44cf-86ac-4964b7d41878","type":"BasicTicker"}},"id":"9deb616c-8e64-4dc4-bdcd-90af01341e52","type":"LinearAxis"},{"attributes":{},"id":"75492d1f-9d03-468f-a104-14b466df47ab","type":"LinearScale"},{"attributes":{"callback":null},"id":"a7738d4d-ee83-4d7c-ae33-8a06efa76b76","type":"DataRange1d"},{"attributes":{},"id":"0c75eae6-36e5-40df-833a-8cdaef7776fd","type":"PanTool"},{"attributes":{},"id":"bd6eefc3-fc1f-4179-8c61-86ebee5dac51","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"0287d670-a444-4a91-9cac-eaef5fcbed59","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e557b2d-94f7-44cf-86ac-4964b7d41878","type":"BasicTicker"}},"id":"73e74424-b8f8-48f1-b930-1cf15a8bb470","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0c75eae6-36e5-40df-833a-8cdaef7776fd","type":"PanTool"},{"id":"3604f5ca-be08-45ee-922d-a608e74f2a36","type":"WheelZoomTool"},{"id":"b6df1229-5276-4206-a00c-8339f362418a","type":"BoxZoomTool"},{"id":"254b395e-71df-4c82-82f3-b90d3de3e8b0","type":"SaveTool"},{"id":"8804a867-5923-4e49-9c99-2fcd5f95e475","type":"ResetTool"},{"id":"ccbe68cf-b1bc-44bb-b6df-2a495a06f33b","type":"HelpTool"}]},"id":"da8300fd-2e83-4e15-91ae-1277e74e2087","type":"Toolbar"},{"attributes":{"overlay":{"id":"2f3cee11-5ec5-4e43-a28a-65253bd33581","type":"BoxAnnotation"}},"id":"b6df1229-5276-4206-a00c-8339f362418a","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"ae13cfa6-d7ab-4cef-af83-bdc8eeda39fe","type":"DataRange1d"},{"attributes":{},"id":"254b395e-71df-4c82-82f3-b90d3de3e8b0","type":"SaveTool"},{"attributes":{"formatter":{"id":"d91ba1de-de5e-43ca-b609-2c9491cce4cd","type":"BasicTickFormatter"},"plot":{"id":"0287d670-a444-4a91-9cac-eaef5fcbed59","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f957152-fcbd-4d96-bc6a-361309b4c656","type":"BasicTicker"}},"id":"6512acae-118a-4604-b608-2a94c9560e35","type":"LinearAxis"},{"attributes":{},"id":"e56e5ce8-8f95-44ea-a338-ed90827e2ee9","type":"BasicTickFormatter"}],"root_ids":["0287d670-a444-4a91-9cac-eaef5fcbed59"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5ed9246c-08a4-4e1c-ae2e-25f286c8effb","elementid":"a8f62783-e0c7-4fb9-8096-8c540a81b18b","modelid":"0287d670-a444-4a91-9cac-eaef5fcbed59"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
