(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4615ed9e-206f-478a-9a1b-7caafc65fba7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4615ed9e-206f-478a-9a1b-7caafc65fba7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d88a5e5e-5e55-45c3-8c88-d2fc1b093d10":{"roots":{"references":[{"attributes":{},"id":"e8c4e71a-dff9-48d3-ba4a-c219f5dcf521","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"f510ddf6-1fd5-4e10-a7d7-674a9082a057","type":"Title"},{"attributes":{},"id":"3addc923-6957-4103-8180-b4644fae653a","type":"PanTool"},{"attributes":{"plot":{"id":"c54e9d20-352a-4879-a73f-c65d5ce74412","subtype":"Figure","type":"Plot"},"ticker":{"id":"20e4c4cb-ce29-4375-bd03-307c9896e2a0","type":"BasicTicker"}},"id":"64682cae-7d25-4eca-a21e-f565b9b927dd","type":"Grid"},{"attributes":{},"id":"0edce688-ffd5-4857-88d0-19c56dfd354c","type":"ResetTool"},{"attributes":{"data_source":{"id":"18418ca1-754e-41eb-8e1a-e248ba83ae89","type":"ColumnDataSource"},"glyph":{"id":"65e8bac5-0794-4fbd-b5f3-902a1e0b648f","type":"DiamondCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c7188c19-3817-4375-ad72-444ae8b11556","type":"DiamondCross"},"selection_glyph":null,"view":{"id":"3c08eba8-4339-4591-8b6a-bfac6f79bd34","type":"CDSView"}},"id":"b75153c6-b86e-4492-a6c2-3dcd05833d2d","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"5b05062a-3b84-498a-a052-e9896a377eb8","type":"BasicTickFormatter"},"plot":{"id":"c54e9d20-352a-4879-a73f-c65d5ce74412","subtype":"Figure","type":"Plot"},"ticker":{"id":"20e4c4cb-ce29-4375-bd03-307c9896e2a0","type":"BasicTicker"}},"id":"d0fb908d-cd55-4eaf-9212-756827b06137","type":"LinearAxis"},{"attributes":{},"id":"767c1ebf-26dc-4aca-8d57-590a69b21c40","type":"HelpTool"},{"attributes":{},"id":"bb38083b-1a8e-4bc5-a34a-1f87f90768f9","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"c54e9d20-352a-4879-a73f-c65d5ce74412","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8c4e71a-dff9-48d3-ba4a-c219f5dcf521","type":"BasicTicker"}},"id":"1823895b-c9b5-4039-80b6-ba4d674c0d2f","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"18418ca1-754e-41eb-8e1a-e248ba83ae89","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"0a2e17aa-1b5c-41fe-ba0d-8e33fdb2af1b","type":"BoxAnnotation"}},"id":"dcb8bd64-245a-466a-928f-0165fd274158","type":"BoxZoomTool"},{"attributes":{"source":{"id":"18418ca1-754e-41eb-8e1a-e248ba83ae89","type":"ColumnDataSource"}},"id":"3c08eba8-4339-4591-8b6a-bfac6f79bd34","type":"CDSView"},{"attributes":{},"id":"077ce138-4a66-405b-be62-6dfcd1b940bd","type":"LinearScale"},{"attributes":{"formatter":{"id":"8fc6b3bc-e86c-4ba4-bda6-e8d0d059bdf1","type":"BasicTickFormatter"},"plot":{"id":"c54e9d20-352a-4879-a73f-c65d5ce74412","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8c4e71a-dff9-48d3-ba4a-c219f5dcf521","type":"BasicTicker"}},"id":"9df07394-b675-4242-b086-45a49b5e5358","type":"LinearAxis"},{"attributes":{},"id":"97acc956-c28e-4358-abdf-2b0078181cc2","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0a2e17aa-1b5c-41fe-ba0d-8e33fdb2af1b","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"7de749a6-7d7a-4f3e-ba75-54e9914e5a35","type":"DataRange1d"},{"attributes":{},"id":"a11808c4-43eb-4330-aa8e-30c84e94f136","type":"SaveTool"},{"attributes":{"below":[{"id":"d0fb908d-cd55-4eaf-9212-756827b06137","type":"LinearAxis"}],"left":[{"id":"9df07394-b675-4242-b086-45a49b5e5358","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d0fb908d-cd55-4eaf-9212-756827b06137","type":"LinearAxis"},{"id":"64682cae-7d25-4eca-a21e-f565b9b927dd","type":"Grid"},{"id":"9df07394-b675-4242-b086-45a49b5e5358","type":"LinearAxis"},{"id":"1823895b-c9b5-4039-80b6-ba4d674c0d2f","type":"Grid"},{"id":"0a2e17aa-1b5c-41fe-ba0d-8e33fdb2af1b","type":"BoxAnnotation"},{"id":"b75153c6-b86e-4492-a6c2-3dcd05833d2d","type":"GlyphRenderer"}],"title":{"id":"f510ddf6-1fd5-4e10-a7d7-674a9082a057","type":"Title"},"toolbar":{"id":"88040a18-9924-44ed-ab92-3bfc4932f0bf","type":"Toolbar"},"x_range":{"id":"7b207005-1e6c-4517-838a-aa7899b32097","type":"DataRange1d"},"x_scale":{"id":"077ce138-4a66-405b-be62-6dfcd1b940bd","type":"LinearScale"},"y_range":{"id":"7de749a6-7d7a-4f3e-ba75-54e9914e5a35","type":"DataRange1d"},"y_scale":{"id":"bb38083b-1a8e-4bc5-a34a-1f87f90768f9","type":"LinearScale"}},"id":"c54e9d20-352a-4879-a73f-c65d5ce74412","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5b05062a-3b84-498a-a052-e9896a377eb8","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3addc923-6957-4103-8180-b4644fae653a","type":"PanTool"},{"id":"97acc956-c28e-4358-abdf-2b0078181cc2","type":"WheelZoomTool"},{"id":"dcb8bd64-245a-466a-928f-0165fd274158","type":"BoxZoomTool"},{"id":"a11808c4-43eb-4330-aa8e-30c84e94f136","type":"SaveTool"},{"id":"0edce688-ffd5-4857-88d0-19c56dfd354c","type":"ResetTool"},{"id":"767c1ebf-26dc-4aca-8d57-590a69b21c40","type":"HelpTool"}]},"id":"88040a18-9924-44ed-ab92-3bfc4932f0bf","type":"Toolbar"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#386CB0"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"65e8bac5-0794-4fbd-b5f3-902a1e0b648f","type":"DiamondCross"},{"attributes":{},"id":"20e4c4cb-ce29-4375-bd03-307c9896e2a0","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"c7188c19-3817-4375-ad72-444ae8b11556","type":"DiamondCross"},{"attributes":{},"id":"8fc6b3bc-e86c-4ba4-bda6-e8d0d059bdf1","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"7b207005-1e6c-4517-838a-aa7899b32097","type":"DataRange1d"}],"root_ids":["c54e9d20-352a-4879-a73f-c65d5ce74412"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d88a5e5e-5e55-45c3-8c88-d2fc1b093d10","elementid":"4615ed9e-206f-478a-9a1b-7caafc65fba7","modelid":"c54e9d20-352a-4879-a73f-c65d5ce74412"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
