(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("49760561-aaf2-4c8f-8ba5-8865e3f839d1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '49760561-aaf2-4c8f-8ba5-8865e3f839d1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4a846a3d-5923-46a7-9ea3-855af5593ad2":{"roots":{"references":[{"attributes":{"overlay":{"id":"1b0ae403-d0b3-4ac3-ba59-934c93c1fe03","type":"BoxAnnotation"}},"id":"a45d3278-6144-4544-9b9d-de2e9eb3a15c","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"f4a066e8-a28f-443f-8553-a466f9cbf048","subtype":"Figure","type":"Plot"},"ticker":{"id":"870a1f24-9b31-47e5-b105-f48d4d525a5b","type":"BasicTicker"}},"id":"f82e219b-000d-4e9a-8e43-92fabcd567ed","type":"Grid"},{"attributes":{"plot":{"id":"f4a066e8-a28f-443f-8553-a466f9cbf048","subtype":"Figure","type":"Plot"},"ticker":{"id":"b558939a-aaea-411e-a901-1c82dbb3f614","type":"BasicTicker"}},"id":"338bf2ea-a4f6-4d6a-9fe3-7065d6df914d","type":"Grid"},{"attributes":{},"id":"57d164d2-e8af-47a4-b6cc-396ea187b1ca","type":"ResetTool"},{"attributes":{},"id":"b4900c79-b9ed-4b69-a1ca-34290538faa0","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,6,4,5]}},"id":"46cfe0c5-aa19-467a-9ede-659bf7d76704","type":"ColumnDataSource"},{"attributes":{},"id":"870a1f24-9b31-47e5-b105-f48d4d525a5b","type":"BasicTicker"},{"attributes":{},"id":"3945fe3b-cb70-4241-b639-1248af5fe180","type":"LinearScale"},{"attributes":{},"id":"b0878ff8-a15e-4e1b-8d06-c3b51418cee5","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"4c2011f0-a0fe-435b-9aa5-5043424ce236","type":"BasicTickFormatter"},"plot":{"id":"f4a066e8-a28f-443f-8553-a466f9cbf048","subtype":"Figure","type":"Plot"},"ticker":{"id":"870a1f24-9b31-47e5-b105-f48d4d525a5b","type":"BasicTicker"}},"id":"62b2988a-0636-4b5e-9b87-43bb1b3142a6","type":"LinearAxis"},{"attributes":{"source":{"id":"86a2acfc-27a4-4ce0-8619-76373a4bb7e8","type":"ColumnDataSource"}},"id":"3e833e2a-8f66-498c-83af-b1bfb8ecd5f1","type":"CDSView"},{"attributes":{},"id":"ea90b366-3617-456d-96dc-17439aa78588","type":"PanTool"},{"attributes":{},"id":"ee9bc370-a336-40e3-9a16-4f4e4130ab38","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1b0ae403-d0b3-4ac3-ba59-934c93c1fe03","type":"BoxAnnotation"},{"attributes":{},"id":"b558939a-aaea-411e-a901-1c82dbb3f614","type":"BasicTicker"},{"attributes":{},"id":"b34e9293-adef-4bf2-890b-69b06eb8755c","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"83049bdc-3616-4768-99b6-fbf6ff329b26","type":"Circle"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"95e26236-c264-4685-a239-374b4e566771","type":"Circle"},{"attributes":{"data_source":{"id":"46cfe0c5-aa19-467a-9ede-659bf7d76704","type":"ColumnDataSource"},"glyph":{"id":"d5098cf3-7993-49ba-b81a-b57e6832bad2","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8357f28e-42a1-498f-862f-4980342ab9d7","type":"Line"},"selection_glyph":null,"view":{"id":"2758f5eb-9d59-4c6c-ae8b-f4f999ec0ae3","type":"CDSView"}},"id":"fd0d4c1c-0a1f-4d6c-97b1-cbc97bfed5c6","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,6,4,5]}},"id":"86a2acfc-27a4-4ce0-8619-76373a4bb7e8","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d5098cf3-7993-49ba-b81a-b57e6832bad2","type":"Line"},{"attributes":{"source":{"id":"46cfe0c5-aa19-467a-9ede-659bf7d76704","type":"ColumnDataSource"}},"id":"2758f5eb-9d59-4c6c-ae8b-f4f999ec0ae3","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8357f28e-42a1-498f-862f-4980342ab9d7","type":"Line"},{"attributes":{"formatter":{"id":"b34e9293-adef-4bf2-890b-69b06eb8755c","type":"BasicTickFormatter"},"plot":{"id":"f4a066e8-a28f-443f-8553-a466f9cbf048","subtype":"Figure","type":"Plot"},"ticker":{"id":"b558939a-aaea-411e-a901-1c82dbb3f614","type":"BasicTicker"}},"id":"561cc627-dc60-4d56-93b2-b4996a71887b","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ea90b366-3617-456d-96dc-17439aa78588","type":"PanTool"},{"id":"b0878ff8-a15e-4e1b-8d06-c3b51418cee5","type":"WheelZoomTool"},{"id":"a45d3278-6144-4544-9b9d-de2e9eb3a15c","type":"BoxZoomTool"},{"id":"b4900c79-b9ed-4b69-a1ca-34290538faa0","type":"SaveTool"},{"id":"57d164d2-e8af-47a4-b6cc-396ea187b1ca","type":"ResetTool"},{"id":"ee9bc370-a336-40e3-9a16-4f4e4130ab38","type":"HelpTool"}]},"id":"e0abcab3-c087-463e-b33b-5198e750d3fa","type":"Toolbar"},{"attributes":{"data_source":{"id":"86a2acfc-27a4-4ce0-8619-76373a4bb7e8","type":"ColumnDataSource"},"glyph":{"id":"95e26236-c264-4685-a239-374b4e566771","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"83049bdc-3616-4768-99b6-fbf6ff329b26","type":"Circle"},"selection_glyph":null,"view":{"id":"3e833e2a-8f66-498c-83af-b1bfb8ecd5f1","type":"CDSView"}},"id":"829a3fd7-5f62-4d34-b059-57c6e21e232e","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"13fe4f02-4827-4012-ba40-c4e0db1f450a","type":"DataRange1d"},{"attributes":{"plot":null,"text":"example"},"id":"ea2bd1aa-daf6-472e-9aaa-2b2b9b210507","type":"Title"},{"attributes":{"below":[{"id":"561cc627-dc60-4d56-93b2-b4996a71887b","type":"LinearAxis"}],"left":[{"id":"62b2988a-0636-4b5e-9b87-43bb1b3142a6","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"561cc627-dc60-4d56-93b2-b4996a71887b","type":"LinearAxis"},{"id":"338bf2ea-a4f6-4d6a-9fe3-7065d6df914d","type":"Grid"},{"id":"62b2988a-0636-4b5e-9b87-43bb1b3142a6","type":"LinearAxis"},{"id":"f82e219b-000d-4e9a-8e43-92fabcd567ed","type":"Grid"},{"id":"1b0ae403-d0b3-4ac3-ba59-934c93c1fe03","type":"BoxAnnotation"},{"id":"fd0d4c1c-0a1f-4d6c-97b1-cbc97bfed5c6","type":"GlyphRenderer"},{"id":"829a3fd7-5f62-4d34-b059-57c6e21e232e","type":"GlyphRenderer"}],"title":{"id":"ea2bd1aa-daf6-472e-9aaa-2b2b9b210507","type":"Title"},"toolbar":{"id":"e0abcab3-c087-463e-b33b-5198e750d3fa","type":"Toolbar"},"x_range":{"id":"13fe4f02-4827-4012-ba40-c4e0db1f450a","type":"DataRange1d"},"x_scale":{"id":"fb7512d3-f6bf-49e4-8458-eb04497b8c3f","type":"LinearScale"},"y_range":{"id":"f41100b1-79ce-45c6-9787-d9036833a5cf","type":"DataRange1d"},"y_scale":{"id":"3945fe3b-cb70-4241-b639-1248af5fe180","type":"LinearScale"}},"id":"f4a066e8-a28f-443f-8553-a466f9cbf048","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"fb7512d3-f6bf-49e4-8458-eb04497b8c3f","type":"LinearScale"},{"attributes":{},"id":"4c2011f0-a0fe-435b-9aa5-5043424ce236","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"f41100b1-79ce-45c6-9787-d9036833a5cf","type":"DataRange1d"}],"root_ids":["f4a066e8-a28f-443f-8553-a466f9cbf048"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4a846a3d-5923-46a7-9ea3-855af5593ad2","elementid":"49760561-aaf2-4c8f-8ba5-8865e3f839d1","modelid":"f4a066e8-a28f-443f-8553-a466f9cbf048"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
