(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7e1ce95a-a2fd-4558-8c83-a62ff655af55");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7e1ce95a-a2fd-4558-8c83-a62ff655af55' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5cb0b4c3-f5f6-4655-8045-e0a652e454e8":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7fc3bcfc-47ac-49dc-a01d-27cd7001716c","type":"Circle"},{"attributes":{},"id":"cf55f213-45a4-4d5b-b084-a81328a9e0d2","type":"LinearScale"},{"attributes":{},"id":"5d73dff1-74ac-44da-a96c-06b316082336","type":"BasicTicker"},{"attributes":{},"id":"5601ce59-b9e3-4ea9-a3a2-31374072641d","type":"BasicTickFormatter"},{"attributes":{},"id":"b718552e-25dd-433c-a4b6-1df1207d1812","type":"LinearScale"},{"attributes":{"formatter":{"id":"5c91ca16-1848-41e8-9a78-46b7da4bc4fb","type":"BasicTickFormatter"},"plot":{"id":"a9634320-cc6b-4e62-91da-6ee630178490","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d73dff1-74ac-44da-a96c-06b316082336","type":"BasicTicker"}},"id":"b9ddb684-3c69-432e-b30f-b103864ae86d","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Basic Title"},"id":"8e471fc8-3e59-43ed-8251-4b7ff99344fe","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"1566ff0f-2ec6-40f8-b854-ac3558b0ebb4","type":"ColumnDataSource"},{"attributes":{},"id":"27c7c72a-afef-434a-9507-442de8744ebe","type":"PanTool"},{"attributes":{},"id":"5c91ca16-1848-41e8-9a78-46b7da4bc4fb","type":"BasicTickFormatter"},{"attributes":{},"id":"2a9e9807-4bb2-4f83-bfb4-3129619191c7","type":"BasicTicker"},{"attributes":{"plot":{"id":"a9634320-cc6b-4e62-91da-6ee630178490","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d73dff1-74ac-44da-a96c-06b316082336","type":"BasicTicker"}},"id":"8e3e1d5e-7d4d-4f8f-82ac-b2981e2dc55d","type":"Grid"},{"attributes":{"overlay":{"id":"6300e482-e25e-4203-a926-805fc4d3525a","type":"BoxAnnotation"}},"id":"426e91e3-d96d-499c-8713-39af900235a2","type":"BoxZoomTool"},{"attributes":{},"id":"c6e66572-6a66-4eea-9555-abb55f50bf85","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"27c7c72a-afef-434a-9507-442de8744ebe","type":"PanTool"},{"id":"41731463-890c-43b1-a3d0-7e7b2ca6e97e","type":"WheelZoomTool"},{"id":"426e91e3-d96d-499c-8713-39af900235a2","type":"BoxZoomTool"},{"id":"f264396d-51d3-4df2-bc6e-bd6bbab8f557","type":"SaveTool"},{"id":"c6e66572-6a66-4eea-9555-abb55f50bf85","type":"ResetTool"},{"id":"31f13db9-f710-42e5-8583-03c1438ff7af","type":"HelpTool"}]},"id":"d97e4db6-61fc-468c-863c-c4f2164e32a0","type":"Toolbar"},{"attributes":{"callback":null},"id":"ac4f33f4-e957-4971-aca0-083b592f4641","type":"DataRange1d"},{"attributes":{"data_source":{"id":"1566ff0f-2ec6-40f8-b854-ac3558b0ebb4","type":"ColumnDataSource"},"glyph":{"id":"428245f7-20dd-4fea-8cca-b5fbe07d5f4c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7fc3bcfc-47ac-49dc-a01d-27cd7001716c","type":"Circle"},"selection_glyph":null,"view":{"id":"03a549eb-b0fa-492d-8c91-ea3980e4e74f","type":"CDSView"}},"id":"647a2da2-43d6-475c-a9ed-be369de5e91e","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"428245f7-20dd-4fea-8cca-b5fbe07d5f4c","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6300e482-e25e-4203-a926-805fc4d3525a","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"5601ce59-b9e3-4ea9-a3a2-31374072641d","type":"BasicTickFormatter"},"plot":{"id":"a9634320-cc6b-4e62-91da-6ee630178490","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a9e9807-4bb2-4f83-bfb4-3129619191c7","type":"BasicTicker"}},"id":"93a98394-9225-4d88-8c9b-97bc9ed57c98","type":"LinearAxis"},{"attributes":{},"id":"f264396d-51d3-4df2-bc6e-bd6bbab8f557","type":"SaveTool"},{"attributes":{},"id":"41731463-890c-43b1-a3d0-7e7b2ca6e97e","type":"WheelZoomTool"},{"attributes":{},"id":"31f13db9-f710-42e5-8583-03c1438ff7af","type":"HelpTool"},{"attributes":{"source":{"id":"1566ff0f-2ec6-40f8-b854-ac3558b0ebb4","type":"ColumnDataSource"}},"id":"03a549eb-b0fa-492d-8c91-ea3980e4e74f","type":"CDSView"},{"attributes":{"below":[{"id":"b9ddb684-3c69-432e-b30f-b103864ae86d","type":"LinearAxis"}],"left":[{"id":"93a98394-9225-4d88-8c9b-97bc9ed57c98","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"b9ddb684-3c69-432e-b30f-b103864ae86d","type":"LinearAxis"},{"id":"8e3e1d5e-7d4d-4f8f-82ac-b2981e2dc55d","type":"Grid"},{"id":"93a98394-9225-4d88-8c9b-97bc9ed57c98","type":"LinearAxis"},{"id":"2c48456b-6d6f-4add-bc09-21c872c0b4e0","type":"Grid"},{"id":"6300e482-e25e-4203-a926-805fc4d3525a","type":"BoxAnnotation"},{"id":"647a2da2-43d6-475c-a9ed-be369de5e91e","type":"GlyphRenderer"}],"title":{"id":"8e471fc8-3e59-43ed-8251-4b7ff99344fe","type":"Title"},"toolbar":{"id":"d97e4db6-61fc-468c-863c-c4f2164e32a0","type":"Toolbar"},"x_range":{"id":"15405052-ccaf-41a3-afdd-594a92639073","type":"DataRange1d"},"x_scale":{"id":"b718552e-25dd-433c-a4b6-1df1207d1812","type":"LinearScale"},"y_range":{"id":"ac4f33f4-e957-4971-aca0-083b592f4641","type":"DataRange1d"},"y_scale":{"id":"cf55f213-45a4-4d5b-b084-a81328a9e0d2","type":"LinearScale"}},"id":"a9634320-cc6b-4e62-91da-6ee630178490","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"a9634320-cc6b-4e62-91da-6ee630178490","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a9e9807-4bb2-4f83-bfb4-3129619191c7","type":"BasicTicker"}},"id":"2c48456b-6d6f-4add-bc09-21c872c0b4e0","type":"Grid"},{"attributes":{"callback":null},"id":"15405052-ccaf-41a3-afdd-594a92639073","type":"DataRange1d"}],"root_ids":["a9634320-cc6b-4e62-91da-6ee630178490"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5cb0b4c3-f5f6-4655-8045-e0a652e454e8","elementid":"7e1ce95a-a2fd-4558-8c83-a62ff655af55","modelid":"a9634320-cc6b-4e62-91da-6ee630178490"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
