(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ef72e07e-b132-4d97-b4b4-ac0222990706");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ef72e07e-b132-4d97-b4b4-ac0222990706' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"edf30e51-6e71-46a9-a8d9-06745104ce65":{"roots":{"references":[{"attributes":{"align":"center","plot":{"id":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24","subtype":"Figure","type":"Plot"},"text":"Bottom Centered Title"},"id":"e4e49de7-10ee-4953-9f04-efdd387713a3","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ab80e520-f33a-4e95-b4ce-201e27827273","type":"PanTool"},{"id":"24b34bf9-b38a-4f81-8ba0-d29744241cc5","type":"WheelZoomTool"},{"id":"e7b6bfd1-d175-4e90-b357-5605270c65cd","type":"BoxZoomTool"},{"id":"3f40c6ed-8d78-4136-a606-fd4256392b31","type":"SaveTool"},{"id":"952b2b52-551d-4392-9bb7-25e775ad5180","type":"ResetTool"},{"id":"0401d76d-f1a0-49bc-9773-dd47f9109d72","type":"HelpTool"}]},"id":"d5347639-9410-46e9-a123-d047d8cc39cc","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4e2c798f-4279-4e60-8050-1e1fff4884ed","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4eae4036-caa9-438c-b602-5bddb3791ee0","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24","subtype":"Figure","type":"Plot"},"ticker":{"id":"a81ce555-231d-44fc-98b5-042107efe874","type":"BasicTicker"}},"id":"c8b122c4-2a55-412b-b423-72e49a410b0c","type":"Grid"},{"attributes":{},"id":"952b2b52-551d-4392-9bb7-25e775ad5180","type":"ResetTool"},{"attributes":{},"id":"24b34bf9-b38a-4f81-8ba0-d29744241cc5","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"4e2c798f-4279-4e60-8050-1e1fff4884ed","type":"BoxAnnotation"}},"id":"e7b6bfd1-d175-4e90-b357-5605270c65cd","type":"BoxZoomTool"},{"attributes":{},"id":"3f40c6ed-8d78-4136-a606-fd4256392b31","type":"SaveTool"},{"attributes":{},"id":"a81ce555-231d-44fc-98b5-042107efe874","type":"BasicTicker"},{"attributes":{},"id":"ab80e520-f33a-4e95-b4ce-201e27827273","type":"PanTool"},{"attributes":{"formatter":{"id":"b45891e9-6e81-46c8-87b0-3cf116bdf816","type":"BasicTickFormatter"},"plot":{"id":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3338c1f-d888-42d0-89ed-0ef09e659aaf","type":"BasicTicker"}},"id":"972e8a61-0497-4a07-97bf-73d4ee224812","type":"LinearAxis"},{"attributes":{},"id":"c3338c1f-d888-42d0-89ed-0ef09e659aaf","type":"BasicTicker"},{"attributes":{"data_source":{"id":"9b6e5b12-baa4-46f0-baf4-7d2059c4f3fe","type":"ColumnDataSource"},"glyph":{"id":"4eae4036-caa9-438c-b602-5bddb3791ee0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"14b8eb97-d419-4210-bd73-1ada8476b162","type":"Circle"},"selection_glyph":null,"view":{"id":"9d0e6872-8ac6-45ef-9851-ca308005d42c","type":"CDSView"}},"id":"5d2722c7-0c6b-4e28-9d1f-04c4b5116a29","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"14b8eb97-d419-4210-bd73-1ada8476b162","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"9b6e5b12-baa4-46f0-baf4-7d2059c4f3fe","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Left Title"},"id":"4976a7c6-f39c-498a-9fde-4123d29158c7","type":"Title"},{"attributes":{},"id":"b45891e9-6e81-46c8-87b0-3cf116bdf816","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"9b6e5b12-baa4-46f0-baf4-7d2059c4f3fe","type":"ColumnDataSource"}},"id":"9d0e6872-8ac6-45ef-9851-ca308005d42c","type":"CDSView"},{"attributes":{"plot":{"id":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3338c1f-d888-42d0-89ed-0ef09e659aaf","type":"BasicTicker"}},"id":"13f8572c-ffd1-484a-a0ba-21ecd261ecbe","type":"Grid"},{"attributes":{"callback":null},"id":"7a0c61ee-c07d-4034-9b34-7ac9e8ebf159","type":"DataRange1d"},{"attributes":{},"id":"0401d76d-f1a0-49bc-9773-dd47f9109d72","type":"HelpTool"},{"attributes":{"formatter":{"id":"7f0309c5-7952-4d35-a3c8-af2a986ee3d8","type":"BasicTickFormatter"},"plot":{"id":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24","subtype":"Figure","type":"Plot"},"ticker":{"id":"a81ce555-231d-44fc-98b5-042107efe874","type":"BasicTicker"}},"id":"2bd9adbd-72d7-4d04-9408-dd0a70495988","type":"LinearAxis"},{"attributes":{},"id":"7f0309c5-7952-4d35-a3c8-af2a986ee3d8","type":"BasicTickFormatter"},{"attributes":{},"id":"4125c67e-764f-4c1b-a29f-bbdc3bcc1197","type":"LinearScale"},{"attributes":{"callback":null},"id":"1c4da660-eb88-462d-9041-20fbc505d01f","type":"DataRange1d"},{"attributes":{},"id":"a6920568-182c-4942-9e7b-309c4c8ed717","type":"LinearScale"},{"attributes":{"below":[{"id":"972e8a61-0497-4a07-97bf-73d4ee224812","type":"LinearAxis"},{"id":"e4e49de7-10ee-4953-9f04-efdd387713a3","type":"Title"}],"left":[{"id":"2bd9adbd-72d7-4d04-9408-dd0a70495988","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"972e8a61-0497-4a07-97bf-73d4ee224812","type":"LinearAxis"},{"id":"13f8572c-ffd1-484a-a0ba-21ecd261ecbe","type":"Grid"},{"id":"2bd9adbd-72d7-4d04-9408-dd0a70495988","type":"LinearAxis"},{"id":"c8b122c4-2a55-412b-b423-72e49a410b0c","type":"Grid"},{"id":"4e2c798f-4279-4e60-8050-1e1fff4884ed","type":"BoxAnnotation"},{"id":"5d2722c7-0c6b-4e28-9d1f-04c4b5116a29","type":"GlyphRenderer"},{"id":"e4e49de7-10ee-4953-9f04-efdd387713a3","type":"Title"}],"title":{"id":"4976a7c6-f39c-498a-9fde-4123d29158c7","type":"Title"},"title_location":"left","toolbar":{"id":"d5347639-9410-46e9-a123-d047d8cc39cc","type":"Toolbar"},"x_range":{"id":"1c4da660-eb88-462d-9041-20fbc505d01f","type":"DataRange1d"},"x_scale":{"id":"4125c67e-764f-4c1b-a29f-bbdc3bcc1197","type":"LinearScale"},"y_range":{"id":"7a0c61ee-c07d-4034-9b34-7ac9e8ebf159","type":"DataRange1d"},"y_scale":{"id":"a6920568-182c-4942-9e7b-309c4c8ed717","type":"LinearScale"}},"id":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24","subtype":"Figure","type":"Plot"}],"root_ids":["4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"edf30e51-6e71-46a9-a8d9-06745104ce65","elementid":"ef72e07e-b132-4d97-b4b4-ac0222990706","modelid":"4f647ce1-6322-4bdb-b0d7-bb0c2ba43d24"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
