(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("710514f7-bc45-45be-9751-6a0f55a587b2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '710514f7-bc45-45be-9751-6a0f55a587b2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3c1ac6d7-122d-4999-9c3a-adf13fbcbb26":{"roots":{"references":[{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"af540f0f-02ac-4e5f-b979-437b7995d7ad","type":"FactorRange"},{"attributes":{},"id":"dfbc23cd-6fe6-47da-8341-37feb9dd0219","type":"LinearScale"},{"attributes":{},"id":"59992beb-de70-4e40-b1be-0916bc63f6a0","type":"BasicTickFormatter"},{"attributes":{"items":[{"id":"5afd3bb0-a0e1-4630-b6d3-5e3e9cfb3d14","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"66e698b1-ee78-4e31-b93a-59bbd7d71186","subtype":"Figure","type":"Plot"}},"id":"824a514f-b30d-47db-92fe-d851bcd34d9a","type":"Legend"},{"attributes":{"formatter":{"id":"09e13d9b-65fc-4393-9eb9-033f64cf6d95","type":"CategoricalTickFormatter"},"plot":{"id":"66e698b1-ee78-4e31-b93a-59bbd7d71186","subtype":"Figure","type":"Plot"},"ticker":{"id":"7262119c-1051-4cfe-8e61-811db81ed93e","type":"CategoricalTicker"}},"id":"c0c571b3-9a04-456e-82dd-202c20e2a2ed","type":"CategoricalAxis"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"1d36ee10-647e-4090-ac0e-6c98b2608b95","type":"VBar"},{"attributes":{"data_source":{"id":"c2618db3-ea10-4e0a-8700-6385cc43dd11","type":"ColumnDataSource"},"glyph":{"id":"1d36ee10-647e-4090-ac0e-6c98b2608b95","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b7179953-598f-4dbb-9b5b-cca72b4dd477","type":"VBar"},"selection_glyph":null,"view":{"id":"c51ac29e-7077-4105-93c4-6a107db5869d","type":"CDSView"}},"id":"92a1575e-a34d-4701-a657-4298deff07a7","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"1ad531e3-e87e-49dc-9bc6-6277171da4ca","type":"Toolbar"},{"attributes":{"callback":null,"end":9},"id":"e9b33e70-65bd-4189-aa18-cc7132f20997","type":"Range1d"},{"attributes":{},"id":"09e13d9b-65fc-4393-9eb9-033f64cf6d95","type":"CategoricalTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"266eade3-a050-46d9-8fc1-4a00dd9edeab","type":"Title"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"c2618db3-ea10-4e0a-8700-6385cc43dd11","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"66e698b1-ee78-4e31-b93a-59bbd7d71186","subtype":"Figure","type":"Plot"},"ticker":{"id":"399ba4c1-9a7a-4d00-8c79-217a6d8fb8a2","type":"BasicTicker"}},"id":"e2f590bd-1070-4d5f-a103-a43115a9999c","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"b7179953-598f-4dbb-9b5b-cca72b4dd477","type":"VBar"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"92a1575e-a34d-4701-a657-4298deff07a7","type":"GlyphRenderer"}]},"id":"5afd3bb0-a0e1-4630-b6d3-5e3e9cfb3d14","type":"LegendItem"},{"attributes":{"below":[{"id":"c0c571b3-9a04-456e-82dd-202c20e2a2ed","type":"CategoricalAxis"}],"left":[{"id":"6e0c1c68-f1c6-422c-899e-d5f5c472dd94","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"c0c571b3-9a04-456e-82dd-202c20e2a2ed","type":"CategoricalAxis"},{"id":"79299719-cc6b-4d61-913a-ef60fd05637f","type":"Grid"},{"id":"6e0c1c68-f1c6-422c-899e-d5f5c472dd94","type":"LinearAxis"},{"id":"e2f590bd-1070-4d5f-a103-a43115a9999c","type":"Grid"},{"id":"824a514f-b30d-47db-92fe-d851bcd34d9a","type":"Legend"},{"id":"92a1575e-a34d-4701-a657-4298deff07a7","type":"GlyphRenderer"}],"title":{"id":"266eade3-a050-46d9-8fc1-4a00dd9edeab","type":"Title"},"toolbar":{"id":"1ad531e3-e87e-49dc-9bc6-6277171da4ca","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"af540f0f-02ac-4e5f-b979-437b7995d7ad","type":"FactorRange"},"x_scale":{"id":"e5276589-2ddb-453c-8f7d-94d47b8ac03a","type":"CategoricalScale"},"y_range":{"id":"e9b33e70-65bd-4189-aa18-cc7132f20997","type":"Range1d"},"y_scale":{"id":"dfbc23cd-6fe6-47da-8341-37feb9dd0219","type":"LinearScale"}},"id":"66e698b1-ee78-4e31-b93a-59bbd7d71186","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e5276589-2ddb-453c-8f7d-94d47b8ac03a","type":"CategoricalScale"},{"attributes":{},"id":"7262119c-1051-4cfe-8e61-811db81ed93e","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"66e698b1-ee78-4e31-b93a-59bbd7d71186","subtype":"Figure","type":"Plot"},"ticker":{"id":"7262119c-1051-4cfe-8e61-811db81ed93e","type":"CategoricalTicker"}},"id":"79299719-cc6b-4d61-913a-ef60fd05637f","type":"Grid"},{"attributes":{},"id":"399ba4c1-9a7a-4d00-8c79-217a6d8fb8a2","type":"BasicTicker"},{"attributes":{"formatter":{"id":"59992beb-de70-4e40-b1be-0916bc63f6a0","type":"BasicTickFormatter"},"plot":{"id":"66e698b1-ee78-4e31-b93a-59bbd7d71186","subtype":"Figure","type":"Plot"},"ticker":{"id":"399ba4c1-9a7a-4d00-8c79-217a6d8fb8a2","type":"BasicTicker"}},"id":"6e0c1c68-f1c6-422c-899e-d5f5c472dd94","type":"LinearAxis"},{"attributes":{"source":{"id":"c2618db3-ea10-4e0a-8700-6385cc43dd11","type":"ColumnDataSource"}},"id":"c51ac29e-7077-4105-93c4-6a107db5869d","type":"CDSView"}],"root_ids":["66e698b1-ee78-4e31-b93a-59bbd7d71186"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3c1ac6d7-122d-4999-9c3a-adf13fbcbb26","elementid":"710514f7-bc45-45be-9751-6a0f55a587b2","modelid":"66e698b1-ee78-4e31-b93a-59bbd7d71186"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
