(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d8754579-961f-43fb-8c72-9ffae6120ad5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd8754579-961f-43fb-8c72-9ffae6120ad5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6cb90ce7-9f73-4b7b-8e7d-8b103a3cf7b5":{"roots":{"references":[{"attributes":{},"id":"4c364235-65e4-4fb6-85e9-189bd936993b","type":"CategoricalTickFormatter"},{"attributes":{"source":{"id":"caed5a54-6e07-43a8-86cc-87c020c17389","type":"ColumnDataSource"}},"id":"2f03862c-db40-46c0-b6f7-b22570d0fd0a","type":"CDSView"},{"attributes":{},"id":"964115ef-1b58-4302-89b3-3e7dbb85a5c3","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"13277511-356e-4c27-90dd-471a4c37e923","type":"PanTool"},{"id":"cff885e2-07b2-470a-8099-166526d04eb4","type":"WheelZoomTool"},{"id":"9e1b8c1b-fc1d-4169-8808-c2a9388c1faa","type":"BoxZoomTool"},{"id":"21486583-374d-48ef-a6f2-69a788300203","type":"SaveTool"},{"id":"dad6b2ce-d0d7-4ea5-9f98-abbafb1daf81","type":"ResetTool"},{"id":"bf407c22-ab77-4868-813a-5537e9fd54a0","type":"HelpTool"}]},"id":"b9d95fcd-4397-4a06-85dc-50e321589e3c","type":"Toolbar"},{"attributes":{},"id":"89ef873d-c98d-4d97-822a-634b12378c87","type":"BasicTickFormatter"},{"attributes":{},"id":"bf407c22-ab77-4868-813a-5537e9fd54a0","type":"HelpTool"},{"attributes":{"below":[{"id":"84ef7f52-b51f-4b41-a18b-87cfeb2236af","type":"CategoricalAxis"}],"left":[{"id":"f8872c52-af0b-4962-9a6f-577e4c856fdf","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"84ef7f52-b51f-4b41-a18b-87cfeb2236af","type":"CategoricalAxis"},{"id":"2ab483f0-6de1-4e37-b485-12e86d832630","type":"Grid"},{"id":"f8872c52-af0b-4962-9a6f-577e4c856fdf","type":"LinearAxis"},{"id":"f34e4055-33ae-400d-99bd-1f0736887c23","type":"Grid"},{"id":"c40d4c76-a736-4d69-ae73-e3c5563251ff","type":"BoxAnnotation"},{"id":"8ed59a15-6705-4d1c-84ef-1d83eebe8e6f","type":"Legend"},{"id":"a5a9b88c-3ddc-448e-a2bb-f0ba7648b590","type":"GlyphRenderer"}],"title":{"id":"a62cfbb0-9352-4175-a5ae-311504319d75","type":"Title"},"toolbar":{"id":"b9d95fcd-4397-4a06-85dc-50e321589e3c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"522491a7-fa5d-4aaa-be69-36842eba9ab7","type":"FactorRange"},"x_scale":{"id":"ba8739c9-92fb-4775-a799-1e45d28905d5","type":"CategoricalScale"},"y_range":{"id":"89ecc670-0515-4e1e-bf03-5ec3059a4f5c","type":"DataRange1d"},"y_scale":{"id":"7ce4a6d3-5d2e-4811-905b-a7c9d47e6dd4","type":"LinearScale"}},"id":"6beb132d-fa41-498c-8365-a06f6edfe37a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"522491a7-fa5d-4aaa-be69-36842eba9ab7","type":"FactorRange"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"0771a1be-7d01-46c1-868c-e3d70eb3cd49","type":"CategoricalColorMapper"},{"attributes":{"formatter":{"id":"89ef873d-c98d-4d97-822a-634b12378c87","type":"BasicTickFormatter"},"plot":{"id":"6beb132d-fa41-498c-8365-a06f6edfe37a","subtype":"Figure","type":"Plot"},"ticker":{"id":"964115ef-1b58-4302-89b3-3e7dbb85a5c3","type":"BasicTicker"}},"id":"f8872c52-af0b-4962-9a6f-577e4c856fdf","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c40d4c76-a736-4d69-ae73-e3c5563251ff","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"6beb132d-fa41-498c-8365-a06f6edfe37a","subtype":"Figure","type":"Plot"},"ticker":{"id":"964115ef-1b58-4302-89b3-3e7dbb85a5c3","type":"BasicTicker"}},"id":"f34e4055-33ae-400d-99bd-1f0736887c23","type":"Grid"},{"attributes":{"callback":null,"end":9,"start":0},"id":"89ecc670-0515-4e1e-bf03-5ec3059a4f5c","type":"DataRange1d"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"6beb132d-fa41-498c-8365-a06f6edfe37a","subtype":"Figure","type":"Plot"},"ticker":{"id":"98f752ac-0735-4e49-af42-7b7b69c090ea","type":"CategoricalTicker"}},"id":"2ab483f0-6de1-4e37-b485-12e86d832630","type":"Grid"},{"attributes":{},"id":"ba8739c9-92fb-4775-a799-1e45d28905d5","type":"CategoricalScale"},{"attributes":{},"id":"7ce4a6d3-5d2e-4811-905b-a7c9d47e6dd4","type":"LinearScale"},{"attributes":{"data_source":{"id":"caed5a54-6e07-43a8-86cc-87c020c17389","type":"ColumnDataSource"},"glyph":{"id":"20410e48-5a94-4342-a00b-f42dfb3628ee","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e0c84a44-f753-416a-8a59-13e19370c579","type":"VBar"},"selection_glyph":null,"view":{"id":"2f03862c-db40-46c0-b6f7-b22570d0fd0a","type":"CDSView"}},"id":"a5a9b88c-3ddc-448e-a2bb-f0ba7648b590","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"caed5a54-6e07-43a8-86cc-87c020c17389","type":"ColumnDataSource"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"a5a9b88c-3ddc-448e-a2bb-f0ba7648b590","type":"GlyphRenderer"}]},"id":"4fe1abae-6c5a-44b8-977b-cad5cdd21f94","type":"LegendItem"},{"attributes":{},"id":"13277511-356e-4c27-90dd-471a4c37e923","type":"PanTool"},{"attributes":{},"id":"98f752ac-0735-4e49-af42-7b7b69c090ea","type":"CategoricalTicker"},{"attributes":{"overlay":{"id":"c40d4c76-a736-4d69-ae73-e3c5563251ff","type":"BoxAnnotation"}},"id":"9e1b8c1b-fc1d-4169-8808-c2a9388c1faa","type":"BoxZoomTool"},{"attributes":{"items":[{"id":"4fe1abae-6c5a-44b8-977b-cad5cdd21f94","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"6beb132d-fa41-498c-8365-a06f6edfe37a","subtype":"Figure","type":"Plot"}},"id":"8ed59a15-6705-4d1c-84ef-1d83eebe8e6f","type":"Legend"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"e0c84a44-f753-416a-8a59-13e19370c579","type":"VBar"},{"attributes":{},"id":"cff885e2-07b2-470a-8099-166526d04eb4","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"a62cfbb0-9352-4175-a5ae-311504319d75","type":"Title"},{"attributes":{},"id":"dad6b2ce-d0d7-4ea5-9f98-abbafb1daf81","type":"ResetTool"},{"attributes":{},"id":"21486583-374d-48ef-a6f2-69a788300203","type":"SaveTool"},{"attributes":{"formatter":{"id":"4c364235-65e4-4fb6-85e9-189bd936993b","type":"CategoricalTickFormatter"},"plot":{"id":"6beb132d-fa41-498c-8365-a06f6edfe37a","subtype":"Figure","type":"Plot"},"ticker":{"id":"98f752ac-0735-4e49-af42-7b7b69c090ea","type":"CategoricalTicker"}},"id":"84ef7f52-b51f-4b41-a18b-87cfeb2236af","type":"CategoricalAxis"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"0771a1be-7d01-46c1-868c-e3d70eb3cd49","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"20410e48-5a94-4342-a00b-f42dfb3628ee","type":"VBar"}],"root_ids":["6beb132d-fa41-498c-8365-a06f6edfe37a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6cb90ce7-9f73-4b7b-8e7d-8b103a3cf7b5","elementid":"d8754579-961f-43fb-8c72-9ffae6120ad5","modelid":"6beb132d-fa41-498c-8365-a06f6edfe37a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
