(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8961cd0c-a5e3-46d1-98d7-bda864623634");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8961cd0c-a5e3-46d1-98d7-bda864623634' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7c1e3c75-320c-418f-8c0b-8a0f455cb3a8":{"roots":{"references":[{"attributes":{"source":{"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"}},"id":"7d3f4b56-80f7-4153-9879-d576f029889b","type":"CDSView"},{"attributes":{"data_source":{"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"},"glyph":{"id":"1a5a8906-2b5d-44ce-ae17-0604de757195","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"95b0eb56-ff02-4068-a139-eac5b5c2b48b","type":"VBar"},"selection_glyph":null,"view":{"id":"7984ca53-d097-4bbb-9072-baaabf2c78b1","type":"CDSView"}},"id":"5d40cbc9-962b-477e-95e0-2f32efa1905b","type":"GlyphRenderer"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"09beb1d1-aa0d-4d60-9b1c-33678f92f37e","type":"FactorRange"},{"attributes":{"formatter":{"id":"4e397c40-a9aa-4c6a-b512-a82173169467","type":"CategoricalTickFormatter"},"plot":{"id":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"aba31adb-4dc6-420f-9709-546a08959581","type":"CategoricalTicker"}},"id":"631392b0-ab6a-4891-9f27-677dc58885f4","type":"CategoricalAxis"},{"attributes":{"formatter":{"id":"20edf019-f043-4b8c-8c8f-6422e26a24c9","type":"BasicTickFormatter"},"plot":{"id":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"e3c0b64e-26a1-476a-a616-c497ff5c8dac","type":"BasicTicker"}},"id":"f4afd121-f02d-466c-a96b-d55a07953218","type":"LinearAxis"},{"attributes":{},"id":"e3c0b64e-26a1-476a-a616-c497ff5c8dac","type":"BasicTicker"},{"attributes":{},"id":"9bd0426b-75a7-4e4a-b09e-b7350966f2fd","type":"LinearScale"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"bb225878-ee73-4931-8cd7-59ad8b2e8a6c","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"e3c0b64e-26a1-476a-a616-c497ff5c8dac","type":"BasicTicker"}},"id":"cabbfeb2-e3c5-4b34-9832-877bd2bad96f","type":"Grid"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"ea3037cb-e5f2-49c3-9b0b-2043381ad2f7","type":"GlyphRenderer"}]},"id":"c3a97cbd-8bad-4259-ba19-5af13e7a0768","type":"LegendItem"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"5d40cbc9-962b-477e-95e0-2f32efa1905b","type":"GlyphRenderer"}]},"id":"5961ddae-6ab7-40c8-8694-b5666acbbbb5","type":"LegendItem"},{"attributes":{},"id":"4e397c40-a9aa-4c6a-b512-a82173169467","type":"CategoricalTickFormatter"},{"attributes":{},"id":"aba31adb-4dc6-420f-9709-546a08959581","type":"CategoricalTicker"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"7afd7da4-0ab3-4cd5-b72e-9a12429cd52b","type":"GlyphRenderer"}]},"id":"d7595d94-39ba-4161-8e88-96cfe8f148f3","type":"LegendItem"},{"attributes":{"range":{"id":"09beb1d1-aa0d-4d60-9b1c-33678f92f37e","type":"FactorRange"},"value":0.25},"id":"749e337a-f05e-4c6d-b5d2-cad3d6d3088b","type":"Dodge"},{"attributes":{"range":{"id":"09beb1d1-aa0d-4d60-9b1c-33678f92f37e","type":"FactorRange"}},"id":"d1a80030-c6a2-4229-aab7-d98d7ab7c76f","type":"Dodge"},{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"955507dd-a615-41a5-a567-b55907928133","type":"Dodge"}}},"id":"1a5a8906-2b5d-44ce-ae17-0604de757195","type":"VBar"},{"attributes":{"data_source":{"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"},"glyph":{"id":"8ba0c189-86b0-40a1-9090-58ab01e8712b","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"63508665-b72a-451b-87f1-4391c4475605","type":"VBar"},"selection_glyph":null,"view":{"id":"7d3f4b56-80f7-4153-9879-d576f029889b","type":"CDSView"}},"id":"7afd7da4-0ab3-4cd5-b72e-9a12429cd52b","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"d1a80030-c6a2-4229-aab7-d98d7ab7c76f","type":"Dodge"}}},"id":"63508665-b72a-451b-87f1-4391c4475605","type":"VBar"},{"attributes":{},"id":"20edf019-f043-4b8c-8c8f-6422e26a24c9","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"}},"id":"7984ca53-d097-4bbb-9072-baaabf2c78b1","type":"CDSView"},{"attributes":{"data_source":{"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"},"glyph":{"id":"898686f7-eedd-4d0c-a77c-015812d03fec","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4c182aab-dd31-4e07-a806-4322e0b128f6","type":"VBar"},"selection_glyph":null,"view":{"id":"2ae05bc2-aa37-4e76-b026-f7b01a2a9811","type":"CDSView"}},"id":"ea3037cb-e5f2-49c3-9b0b-2043381ad2f7","type":"GlyphRenderer"},{"attributes":{"source":{"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"}},"id":"2ae05bc2-aa37-4e76-b026-f7b01a2a9811","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"80314719-e1c0-4193-856a-ccde951c1c51","type":"Toolbar"},{"attributes":{"range":{"id":"09beb1d1-aa0d-4d60-9b1c-33678f92f37e","type":"FactorRange"},"value":-0.25},"id":"955507dd-a615-41a5-a567-b55907928133","type":"Dodge"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"749e337a-f05e-4c6d-b5d2-cad3d6d3088b","type":"Dodge"}}},"id":"898686f7-eedd-4d0c-a77c-015812d03fec","type":"VBar"},{"attributes":{},"id":"e9fe3efa-b9f9-42ab-acca-4440f2eeaed9","type":"CategoricalScale"},{"attributes":{"below":[{"id":"631392b0-ab6a-4891-9f27-677dc58885f4","type":"CategoricalAxis"}],"left":[{"id":"f4afd121-f02d-466c-a96b-d55a07953218","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"631392b0-ab6a-4891-9f27-677dc58885f4","type":"CategoricalAxis"},{"id":"480fa7d5-93be-42ea-a7aa-dfdbcb437ae9","type":"Grid"},{"id":"f4afd121-f02d-466c-a96b-d55a07953218","type":"LinearAxis"},{"id":"cabbfeb2-e3c5-4b34-9832-877bd2bad96f","type":"Grid"},{"id":"0492be27-a08a-40ad-bc44-733923dbb6cc","type":"Legend"},{"id":"5d40cbc9-962b-477e-95e0-2f32efa1905b","type":"GlyphRenderer"},{"id":"7afd7da4-0ab3-4cd5-b72e-9a12429cd52b","type":"GlyphRenderer"},{"id":"ea3037cb-e5f2-49c3-9b0b-2043381ad2f7","type":"GlyphRenderer"}],"title":{"id":"bb225878-ee73-4931-8cd7-59ad8b2e8a6c","type":"Title"},"toolbar":{"id":"80314719-e1c0-4193-856a-ccde951c1c51","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"09beb1d1-aa0d-4d60-9b1c-33678f92f37e","type":"FactorRange"},"x_scale":{"id":"e9fe3efa-b9f9-42ab-acca-4440f2eeaed9","type":"CategoricalScale"},"y_range":{"id":"d57f1619-3902-4d42-ac65-d9c7226d353d","type":"Range1d"},"y_scale":{"id":"9bd0426b-75a7-4e4a-b09e-b7350966f2fd","type":"LinearScale"}},"id":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"d1a80030-c6a2-4229-aab7-d98d7ab7c76f","type":"Dodge"}}},"id":"8ba0c189-86b0-40a1-9090-58ab01e8712b","type":"VBar"},{"attributes":{"items":[{"id":"5961ddae-6ab7-40c8-8694-b5666acbbbb5","type":"LegendItem"},{"id":"d7595d94-39ba-4161-8e88-96cfe8f148f3","type":"LegendItem"},{"id":"c3a97cbd-8bad-4259-ba19-5af13e7a0768","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6","subtype":"Figure","type":"Plot"}},"id":"0492be27-a08a-40ad-bc44-733923dbb6cc","type":"Legend"},{"attributes":{"callback":null,"end":10},"id":"d57f1619-3902-4d42-ac65-d9c7226d353d","type":"Range1d"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"1f0c8c81-090a-4155-b265-dc9bfe0e13b6","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"955507dd-a615-41a5-a567-b55907928133","type":"Dodge"}}},"id":"95b0eb56-ff02-4068-a139-eac5b5c2b48b","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6","subtype":"Figure","type":"Plot"},"ticker":{"id":"aba31adb-4dc6-420f-9709-546a08959581","type":"CategoricalTicker"}},"id":"480fa7d5-93be-42ea-a7aa-dfdbcb437ae9","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"749e337a-f05e-4c6d-b5d2-cad3d6d3088b","type":"Dodge"}}},"id":"4c182aab-dd31-4e07-a806-4322e0b128f6","type":"VBar"}],"root_ids":["3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7c1e3c75-320c-418f-8c0b-8a0f455cb3a8","elementid":"8961cd0c-a5e3-46d1-98d7-bda864623634","modelid":"3bcc2cb9-1699-4176-a9a1-6ed5c2dbfdf6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
