(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1c69fb49-af31-472c-82ce-52ddf33934b1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1c69fb49-af31-472c-82ce-52ddf33934b1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bc83ec95-8d16-4685-8555-27c28f061d72":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"0e1bdf17-9528-4468-8705-51c6b0418fdf","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"3b2a06a1-a533-4eb1-8711-763a1fdc4503","type":"Stack"}},"y":{"field":"fruits"}},"id":"54c6a23e-1aad-4ef4-b41d-617ce4263917","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"5e285693-4b2b-4e60-be1e-104f5602b117","type":"Stack"},{"attributes":{},"id":"31c16d17-20fd-4563-acb5-5172cfbe72cf","type":"HelpTool"},{"attributes":{"data_source":{"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"},"glyph":{"id":"f9032448-2eab-4bd0-86a9-0213bb422f49","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b0ae3a6c-8554-43ee-a6c7-b092d9419894","type":"HBar"},"selection_glyph":null,"view":{"id":"719a6b57-7502-4836-a980-abd9e9a9a8f2","type":"CDSView"}},"id":"9f79d89d-fca0-4cf8-b996-2455279fe596","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"},"glyph":{"id":"e263edfc-68a6-41ca-a2a4-efbac24de4f4","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4a7d97f7-bb44-4433-b6d8-60b6d6f630b2","type":"HBar"},"selection_glyph":null,"view":{"id":"fd552eb1-4bae-4a3c-8ce3-f04b03bcb792","type":"CDSView"}},"id":"ab355b76-5dc7-43fb-980c-8b490ba335ee","type":"GlyphRenderer"},{"attributes":{"fields":["2015"]},"id":"3b2a06a1-a533-4eb1-8711-763a1fdc4503","type":"Stack"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"ab355b76-5dc7-43fb-980c-8b490ba335ee","type":"GlyphRenderer"}]},"id":"a95107a8-8bd0-4944-9c9e-60176525d9a2","type":"LegendItem"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520","subtype":"Figure","type":"Plot"},"ticker":{"id":"a61d2ea9-21f2-452a-b1f5-16fddf49e0d7","type":"CategoricalTicker"}},"id":"e944b596-81cd-4fe8-8c27-4113a658d7f0","type":"Grid"},{"attributes":{},"id":"2ed1386e-aecf-42f1-b95f-f7b073411cd7","type":"LinearScale"},{"attributes":{"fields":["2015","2016"]},"id":"ff6d70a3-954d-4d91-bb4d-8cc41156bcfb","type":"Stack"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"51e5ab45-842d-4718-b47d-64df90754d09","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"ff6d70a3-954d-4d91-bb4d-8cc41156bcfb","type":"Stack"}},"y":{"field":"fruits"}},"id":"29e3577b-b3b9-48ab-9431-decb0a2c0d7c","type":"HBar"},{"attributes":{"fields":[]},"id":"704860fc-919d-4cdb-a570-a193cdcc8138","type":"Stack"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"9f79d89d-fca0-4cf8-b996-2455279fe596","type":"GlyphRenderer"}]},"id":"0098d360-01d5-4281-8e46-471f6bec7e3c","type":"LegendItem"},{"attributes":{"fields":["2015","2016","2017"]},"id":"3e31a27b-23e1-4e65-bba7-d090b5d6fded","type":"Stack"},{"attributes":{"formatter":{"id":"b5ad6a18-b5ba-4f2b-923f-3e3f2f3cda29","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520","subtype":"Figure","type":"Plot"},"ticker":{"id":"422e8107-d54c-4303-b90e-9feb891998c7","type":"BasicTicker"}},"id":"20ba3a5d-149b-4784-b4c0-5a7d86a63fd5","type":"LinearAxis"},{"attributes":{},"id":"babf7f12-097d-436e-bc22-205f704bd8df","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"},"glyph":{"id":"948bed34-f407-4107-8c9b-37cc69a1002f","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c3fea1fb-21e8-45a8-995c-c96c3a1f8338","type":"HBar"},"selection_glyph":null,"view":{"id":"df00c9af-47a8-41d9-b285-b90d0bfa8c46","type":"CDSView"}},"id":"a95b4447-8c8d-41d1-a670-100ff79a09f1","type":"GlyphRenderer"},{"attributes":{"fields":[]},"id":"0e1bdf17-9528-4468-8705-51c6b0418fdf","type":"Stack"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"0e1bdf17-9528-4468-8705-51c6b0418fdf","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"3b2a06a1-a533-4eb1-8711-763a1fdc4503","type":"Stack"}},"y":{"field":"fruits"}},"id":"834b8743-ba6b-4f63-89b1-ea1988f44fd5","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"4c92bf05-dbb5-4b98-981c-208946441bc9","type":"Stack"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"44f92853-48eb-477e-aa4c-755f5f90cee7","type":"GlyphRenderer"}]},"id":"d9349e8a-ef22-4589-8253-ee1a88d6dd1e","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"},{"attributes":{"source":{"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"}},"id":"df00c9af-47a8-41d9-b285-b90d0bfa8c46","type":"CDSView"},{"attributes":{},"id":"a61d2ea9-21f2-452a-b1f5-16fddf49e0d7","type":"CategoricalTicker"},{"attributes":{"fields":["2015"]},"id":"51e5ab45-842d-4718-b47d-64df90754d09","type":"Stack"},{"attributes":{"data_source":{"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"},"glyph":{"id":"834b8743-ba6b-4f63-89b1-ea1988f44fd5","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"54c6a23e-1aad-4ef4-b41d-617ce4263917","type":"HBar"},"selection_glyph":null,"view":{"id":"d88c0ab8-729d-4612-b1b0-7c9463d1d2d3","type":"CDSView"}},"id":"47321152-eff6-4d0d-b3fd-400bda0f10de","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"a95b4447-8c8d-41d1-a670-100ff79a09f1","type":"GlyphRenderer"}]},"id":"2a43fc53-a62e-4632-8101-370eab3e5a4f","type":"LegendItem"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"7f342ddd-ba60-437e-bcb9-a3d5fb243179","type":"FactorRange"},{"attributes":{"below":[{"id":"20ba3a5d-149b-4784-b4c0-5a7d86a63fd5","type":"LinearAxis"}],"left":[{"id":"431a9899-c047-4686-a1fc-db697653ad55","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"20ba3a5d-149b-4784-b4c0-5a7d86a63fd5","type":"LinearAxis"},{"id":"fabc22a6-8af9-4b7b-ab95-67be6fc9d116","type":"Grid"},{"id":"431a9899-c047-4686-a1fc-db697653ad55","type":"CategoricalAxis"},{"id":"e944b596-81cd-4fe8-8c27-4113a658d7f0","type":"Grid"},{"id":"51eda842-b45b-4a7c-b65c-ffe043855673","type":"BoxAnnotation"},{"id":"d3716868-baeb-4870-8f1f-0ec32c91efa0","type":"Legend"},{"id":"ab355b76-5dc7-43fb-980c-8b490ba335ee","type":"GlyphRenderer"},{"id":"a95b4447-8c8d-41d1-a670-100ff79a09f1","type":"GlyphRenderer"},{"id":"9f79d89d-fca0-4cf8-b996-2455279fe596","type":"GlyphRenderer"},{"id":"47321152-eff6-4d0d-b3fd-400bda0f10de","type":"GlyphRenderer"},{"id":"5ffaf26c-5862-40bb-bc2d-d2edfb17675d","type":"GlyphRenderer"},{"id":"44f92853-48eb-477e-aa4c-755f5f90cee7","type":"GlyphRenderer"}],"title":{"id":"823158e7-62ba-4e21-918c-3499936ee318","type":"Title"},"toolbar":{"id":"f1e70b18-673e-4523-b7d5-c36756f99ed7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9eac6698-3a1b-4c0f-a159-33c1a5423343","type":"Range1d"},"x_scale":{"id":"2ed1386e-aecf-42f1-b95f-f7b073411cd7","type":"LinearScale"},"y_range":{"id":"7f342ddd-ba60-437e-bcb9-a3d5fb243179","type":"FactorRange"},"y_scale":{"id":"babf7f12-097d-436e-bc22-205f704bd8df","type":"CategoricalScale"}},"id":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"}},"id":"d88c0ab8-729d-4612-b1b0-7c9463d1d2d3","type":"CDSView"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"f59c61a3-b63d-43f9-93dc-eccfcc1bb35d","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"62e9d9a7-c2ed-4c9d-8205-3b83c80ad419","type":"Stack"}},"y":{"field":"fruits"}},"id":"f7f3a3cb-3d7e-474b-a31f-43edef524118","type":"HBar"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"9eac6698-3a1b-4c0f-a159-33c1a5423343","type":"Range1d"},{"attributes":{"fields":["2015","2016"]},"id":"7ead37ff-8a07-4e89-9d4c-a1e0e27aa2f0","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"823158e7-62ba-4e21-918c-3499936ee318","type":"Title"},{"attributes":{"items":[{"id":"a95107a8-8bd0-4944-9c9e-60176525d9a2","type":"LegendItem"},{"id":"2a43fc53-a62e-4632-8101-370eab3e5a4f","type":"LegendItem"},{"id":"0098d360-01d5-4281-8e46-471f6bec7e3c","type":"LegendItem"},{"id":"d08d60dc-e513-4c29-8a22-b647aef26b7f","type":"LegendItem"},{"id":"d93e2113-25be-4c45-8a3f-1580117e89e8","type":"LegendItem"},{"id":"d9349e8a-ef22-4589-8253-ee1a88d6dd1e","type":"LegendItem"}],"location":"top_left","plot":{"id":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520","subtype":"Figure","type":"Plot"}},"id":"d3716868-baeb-4870-8f1f-0ec32c91efa0","type":"Legend"},{"attributes":{},"id":"a5f92f9a-5f6b-41c0-934f-88e182a568b4","type":"WheelZoomTool"},{"attributes":{"source":{"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"}},"id":"0ac7d700-935b-446e-a218-39a1dafbb595","type":"CDSView"},{"attributes":{},"id":"0b6a2e68-4558-431b-b653-7d05191ea031","type":"CategoricalTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"51eda842-b45b-4a7c-b65c-ffe043855673","type":"BoxAnnotation"},{"attributes":{"source":{"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"}},"id":"719a6b57-7502-4836-a980-abd9e9a9a8f2","type":"CDSView"},{"attributes":{},"id":"422e8107-d54c-4303-b90e-9feb891998c7","type":"BasicTicker"},{"attributes":{"fields":["2015"]},"id":"d7eb3669-06c4-414f-ac29-1f5d3ed5f8a4","type":"Stack"},{"attributes":{"source":{"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"}},"id":"ab1fcf62-d39c-4e93-8f06-b09ae22f78b1","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"51e5ab45-842d-4718-b47d-64df90754d09","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"ff6d70a3-954d-4d91-bb4d-8cc41156bcfb","type":"Stack"}},"y":{"field":"fruits"}},"id":"ec32c6f9-9333-4ee8-9e85-b36dc3f7656b","type":"HBar"},{"attributes":{},"id":"c9f7d340-7ea9-44c5-b70a-49dfe6b6dc5c","type":"ResetTool"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"5ffaf26c-5862-40bb-bc2d-d2edfb17675d","type":"GlyphRenderer"}]},"id":"d93e2113-25be-4c45-8a3f-1580117e89e8","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"d7eb3669-06c4-414f-ac29-1f5d3ed5f8a4","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"7ead37ff-8a07-4e89-9d4c-a1e0e27aa2f0","type":"Stack"}},"y":{"field":"fruits"}},"id":"c3fea1fb-21e8-45a8-995c-c96c3a1f8338","type":"HBar"},{"attributes":{},"id":"25b5b2b9-3182-4016-ac79-bcb08d7acb86","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"f59c61a3-b63d-43f9-93dc-eccfcc1bb35d","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"62e9d9a7-c2ed-4c9d-8205-3b83c80ad419","type":"Stack"}},"y":{"field":"fruits"}},"id":"dc949316-8361-45a5-ac17-8f309ea15bd8","type":"HBar"},{"attributes":{},"id":"b5ad6a18-b5ba-4f2b-923f-3e3f2f3cda29","type":"BasicTickFormatter"},{"attributes":{},"id":"65602053-c62f-468b-bba5-ff9106846271","type":"PanTool"},{"attributes":{"source":{"id":"d45e5e6b-6c5a-4248-a5b9-4001fb55f54c","type":"ColumnDataSource"}},"id":"fd552eb1-4bae-4a3c-8ce3-f04b03bcb792","type":"CDSView"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"d7eb3669-06c4-414f-ac29-1f5d3ed5f8a4","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"7ead37ff-8a07-4e89-9d4c-a1e0e27aa2f0","type":"Stack"}},"y":{"field":"fruits"}},"id":"948bed34-f407-4107-8c9b-37cc69a1002f","type":"HBar"},{"attributes":{"plot":{"id":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520","subtype":"Figure","type":"Plot"},"ticker":{"id":"422e8107-d54c-4303-b90e-9feb891998c7","type":"BasicTicker"}},"id":"fabc22a6-8af9-4b7b-ab95-67be6fc9d116","type":"Grid"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"704860fc-919d-4cdb-a570-a193cdcc8138","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"4c92bf05-dbb5-4b98-981c-208946441bc9","type":"Stack"}},"y":{"field":"fruits"}},"id":"e263edfc-68a6-41ca-a2a4-efbac24de4f4","type":"HBar"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"5e285693-4b2b-4e60-be1e-104f5602b117","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"3e31a27b-23e1-4e65-bba7-d090b5d6fded","type":"Stack"}},"y":{"field":"fruits"}},"id":"f9032448-2eab-4bd0-86a9-0213bb422f49","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"5e285693-4b2b-4e60-be1e-104f5602b117","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"3e31a27b-23e1-4e65-bba7-d090b5d6fded","type":"Stack"}},"y":{"field":"fruits"}},"id":"b0ae3a6c-8554-43ee-a6c7-b092d9419894","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"704860fc-919d-4cdb-a570-a193cdcc8138","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"4c92bf05-dbb5-4b98-981c-208946441bc9","type":"Stack"}},"y":{"field":"fruits"}},"id":"4a7d97f7-bb44-4433-b6d8-60b6d6f630b2","type":"HBar"},{"attributes":{"formatter":{"id":"0b6a2e68-4558-431b-b653-7d05191ea031","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520","subtype":"Figure","type":"Plot"},"ticker":{"id":"a61d2ea9-21f2-452a-b1f5-16fddf49e0d7","type":"CategoricalTicker"}},"id":"431a9899-c047-4686-a1fc-db697653ad55","type":"CategoricalAxis"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"47321152-eff6-4d0d-b3fd-400bda0f10de","type":"GlyphRenderer"}]},"id":"d08d60dc-e513-4c29-8a22-b647aef26b7f","type":"LegendItem"},{"attributes":{"fields":["2015","2016","2017"]},"id":"62e9d9a7-c2ed-4c9d-8205-3b83c80ad419","type":"Stack"},{"attributes":{"data_source":{"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"},"glyph":{"id":"f7f3a3cb-3d7e-474b-a31f-43edef524118","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dc949316-8361-45a5-ac17-8f309ea15bd8","type":"HBar"},"selection_glyph":null,"view":{"id":"ab1fcf62-d39c-4e93-8f06-b09ae22f78b1","type":"CDSView"}},"id":"44f92853-48eb-477e-aa4c-755f5f90cee7","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"6cbe5e9c-9296-4164-88d7-6dd3ee593408","type":"ColumnDataSource"},"glyph":{"id":"29e3577b-b3b9-48ab-9431-decb0a2c0d7c","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec32c6f9-9333-4ee8-9e85-b36dc3f7656b","type":"HBar"},"selection_glyph":null,"view":{"id":"0ac7d700-935b-446e-a218-39a1dafbb595","type":"CDSView"}},"id":"5ffaf26c-5862-40bb-bc2d-d2edfb17675d","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"65602053-c62f-468b-bba5-ff9106846271","type":"PanTool"},{"id":"a5f92f9a-5f6b-41c0-934f-88e182a568b4","type":"WheelZoomTool"},{"id":"b34ba7f2-914d-4e60-8329-af7f3657c11b","type":"BoxZoomTool"},{"id":"25b5b2b9-3182-4016-ac79-bcb08d7acb86","type":"SaveTool"},{"id":"c9f7d340-7ea9-44c5-b70a-49dfe6b6dc5c","type":"ResetTool"},{"id":"31c16d17-20fd-4563-acb5-5172cfbe72cf","type":"HelpTool"}]},"id":"f1e70b18-673e-4523-b7d5-c36756f99ed7","type":"Toolbar"},{"attributes":{"overlay":{"id":"51eda842-b45b-4a7c-b65c-ffe043855673","type":"BoxAnnotation"}},"id":"b34ba7f2-914d-4e60-8329-af7f3657c11b","type":"BoxZoomTool"},{"attributes":{"fields":["2015","2016"]},"id":"f59c61a3-b63d-43f9-93dc-eccfcc1bb35d","type":"Stack"}],"root_ids":["90c6d8aa-27cc-4a62-ab17-d51b7ebbd520"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bc83ec95-8d16-4685-8555-27c28f061d72","elementid":"1c69fb49-af31-472c-82ce-52ddf33934b1","modelid":"90c6d8aa-27cc-4a62-ab17-d51b7ebbd520"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
