(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2b6dd5ba-3d2f-4b2c-b10c-aff3f8b20fc9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2b6dd5ba-3d2f-4b2c-b10c-aff3f8b20fc9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0032977a-0264-4c85-b634-b73cac4afbcd":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"96cfc820-50f0-4edf-8e2a-01687bd9e2cb","type":"BoxAnnotation"},{"attributes":{},"id":"bc5b3026-4fc2-4c84-a36f-5894fa83dc2d","type":"LinearScale"},{"attributes":{},"id":"e132cafb-439b-4545-885b-bc2af654f0fc","type":"BasicTicker"},{"attributes":{},"id":"b4570905-de7e-4276-b9b4-09656184e2f2","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"e7e25672-9341-4770-9bed-d8613a7b0673","type":"PolyAnnotation"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"f4acb211-4096-493e-a551-8f7db98ed19f","type":"BoxSelectTool"},{"id":"eaf70ed3-c9e5-4d42-aa5f-ee99b00e2d50","type":"LassoSelectTool"},{"id":"19568c29-9ba1-4358-86f0-6754e19dd83d","type":"HoverTool"},{"id":"9f4a7ba4-ac50-4392-a328-98eb39167d30","type":"HelpTool"},{"id":"5eebd21f-d7f1-427e-854b-1da10e4fb181","type":"BoxSelectTool"},{"id":"942d2001-89b2-458d-9920-5973331ac052","type":"LassoSelectTool"},{"id":"e76f96c7-8436-499a-a9f6-a7551892b9df","type":"HoverTool"},{"id":"d969e296-88fc-404d-8249-b7c0d388c713","type":"HelpTool"}]},"id":"6d6326d8-806f-44fd-a434-5cbd3ac75a45","type":"ToolbarBox"},{"attributes":{"callback":null,"overlay":{"id":"a918c5df-49ef-4fe8-a3aa-0ed31a2ff5e0","type":"BoxAnnotation"},"renderers":[{"id":"6d994113-dbaa-44ba-9305-178d5e72ac97","type":"GlyphRenderer"}]},"id":"f4acb211-4096-493e-a551-8f7db98ed19f","type":"BoxSelectTool"},{"attributes":{"callback":null},"id":"9d2b5514-9ed6-4fea-93a5-7da51e14d7f8","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"e7e25672-9341-4770-9bed-d8613a7b0673","type":"PolyAnnotation"}},"id":"942d2001-89b2-458d-9920-5973331ac052","type":"LassoSelectTool"},{"attributes":{"data_source":{"id":"ada13267-6168-4db3-a7ee-2ae99f8bf51e","type":"ColumnDataSource"},"glyph":{"id":"ca2e6581-71f1-4b1e-9662-730f3d1be6be","type":"Circle"},"hover_glyph":{"id":"5ad512e6-a70a-4776-961d-98ffa4fc39c9","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"93686ebe-8e33-41d5-bab9-15917fdd7fa5","type":"Circle"},"selection_glyph":null,"view":{"id":"02569e70-ad80-45c4-8aa2-a50267661dd1","type":"CDSView"}},"id":"bbc8c706-e238-4993-bbf1-8daed2070599","type":"GlyphRenderer"},{"attributes":{},"id":"057402e0-f9ec-4149-81a9-be4819406d8d","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"543be3a3-e8f6-45fd-a810-1c7d3659cbb3","subtype":"Figure","type":"Plot"},"ticker":{"id":"0726ab29-40a7-4003-9828-5f467ab2dba0","type":"BasicTicker"}},"id":"ae79ef9e-3894-49ac-b794-e79c2be823eb","type":"Grid"},{"attributes":{"children":[{"id":"9f8a1065-f091-4c96-9911-d097d50ae604","type":"Row"}]},"id":"767d607c-6043-415d-a6b0-9725f46954b1","type":"Column"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"ae39cf07-cd09-418b-a1ed-bbb73ed4581f","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a918c5df-49ef-4fe8-a3aa-0ed31a2ff5e0","type":"BoxAnnotation"},{"attributes":{},"id":"b09a48d4-0ae0-4079-b0be-71fe94a5530f","type":"BasicTicker"},{"attributes":{"callback":null},"id":"11afcb1f-c2ff-4134-9c5b-7f36900964e5","type":"DataRange1d"},{"attributes":{"plot":{"id":"a39bd4da-8c7c-4d9a-80d6-799be5e95bab","subtype":"Figure","type":"Plot"},"ticker":{"id":"d991b904-69bd-4cf1-b3ec-ebe44a5ce93f","type":"BasicTicker"}},"id":"6c119de9-1ae0-458e-a20e-933ffdf6bea2","type":"Grid"},{"attributes":{},"id":"d969e296-88fc-404d-8249-b7c0d388c713","type":"HelpTool"},{"attributes":{"plot":{"id":"543be3a3-e8f6-45fd-a810-1c7d3659cbb3","subtype":"Figure","type":"Plot"},"ticker":{"id":"e132cafb-439b-4545-885b-bc2af654f0fc","type":"BasicTicker"}},"id":"6a68178b-0cf7-4f1a-94d0-6ea35f737ae7","type":"Grid"},{"attributes":{"callback":null},"id":"3a9b74f1-b069-496f-afec-980ab006674d","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"96cfc820-50f0-4edf-8e2a-01687bd9e2cb","type":"BoxAnnotation"},"renderers":[{"id":"bbc8c706-e238-4993-bbf1-8daed2070599","type":"GlyphRenderer"}]},"id":"5eebd21f-d7f1-427e-854b-1da10e4fb181","type":"BoxSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"5f4cf3c9-1ce1-4fd3-8c95-529172e182cc","type":"PolyAnnotation"}},"id":"eaf70ed3-c9e5-4d42-aa5f-ee99b00e2d50","type":"LassoSelectTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f4acb211-4096-493e-a551-8f7db98ed19f","type":"BoxSelectTool"},{"id":"eaf70ed3-c9e5-4d42-aa5f-ee99b00e2d50","type":"LassoSelectTool"},{"id":"19568c29-9ba1-4358-86f0-6754e19dd83d","type":"HoverTool"},{"id":"9f4a7ba4-ac50-4392-a328-98eb39167d30","type":"HelpTool"}]},"id":"1226ff05-7195-4df2-b1b0-27967927ab62","type":"Toolbar"},{"attributes":{"formatter":{"id":"057402e0-f9ec-4149-81a9-be4819406d8d","type":"BasicTickFormatter"},"plot":{"id":"a39bd4da-8c7c-4d9a-80d6-799be5e95bab","subtype":"Figure","type":"Plot"},"ticker":{"id":"d991b904-69bd-4cf1-b3ec-ebe44a5ce93f","type":"BasicTicker"}},"id":"1515320e-82ae-42f2-88ef-dfe3bb24e1e5","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"ca2e6581-71f1-4b1e-9662-730f3d1be6be","type":"Circle"},{"attributes":{"formatter":{"id":"c3983575-db29-4236-9d5c-02719ac62b72","type":"BasicTickFormatter"},"plot":{"id":"a39bd4da-8c7c-4d9a-80d6-799be5e95bab","subtype":"Figure","type":"Plot"},"ticker":{"id":"b09a48d4-0ae0-4079-b0be-71fe94a5530f","type":"BasicTicker"}},"id":"be265503-4c25-4a5d-ac60-cbc0dc143e52","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"ada13267-6168-4db3-a7ee-2ae99f8bf51e","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"a39bd4da-8c7c-4d9a-80d6-799be5e95bab","subtype":"Figure","type":"Plot"},"ticker":{"id":"b09a48d4-0ae0-4079-b0be-71fe94a5530f","type":"BasicTicker"}},"id":"20888ae1-6805-4022-a2ca-9f2c49c26f7a","type":"Grid"},{"attributes":{},"id":"0726ab29-40a7-4003-9828-5f467ab2dba0","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"93686ebe-8e33-41d5-bab9-15917fdd7fa5","type":"Circle"},{"attributes":{"filters":[{"id":"9ed34790-9b5f-422e-8689-f605bb7f3090","type":"BooleanFilter"}],"source":{"id":"ada13267-6168-4db3-a7ee-2ae99f8bf51e","type":"ColumnDataSource"}},"id":"02569e70-ad80-45c4-8aa2-a50267661dd1","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"5f4cf3c9-1ce1-4fd3-8c95-529172e182cc","type":"PolyAnnotation"},{"attributes":{"below":[{"id":"1515320e-82ae-42f2-88ef-dfe3bb24e1e5","type":"LinearAxis"}],"left":[{"id":"be265503-4c25-4a5d-ac60-cbc0dc143e52","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1515320e-82ae-42f2-88ef-dfe3bb24e1e5","type":"LinearAxis"},{"id":"6c119de9-1ae0-458e-a20e-933ffdf6bea2","type":"Grid"},{"id":"be265503-4c25-4a5d-ac60-cbc0dc143e52","type":"LinearAxis"},{"id":"20888ae1-6805-4022-a2ca-9f2c49c26f7a","type":"Grid"},{"id":"96cfc820-50f0-4edf-8e2a-01687bd9e2cb","type":"BoxAnnotation"},{"id":"e7e25672-9341-4770-9bed-d8613a7b0673","type":"PolyAnnotation"},{"id":"bbc8c706-e238-4993-bbf1-8daed2070599","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"3d2db9d1-5f67-499c-a9f8-bea914e4737c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"11afcb1f-c2ff-4134-9c5b-7f36900964e5","type":"DataRange1d"},"x_scale":{"id":"923d16af-4f25-4ea5-a820-dac7cfffd510","type":"LinearScale"},"y_range":{"id":"9d2b5514-9ed6-4fea-93a5-7da51e14d7f8","type":"DataRange1d"},"y_scale":{"id":"57d7783b-2af4-407a-b664-8e46bd7b0591","type":"LinearScale"}},"id":"a39bd4da-8c7c-4d9a-80d6-799be5e95bab","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"e76f96c7-8436-499a-a9f6-a7551892b9df","type":"HoverTool"},{"attributes":{"formatter":{"id":"5ef729de-b84e-44d8-a50c-2f2d66e028ce","type":"BasicTickFormatter"},"plot":{"id":"543be3a3-e8f6-45fd-a810-1c7d3659cbb3","subtype":"Figure","type":"Plot"},"ticker":{"id":"0726ab29-40a7-4003-9828-5f467ab2dba0","type":"BasicTicker"}},"id":"e860cfb7-bf5d-4b19-b460-b13cdb10a26b","type":"LinearAxis"},{"attributes":{"data_source":{"id":"ada13267-6168-4db3-a7ee-2ae99f8bf51e","type":"ColumnDataSource"},"glyph":{"id":"ae39cf07-cd09-418b-a1ed-bbb73ed4581f","type":"Circle"},"hover_glyph":{"id":"a010a9c9-d9fc-4833-ac6d-12ae294d5e66","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"c5ad7c20-49d1-435d-a007-55598d38d4f3","type":"Circle"},"selection_glyph":null,"view":{"id":"bcfd1a05-1990-4fdc-a785-3005ed79c17d","type":"CDSView"}},"id":"6d994113-dbaa-44ba-9305-178d5e72ac97","type":"GlyphRenderer"},{"attributes":{"booleans":[true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true]},"id":"9ed34790-9b5f-422e-8689-f605bb7f3090","type":"BooleanFilter"},{"attributes":{"children":[{"id":"543be3a3-e8f6-45fd-a810-1c7d3659cbb3","subtype":"Figure","type":"Plot"},{"id":"a39bd4da-8c7c-4d9a-80d6-799be5e95bab","subtype":"Figure","type":"Plot"}]},"id":"9f8a1065-f091-4c96-9911-d097d50ae604","type":"Row"},{"attributes":{},"id":"57d7783b-2af4-407a-b664-8e46bd7b0591","type":"LinearScale"},{"attributes":{},"id":"c3983575-db29-4236-9d5c-02719ac62b72","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"c5ad7c20-49d1-435d-a007-55598d38d4f3","type":"Circle"},{"attributes":{},"id":"d991b904-69bd-4cf1-b3ec-ebe44a5ce93f","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"a010a9c9-d9fc-4833-ac6d-12ae294d5e66","type":"Circle"},{"attributes":{"children":[{"id":"6d6326d8-806f-44fd-a434-5cbd3ac75a45","type":"ToolbarBox"},{"id":"767d607c-6043-415d-a6b0-9725f46954b1","type":"Column"}]},"id":"0e18f007-4012-400b-ac94-775bce559eed","type":"Column"},{"attributes":{"formatter":{"id":"b4570905-de7e-4276-b9b4-09656184e2f2","type":"BasicTickFormatter"},"plot":{"id":"543be3a3-e8f6-45fd-a810-1c7d3659cbb3","subtype":"Figure","type":"Plot"},"ticker":{"id":"e132cafb-439b-4545-885b-bc2af654f0fc","type":"BasicTicker"}},"id":"525893c3-0f94-4459-801e-8981bf0fb8a9","type":"LinearAxis"},{"attributes":{},"id":"8c2031cf-caf0-474b-ad4d-c25d1a7c955e","type":"LinearScale"},{"attributes":{},"id":"5ef729de-b84e-44d8-a50c-2f2d66e028ce","type":"BasicTickFormatter"},{"attributes":{},"id":"923d16af-4f25-4ea5-a820-dac7cfffd510","type":"LinearScale"},{"attributes":{"callback":null},"id":"e4642c6d-6254-4383-a704-5d7f0fda25a2","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"5ad512e6-a70a-4776-961d-98ffa4fc39c9","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5eebd21f-d7f1-427e-854b-1da10e4fb181","type":"BoxSelectTool"},{"id":"942d2001-89b2-458d-9920-5973331ac052","type":"LassoSelectTool"},{"id":"e76f96c7-8436-499a-a9f6-a7551892b9df","type":"HoverTool"},{"id":"d969e296-88fc-404d-8249-b7c0d388c713","type":"HelpTool"}]},"id":"3d2db9d1-5f67-499c-a9f8-bea914e4737c","type":"Toolbar"},{"attributes":{"source":{"id":"ada13267-6168-4db3-a7ee-2ae99f8bf51e","type":"ColumnDataSource"}},"id":"bcfd1a05-1990-4fdc-a785-3005ed79c17d","type":"CDSView"},{"attributes":{"callback":null},"id":"19568c29-9ba1-4358-86f0-6754e19dd83d","type":"HoverTool"},{"attributes":{"below":[{"id":"525893c3-0f94-4459-801e-8981bf0fb8a9","type":"LinearAxis"}],"left":[{"id":"e860cfb7-bf5d-4b19-b460-b13cdb10a26b","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"525893c3-0f94-4459-801e-8981bf0fb8a9","type":"LinearAxis"},{"id":"6a68178b-0cf7-4f1a-94d0-6ea35f737ae7","type":"Grid"},{"id":"e860cfb7-bf5d-4b19-b460-b13cdb10a26b","type":"LinearAxis"},{"id":"ae79ef9e-3894-49ac-b794-e79c2be823eb","type":"Grid"},{"id":"a918c5df-49ef-4fe8-a3aa-0ed31a2ff5e0","type":"BoxAnnotation"},{"id":"5f4cf3c9-1ce1-4fd3-8c95-529172e182cc","type":"PolyAnnotation"},{"id":"6d994113-dbaa-44ba-9305-178d5e72ac97","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1226ff05-7195-4df2-b1b0-27967927ab62","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e4642c6d-6254-4383-a704-5d7f0fda25a2","type":"DataRange1d"},"x_scale":{"id":"bc5b3026-4fc2-4c84-a36f-5894fa83dc2d","type":"LinearScale"},"y_range":{"id":"3a9b74f1-b069-496f-afec-980ab006674d","type":"DataRange1d"},"y_scale":{"id":"8c2031cf-caf0-474b-ad4d-c25d1a7c955e","type":"LinearScale"}},"id":"543be3a3-e8f6-45fd-a810-1c7d3659cbb3","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9f4a7ba4-ac50-4392-a328-98eb39167d30","type":"HelpTool"}],"root_ids":["0e18f007-4012-400b-ac94-775bce559eed"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0032977a-0264-4c85-b634-b73cac4afbcd","elementid":"2b6dd5ba-3d2f-4b2c-b10c-aff3f8b20fc9","modelid":"0e18f007-4012-400b-ac94-775bce559eed"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
