(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("399f3828-5cf0-4c13-99a7-fed238b638ab");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '399f3828-5cf0-4c13-99a7-fed238b638ab' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d1b91c4f-6db6-4ab1-b16b-da91ab297677":{"roots":{"references":[{"attributes":{},"id":"d947b157-6aea-45ed-9405-3df70b2a862c","type":"BasicTicker"},{"attributes":{"callback":null,"overlay":{"id":"fad2df48-c291-4cb5-a720-5bbdc61f397c","type":"BoxAnnotation"},"renderers":[{"id":"1583cc00-0f48-4e74-9d14-c8427687e613","type":"GlyphRenderer"}]},"id":"cfcd9493-faae-4c0e-80c6-71aac5a1c0bf","type":"BoxSelectTool"},{"attributes":{"formatter":{"id":"6ed1696f-0418-421f-b2dd-3b2d0c5af95e","type":"BasicTickFormatter"},"plot":{"id":"c4172e72-fe51-4e19-93f3-b0447b97760a","subtype":"Figure","type":"Plot"},"ticker":{"id":"b53f75ac-39bd-4671-a75d-d2426e4d1c5e","type":"BasicTicker"}},"id":"6b8582ad-8111-4e70-b1b5-2ad2de879072","type":"LinearAxis"},{"attributes":{"data_source":{"id":"015f3e47-1691-4931-b79d-6dfa63f44e00","type":"ColumnDataSource"},"glyph":{"id":"2901b396-ee09-409e-83c8-785c4483cd41","type":"Circle"},"hover_glyph":{"id":"1c693ec4-d133-472f-95d1-b26ad619461e","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"6393b106-c519-43cd-9052-a0bec599f401","type":"Circle"},"selection_glyph":null,"view":{"id":"517fc6b1-3d1a-43aa-bc66-e53ff77fd524","type":"CDSView"}},"id":"1583cc00-0f48-4e74-9d14-c8427687e613","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6393b106-c519-43cd-9052-a0bec599f401","type":"Circle"},{"attributes":{"source":{"id":"015f3e47-1691-4931-b79d-6dfa63f44e00","type":"ColumnDataSource"}},"id":"517fc6b1-3d1a-43aa-bc66-e53ff77fd524","type":"CDSView"},{"attributes":{},"id":"6ed1696f-0418-421f-b2dd-3b2d0c5af95e","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"429c524b-23e0-4a64-92bf-35249fe8ef1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"2008a98b-d88b-4689-a9c2-776de24a060d","type":"BasicTicker"}},"id":"f5499e0e-fd3b-4e79-a573-1140367a936c","type":"Grid"},{"attributes":{},"id":"0b6c460a-9992-4bf4-98b5-1b053356e9c8","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b48d1145-eff1-460d-8787-b713ed5786e3","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[1,2,3,4,5]}},"id":"015f3e47-1691-4931-b79d-6dfa63f44e00","type":"ColumnDataSource"},{"attributes":{},"id":"fdb207f4-0377-4e39-8f11-c3f13eaab591","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2901b396-ee09-409e-83c8-785c4483cd41","type":"Circle"},{"attributes":{},"id":"c4f07993-2062-42ea-b269-88627d335d3d","type":"LinearScale"},{"attributes":{"booleans":[false,false,true,true,true]},"id":"2cd30920-1940-47fa-b2a0-cfac07707ca8","type":"BooleanFilter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fad2df48-c291-4cb5-a720-5bbdc61f397c","type":"BoxAnnotation"},{"attributes":{},"id":"deacf213-7eff-4c6f-a955-3240b785d138","type":"ResetTool"},{"attributes":{"children":[{"id":"f90a6023-32eb-453d-b328-df14aa943f10","type":"ToolbarBox"},{"id":"52532f63-f711-4ba1-ba25-bcde10632235","type":"Column"}]},"id":"6482ef85-fe32-4d1c-a1be-44ab9b74dd74","type":"Column"},{"attributes":{"children":[{"id":"0468ed67-ee90-4607-8089-57644c26e95c","type":"Row"}]},"id":"52532f63-f711-4ba1-ba25-bcde10632235","type":"Column"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"cfcd9493-faae-4c0e-80c6-71aac5a1c0bf","type":"BoxSelectTool"},{"id":"683c4d86-27ee-4193-ac20-298fe29fe395","type":"HoverTool"},{"id":"ad1446fa-202a-41aa-8228-136c7e6e0967","type":"ResetTool"},{"id":"110c1f6a-86ab-472f-a9e7-c640c15a8a84","type":"BoxSelectTool"},{"id":"97741487-ec7f-40f2-840b-5853aa52afbd","type":"HoverTool"},{"id":"deacf213-7eff-4c6f-a955-3240b785d138","type":"ResetTool"}]},"id":"f90a6023-32eb-453d-b328-df14aa943f10","type":"ToolbarBox"},{"attributes":{"data_source":{"id":"015f3e47-1691-4931-b79d-6dfa63f44e00","type":"ColumnDataSource"},"glyph":{"id":"b48d1145-eff1-460d-8787-b713ed5786e3","type":"Circle"},"hover_glyph":{"id":"6f03e1f3-f355-4670-a5f3-0f02fb1e91b8","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"2db42308-1f5a-4ed7-8cce-7f56bac47502","type":"Circle"},"selection_glyph":null,"view":{"id":"17057b55-dab1-4484-bc1e-ed6a5330f042","type":"CDSView"}},"id":"db73a3aa-0c97-448c-8750-6b4c9c44d5f7","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"2e25631d-44b5-4fd6-b7f8-3f80cd8a6dec","type":"BasicTickFormatter"},"plot":{"id":"429c524b-23e0-4a64-92bf-35249fe8ef1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"2008a98b-d88b-4689-a9c2-776de24a060d","type":"BasicTicker"}},"id":"16320244-7cfe-49ef-be31-6850c45bb224","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"110c1f6a-86ab-472f-a9e7-c640c15a8a84","type":"BoxSelectTool"},{"id":"97741487-ec7f-40f2-840b-5853aa52afbd","type":"HoverTool"},{"id":"deacf213-7eff-4c6f-a955-3240b785d138","type":"ResetTool"}]},"id":"2dac48f1-80b5-4798-8fb9-3dccfd261967","type":"Toolbar"},{"attributes":{},"id":"bcf44c98-f7ec-48db-af0e-ed0f87d6594e","type":"LinearScale"},{"attributes":{},"id":"56e3c286-61f9-415b-9121-cb2861808ce0","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"c4172e72-fe51-4e19-93f3-b0447b97760a","subtype":"Figure","type":"Plot"},{"id":"429c524b-23e0-4a64-92bf-35249fe8ef1f","subtype":"Figure","type":"Plot"}]},"id":"0468ed67-ee90-4607-8089-57644c26e95c","type":"Row"},{"attributes":{"below":[{"id":"8a33619b-94e8-4137-bf28-c85de5fafe95","type":"LinearAxis"}],"left":[{"id":"16320244-7cfe-49ef-be31-6850c45bb224","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"8a33619b-94e8-4137-bf28-c85de5fafe95","type":"LinearAxis"},{"id":"8bf93f8b-a9ac-4d50-9d71-20156c32d2fb","type":"Grid"},{"id":"16320244-7cfe-49ef-be31-6850c45bb224","type":"LinearAxis"},{"id":"f5499e0e-fd3b-4e79-a573-1140367a936c","type":"Grid"},{"id":"9e5f42c5-7808-408b-9e00-ed51e4e864ab","type":"BoxAnnotation"},{"id":"db73a3aa-0c97-448c-8750-6b4c9c44d5f7","type":"GlyphRenderer"}],"title":{"id":"6e2b0a2e-8643-4687-8327-fd8f69290bb5","type":"Title"},"toolbar":{"id":"2dac48f1-80b5-4798-8fb9-3dccfd261967","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0b81955a-6064-4d3d-bf76-93c59c3f7c23","type":"DataRange1d"},"x_scale":{"id":"fdb207f4-0377-4e39-8f11-c3f13eaab591","type":"LinearScale"},"y_range":{"id":"4e174af1-84e7-4031-9b85-c8f174be5e48","type":"DataRange1d"},"y_scale":{"id":"0b6c460a-9992-4bf4-98b5-1b053356e9c8","type":"LinearScale"}},"id":"429c524b-23e0-4a64-92bf-35249fe8ef1f","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"0968c4ae-3223-4c89-8360-04321404e2a8","type":"Title"},{"attributes":{"plot":{"id":"c4172e72-fe51-4e19-93f3-b0447b97760a","subtype":"Figure","type":"Plot"},"ticker":{"id":"d947b157-6aea-45ed-9405-3df70b2a862c","type":"BasicTicker"}},"id":"eaa7e877-0843-4a6f-ada7-0339bfcd8f6f","type":"Grid"},{"attributes":{},"id":"62c802a2-0a4a-436c-89f5-faf5f925e863","type":"BasicTicker"},{"attributes":{"below":[{"id":"12f96fb7-3719-47d8-912c-eed116810f65","type":"LinearAxis"}],"left":[{"id":"6b8582ad-8111-4e70-b1b5-2ad2de879072","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"12f96fb7-3719-47d8-912c-eed116810f65","type":"LinearAxis"},{"id":"eaa7e877-0843-4a6f-ada7-0339bfcd8f6f","type":"Grid"},{"id":"6b8582ad-8111-4e70-b1b5-2ad2de879072","type":"LinearAxis"},{"id":"719eb895-262d-4f47-9b94-88a96da25529","type":"Grid"},{"id":"fad2df48-c291-4cb5-a720-5bbdc61f397c","type":"BoxAnnotation"},{"id":"1583cc00-0f48-4e74-9d14-c8427687e613","type":"GlyphRenderer"}],"title":{"id":"0968c4ae-3223-4c89-8360-04321404e2a8","type":"Title"},"toolbar":{"id":"b9b1cf40-1fd1-4739-89f6-5416d795245a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0b81955a-6064-4d3d-bf76-93c59c3f7c23","type":"DataRange1d"},"x_scale":{"id":"bcf44c98-f7ec-48db-af0e-ed0f87d6594e","type":"LinearScale"},"y_range":{"id":"4e174af1-84e7-4031-9b85-c8f174be5e48","type":"DataRange1d"},"y_scale":{"id":"c4f07993-2062-42ea-b269-88627d335d3d","type":"LinearScale"}},"id":"c4172e72-fe51-4e19-93f3-b0447b97760a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"ad1446fa-202a-41aa-8228-136c7e6e0967","type":"ResetTool"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6f03e1f3-f355-4670-a5f3-0f02fb1e91b8","type":"Circle"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1c693ec4-d133-472f-95d1-b26ad619461e","type":"Circle"},{"attributes":{},"id":"2e25631d-44b5-4fd6-b7f8-3f80cd8a6dec","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2db42308-1f5a-4ed7-8cce-7f56bac47502","type":"Circle"},{"attributes":{"callback":null},"id":"4e174af1-84e7-4031-9b85-c8f174be5e48","type":"DataRange1d"},{"attributes":{"callback":null},"id":"97741487-ec7f-40f2-840b-5853aa52afbd","type":"HoverTool"},{"attributes":{"formatter":{"id":"56e3c286-61f9-415b-9121-cb2861808ce0","type":"BasicTickFormatter"},"plot":{"id":"429c524b-23e0-4a64-92bf-35249fe8ef1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"62c802a2-0a4a-436c-89f5-faf5f925e863","type":"BasicTicker"}},"id":"8a33619b-94e8-4137-bf28-c85de5fafe95","type":"LinearAxis"},{"attributes":{"callback":null},"id":"0b81955a-6064-4d3d-bf76-93c59c3f7c23","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9e5f42c5-7808-408b-9e00-ed51e4e864ab","type":"BoxAnnotation"},{"attributes":{},"id":"26684bc3-a407-4558-acf4-daa50b38f356","type":"BasicTickFormatter"},{"attributes":{},"id":"2008a98b-d88b-4689-a9c2-776de24a060d","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"6e2b0a2e-8643-4687-8327-fd8f69290bb5","type":"Title"},{"attributes":{"callback":null},"id":"683c4d86-27ee-4193-ac20-298fe29fe395","type":"HoverTool"},{"attributes":{"plot":{"id":"429c524b-23e0-4a64-92bf-35249fe8ef1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"62c802a2-0a4a-436c-89f5-faf5f925e863","type":"BasicTicker"}},"id":"8bf93f8b-a9ac-4d50-9d71-20156c32d2fb","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"9e5f42c5-7808-408b-9e00-ed51e4e864ab","type":"BoxAnnotation"},"renderers":[{"id":"db73a3aa-0c97-448c-8750-6b4c9c44d5f7","type":"GlyphRenderer"}]},"id":"110c1f6a-86ab-472f-a9e7-c640c15a8a84","type":"BoxSelectTool"},{"attributes":{},"id":"b53f75ac-39bd-4671-a75d-d2426e4d1c5e","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cfcd9493-faae-4c0e-80c6-71aac5a1c0bf","type":"BoxSelectTool"},{"id":"683c4d86-27ee-4193-ac20-298fe29fe395","type":"HoverTool"},{"id":"ad1446fa-202a-41aa-8228-136c7e6e0967","type":"ResetTool"}]},"id":"b9b1cf40-1fd1-4739-89f6-5416d795245a","type":"Toolbar"},{"attributes":{"filters":[{"id":"2cd30920-1940-47fa-b2a0-cfac07707ca8","type":"BooleanFilter"}],"source":{"id":"015f3e47-1691-4931-b79d-6dfa63f44e00","type":"ColumnDataSource"}},"id":"17057b55-dab1-4484-bc1e-ed6a5330f042","type":"CDSView"},{"attributes":{"formatter":{"id":"26684bc3-a407-4558-acf4-daa50b38f356","type":"BasicTickFormatter"},"plot":{"id":"c4172e72-fe51-4e19-93f3-b0447b97760a","subtype":"Figure","type":"Plot"},"ticker":{"id":"d947b157-6aea-45ed-9405-3df70b2a862c","type":"BasicTicker"}},"id":"12f96fb7-3719-47d8-912c-eed116810f65","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"c4172e72-fe51-4e19-93f3-b0447b97760a","subtype":"Figure","type":"Plot"},"ticker":{"id":"b53f75ac-39bd-4671-a75d-d2426e4d1c5e","type":"BasicTicker"}},"id":"719eb895-262d-4f47-9b94-88a96da25529","type":"Grid"}],"root_ids":["6482ef85-fe32-4d1c-a1be-44ab9b74dd74"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d1b91c4f-6db6-4ab1-b16b-da91ab297677","elementid":"399f3828-5cf0-4c13-99a7-fed238b638ab","modelid":"6482ef85-fe32-4d1c-a1be-44ab9b74dd74"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
