(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ab0ebace-0513-4542-9b7d-b4cba68e1904");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ab0ebace-0513-4542-9b7d-b4cba68e1904' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"74e90daa-9931-4699-bf45-074b5d8593f8":{"roots":{"references":[{"attributes":{"formatter":{"id":"59069f9c-6584-4e2a-88e5-984cbabfb2e7","type":"BasicTickFormatter"},"plot":{"id":"a7721f16-0bef-42ba-aca9-14b462ba4ad4","subtype":"Figure","type":"Plot"},"ticker":{"id":"480555a8-1e75-44af-a49e-50f0db05fc28","type":"BasicTicker"}},"id":"80a95c1d-ec4d-4ce0-9cc2-faef6aa2d409","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[0,1,2,3,4,5,6,7],"start":[0,0,0,0,0,0,0,0]}},"id":"356dc1d4-8c62-440f-b873-571cff19eacb","type":"ColumnDataSource"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.7071067811865476,0.7071067811865475],"2":[6.123233995736766e-17,1.0],"3":[-0.7071067811865475,0.7071067811865476],"4":[-1.0,1.2246467991473532e-16],"5":[-0.7071067811865477,-0.7071067811865475],"6":[-1.8369701987210297e-16,-1.0],"7":[0.7071067811865475,-0.7071067811865477]}},"id":"975f4d6e-26dd-4c04-9e3c-fdb86a6edf2f","type":"StaticLayoutProvider"},{"attributes":{"formatter":{"id":"aca2f07e-3672-444c-bb2b-5d414e2b2a28","type":"BasicTickFormatter"},"plot":{"id":"a7721f16-0bef-42ba-aca9-14b462ba4ad4","subtype":"Figure","type":"Plot"},"ticker":{"id":"bb448981-da72-4efc-b8ef-5a805ae0e1d7","type":"BasicTicker"}},"id":"91d61e36-8013-451d-9896-da86d87747a5","type":"LinearAxis"},{"attributes":{},"id":"b8baeff0-22e4-4142-aa36-098b81978fec","type":"NodesOnly"},{"attributes":{"source":{"id":"e5f5eb9b-d731-40a9-b98a-5924e2efa397","type":"ColumnDataSource"}},"id":"d4901ff8-c892-4e2f-8502-3e35e142987d","type":"CDSView"},{"attributes":{"plot":null,"text":"Graph Layout Demonstration"},"id":"dc6f2d55-d968-49f3-b047-a585df32e61f","type":"Title"},{"attributes":{},"id":"59069f9c-6584-4e2a-88e5-984cbabfb2e7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"bd17a290-05a6-40db-b222-c756f4b969fe","type":"Range1d"},{"attributes":{"callback":null,"column_names":["index"],"data":{"fill_color":["#3288bd","#66c2a5","#abdda4","#e6f598","#fee08b","#fdae61","#f46d43","#d53e4f"],"index":[0,1,2,3,4,5,6,7]}},"id":"e5f5eb9b-d731-40a9-b98a-5924e2efa397","type":"ColumnDataSource"},{"attributes":{},"id":"b1beb9b3-1402-4a85-9031-b45430225c5a","type":"LinearScale"},{"attributes":{"data_source":{"id":"e5f5eb9b-d731-40a9-b98a-5924e2efa397","type":"ColumnDataSource"},"glyph":{"id":"acfddb8e-16ed-4108-bda9-b30391b4917f","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d4901ff8-c892-4e2f-8502-3e35e142987d","type":"CDSView"}},"id":"90cec644-efd9-4f37-ab0a-ce712136cb7c","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"a7721f16-0bef-42ba-aca9-14b462ba4ad4","subtype":"Figure","type":"Plot"},"ticker":{"id":"bb448981-da72-4efc-b8ef-5a805ae0e1d7","type":"BasicTicker"}},"id":"a4f17a97-7fee-4360-9d94-21a5fa44d590","type":"Grid"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"ea212a3a-02d7-4b09-83be-5811750e74a9","type":"Range1d"},{"attributes":{},"id":"7857b539-dfe9-44a7-9d05-21aabcfea2ca","type":"NodesOnly"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"bdf2b1db-9776-4254-ac2c-b8c0b1b5f37f","type":"Toolbar"},{"attributes":{"edge_renderer":{"id":"a531c975-c196-4365-aa0f-bca6378c65ed","type":"GlyphRenderer"},"inspection_policy":{"id":"7857b539-dfe9-44a7-9d05-21aabcfea2ca","type":"NodesOnly"},"layout_provider":{"id":"975f4d6e-26dd-4c04-9e3c-fdb86a6edf2f","type":"StaticLayoutProvider"},"node_renderer":{"id":"90cec644-efd9-4f37-ab0a-ce712136cb7c","type":"GlyphRenderer"},"selection_policy":{"id":"b8baeff0-22e4-4142-aa36-098b81978fec","type":"NodesOnly"}},"id":"126a92db-69a0-4956-9c61-9792dc6610ae","type":"GraphRenderer"},{"attributes":{"data_source":{"id":"356dc1d4-8c62-440f-b873-571cff19eacb","type":"ColumnDataSource"},"glyph":{"id":"ee16be8a-256f-4c80-a599-faf6a26b38ce","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ed1a1bd9-ffbc-42b7-823b-66df4182da93","type":"CDSView"}},"id":"a531c975-c196-4365-aa0f-bca6378c65ed","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"a7721f16-0bef-42ba-aca9-14b462ba4ad4","subtype":"Figure","type":"Plot"},"ticker":{"id":"480555a8-1e75-44af-a49e-50f0db05fc28","type":"BasicTicker"}},"id":"8be150de-89d7-46a4-8e9e-2f780106e707","type":"Grid"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":0.1},"width":{"units":"data","value":0.2}},"id":"acfddb8e-16ed-4108-bda9-b30391b4917f","type":"Oval"},{"attributes":{},"id":"aca2f07e-3672-444c-bb2b-5d414e2b2a28","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"356dc1d4-8c62-440f-b873-571cff19eacb","type":"ColumnDataSource"}},"id":"ed1a1bd9-ffbc-42b7-823b-66df4182da93","type":"CDSView"},{"attributes":{},"id":"e4197f0e-45bd-4d31-b0ac-577373dd7271","type":"LinearScale"},{"attributes":{},"id":"480555a8-1e75-44af-a49e-50f0db05fc28","type":"BasicTicker"},{"attributes":{},"id":"ee16be8a-256f-4c80-a599-faf6a26b38ce","type":"MultiLine"},{"attributes":{"below":[{"id":"80a95c1d-ec4d-4ce0-9cc2-faef6aa2d409","type":"LinearAxis"}],"left":[{"id":"91d61e36-8013-451d-9896-da86d87747a5","type":"LinearAxis"}],"renderers":[{"id":"80a95c1d-ec4d-4ce0-9cc2-faef6aa2d409","type":"LinearAxis"},{"id":"8be150de-89d7-46a4-8e9e-2f780106e707","type":"Grid"},{"id":"91d61e36-8013-451d-9896-da86d87747a5","type":"LinearAxis"},{"id":"a4f17a97-7fee-4360-9d94-21a5fa44d590","type":"Grid"},{"id":"126a92db-69a0-4956-9c61-9792dc6610ae","type":"GraphRenderer"}],"title":{"id":"dc6f2d55-d968-49f3-b047-a585df32e61f","type":"Title"},"toolbar":{"id":"bdf2b1db-9776-4254-ac2c-b8c0b1b5f37f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ea212a3a-02d7-4b09-83be-5811750e74a9","type":"Range1d"},"x_scale":{"id":"b1beb9b3-1402-4a85-9031-b45430225c5a","type":"LinearScale"},"y_range":{"id":"bd17a290-05a6-40db-b222-c756f4b969fe","type":"Range1d"},"y_scale":{"id":"e4197f0e-45bd-4d31-b0ac-577373dd7271","type":"LinearScale"}},"id":"a7721f16-0bef-42ba-aca9-14b462ba4ad4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"bb448981-da72-4efc-b8ef-5a805ae0e1d7","type":"BasicTicker"}],"root_ids":["a7721f16-0bef-42ba-aca9-14b462ba4ad4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"74e90daa-9931-4699-bf45-074b5d8593f8","elementid":"ab0ebace-0513-4542-9b7d-b4cba68e1904","modelid":"a7721f16-0bef-42ba-aca9-14b462ba4ad4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
