(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fa129a9b-ea16-4e6a-a17b-3a2ec389b421");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fa129a9b-ea16-4e6a-a17b-3a2ec389b421' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"67f30ce7-631b-44f0-bc92-96780894ce65":{"roots":{"references":[{"attributes":{},"id":"e1c48408-7ff9-481c-8f1d-8594b3f896a7","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"ac1ebe64-9a82-428d-b928-a735c9999969","type":"BoxAnnotation"}},"id":"f9a743bb-b05f-4266-aa04-f69cbd44d14f","type":"BoxZoomTool"},{"attributes":{},"id":"399dba54-ea1d-4e51-ad5e-6b527242ae0a","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eef4e0ba-a4cc-4aa4-abcb-a950e4bf1b9b","type":"PanTool"},{"id":"e1c48408-7ff9-481c-8f1d-8594b3f896a7","type":"WheelZoomTool"},{"id":"f9a743bb-b05f-4266-aa04-f69cbd44d14f","type":"BoxZoomTool"},{"id":"f8fc255c-bc31-4660-bae7-a350ba03ed97","type":"SaveTool"},{"id":"c4346d78-f97a-48cc-9bfd-9fc7a85e7b59","type":"ResetTool"},{"id":"399dba54-ea1d-4e51-ad5e-6b527242ae0a","type":"HelpTool"}]},"id":"50b48520-e219-4116-bd97-91ae70364c63","type":"Toolbar"},{"attributes":{},"id":"e4f699cd-f061-4ca0-8d56-a6984671c80d","type":"LinearScale"},{"attributes":{},"id":"a8a59598-ee52-472e-9068-5936252a9dc3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"a8a59598-ee52-472e-9068-5936252a9dc3","type":"BasicTickFormatter"},"plot":{"id":"acc55f18-31ba-42d6-9b6c-2a341f6eec4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"24dec784-5157-4676-9343-03a0a34a68c2","type":"BasicTicker"}},"id":"162c1450-b735-47d1-ab9f-bc4a9ea7409d","type":"LinearAxis"},{"attributes":{"formatter":{"id":"368c61c5-a4b8-4b14-bb0c-598ef31295b2","type":"BasicTickFormatter"},"plot":{"id":"acc55f18-31ba-42d6-9b6c-2a341f6eec4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"37a5855a-e511-4665-a2b2-874cd04df601","type":"BasicTicker"}},"id":"9e7b1e4f-7830-4497-8b73-5640e1f95e64","type":"LinearAxis"},{"attributes":{"callback":null},"id":"cc378365-0f06-432a-b3b9-85934027d116","type":"DataRange1d"},{"attributes":{},"id":"fbd1c72a-e14f-4b13-9bc5-1c39319fba21","type":"LinearScale"},{"attributes":{},"id":"37a5855a-e511-4665-a2b2-874cd04df601","type":"BasicTicker"},{"attributes":{},"id":"f8fc255c-bc31-4660-bae7-a350ba03ed97","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"d7385a45-7c6e-41e6-9c75-2bfc8a6d575d","type":"ColumnDataSource"},{"attributes":{},"id":"c4346d78-f97a-48cc-9bfd-9fc7a85e7b59","type":"ResetTool"},{"attributes":{},"id":"eef4e0ba-a4cc-4aa4-abcb-a950e4bf1b9b","type":"PanTool"},{"attributes":{"children":[{"id":"5e50ac98-def4-4a89-9b56-73f1eb7615e6","type":"WidgetBox"},{"id":"acc55f18-31ba-42d6-9b6c-2a341f6eec4a","subtype":"Figure","type":"Plot"}]},"id":"53eceb0b-5148-4dc8-8e6f-1c932730dabb","type":"Column"},{"attributes":{"source":{"id":"d7385a45-7c6e-41e6-9c75-2bfc8a6d575d","type":"ColumnDataSource"}},"id":"2d8e629e-8607-4349-9a37-bef4c0c138fa","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"acc55f18-31ba-42d6-9b6c-2a341f6eec4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"24dec784-5157-4676-9343-03a0a34a68c2","type":"BasicTicker"}},"id":"f7e749dd-0dba-478b-8ab7-28452c3f44dd","type":"Grid"},{"attributes":{"plot":{"id":"acc55f18-31ba-42d6-9b6c-2a341f6eec4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"37a5855a-e511-4665-a2b2-874cd04df601","type":"BasicTicker"}},"id":"672d9078-ad2c-4903-b545-9a4c58e265e6","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"c4285891-51ee-4581-9770-22b450c04dce","type":"Line"},{"attributes":{"children":[{"id":"a4a21061-1ab8-458a-a589-38ce7d86693b","type":"Slider"}]},"id":"5e50ac98-def4-4a89-9b56-73f1eb7615e6","type":"WidgetBox"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"6c0c4d59-4cbd-4209-86a1-47b87af4a235","type":"Line"},{"attributes":{"data_source":{"id":"d7385a45-7c6e-41e6-9c75-2bfc8a6d575d","type":"ColumnDataSource"},"glyph":{"id":"6c0c4d59-4cbd-4209-86a1-47b87af4a235","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c4285891-51ee-4581-9770-22b450c04dce","type":"Line"},"selection_glyph":null,"view":{"id":"2d8e629e-8607-4349-9a37-bef4c0c138fa","type":"CDSView"}},"id":"807ab6a6-ac75-4d78-bedd-6b49d742ba82","type":"GlyphRenderer"},{"attributes":{"args":{"source":{"id":"d7385a45-7c6e-41e6-9c75-2bfc8a6d575d","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"855b7c1c-677b-4aa5-9bcc-28283dd9ccac","type":"CustomJS"},{"attributes":{},"id":"24dec784-5157-4676-9343-03a0a34a68c2","type":"BasicTicker"},{"attributes":{},"id":"368c61c5-a4b8-4b14-bb0c-598ef31295b2","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"1651ca63-3dad-4398-a35e-82c371b2a373","type":"Title"},{"attributes":{"callback":{"id":"855b7c1c-677b-4aa5-9bcc-28283dd9ccac","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"a4a21061-1ab8-458a-a589-38ce7d86693b","type":"Slider"},{"attributes":{"below":[{"id":"9e7b1e4f-7830-4497-8b73-5640e1f95e64","type":"LinearAxis"}],"left":[{"id":"162c1450-b735-47d1-ab9f-bc4a9ea7409d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9e7b1e4f-7830-4497-8b73-5640e1f95e64","type":"LinearAxis"},{"id":"672d9078-ad2c-4903-b545-9a4c58e265e6","type":"Grid"},{"id":"162c1450-b735-47d1-ab9f-bc4a9ea7409d","type":"LinearAxis"},{"id":"f7e749dd-0dba-478b-8ab7-28452c3f44dd","type":"Grid"},{"id":"ac1ebe64-9a82-428d-b928-a735c9999969","type":"BoxAnnotation"},{"id":"807ab6a6-ac75-4d78-bedd-6b49d742ba82","type":"GlyphRenderer"}],"title":{"id":"1651ca63-3dad-4398-a35e-82c371b2a373","type":"Title"},"toolbar":{"id":"50b48520-e219-4116-bd97-91ae70364c63","type":"Toolbar"},"x_range":{"id":"cc378365-0f06-432a-b3b9-85934027d116","type":"DataRange1d"},"x_scale":{"id":"e4f699cd-f061-4ca0-8d56-a6984671c80d","type":"LinearScale"},"y_range":{"id":"2624d051-5613-476d-9d43-7c170a7fb89b","type":"DataRange1d"},"y_scale":{"id":"fbd1c72a-e14f-4b13-9bc5-1c39319fba21","type":"LinearScale"}},"id":"acc55f18-31ba-42d6-9b6c-2a341f6eec4a","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ac1ebe64-9a82-428d-b928-a735c9999969","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"2624d051-5613-476d-9d43-7c170a7fb89b","type":"DataRange1d"}],"root_ids":["53eceb0b-5148-4dc8-8e6f-1c932730dabb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"67f30ce7-631b-44f0-bc92-96780894ce65","elementid":"fa129a9b-ea16-4e6a-a17b-3a2ec389b421","modelid":"53eceb0b-5148-4dc8-8e6f-1c932730dabb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
