(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("90447d7c-1a33-4ebc-b089-f8fc2e3c8132");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '90447d7c-1a33-4ebc-b089-f8fc2e3c8132' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"feae0290-f56d-4404-9717-81d2a7df191f":{"roots":{"references":[{"attributes":{"formatter":{"id":"bc43d5e0-100d-402b-92f6-ca84e1097762","type":"BasicTickFormatter"},"plot":{"id":"5e76bb5a-1633-46ee-b2e2-cdef996486a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"83e5ac5c-6a5c-455c-b1f8-be63a081d841","type":"BasicTicker"}},"id":"a2c2a58c-e90d-47f4-9cd5-69b31953dda6","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e29b9fc6-faca-42e2-9c08-3e7a97815b85","type":"ColumnDataSource"},"glyph":{"id":"a90709db-7ec6-4e5f-9f0e-a5e9e3a88536","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b0e19544-30d4-4163-9790-9f984ac7db1f","type":"Circle"},"selection_glyph":null,"view":{"id":"35f38208-2131-468c-8f90-258dd5a455a1","type":"CDSView"}},"id":"307d7b2e-6229-4530-a930-9c53ca759186","type":"GlyphRenderer"},{"attributes":{},"id":"be7fb7f7-d677-4780-8406-85c39f19a6dd","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"eddaac2f-8f1b-40dc-9072-e707c5d8e888","type":"Range1d"},{"attributes":{"dimension":1,"plot":{"id":"cb7e4545-f692-424a-a39d-99a49b653ddd","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c9b7744-01c8-46e2-8820-712921ae714b","type":"BasicTicker"}},"id":"8788b56d-2781-4495-be15-9309f512e5ac","type":"Grid"},{"attributes":{"formatter":{"id":"33135bd1-4bf2-464d-b8bd-e4c0c237fa6f","type":"BasicTickFormatter"},"plot":{"id":"cb7e4545-f692-424a-a39d-99a49b653ddd","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a1966ee-97cf-44ee-ad09-2ba56a3ba961","type":"BasicTicker"}},"id":"68d6f34c-528e-48d8-a5b3-0c0fd93f1d7f","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"8064b70b-208b-46a4-9450-8c4e97f86c5e","type":"PolyAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0e19544-30d4-4163-9790-9f984ac7db1f","type":"Circle"},{"attributes":{"plot":{"id":"5e76bb5a-1633-46ee-b2e2-cdef996486a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce105526-1bc2-466e-82e1-50742b62473b","type":"BasicTicker"}},"id":"bc0d9198-4391-49bf-bfde-370917277f1c","type":"Grid"},{"attributes":{},"id":"97b0cc8f-01dc-4789-8bac-a43d94e0fe07","type":"LinearScale"},{"attributes":{"callback":null},"id":"f8277553-e475-4882-8327-b88ee67852f1","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"fddf23a1-4d38-49d4-a41f-45aa7e786ac5","type":"Circle"},{"attributes":{},"id":"bc43d5e0-100d-402b-92f6-ca84e1097762","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"cdb6933f-3f0c-4c0d-9982-49d6747c7632","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d9171b10-2479-420d-a934-a4b2c0bd62c8","type":"Toolbar"},{"attributes":{},"id":"33135bd1-4bf2-464d-b8bd-e4c0c237fa6f","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"cb7e4545-f692-424a-a39d-99a49b653ddd","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a1966ee-97cf-44ee-ad09-2ba56a3ba961","type":"BasicTicker"}},"id":"e691eb6a-d4f5-4f0d-a04e-140fefa65bfa","type":"Grid"},{"attributes":{},"id":"6d397f62-4a2c-4dcb-86fb-00f06dede6bf","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"5e76bb5a-1633-46ee-b2e2-cdef996486a1","subtype":"Figure","type":"Plot"},{"id":"cb7e4545-f692-424a-a39d-99a49b653ddd","subtype":"Figure","type":"Plot"}]},"id":"fe4c47ee-96d0-4086-838f-48497b3c1dd4","type":"Row"},{"attributes":{},"id":"0f35e318-6a99-4bac-8e4e-728d7e994ff3","type":"LinearScale"},{"attributes":{},"id":"6c9b7744-01c8-46e2-8820-712921ae714b","type":"BasicTicker"},{"attributes":{"callback":{"id":"02408498-0039-4487-aecc-257fa9eaad2f","type":"CustomJS"},"column_names":["y","x"],"data":{"x":[0.2903958917582302,0.2874271457340076,0.29721238090065516,0.7771185560376521,0.48645302966611015,0.32460877822194545,0.21097580080403866,0.9946998881728911,0.013016478325873937,0.8359898148735206,0.17306143776382565,0.320302888116181,0.30507632173654875,0.339125829514601,0.7091825151792045,0.9542853204572709,0.19920873583513143,0.7293953022941084,0.7199117161366353,0.9589127998770437,0.4729366977884064,0.5006094890306417,0.6185747703146197,0.9993902150200306,0.28583034924362993,0.5863539327202582,0.6548477001350229,0.09659014574593172,0.374023880661458,0.4850370294646581,0.5054485723081779,0.2130347046515375,0.4717040792339733,0.5183886411958312,0.3616184661270121,0.9287456292641072,0.916759890078942,0.22641809625869402,0.008115817040688422,0.195122395667649,0.7660722447453615,0.43476929857721136,0.08368794310147964,0.19110301838018395,0.8078383396020503,0.27986116503241476,0.7091055447805709,0.9310083057851821,0.21166009108379025,0.3115483435881006,0.24378598837501564,0.20636354736630624,0.5010669480069718,0.7269717665887068,0.06487334032133119,0.5988142950816495,0.49815792681582505,0.8995256744240172,0.3683201443757075,0.5091656790272627,0.2984492924995805,0.9876875042175315,0.6591951747637876,0.05431564784713472,0.2754601135810011,0.7724420145723268,0.37531889135691276,0.580349496040902,0.6506465268608704,0.8493609657768173,0.36247505629184806,0.6318711137945145,0.09893578916507129,0.0052029451728652365,0.7616087561009162,0.8833550150099098,0.7246751120319139,0.09816663495225975,0.5137917849405544,0.6664786678254068,0.3825024462879887,0.9620993546152137,0.4637276266378013,0.5757284224636896,0.8791017966058219,0.2967821521792,0.04742555605673726,0.6643669534496477,0.9624326683739538,0.20668298320777456,0.9732174974246994,0.5633635292428963,0.14983847162873165,0.5052388583390927,0.14630804331262748,0.6790539646309337,0.2220406666642979,0.014826265034183161,0.9689991718520571,0.534807535804094,0.7789178781988881,0.19600156711112016,0.954310419691166,0.34158136324285526,0.31895248124985454,0.7287950867540444,0.7945290573770154,0.4502919841473624,0.07676095921254444,0.6669312557068199,0.5412110288240018,0.29905883285211754,0.08568269184796773,0.8667805871939949,0.8940993587069148,0.28124874566001845,0.11003551058167826,0.5976086822277619,0.11001177797005268,0.8864523165127399,0.2521974298327565,0.351743890482758,0.9179758702388117,0.20772794101809366,0.571953590899688,0.41488476231788896,0.9588708060912579,0.8131440957366178,0.25253007746660905,0.6576015300144238,0.9289191077160728,0.6029811437290243,0.9535284877593088,0.1896527236507929,0.0865263533166416,0.36995104274049173,0.5526437616713058,0.5159134390002753,0.16220967260029318,0.5995726242366011,0.6392469832204426,0.555276073288142,0.6085627871395144,0.008965467859432308,0.7957714620958218,0.6800741078410892,0.9782921826637376,0.6810558099522284,0.7929223678147196,0.42219952048540466,0.053887666310155624,0.756375903495027,0.23164089424371037,0.27252663262144095,0.9364530655378132,0.7913364151970834,0.5140526083357009,0.517168080607951,0.5441388242290107,0.5303811572718063,0.8968040472007548,0.4291636754219743,0.21746005145739533,0.41167072713207953,0.4722997770207643,0.8320452566395793,0.2471322710281445,0.7440609388203566,0.7086417120994979,0.8963904640566862,0.3893042042044932,0.619299822667675,0.7903509815321901,0.5819665317424242,0.24197623855428774,0.22254516452085837,0.01648484529015637,0.06472799631117432,0.8847440607903035,0.6496023833399792,0.39840697432044314,0.44712808883352684,0.4626952782899819,0.18471544538597195,0.9511912184845148,0.9483257848391523,0.4990858071284905,0.050132951968009265,0.6580049971819195,0.6580150219397041,0.8675173666740406,0.7410099422191142,0.5949637497655617,0.7518498303651077,0.3804659416015854,0.4839959280970554,0.47668639652865885,0.43607385930938614,0.7600319694334077,0.6957537996152013,0.7227204236187489,0.6147525668193293,0.491112846144221,0.7874775343311581,0.7109066008113358,0.15280550305085894,0.40180757455356597,0.6687607834745075,0.8550617884378947,0.5776204887402511,0.09141066320511126,0.5006431488051456,0.9782336186270594,0.04107992795779292,0.8127802995678022,0.5033396497022884,0.5920931312122417,0.14764346824914265,0.24562928052361122,0.30342094706391787,0.5838560514633329,0.11213287600303301,0.4740684338125358,0.5357291014033563,0.26183446936595933,0.647777746837579,0.6911302495318435,0.22723127781142272,0.45071047016641985,0.17515478164509668,0.13573815207842876,0.24929916595043455,0.5458150210622154,0.505649141507902,0.480544009403453,0.5055017312893924,0.8632544247131267,0.050122456380168545,0.19551783967182412,0.730503674234654,0.84946859031806,0.4587649417618672,0.23619011391222489,0.5100941454807388,0.041891224473253,0.8317905088052517,0.09586184796959507,0.24701398799774188,0.8504968978604428,0.7316351301418695,0.921867892345136,0.401065482598321,0.8866857399310552,0.41018495298657076,0.6277462393564439,0.13629830738838444,0.2298797867001614,0.707489524700238,0.7485914047537858,0.26952104584180325,0.6675622101969343,0.6641948438532685,0.3179497513113595,0.9220188612749374,0.18689898780918035,0.26075193234998895,0.15461125944619303,0.24465176218582807,0.7149974940662686,0.01711511504117491,0.6919726652436251,0.6677139287377534,0.7958879510870028,0.9480027290955083,0.8310799112463308,0.9197678404785081,0.39304129700151824,0.326734463494477,0.7719215269091158,0.016565386252537784,0.556434282821149,0.8327848090752734,0.42889706178025044,0.24833662975180915,0.6916814823349062,0.5828120930034685,0.8475298936440221,0.06317289687120475,0.841683824556494,0.045758671652690874,0.8080560289424401,0.8723377490470373,0.8619778100147689,0.9159556958700574,0.5236292319020767,0.6330062072762689,0.9580301182558363,0.19245230809259684,0.7664966928194638,0.8899962537883608,0.6760033089283822,0.34345608555120444,0.23634954521524087,0.834091374327274,0.3724700906554127,0.43323054939607264,0.16480344964053828,0.44864579879107325,0.6105565844261875,0.8009543159799364,0.8171280487261963,0.9626528496070523,0.8050036530600021,0.21131992549937184,0.3685569381735747,0.2878671317397953,0.6505995751117098,0.669599050889121,0.7936272486544447,0.24544344767735782,0.23640619269932184,0.9316433459896983,0.3174583212622404,0.03254711953981737,0.4050172268192055,0.13748495914793513,0.10442441203841524,0.8507110635108139,0.5779939657800096,0.060863365032044925,0.480443824889603,0.2957639466817428,0.9402296529344221,0.9292808883882633,0.41165739251410316,0.32078647859397025,0.9788707738667431,0.9697613843153798,0.6039725938790834,0.6659049662987614,0.5777217083005183,0.29567115648911546,0.7985278606570834,0.6893897192328298,0.19083161602886367,0.26976565547986275,0.8330659786169794,0.5720205861062203,0.018458216753486134,0.7368595969607159,0.9087083444028119,0.13397821521849052,0.14956448661034094,0.6423546152398346,0.23781265970084964,0.7557896012711505,0.26268681054453635,0.024826400285986927,0.16650170739903014,0.8790757266804098,0.5781871377601525,0.9208656024379771,0.23239388580550613,0.12356289760365724,0.1048247588386565,0.304701550507249,0.7847977843097087,0.8967553332933729,0.49061528222482287,0.7696935267375861,0.22901798681762464,0.44966359175651627,0.03873394664578156,0.7939174168033605,0.8387488719902494,0.7853336445206615,0.5318891866775709,0.9478510822284639,0.26223510631225644,0.958786098522194,0.5396635942013648,0.6020485697923672,0.09509857624807216,0.6336019574065913,0.8783210828280634,0.7170130655357262,0.7893584138151711,0.6842306872479976,0.39111262426316096,0.7514404703233641,0.15441238056339446,0.3520420521622756,0.3111284501086653,0.11837823693684435,0.2739650381417704,0.5176039105731062,0.5718789251533289,0.8702830073798069,0.6454787794822876,0.6225034795766944,0.25608888690629994,0.3930743595591203,0.6074536536011873,0.8029236691985976,0.40418622798454407,0.10470462694155147,0.9646328051202482,0.7514129577636535,0.32119321675328305,0.4314259002786398,0.7312283727310792,0.5456013726412409,0.8737382549590456,0.1963821733012111,0.7027279792047272,0.36170107215971803,0.7467718603309995,0.566163203662242,0.6299640197209286,0.9157518026250585,0.6306856055411014,0.9064429972440687,0.434661694735896,0.47354049486725813,0.2988112802564923,0.31660744387070183,0.9819433895994953,0.2475767743345405,0.05235825685716511,0.35584106724634856,0.03605350543955421,0.16034884045949938,0.6260637846587651,0.6553878740063805,0.31797173425926617,0.7164840441726084,0.8724370794811094,0.12777631157348557,0.7488749702140702,0.09307879132140984,0.6280426304552467,0.5580238611176931,0.18638528922847286,0.7634379573056956,0.5329787004965874,0.3889514237281013,0.820560634897844,0.26899829615165294,0.37563318561771086,0.037602937236190015,0.6871076359167251,0.2814356702942661,0.7088193258460235,0.4736733856416909,0.01255025701388035,0.7272084431108232,0.2749505541823958,0.19768715283286153,0.5147833116630112,0.8731116156874306,0.6470470874493022,0.3798078325540113,0.12008743134235822,0.7683775256627813,0.1938906391574038,0.1929215793855219,0.7165875650679846,0.1857122705656008,0.334018814376845,0.4177137436482701,0.10612563033922673,0.017414286521249545,0.9438169164698376,0.7029031896008835,0.5223787055509019,0.6516242974357771,0.9529342711943963,0.6597787106015576,0.8796014036461511,0.7141879051022919,0.8126842735736806,0.7565137994610608,0.9161279626575738,0.34616329961641856,0.5673821910315322,0.39614008797768185,0.02150023188624306,0.5668843007084517,0.9805877697117514,0.5545686338830833,0.854201842454651,0.9802600001586288,0.6987274905224564,0.1328069135222898,0.5296418572138869,0.8900751748541086,0.47908714528954166,0.22300002713346623,0.8125850824315155,0.3412800544541926],"y":[0.8566783113977489,0.88607823634214,0.36624929370737,0.6178138635962221,0.7057090014396349,0.742225810750436,0.04696559813665013,0.22915951915336774,0.5085631505751297,0.8906977671269989,0.481564050611509,0.25051960458393396,0.11309477367659393,0.21223120092754322,0.8172771140091766,0.8237900261218812,0.8278320426048992,0.646804631355766,0.9993927312754277,0.20053439748589652,0.7762649551599781,0.7334403168955163,0.6287779670857334,0.48127376578166514,0.979438541913465,0.9266229720320301,0.6584467442330112,0.8352531277862577,0.06722072999525508,0.040064703127962176,0.8521455631033353,0.21005160194196615,0.64125179757059,0.8707800568889739,0.052799800819633536,0.8741861842805446,0.6292248335710554,0.143854768805047,0.5659922922968517,0.17591202070350798,0.44293282219902297,0.49593307667790487,0.39798732982950713,0.6197127329684949,0.1293354544274461,0.6790454365978049,0.8494386038800823,0.49196391701008935,0.6028912998922147,0.23984656167786111,0.37389255148863054,0.2970720746214863,0.6879059393091497,0.9948800168254606,0.3305426156644178,0.7104173163205927,0.7168827800869265,0.39983723493864065,0.8666667643905782,0.7146378571880659,0.23665225810371293,0.543660739703512,0.3896329793817519,0.3349675497526612,0.9328771354275401,0.20115643387852622,0.8396674838448572,0.40225181813887223,0.020280425721001083,0.04176124238698675,0.8660044795039266,0.5795979938592395,0.47882535439607943,0.23003015177275576,0.5232666903469525,0.8715854768650115,0.9736598600725777,0.2092025098801218,0.5514911519434169,0.8896771133748376,0.8301321106306393,0.9146450855829318,0.9030835628763246,0.6796649320182963,0.213206124403728,0.6189344149624836,0.2511528214365738,0.5800466978619255,0.15027018311019635,0.18279483530451668,0.916888420574377,0.6714664741501756,0.46553543164747224,0.19815827913560025,0.12273241703045978,0.5793019981259887,0.9602542354581501,0.8015450096615856,0.06318409572591455,0.21995696145082355,0.7153911254531938,0.2965177244567505,0.7962587875191188,0.26322141751681516,0.8091841074138507,0.8792328284385821,0.6065808953580596,0.27429602990452495,0.9609547100812028,0.192989676516913,0.19607798156967093,0.13176652910000497,0.32178780425748765,0.6110268856660833,0.553797000680141,0.36416670093861936,0.9931955480661508,0.08827420568427446,0.06747344366467345,0.3284936131626257,0.772465580022935,0.28307711704270944,0.6275746482849324,0.6873760694748078,0.8550637648972039,0.754644027245351,0.05604274902662709,0.5276859941021982,0.1997597473274455,0.5778345974972593,0.09903542845557156,0.25520636126642027,0.685254543869398,0.24500107621417144,0.7193045846201775,0.20640386119545173,0.014669126626944418,0.8846575189545904,0.6533821742280305,0.2619616299251749,0.9967165896126045,0.32891863408611155,0.5790257935231733,0.3272145461073527,0.65477587928683,0.05208307173315474,0.30989171486066713,0.5702450253639803,0.7301855938970424,0.11939552605089998,0.5826989384432067,0.9315082438594933,0.6932390949749709,0.1832942221622781,0.08567349741232899,0.19302336217788685,0.0961781528985135,0.6613842653428318,0.8950460502106746,0.9736598068373173,0.7180877939578822,0.5278785946728178,0.7413408971907797,0.3548542891062789,0.05702447180997916,0.7711287084285432,0.05614216833331365,0.0733047787490061,0.9468384583057415,0.47707036861093977,0.3336823228186716,0.5371837135190266,0.011503838933884736,0.9028725785277631,0.6176101417409616,0.2346665323397571,0.8864141826531982,0.05100410854945436,0.14683617980912977,0.19737631052618387,0.6343541553635399,0.0332827499146795,0.6055403018545035,0.924569054671693,0.565034187090756,0.9072397200682301,0.05782643200695459,0.44354162243537343,0.319171055387769,0.3068682517059207,0.6241425343671521,0.4666042558930086,0.007513772554378018,0.7823691852299677,0.3941962603962419,0.9724582484806616,0.7655493742082179,0.36879239982318435,0.22649211274756598,0.9891959509930174,0.6503048134871671,0.0406236038486657,0.9936453627538542,0.3991210343982423,0.412066341788892,0.21085524901313113,0.5145896693864075,0.05527232479130495,0.28982030223772537,0.6651196376384919,0.8154051764426823,0.7666325841952686,0.9184733705515586,0.8158047537525153,0.8673315408405405,0.06355293404690854,0.159024695577905,0.18401475109746845,0.067751548809317,0.2840092623577576,0.4200752041761674,0.7323049615603037,0.37672170901867075,0.30474458325063813,0.08377102596280284,0.9948495102529568,0.6458685300087218,0.9869790699047115,0.8906454091578708,0.32122221879348156,0.12141022907703658,0.30075458976049074,0.9134032717791751,0.5139721025093945,0.10552862308533639,0.3737309966671497,0.29184610339541706,0.02118510293383602,0.16778863310718073,0.08847126437791353,0.14927891541193838,0.6404416488463155,0.32065121334109603,0.4851566139004587,0.8944644039279046,0.9012290097071739,0.2183653326153706,0.37309668121141015,0.1835288696323787,0.9983203942891389,0.9364302950353264,0.7135929328456502,0.2931311018069058,0.02986498543601568,0.17883960484071937,0.9314086587178902,0.12431231005537013,0.22534167861593302,0.13202930458051665,0.7468916401359073,0.4230684608352818,0.5832141152631323,0.9239671558973588,0.6601085358307972,0.5986693041348017,0.3475914781753565,0.5031907138567354,0.9541863259828808,0.1847902905936064,0.7132470788148586,0.9639720524038518,0.09116041359785665,0.5358343068814229,0.8375611664475828,0.43304729915096507,0.4161045503786517,0.37423064991533883,0.1453315491166416,0.8482781565984056,0.14878909777000282,0.7961673774187767,0.7915943000810535,0.8769102039914094,0.9633110928365085,0.4939619482007245,0.09594589419065558,0.4233112688652817,0.7504879934397998,0.9094221544973935,0.429672006583113,0.427448334780101,0.7572235330576819,0.14263687573514794,0.7731663643484857,0.23096709769958146,0.37780829318330766,0.3109189030480052,0.982561945689321,0.29415920759772074,0.5615221571850129,0.3048411584832008,0.07825554617041619,0.6760857267334387,0.03099590610931946,0.09213602717996605,0.5655445470797394,0.005225772335378909,0.10073708201430309,0.6868851866571438,0.9048523993441546,0.6417960976248102,0.43046435998220833,0.932336395725233,0.5265045538619946,0.31272486350424333,0.4225904108991909,0.6273234573109306,0.33196418418028395,0.12495898951574569,0.4287382974263001,0.2524587278729101,0.3846586519377434,0.4970886183625951,0.20226380551109968,0.7498184089645109,0.5247996753771116,0.06684949293778208,0.885070068879372,0.45810381598839534,0.8590263317554356,0.5470570693251584,0.7990104591458504,0.5223542101645814,0.6444027677554766,0.029152894124473416,0.3086346976191989,0.5303176505032269,0.8217051959254079,0.044462112151747335,0.4720642666279413,0.07236917092181905,0.09508055148743011,0.44632613991831493,0.4922763716018477,0.6592892263688744,0.15077677639726794,0.566837109937355,0.030945816609956545,0.5820121084870762,0.6909035450251042,0.0948902128365261,0.1043268536074794,0.6959069974464859,0.32266230764878834,0.6983222273350116,0.4279840670244629,0.7943865916342895,0.28668250562850117,0.2266968866066459,0.5459880752854315,0.9497106351615019,0.4094340737072447,0.564068230377214,0.19385756228374862,0.012300886598331062,0.42984918341164036,0.3287624021194936,0.5115101890206163,0.7689544281138412,0.4549430168887001,0.1792309304873102,0.2344862843604456,0.06736069507841003,0.9931881313066984,0.7715962508901874,0.23269869323375125,0.8226574175475255,0.3536508294187328,0.325655090757905,0.5181204902867781,0.5114662116129245,0.2497155257327548,0.9876564698474228,0.6635936999363158,0.8798411892699647,0.2500306710553156,0.8344848806055245,0.3479014697265169,0.4049278442826225,0.7050814385001598,0.8027346046665186,0.6871848615466885,0.8178829922447663,0.5848641687984094,0.1483471805400589,0.39318323989428894,0.6805828549355415,0.6751626976830741,0.9754817865453569,0.040458088401256975,0.2992385795935981,0.030351888924871062,0.33077612485026453,0.1606365931033077,0.3870596121012072,0.25402894550163535,0.34323489184295175,0.6936687244512266,0.10216784366117604,0.5282982138145845,0.029486018340441067,0.03451280004887358,0.3313793420888971,0.7202477930264203,0.28267786248439986,0.06617769315586175,0.8815501719910225,0.7487665018590799,0.5029858192577572,0.7502759871718503,0.49447402810012686,0.2076615469273353,0.6735570146217265,0.041421738124572616,0.07068337896731969,0.4712255703655458,0.09898170523592376,0.2177437020667683,0.5960385672952496,0.748557673665195,0.7413557311860107,0.6911434501127633,0.31577348778894976,0.816885011172092,0.950243727595047,0.5777495236942387,0.09666012806588808,0.9422816869214767,0.2490052697636762,0.25987289112965917,0.32588250591753976,0.22379011198146925,0.9806245123210494,0.35422979086131323,0.7669744938060662,0.18722634725290754,0.8709104428903918,0.291409375325147,0.9346924246620139,0.9951380134429018,0.30477383985877216,0.6056702912209755,0.1311831616602921,0.06562211244123961,0.6794114669062882,0.01356145921821239,0.01617864742901476,0.7688993671575932,0.28258638663075974,0.946747146920084,0.3321918202715438,0.7336188400569957,0.05071512327762007,0.6979469445687311,0.5035668769343759,0.7439042317575809,0.10270922540529182,0.7721105647050263,0.308724015021816,0.5538172277961528,0.007484958815772824,0.5273274888813889,0.9300272195006014,0.03016445166234505,0.7240779964695313,0.9948447390677592,0.5868896809060191,0.08667032704151223,0.3896739080884488,0.1322880515065502,0.676133324712162,0.36370653151077637,0.028270529716125425,0.3342284391270385,0.3901575060909549,0.03718459751304504,0.7918161629001169,0.9342871980706674,0.8022076092968111,0.3173342694010993,0.14096146375353613,0.8622145641562304,0.5176668499049667,0.2643823670409571,0.16025357734892354,0.0891293803403066,0.42822621752009027,0.24948851495504132,0.29159434597530964,0.5997557114922019]}},"id":"52762c7e-790b-4b6a-a84f-510fc95a6db5","type":"ColumnDataSource"},{"attributes":{"source":{"id":"e29b9fc6-faca-42e2-9c08-3e7a97815b85","type":"ColumnDataSource"}},"id":"35f38208-2131-468c-8f90-258dd5a455a1","type":"CDSView"},{"attributes":{"args":{"s2":{"id":"e29b9fc6-faca-42e2-9c08-3e7a97815b85","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d1 = cb_obj.data;\n        var d2 = s2.data;\n        d2['x'] = []\n        d2['y'] = []\n        for (i = 0; i < inds.length; i++) {\n            d2['x'].push(d1['x'][inds[i]])\n            d2['y'].push(d1['y'][inds[i]])\n        }\n        s2.change.emit();\n    "},"id":"02408498-0039-4487-aecc-257fa9eaad2f","type":"CustomJS"},{"attributes":{},"id":"ce105526-1bc2-466e-82e1-50742b62473b","type":"BasicTicker"},{"attributes":{"below":[{"id":"68d6f34c-528e-48d8-a5b3-0c0fd93f1d7f","type":"LinearAxis"}],"left":[{"id":"118640de-599b-4a4a-aafe-15d4d3a4cd97","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"68d6f34c-528e-48d8-a5b3-0c0fd93f1d7f","type":"LinearAxis"},{"id":"e691eb6a-d4f5-4f0d-a04e-140fefa65bfa","type":"Grid"},{"id":"118640de-599b-4a4a-aafe-15d4d3a4cd97","type":"LinearAxis"},{"id":"8788b56d-2781-4495-be15-9309f512e5ac","type":"Grid"},{"id":"307d7b2e-6229-4530-a930-9c53ca759186","type":"GlyphRenderer"}],"title":{"id":"aa021de6-5de7-48c5-8138-49d6a82659de","type":"Title"},"toolbar":{"id":"d9171b10-2479-420d-a934-a4b2c0bd62c8","type":"Toolbar"},"x_range":{"id":"7131e3f7-e080-48b6-8210-3929e3de392c","type":"Range1d"},"x_scale":{"id":"0f35e318-6a99-4bac-8e4e-728d7e994ff3","type":"LinearScale"},"y_range":{"id":"eddaac2f-8f1b-40dc-9072-e707c5d8e888","type":"Range1d"},"y_scale":{"id":"ec30e271-8459-4aca-9f96-7bf4a3ba4190","type":"LinearScale"}},"id":"cb7e4545-f692-424a-a39d-99a49b653ddd","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[],"y":[]}},"id":"e29b9fc6-faca-42e2-9c08-3e7a97815b85","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"62f1de56-bcb6-4345-9de2-93d586234c72","type":"Circle"},{"attributes":{},"id":"8a1966ee-97cf-44ee-ad09-2ba56a3ba961","type":"BasicTicker"},{"attributes":{"below":[{"id":"9a197217-cb39-4eab-9459-6f5f75b88097","type":"LinearAxis"}],"left":[{"id":"a2c2a58c-e90d-47f4-9cd5-69b31953dda6","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9a197217-cb39-4eab-9459-6f5f75b88097","type":"LinearAxis"},{"id":"bc0d9198-4391-49bf-bfde-370917277f1c","type":"Grid"},{"id":"a2c2a58c-e90d-47f4-9cd5-69b31953dda6","type":"LinearAxis"},{"id":"5c13b751-bbc0-49b0-883d-02a449fb2e7a","type":"Grid"},{"id":"8064b70b-208b-46a4-9450-8c4e97f86c5e","type":"PolyAnnotation"},{"id":"a208397a-3666-4293-ad49-daf20b041765","type":"GlyphRenderer"}],"title":{"id":"55a6c1ec-6ebc-424a-8ff5-cb57785f2d51","type":"Title"},"toolbar":{"id":"2c9edb59-8301-4431-8852-06d92d41070c","type":"Toolbar"},"x_range":{"id":"cdb6933f-3f0c-4c0d-9982-49d6747c7632","type":"DataRange1d"},"x_scale":{"id":"97b0cc8f-01dc-4789-8bac-a43d94e0fe07","type":"LinearScale"},"y_range":{"id":"f8277553-e475-4882-8327-b88ee67852f1","type":"DataRange1d"},"y_scale":{"id":"438c5f9f-d76e-4793-a242-cb7164f0c5b6","type":"LinearScale"}},"id":"5e76bb5a-1633-46ee-b2e2-cdef996486a1","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"52762c7e-790b-4b6a-a84f-510fc95a6db5","type":"ColumnDataSource"},"glyph":{"id":"fddf23a1-4d38-49d4-a41f-45aa7e786ac5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"62f1de56-bcb6-4345-9de2-93d586234c72","type":"Circle"},"selection_glyph":null,"view":{"id":"935de9f2-2f50-4b75-823d-bc421bf57567","type":"CDSView"}},"id":"a208397a-3666-4293-ad49-daf20b041765","type":"GlyphRenderer"},{"attributes":{"source":{"id":"52762c7e-790b-4b6a-a84f-510fc95a6db5","type":"ColumnDataSource"}},"id":"935de9f2-2f50-4b75-823d-bc421bf57567","type":"CDSView"},{"attributes":{"formatter":{"id":"6d397f62-4a2c-4dcb-86fb-00f06dede6bf","type":"BasicTickFormatter"},"plot":{"id":"5e76bb5a-1633-46ee-b2e2-cdef996486a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce105526-1bc2-466e-82e1-50742b62473b","type":"BasicTicker"}},"id":"9a197217-cb39-4eab-9459-6f5f75b88097","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Watch Here"},"id":"aa021de6-5de7-48c5-8138-49d6a82659de","type":"Title"},{"attributes":{"plot":null,"text":"Select Here"},"id":"55a6c1ec-6ebc-424a-8ff5-cb57785f2d51","type":"Title"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a90709db-7ec6-4e5f-9f0e-a5e9e3a88536","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"5e76bb5a-1633-46ee-b2e2-cdef996486a1","subtype":"Figure","type":"Plot"},"ticker":{"id":"83e5ac5c-6a5c-455c-b1f8-be63a081d841","type":"BasicTicker"}},"id":"5c13b751-bbc0-49b0-883d-02a449fb2e7a","type":"Grid"},{"attributes":{"callback":null},"id":"7131e3f7-e080-48b6-8210-3929e3de392c","type":"Range1d"},{"attributes":{},"id":"ec30e271-8459-4aca-9f96-7bf4a3ba4190","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a4538e8c-fb87-4d58-ba45-cbef7207a284","type":"LassoSelectTool"}]},"id":"2c9edb59-8301-4431-8852-06d92d41070c","type":"Toolbar"},{"attributes":{"formatter":{"id":"be7fb7f7-d677-4780-8406-85c39f19a6dd","type":"BasicTickFormatter"},"plot":{"id":"cb7e4545-f692-424a-a39d-99a49b653ddd","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c9b7744-01c8-46e2-8820-712921ae714b","type":"BasicTicker"}},"id":"118640de-599b-4a4a-aafe-15d4d3a4cd97","type":"LinearAxis"},{"attributes":{},"id":"83e5ac5c-6a5c-455c-b1f8-be63a081d841","type":"BasicTicker"},{"attributes":{},"id":"438c5f9f-d76e-4793-a242-cb7164f0c5b6","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"8064b70b-208b-46a4-9450-8c4e97f86c5e","type":"PolyAnnotation"}},"id":"a4538e8c-fb87-4d58-ba45-cbef7207a284","type":"LassoSelectTool"}],"root_ids":["fe4c47ee-96d0-4086-838f-48497b3c1dd4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"feae0290-f56d-4404-9717-81d2a7df191f","elementid":"90447d7c-1a33-4ebc-b089-f8fc2e3c8132","modelid":"fe4c47ee-96d0-4086-838f-48497b3c1dd4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
