(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1f84e11e-c629-4cff-aeb3-dd4962ffdfec");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1f84e11e-c629-4cff-aeb3-dd4962ffdfec' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3edcb71c-8025-48b4-a416-5c90ae68d6b0":{"roots":{"references":[{"attributes":{},"id":"ca1b1e47-04d1-41a9-8a28-e22bef3554e4","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","ym"],"data":{"x":[0,1],"ym":[0.5,0.5]}},"id":"55a92a25-9d63-44ca-a5cd-22d37bd9391b","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"374c0f74-98d0-450a-9821-72ab4cb544ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4e60315-e1dc-4a6e-a0f3-c9ebc2f01258","type":"BasicTicker"}},"id":"5c07c665-d720-4bae-b4b6-c147bd974986","type":"Grid"},{"attributes":{},"id":"b5c5d527-e5cd-48c2-80ee-f9f704acb7d5","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"ca1b1e47-04d1-41a9-8a28-e22bef3554e4","type":"BasicTickFormatter"},"plot":{"id":"374c0f74-98d0-450a-9821-72ab4cb544ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4e60315-e1dc-4a6e-a0f3-c9ebc2f01258","type":"BasicTicker"}},"id":"56c64bea-9538-4f64-be14-f81a999024ef","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"e01061e5-6779-4a1d-a233-b0514cead5ae","type":"Line"},{"attributes":{"below":[{"id":"57aa2f6b-5618-45c7-a1f4-f4e89bb045c6","type":"LinearAxis"}],"left":[{"id":"56c64bea-9538-4f64-be14-f81a999024ef","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"57aa2f6b-5618-45c7-a1f4-f4e89bb045c6","type":"LinearAxis"},{"id":"fe6dc457-62a3-4570-a325-b52b51095ae6","type":"Grid"},{"id":"56c64bea-9538-4f64-be14-f81a999024ef","type":"LinearAxis"},{"id":"5c07c665-d720-4bae-b4b6-c147bd974986","type":"Grid"},{"id":"d817c411-43bd-47ef-97a6-ee29382730b1","type":"PolyAnnotation"},{"id":"4eb8c602-67f8-4b02-8b4e-04cd2eac03ff","type":"GlyphRenderer"},{"id":"7fe5136b-7aee-4c6b-af46-60a23c84902c","type":"GlyphRenderer"}],"title":{"id":"2a363fd9-347a-4388-be65-5b2697a158c5","type":"Title"},"toolbar":{"id":"dddba593-9308-4f92-be20-833d5728b863","type":"Toolbar"},"x_range":{"id":"8621d209-dde3-44a7-a944-aa9873a4c66a","type":"DataRange1d"},"x_scale":{"id":"4f664ee7-ee40-4b36-9bd9-164a167c7131","type":"LinearScale"},"y_range":{"id":"c92714d2-a485-4f15-9cce-3ffab038b95e","type":"DataRange1d"},"y_scale":{"id":"d74ea0e7-45f1-4b5d-896e-325b36cba90e","type":"LinearScale"}},"id":"374c0f74-98d0-450a-9821-72ab4cb544ce","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4f664ee7-ee40-4b36-9bd9-164a167c7131","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"d817c411-43bd-47ef-97a6-ee29382730b1","type":"PolyAnnotation"},{"attributes":{},"id":"b4e60315-e1dc-4a6e-a0f3-c9ebc2f01258","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Select Here"},"id":"2a363fd9-347a-4388-be65-5b2697a158c5","type":"Title"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"e65822b2-0dd5-4181-986b-dc55f39a55cb","type":"Line"},{"attributes":{"callback":null},"id":"c92714d2-a485-4f15-9cce-3ffab038b95e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"b5c5d527-e5cd-48c2-80ee-f9f704acb7d5","type":"BasicTickFormatter"},"plot":{"id":"374c0f74-98d0-450a-9821-72ab4cb544ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b0b7a03-88d2-4d10-a85f-204462761726","type":"BasicTicker"}},"id":"57aa2f6b-5618-45c7-a1f4-f4e89bb045c6","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"e0c6e127-aad5-4213-8568-80707495f1a8","type":"Circle"},{"attributes":{"callback":null},"id":"8621d209-dde3-44a7-a944-aa9873a4c66a","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"field":"color"},"line_alpha":{"value":0.4},"line_color":{"field":"color"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"bac9f74f-1731-445a-86db-814c3f9e65c1","type":"Circle"},{"attributes":{"data_source":{"id":"55a92a25-9d63-44ca-a5cd-22d37bd9391b","type":"ColumnDataSource"},"glyph":{"id":"e01061e5-6779-4a1d-a233-b0514cead5ae","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e65822b2-0dd5-4181-986b-dc55f39a55cb","type":"Line"},"selection_glyph":null,"view":{"id":"6dd51b88-43f0-4285-96f9-dc5d0898ab93","type":"CDSView"}},"id":"7fe5136b-7aee-4c6b-af46-60a23c84902c","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c72e0664-b411-4178-aa47-4437e7c7ef8e","type":"LassoSelectTool"}]},"id":"dddba593-9308-4f92-be20-833d5728b863","type":"Toolbar"},{"attributes":{"data_source":{"id":"ac2e2d74-cdbe-473f-91b3-e177f43b43f4","type":"ColumnDataSource"},"glyph":{"id":"bac9f74f-1731-445a-86db-814c3f9e65c1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e0c6e127-aad5-4213-8568-80707495f1a8","type":"Circle"},"selection_glyph":null,"view":{"id":"63fa0f17-22e7-4fef-a506-1bd0d4d4ef62","type":"CDSView"}},"id":"4eb8c602-67f8-4b02-8b4e-04cd2eac03ff","type":"GlyphRenderer"},{"attributes":{},"id":"9b0b7a03-88d2-4d10-a85f-204462761726","type":"BasicTicker"},{"attributes":{"source":{"id":"55a92a25-9d63-44ca-a5cd-22d37bd9391b","type":"ColumnDataSource"}},"id":"6dd51b88-43f0-4285-96f9-dc5d0898ab93","type":"CDSView"},{"attributes":{"args":{"s2":{"id":"55a92a25-9d63-44ca-a5cd-22d37bd9391b","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d = cb_obj.data;\n        var ym = 0\n\n        if (inds.length == 0) { return; }\n\n        for (i = 0; i < d['color'].length; i++) {\n            d['color'][i] = \"navy\"\n        }\n        for (i = 0; i < inds.length; i++) {\n            d['color'][inds[i]] = \"firebrick\"\n            ym += d['y'][inds[i]]\n        }\n\n        ym /= inds.length\n        s2.data['ym'] = [ym, ym]\n\n        cb_obj.change.emit();\n        s2.change.emit();\n    "},"id":"30077232-6ab5-4d2f-be39-3fdc81a95dca","type":"CustomJS"},{"attributes":{},"id":"d74ea0e7-45f1-4b5d-896e-325b36cba90e","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"d817c411-43bd-47ef-97a6-ee29382730b1","type":"PolyAnnotation"}},"id":"c72e0664-b411-4178-aa47-4437e7c7ef8e","type":"LassoSelectTool"},{"attributes":{"source":{"id":"ac2e2d74-cdbe-473f-91b3-e177f43b43f4","type":"ColumnDataSource"}},"id":"63fa0f17-22e7-4fef-a506-1bd0d4d4ef62","type":"CDSView"},{"attributes":{"plot":{"id":"374c0f74-98d0-450a-9821-72ab4cb544ce","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b0b7a03-88d2-4d10-a85f-204462761726","type":"BasicTicker"}},"id":"fe6dc457-62a3-4570-a325-b52b51095ae6","type":"Grid"},{"attributes":{"callback":{"id":"30077232-6ab5-4d2f-be39-3fdc81a95dca","type":"CustomJS"},"column_names":["color","y","x"],"data":{"color":["navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy"],"x":[0.9477191645920652,0.3017048081039606,0.02455575914835617,0.23492617017986317,0.30783470074608976,0.3554752437451131,0.015307484538183203,0.80529453893198,0.8685137153035045,0.2960132832554889,0.9373837565125536,0.03565483845858963,0.45112830044518193,0.1042263807985736,0.8687886452285827,0.9854685630573181,0.4557483509663297,0.6508068719965072,0.4763058765895627,0.5792135330333873,0.006971822881890355,0.9075289053733223,0.8753300637798711,0.11166606579068694,0.2790207260891937,0.3683639953888558,0.023109845491855907,0.19554806111546708,0.9270571276475841,0.47772627481065266,0.5971273511576725,0.6287482836392478,0.4450762261032225,0.2928202644199207,0.8207380966876625,0.35394305593653375,0.16515762952262014,0.02721732092268825,0.4213781619648974,0.3307263077035941,0.13339909432010788,0.9146819605130755,0.7309565252504531,0.2459272328463089,0.09758589828093911,0.045471057666572334,0.555994021880137,0.34035966536606466,0.10998871238783259,0.8146436511415688,0.3884965477905621,0.9729822463619763,0.37078800767899733,0.7956407352299684,0.7844928316500472,0.9160364765175019,0.3169941320479164,0.8959287279833099,0.32539449746949833,0.18464540533967544,0.4753959050322458,0.4684456073118759,0.01946474058889902,0.14592430914153331,0.6846653615331997,0.7502154333814952,0.864535574356263,0.4684643995606027,0.3673921242471867,0.7215081153113808,0.16083945182459813,0.49443184469782675,0.8884581352262114,0.9178654525581547,0.8941420219811712,0.5437732241726309,0.6437560864350188,0.8411154147405708,0.7122809680407833,0.016113433329393856,0.1886604224220293,0.9789739653260545,0.3361292874601458,0.5198381422414824,0.9066121574026543,0.49521061365865515,0.8683635383012775,0.8318875862797058,0.7399189900266486,0.9579626427790336,0.6932548960168274,0.4213472924089199,0.7799558832162224,0.8232826501077907,0.03435353988905809,0.5157551764533738,0.611793783297692,0.9947404711606566,0.2516250302188995,0.6839917135449451,0.9216935129501622,0.8698183294611436,0.028597762042911534,0.10707220763458059,0.2533909238411308,0.4857855146238613,0.6266186933711174,0.6726578443943283,0.6515751329669894,0.2235908178721765,0.06532258538710944,0.8108359939771922,0.9217486694900094,0.36515528198596103,0.1763045819747946,0.8366830014259675,0.8411144611742873,0.9338187032798311,0.2707034168237443,0.39160008089096165,0.938145262517349,0.2065336088098194,0.038443735703502346,0.5709979086365483,0.6308244339261067,0.04225857752741691,0.7764678952866857,0.12473652486138642,0.2863163445281244,0.4149255847374559,0.2167045723789076,0.5567779428417119,0.04165569743036479,0.11360187664941235,0.15614609089248455,0.6612850729175436,0.14799589919023548,0.6501095278859367,0.6737600222163997,0.9112518115326669,0.786576620339597,0.5877027663683694,0.7831789388139331,0.6570513961794121,0.24058037416943845,0.9923442011808823,0.8834455237024919,0.22373673000626537,0.2452677254465242,0.5703851824332332,0.55641460147536,0.27468203741098396,0.5392672151709945,0.4006233534204805,0.8400545673470738,0.4688353258838841,0.3593946258596423,0.09875918882614698,0.9644844070866443,0.7390298725777826,0.08115323506653138,0.054667960918886815,0.12263812675225061,0.0396229065638406,0.05310795831202764,0.870345041879355,0.2888270660974728,0.19224712696242108,0.18773254266618056,0.882291360534828,0.013421231510265863,0.013588132328562375,0.7962685136284392,0.8838109536816081,0.9738810243441582,0.7352696731947694,0.26337392279555905,0.9553811844825922,0.5212136319671357,0.753057615076338,0.9078386138957225,0.0237763297408361,0.5034457263515852,0.9084203743593137,0.5906795929001882,0.535359561982406,0.735073548604413,0.3667917698619273,0.08942271903592858,0.4236787032854594,0.7320065895315322,0.11452807874681814,0.23811358062036003,0.9383316185368791,0.12953573980731148,0.6693494467902555,0.06798314821118245,0.3684918978434357,0.16859935128811054,0.9403210973618333,0.21152298046998808,0.981358954821928,0.927548896224271,0.5439734044421237,0.10687339852950506,0.8516098225512156,0.3980613726372476,0.2935943817194685,0.20277048260189356,0.13221541959174,0.03313924280244496,0.825956466369844,0.29830701611423194,0.8964453257090921,0.3124815485313154,0.32126637785595835,0.9267283156948195,0.1792428452753425,0.9066506554189082,0.14334009186148877,0.1053701638665201,0.2985773023814,0.2730734427987094,0.4014826267805205,0.06615509544870168,0.5136098353186933,0.7305079388272527,0.5042131451578239,0.4689762341878032,0.9705943581132201,0.460759028509221,0.6533696813628611,0.1450202861991644,0.32657444034490113,0.46552987991258177,0.9396020672638472,0.2087938227333247,0.2869708151094479,0.4698284513113423,0.5985345535317519,0.3713074873496742,0.31067970695248703,0.7297047943892744,0.058477556026375166,0.7849041637488933,0.1481226288012114,0.4951983366010212,0.9227577456166781,0.15154084424465586,0.5785948748857245,0.2529558436765045,0.5286413306426501,0.8643089019218027,0.4939855543614686,0.2120164423919726,0.5475801481140922,0.11260664051383329,0.5512886572569176,0.2856278949768404,0.6715535644264239,0.9834529558515118,0.5535387449487276,0.6027844151439014,0.8715719312672727,0.0735798099442514,0.20672923826212908,0.00015105090569522694,0.12866553517908774,0.12452222589339057,0.13232983676248,0.9454744960829464,0.33872980661920304,0.9780796396085367,0.30206081624748604,0.9545731613852788,0.2548968859475951,0.17635893278871706,0.7984857627504964,0.5227989597745621,0.4122412280672827,0.13737412774102198,0.2384009663646277,0.1228872186614347,0.7900784542485414,0.9680913545173365,0.37471262787619053,0.3066446299745086,0.5767239951198992,0.5269246611333,0.35706210036197705,0.8187814230425897,0.9044913079080165,0.006667010934671036,0.7086470408398965,0.9940530195708027,0.5276748311104323,0.5868969632473939,0.9520265771204572,0.6723777775899251,0.5641651731016051,0.8690509302741528,0.8176596240234377,0.7852053592735307,0.3706904060231112,0.4722168047169103,0.5358006499546012,0.14579381454238238,0.5329808425408925,0.08591938252959985,0.40662631812289673,0.2499215822814248,0.07440708115334038,0.5957276573517335,0.5750874814832425,0.624913764146494,0.7552118716335868,0.6366824860604982,0.903865434162808,0.4175147423613139,0.06453754213243024,0.28710261901824186,0.7978410514916837,0.4860201627772478,0.11539429372481613,0.9392985709063808,0.07992959364811647,0.6011830591093145,0.37373559662065525,0.3254033567235318,0.9880001382331026,0.13669751494077842,0.8173777530098126,0.04363518146792056,0.19385027041154046,0.2554722510259986,0.5416443865971626,0.6829672855171494,0.8042874804246212,0.3434302905100429,0.6076214253763125,0.5356842227600885,0.8886291993267539,0.45390414467698237,0.5619063885765861,0.43760016967839266,0.6966784558452526,0.7747711542974915,0.9053810319992714,0.1576533859204442,0.32360263825580216,0.17391789363461363,0.4488725385444805,0.20188992959546992,0.586977071868056,0.16618704444029508,0.9837648089546981,0.712067158623879,0.6066240977707457,0.7810712079471245,0.1784088467764101,0.6839962798111604,0.8940811702184689,0.49074265417688345,0.22777333590693094,0.7890649642638103,0.10188613406986946,0.6896063871510276,0.760631548611657,0.42430489482080447,0.5597232894712069,0.938492338614406,0.9337522519433926,0.19991323647787806,0.3408150447586228,0.04617496749278316,0.21240225093579057,0.7061168046433621,0.8910746481459906,0.13137814773596435,0.3740867161740832,0.03873041686939205,0.7121693087129626,0.08714460084456643,0.5496350199089551,0.6438689008375228,0.1482558207716983,0.28626384990588205,0.7536333460763986,0.39232715579871746,0.6671411178125616,0.35922643920266795,0.754745881255958,0.280278699298257,0.3105886209610498,0.12970517965635897,0.3151266227863544,0.15742327447112692,0.023240081089416664,0.588540762744028,0.8234278531241879,0.6937025503348434,0.8440054868293277,0.22376342067613664,0.15991694683671664,0.6517676270765319,0.16624387601603408,0.4869875189305495,0.37765026587551964,0.5922505901281705,0.0745686772081916,0.2297169362044862,0.2617807406977982,0.08904411352657504,0.4443697361881944,0.86972283129432,0.09354186424458166,0.6442508334364503,0.3785451506869889,0.8487715618329693,0.3636974168936139,0.831665057759585,0.016317049777072712,0.26959200417825435,0.27512000074736465,0.8680875769596128,0.6402743733648206,0.8730728255943017,0.5981427588797784,0.14026744447908523,0.3955946088053456,0.11251926752012686,0.0751524753012841,0.3112898486165683,0.1153064830577889,0.4906577420156921,0.6273851807308557,0.5727228275154136,0.609135249171147,0.3770209311082007,0.9026514609378636,0.8512813262534877,0.46400540634677656,0.7661753177102225,0.021659812107450382,0.5860299120173594,0.03719324494518961,0.43759694489720147,0.39049165666083263,0.15173044096284571,0.3994702089072406,0.4455668289050657,0.7385209694759605,0.6447903083499706,0.9574539406171755,0.674914537851239,0.3294719917462283,0.45886794858881197,0.3215618268121718,0.5400016993690273,0.6731471279439989,0.2580976277857746,0.7283361904306129,0.6927658996464324,0.9122218249544487,0.9614795580181781,0.3713635978305514,0.9958112473504287,0.6664574081963045,0.871338782879522,0.6951514344991642,0.109831678622196,0.14739152635164654,0.42247109779418346,0.22580270130328794,0.43205619399485984,0.6777402368825955,0.5053211507653989,0.9418694975688101,0.5655222665997329,0.7148039263495529,0.8699520835031903,0.42496604093558654,0.3271010546429868,0.28830145188477285,0.745455675607154,0.5234864839838534,0.4885314362932732,0.0024024646945008943,0.9067995063068456,0.5540147544335107,0.003046486882052335,0.5224397601899792,0.38466575524253765,0.22575729112845255,0.6688930010122628,0.4781167720299534,0.5283131151266031,0.8292085245645257,0.971444279726439,0.31686227065962536],"y":[0.05451091126668395,0.4948658814973038,0.14664247729873248,0.5362457702193206,0.16013969808766038,0.5361167384723203,0.051222996641658636,0.3564796158792165,0.8754258937909896,0.4369416480430097,0.3691970022709389,0.5006726791662859,0.6828661166434293,0.2665337631261956,0.41769035045567904,0.1983352378892267,0.42241457363392587,0.9969710654847366,0.4568731103629775,0.38828674508948335,0.5615565056157348,0.23009815879826767,0.3993924252180291,0.9077237556076206,0.07797480571854898,0.7832300642959826,0.9370335070725724,0.36724281633077394,0.8580768549083879,0.2802064581782111,0.0026172345150545784,0.36721088309635175,0.9097383149096097,0.6502162737528554,0.4513423088472026,0.34627688996452566,0.6125412155681771,0.5670549125915199,0.7260383181079568,0.673226421874542,0.6475825928581335,0.8344901444789341,0.7155931858965688,0.24802454907914295,0.17250536961733964,0.1315256321652366,0.2825389829246895,0.39965135420876574,0.07709429168112758,0.9180157211388721,0.8150651994251176,0.5488962106108478,0.30543923836226106,0.31453761054281315,0.6776795640242471,0.571433703928689,0.5642672212034167,0.8558142181521635,0.8392976111253065,0.8032706078262044,0.7709275914987502,0.6317092662253303,0.13165028930723766,0.4179248314516214,0.2336943857854955,0.042069365498000555,0.8895067880311156,0.6871506551243289,0.02168755032443037,0.6384737726169666,0.33606884266580406,0.8212007200342765,0.11168610384400135,0.704564475993429,0.2200467615378917,0.036757660987314145,0.021879381929387764,0.177566997099175,0.23722005832578397,0.8345591136676882,0.5802123135405016,0.41521946355308303,0.1867364335171533,0.6184485319760198,0.2258802046645454,0.09312940350005605,0.10639675071657373,0.26519739836193523,0.456951884793651,0.80148160530901,0.8251719360817877,0.10608239333304004,0.7953982577873777,0.4349184134408436,0.6090978692987077,0.8102267745901268,0.20093205248848367,0.7252670161217533,0.4296650398436488,0.8752082937147257,0.8740818016215052,0.8856360237024408,0.021108329291464445,0.48013879859713626,0.9923408571468282,0.11064218631473344,0.5935163094374653,0.5709322160317816,0.18319237702718827,0.7977777142374353,0.43574637612035494,0.5513853627395983,0.14452227471737666,0.36948073382046576,0.17714590510271755,0.6348242642476996,0.07499019910167559,0.38647849284838365,0.8352069324386889,0.733954972260125,0.6819777700301322,0.6709674935303797,0.4023667436207454,0.9391540506277538,0.13420427865894669,0.038497630204720634,0.9897841073188284,0.550330348331432,0.6935108202747232,0.6178152750772978,0.679008606589563,0.6611447007614166,0.19083928102379155,0.23515199119148678,0.7520254951015133,0.12106365665035179,0.20986580453848325,0.7659478501918111,0.9868813905730042,0.5352601684809873,0.7260866253407608,0.1929027510379666,0.7207550218832761,0.05612949812515189,0.11768320032513424,0.04532647713134086,0.6083932158118316,0.80024155509071,0.7754737510271013,0.08466078418331169,0.15273331702869075,0.8260621950779212,0.9387987138261201,0.6701499372859724,0.1394757430472443,0.9514360081713283,0.9295735175754328,0.5489700147267952,0.31928926575213057,0.6040516369317555,0.3492099837210243,0.07995067724119287,0.3987835463481405,0.4863209163154658,0.063243970466768,0.7005103436598981,0.7953221910543421,0.4007522076572072,0.6199892936954253,0.4019485075906939,0.5069457398928203,0.3709166591795642,0.6758745191359633,0.37118459529176084,0.06413755680023359,0.3802145866445247,0.9105648114473497,0.9284428620993594,0.01049053480902884,0.567864081673125,0.6294648506618971,0.25182857328966957,0.11614805535887729,0.31647413312416484,0.006080474530884561,0.3315435126810127,0.013179564010673661,0.8282521117287679,0.7047253795539634,0.2202449771666991,0.331774093894881,0.8035248909186061,0.6331163617312027,0.13158384337744078,0.6379920984955466,0.1656773905817316,0.7951719707569513,0.7890934276804467,0.7964321988016455,0.8785505254344611,0.9136518715312112,0.3034385252627321,0.20938678463659532,0.7997162099390998,0.7816217299257306,0.08499243477768625,0.8402195896723458,0.6941339891994127,0.6519300171551541,0.3443860185101404,0.3822623495873566,0.37265043258253205,0.6793428752271286,0.18120054711743594,0.7569140059959687,0.417067859415168,0.1948683016718925,0.9223146659102085,0.09586403619277761,0.17885994082246603,0.2175254543623134,0.26435729623914417,0.47590298181923985,0.9974943116214251,0.4504110924183432,0.023550329727149766,0.6652657960326005,0.6544273676725634,0.9101213247569857,0.3181886648569193,0.1629460829260917,0.40617509598694335,0.8334646737228433,0.7284733459963544,0.12881640575355358,0.1880667950826692,0.14025598922869909,0.352458381184647,0.06004077334181113,0.35581812432276827,0.0757695955376314,0.31518804131230416,0.7611211003196672,0.40943539051661026,0.18467757090839376,0.351794830037937,0.41487371818553165,0.8789572221788227,0.49611616367093536,0.25469182372224397,0.4913451474807654,0.014159983643331153,0.46410534487198063,0.9304332664793611,0.5292313235593494,0.508148750420569,0.46977281567052154,0.15606085384834945,0.37568974299825164,0.02551898959335075,0.9232707968417746,0.5140554944273185,0.1299618881235669,0.1369848921433927,0.3414204844210792,0.7343367733575316,0.8757654391602407,0.6823176490545207,0.38810048984162626,0.008890282885221645,0.23976709257268902,0.43639252251990945,0.052494216288488604,0.8911868691611609,0.0773655444149709,0.04346716706107956,0.4086255452976334,0.6455860803231271,0.9782954035100044,0.8671254817750753,0.8794207589122256,0.8777418907186992,0.09170269285805532,0.8372542257603959,0.4755236525375518,0.1458057063840411,0.42541821679384295,0.013044507720900933,0.5844158534686719,0.26249130526930964,0.4007694981860316,0.3628081782745235,0.5642056796597208,0.6252721318141622,0.449552144496975,0.5476367754317062,0.7893458056290829,0.7581043270045662,0.620369351369797,0.8446597188764292,0.7574714470993399,0.11422661791136268,0.5013508661916298,0.768113456991092,0.85773784925952,0.7884363556906194,0.4131860898449258,0.9193408635403167,0.36150374124530305,0.10057454133836818,0.4140320004249628,0.3670358882826521,0.5273547595874941,0.4288928813427182,0.4369358205962147,0.24167808220396703,0.904853972565602,0.19163993995369155,0.03258757448698757,0.39377695600401585,0.818918876348907,0.7459048558095024,0.31987078788630996,0.7041421085317836,0.1122732502095235,0.8644300209064053,0.4059086895414681,0.997760824245008,0.24626122895281022,0.07614666528018754,0.14108964745029773,0.5914635465794471,0.6631792492297479,0.8284890812432795,0.8051401907961314,0.9742160964822433,0.279134368357456,0.546600734362694,0.5726732859275127,0.8844950897908184,0.443613782132411,0.28383896080549176,0.12868244014427366,0.8078513425339918,0.6438039319957639,0.34363540880271626,0.018176558022548917,0.26527185839760004,0.16272813733618652,0.35352985613363896,0.3970887282838723,0.043843823232247,0.38572406434851425,0.7133810440245713,0.19497061116552972,0.6236562886029239,0.4225542863278374,0.17644520430114663,0.1490414490100348,0.10977470571270254,0.22781754847369184,0.16378395983116967,0.27312361805161645,0.599155131791112,0.2653995435222891,0.24841835712813076,0.6268199449412443,0.47719107666887617,0.9834820091910064,0.04929443730666172,0.9648377944226285,0.633366250647387,0.6333175469340627,0.33508299702690514,0.8484837009045536,0.5299099139471217,0.41123407501276144,0.3001084026633062,0.98010327043668,0.3129046761321438,0.8342623148341716,0.4407050214034789,0.19591152461546002,0.9962454887674095,0.7182451976116445,0.6889057129582434,0.8747125175706124,0.6847481093923573,0.01877861731022956,0.2983481273491698,0.7552668827719686,0.6120086505793796,0.40487318422311114,0.09064312529774343,0.7418593885207158,0.45591647476825725,0.4738803084644909,0.21275971132102478,0.7021786826079001,0.7550656961462008,0.7447571856959817,0.0453696209971135,0.3947504217370418,0.6719124293634552,0.4179264554352081,0.8359883623846779,0.253861905329661,0.4686403071467756,0.12822862898987264,0.41060247935999605,0.4014727873296914,0.2603118075341494,0.2681369161925903,0.6386565420010023,0.6715645321518184,0.16487104170292266,0.9039101822389137,0.38754621216307816,0.43140808127181707,0.9688652395050089,0.12374853740395153,0.7366259037646756,0.5667217324590357,0.2284171787259046,0.5445383216536281,0.14692068421287985,0.28155397668677573,0.6020165932275865,0.6429643484042408,0.09190189743259292,0.2890602392685838,0.1619508410214887,0.9811603028219829,0.4571482323977446,0.5009613468314147,0.4701039471231456,0.6931944631672231,0.45701848387195065,0.7606318602327585,0.7317239289618223,0.5614543646178548,0.7487614125204072,0.0657403723423009,0.04132247518732346,0.560872735235138,0.6304132393995078,0.7767395032969003,0.12685022193255635,0.11705346841657072,0.11696735796841173,0.17560482979898184,0.049279803856383975,0.10065895509208078,0.8479023488459866,0.8169774880207638,0.8554578960189333,0.9416346543659965,0.07972600506303484,0.5593145279469927,0.559368584885526,0.22263706123038451,0.18568112867324438,0.6600763715337071,0.03448815199178745,0.49467002499900015,0.47517866864046165,0.0383520359062024,0.09351741521335089,0.23910279238076004,0.5857937562654945,0.25335727936806607,0.7986081441842078,0.4865271715300361,0.5633730215836091,0.6846635825927009,0.1557993523934713,0.1443274011046325,0.9094455373425321,0.469034401919342,0.9061426957995302,0.3765540772155267,0.03924594743145604,0.6895685845854708,0.259960989558644,0.6844342866092978,0.3457054690144127,0.28289312654273713,0.3669551214390381,0.9491528456897569,0.42695929862943083,0.8569851211898292,0.5144951068927234,0.8957196716161532,0.15441146266553096,0.6538981521190662,0.8287513893486895,0.9930748286994039,0.8458293525539128,0.37319314268602466,0.9074467130284787]}},"id":"ac2e2d74-cdbe-473f-91b3-e177f43b43f4","type":"ColumnDataSource"}],"root_ids":["374c0f74-98d0-450a-9821-72ab4cb544ce"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3edcb71c-8025-48b4-a416-5c90ae68d6b0","elementid":"1f84e11e-c629-4cff-aeb3-dd4962ffdfec","modelid":"374c0f74-98d0-450a-9821-72ab4cb544ce"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
