(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("78a6d705-b7bc-4a20-b6cd-82f130ce9bd2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '78a6d705-b7bc-4a20-b6cd-82f130ce9bd2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"79538b03-f37b-49af-9da3-6ae85772963b":{"roots":{"references":[{"attributes":{"plot":null,"text":"Hover over points"},"id":"ecc4f4cf-17fb-4cf0-8154-20e9a60a674f","type":"Title"},{"attributes":{"source":{"id":"5c7493b8-a25f-4693-9d80-e67ea7d7f441","type":"ColumnDataSource"}},"id":"1a881860-a22c-4dd2-b35b-100db34b29a4","type":"CDSView"},{"attributes":{"args":{"circle":{"id":"5c7493b8-a25f-4693-9d80-e67ea7d7f441","type":"ColumnDataSource"},"segment":{"id":"5acb7c1d-6cef-4ee1-b3db-e3cd06343953","type":"ColumnDataSource"}},"code":"\nvar links = {0: [1, 2], 1: [0, 3, 4], 2: [0, 5], 3: [1, 4], 4: [1, 3], 5: [2, 3, 4]};\nvar data = {'x0': [], 'y0': [], 'x1': [], 'y1': []};\nvar cdata = circle.data;\nvar indices = cb_data.index['1d'].indices;\nfor (i=0; i < indices.length; i++) {\n    ind0 = indices[i]\n    for (j=0; j < links[ind0].length; j++) {\n        ind1 = links[ind0][j];\n        data['x0'].push(cdata.x[ind0]);\n        data['y0'].push(cdata.y[ind0]);\n        data['x1'].push(cdata.x[ind1]);\n        data['y1'].push(cdata.y[ind1]);\n    }\n}\nsegment.data = data;\n"},"id":"abafc665-3f08-45aa-8847-396082a37085","type":"CustomJS"},{"attributes":{},"id":"7a66a86e-33a0-4e88-8dc3-dcdcbf491990","type":"BasicTicker"},{"attributes":{"source":{"id":"5acb7c1d-6cef-4ee1-b3db-e3cd06343953","type":"ColumnDataSource"}},"id":"061097d0-cc2f-45ba-8126-0357bf348fa3","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"28f48a1c-bb71-4f2d-8774-f4edcb68d13d","type":"HoverTool"}]},"id":"e8fa457b-ae31-4e0a-92a0-282a12018e50","type":"Toolbar"},{"attributes":{},"id":"5b4c2693-36eb-4dee-9c59-c7a285daa832","type":"LinearScale"},{"attributes":{"callback":null},"id":"253dc2ce-105a-4a8d-b031-21880cc85710","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"olive"},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"41761894-f0be-4284-b41e-a8d747c1404e","type":"Circle"},{"attributes":{"plot":{"id":"81e7b03d-6321-4437-a6e2-28c876cfb0d8","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a66a86e-33a0-4e88-8dc3-dcdcbf491990","type":"BasicTicker"}},"id":"fbd40262-eafa-4353-9097-181786fdc860","type":"Grid"},{"attributes":{},"id":"3f422d18-016b-4d17-a1ad-880327e996cd","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"c8c1e361-4404-4bef-8165-2332c5914ea4","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"value":"olive"},"line_alpha":{"value":0.4},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"016c24a6-68f0-4137-b214-4ddf9dcca59a","type":"Circle"},{"attributes":{"data_source":{"id":"5c7493b8-a25f-4693-9d80-e67ea7d7f441","type":"ColumnDataSource"},"glyph":{"id":"016c24a6-68f0-4137-b214-4ddf9dcca59a","type":"Circle"},"hover_glyph":{"id":"41761894-f0be-4284-b41e-a8d747c1404e","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"c8c1e361-4404-4bef-8165-2332c5914ea4","type":"Circle"},"selection_glyph":null,"view":{"id":"1a881860-a22c-4dd2-b35b-100db34b29a4","type":"CDSView"}},"id":"65162d4a-2ec0-4af0-93a3-dbf71f83def7","type":"GlyphRenderer"},{"attributes":{"callback":{"id":"abafc665-3f08-45aa-8847-396082a37085","type":"CustomJS"},"renderers":[{"id":"65162d4a-2ec0-4af0-93a3-dbf71f83def7","type":"GlyphRenderer"}],"tooltips":null},"id":"28f48a1c-bb71-4f2d-8774-f4edcb68d13d","type":"HoverTool"},{"attributes":{"formatter":{"id":"245b7cbd-3dd5-46be-8dbb-fee3cb021209","type":"BasicTickFormatter"},"plot":{"id":"81e7b03d-6321-4437-a6e2-28c876cfb0d8","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f422d18-016b-4d17-a1ad-880327e996cd","type":"BasicTicker"}},"id":"c829ea94-2381-4de3-b412-3bc200bfb706","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[],"x1":[],"y0":[],"y1":[]}},"id":"5acb7c1d-6cef-4ee1-b3db-e3cd06343953","type":"ColumnDataSource"},{"attributes":{},"id":"dd1c288b-3bd6-43b9-b079-006585890c0d","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[2,3,5,6,8,7],"y":[6,4,3,8,7,5]}},"id":"5c7493b8-a25f-4693-9d80-e67ea7d7f441","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"81e7b03d-6321-4437-a6e2-28c876cfb0d8","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f422d18-016b-4d17-a1ad-880327e996cd","type":"BasicTicker"}},"id":"5cf10e04-386a-4fee-b724-16df7bd290f9","type":"Grid"},{"attributes":{"below":[{"id":"0c3f7386-9b64-4c4b-a269-a501e9caa7ca","type":"LinearAxis"}],"left":[{"id":"c829ea94-2381-4de3-b412-3bc200bfb706","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0c3f7386-9b64-4c4b-a269-a501e9caa7ca","type":"LinearAxis"},{"id":"fbd40262-eafa-4353-9097-181786fdc860","type":"Grid"},{"id":"c829ea94-2381-4de3-b412-3bc200bfb706","type":"LinearAxis"},{"id":"5cf10e04-386a-4fee-b724-16df7bd290f9","type":"Grid"},{"id":"e4514037-24ab-4d7e-b080-9cadea0f58d0","type":"GlyphRenderer"},{"id":"65162d4a-2ec0-4af0-93a3-dbf71f83def7","type":"GlyphRenderer"}],"title":{"id":"ecc4f4cf-17fb-4cf0-8154-20e9a60a674f","type":"Title"},"toolbar":{"id":"e8fa457b-ae31-4e0a-92a0-282a12018e50","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e5c32ce2-65fa-46dc-a5a2-96b59ba75a05","type":"DataRange1d"},"x_scale":{"id":"5b4c2693-36eb-4dee-9c59-c7a285daa832","type":"LinearScale"},"y_range":{"id":"253dc2ce-105a-4a8d-b031-21880cc85710","type":"DataRange1d"},"y_scale":{"id":"dd1c288b-3bd6-43b9-b079-006585890c0d","type":"LinearScale"}},"id":"81e7b03d-6321-4437-a6e2-28c876cfb0d8","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"olive"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"45398971-021f-4168-909b-3d0fb9ba3e33","type":"Segment"},{"attributes":{},"id":"2fe972ef-6c52-401e-a725-59958482b10e","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"5acb7c1d-6cef-4ee1-b3db-e3cd06343953","type":"ColumnDataSource"},"glyph":{"id":"45398971-021f-4168-909b-3d0fb9ba3e33","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4e6fce37-7316-4aaa-842c-8acf5c49e294","type":"Segment"},"selection_glyph":null,"view":{"id":"061097d0-cc2f-45ba-8126-0357bf348fa3","type":"CDSView"}},"id":"e4514037-24ab-4d7e-b080-9cadea0f58d0","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"2fe972ef-6c52-401e-a725-59958482b10e","type":"BasicTickFormatter"},"plot":{"id":"81e7b03d-6321-4437-a6e2-28c876cfb0d8","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a66a86e-33a0-4e88-8dc3-dcdcbf491990","type":"BasicTicker"}},"id":"0c3f7386-9b64-4c4b-a269-a501e9caa7ca","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"4e6fce37-7316-4aaa-842c-8acf5c49e294","type":"Segment"},{"attributes":{"callback":null},"id":"e5c32ce2-65fa-46dc-a5a2-96b59ba75a05","type":"DataRange1d"},{"attributes":{},"id":"245b7cbd-3dd5-46be-8dbb-fee3cb021209","type":"BasicTickFormatter"}],"root_ids":["81e7b03d-6321-4437-a6e2-28c876cfb0d8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"79538b03-f37b-49af-9da3-6ae85772963b","elementid":"78a6d705-b7bc-4a20-b6cd-82f130ce9bd2","modelid":"81e7b03d-6321-4437-a6e2-28c876cfb0d8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
