(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f069fb45-6064-428c-ba94-789b9afef029");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f069fb45-6064-428c-ba94-789b9afef029' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c8c4519d-d9f5-49ef-a74d-c2b88855dd3d":{"roots":{"references":[{"attributes":{"callback":null},"id":"af6209bd-a1b5-42da-8e1c-f25559664cdc","type":"DataRange1d"},{"attributes":{"data_source":{"id":"56ca8ce7-3ba3-4567-a7f4-775b8bfdaca1","type":"ColumnDataSource"},"glyph":{"id":"286bc31f-6997-4468-aeef-5842aa73e640","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f37aaeeb-a7d8-4d91-a1ca-6d040dcd48ce","type":"Circle"},"selection_glyph":null,"view":{"id":"763868ef-7f00-41b4-8e6e-6443fcb455fd","type":"CDSView"}},"id":"1d5a8faa-0bee-4934-b29e-e2866919e978","type":"GlyphRenderer"},{"attributes":{},"id":"9d6ae07d-9255-4db9-8c9e-09f6bf4afd86","type":"LinearScale"},{"attributes":{"below":[{"id":"eeceb83f-ab05-400f-8130-c2c70fc93f99","type":"LinearAxis"}],"left":[{"id":"b1bbb52b-dbd7-46b9-b93c-a69b9e1168d2","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"eeceb83f-ab05-400f-8130-c2c70fc93f99","type":"LinearAxis"},{"id":"a7153310-5b9c-4629-b70a-1c9d1ace8218","type":"Grid"},{"id":"b1bbb52b-dbd7-46b9-b93c-a69b9e1168d2","type":"LinearAxis"},{"id":"49ca332a-693e-4889-98d1-ad77e363d676","type":"Grid"},{"id":"29ec7b0c-7c24-4422-a4e9-b5c5b92e950d","type":"BoxAnnotation"},{"id":"19e22693-d155-456c-a7d7-f016787e9da0","type":"PolyAnnotation"},{"id":"5afd1ffc-9ad9-4a7d-9b79-18ee96d0bc60","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"35bbb256-ac2b-4c84-95ff-cd148d268d1f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6f497758-497d-484c-8e2f-a2f0a4be06db","type":"DataRange1d"},"x_scale":{"id":"9d6ae07d-9255-4db9-8c9e-09f6bf4afd86","type":"LinearScale"},"y_range":{"id":"2a1b8a2c-db96-4df2-862c-74009c900adc","type":"DataRange1d"},"y_scale":{"id":"a4a72a55-5eae-4fa3-b0ab-a9692c31bd6d","type":"LinearScale"}},"id":"4513a1c4-46cb-4c57-9e91-44f106c5a0dd","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"c39e5233-65a0-47d0-9472-41d4188876fa","type":"LinearAxis"}],"left":[{"id":"0c908e69-d52e-45f1-9816-2a0fc0df4153","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c39e5233-65a0-47d0-9472-41d4188876fa","type":"LinearAxis"},{"id":"22141aad-1ba6-4c28-897b-58f50f1c7012","type":"Grid"},{"id":"0c908e69-d52e-45f1-9816-2a0fc0df4153","type":"LinearAxis"},{"id":"90c7e09c-7345-4441-8ffe-862b1f704c99","type":"Grid"},{"id":"8c590457-fe8d-46a5-9a44-44d99f40f131","type":"BoxAnnotation"},{"id":"3f63fd0e-f576-4339-9af4-3d1fd686a454","type":"PolyAnnotation"},{"id":"1d5a8faa-0bee-4934-b29e-e2866919e978","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"f0a81a41-6825-4e0e-9025-53947dcec5a2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"af6209bd-a1b5-42da-8e1c-f25559664cdc","type":"DataRange1d"},"x_scale":{"id":"965b31b9-7823-4633-94fd-94162de9515c","type":"LinearScale"},"y_range":{"id":"f454cd5b-4024-4b0c-aa5e-c53bf8ab8789","type":"DataRange1d"},"y_scale":{"id":"cd6cbbad-fbb8-4e95-8c0e-d2821a94b1f3","type":"LinearScale"}},"id":"ccbeb694-21c4-4eac-99e9-596d515885a5","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"56ca8ce7-3ba3-4567-a7f4-775b8bfdaca1","type":"ColumnDataSource"}},"id":"cbf77e1a-ce8e-440c-b71e-d13bb7f246d7","type":"CDSView"},{"attributes":{"source":{"id":"56ca8ce7-3ba3-4567-a7f4-775b8bfdaca1","type":"ColumnDataSource"}},"id":"763868ef-7f00-41b4-8e6e-6443fcb455fd","type":"CDSView"},{"attributes":{"formatter":{"id":"0dd5603a-6211-471f-a4a0-c2ff984a0076","type":"BasicTickFormatter"},"plot":{"id":"ccbeb694-21c4-4eac-99e9-596d515885a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"630dce91-6daa-459e-920f-d29f15b6b09b","type":"BasicTicker"}},"id":"c39e5233-65a0-47d0-9472-41d4188876fa","type":"LinearAxis"},{"attributes":{},"id":"c4084163-558f-4371-9631-40f64b7e654b","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"59774667-5334-471d-b155-a984634ec7b0","type":"BoxSelectTool"},{"id":"b2610754-b03c-4c78-b349-d5ed155c5539","type":"LassoSelectTool"},{"id":"e687aee2-3333-4a04-be16-573a55bfddb9","type":"HelpTool"}]},"id":"35bbb256-ac2b-4c84-95ff-cd148d268d1f","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"a7e199af-e4c1-410e-b853-f62f4c504eac","type":"Circle"},{"attributes":{"formatter":{"id":"c4084163-558f-4371-9631-40f64b7e654b","type":"BasicTickFormatter"},"plot":{"id":"4513a1c4-46cb-4c57-9e91-44f106c5a0dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"e1da01b6-3651-4104-a663-14bdaf6c19a3","type":"BasicTicker"}},"id":"eeceb83f-ab05-400f-8130-c2c70fc93f99","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8c590457-fe8d-46a5-9a44-44d99f40f131","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"2a1b8a2c-db96-4df2-862c-74009c900adc","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"3f09b182-28e1-483b-9411-8bfbd35d6bee","type":"Circle"},{"attributes":{},"id":"672ee052-7491-4206-aa20-24f48d3bb1f4","type":"BasicTickFormatter"},{"attributes":{},"id":"fdef46f4-4d1f-4b8d-b144-7c86e6ddd23a","type":"BasicTicker"},{"attributes":{},"id":"e687aee2-3333-4a04-be16-573a55bfddb9","type":"HelpTool"},{"attributes":{"plot":{"id":"4513a1c4-46cb-4c57-9e91-44f106c5a0dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"e1da01b6-3651-4104-a663-14bdaf6c19a3","type":"BasicTicker"}},"id":"a7153310-5b9c-4629-b70a-1c9d1ace8218","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"286bc31f-6997-4468-aeef-5842aa73e640","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"19e22693-d155-456c-a7d7-f016787e9da0","type":"PolyAnnotation"},{"attributes":{},"id":"2f870387-f45a-4dc7-85d1-7a51e234d36a","type":"BasicTicker"},{"attributes":{},"id":"965b31b9-7823-4633-94fd-94162de9515c","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"29ec7b0c-7c24-4422-a4e9-b5c5b92e950d","type":"BoxAnnotation"},"renderers":[{"id":"5afd1ffc-9ad9-4a7d-9b79-18ee96d0bc60","type":"GlyphRenderer"}]},"id":"59774667-5334-471d-b155-a984634ec7b0","type":"BoxSelectTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"59774667-5334-471d-b155-a984634ec7b0","type":"BoxSelectTool"},{"id":"b2610754-b03c-4c78-b349-d5ed155c5539","type":"LassoSelectTool"},{"id":"e687aee2-3333-4a04-be16-573a55bfddb9","type":"HelpTool"},{"id":"096ba179-6c08-41bc-92d2-2d4aa87f42dc","type":"BoxSelectTool"},{"id":"5fac32d1-d77d-4b03-b627-7d5492a88eec","type":"LassoSelectTool"},{"id":"0b50b6a7-434a-4adb-ae22-f20fca996119","type":"HelpTool"}]},"id":"54e5c19b-bacf-48cf-babd-0d917acafd31","type":"ToolbarBox"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"29ec7b0c-7c24-4422-a4e9-b5c5b92e950d","type":"BoxAnnotation"},{"attributes":{"callback":null,"overlay":{"id":"19e22693-d155-456c-a7d7-f016787e9da0","type":"PolyAnnotation"}},"id":"b2610754-b03c-4c78-b349-d5ed155c5539","type":"LassoSelectTool"},{"attributes":{"formatter":{"id":"6d65b281-e234-4797-8a45-6e985358ae32","type":"BasicTickFormatter"},"plot":{"id":"ccbeb694-21c4-4eac-99e9-596d515885a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"2f870387-f45a-4dc7-85d1-7a51e234d36a","type":"BasicTicker"}},"id":"0c908e69-d52e-45f1-9816-2a0fc0df4153","type":"LinearAxis"},{"attributes":{"children":[{"id":"dc609d85-c8e4-4d57-8bfb-8abc20cb67cc","type":"Row"}]},"id":"16fa77ea-9322-40ec-b3ee-175b95301811","type":"Column"},{"attributes":{},"id":"a4a72a55-5eae-4fa3-b0ab-a9692c31bd6d","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"8c590457-fe8d-46a5-9a44-44d99f40f131","type":"BoxAnnotation"},"renderers":[{"id":"1d5a8faa-0bee-4934-b29e-e2866919e978","type":"GlyphRenderer"}]},"id":"096ba179-6c08-41bc-92d2-2d4aa87f42dc","type":"BoxSelectTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"3f63fd0e-f576-4339-9af4-3d1fd686a454","type":"PolyAnnotation"},{"attributes":{},"id":"cd6cbbad-fbb8-4e95-8c0e-d2821a94b1f3","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"f37aaeeb-a7d8-4d91-a1ca-6d040dcd48ce","type":"Circle"},{"attributes":{},"id":"630dce91-6daa-459e-920f-d29f15b6b09b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"ccbeb694-21c4-4eac-99e9-596d515885a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"2f870387-f45a-4dc7-85d1-7a51e234d36a","type":"BasicTicker"}},"id":"90c7e09c-7345-4441-8ffe-862b1f704c99","type":"Grid"},{"attributes":{},"id":"0b50b6a7-434a-4adb-ae22-f20fca996119","type":"HelpTool"},{"attributes":{},"id":"6d65b281-e234-4797-8a45-6e985358ae32","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"4513a1c4-46cb-4c57-9e91-44f106c5a0dd","subtype":"Figure","type":"Plot"},{"id":"ccbeb694-21c4-4eac-99e9-596d515885a5","subtype":"Figure","type":"Plot"}]},"id":"dc609d85-c8e4-4d57-8bfb-8abc20cb67cc","type":"Row"},{"attributes":{"dimension":1,"plot":{"id":"4513a1c4-46cb-4c57-9e91-44f106c5a0dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"fdef46f4-4d1f-4b8d-b144-7c86e6ddd23a","type":"BasicTicker"}},"id":"49ca332a-693e-4889-98d1-ad77e363d676","type":"Grid"},{"attributes":{"callback":null},"id":"f454cd5b-4024-4b0c-aa5e-c53bf8ab8789","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"096ba179-6c08-41bc-92d2-2d4aa87f42dc","type":"BoxSelectTool"},{"id":"5fac32d1-d77d-4b03-b627-7d5492a88eec","type":"LassoSelectTool"},{"id":"0b50b6a7-434a-4adb-ae22-f20fca996119","type":"HelpTool"}]},"id":"f0a81a41-6825-4e0e-9025-53947dcec5a2","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"56ca8ce7-3ba3-4567-a7f4-775b8bfdaca1","type":"ColumnDataSource"},{"attributes":{},"id":"0dd5603a-6211-471f-a4a0-c2ff984a0076","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"3f63fd0e-f576-4339-9af4-3d1fd686a454","type":"PolyAnnotation"}},"id":"5fac32d1-d77d-4b03-b627-7d5492a88eec","type":"LassoSelectTool"},{"attributes":{"plot":{"id":"ccbeb694-21c4-4eac-99e9-596d515885a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"630dce91-6daa-459e-920f-d29f15b6b09b","type":"BasicTicker"}},"id":"22141aad-1ba6-4c28-897b-58f50f1c7012","type":"Grid"},{"attributes":{"data_source":{"id":"56ca8ce7-3ba3-4567-a7f4-775b8bfdaca1","type":"ColumnDataSource"},"glyph":{"id":"3f09b182-28e1-483b-9411-8bfbd35d6bee","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a7e199af-e4c1-410e-b853-f62f4c504eac","type":"Circle"},"selection_glyph":null,"view":{"id":"cbf77e1a-ce8e-440c-b71e-d13bb7f246d7","type":"CDSView"}},"id":"5afd1ffc-9ad9-4a7d-9b79-18ee96d0bc60","type":"GlyphRenderer"},{"attributes":{},"id":"e1da01b6-3651-4104-a663-14bdaf6c19a3","type":"BasicTicker"},{"attributes":{"callback":null},"id":"6f497758-497d-484c-8e2f-a2f0a4be06db","type":"DataRange1d"},{"attributes":{"formatter":{"id":"672ee052-7491-4206-aa20-24f48d3bb1f4","type":"BasicTickFormatter"},"plot":{"id":"4513a1c4-46cb-4c57-9e91-44f106c5a0dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"fdef46f4-4d1f-4b8d-b144-7c86e6ddd23a","type":"BasicTicker"}},"id":"b1bbb52b-dbd7-46b9-b93c-a69b9e1168d2","type":"LinearAxis"},{"attributes":{"children":[{"id":"54e5c19b-bacf-48cf-babd-0d917acafd31","type":"ToolbarBox"},{"id":"16fa77ea-9322-40ec-b3ee-175b95301811","type":"Column"}]},"id":"4034be63-559f-4271-b0a9-701c7adfa073","type":"Column"}],"root_ids":["4034be63-559f-4271-b0a9-701c7adfa073"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c8c4519d-d9f5-49ef-a74d-c2b88855dd3d","elementid":"f069fb45-6064-428c-ba94-789b9afef029","modelid":"4034be63-559f-4271-b0a9-701c7adfa073"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
