(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("077cc147-1145-4d01-bffe-fd2568681ee8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '077cc147-1145-4d01-bffe-fd2568681ee8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a2b2cf18-66e9-411c-ae69-1b98a13bc970":{"roots":{"references":[{"attributes":{},"id":"5bbcf199-7649-45ae-81aa-d0a4f9909801","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"2567dbad-9178-4443-8cb3-83424bcfbf5a","type":"Line"},{"attributes":{"formatter":{"id":"c3d355a1-ddf0-46b5-90aa-a2b1a60f5fbd","type":"BasicTickFormatter"},"plot":{"id":"bd7ab2bd-082e-460e-b971-dd00a1ba3435","subtype":"Figure","type":"Plot"},"ticker":{"id":"65f275eb-0803-4c4d-886e-72f8886a4c29","type":"BasicTicker"}},"id":"82a76fdf-3ce8-4f4e-a433-47635d02620f","type":"LinearAxis"},{"attributes":{},"id":"d5460e9b-3199-4ed0-a129-2ee7aed9b85f","type":"LinearScale"},{"attributes":{},"id":"b6dabb2e-5913-4387-93a9-d2dce1e19c31","type":"LinearScale"},{"attributes":{"data_source":{"id":"60a39b57-f116-444b-8d5b-10131d247ad5","type":"ColumnDataSource"},"glyph":{"id":"27869d09-420d-4511-afa2-a2e38dcb5a3d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0da09742-6fcd-4114-bb15-31ebf3021c52","type":"Circle"},"selection_glyph":null,"view":{"id":"c038db75-36e9-4d2a-b3bf-b37d73e1860f","type":"CDSView"}},"id":"e4ccc3a7-8400-4934-8928-b7aeeab22bf1","type":"GlyphRenderer"},{"attributes":{},"id":"7404b662-a0cd-41b0-a2c9-99a731d30b34","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3af5ea1e-5b72-491d-948a-7791a24dd610","type":"PanTool"},{"id":"0db411d0-0e68-4bbd-9abd-bb18507bd99f","type":"WheelZoomTool"},{"id":"664d1be3-15ec-469d-acc8-312471c3d5f2","type":"BoxZoomTool"},{"id":"f7219abb-cd79-4f95-bd31-5b856be56008","type":"SaveTool"},{"id":"cb2f7c68-d1ff-447c-9488-9dfe873a470a","type":"ResetTool"},{"id":"327e17b4-7cab-400d-8271-7d6cfa0c9c0b","type":"HelpTool"}]},"id":"a22697a5-6d1e-425a-ab6f-6e1a2819f0e4","type":"Toolbar"},{"attributes":{"formatter":{"id":"32ea5e91-ae2e-48e0-a864-0058524c29bb","type":"BasicTickFormatter"},"plot":{"id":"60191e75-9f70-4d46-8894-a515394c9f4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3764df5-d421-41f5-9214-90f17641255f","type":"BasicTicker"}},"id":"ae747892-c6a3-4d19-8ae8-15436c00e9f8","type":"LinearAxis"},{"attributes":{"callback":null},"id":"a1fec1a4-2ce5-40bb-9ad2-79562d071f96","type":"DataRange1d"},{"attributes":{"data_source":{"id":"700739fa-90a2-4979-9965-23b327fc2a4c","type":"ColumnDataSource"},"glyph":{"id":"2567dbad-9178-4443-8cb3-83424bcfbf5a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3c97f37e-83db-435a-9c21-4dc45c98d1b6","type":"Line"},"selection_glyph":null,"view":{"id":"a5675c88-af37-4654-ad02-de9f5fcfaced","type":"CDSView"}},"id":"9301c4c5-d82f-4d36-9e8f-81d7dd866c8c","type":"GlyphRenderer"},{"attributes":{"child":{"id":"bd7ab2bd-082e-460e-b971-dd00a1ba3435","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"0281b21b-c9fa-4a49-a63c-d61ce32c6017","type":"Panel"},{"attributes":{"callback":null,"tabs":[{"id":"0281b21b-c9fa-4a49-a63c-d61ce32c6017","type":"Panel"},{"id":"f6de4b95-c521-4be2-923c-56c722340fd4","type":"Panel"}]},"id":"5ea481a8-a69f-457f-aa93-3f508e474e0d","type":"Tabs"},{"attributes":{},"id":"cb2f7c68-d1ff-447c-9488-9dfe873a470a","type":"ResetTool"},{"attributes":{},"id":"34b7b15d-5f92-4248-9de0-4dde600335da","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0da09742-6fcd-4114-bb15-31ebf3021c52","type":"Circle"},{"attributes":{},"id":"c3d355a1-ddf0-46b5-90aa-a2b1a60f5fbd","type":"BasicTickFormatter"},{"attributes":{},"id":"564429d8-135c-415c-904e-90d8a7ada890","type":"LinearScale"},{"attributes":{},"id":"c3764df5-d421-41f5-9214-90f17641255f","type":"BasicTicker"},{"attributes":{},"id":"65f275eb-0803-4c4d-886e-72f8886a4c29","type":"BasicTicker"},{"attributes":{"plot":{"id":"60191e75-9f70-4d46-8894-a515394c9f4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3764df5-d421-41f5-9214-90f17641255f","type":"BasicTicker"}},"id":"0863552b-fe0c-456c-82fc-ad37c57bfe0b","type":"Grid"},{"attributes":{"below":[{"id":"ae747892-c6a3-4d19-8ae8-15436c00e9f8","type":"LinearAxis"}],"left":[{"id":"f2846a52-79fe-4c20-a574-b2b8505229fd","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"ae747892-c6a3-4d19-8ae8-15436c00e9f8","type":"LinearAxis"},{"id":"0863552b-fe0c-456c-82fc-ad37c57bfe0b","type":"Grid"},{"id":"f2846a52-79fe-4c20-a574-b2b8505229fd","type":"LinearAxis"},{"id":"29b98f7e-0769-40dd-b854-91f9dd597f92","type":"Grid"},{"id":"c7b7e2a7-1061-4bda-8260-363e3a006361","type":"BoxAnnotation"},{"id":"9301c4c5-d82f-4d36-9e8f-81d7dd866c8c","type":"GlyphRenderer"}],"title":{"id":"c3fb7d63-0912-441c-8e59-d41376f1a0d9","type":"Title"},"toolbar":{"id":"a22697a5-6d1e-425a-ab6f-6e1a2819f0e4","type":"Toolbar"},"x_range":{"id":"aef26b62-4f1f-4019-be30-73a60458e4ab","type":"DataRange1d"},"x_scale":{"id":"564429d8-135c-415c-904e-90d8a7ada890","type":"LinearScale"},"y_range":{"id":"75763656-65a1-427a-ba5b-615989f13a83","type":"DataRange1d"},"y_scale":{"id":"b6dabb2e-5913-4387-93a9-d2dce1e19c31","type":"LinearScale"}},"id":"60191e75-9f70-4d46-8894-a515394c9f4a","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c7b7e2a7-1061-4bda-8260-363e3a006361","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"27869d09-420d-4511-afa2-a2e38dcb5a3d","type":"Circle"},{"attributes":{},"id":"981ac5be-c70e-46fe-af25-74f5669d032b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"60191e75-9f70-4d46-8894-a515394c9f4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"981ac5be-c70e-46fe-af25-74f5669d032b","type":"BasicTicker"}},"id":"29b98f7e-0769-40dd-b854-91f9dd597f92","type":"Grid"},{"attributes":{"source":{"id":"700739fa-90a2-4979-9965-23b327fc2a4c","type":"ColumnDataSource"}},"id":"a5675c88-af37-4654-ad02-de9f5fcfaced","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"bd7ab2bd-082e-460e-b971-dd00a1ba3435","subtype":"Figure","type":"Plot"},"ticker":{"id":"65f275eb-0803-4c4d-886e-72f8886a4c29","type":"BasicTicker"}},"id":"5e805ff4-9eb7-48ab-b178-4d7746cc6aca","type":"Grid"},{"attributes":{},"id":"327e17b4-7cab-400d-8271-7d6cfa0c9c0b","type":"HelpTool"},{"attributes":{},"id":"f7219abb-cd79-4f95-bd31-5b856be56008","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1284975f-3244-4cec-9e93-307103667020","type":"PanTool"},{"id":"1e3ec126-e105-4ec0-bc12-c94cbfd1b823","type":"WheelZoomTool"},{"id":"49851143-2293-41e2-8581-bc7f850ac6a2","type":"BoxZoomTool"},{"id":"912a3159-a667-4a93-9b66-146e8d296f6c","type":"SaveTool"},{"id":"7404b662-a0cd-41b0-a2c9-99a731d30b34","type":"ResetTool"},{"id":"34b7b15d-5f92-4248-9de0-4dde600335da","type":"HelpTool"}]},"id":"4b7847c3-040f-455b-b89f-57de31d1b292","type":"Toolbar"},{"attributes":{"formatter":{"id":"a43f9737-0c26-4eae-80ba-78995a9795a4","type":"BasicTickFormatter"},"plot":{"id":"bd7ab2bd-082e-460e-b971-dd00a1ba3435","subtype":"Figure","type":"Plot"},"ticker":{"id":"7df6e4fb-7b13-4ee5-a973-d42dbe2ea2c5","type":"BasicTicker"}},"id":"585ff4d3-c3f8-4e7e-a59d-e1bc71d11aaf","type":"LinearAxis"},{"attributes":{"overlay":{"id":"c7b7e2a7-1061-4bda-8260-363e3a006361","type":"BoxAnnotation"}},"id":"664d1be3-15ec-469d-acc8-312471c3d5f2","type":"BoxZoomTool"},{"attributes":{},"id":"3af5ea1e-5b72-491d-948a-7791a24dd610","type":"PanTool"},{"attributes":{"formatter":{"id":"8495b1b0-d650-4e85-abe8-46fdc063cfa3","type":"BasicTickFormatter"},"plot":{"id":"60191e75-9f70-4d46-8894-a515394c9f4a","subtype":"Figure","type":"Plot"},"ticker":{"id":"981ac5be-c70e-46fe-af25-74f5669d032b","type":"BasicTicker"}},"id":"f2846a52-79fe-4c20-a574-b2b8505229fd","type":"LinearAxis"},{"attributes":{"overlay":{"id":"b5ac1172-655b-4c80-b620-cbc1a84c6b44","type":"BoxAnnotation"}},"id":"49851143-2293-41e2-8581-bc7f850ac6a2","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"585ff4d3-c3f8-4e7e-a59d-e1bc71d11aaf","type":"LinearAxis"}],"left":[{"id":"82a76fdf-3ce8-4f4e-a433-47635d02620f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"585ff4d3-c3f8-4e7e-a59d-e1bc71d11aaf","type":"LinearAxis"},{"id":"fb11b828-3b38-4029-b2b0-3fbb0104ae31","type":"Grid"},{"id":"82a76fdf-3ce8-4f4e-a433-47635d02620f","type":"LinearAxis"},{"id":"5e805ff4-9eb7-48ab-b178-4d7746cc6aca","type":"Grid"},{"id":"b5ac1172-655b-4c80-b620-cbc1a84c6b44","type":"BoxAnnotation"},{"id":"e4ccc3a7-8400-4934-8928-b7aeeab22bf1","type":"GlyphRenderer"}],"title":{"id":"962ff6b2-37ba-4922-b656-bbfe4098d5c7","type":"Title"},"toolbar":{"id":"4b7847c3-040f-455b-b89f-57de31d1b292","type":"Toolbar"},"x_range":{"id":"645b062c-e0a4-46d3-a5d2-29a44c3ca29f","type":"DataRange1d"},"x_scale":{"id":"d5460e9b-3199-4ed0-a129-2ee7aed9b85f","type":"LinearScale"},"y_range":{"id":"a1fec1a4-2ce5-40bb-9ad2-79562d071f96","type":"DataRange1d"},"y_scale":{"id":"5bbcf199-7649-45ae-81aa-d0a4f9909801","type":"LinearScale"}},"id":"bd7ab2bd-082e-460e-b971-dd00a1ba3435","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7df6e4fb-7b13-4ee5-a973-d42dbe2ea2c5","type":"BasicTicker"},{"attributes":{"source":{"id":"60a39b57-f116-444b-8d5b-10131d247ad5","type":"ColumnDataSource"}},"id":"c038db75-36e9-4d2a-b3bf-b37d73e1860f","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"c3fb7d63-0912-441c-8e59-d41376f1a0d9","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"60a39b57-f116-444b-8d5b-10131d247ad5","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"700739fa-90a2-4979-9965-23b327fc2a4c","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"aef26b62-4f1f-4019-be30-73a60458e4ab","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"962ff6b2-37ba-4922-b656-bbfe4098d5c7","type":"Title"},{"attributes":{},"id":"32ea5e91-ae2e-48e0-a864-0058524c29bb","type":"BasicTickFormatter"},{"attributes":{},"id":"1e3ec126-e105-4ec0-bc12-c94cbfd1b823","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b5ac1172-655b-4c80-b620-cbc1a84c6b44","type":"BoxAnnotation"},{"attributes":{},"id":"912a3159-a667-4a93-9b66-146e8d296f6c","type":"SaveTool"},{"attributes":{},"id":"a43f9737-0c26-4eae-80ba-78995a9795a4","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"75763656-65a1-427a-ba5b-615989f13a83","type":"DataRange1d"},{"attributes":{"plot":{"id":"bd7ab2bd-082e-460e-b971-dd00a1ba3435","subtype":"Figure","type":"Plot"},"ticker":{"id":"7df6e4fb-7b13-4ee5-a973-d42dbe2ea2c5","type":"BasicTicker"}},"id":"fb11b828-3b38-4029-b2b0-3fbb0104ae31","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"3c97f37e-83db-435a-9c21-4dc45c98d1b6","type":"Line"},{"attributes":{"callback":null},"id":"645b062c-e0a4-46d3-a5d2-29a44c3ca29f","type":"DataRange1d"},{"attributes":{},"id":"8495b1b0-d650-4e85-abe8-46fdc063cfa3","type":"BasicTickFormatter"},{"attributes":{},"id":"0db411d0-0e68-4bbd-9abd-bb18507bd99f","type":"WheelZoomTool"},{"attributes":{},"id":"1284975f-3244-4cec-9e93-307103667020","type":"PanTool"},{"attributes":{"child":{"id":"60191e75-9f70-4d46-8894-a515394c9f4a","subtype":"Figure","type":"Plot"},"title":"line"},"id":"f6de4b95-c521-4be2-923c-56c722340fd4","type":"Panel"}],"root_ids":["5ea481a8-a69f-457f-aa93-3f508e474e0d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a2b2cf18-66e9-411c-ae69-1b98a13bc970","elementid":"077cc147-1145-4d01-bffe-fd2568681ee8","modelid":"5ea481a8-a69f-457f-aa93-3f508e474e0d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
