(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8fa6a79a-c643-4cac-b915-0afa566b1467");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8fa6a79a-c643-4cac-b915-0afa566b1467' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4434bef3-ef7a-48cb-a714-b8709a7db2a3":{"roots":{"references":[{"attributes":{"formatter":{"id":"08bb7d2a-2015-4736-9c72-318ef80bf20e","type":"BasicTickFormatter"},"plot":{"id":"bc2d481b-575b-42a3-a895-d4773162f62d","subtype":"Figure","type":"Plot"},"ticker":{"id":"dcb276b6-a580-4cab-a837-fa6292f2fc66","type":"BasicTicker"}},"id":"410b8419-bc30-41b3-a3f7-ce03a435bc46","type":"LinearAxis"},{"attributes":{"source":{"id":"13c8b6a2-4bc3-4a56-8125-867e46ae92ca","type":"ColumnDataSource"}},"id":"6e793ed5-3003-4970-80e4-63fce5e2567a","type":"CDSView"},{"attributes":{},"id":"d2b74e39-8f82-4230-9ebd-bba61e0f3e2d","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3bff7b63-fdc1-4ae9-813c-18a87a5f66a6","type":"Triangle"},{"attributes":{},"id":"33f59b42-2f02-4d27-9e48-d80cfef64b30","type":"HelpTool"},{"attributes":{"callback":null},"id":"c0a09557-b730-485f-b2b6-2fb5b288e126","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"e9761596-10e9-450a-82f9-5c0cfd7f8208","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"676b714b-1377-447f-bf09-94bc914132d9","type":"DataRange1d"},{"attributes":{"below":[{"id":"ec94160d-5544-4648-baf1-aff5a253aadc","type":"LinearAxis"}],"left":[{"id":"410b8419-bc30-41b3-a3f7-ce03a435bc46","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"ec94160d-5544-4648-baf1-aff5a253aadc","type":"LinearAxis"},{"id":"e93c603e-b963-44dd-bf6f-6c2e7d7a4233","type":"Grid"},{"id":"410b8419-bc30-41b3-a3f7-ce03a435bc46","type":"LinearAxis"},{"id":"5711007b-abdb-433f-a401-f3d6b1a32a87","type":"Grid"},{"id":"245f0b2f-d43c-43e2-bac8-a637d2c86624","type":"BoxAnnotation"},{"id":"1aea33e7-0a79-468e-83d7-38ce33165e19","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"b7797051-b213-4f53-81c8-0e3d80bdd5a6","type":"Toolbar"},"x_range":{"id":"1623b5be-8716-4afd-baaa-32c9c16a7057","type":"DataRange1d"},"x_scale":{"id":"42fad4a3-b8b8-4cb0-9964-4d1cda3a695c","type":"LinearScale"},"y_range":{"id":"978503e5-5485-4d10-8645-4db190c72f4e","type":"DataRange1d"},"y_scale":{"id":"38dab4df-44d6-417a-adee-91518b329dd9","type":"LinearScale"}},"id":"bc2d481b-575b-42a3-a895-d4773162f62d","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"67f88835-4046-492d-8e43-72e98797a97d","type":"ColumnDataSource"},"glyph":{"id":"df3dbee3-a4a3-49c2-892d-e98851de8b3b","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3bff7b63-fdc1-4ae9-813c-18a87a5f66a6","type":"Triangle"},"selection_glyph":null,"view":{"id":"67f2f3a9-818c-413c-9fe2-5d361e18e300","type":"CDSView"}},"id":"1aea33e7-0a79-468e-83d7-38ce33165e19","type":"GlyphRenderer"},{"attributes":{},"id":"38dab4df-44d6-417a-adee-91518b329dd9","type":"LinearScale"},{"attributes":{"overlay":{"id":"245f0b2f-d43c-43e2-bac8-a637d2c86624","type":"BoxAnnotation"}},"id":"3de6d64a-a0d5-4a17-84d0-707739a81fd8","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"6113af6c-8def-4e60-841b-5391ca070172","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a0a0dc1-1f7c-4dd8-9c49-8a969e0e92cd","type":"BasicTicker"}},"id":"8aec0884-b4af-4d2a-a0a8-fa9285537926","type":"Grid"},{"attributes":{},"id":"24fcd220-f0f2-4a14-828e-8be1a5e85c86","type":"BasicTickFormatter"},{"attributes":{},"id":"cd0f0a14-c8d3-40d4-a82c-1b344b14ba5b","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"929fe7af-1020-4a66-b53b-9725c244debc","type":"BasicTickFormatter"},"plot":{"id":"6113af6c-8def-4e60-841b-5391ca070172","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a0a0dc1-1f7c-4dd8-9c49-8a969e0e92cd","type":"BasicTicker"}},"id":"97abc933-68a1-4364-8c3f-29a448efa5cc","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"69f8f293-b461-49c9-8459-9b51b2d7b304","type":"BoxAnnotation"},{"attributes":{},"id":"dcb276b6-a580-4cab-a837-fa6292f2fc66","type":"BasicTicker"},{"attributes":{},"id":"31598285-9df5-4bb7-9b35-65a925cb5f57","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"245f0b2f-d43c-43e2-bac8-a637d2c86624","type":"BoxAnnotation"},{"attributes":{},"id":"bc7b6161-e4fa-41c5-b198-46bb619f9c27","type":"PanTool"},{"attributes":{},"id":"0da41edf-c970-49c6-8a4b-1b8b96e38ea0","type":"ResetTool"},{"attributes":{"formatter":{"id":"cd0f0a14-c8d3-40d4-a82c-1b344b14ba5b","type":"BasicTickFormatter"},"plot":{"id":"6113af6c-8def-4e60-841b-5391ca070172","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ba9b94a-83ad-4a2b-a040-3879baf92c73","type":"BasicTicker"}},"id":"3ba15b26-078c-4d83-a9e4-8dc5af1d85e5","type":"LinearAxis"},{"attributes":{},"id":"42fad4a3-b8b8-4cb0-9964-4d1cda3a695c","type":"LinearScale"},{"attributes":{"formatter":{"id":"8aa8dd33-5abd-4ef9-a15f-94cd06b4dee7","type":"BasicTickFormatter"},"plot":{"id":"f09dc8bb-2cad-4cdb-84f4-d7919262d97e","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9be6eab-fba0-4ed0-a186-c3731c8cd056","type":"BasicTicker"}},"id":"a0643aaa-b292-4522-ba89-d804edfce8eb","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e2344336-2b1c-4429-9736-1d3c37437d29","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"6113af6c-8def-4e60-841b-5391ca070172","subtype":"Figure","type":"Plot"},{"id":"bc2d481b-575b-42a3-a895-d4773162f62d","subtype":"Figure","type":"Plot"},{"id":"f09dc8bb-2cad-4cdb-84f4-d7919262d97e","subtype":"Figure","type":"Plot"}]},"id":"81de46cb-456a-42c5-8eab-10431440855e","type":"Column"},{"attributes":{"dimension":1,"plot":{"id":"bc2d481b-575b-42a3-a895-d4773162f62d","subtype":"Figure","type":"Plot"},"ticker":{"id":"dcb276b6-a580-4cab-a837-fa6292f2fc66","type":"BasicTicker"}},"id":"5711007b-abdb-433f-a401-f3d6b1a32a87","type":"Grid"},{"attributes":{"callback":null},"id":"978503e5-5485-4d10-8645-4db190c72f4e","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"eeeab98a-0e5f-4296-9c52-e58a0a635452","type":"Square"},{"attributes":{},"id":"0d6eaf60-2c5a-4cf4-986b-646c51729435","type":"BasicTickFormatter"},{"attributes":{},"id":"1ba9b94a-83ad-4a2b-a040-3879baf92c73","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"13c8b6a2-4bc3-4a56-8125-867e46ae92ca","type":"ColumnDataSource"},{"attributes":{},"id":"929fe7af-1020-4a66-b53b-9725c244debc","type":"BasicTickFormatter"},{"attributes":{},"id":"24c14ef1-8857-4880-902d-a8b163b88fde","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"97abc933-68a1-4364-8c3f-29a448efa5cc","type":"LinearAxis"}],"left":[{"id":"3ba15b26-078c-4d83-a9e4-8dc5af1d85e5","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"97abc933-68a1-4364-8c3f-29a448efa5cc","type":"LinearAxis"},{"id":"8aec0884-b4af-4d2a-a0a8-fa9285537926","type":"Grid"},{"id":"3ba15b26-078c-4d83-a9e4-8dc5af1d85e5","type":"LinearAxis"},{"id":"20594a1c-11c5-4f27-9449-74a7db5a5948","type":"Grid"},{"id":"69f8f293-b461-49c9-8459-9b51b2d7b304","type":"BoxAnnotation"},{"id":"0a3b5d1a-9008-4c5f-b637-bace163275a9","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"552102fb-3bf9-41c6-827e-52dc3ef21190","type":"Toolbar"},"x_range":{"id":"1683b2af-f331-4ae1-a98b-3e729e45d994","type":"DataRange1d"},"x_scale":{"id":"8890cba5-146d-45c2-aadd-26a07aedf9d4","type":"LinearScale"},"y_range":{"id":"676b714b-1377-447f-bf09-94bc914132d9","type":"DataRange1d"},"y_scale":{"id":"751bab5c-8f43-4448-80e8-b94ce3cc6c0f","type":"LinearScale"}},"id":"6113af6c-8def-4e60-841b-5391ca070172","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"69f8f293-b461-49c9-8459-9b51b2d7b304","type":"BoxAnnotation"}},"id":"1aeafeb1-7f5b-465c-93c1-96a5c4ec89c6","type":"BoxZoomTool"},{"attributes":{},"id":"81216623-9f86-42f3-a8db-ea74c7f5eb02","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"aa1cccdb-ff7e-4f9e-839f-52ddd5059fa3","type":"Square"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5fc83afe-c999-4077-bf85-a1db97c95cd2","type":"Circle"},{"attributes":{},"id":"6113ce28-0c3b-442e-a862-6a159c9c84e2","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"df3dbee3-a4a3-49c2-892d-e98851de8b3b","type":"Triangle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6113ce28-0c3b-442e-a862-6a159c9c84e2","type":"PanTool"},{"id":"24c14ef1-8857-4880-902d-a8b163b88fde","type":"WheelZoomTool"},{"id":"d881c6b6-9e5a-4d02-bd77-97b4150ae9ed","type":"BoxZoomTool"},{"id":"57b648fc-4966-40e8-a65b-75a3ab0c0b54","type":"SaveTool"},{"id":"e7fff654-5a2f-441e-a012-d52087b542d2","type":"ResetTool"},{"id":"33f59b42-2f02-4d27-9e48-d80cfef64b30","type":"HelpTool"}]},"id":"832ee082-cbec-42be-ab9b-7642949934b8","type":"Toolbar"},{"attributes":{},"id":"b9be6eab-fba0-4ed0-a186-c3731c8cd056","type":"BasicTicker"},{"attributes":{"plot":{"id":"f09dc8bb-2cad-4cdb-84f4-d7919262d97e","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9be6eab-fba0-4ed0-a186-c3731c8cd056","type":"BasicTicker"}},"id":"b4ad83ea-8215-4bc9-b68f-aacb34e07ef0","type":"Grid"},{"attributes":{"source":{"id":"e9761596-10e9-450a-82f9-5c0cfd7f8208","type":"ColumnDataSource"}},"id":"9c0c1f43-7f23-4710-91e0-7e885ea74be5","type":"CDSView"},{"attributes":{},"id":"5aad03f1-8161-41c1-a843-463e1cb4639c","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"1683b2af-f331-4ae1-a98b-3e729e45d994","type":"DataRange1d"},{"attributes":{},"id":"ca6876b7-bda6-4fc9-9dbf-005345067e5e","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"24fcd220-f0f2-4a14-828e-8be1a5e85c86","type":"BasicTickFormatter"},"plot":{"id":"f09dc8bb-2cad-4cdb-84f4-d7919262d97e","subtype":"Figure","type":"Plot"},"ticker":{"id":"affa00b0-f2e3-46b0-b4c4-81b22d793eee","type":"BasicTicker"}},"id":"27f0931c-0dee-4b33-8f8d-c8ffdfecce39","type":"LinearAxis"},{"attributes":{},"id":"9a2965d2-3a4e-44ef-8a80-2c55619504da","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ab9d4f3e-e2fa-4d90-bdcf-bb2109181a65","type":"PanTool"},{"id":"5aad03f1-8161-41c1-a843-463e1cb4639c","type":"WheelZoomTool"},{"id":"1aeafeb1-7f5b-465c-93c1-96a5c4ec89c6","type":"BoxZoomTool"},{"id":"31598285-9df5-4bb7-9b35-65a925cb5f57","type":"SaveTool"},{"id":"0da41edf-c970-49c6-8a4b-1b8b96e38ea0","type":"ResetTool"},{"id":"4e6c8301-665a-4909-ba29-0d59d52b486e","type":"HelpTool"}]},"id":"552102fb-3bf9-41c6-827e-52dc3ef21190","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"6113af6c-8def-4e60-841b-5391ca070172","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ba9b94a-83ad-4a2b-a040-3879baf92c73","type":"BasicTicker"}},"id":"20594a1c-11c5-4f27-9449-74a7db5a5948","type":"Grid"},{"attributes":{},"id":"e7fff654-5a2f-441e-a012-d52087b542d2","type":"ResetTool"},{"attributes":{},"id":"71d97554-4e76-4687-88f6-9dcacc9aec51","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bc7b6161-e4fa-41c5-b198-46bb619f9c27","type":"PanTool"},{"id":"ca6876b7-bda6-4fc9-9dbf-005345067e5e","type":"WheelZoomTool"},{"id":"3de6d64a-a0d5-4a17-84d0-707739a81fd8","type":"BoxZoomTool"},{"id":"d2b74e39-8f82-4230-9ebd-bba61e0f3e2d","type":"SaveTool"},{"id":"9a2965d2-3a4e-44ef-8a80-2c55619504da","type":"ResetTool"},{"id":"ebf42ccb-1a11-4e1e-960c-fc76ace92a44","type":"HelpTool"}]},"id":"b7797051-b213-4f53-81c8-0e3d80bdd5a6","type":"Toolbar"},{"attributes":{},"id":"6a0a0dc1-1f7c-4dd8-9c49-8a969e0e92cd","type":"BasicTicker"},{"attributes":{},"id":"8aa8dd33-5abd-4ef9-a15f-94cd06b4dee7","type":"BasicTickFormatter"},{"attributes":{},"id":"57b648fc-4966-40e8-a65b-75a3ab0c0b54","type":"SaveTool"},{"attributes":{"plot":{"id":"bc2d481b-575b-42a3-a895-d4773162f62d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6bb24a4f-0495-45a3-a0d0-8b9224b06eed","type":"BasicTicker"}},"id":"e93c603e-b963-44dd-bf6f-6c2e7d7a4233","type":"Grid"},{"attributes":{"below":[{"id":"a0643aaa-b292-4522-ba89-d804edfce8eb","type":"LinearAxis"}],"left":[{"id":"27f0931c-0dee-4b33-8f8d-c8ffdfecce39","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"a0643aaa-b292-4522-ba89-d804edfce8eb","type":"LinearAxis"},{"id":"b4ad83ea-8215-4bc9-b68f-aacb34e07ef0","type":"Grid"},{"id":"27f0931c-0dee-4b33-8f8d-c8ffdfecce39","type":"LinearAxis"},{"id":"9d592942-99e9-44e2-9e29-32cfca74e46a","type":"Grid"},{"id":"e2344336-2b1c-4429-9736-1d3c37437d29","type":"BoxAnnotation"},{"id":"9a9a0685-9aac-4ad9-bcfc-6e337047ad41","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"832ee082-cbec-42be-ab9b-7642949934b8","type":"Toolbar"},"x_range":{"id":"c0a09557-b730-485f-b2b6-2fb5b288e126","type":"DataRange1d"},"x_scale":{"id":"71d97554-4e76-4687-88f6-9dcacc9aec51","type":"LinearScale"},"y_range":{"id":"7d29403f-8e79-4f17-bef3-ceb043faccd0","type":"DataRange1d"},"y_scale":{"id":"81216623-9f86-42f3-a8db-ea74c7f5eb02","type":"LinearScale"}},"id":"f09dc8bb-2cad-4cdb-84f4-d7919262d97e","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"67f88835-4046-492d-8e43-72e98797a97d","type":"ColumnDataSource"},{"attributes":{"source":{"id":"67f88835-4046-492d-8e43-72e98797a97d","type":"ColumnDataSource"}},"id":"67f2f3a9-818c-413c-9fe2-5d361e18e300","type":"CDSView"},{"attributes":{"callback":null},"id":"1623b5be-8716-4afd-baaa-32c9c16a7057","type":"DataRange1d"},{"attributes":{"formatter":{"id":"0d6eaf60-2c5a-4cf4-986b-646c51729435","type":"BasicTickFormatter"},"plot":{"id":"bc2d481b-575b-42a3-a895-d4773162f62d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6bb24a4f-0495-45a3-a0d0-8b9224b06eed","type":"BasicTicker"}},"id":"ec94160d-5544-4648-baf1-aff5a253aadc","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e9761596-10e9-450a-82f9-5c0cfd7f8208","type":"ColumnDataSource"},"glyph":{"id":"5fc83afe-c999-4077-bf85-a1db97c95cd2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"164d1efd-9e2e-418f-9e40-5ce00196b450","type":"Circle"},"selection_glyph":null,"view":{"id":"9c0c1f43-7f23-4710-91e0-7e885ea74be5","type":"CDSView"}},"id":"0a3b5d1a-9008-4c5f-b637-bace163275a9","type":"GlyphRenderer"},{"attributes":{},"id":"8890cba5-146d-45c2-aadd-26a07aedf9d4","type":"LinearScale"},{"attributes":{},"id":"08bb7d2a-2015-4736-9c72-318ef80bf20e","type":"BasicTickFormatter"},{"attributes":{},"id":"ab9d4f3e-e2fa-4d90-bdcf-bb2109181a65","type":"PanTool"},{"attributes":{"overlay":{"id":"e2344336-2b1c-4429-9736-1d3c37437d29","type":"BoxAnnotation"}},"id":"d881c6b6-9e5a-4d02-bd77-97b4150ae9ed","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"f09dc8bb-2cad-4cdb-84f4-d7919262d97e","subtype":"Figure","type":"Plot"},"ticker":{"id":"affa00b0-f2e3-46b0-b4c4-81b22d793eee","type":"BasicTicker"}},"id":"9d592942-99e9-44e2-9e29-32cfca74e46a","type":"Grid"},{"attributes":{"data_source":{"id":"13c8b6a2-4bc3-4a56-8125-867e46ae92ca","type":"ColumnDataSource"},"glyph":{"id":"eeeab98a-0e5f-4296-9c52-e58a0a635452","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aa1cccdb-ff7e-4f9e-839f-52ddd5059fa3","type":"Square"},"selection_glyph":null,"view":{"id":"6e793ed5-3003-4970-80e4-63fce5e2567a","type":"CDSView"}},"id":"9a9a0685-9aac-4ad9-bcfc-6e337047ad41","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"7d29403f-8e79-4f17-bef3-ceb043faccd0","type":"DataRange1d"},{"attributes":{},"id":"ebf42ccb-1a11-4e1e-960c-fc76ace92a44","type":"HelpTool"},{"attributes":{},"id":"4e6c8301-665a-4909-ba29-0d59d52b486e","type":"HelpTool"},{"attributes":{},"id":"affa00b0-f2e3-46b0-b4c4-81b22d793eee","type":"BasicTicker"},{"attributes":{},"id":"6bb24a4f-0495-45a3-a0d0-8b9224b06eed","type":"BasicTicker"},{"attributes":{},"id":"751bab5c-8f43-4448-80e8-b94ce3cc6c0f","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"164d1efd-9e2e-418f-9e40-5ce00196b450","type":"Circle"}],"root_ids":["81de46cb-456a-42c5-8eab-10431440855e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4434bef3-ef7a-48cb-a714-b8709a7db2a3","elementid":"8fa6a79a-c643-4cac-b915-0afa566b1467","modelid":"81de46cb-456a-42c5-8eab-10431440855e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
