(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("44ff7c25-8a56-4b48-b9f8-8f1142b7dc9c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '44ff7c25-8a56-4b48-b9f8-8f1142b7dc9c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9590755f-e221-4b09-8bd8-c200d3a7343e":{"roots":{"references":[{"attributes":{"below":[{"id":"5976bf89-eee0-41e2-bddc-8d4fa02012eb","type":"LinearAxis"}],"left":[{"id":"246ce36c-67fa-4192-87b5-4fe35a049932","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"5976bf89-eee0-41e2-bddc-8d4fa02012eb","type":"LinearAxis"},{"id":"79345002-2bc9-47a4-a1f1-1b8a2cf3e626","type":"Grid"},{"id":"246ce36c-67fa-4192-87b5-4fe35a049932","type":"LinearAxis"},{"id":"5dcb1fbd-0fa6-4c76-b7d6-ac6387c2efce","type":"Grid"},{"id":"5608c3b0-fb43-4797-bdcc-0e24d2e618ed","type":"BoxAnnotation"},{"id":"6eedfd15-1e8f-4eb9-8f5d-c26533a01a95","type":"GlyphRenderer"}],"title":{"id":"0a91b253-581a-4a97-91aa-3604e9d468b5","type":"Title"},"toolbar":{"id":"d92fef0d-8608-48ef-95ad-e73b1535aa1b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f3aa143d-8c80-45e9-81cd-f9601212d361","type":"DataRange1d"},"x_scale":{"id":"3a2402c1-af45-4415-ba8a-0ac316debec9","type":"LinearScale"},"y_range":{"id":"ccf254f7-d843-41d7-9061-ab89de47ef57","type":"DataRange1d"},"y_scale":{"id":"226adbb1-fddb-4d70-b49e-56eaefeb0e85","type":"LinearScale"}},"id":"a4267353-4d2b-44f6-b76d-b714ab9e18c1","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"c7035d81-f062-4b83-ba3f-c83e2659dda4","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"9d0e8da4-b872-4ea3-8c81-8907652b8700","type":"BoxAnnotation"}},"id":"d4622d28-9524-4609-ab70-913753d30b92","type":"BoxZoomTool"},{"attributes":{"overlay":{"id":"5608c3b0-fb43-4797-bdcc-0e24d2e618ed","type":"BoxAnnotation"}},"id":"af4e150e-8c39-4a39-9a2b-e875f9880049","type":"BoxZoomTool"},{"attributes":{},"id":"890a5f9e-8a81-4f63-8de8-87844bb61b47","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fa972848-a360-4372-9cfa-3d323eca4bfe","type":"Triangle"},{"attributes":{"data_source":{"id":"097826f3-3d37-467d-bc80-044c8d681429","type":"ColumnDataSource"},"glyph":{"id":"be5c73d0-5e4b-4a0d-9db1-3e3b0e01c79e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"deb5dda2-b667-4b76-9a88-9cef9073e4e8","type":"Circle"},"selection_glyph":null,"view":{"id":"b88cad97-13ab-40be-ba04-15874c84515a","type":"CDSView"}},"id":"ff92c77b-2c57-40e5-946c-be78e54c9dff","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"aa349d15-034e-4e50-aa40-c8c068e4c839","type":"Square"},{"attributes":{},"id":"ce98b817-61be-4aa1-a80a-6bd04923ac73","type":"BasicTicker"},{"attributes":{},"id":"c332d073-00dd-4ba2-9dd8-67101ab2bef8","type":"HelpTool"},{"attributes":{},"id":"057dc2b3-2737-407d-afad-b6d3c05fd762","type":"BasicTickFormatter"},{"attributes":{},"id":"5094b2d4-90f3-4865-81fd-ae2dace52a79","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5094b2d4-90f3-4865-81fd-ae2dace52a79","type":"PanTool"},{"id":"979846d4-1eaf-4bd4-ac16-9e437f64ca89","type":"WheelZoomTool"},{"id":"68c1b4ac-8a9a-4617-8c61-bd4f29a3171d","type":"BoxZoomTool"},{"id":"69ba8c7a-c1ba-4519-91ce-65d1a4aee1cb","type":"SaveTool"},{"id":"7dd1fc7f-db76-4b7f-85a4-42b6f5390a09","type":"ResetTool"},{"id":"b42de165-0154-4935-aec9-58332a969060","type":"HelpTool"}]},"id":"dc9a9fc7-d46e-422a-9cd5-ca61d974f293","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"deb5dda2-b667-4b76-9a88-9cef9073e4e8","type":"Circle"},{"attributes":{"source":{"id":"85a52bbd-5e6a-4aad-a5ca-961431c0ee1b","type":"ColumnDataSource"}},"id":"52e160ee-e972-427f-a2f4-f0c8d5747914","type":"CDSView"},{"attributes":{"callback":null},"id":"f3aa143d-8c80-45e9-81cd-f9601212d361","type":"DataRange1d"},{"attributes":{"below":[{"id":"6f958222-dc3a-4a88-a9a8-002d395f8aab","type":"LinearAxis"}],"left":[{"id":"cd679a6c-1aef-4360-8ab1-e5628f7ccc64","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"6f958222-dc3a-4a88-a9a8-002d395f8aab","type":"LinearAxis"},{"id":"5a2d3a1e-c6d3-4fbf-889f-ab0f17774d87","type":"Grid"},{"id":"cd679a6c-1aef-4360-8ab1-e5628f7ccc64","type":"LinearAxis"},{"id":"bc9de94e-5ce9-48cf-a7af-81eb382435c0","type":"Grid"},{"id":"f32974df-5411-4dc8-8ce0-3f8e7e490c74","type":"BoxAnnotation"},{"id":"c59f688d-7f12-4367-abfd-b622d2516546","type":"GlyphRenderer"}],"title":{"id":"07549574-249e-4569-ab92-25837d2fffdf","type":"Title"},"toolbar":{"id":"dc9a9fc7-d46e-422a-9cd5-ca61d974f293","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5eef5b9d-8de4-4f5a-95de-dcb628d810e3","type":"DataRange1d"},"x_scale":{"id":"ddef6f69-32cf-4b15-8d77-1b92aef352a1","type":"LinearScale"},"y_range":{"id":"822a34aa-db8d-425b-be61-d26bc0b13af3","type":"DataRange1d"},"y_scale":{"id":"aa47a7d1-f36d-4009-b836-fce4807f20b6","type":"LinearScale"}},"id":"1b4711ba-8f72-48b1-a983-7b9219c441b9","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a18cb3f7-2ab5-4103-9882-35a1c7ca86aa","type":"Square"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"097826f3-3d37-467d-bc80-044c8d681429","type":"ColumnDataSource"},{"attributes":{},"id":"fe74e1c0-90b9-4bd5-a275-b7288cc755ae","type":"ResetTool"},{"attributes":{"children":[{"id":"a4267353-4d2b-44f6-b76d-b714ab9e18c1","subtype":"Figure","type":"Plot"}]},"id":"fd36f830-5377-4db8-918b-d0ad41a9aa0b","type":"Row"},{"attributes":{},"id":"9b32bd59-83ce-4dad-b45d-8bf7dc0857f1","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"1b4711ba-8f72-48b1-a983-7b9219c441b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"95f5d537-3502-48c2-83e4-f694d52ea729","type":"BasicTicker"}},"id":"5a2d3a1e-c6d3-4fbf-889f-ab0f17774d87","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"85a52bbd-5e6a-4aad-a5ca-961431c0ee1b","type":"ColumnDataSource"},{"attributes":{"source":{"id":"097826f3-3d37-467d-bc80-044c8d681429","type":"ColumnDataSource"}},"id":"b88cad97-13ab-40be-ba04-15874c84515a","type":"CDSView"},{"attributes":{},"id":"de9caa89-31bd-4a7c-b853-7abfe1d48fad","type":"LinearScale"},{"attributes":{},"id":"69ba8c7a-c1ba-4519-91ce-65d1a4aee1cb","type":"SaveTool"},{"attributes":{"callback":null},"id":"ccf254f7-d843-41d7-9061-ab89de47ef57","type":"DataRange1d"},{"attributes":{},"id":"752eecdf-64f4-44a9-84ee-6fd5d43e73fe","type":"HelpTool"},{"attributes":{},"id":"ad99d0a6-d866-4fe4-8f2a-39e000384da1","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"b93d27d6-9cab-4016-a28f-f5d3e9d534ce","type":"BasicTickFormatter"},"plot":{"id":"a4267353-4d2b-44f6-b76d-b714ab9e18c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d87e50e-75fd-41a2-beef-4951cd150d5f","type":"BasicTicker"}},"id":"246ce36c-67fa-4192-87b5-4fe35a049932","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"be5c73d0-5e4b-4a0d-9db1-3e3b0e01c79e","type":"Circle"},{"attributes":{},"id":"979846d4-1eaf-4bd4-ac16-9e437f64ca89","type":"WheelZoomTool"},{"attributes":{},"id":"627cbb6d-04fd-4012-8ba5-b74801c12fc0","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c10f198b-2e89-4419-afc2-f12ac181e4c0","type":"PanTool"},{"id":"d18865c9-90f2-494e-917d-b96f46017f35","type":"WheelZoomTool"},{"id":"d4622d28-9524-4609-ab70-913753d30b92","type":"BoxZoomTool"},{"id":"797f06a8-5f36-4cc0-b9ff-2a7295d3464b","type":"SaveTool"},{"id":"fe74e1c0-90b9-4bd5-a275-b7288cc755ae","type":"ResetTool"},{"id":"c332d073-00dd-4ba2-9dd8-67101ab2bef8","type":"HelpTool"}]},"id":"e9a36d8a-ca77-4998-bbae-2477aa5313af","type":"Toolbar"},{"attributes":{"children":[{"id":"bf6222a4-37dd-4123-be99-9f623d552150","type":"ToolbarBox"},{"id":"b39e2ed5-1cf4-493b-a225-a3864fa3c2a5","type":"Column"}]},"id":"fe01e424-ca61-49c3-8872-399164124c78","type":"Column"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ba9a6f53-01cd-4670-b090-3b0ebb457f5a","type":"PanTool"},{"id":"ad99d0a6-d866-4fe4-8f2a-39e000384da1","type":"WheelZoomTool"},{"id":"af4e150e-8c39-4a39-9a2b-e875f9880049","type":"BoxZoomTool"},{"id":"890a5f9e-8a81-4f63-8de8-87844bb61b47","type":"SaveTool"},{"id":"41f50aea-e59b-4cfd-988d-1940fd915e58","type":"ResetTool"},{"id":"752eecdf-64f4-44a9-84ee-6fd5d43e73fe","type":"HelpTool"}]},"id":"d92fef0d-8608-48ef-95ad-e73b1535aa1b","type":"Toolbar"},{"attributes":{"plot":{"id":"a4267353-4d2b-44f6-b76d-b714ab9e18c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"90a79238-7bd0-45d5-832b-8580e8be9a5a","type":"BasicTicker"}},"id":"79345002-2bc9-47a4-a1f1-1b8a2cf3e626","type":"Grid"},{"attributes":{"callback":null},"id":"d2df0793-85d3-4ba4-8345-4a76b6ff3e1c","type":"DataRange1d"},{"attributes":{"formatter":{"id":"439b0524-7fbf-492b-a69a-9d39a684c3cf","type":"BasicTickFormatter"},"plot":{"id":"85cfaa4a-e255-4902-a281-b846c6baf4a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"52a397ad-3b0c-40e5-bd6c-45574ffcc9d4","type":"BasicTicker"}},"id":"52d43956-3500-41be-89ed-035796dfe842","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"a4267353-4d2b-44f6-b76d-b714ab9e18c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d87e50e-75fd-41a2-beef-4951cd150d5f","type":"BasicTicker"}},"id":"5dcb1fbd-0fa6-4c76-b7d6-ac6387c2efce","type":"Grid"},{"attributes":{},"id":"b42de165-0154-4935-aec9-58332a969060","type":"HelpTool"},{"attributes":{},"id":"c10f198b-2e89-4419-afc2-f12ac181e4c0","type":"PanTool"},{"attributes":{"callback":null},"id":"e569b804-a71e-4bda-9932-5f0131ecf5ac","type":"DataRange1d"},{"attributes":{},"id":"ba9a6f53-01cd-4670-b090-3b0ebb457f5a","type":"PanTool"},{"attributes":{},"id":"aa47a7d1-f36d-4009-b836-fce4807f20b6","type":"LinearScale"},{"attributes":{},"id":"64b630ff-a983-45c1-9350-b81b625e73f1","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"2fd84b15-dd8f-47d9-8701-09fa91e5a269","type":"Title"},{"attributes":{},"id":"b3343bc7-4ed7-4aea-a77e-ea71b44e13ce","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"9b32bd59-83ce-4dad-b45d-8bf7dc0857f1","type":"BasicTickFormatter"},"plot":{"id":"85cfaa4a-e255-4902-a281-b846c6baf4a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce98b817-61be-4aa1-a80a-6bd04923ac73","type":"BasicTicker"}},"id":"27bd9687-e446-4bc4-acfe-dc90b245c2da","type":"LinearAxis"},{"attributes":{"source":{"id":"c7035d81-f062-4b83-ba3f-c83e2659dda4","type":"ColumnDataSource"}},"id":"b5b13d83-faf9-4b18-9fef-53252bdf304f","type":"CDSView"},{"attributes":{"overlay":{"id":"f32974df-5411-4dc8-8ce0-3f8e7e490c74","type":"BoxAnnotation"}},"id":"68c1b4ac-8a9a-4617-8c61-bd4f29a3171d","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"b3343bc7-4ed7-4aea-a77e-ea71b44e13ce","type":"BasicTickFormatter"},"plot":{"id":"1b4711ba-8f72-48b1-a983-7b9219c441b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"95f5d537-3502-48c2-83e4-f694d52ea729","type":"BasicTicker"}},"id":"6f958222-dc3a-4a88-a9a8-002d395f8aab","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"1b4711ba-8f72-48b1-a983-7b9219c441b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"627cbb6d-04fd-4012-8ba5-b74801c12fc0","type":"BasicTicker"}},"id":"bc9de94e-5ce9-48cf-a7af-81eb382435c0","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f32974df-5411-4dc8-8ce0-3f8e7e490c74","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"85cfaa4a-e255-4902-a281-b846c6baf4a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"52a397ad-3b0c-40e5-bd6c-45574ffcc9d4","type":"BasicTicker"}},"id":"b722f908-9940-4736-b460-2e88e3da8887","type":"Grid"},{"attributes":{},"id":"95f5d537-3502-48c2-83e4-f694d52ea729","type":"BasicTicker"},{"attributes":{"callback":null},"id":"5eef5b9d-8de4-4f5a-95de-dcb628d810e3","type":"DataRange1d"},{"attributes":{"callback":null},"id":"822a34aa-db8d-425b-be61-d26bc0b13af3","type":"DataRange1d"},{"attributes":{},"id":"797f06a8-5f36-4cc0-b9ff-2a7295d3464b","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5608c3b0-fb43-4797-bdcc-0e24d2e618ed","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"85a52bbd-5e6a-4aad-a5ca-961431c0ee1b","type":"ColumnDataSource"},"glyph":{"id":"a18cb3f7-2ab5-4103-9882-35a1c7ca86aa","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aa349d15-034e-4e50-aa40-c8c068e4c839","type":"Square"},"selection_glyph":null,"view":{"id":"52e160ee-e972-427f-a2f4-f0c8d5747914","type":"CDSView"}},"id":"6eedfd15-1e8f-4eb9-8f5d-c26533a01a95","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"f101a191-26d8-44b6-b20f-00457f8c7f92","type":"Row"},{"id":"fd36f830-5377-4db8-918b-d0ad41a9aa0b","type":"Row"}]},"id":"b39e2ed5-1cf4-493b-a225-a3864fa3c2a5","type":"Column"},{"attributes":{"below":[{"id":"27bd9687-e446-4bc4-acfe-dc90b245c2da","type":"LinearAxis"}],"left":[{"id":"52d43956-3500-41be-89ed-035796dfe842","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"27bd9687-e446-4bc4-acfe-dc90b245c2da","type":"LinearAxis"},{"id":"ee34e348-7a8c-4a35-af63-e181091058a4","type":"Grid"},{"id":"52d43956-3500-41be-89ed-035796dfe842","type":"LinearAxis"},{"id":"b722f908-9940-4736-b460-2e88e3da8887","type":"Grid"},{"id":"9d0e8da4-b872-4ea3-8c81-8907652b8700","type":"BoxAnnotation"},{"id":"ff92c77b-2c57-40e5-946c-be78e54c9dff","type":"GlyphRenderer"}],"title":{"id":"2fd84b15-dd8f-47d9-8701-09fa91e5a269","type":"Title"},"toolbar":{"id":"e9a36d8a-ca77-4998-bbae-2477aa5313af","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e569b804-a71e-4bda-9932-5f0131ecf5ac","type":"DataRange1d"},"x_scale":{"id":"de9caa89-31bd-4a7c-b853-7abfe1d48fad","type":"LinearScale"},"y_range":{"id":"d2df0793-85d3-4ba4-8345-4a76b6ff3e1c","type":"DataRange1d"},"y_scale":{"id":"f88edfef-859d-4a6f-be7d-3dfecee6db57","type":"LinearScale"}},"id":"85cfaa4a-e255-4902-a281-b846c6baf4a2","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"90a79238-7bd0-45d5-832b-8580e8be9a5a","type":"BasicTicker"},{"attributes":{"plot":{"id":"85cfaa4a-e255-4902-a281-b846c6baf4a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce98b817-61be-4aa1-a80a-6bd04923ac73","type":"BasicTicker"}},"id":"ee34e348-7a8c-4a35-af63-e181091058a4","type":"Grid"},{"attributes":{},"id":"41f50aea-e59b-4cfd-988d-1940fd915e58","type":"ResetTool"},{"attributes":{"children":[{"id":"85cfaa4a-e255-4902-a281-b846c6baf4a2","subtype":"Figure","type":"Plot"},{"id":"1b4711ba-8f72-48b1-a983-7b9219c441b9","subtype":"Figure","type":"Plot"}]},"id":"f101a191-26d8-44b6-b20f-00457f8c7f92","type":"Row"},{"attributes":{},"id":"d18865c9-90f2-494e-917d-b96f46017f35","type":"WheelZoomTool"},{"attributes":{},"id":"226adbb1-fddb-4d70-b49e-56eaefeb0e85","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"0a91b253-581a-4a97-91aa-3604e9d468b5","type":"Title"},{"attributes":{},"id":"439b0524-7fbf-492b-a69a-9d39a684c3cf","type":"BasicTickFormatter"},{"attributes":{},"id":"52a397ad-3b0c-40e5-bd6c-45574ffcc9d4","type":"BasicTicker"},{"attributes":{},"id":"8d87e50e-75fd-41a2-beef-4951cd150d5f","type":"BasicTicker"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"c10f198b-2e89-4419-afc2-f12ac181e4c0","type":"PanTool"},{"id":"d18865c9-90f2-494e-917d-b96f46017f35","type":"WheelZoomTool"},{"id":"d4622d28-9524-4609-ab70-913753d30b92","type":"BoxZoomTool"},{"id":"797f06a8-5f36-4cc0-b9ff-2a7295d3464b","type":"SaveTool"},{"id":"fe74e1c0-90b9-4bd5-a275-b7288cc755ae","type":"ResetTool"},{"id":"c332d073-00dd-4ba2-9dd8-67101ab2bef8","type":"HelpTool"},{"id":"5094b2d4-90f3-4865-81fd-ae2dace52a79","type":"PanTool"},{"id":"979846d4-1eaf-4bd4-ac16-9e437f64ca89","type":"WheelZoomTool"},{"id":"68c1b4ac-8a9a-4617-8c61-bd4f29a3171d","type":"BoxZoomTool"},{"id":"69ba8c7a-c1ba-4519-91ce-65d1a4aee1cb","type":"SaveTool"},{"id":"7dd1fc7f-db76-4b7f-85a4-42b6f5390a09","type":"ResetTool"},{"id":"b42de165-0154-4935-aec9-58332a969060","type":"HelpTool"},{"id":"ba9a6f53-01cd-4670-b090-3b0ebb457f5a","type":"PanTool"},{"id":"ad99d0a6-d866-4fe4-8f2a-39e000384da1","type":"WheelZoomTool"},{"id":"af4e150e-8c39-4a39-9a2b-e875f9880049","type":"BoxZoomTool"},{"id":"890a5f9e-8a81-4f63-8de8-87844bb61b47","type":"SaveTool"},{"id":"41f50aea-e59b-4cfd-988d-1940fd915e58","type":"ResetTool"},{"id":"752eecdf-64f4-44a9-84ee-6fd5d43e73fe","type":"HelpTool"}]},"id":"bf6222a4-37dd-4123-be99-9f623d552150","type":"ToolbarBox"},{"attributes":{},"id":"ddef6f69-32cf-4b15-8d77-1b92aef352a1","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"07549574-249e-4569-ab92-25837d2fffdf","type":"Title"},{"attributes":{},"id":"7dd1fc7f-db76-4b7f-85a4-42b6f5390a09","type":"ResetTool"},{"attributes":{"formatter":{"id":"64b630ff-a983-45c1-9350-b81b625e73f1","type":"BasicTickFormatter"},"plot":{"id":"a4267353-4d2b-44f6-b76d-b714ab9e18c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"90a79238-7bd0-45d5-832b-8580e8be9a5a","type":"BasicTicker"}},"id":"5976bf89-eee0-41e2-bddc-8d4fa02012eb","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c723f19-a17a-4485-94e0-05e2d9cd9faf","type":"Triangle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9d0e8da4-b872-4ea3-8c81-8907652b8700","type":"BoxAnnotation"},{"attributes":{},"id":"f88edfef-859d-4a6f-be7d-3dfecee6db57","type":"LinearScale"},{"attributes":{},"id":"b93d27d6-9cab-4016-a28f-f5d3e9d534ce","type":"BasicTickFormatter"},{"attributes":{},"id":"3a2402c1-af45-4415-ba8a-0ac316debec9","type":"LinearScale"},{"attributes":{"data_source":{"id":"c7035d81-f062-4b83-ba3f-c83e2659dda4","type":"ColumnDataSource"},"glyph":{"id":"7c723f19-a17a-4485-94e0-05e2d9cd9faf","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fa972848-a360-4372-9cfa-3d323eca4bfe","type":"Triangle"},"selection_glyph":null,"view":{"id":"b5b13d83-faf9-4b18-9fef-53252bdf304f","type":"CDSView"}},"id":"c59f688d-7f12-4367-abfd-b622d2516546","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"057dc2b3-2737-407d-afad-b6d3c05fd762","type":"BasicTickFormatter"},"plot":{"id":"1b4711ba-8f72-48b1-a983-7b9219c441b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"627cbb6d-04fd-4012-8ba5-b74801c12fc0","type":"BasicTicker"}},"id":"cd679a6c-1aef-4360-8ab1-e5628f7ccc64","type":"LinearAxis"}],"root_ids":["fe01e424-ca61-49c3-8872-399164124c78"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9590755f-e221-4b09-8bd8-c200d3a7343e","elementid":"44ff7c25-8a56-4b48-b9f8-8f1142b7dc9c","modelid":"fe01e424-ca61-49c3-8872-399164124c78"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
