(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b7224575-382e-40e8-a7cc-c81c8bdb5126");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b7224575-382e-40e8-a7cc-c81c8bdb5126' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7ba077cd-17d5-484b-beae-bc82ab82e2b4":{"roots":{"references":[{"attributes":{"callback":null},"id":"20307a12-8065-4f59-96d6-d11aeeda862b","type":"DataRange1d"},{"attributes":{"callback":null},"id":"a9939359-f926-4c14-92df-d2ef95649506","type":"DataRange1d"},{"attributes":{},"id":"75951d8c-500d-4ede-8ed3-f36aef4ead8a","type":"SaveTool"},{"attributes":{"formatter":{"id":"33aa3460-5bb3-4363-aa94-df9f3991c711","type":"BasicTickFormatter"},"plot":{"id":"a70d2b59-3091-4c28-b8af-b064775a7f90","subtype":"Figure","type":"Plot"},"ticker":{"id":"be2ed887-1811-47fd-8508-8101145ca117","type":"BasicTicker"}},"id":"046d8edb-9bf6-4a53-9883-d42b5fa1979f","type":"LinearAxis"},{"attributes":{},"id":"47d47db6-677b-4bcd-8118-5a466ef2c7f0","type":"BasicTickFormatter"},{"attributes":{},"id":"6ef0d807-10c9-485d-b3c3-348a2c571919","type":"HelpTool"},{"attributes":{},"id":"0c8941d5-5e64-405a-b705-b9de73602ab3","type":"LinearScale"},{"attributes":{"source":{"id":"ce1053d1-90fc-4aac-afbc-781a41a5febf","type":"ColumnDataSource"}},"id":"06e64386-b180-4c54-8996-0cf7d3bb0975","type":"CDSView"},{"attributes":{"formatter":{"id":"47d47db6-677b-4bcd-8118-5a466ef2c7f0","type":"BasicTickFormatter"},"plot":{"id":"a70d2b59-3091-4c28-b8af-b064775a7f90","subtype":"Figure","type":"Plot"},"ticker":{"id":"02c1e1c2-e8ad-4572-ad90-b68362c06005","type":"BasicTicker"}},"id":"14b6ed21-6f19-4839-a6da-42db34d667d9","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"af6f6db9-ae9d-4c18-ab61-a45f887aca0e","type":"Circle"},{"attributes":{},"id":"be2ed887-1811-47fd-8508-8101145ca117","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"a70d2b59-3091-4c28-b8af-b064775a7f90","subtype":"Figure","type":"Plot"},"ticker":{"id":"be2ed887-1811-47fd-8508-8101145ca117","type":"BasicTicker"}},"id":"dd8eda0a-438b-4256-8bf8-26917297c269","type":"Grid"},{"attributes":{"plot":{"id":"a70d2b59-3091-4c28-b8af-b064775a7f90","subtype":"Figure","type":"Plot"},"ticker":{"id":"02c1e1c2-e8ad-4572-ad90-b68362c06005","type":"BasicTicker"}},"id":"fe984729-c1bf-4dba-b9ea-d08a84018c41","type":"Grid"},{"attributes":{},"id":"fb0f3f66-5ab7-4b42-9ff7-2641745e88f5","type":"PanTool"},{"attributes":{},"id":"8806e0e9-1990-4895-835a-26024f4720b6","type":"ResetTool"},{"attributes":{},"id":"c8e54949-fc42-4d42-8fe2-a25440a20b89","type":"LinearScale"},{"attributes":{},"id":"be6a78c3-6ea8-495f-a011-142d164e5769","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"de74aeab-bc8c-4fa4-890a-0d7795f779c3","type":"BoxAnnotation"},{"attributes":{},"id":"02c1e1c2-e8ad-4572-ad90-b68362c06005","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"ce1053d1-90fc-4aac-afbc-781a41a5febf","type":"ColumnDataSource"},{"attributes":{},"id":"33aa3460-5bb3-4363-aa94-df9f3991c711","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fb0f3f66-5ab7-4b42-9ff7-2641745e88f5","type":"PanTool"},{"id":"be6a78c3-6ea8-495f-a011-142d164e5769","type":"WheelZoomTool"},{"id":"0879d459-7dc0-47a8-9a46-72346b910079","type":"BoxZoomTool"},{"id":"75951d8c-500d-4ede-8ed3-f36aef4ead8a","type":"SaveTool"},{"id":"8806e0e9-1990-4895-835a-26024f4720b6","type":"ResetTool"},{"id":"6ef0d807-10c9-485d-b3c3-348a2c571919","type":"HelpTool"}]},"id":"8fe323af-c855-4e71-8d71-279ec55c4167","type":"Toolbar"},{"attributes":{"overlay":{"id":"de74aeab-bc8c-4fa4-890a-0d7795f779c3","type":"BoxAnnotation"}},"id":"0879d459-7dc0-47a8-9a46-72346b910079","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"14b6ed21-6f19-4839-a6da-42db34d667d9","type":"LinearAxis"}],"left":[{"id":"046d8edb-9bf6-4a53-9883-d42b5fa1979f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"14b6ed21-6f19-4839-a6da-42db34d667d9","type":"LinearAxis"},{"id":"fe984729-c1bf-4dba-b9ea-d08a84018c41","type":"Grid"},{"id":"046d8edb-9bf6-4a53-9883-d42b5fa1979f","type":"LinearAxis"},{"id":"dd8eda0a-438b-4256-8bf8-26917297c269","type":"Grid"},{"id":"de74aeab-bc8c-4fa4-890a-0d7795f779c3","type":"BoxAnnotation"},{"id":"206b043d-a140-4c5c-8bc0-d0563f9a3ebb","type":"GlyphRenderer"}],"title":{"id":"a98f9041-91dd-4da2-8a7e-3126bcc9ac97","type":"Title"},"toolbar":{"id":"8fe323af-c855-4e71-8d71-279ec55c4167","type":"Toolbar"},"x_range":{"id":"a9939359-f926-4c14-92df-d2ef95649506","type":"DataRange1d"},"x_scale":{"id":"c8e54949-fc42-4d42-8fe2-a25440a20b89","type":"LinearScale"},"y_range":{"id":"20307a12-8065-4f59-96d6-d11aeeda862b","type":"DataRange1d"},"y_scale":{"id":"0c8941d5-5e64-405a-b705-b9de73602ab3","type":"LinearScale"}},"id":"a70d2b59-3091-4c28-b8af-b064775a7f90","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8f18a3e6-baec-4753-9cd9-4199a023230a","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"a98f9041-91dd-4da2-8a7e-3126bcc9ac97","type":"Title"},{"attributes":{"data_source":{"id":"ce1053d1-90fc-4aac-afbc-781a41a5febf","type":"ColumnDataSource"},"glyph":{"id":"8f18a3e6-baec-4753-9cd9-4199a023230a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"af6f6db9-ae9d-4c18-ab61-a45f887aca0e","type":"Circle"},"selection_glyph":null,"view":{"id":"06e64386-b180-4c54-8996-0cf7d3bb0975","type":"CDSView"}},"id":"206b043d-a140-4c5c-8bc0-d0563f9a3ebb","type":"GlyphRenderer"}],"root_ids":["a70d2b59-3091-4c28-b8af-b064775a7f90"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7ba077cd-17d5-484b-beae-bc82ab82e2b4","elementid":"b7224575-382e-40e8-a7cc-c81c8bdb5126","modelid":"a70d2b59-3091-4c28-b8af-b064775a7f90"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
