(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6eab6086-c71e-414f-b9b4-419d65eb2bf4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6eab6086-c71e-414f-b9b4-419d65eb2bf4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cdc2e2d3-713d-4fd5-bf1f-eeed8bb307ee":{"roots":{"references":[{"attributes":{},"id":"77006db9-2c13-4765-a83a-f0615c5b0e48","type":"PanTool"},{"attributes":{},"id":"7f82ed3a-ce3f-4451-9426-c2a804e5dfec","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"ea4c902e-f4f1-41d6-b3ba-aff8a9e2986e","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fd096ec9-8ad5-479d-9dbc-56879e7ecd29","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"afdf5057-ab39-4803-947e-a87f3179f6f3","subtype":"Figure","type":"Plot"},"ticker":{"id":"3483c779-ad38-4c21-a7d7-abd5ab5c1774","type":"BasicTicker"}},"id":"16fb66c2-c3d2-4175-a269-f35e30f79484","type":"Grid"},{"attributes":{"callback":null},"id":"7bcf03d7-7fa1-4eba-a0b5-26f5cd680b60","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"6c6c1676-cccd-4ec0-b4ba-499188664039","type":"ColumnDataSource"},{"attributes":{},"id":"9e30ac77-0ff3-4e74-a0d2-c8bf135b3f3a","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ab043970-5017-42d7-ac06-13a93bbb1281","type":"Oval"},{"attributes":{"plot":null,"text":""},"id":"3dcea401-9926-4e60-8b3e-32512dce2614","type":"Title"},{"attributes":{"overlay":{"id":"fd096ec9-8ad5-479d-9dbc-56879e7ecd29","type":"BoxAnnotation"}},"id":"90fa3a27-c60f-4b01-bf21-44284665c67c","type":"BoxZoomTool"},{"attributes":{},"id":"43e00937-4892-4d74-bebc-4b7bd1eec115","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"b488bdbb-7bd4-4691-8e57-b2d891ea262e","type":"LinearAxis"}],"left":[{"id":"4148bbac-8c92-46b5-9564-6e2844c91ef1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b488bdbb-7bd4-4691-8e57-b2d891ea262e","type":"LinearAxis"},{"id":"16fb66c2-c3d2-4175-a269-f35e30f79484","type":"Grid"},{"id":"4148bbac-8c92-46b5-9564-6e2844c91ef1","type":"LinearAxis"},{"id":"6fb5ac30-210c-44cc-98e3-5e214c5ac47b","type":"Grid"},{"id":"fd096ec9-8ad5-479d-9dbc-56879e7ecd29","type":"BoxAnnotation"},{"id":"65e9fa2e-8902-421b-ad29-3d3704c855a1","type":"GlyphRenderer"}],"title":{"id":"3dcea401-9926-4e60-8b3e-32512dce2614","type":"Title"},"toolbar":{"id":"22e4051e-7b09-4721-ae88-85ae8c1fdfd1","type":"Toolbar"},"x_range":{"id":"ea4c902e-f4f1-41d6-b3ba-aff8a9e2986e","type":"DataRange1d"},"x_scale":{"id":"624d5b75-f1e0-49dd-9b7f-fcbce58c2085","type":"LinearScale"},"y_range":{"id":"7bcf03d7-7fa1-4eba-a0b5-26f5cd680b60","type":"DataRange1d"},"y_scale":{"id":"9e30ac77-0ff3-4e74-a0d2-c8bf135b3f3a","type":"LinearScale"}},"id":"afdf5057-ab39-4803-947e-a87f3179f6f3","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"77a675db-e0b7-4707-aae8-efdd04a8b191","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"6c6c1676-cccd-4ec0-b4ba-499188664039","type":"ColumnDataSource"}},"id":"b91d2d4a-3614-4d1b-abe8-295848ba9b26","type":"CDSView"},{"attributes":{},"id":"a6d98b35-cefe-4aa3-8dae-b5069ff4252d","type":"SaveTool"},{"attributes":{},"id":"71e892e9-5f8b-4b4b-a5f0-51d62b6595b7","type":"ResetTool"},{"attributes":{"formatter":{"id":"43e00937-4892-4d74-bebc-4b7bd1eec115","type":"BasicTickFormatter"},"plot":{"id":"afdf5057-ab39-4803-947e-a87f3179f6f3","subtype":"Figure","type":"Plot"},"ticker":{"id":"3483c779-ad38-4c21-a7d7-abd5ab5c1774","type":"BasicTicker"}},"id":"b488bdbb-7bd4-4691-8e57-b2d891ea262e","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"77006db9-2c13-4765-a83a-f0615c5b0e48","type":"PanTool"},{"id":"7f82ed3a-ce3f-4451-9426-c2a804e5dfec","type":"WheelZoomTool"},{"id":"90fa3a27-c60f-4b01-bf21-44284665c67c","type":"BoxZoomTool"},{"id":"a6d98b35-cefe-4aa3-8dae-b5069ff4252d","type":"SaveTool"},{"id":"71e892e9-5f8b-4b4b-a5f0-51d62b6595b7","type":"ResetTool"},{"id":"7c85d9cf-98c0-4c2a-9357-4c048fc037d2","type":"HelpTool"}]},"id":"22e4051e-7b09-4721-ae88-85ae8c1fdfd1","type":"Toolbar"},{"attributes":{"formatter":{"id":"77a675db-e0b7-4707-aae8-efdd04a8b191","type":"BasicTickFormatter"},"plot":{"id":"afdf5057-ab39-4803-947e-a87f3179f6f3","subtype":"Figure","type":"Plot"},"ticker":{"id":"85187d7f-8f04-429b-870c-66c0c5c3e7f5","type":"BasicTicker"}},"id":"4148bbac-8c92-46b5-9564-6e2844c91ef1","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"afdf5057-ab39-4803-947e-a87f3179f6f3","subtype":"Figure","type":"Plot"},"ticker":{"id":"85187d7f-8f04-429b-870c-66c0c5c3e7f5","type":"BasicTicker"}},"id":"6fb5ac30-210c-44cc-98e3-5e214c5ac47b","type":"Grid"},{"attributes":{"data_source":{"id":"6c6c1676-cccd-4ec0-b4ba-499188664039","type":"ColumnDataSource"},"glyph":{"id":"ab043970-5017-42d7-ac06-13a93bbb1281","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8fe3046a-3a94-421e-aa59-6d4bb5f134f9","type":"Oval"},"selection_glyph":null,"view":{"id":"b91d2d4a-3614-4d1b-abe8-295848ba9b26","type":"CDSView"}},"id":"65e9fa2e-8902-421b-ad29-3d3704c855a1","type":"GlyphRenderer"},{"attributes":{},"id":"7c85d9cf-98c0-4c2a-9357-4c048fc037d2","type":"HelpTool"},{"attributes":{},"id":"3483c779-ad38-4c21-a7d7-abd5ab5c1774","type":"BasicTicker"},{"attributes":{},"id":"624d5b75-f1e0-49dd-9b7f-fcbce58c2085","type":"LinearScale"},{"attributes":{},"id":"85187d7f-8f04-429b-870c-66c0c5c3e7f5","type":"BasicTicker"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8fe3046a-3a94-421e-aa59-6d4bb5f134f9","type":"Oval"}],"root_ids":["afdf5057-ab39-4803-947e-a87f3179f6f3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cdc2e2d3-713d-4fd5-bf1f-eeed8bb307ee","elementid":"6eab6086-c71e-414f-b9b4-419d65eb2bf4","modelid":"afdf5057-ab39-4803-947e-a87f3179f6f3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
