(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("de20f2e7-c826-43e2-a02d-7532190b9c35");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'de20f2e7-c826-43e2-a02d-7532190b9c35' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e7f4d538-f9b2-4b26-8bd4-29b5443b7763":{"roots":{"references":[{"attributes":{"overlay":{"id":"7e182249-7acf-4d8e-b44e-0746dc797ef7","type":"BoxAnnotation"}},"id":"e3c1baf6-aff3-462c-96d6-9e08548f7f0a","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"1c16fa93-138e-4bf4-9daf-f1fc019b886f","subtype":"Figure","type":"Plot"},"ticker":{"id":"18bfaa2c-a913-490e-a6fd-10753068c457","type":"BasicTicker"}},"id":"24b4e6de-dce2-4762-af33-1f36c58c240b","type":"Grid"},{"attributes":{"plot":{"id":"1c16fa93-138e-4bf4-9daf-f1fc019b886f","subtype":"Figure","type":"Plot"},"ticker":{"id":"7cf7f760-7a20-4c19-a0d7-7eac2cd24c99","type":"BasicTicker"}},"id":"671055f1-7e5f-4c2d-bb51-88e81c6da73b","type":"Grid"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"data","value":0.3},"line_color":{"value":"#CAB2D6"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e91db7de-58b2-4899-a265-c60ef42cdcb8","type":"Ellipse"},{"attributes":{"callback":null},"id":"fd69719d-0089-4d85-9cb2-315a83e4ce65","type":"DataRange1d"},{"attributes":{},"id":"18bfaa2c-a913-490e-a6fd-10753068c457","type":"BasicTicker"},{"attributes":{"formatter":{"id":"6fc41714-9118-4fd7-a135-8e9bdc50e112","type":"BasicTickFormatter"},"plot":{"id":"1c16fa93-138e-4bf4-9daf-f1fc019b886f","subtype":"Figure","type":"Plot"},"ticker":{"id":"7cf7f760-7a20-4c19-a0d7-7eac2cd24c99","type":"BasicTicker"}},"id":"caecf09b-5f5e-4b90-ada8-05323323986b","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.3},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"920fe1d0-66f6-4d5a-af92-655c6c0c58ba","type":"Ellipse"},{"attributes":{},"id":"8bf3ef38-3774-477b-85c6-1587fd11538b","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"8bf3ef38-3774-477b-85c6-1587fd11538b","type":"BasicTickFormatter"},"plot":{"id":"1c16fa93-138e-4bf4-9daf-f1fc019b886f","subtype":"Figure","type":"Plot"},"ticker":{"id":"18bfaa2c-a913-490e-a6fd-10753068c457","type":"BasicTicker"}},"id":"25f34aab-a031-4632-9d3e-d9754b1728c7","type":"LinearAxis"},{"attributes":{},"id":"e735de1c-af12-4461-b06a-655051935cf9","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["width","y","x"],"data":{"width":[0.2,0.3,0.1],"x":[1,2,3],"y":[1,2,3]}},"id":"3089bc50-e807-4d79-bda7-494ffb234a7d","type":"ColumnDataSource"},{"attributes":{},"id":"693d0d85-7907-46b6-80d3-f24ca12fc039","type":"WheelZoomTool"},{"attributes":{},"id":"9abc7125-beb7-4525-b8ee-99b7697f5c50","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9abc7125-beb7-4525-b8ee-99b7697f5c50","type":"PanTool"},{"id":"693d0d85-7907-46b6-80d3-f24ca12fc039","type":"WheelZoomTool"},{"id":"e3c1baf6-aff3-462c-96d6-9e08548f7f0a","type":"BoxZoomTool"},{"id":"e735de1c-af12-4461-b06a-655051935cf9","type":"SaveTool"},{"id":"e8241b77-b061-4f71-9071-d36c6cac2b9a","type":"ResetTool"},{"id":"c2ee20f6-4762-42e9-98e2-f104877d9ca2","type":"HelpTool"}]},"id":"960d4f73-ba39-4c2e-9b79-a1bf63fa28de","type":"Toolbar"},{"attributes":{"data_source":{"id":"3089bc50-e807-4d79-bda7-494ffb234a7d","type":"ColumnDataSource"},"glyph":{"id":"e91db7de-58b2-4899-a265-c60ef42cdcb8","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"920fe1d0-66f6-4d5a-af92-655c6c0c58ba","type":"Ellipse"},"selection_glyph":null,"view":{"id":"8c7c2469-99a1-4f1a-b866-2741f3d60406","type":"CDSView"}},"id":"a34180a5-ada3-40f4-8a92-d9621401313d","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"29605308-dba1-4827-86a2-5ac0ccfa6e63","type":"Title"},{"attributes":{"source":{"id":"3089bc50-e807-4d79-bda7-494ffb234a7d","type":"ColumnDataSource"}},"id":"8c7c2469-99a1-4f1a-b866-2741f3d60406","type":"CDSView"},{"attributes":{"callback":null},"id":"7035652b-360d-4096-a7d8-84efd45687e9","type":"DataRange1d"},{"attributes":{},"id":"1e10c3fa-55be-4e5a-8552-5558520e21f0","type":"LinearScale"},{"attributes":{"below":[{"id":"caecf09b-5f5e-4b90-ada8-05323323986b","type":"LinearAxis"}],"left":[{"id":"25f34aab-a031-4632-9d3e-d9754b1728c7","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"caecf09b-5f5e-4b90-ada8-05323323986b","type":"LinearAxis"},{"id":"671055f1-7e5f-4c2d-bb51-88e81c6da73b","type":"Grid"},{"id":"25f34aab-a031-4632-9d3e-d9754b1728c7","type":"LinearAxis"},{"id":"24b4e6de-dce2-4762-af33-1f36c58c240b","type":"Grid"},{"id":"7e182249-7acf-4d8e-b44e-0746dc797ef7","type":"BoxAnnotation"},{"id":"a34180a5-ada3-40f4-8a92-d9621401313d","type":"GlyphRenderer"}],"title":{"id":"29605308-dba1-4827-86a2-5ac0ccfa6e63","type":"Title"},"toolbar":{"id":"960d4f73-ba39-4c2e-9b79-a1bf63fa28de","type":"Toolbar"},"x_range":{"id":"fd69719d-0089-4d85-9cb2-315a83e4ce65","type":"DataRange1d"},"x_scale":{"id":"196fbe13-2d6f-4374-8cbe-e92b6038bbcc","type":"LinearScale"},"y_range":{"id":"7035652b-360d-4096-a7d8-84efd45687e9","type":"DataRange1d"},"y_scale":{"id":"1e10c3fa-55be-4e5a-8552-5558520e21f0","type":"LinearScale"}},"id":"1c16fa93-138e-4bf4-9daf-f1fc019b886f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"196fbe13-2d6f-4374-8cbe-e92b6038bbcc","type":"LinearScale"},{"attributes":{},"id":"c2ee20f6-4762-42e9-98e2-f104877d9ca2","type":"HelpTool"},{"attributes":{},"id":"7cf7f760-7a20-4c19-a0d7-7eac2cd24c99","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7e182249-7acf-4d8e-b44e-0746dc797ef7","type":"BoxAnnotation"},{"attributes":{},"id":"6fc41714-9118-4fd7-a135-8e9bdc50e112","type":"BasicTickFormatter"},{"attributes":{},"id":"e8241b77-b061-4f71-9071-d36c6cac2b9a","type":"ResetTool"}],"root_ids":["1c16fa93-138e-4bf4-9daf-f1fc019b886f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e7f4d538-f9b2-4b26-8bd4-29b5443b7763","elementid":"de20f2e7-c826-43e2-a02d-7532190b9c35","modelid":"1c16fa93-138e-4bf4-9daf-f1fc019b886f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
