(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f0d9f72d-8ca2-4ce7-92d0-9ca0ea791bb2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f0d9f72d-8ca2-4ce7-92d0-9ca0ea791bb2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"40550f92-5f9c-440c-a46b-9c119f8a4979":{"roots":{"references":[{"attributes":{"below":[{"id":"5e367eb8-44c0-41d8-9ef4-1943bbbb6543","type":"LinearAxis"}],"left":[{"id":"1c599c14-35b5-42de-b762-43114e18353e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5e367eb8-44c0-41d8-9ef4-1943bbbb6543","type":"LinearAxis"},{"id":"0b466505-e158-4e1c-be0a-3ff71b708947","type":"Grid"},{"id":"1c599c14-35b5-42de-b762-43114e18353e","type":"LinearAxis"},{"id":"e8e0dab3-d5de-4442-9254-b8baf3b0efcd","type":"Grid"},{"id":"cc2525be-1193-45ce-9053-c86a684a0ef5","type":"BoxAnnotation"},{"id":"0a55094b-5e10-4e49-b394-16452508fd94","type":"GlyphRenderer"}],"title":{"id":"be22e572-08b3-448a-88cb-f79c18092ce7","type":"Title"},"toolbar":{"id":"79e67e04-7366-4423-afbb-301e561ddac4","type":"Toolbar"},"x_range":{"id":"27bee236-37b7-4ea6-9ed8-bcfd74bedbd5","type":"DataRange1d"},"x_scale":{"id":"33cdcba3-d362-4b44-b462-774d49c806b6","type":"LinearScale"},"y_range":{"id":"1f3a91b4-2261-424f-be43-94c34ca780a8","type":"DataRange1d"},"y_scale":{"id":"3f372c5c-c43a-49f3-bafb-c14d8589a9b7","type":"LinearScale"}},"id":"ef0fa7df-614c-460a-867f-f8267f51b5c8","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c84f82d5-95a9-4966-a856-4319d05673aa","type":"BasicTicker"},{"attributes":{"formatter":{"id":"27257c7f-135c-4fd0-9a8c-9790f2769add","type":"BasicTickFormatter"},"plot":{"id":"ef0fa7df-614c-460a-867f-f8267f51b5c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"23a014ad-26ba-4d38-9868-1f915b2d9b59","type":"BasicTicker"}},"id":"5e367eb8-44c0-41d8-9ef4-1943bbbb6543","type":"LinearAxis"},{"attributes":{},"id":"40541c3b-e152-4a69-81fd-db4ac97c3037","type":"HelpTool"},{"attributes":{},"id":"63fb7738-ace4-46e7-aad6-13e26163e895","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cc2525be-1193-45ce-9053-c86a684a0ef5","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"cc2525be-1193-45ce-9053-c86a684a0ef5","type":"BoxAnnotation"}},"id":"fa993ac7-d9c6-45a1-bc5d-eff67c82b498","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"ef0fa7df-614c-460a-867f-f8267f51b5c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"23a014ad-26ba-4d38-9868-1f915b2d9b59","type":"BasicTicker"}},"id":"0b466505-e158-4e1c-be0a-3ff71b708947","type":"Grid"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cac559a6-dab5-4344-b65d-16195b036894","type":"Ray"},{"attributes":{},"id":"27257c7f-135c-4fd0-9a8c-9790f2769add","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e04d5812-d7e7-481b-8f8b-baff8db5826c","type":"PanTool"},{"id":"63fb7738-ace4-46e7-aad6-13e26163e895","type":"WheelZoomTool"},{"id":"fa993ac7-d9c6-45a1-bc5d-eff67c82b498","type":"BoxZoomTool"},{"id":"df830a22-c0a3-4f73-a201-188de56d1254","type":"SaveTool"},{"id":"9f88617c-918a-435c-8441-1f2773ce90a3","type":"ResetTool"},{"id":"40541c3b-e152-4a69-81fd-db4ac97c3037","type":"HelpTool"}]},"id":"79e67e04-7366-4423-afbb-301e561ddac4","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"ef0fa7df-614c-460a-867f-f8267f51b5c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"c84f82d5-95a9-4966-a856-4319d05673aa","type":"BasicTicker"}},"id":"e8e0dab3-d5de-4442-9254-b8baf3b0efcd","type":"Grid"},{"attributes":{"source":{"id":"4a135b79-857a-49b6-bc0c-3de9dfe77d9c","type":"ColumnDataSource"}},"id":"f1f3e172-a21e-48b6-ac7f-121ee75d740a","type":"CDSView"},{"attributes":{},"id":"87fc9aff-2110-4f35-8c56-cc4ae090ce75","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"87fc9aff-2110-4f35-8c56-cc4ae090ce75","type":"BasicTickFormatter"},"plot":{"id":"ef0fa7df-614c-460a-867f-f8267f51b5c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"c84f82d5-95a9-4966-a856-4319d05673aa","type":"BasicTicker"}},"id":"1c599c14-35b5-42de-b762-43114e18353e","type":"LinearAxis"},{"attributes":{},"id":"23a014ad-26ba-4d38-9868-1f915b2d9b59","type":"BasicTicker"},{"attributes":{"callback":null},"id":"1f3a91b4-2261-424f-be43-94c34ca780a8","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"be22e572-08b3-448a-88cb-f79c18092ce7","type":"Title"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6a9822a4-694b-49ae-83d7-0318e3ed0356","type":"Ray"},{"attributes":{"callback":null},"id":"27bee236-37b7-4ea6-9ed8-bcfd74bedbd5","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["angle","y","x"],"data":{"angle":[30,45,60],"x":[1,2,3],"y":[1,2,3]}},"id":"4a135b79-857a-49b6-bc0c-3de9dfe77d9c","type":"ColumnDataSource"},{"attributes":{},"id":"e04d5812-d7e7-481b-8f8b-baff8db5826c","type":"PanTool"},{"attributes":{},"id":"9f88617c-918a-435c-8441-1f2773ce90a3","type":"ResetTool"},{"attributes":{},"id":"3f372c5c-c43a-49f3-bafb-c14d8589a9b7","type":"LinearScale"},{"attributes":{"data_source":{"id":"4a135b79-857a-49b6-bc0c-3de9dfe77d9c","type":"ColumnDataSource"},"glyph":{"id":"cac559a6-dab5-4344-b65d-16195b036894","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6a9822a4-694b-49ae-83d7-0318e3ed0356","type":"Ray"},"selection_glyph":null,"view":{"id":"f1f3e172-a21e-48b6-ac7f-121ee75d740a","type":"CDSView"}},"id":"0a55094b-5e10-4e49-b394-16452508fd94","type":"GlyphRenderer"},{"attributes":{},"id":"33cdcba3-d362-4b44-b462-774d49c806b6","type":"LinearScale"},{"attributes":{},"id":"df830a22-c0a3-4f73-a201-188de56d1254","type":"SaveTool"}],"root_ids":["ef0fa7df-614c-460a-867f-f8267f51b5c8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"40550f92-5f9c-440c-a46b-9c119f8a4979","elementid":"f0d9f72d-8ca2-4ce7-92d0-9ca0ea791bb2","modelid":"ef0fa7df-614c-460a-867f-f8267f51b5c8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
