(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("aca55873-a7a8-41c6-a045-fa0e8725ecb2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'aca55873-a7a8-41c6-a045-fa0e8725ecb2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a01dd728-ed28-48b6-afd4-137fee59403e":{"roots":{"references":[{"attributes":{},"id":"8223e20e-690a-479c-981e-7b77d9e98e2e","type":"PanTool"},{"attributes":{"formatter":{"id":"56f86e02-501e-4a7a-a643-c38314b5d1f9","type":"BasicTickFormatter"},"plot":{"id":"52ffce16-3a2a-4869-a79f-11fe26075a70","subtype":"Figure","type":"Plot"},"ticker":{"id":"78348ed7-0cd7-4e3a-a5c7-658860fddf41","type":"BasicTicker"}},"id":"c25df386-258b-4b15-90f4-730836a4ed5c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"99a6cf1b-8720-4c7e-8199-d72edd1d0e73","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8223e20e-690a-479c-981e-7b77d9e98e2e","type":"PanTool"},{"id":"0b6c347c-c4cc-4ac5-963d-0838c576555b","type":"WheelZoomTool"},{"id":"08f81b37-5e61-4093-b06b-0bccc0d811c4","type":"BoxZoomTool"},{"id":"91d622c1-c96f-4aaa-a43b-d9c9988ddf6e","type":"SaveTool"},{"id":"85c784cc-1d3f-4783-8dbd-b14aae3b593b","type":"ResetTool"},{"id":"3dcd05fd-c75a-4b54-9ab8-88e7d89ba0d3","type":"HelpTool"}]},"id":"546e0721-2485-4721-8f0b-21b16a769c71","type":"Toolbar"},{"attributes":{"plot":{"id":"52ffce16-3a2a-4869-a79f-11fe26075a70","subtype":"Figure","type":"Plot"},"ticker":{"id":"9ffbd748-3def-46e7-a1c9-23792764d98d","type":"BasicTicker"}},"id":"5659ba46-08ac-45e2-8f7a-7e201185fb0a","type":"Grid"},{"attributes":{"data_source":{"id":"1e6d8611-8d4a-41d1-a4ee-4e31667f604e","type":"ColumnDataSource"},"glyph":{"id":"072d0ad1-69be-4ada-b1c6-7644c39d8af3","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b0546973-3cac-4aab-8b10-e8898f582f96","type":"Arc"},"selection_glyph":null,"view":{"id":"a655891f-d254-488c-99e3-7ed7ad3f6b61","type":"CDSView"}},"id":"c5443341-b53e-4fdb-8f69-253cc35b56f5","type":"GlyphRenderer"},{"attributes":{},"id":"56f86e02-501e-4a7a-a643-c38314b5d1f9","type":"BasicTickFormatter"},{"attributes":{},"id":"91d622c1-c96f-4aaa-a43b-d9c9988ddf6e","type":"SaveTool"},{"attributes":{"overlay":{"id":"fa4e67e3-87e9-44b5-8cdb-30f44e20675e","type":"BoxAnnotation"}},"id":"08f81b37-5e61-4093-b06b-0bccc0d811c4","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"530da24e-d614-4ced-80e0-82ecc3797aab","type":"Title"},{"attributes":{},"id":"9ffbd748-3def-46e7-a1c9-23792764d98d","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"52ffce16-3a2a-4869-a79f-11fe26075a70","subtype":"Figure","type":"Plot"},"ticker":{"id":"78348ed7-0cd7-4e3a-a5c7-658860fddf41","type":"BasicTicker"}},"id":"5be54494-7f5c-43a4-a0f2-eb7ac8b8443d","type":"Grid"},{"attributes":{"callback":null},"id":"b3c72a64-e306-4809-9fbb-16ff5572c1df","type":"DataRange1d"},{"attributes":{},"id":"be3fd327-5e00-4cf0-9c9d-77f4d3e0873b","type":"BasicTickFormatter"},{"attributes":{},"id":"78348ed7-0cd7-4e3a-a5c7-658860fddf41","type":"BasicTicker"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_color":{"value":"navy"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"072d0ad1-69be-4ada-b1c6-7644c39d8af3","type":"Arc"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"1e6d8611-8d4a-41d1-a4ee-4e31667f604e","type":"ColumnDataSource"},{"attributes":{},"id":"3a0c181b-f38a-4ed4-a66b-f1cf61062c42","type":"LinearScale"},{"attributes":{"below":[{"id":"6d254755-6d64-4b78-bb44-7bec25196a52","type":"LinearAxis"}],"left":[{"id":"c25df386-258b-4b15-90f4-730836a4ed5c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6d254755-6d64-4b78-bb44-7bec25196a52","type":"LinearAxis"},{"id":"5659ba46-08ac-45e2-8f7a-7e201185fb0a","type":"Grid"},{"id":"c25df386-258b-4b15-90f4-730836a4ed5c","type":"LinearAxis"},{"id":"5be54494-7f5c-43a4-a0f2-eb7ac8b8443d","type":"Grid"},{"id":"fa4e67e3-87e9-44b5-8cdb-30f44e20675e","type":"BoxAnnotation"},{"id":"c5443341-b53e-4fdb-8f69-253cc35b56f5","type":"GlyphRenderer"}],"title":{"id":"530da24e-d614-4ced-80e0-82ecc3797aab","type":"Title"},"toolbar":{"id":"546e0721-2485-4721-8f0b-21b16a769c71","type":"Toolbar"},"x_range":{"id":"b3c72a64-e306-4809-9fbb-16ff5572c1df","type":"DataRange1d"},"x_scale":{"id":"3a0c181b-f38a-4ed4-a66b-f1cf61062c42","type":"LinearScale"},"y_range":{"id":"99a6cf1b-8720-4c7e-8199-d72edd1d0e73","type":"DataRange1d"},"y_scale":{"id":"8135aa76-71a9-465b-bb63-0f192e273dd9","type":"LinearScale"}},"id":"52ffce16-3a2a-4869-a79f-11fe26075a70","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"1e6d8611-8d4a-41d1-a4ee-4e31667f604e","type":"ColumnDataSource"}},"id":"a655891f-d254-488c-99e3-7ed7ad3f6b61","type":"CDSView"},{"attributes":{},"id":"85c784cc-1d3f-4783-8dbd-b14aae3b593b","type":"ResetTool"},{"attributes":{"formatter":{"id":"be3fd327-5e00-4cf0-9c9d-77f4d3e0873b","type":"BasicTickFormatter"},"plot":{"id":"52ffce16-3a2a-4869-a79f-11fe26075a70","subtype":"Figure","type":"Plot"},"ticker":{"id":"9ffbd748-3def-46e7-a1c9-23792764d98d","type":"BasicTicker"}},"id":"6d254755-6d64-4b78-bb44-7bec25196a52","type":"LinearAxis"},{"attributes":{},"id":"8135aa76-71a9-465b-bb63-0f192e273dd9","type":"LinearScale"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0546973-3cac-4aab-8b10-e8898f582f96","type":"Arc"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fa4e67e3-87e9-44b5-8cdb-30f44e20675e","type":"BoxAnnotation"},{"attributes":{},"id":"3dcd05fd-c75a-4b54-9ab8-88e7d89ba0d3","type":"HelpTool"},{"attributes":{},"id":"0b6c347c-c4cc-4ac5-963d-0838c576555b","type":"WheelZoomTool"}],"root_ids":["52ffce16-3a2a-4869-a79f-11fe26075a70"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a01dd728-ed28-48b6-afd4-137fee59403e","elementid":"aca55873-a7a8-41c6-a045-fa0e8725ecb2","modelid":"52ffce16-3a2a-4869-a79f-11fe26075a70"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
