(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5bcb9df6-3c96-4b9d-8672-ef0d5e7172db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5bcb9df6-3c96-4b9d-8672-ef0d5e7172db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b90df3e0-43af-42e4-b8e3-5b8b6692431d":{"roots":{"references":[{"attributes":{"source":{"id":"10a83d7a-c27d-4f83-85d5-ca5c70421f0c","type":"ColumnDataSource"}},"id":"9441b584-a723-4be3-a1ad-84fa13c3ee3d","type":"CDSView"},{"attributes":{"callback":null},"id":"dcbe086b-12a1-403d-be9f-f69e1dd542d7","type":"DataRange1d"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"37b984a3-ee81-43dc-a659-62564e33a79a","type":"Wedge"},{"attributes":{},"id":"2e984db7-e35b-4d26-8376-66f1e779466f","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ae2343c2-4c67-4019-85a1-f5a4b0a78f7f","type":"BasicTickFormatter"},"plot":{"id":"aee2c260-5d4b-42a1-813b-26ab5f181883","subtype":"Figure","type":"Plot"},"ticker":{"id":"73076f00-20ee-4fde-ad00-76dd06d7c3c8","type":"BasicTicker"}},"id":"05d71f6d-b5a7-42de-85b0-e683ae08b07e","type":"LinearAxis"},{"attributes":{},"id":"2bf90093-b57e-422c-bf04-b570bc6e570b","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"10a83d7a-c27d-4f83-85d5-ca5c70421f0c","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"1f6a9e73-755b-4824-9e3b-72a17bb9b9b1","type":"Title"},{"attributes":{"callback":null},"id":"395db0a7-b491-4cad-a3ac-8738f89a50f5","type":"DataRange1d"},{"attributes":{"below":[{"id":"cb37e0db-2f8c-4e9d-b672-3da40ceeb079","type":"LinearAxis"}],"left":[{"id":"05d71f6d-b5a7-42de-85b0-e683ae08b07e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"cb37e0db-2f8c-4e9d-b672-3da40ceeb079","type":"LinearAxis"},{"id":"be523a3a-918b-4997-a709-3a8f301a8944","type":"Grid"},{"id":"05d71f6d-b5a7-42de-85b0-e683ae08b07e","type":"LinearAxis"},{"id":"b29a5458-3fc7-44de-9688-72fb9f8d8cb7","type":"Grid"},{"id":"cb3c4e92-1e3d-4104-b1e6-3f1859bb23c2","type":"BoxAnnotation"},{"id":"79469058-214a-483b-bcca-87550308fbdc","type":"GlyphRenderer"}],"title":{"id":"1f6a9e73-755b-4824-9e3b-72a17bb9b9b1","type":"Title"},"toolbar":{"id":"0a3cc2b8-0242-45a6-95e1-123f2600f0ab","type":"Toolbar"},"x_range":{"id":"395db0a7-b491-4cad-a3ac-8738f89a50f5","type":"DataRange1d"},"x_scale":{"id":"4c1cc950-d4a1-4e1b-a935-b9726e205c9d","type":"LinearScale"},"y_range":{"id":"dcbe086b-12a1-403d-be9f-f69e1dd542d7","type":"DataRange1d"},"y_scale":{"id":"82530108-6a35-44c4-b888-9269212667e0","type":"LinearScale"}},"id":"aee2c260-5d4b-42a1-813b-26ab5f181883","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4c1cc950-d4a1-4e1b-a935-b9726e205c9d","type":"LinearScale"},{"attributes":{},"id":"c492ec81-c5c5-4567-a379-b1a7efebea45","type":"SaveTool"},{"attributes":{},"id":"82530108-6a35-44c4-b888-9269212667e0","type":"LinearScale"},{"attributes":{"data_source":{"id":"10a83d7a-c27d-4f83-85d5-ca5c70421f0c","type":"ColumnDataSource"},"glyph":{"id":"af9c9d3b-7405-4f86-b408-b8eb0ade4eec","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"37b984a3-ee81-43dc-a659-62564e33a79a","type":"Wedge"},"selection_glyph":null,"view":{"id":"9441b584-a723-4be3-a1ad-84fa13c3ee3d","type":"CDSView"}},"id":"79469058-214a-483b-bcca-87550308fbdc","type":"GlyphRenderer"},{"attributes":{},"id":"ace56bd6-fdbd-4ac6-86e6-942ea1a4f16e","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cb3c4e92-1e3d-4104-b1e6-3f1859bb23c2","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"aee2c260-5d4b-42a1-813b-26ab5f181883","subtype":"Figure","type":"Plot"},"ticker":{"id":"73076f00-20ee-4fde-ad00-76dd06d7c3c8","type":"BasicTicker"}},"id":"b29a5458-3fc7-44de-9688-72fb9f8d8cb7","type":"Grid"},{"attributes":{},"id":"21a81382-7e32-42e3-8655-2e2bde25be9d","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2bf90093-b57e-422c-bf04-b570bc6e570b","type":"PanTool"},{"id":"ace56bd6-fdbd-4ac6-86e6-942ea1a4f16e","type":"WheelZoomTool"},{"id":"1c77ac51-5913-4cae-8160-5af8875016ec","type":"BoxZoomTool"},{"id":"c492ec81-c5c5-4567-a379-b1a7efebea45","type":"SaveTool"},{"id":"c40cac41-1d54-4bae-9993-a85651bbc715","type":"ResetTool"},{"id":"21a81382-7e32-42e3-8655-2e2bde25be9d","type":"HelpTool"}]},"id":"0a3cc2b8-0242-45a6-95e1-123f2600f0ab","type":"Toolbar"},{"attributes":{},"id":"5780f33e-2c5b-4f8a-b002-5a24737737d5","type":"BasicTickFormatter"},{"attributes":{},"id":"73076f00-20ee-4fde-ad00-76dd06d7c3c8","type":"BasicTicker"},{"attributes":{"formatter":{"id":"5780f33e-2c5b-4f8a-b002-5a24737737d5","type":"BasicTickFormatter"},"plot":{"id":"aee2c260-5d4b-42a1-813b-26ab5f181883","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e984db7-e35b-4d26-8376-66f1e779466f","type":"BasicTicker"}},"id":"cb37e0db-2f8c-4e9d-b672-3da40ceeb079","type":"LinearAxis"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.6},"line_color":{"value":"firebrick"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"af9c9d3b-7405-4f86-b408-b8eb0ade4eec","type":"Wedge"},{"attributes":{"overlay":{"id":"cb3c4e92-1e3d-4104-b1e6-3f1859bb23c2","type":"BoxAnnotation"}},"id":"1c77ac51-5913-4cae-8160-5af8875016ec","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"aee2c260-5d4b-42a1-813b-26ab5f181883","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e984db7-e35b-4d26-8376-66f1e779466f","type":"BasicTicker"}},"id":"be523a3a-918b-4997-a709-3a8f301a8944","type":"Grid"},{"attributes":{},"id":"c40cac41-1d54-4bae-9993-a85651bbc715","type":"ResetTool"},{"attributes":{},"id":"ae2343c2-4c67-4019-85a1-f5a4b0a78f7f","type":"BasicTickFormatter"}],"root_ids":["aee2c260-5d4b-42a1-813b-26ab5f181883"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b90df3e0-43af-42e4-b8e3-5b8b6692431d","elementid":"5bcb9df6-3c96-4b9d-8672-ef0d5e7172db","modelid":"aee2c260-5d4b-42a1-813b-26ab5f181883"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
