(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("feb23a40-c551-4531-98c8-18d5c6aa752d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'feb23a40-c551-4531-98c8-18d5c6aa752d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"59f48a98-7da4-4ce1-b9ef-abff21766848":{"roots":{"references":[{"attributes":{"source":{"id":"bc7738e4-7bb6-4a6a-8882-d011dabdd0ec","type":"ColumnDataSource"}},"id":"2a56c8d5-eda4-4d06-86e5-dde34dbcc5ef","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"172598d0-5629-4ea1-94be-64804dabd0d9","type":"PanTool"},{"id":"eef0cd54-8072-4080-8390-75e76d3a35ce","type":"WheelZoomTool"},{"id":"4f01c7cc-f119-475a-8e36-b0d6b6729f14","type":"BoxZoomTool"},{"id":"4db3c6af-c577-4117-8deb-2433aa150435","type":"SaveTool"},{"id":"0295ee39-ce0b-4e07-b41c-250ef2b87ebd","type":"ResetTool"},{"id":"416f0f01-d378-4841-a941-e31a6a4b702e","type":"HelpTool"}]},"id":"1d0ce8db-b2ca-4146-8f3f-c6cf3623e4db","type":"Toolbar"},{"attributes":{"below":[{"id":"e51505b6-24f8-4fb6-a64e-60d50f80175e","type":"LinearAxis"}],"left":[{"id":"ae51bfcc-719f-4c11-be3d-beebc99c4fce","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e51505b6-24f8-4fb6-a64e-60d50f80175e","type":"LinearAxis"},{"id":"ba5a4dc5-1248-41fc-90be-9c8a738ee092","type":"Grid"},{"id":"ae51bfcc-719f-4c11-be3d-beebc99c4fce","type":"LinearAxis"},{"id":"18f0380a-cc43-4b22-a087-de523d1e1427","type":"Grid"},{"id":"321c0986-ff3d-499d-a2ee-3470cccf2f49","type":"BoxAnnotation"},{"id":"40692704-b96e-4623-9e59-1bf9a7033cb5","type":"GlyphRenderer"}],"title":{"id":"fbe468ca-4413-4dbd-b360-cf21eb123896","type":"Title"},"toolbar":{"id":"1d0ce8db-b2ca-4146-8f3f-c6cf3623e4db","type":"Toolbar"},"x_range":{"id":"022a191c-f61e-4a93-b0cf-6789a9b36e49","type":"DataRange1d"},"x_scale":{"id":"5210a3d6-d6f8-4baf-b395-d4101bc1fcd4","type":"LinearScale"},"y_range":{"id":"216d5714-51c8-42a8-8150-9608ff2bed83","type":"DataRange1d"},"y_scale":{"id":"54ed7a6b-1ff4-482a-a53a-7665e03f197f","type":"LinearScale"}},"id":"96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"022a191c-f61e-4a93-b0cf-6789a9b36e49","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"321c0986-ff3d-499d-a2ee-3470cccf2f49","type":"BoxAnnotation"},{"attributes":{},"id":"4db3c6af-c577-4117-8deb-2433aa150435","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"bc7738e4-7bb6-4a6a-8882-d011dabdd0ec","type":"ColumnDataSource"},{"attributes":{},"id":"eef0cd54-8072-4080-8390-75e76d3a35ce","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"fbe468ca-4413-4dbd-b360-cf21eb123896","type":"Title"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"42531e21-bac9-4e1c-b956-9e719701a32c","type":"Line"},{"attributes":{},"id":"54ed7a6b-1ff4-482a-a53a-7665e03f197f","type":"LinearScale"},{"attributes":{"plot":{"id":"96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"dbb17ef2-a5af-4ff3-bb81-ac6ca3f3e628","type":"BasicTicker"}},"id":"ba5a4dc5-1248-41fc-90be-9c8a738ee092","type":"Grid"},{"attributes":{},"id":"3f05a440-dfa3-4974-9adf-1c5273d88317","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"bc7738e4-7bb6-4a6a-8882-d011dabdd0ec","type":"ColumnDataSource"},"glyph":{"id":"05215efb-8424-43f0-8e83-b4850e9bda59","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"42531e21-bac9-4e1c-b956-9e719701a32c","type":"Line"},"selection_glyph":null,"view":{"id":"2a56c8d5-eda4-4d06-86e5-dde34dbcc5ef","type":"CDSView"}},"id":"40692704-b96e-4623-9e59-1bf9a7033cb5","type":"GlyphRenderer"},{"attributes":{},"id":"172598d0-5629-4ea1-94be-64804dabd0d9","type":"PanTool"},{"attributes":{"formatter":{"id":"3f05a440-dfa3-4974-9adf-1c5273d88317","type":"BasicTickFormatter"},"plot":{"id":"96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f5e844a-ff0b-4231-bd37-b4259716e056","type":"BasicTicker"}},"id":"ae51bfcc-719f-4c11-be3d-beebc99c4fce","type":"LinearAxis"},{"attributes":{"formatter":{"id":"718a403d-c5c4-42be-b355-3320bccfb6b1","type":"BasicTickFormatter"},"plot":{"id":"96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"dbb17ef2-a5af-4ff3-bb81-ac6ca3f3e628","type":"BasicTicker"}},"id":"e51505b6-24f8-4fb6-a64e-60d50f80175e","type":"LinearAxis"},{"attributes":{},"id":"416f0f01-d378-4841-a941-e31a6a4b702e","type":"HelpTool"},{"attributes":{},"id":"718a403d-c5c4-42be-b355-3320bccfb6b1","type":"BasicTickFormatter"},{"attributes":{},"id":"dbb17ef2-a5af-4ff3-bb81-ac6ca3f3e628","type":"BasicTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"05215efb-8424-43f0-8e83-b4850e9bda59","type":"Line"},{"attributes":{},"id":"0295ee39-ce0b-4e07-b41c-250ef2b87ebd","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f5e844a-ff0b-4231-bd37-b4259716e056","type":"BasicTicker"}},"id":"18f0380a-cc43-4b22-a087-de523d1e1427","type":"Grid"},{"attributes":{},"id":"7f5e844a-ff0b-4231-bd37-b4259716e056","type":"BasicTicker"},{"attributes":{},"id":"5210a3d6-d6f8-4baf-b395-d4101bc1fcd4","type":"LinearScale"},{"attributes":{"overlay":{"id":"321c0986-ff3d-499d-a2ee-3470cccf2f49","type":"BoxAnnotation"}},"id":"4f01c7cc-f119-475a-8e36-b0d6b6729f14","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"216d5714-51c8-42a8-8150-9608ff2bed83","type":"DataRange1d"}],"root_ids":["96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"59f48a98-7da4-4ce1-b9ef-abff21766848","elementid":"feb23a40-c551-4531-98c8-18d5c6aa752d","modelid":"96e8cd5f-87bc-401c-9fe7-7ab8cf50bce4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
