(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("03b00a51-2df0-49be-99f7-0b096af17130");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '03b00a51-2df0-49be-99f7-0b096af17130' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f594a59e-d631-48e2-bd31-0520aed0419c":{"roots":{"references":[{"attributes":{"data_source":{"id":"0701ecc9-cfb1-48b2-b8c9-fce1ada8e010","type":"ColumnDataSource"},"glyph":{"id":"a244a3d1-77a3-4a74-b792-61a34f7386b8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0ce387a0-c58a-4d65-92ac-7ad08fad7b43","type":"Circle"},"selection_glyph":null,"view":{"id":"d306810f-5e2f-4c93-affb-a4acd55d9efa","type":"CDSView"}},"id":"92347090-a2ac-4840-90a8-3fe21d6159e8","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"a244a3d1-77a3-4a74-b792-61a34f7386b8","type":"Circle"},{"attributes":{},"id":"e327a0e2-5581-417d-b39b-a0e3450d8da9","type":"ResetTool"},{"attributes":{"callback":null},"id":"2c35f2d3-e453-4557-90a1-63017cb56807","type":"DataRange1d"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"3b06ce05-a7e0-4c60-a9d5-ffc4779d7a34","type":"FactorRange"},{"attributes":{"dimension":1,"plot":{"id":"7d122574-76f2-4f6e-a341-573ef65864ec","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2bae538-c35e-4ad1-831b-4d70e0c74d39","type":"CategoricalTicker"}},"id":"65de966d-f141-4636-b37e-231dba2c532e","type":"Grid"},{"attributes":{},"id":"50866cc7-b42e-4d9f-b05e-7100678a2316","type":"HelpTool"},{"attributes":{},"id":"a8220b37-9d1b-46ef-9476-b1cfdec29820","type":"CategoricalScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"0ce387a0-c58a-4d65-92ac-7ad08fad7b43","type":"Circle"},{"attributes":{},"id":"9723e849-58a4-402e-8f17-442b489c562f","type":"PanTool"},{"attributes":{},"id":"66bb2296-a744-47da-b14e-37b26ae9f6c7","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"937fc1a0-947f-4690-a4ae-7b6776c512a4","type":"BoxAnnotation"}},"id":"629a4abb-32f7-47c7-9d2a-994988292c5f","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"66bb2296-a744-47da-b14e-37b26ae9f6c7","type":"BasicTickFormatter"},"plot":{"id":"7d122574-76f2-4f6e-a341-573ef65864ec","subtype":"Figure","type":"Plot"},"ticker":{"id":"a4d9eb2a-08e7-4fbe-8727-0e18369efe9d","type":"BasicTicker"}},"id":"97fb0a87-67a2-4e4a-8555-e9149a8ae6b7","type":"LinearAxis"},{"attributes":{},"id":"b2bae538-c35e-4ad1-831b-4d70e0c74d39","type":"CategoricalTicker"},{"attributes":{},"id":"8d4a247c-4eb9-44ee-a9aa-fa0ebcb6107d","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"937fc1a0-947f-4690-a4ae-7b6776c512a4","type":"BoxAnnotation"},{"attributes":{"source":{"id":"0701ecc9-cfb1-48b2-b8c9-fce1ada8e010","type":"ColumnDataSource"}},"id":"d306810f-5e2f-4c93-affb-a4acd55d9efa","type":"CDSView"},{"attributes":{},"id":"0dd0454b-3917-4ab9-9d29-b67f0156d984","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"c37dd3f9-908d-4ff3-b2e8-ddf6a50c7498","type":"Title"},{"attributes":{"formatter":{"id":"a29d12e3-d07b-4ca7-aa3d-30b71c8f2b1a","type":"CategoricalTickFormatter"},"plot":{"id":"7d122574-76f2-4f6e-a341-573ef65864ec","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2bae538-c35e-4ad1-831b-4d70e0c74d39","type":"CategoricalTicker"}},"id":"24697ff6-f89d-4d3d-808a-edec2e04bb17","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"97fb0a87-67a2-4e4a-8555-e9149a8ae6b7","type":"LinearAxis"}],"left":[{"id":"24697ff6-f89d-4d3d-808a-edec2e04bb17","type":"CategoricalAxis"}],"renderers":[{"id":"97fb0a87-67a2-4e4a-8555-e9149a8ae6b7","type":"LinearAxis"},{"id":"bdd9cd7f-decc-414d-8d5a-ff69e096e031","type":"Grid"},{"id":"24697ff6-f89d-4d3d-808a-edec2e04bb17","type":"CategoricalAxis"},{"id":"65de966d-f141-4636-b37e-231dba2c532e","type":"Grid"},{"id":"937fc1a0-947f-4690-a4ae-7b6776c512a4","type":"BoxAnnotation"},{"id":"92347090-a2ac-4840-90a8-3fe21d6159e8","type":"GlyphRenderer"}],"title":{"id":"c37dd3f9-908d-4ff3-b2e8-ddf6a50c7498","type":"Title"},"toolbar":{"id":"3bbdf0e3-cbc3-490e-adb1-af29ed083dd2","type":"Toolbar"},"x_range":{"id":"2c35f2d3-e453-4557-90a1-63017cb56807","type":"DataRange1d"},"x_scale":{"id":"4914ff1d-9313-4bfe-8f46-3acef2319dd6","type":"LinearScale"},"y_range":{"id":"3b06ce05-a7e0-4c60-a9d5-ffc4779d7a34","type":"FactorRange"},"y_scale":{"id":"a8220b37-9d1b-46ef-9476-b1cfdec29820","type":"CategoricalScale"}},"id":"7d122574-76f2-4f6e-a341-573ef65864ec","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a4d9eb2a-08e7-4fbe-8727-0e18369efe9d","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9723e849-58a4-402e-8f17-442b489c562f","type":"PanTool"},{"id":"0dd0454b-3917-4ab9-9d29-b67f0156d984","type":"WheelZoomTool"},{"id":"629a4abb-32f7-47c7-9d2a-994988292c5f","type":"BoxZoomTool"},{"id":"8d4a247c-4eb9-44ee-a9aa-fa0ebcb6107d","type":"SaveTool"},{"id":"e327a0e2-5581-417d-b39b-a0e3450d8da9","type":"ResetTool"},{"id":"50866cc7-b42e-4d9f-b05e-7100678a2316","type":"HelpTool"}]},"id":"3bbdf0e3-cbc3-490e-adb1-af29ed083dd2","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"0701ecc9-cfb1-48b2-b8c9-fce1ada8e010","type":"ColumnDataSource"},{"attributes":{},"id":"4914ff1d-9313-4bfe-8f46-3acef2319dd6","type":"LinearScale"},{"attributes":{},"id":"a29d12e3-d07b-4ca7-aa3d-30b71c8f2b1a","type":"CategoricalTickFormatter"},{"attributes":{"plot":{"id":"7d122574-76f2-4f6e-a341-573ef65864ec","subtype":"Figure","type":"Plot"},"ticker":{"id":"a4d9eb2a-08e7-4fbe-8727-0e18369efe9d","type":"BasicTicker"}},"id":"bdd9cd7f-decc-414d-8d5a-ff69e096e031","type":"Grid"}],"root_ids":["7d122574-76f2-4f6e-a341-573ef65864ec"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f594a59e-d631-48e2-bd31-0520aed0419c","elementid":"03b00a51-2df0-49be-99f7-0b096af17130","modelid":"7d122574-76f2-4f6e-a341-573ef65864ec"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
