(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d01b4d56-ed62-4f93-8f4c-e43acc13f40e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd01b4d56-ed62-4f93-8f4c-e43acc13f40e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"50be0b72-ffc3-4b97-9195-02d24d67d3cc":{"roots":{"references":[{"attributes":{"below":[{"id":"518a8f0b-08b9-4d0a-9f6d-b98be26ec17f","type":"LinearAxis"}],"left":[{"id":"dc85666e-e01b-4065-a471-433e9026f7c3","type":"LogAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"518a8f0b-08b9-4d0a-9f6d-b98be26ec17f","type":"LinearAxis"},{"id":"330698d6-d6b2-42a7-9cf1-f2db4f8adc96","type":"Grid"},{"id":"dc85666e-e01b-4065-a471-433e9026f7c3","type":"LogAxis"},{"id":"12f6ff9a-c533-44cf-9f04-a160a0b76d8e","type":"Grid"},{"id":"8e717f8d-3026-42bb-ac67-35daabb9d0bc","type":"BoxAnnotation"},{"id":"86ca5182-5fb3-497e-a51e-957293a6b2c6","type":"GlyphRenderer"},{"id":"45cd12e8-c52c-4771-a3eb-34c54f98a52b","type":"GlyphRenderer"}],"title":{"id":"52f6bc8c-fe08-4920-b3c2-e06fe6e776dd","type":"Title"},"toolbar":{"id":"a2e18275-155a-4008-94b1-a20c580f5660","type":"Toolbar"},"x_range":{"id":"6d9422b6-6886-4c90-bcca-183f21a02852","type":"DataRange1d"},"x_scale":{"id":"09902cff-24e2-4381-beec-22e7c126b2ec","type":"LinearScale"},"y_range":{"id":"e445960e-0cb0-4d8a-90fa-ac7be3c7eede","type":"DataRange1d"},"y_scale":{"id":"da5ecd9b-dc45-4cd9-b1cf-2c79a3a0e140","type":"LogScale"}},"id":"99a9c421-8927-4cd6-8045-fb42b52591f7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b3887cb1-e471-4a1a-99f0-41fdcee6b197","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"5d4dde68-62c6-4dd7-9c75-dc104214cce5","type":"ColumnDataSource"},{"attributes":{},"id":"3dd4d34d-7814-47e5-8b15-60298f421df9","type":"SaveTool"},{"attributes":{},"id":"da5ecd9b-dc45-4cd9-b1cf-2c79a3a0e140","type":"LogScale"},{"attributes":{},"id":"e0b7192b-66f5-4fa7-a63b-2814aad15d60","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"8403dcb6-697b-4b7d-b13e-2472dbbf14a3","type":"ColumnDataSource"},"glyph":{"id":"4af3f14d-a55b-43d2-8514-3425e0e67d1a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"80468b12-4d5c-412d-a1a9-99c2c467e031","type":"Circle"},"selection_glyph":null,"view":{"id":"aa8b37e7-264a-4e35-958d-efa0b9059963","type":"CDSView"}},"id":"45cd12e8-c52c-4771-a3eb-34c54f98a52b","type":"GlyphRenderer"},{"attributes":{},"id":"09902cff-24e2-4381-beec-22e7c126b2ec","type":"LinearScale"},{"attributes":{"source":{"id":"8403dcb6-697b-4b7d-b13e-2472dbbf14a3","type":"ColumnDataSource"}},"id":"aa8b37e7-264a-4e35-958d-efa0b9059963","type":"CDSView"},{"attributes":{"callback":null},"id":"6d9422b6-6886-4c90-bcca-183f21a02852","type":"DataRange1d"},{"attributes":{"formatter":{"id":"b3887cb1-e471-4a1a-99f0-41fdcee6b197","type":"BasicTickFormatter"},"plot":{"id":"99a9c421-8927-4cd6-8045-fb42b52591f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"8ba90953-4b43-422c-aa7f-9b0bb8f53a58","type":"BasicTicker"}},"id":"518a8f0b-08b9-4d0a-9f6d-b98be26ec17f","type":"LinearAxis"},{"attributes":{},"id":"8ba90953-4b43-422c-aa7f-9b0bb8f53a58","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5766bbe8-8dd6-4342-a55b-6a702bc6edf5","type":"PanTool"},{"id":"e0b7192b-66f5-4fa7-a63b-2814aad15d60","type":"WheelZoomTool"},{"id":"51949096-ec4f-4915-aade-e7f612cad063","type":"BoxZoomTool"},{"id":"3dd4d34d-7814-47e5-8b15-60298f421df9","type":"SaveTool"},{"id":"28755ff5-811f-442e-a468-712500f8c9f5","type":"ResetTool"},{"id":"18994a22-f3a8-4551-a381-9f67b8fa5734","type":"HelpTool"}]},"id":"a2e18275-155a-4008-94b1-a20c580f5660","type":"Toolbar"},{"attributes":{"overlay":{"id":"8e717f8d-3026-42bb-ac67-35daabb9d0bc","type":"BoxAnnotation"}},"id":"51949096-ec4f-4915-aade-e7f612cad063","type":"BoxZoomTool"},{"attributes":{"source":{"id":"5d4dde68-62c6-4dd7-9c75-dc104214cce5","type":"ColumnDataSource"}},"id":"6b48df43-eb26-4981-b1ca-9f5faa97716c","type":"CDSView"},{"attributes":{},"id":"18994a22-f3a8-4551-a381-9f67b8fa5734","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"99a9c421-8927-4cd6-8045-fb42b52591f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"69d76d2d-c903-4532-a2a6-2dcdd291b286","type":"LogTicker"}},"id":"12f6ff9a-c533-44cf-9f04-a160a0b76d8e","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"52f6bc8c-fe08-4920-b3c2-e06fe6e776dd","type":"Title"},{"attributes":{"num_minor_ticks":10},"id":"69d76d2d-c903-4532-a2a6-2dcdd291b286","type":"LogTicker"},{"attributes":{"data_source":{"id":"5d4dde68-62c6-4dd7-9c75-dc104214cce5","type":"ColumnDataSource"},"glyph":{"id":"11da9b96-e540-401a-948a-fcf914e67186","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"12df9fbf-276f-4e40-8149-ec6f014d9ff8","type":"Line"},"selection_glyph":null,"view":{"id":"6b48df43-eb26-4981-b1ca-9f5faa97716c","type":"CDSView"}},"id":"86ca5182-5fb3-497e-a51e-957293a6b2c6","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8e717f8d-3026-42bb-ac67-35daabb9d0bc","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"4af3f14d-a55b-43d2-8514-3425e0e67d1a","type":"Circle"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"11da9b96-e540-401a-948a-fcf914e67186","type":"Line"},{"attributes":{"ticker":null},"id":"b12dbc9e-be2d-47a3-b0eb-e519b0ef5b57","type":"LogTickFormatter"},{"attributes":{"formatter":{"id":"b12dbc9e-be2d-47a3-b0eb-e519b0ef5b57","type":"LogTickFormatter"},"plot":{"id":"99a9c421-8927-4cd6-8045-fb42b52591f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"69d76d2d-c903-4532-a2a6-2dcdd291b286","type":"LogTicker"}},"id":"dc85666e-e01b-4065-a471-433e9026f7c3","type":"LogAxis"},{"attributes":{},"id":"28755ff5-811f-442e-a468-712500f8c9f5","type":"ResetTool"},{"attributes":{},"id":"5766bbe8-8dd6-4342-a55b-6a702bc6edf5","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"80468b12-4d5c-412d-a1a9-99c2c467e031","type":"Circle"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"12df9fbf-276f-4e40-8149-ec6f014d9ff8","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"8403dcb6-697b-4b7d-b13e-2472dbbf14a3","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"99a9c421-8927-4cd6-8045-fb42b52591f7","subtype":"Figure","type":"Plot"},"ticker":{"id":"8ba90953-4b43-422c-aa7f-9b0bb8f53a58","type":"BasicTicker"}},"id":"330698d6-d6b2-42a7-9cf1-f2db4f8adc96","type":"Grid"},{"attributes":{"callback":null},"id":"e445960e-0cb0-4d8a-90fa-ac7be3c7eede","type":"DataRange1d"}],"root_ids":["99a9c421-8927-4cd6-8045-fb42b52591f7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"50be0b72-ffc3-4b97-9195-02d24d67d3cc","elementid":"d01b4d56-ed62-4f93-8f4c-e43acc13f40e","modelid":"99a9c421-8927-4cd6-8045-fb42b52591f7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
