(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fce87c86-8f22-4d3f-8551-8fb4fe034d7a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fce87c86-8f22-4d3f-8551-8fb4fe034d7a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"db01e3dc-ee13-4785-b7c1-e591b46f44f4":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dca2c816-9cab-483c-a9b5-fd9ee3aba2eb","type":"PanTool"},{"id":"53862017-0a04-4730-8602-b654c5d44ba4","type":"WheelZoomTool"},{"id":"7c530af4-a9ef-4715-9484-cef45a903879","type":"BoxZoomTool"},{"id":"0c9c4980-dced-431c-a324-546206f714ee","type":"SaveTool"},{"id":"9e135c9e-2c32-4ace-996b-16a9ef992340","type":"ResetTool"},{"id":"160fb35c-bf2e-45ae-bcf1-7f6aaf9ed36f","type":"HelpTool"}]},"id":"0c3ae58d-be74-4ec9-94a6-0ac332b44cb4","type":"Toolbar"},{"attributes":{},"id":"dca2c816-9cab-483c-a9b5-fd9ee3aba2eb","type":"PanTool"},{"attributes":{},"id":"53862017-0a04-4730-8602-b654c5d44ba4","type":"WheelZoomTool"},{"attributes":{},"id":"7fecabd7-475b-4265-96d2-f132d9cf1afe","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"c1708006-6e0b-4990-b985-8566af8e9951","type":"BasicTickFormatter"},"plot":{"id":"a700f626-ba0d-4fa8-b218-c3fffb6798fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"11852997-0c43-43a2-99ec-bda9efe89ee2","type":"BasicTicker"}},"id":"ac95f42b-eadd-4412-897f-c2d5fbcc5bf0","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"63d0ac56-fcc6-437a-99e1-097620cd4644","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"7fecabd7-475b-4265-96d2-f132d9cf1afe","type":"BasicTickFormatter"},"plot":{"id":"a700f626-ba0d-4fa8-b218-c3fffb6798fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0536e06-8e60-49d4-aab5-0ac646209fc1","type":"BasicTicker"}},"id":"3bcefedb-eea4-4f8a-9854-582aa6d8c9f6","type":"LinearAxis"},{"attributes":{"callback":null},"id":"ec83b8c7-7950-4446-ad38-426b85faeaf9","type":"DataRange1d"},{"attributes":{},"id":"fd0a82e1-1cd7-4857-a583-2c22c30fe7fe","type":"LinearScale"},{"attributes":{},"id":"160fb35c-bf2e-45ae-bcf1-7f6aaf9ed36f","type":"HelpTool"},{"attributes":{"source":{"id":"c305ca19-8e8e-416c-ab98-849a1178cc1c","type":"ColumnDataSource"}},"id":"7e82e078-1c27-476d-bb9d-ad4c1d539a97","type":"CDSView"},{"attributes":{"callback":null},"id":"4a22013c-930f-4ae0-9f6f-beb3fa42e27d","type":"DataRange1d"},{"attributes":{},"id":"9e135c9e-2c32-4ace-996b-16a9ef992340","type":"ResetTool"},{"attributes":{},"id":"c1708006-6e0b-4990-b985-8566af8e9951","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"63d0ac56-fcc6-437a-99e1-097620cd4644","type":"BoxAnnotation"}},"id":"7c530af4-a9ef-4715-9484-cef45a903879","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"a700f626-ba0d-4fa8-b218-c3fffb6798fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0536e06-8e60-49d4-aab5-0ac646209fc1","type":"BasicTicker"}},"id":"fa49a3c1-2304-470a-8a89-023f84b9fa50","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"a700f626-ba0d-4fa8-b218-c3fffb6798fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"11852997-0c43-43a2-99ec-bda9efe89ee2","type":"BasicTicker"}},"id":"074f899a-0922-4747-a7e9-8619d24665db","type":"Grid"},{"attributes":{},"id":"0c9c4980-dced-431c-a324-546206f714ee","type":"SaveTool"},{"attributes":{},"id":"b0536e06-8e60-49d4-aab5-0ac646209fc1","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"0c075de8-3959-47dd-9dbe-0060e18ac809","type":"Title"},{"attributes":{"below":[{"id":"3bcefedb-eea4-4f8a-9854-582aa6d8c9f6","type":"LinearAxis"}],"left":[{"id":"ac95f42b-eadd-4412-897f-c2d5fbcc5bf0","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3bcefedb-eea4-4f8a-9854-582aa6d8c9f6","type":"LinearAxis"},{"id":"fa49a3c1-2304-470a-8a89-023f84b9fa50","type":"Grid"},{"id":"ac95f42b-eadd-4412-897f-c2d5fbcc5bf0","type":"LinearAxis"},{"id":"074f899a-0922-4747-a7e9-8619d24665db","type":"Grid"},{"id":"63d0ac56-fcc6-437a-99e1-097620cd4644","type":"BoxAnnotation"},{"id":"7d77597e-16ff-460d-82ce-e3c17aef5827","type":"GlyphRenderer"}],"title":{"id":"0c075de8-3959-47dd-9dbe-0060e18ac809","type":"Title"},"toolbar":{"id":"0c3ae58d-be74-4ec9-94a6-0ac332b44cb4","type":"Toolbar"},"x_range":{"id":"ec83b8c7-7950-4446-ad38-426b85faeaf9","type":"DataRange1d"},"x_scale":{"id":"fd0a82e1-1cd7-4857-a583-2c22c30fe7fe","type":"LinearScale"},"y_range":{"id":"4a22013c-930f-4ae0-9f6f-beb3fa42e27d","type":"DataRange1d"},"y_scale":{"id":"32f89583-2393-416a-955e-9153ed1003ff","type":"LinearScale"}},"id":"a700f626-ba0d-4fa8-b218-c3fffb6798fe","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"32f89583-2393-416a-955e-9153ed1003ff","type":"LinearScale"},{"attributes":{},"id":"11852997-0c43-43a2-99ec-bda9efe89ee2","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5],"y":[6,7,2,4,4,5]}},"id":"c305ca19-8e8e-416c-ab98-849a1178cc1c","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8d80b929-4076-4104-8556-d76ef360d44c","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd6b0238-0361-409f-8ff2-63da37c1b9c0","type":"Line"},{"attributes":{"data_source":{"id":"c305ca19-8e8e-416c-ab98-849a1178cc1c","type":"ColumnDataSource"},"glyph":{"id":"8d80b929-4076-4104-8556-d76ef360d44c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd6b0238-0361-409f-8ff2-63da37c1b9c0","type":"Line"},"selection_glyph":null,"view":{"id":"7e82e078-1c27-476d-bb9d-ad4c1d539a97","type":"CDSView"}},"id":"7d77597e-16ff-460d-82ce-e3c17aef5827","type":"GlyphRenderer"}],"root_ids":["a700f626-ba0d-4fa8-b218-c3fffb6798fe"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"db01e3dc-ee13-4785-b7c1-e591b46f44f4","elementid":"fce87c86-8f22-4d3f-8551-8fb4fe034d7a","modelid":"a700f626-ba0d-4fa8-b218-c3fffb6798fe"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
