(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("366b2fcb-4247-406e-886e-8b5ef6b32344");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '366b2fcb-4247-406e-886e-8b5ef6b32344' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ad87a5e3-bfbf-4dd9-85b4-31d70cc635aa":{"roots":{"references":[{"attributes":{"data_source":{"id":"b65ec8c3-c988-40b6-b857-152380d5be97","type":"ColumnDataSource"},"glyph":{"id":"8d575594-a763-4997-90da-b4dee07f1b64","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b7c60925-a2cc-4dad-9cf2-835c0ab7ca61","type":"Quad"},"selection_glyph":null,"view":{"id":"8be8b69f-e59e-465d-b00c-39421b702480","type":"CDSView"}},"id":"6d410044-f29c-41e7-bdb4-1dc2b4584b8a","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"b65ec8c3-c988-40b6-b857-152380d5be97","type":"ColumnDataSource"},{"attributes":{},"id":"b3b0220c-895d-46e5-a45e-384c8d09b38c","type":"ResetTool"},{"attributes":{},"id":"ab5b85d4-7484-43da-b16e-534030170caf","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"17943b05-432f-46fc-9191-1e596b311355","type":"PanTool"},{"id":"ff3321ce-4cd7-4a76-ba62-afe5eec04c44","type":"WheelZoomTool"},{"id":"806ad80f-a060-4844-b442-525ae895dc61","type":"BoxZoomTool"},{"id":"337f186d-bca5-46b7-85ef-9ec6f0e45045","type":"SaveTool"},{"id":"b3b0220c-895d-46e5-a45e-384c8d09b38c","type":"ResetTool"},{"id":"7746ea15-100f-4ceb-975e-1e3122bee591","type":"HelpTool"}]},"id":"6f5132b0-6c38-41e9-9aa1-414e4d53d298","type":"Toolbar"},{"attributes":{"source":{"id":"b65ec8c3-c988-40b6-b857-152380d5be97","type":"ColumnDataSource"}},"id":"8be8b69f-e59e-465d-b00c-39421b702480","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"b0dc5c28-37c0-4b90-aefc-f1ef1eb8d24e","type":"Title"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"8d575594-a763-4997-90da-b4dee07f1b64","type":"Quad"},{"attributes":{},"id":"7e0bc6f0-1328-4c36-b8cd-3322ac8dd151","type":"BasicTicker"},{"attributes":{},"id":"081b8b38-95ce-4d11-8e63-64bd3cf4bdbd","type":"BasicTicker"},{"attributes":{},"id":"ded5dc4e-808a-4bfd-a1b2-2ad3ea1afb41","type":"LinearScale"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"b7c60925-a2cc-4dad-9cf2-835c0ab7ca61","type":"Quad"},{"attributes":{},"id":"337f186d-bca5-46b7-85ef-9ec6f0e45045","type":"SaveTool"},{"attributes":{},"id":"17943b05-432f-46fc-9191-1e596b311355","type":"PanTool"},{"attributes":{},"id":"ff3321ce-4cd7-4a76-ba62-afe5eec04c44","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"85badd30-567f-4022-bf8a-e09aecb9e54e","type":"BoxAnnotation"}},"id":"806ad80f-a060-4844-b442-525ae895dc61","type":"BoxZoomTool"},{"attributes":{},"id":"567790b6-50c3-4da5-8f9a-632f32fcf7a4","type":"BasicTickFormatter"},{"attributes":{},"id":"7746ea15-100f-4ceb-975e-1e3122bee591","type":"HelpTool"},{"attributes":{"callback":null},"id":"dd622318-6c13-4f86-ae51-e47056c24197","type":"DataRange1d"},{"attributes":{},"id":"ad6113e7-8fe3-4deb-ac18-3fe33ee7d475","type":"LinearScale"},{"attributes":{"below":[{"id":"c766ecd0-5181-490c-8e72-251ba33eec2c","type":"LinearAxis"}],"left":[{"id":"5b5c6977-460e-4a0c-bd33-240ed00650cd","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c766ecd0-5181-490c-8e72-251ba33eec2c","type":"LinearAxis"},{"id":"b84f41b2-56e8-4f2e-937c-93064f3449e7","type":"Grid"},{"id":"5b5c6977-460e-4a0c-bd33-240ed00650cd","type":"LinearAxis"},{"id":"e10d28e8-2088-4caa-98be-324e84fd010e","type":"Grid"},{"id":"85badd30-567f-4022-bf8a-e09aecb9e54e","type":"BoxAnnotation"},{"id":"6d410044-f29c-41e7-bdb4-1dc2b4584b8a","type":"GlyphRenderer"}],"title":{"id":"b0dc5c28-37c0-4b90-aefc-f1ef1eb8d24e","type":"Title"},"toolbar":{"id":"6f5132b0-6c38-41e9-9aa1-414e4d53d298","type":"Toolbar"},"x_range":{"id":"cd6b8970-a36c-45c1-ad0a-21430f2a0f81","type":"DataRange1d"},"x_scale":{"id":"ad6113e7-8fe3-4deb-ac18-3fe33ee7d475","type":"LinearScale"},"y_range":{"id":"dd622318-6c13-4f86-ae51-e47056c24197","type":"DataRange1d"},"y_scale":{"id":"ded5dc4e-808a-4bfd-a1b2-2ad3ea1afb41","type":"LinearScale"}},"id":"83707e4d-2abc-4aac-ae36-74076ce24f3c","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"85badd30-567f-4022-bf8a-e09aecb9e54e","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"ab5b85d4-7484-43da-b16e-534030170caf","type":"BasicTickFormatter"},"plot":{"id":"83707e4d-2abc-4aac-ae36-74076ce24f3c","subtype":"Figure","type":"Plot"},"ticker":{"id":"081b8b38-95ce-4d11-8e63-64bd3cf4bdbd","type":"BasicTicker"}},"id":"5b5c6977-460e-4a0c-bd33-240ed00650cd","type":"LinearAxis"},{"attributes":{"formatter":{"id":"567790b6-50c3-4da5-8f9a-632f32fcf7a4","type":"BasicTickFormatter"},"plot":{"id":"83707e4d-2abc-4aac-ae36-74076ce24f3c","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e0bc6f0-1328-4c36-b8cd-3322ac8dd151","type":"BasicTicker"}},"id":"c766ecd0-5181-490c-8e72-251ba33eec2c","type":"LinearAxis"},{"attributes":{"plot":{"id":"83707e4d-2abc-4aac-ae36-74076ce24f3c","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e0bc6f0-1328-4c36-b8cd-3322ac8dd151","type":"BasicTicker"}},"id":"b84f41b2-56e8-4f2e-937c-93064f3449e7","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"83707e4d-2abc-4aac-ae36-74076ce24f3c","subtype":"Figure","type":"Plot"},"ticker":{"id":"081b8b38-95ce-4d11-8e63-64bd3cf4bdbd","type":"BasicTicker"}},"id":"e10d28e8-2088-4caa-98be-324e84fd010e","type":"Grid"},{"attributes":{"callback":null},"id":"cd6b8970-a36c-45c1-ad0a-21430f2a0f81","type":"DataRange1d"}],"root_ids":["83707e4d-2abc-4aac-ae36-74076ce24f3c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ad87a5e3-bfbf-4dd9-85b4-31d70cc635aa","elementid":"366b2fcb-4247-406e-886e-8b5ef6b32344","modelid":"83707e4d-2abc-4aac-ae36-74076ce24f3c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
