(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8ad0882b-4dfd-44aa-889d-2eddeb87fc7c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8ad0882b-4dfd-44aa-889d-2eddeb87fc7c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d9ba8599-220b-46b8-8f1a-fab220695e57":{"roots":{"references":[{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c8388414-dc41-4444-8e3e-25f6775d46ef","type":"Rect"},{"attributes":{"plot":{"id":"6bae18c3-2e0b-4102-bf40-d35a89b3c4a6","subtype":"Figure","type":"Plot"},"ticker":{"id":"5ddc3b12-6310-429b-b570-c17fc83d5a52","type":"BasicTicker"}},"id":"e99957ff-843c-4790-bfb5-8e8bfcaeb93c","type":"Grid"},{"attributes":{},"id":"2e5ce02c-1052-4722-a96b-4e6921c69206","type":"BasicTicker"},{"attributes":{},"id":"bc698fc4-030e-44d6-8289-e10db5ce7d3d","type":"ResetTool"},{"attributes":{},"id":"5ddc3b12-6310-429b-b570-c17fc83d5a52","type":"BasicTicker"},{"attributes":{"overlay":{"id":"b56dcc1f-8310-4bf9-98f8-3a3404ea3d48","type":"BoxAnnotation"}},"id":"4834a9d9-3fd7-4fbd-9c73-aa1fe601299d","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b56dcc1f-8310-4bf9-98f8-3a3404ea3d48","type":"BoxAnnotation"},{"attributes":{},"id":"853ef6e7-50fb-4c10-9ea9-bd66d5c870f5","type":"SaveTool"},{"attributes":{"below":[{"id":"7e018553-3b76-4d53-93fa-a21530fc401b","type":"LinearAxis"}],"left":[{"id":"5c10f68d-77f2-4312-9c61-4345bc2a0abc","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7e018553-3b76-4d53-93fa-a21530fc401b","type":"LinearAxis"},{"id":"e99957ff-843c-4790-bfb5-8e8bfcaeb93c","type":"Grid"},{"id":"5c10f68d-77f2-4312-9c61-4345bc2a0abc","type":"LinearAxis"},{"id":"a32d3c38-8e9a-4bd1-a0c1-e2be86ec1668","type":"Grid"},{"id":"b56dcc1f-8310-4bf9-98f8-3a3404ea3d48","type":"BoxAnnotation"},{"id":"81ecc3ac-a226-49fd-b7b9-6f5357d62635","type":"GlyphRenderer"}],"title":{"id":"b5b075ec-1b82-42b2-8a92-51fe9e4e7c0e","type":"Title"},"toolbar":{"id":"7125f59b-7296-489e-9a72-6d38c7ca85a7","type":"Toolbar"},"x_range":{"id":"1085292b-e98a-46ef-8c4a-70f212c4f13d","type":"DataRange1d"},"x_scale":{"id":"fd805044-38fe-40b5-9c28-cdaa56041de6","type":"LinearScale"},"y_range":{"id":"b8907d8e-1667-4224-9175-600104f743d0","type":"DataRange1d"},"y_scale":{"id":"27cee1ca-e611-4531-b51b-fa7650934317","type":"LinearScale"}},"id":"6bae18c3-2e0b-4102-bf40-d35a89b3c4a6","subtype":"Figure","type":"Plot"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"80fd0566-ca3b-4cdd-ad15-ccca9ebe09c3","type":"Rect"},{"attributes":{},"id":"146306ef-6c78-4bd4-98d7-ab6f5ab39379","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"b5b075ec-1b82-42b2-8a92-51fe9e4e7c0e","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"6bae18c3-2e0b-4102-bf40-d35a89b3c4a6","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e5ce02c-1052-4722-a96b-4e6921c69206","type":"BasicTicker"}},"id":"a32d3c38-8e9a-4bd1-a0c1-e2be86ec1668","type":"Grid"},{"attributes":{},"id":"40784ade-c3f1-44bd-b544-1aa153c35252","type":"BasicTickFormatter"},{"attributes":{},"id":"4a690c6e-c33f-49b6-886e-0ccc32a5162c","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"b8907d8e-1667-4224-9175-600104f743d0","type":"DataRange1d"},{"attributes":{"data_source":{"id":"fac25848-fb28-4c59-bcb3-9bc10f69e9a4","type":"ColumnDataSource"},"glyph":{"id":"80fd0566-ca3b-4cdd-ad15-ccca9ebe09c3","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c8388414-dc41-4444-8e3e-25f6775d46ef","type":"Rect"},"selection_glyph":null,"view":{"id":"a14bcbe7-950b-4d3e-8558-cbfddcfa4643","type":"CDSView"}},"id":"81ecc3ac-a226-49fd-b7b9-6f5357d62635","type":"GlyphRenderer"},{"attributes":{},"id":"cddd19be-f075-42c9-bbde-0a77fee9f0e2","type":"PanTool"},{"attributes":{"source":{"id":"fac25848-fb28-4c59-bcb3-9bc10f69e9a4","type":"ColumnDataSource"}},"id":"a14bcbe7-950b-4d3e-8558-cbfddcfa4643","type":"CDSView"},{"attributes":{},"id":"27cee1ca-e611-4531-b51b-fa7650934317","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cddd19be-f075-42c9-bbde-0a77fee9f0e2","type":"PanTool"},{"id":"4a690c6e-c33f-49b6-886e-0ccc32a5162c","type":"WheelZoomTool"},{"id":"4834a9d9-3fd7-4fbd-9c73-aa1fe601299d","type":"BoxZoomTool"},{"id":"853ef6e7-50fb-4c10-9ea9-bd66d5c870f5","type":"SaveTool"},{"id":"bc698fc4-030e-44d6-8289-e10db5ce7d3d","type":"ResetTool"},{"id":"146306ef-6c78-4bd4-98d7-ab6f5ab39379","type":"HelpTool"}]},"id":"7125f59b-7296-489e-9a72-6d38c7ca85a7","type":"Toolbar"},{"attributes":{"formatter":{"id":"18f73720-a9a3-4881-a403-3d90605f81f7","type":"BasicTickFormatter"},"plot":{"id":"6bae18c3-2e0b-4102-bf40-d35a89b3c4a6","subtype":"Figure","type":"Plot"},"ticker":{"id":"5ddc3b12-6310-429b-b570-c17fc83d5a52","type":"BasicTicker"}},"id":"7e018553-3b76-4d53-93fa-a21530fc401b","type":"LinearAxis"},{"attributes":{},"id":"18f73720-a9a3-4881-a403-3d90605f81f7","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"1085292b-e98a-46ef-8c4a-70f212c4f13d","type":"DataRange1d"},{"attributes":{},"id":"fd805044-38fe-40b5-9c28-cdaa56041de6","type":"LinearScale"},{"attributes":{"formatter":{"id":"40784ade-c3f1-44bd-b544-1aa153c35252","type":"BasicTickFormatter"},"plot":{"id":"6bae18c3-2e0b-4102-bf40-d35a89b3c4a6","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e5ce02c-1052-4722-a96b-4e6921c69206","type":"BasicTicker"}},"id":"5c10f68d-77f2-4312-9c61-4345bc2a0abc","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"fac25848-fb28-4c59-bcb3-9bc10f69e9a4","type":"ColumnDataSource"}],"root_ids":["6bae18c3-2e0b-4102-bf40-d35a89b3c4a6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d9ba8599-220b-46b8-8f1a-fab220695e57","elementid":"8ad0882b-4dfd-44aa-889d-2eddeb87fc7c","modelid":"6bae18c3-2e0b-4102-bf40-d35a89b3c4a6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
