(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("602874d1-0a5a-4743-b389-4c3742e957a6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '602874d1-0a5a-4743-b389-4c3742e957a6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fc82f21f-f816-4883-a7ca-f0695ec5ac9d":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"55c99754-3ce1-4251-bad1-493be5aee2b6","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"55c99754-3ce1-4251-bad1-493be5aee2b6","type":"BoxAnnotation"}},"id":"86020b45-1a27-41ed-9a0a-9392d5e4910e","type":"BoxZoomTool"},{"attributes":{},"id":"4c19b6ef-fff7-4d5f-bfd7-af1070a35598","type":"SaveTool"},{"attributes":{},"id":"4f643bf8-6592-43f7-b799-edf3a7c7bb56","type":"BasicTicker"},{"attributes":{"data_source":{"id":"a38c27ff-8834-4415-b33f-a6629205d659","type":"ColumnDataSource"},"glyph":{"id":"0fef7d54-1cd2-404b-8076-d47aa5186045","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9972977e-2232-407c-9dbb-d783ffc70ff1","type":"VBar"},"selection_glyph":null,"view":{"id":"b2c50125-0138-4274-91c7-fbb69e60e384","type":"CDSView"}},"id":"49b7e519-813d-4647-80c4-fe23712600b3","type":"GlyphRenderer"},{"attributes":{},"id":"cb7bc559-d453-4b42-8310-cf99b87b2624","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a1e24009-afb9-4a4a-ad9c-ad5d972821fb","type":"PanTool"},{"id":"228cad30-df60-4fa6-a02d-770f98d8d7ce","type":"WheelZoomTool"},{"id":"86020b45-1a27-41ed-9a0a-9392d5e4910e","type":"BoxZoomTool"},{"id":"4c19b6ef-fff7-4d5f-bfd7-af1070a35598","type":"SaveTool"},{"id":"fff968a7-2d7c-4616-8c6c-a4f77c61d3e5","type":"ResetTool"},{"id":"c423e35e-91a0-4e78-ae46-cd7838f2811c","type":"HelpTool"}]},"id":"7e21a8e8-aaf3-4587-8082-160fe7136c66","type":"Toolbar"},{"attributes":{},"id":"c423e35e-91a0-4e78-ae46-cd7838f2811c","type":"HelpTool"},{"attributes":{"callback":null},"id":"e54c6538-6a0a-472b-8af6-e547d14e0cf0","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"a16e7cc4-eff3-4f85-a648-fb2afbb71fa1","type":"Title"},{"attributes":{},"id":"7da3ec4a-f9cd-4708-a3fa-e4676b935088","type":"LinearScale"},{"attributes":{"formatter":{"id":"dc6190ee-62f6-413e-af85-8bc0bbcf0c01","type":"BasicTickFormatter"},"plot":{"id":"a2e121fe-248b-4d51-9833-a153975b2e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"d3e6abda-0099-493e-867d-0b532282aca8","type":"BasicTicker"}},"id":"deb56dc9-3e2e-424a-961d-fb1e2dc92cfe","type":"LinearAxis"},{"attributes":{},"id":"a1e24009-afb9-4a4a-ad9c-ad5d972821fb","type":"PanTool"},{"attributes":{},"id":"d3e6abda-0099-493e-867d-0b532282aca8","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1.2,2.5,3.7],"x":[1,2,3]}},"id":"a38c27ff-8834-4415-b33f-a6629205d659","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"09da7cef-ae8b-4745-92ce-cc1d33ea8a8e","type":"LinearAxis"}],"left":[{"id":"deb56dc9-3e2e-424a-961d-fb1e2dc92cfe","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"09da7cef-ae8b-4745-92ce-cc1d33ea8a8e","type":"LinearAxis"},{"id":"cc4a6e32-5547-4157-9b84-198032e28303","type":"Grid"},{"id":"deb56dc9-3e2e-424a-961d-fb1e2dc92cfe","type":"LinearAxis"},{"id":"f4ff9ffb-0e83-43d1-977e-67123197f904","type":"Grid"},{"id":"55c99754-3ce1-4251-bad1-493be5aee2b6","type":"BoxAnnotation"},{"id":"49b7e519-813d-4647-80c4-fe23712600b3","type":"GlyphRenderer"}],"title":{"id":"a16e7cc4-eff3-4f85-a648-fb2afbb71fa1","type":"Title"},"toolbar":{"id":"7e21a8e8-aaf3-4587-8082-160fe7136c66","type":"Toolbar"},"x_range":{"id":"e54c6538-6a0a-472b-8af6-e547d14e0cf0","type":"DataRange1d"},"x_scale":{"id":"7da3ec4a-f9cd-4708-a3fa-e4676b935088","type":"LinearScale"},"y_range":{"id":"13f6e796-56d3-44db-b647-ac0dbc36387c","type":"DataRange1d"},"y_scale":{"id":"cb7bc559-d453-4b42-8310-cf99b87b2624","type":"LinearScale"}},"id":"a2e121fe-248b-4d51-9833-a153975b2e14","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"8a27bf8d-613e-40ac-87a6-e4f5dd688231","type":"BasicTickFormatter"},"plot":{"id":"a2e121fe-248b-4d51-9833-a153975b2e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f643bf8-6592-43f7-b799-edf3a7c7bb56","type":"BasicTicker"}},"id":"09da7cef-ae8b-4745-92ce-cc1d33ea8a8e","type":"LinearAxis"},{"attributes":{"plot":{"id":"a2e121fe-248b-4d51-9833-a153975b2e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f643bf8-6592-43f7-b799-edf3a7c7bb56","type":"BasicTicker"}},"id":"cc4a6e32-5547-4157-9b84-198032e28303","type":"Grid"},{"attributes":{},"id":"8a27bf8d-613e-40ac-87a6-e4f5dd688231","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"a2e121fe-248b-4d51-9833-a153975b2e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"d3e6abda-0099-493e-867d-0b532282aca8","type":"BasicTicker"}},"id":"f4ff9ffb-0e83-43d1-977e-67123197f904","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"9972977e-2232-407c-9dbb-d783ffc70ff1","type":"VBar"},{"attributes":{},"id":"dc6190ee-62f6-413e-af85-8bc0bbcf0c01","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"13f6e796-56d3-44db-b647-ac0dbc36387c","type":"DataRange1d"},{"attributes":{},"id":"228cad30-df60-4fa6-a02d-770f98d8d7ce","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"0fef7d54-1cd2-404b-8076-d47aa5186045","type":"VBar"},{"attributes":{"source":{"id":"a38c27ff-8834-4415-b33f-a6629205d659","type":"ColumnDataSource"}},"id":"b2c50125-0138-4274-91c7-fbb69e60e384","type":"CDSView"},{"attributes":{},"id":"fff968a7-2d7c-4616-8c6c-a4f77c61d3e5","type":"ResetTool"}],"root_ids":["a2e121fe-248b-4d51-9833-a153975b2e14"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fc82f21f-f816-4883-a7ca-f0695ec5ac9d","elementid":"602874d1-0a5a-4743-b389-4c3742e957a6","modelid":"a2e121fe-248b-4d51-9833-a153975b2e14"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
