(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("546158d3-4123-4de3-9ecb-fad4712057a9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '546158d3-4123-4de3-9ecb-fad4712057a9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"76689b2b-3005-4f64-8403-3173a8aa5ac2":{"roots":{"references":[{"attributes":{"below":[{"id":"3fe07c98-781c-4b9b-ad1e-6d37935851fb","type":"LinearAxis"}],"left":[{"id":"fd386183-ac9c-4b47-b6d9-c6b442b26187","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3fe07c98-781c-4b9b-ad1e-6d37935851fb","type":"LinearAxis"},{"id":"63938040-5f2c-4d94-83d8-1c90f22062e4","type":"Grid"},{"id":"fd386183-ac9c-4b47-b6d9-c6b442b26187","type":"LinearAxis"},{"id":"d175deb5-c264-4a2f-8a16-53e6bb47b1c4","type":"Grid"},{"id":"a467ac95-3678-4c8f-92fb-7b0d1b991741","type":"BoxAnnotation"},{"id":"03641790-7b61-43c1-89f3-1e0af9e69e5d","type":"GlyphRenderer"}],"title":{"id":"6fe6a5f8-ffba-45f4-be13-05d33070ec40","type":"Title"},"toolbar":{"id":"9bea8c21-ff04-45c8-b2c1-f6b17b802582","type":"Toolbar"},"x_range":{"id":"d1ddcfe1-8a29-475d-bb79-aef0158c11bd","type":"DataRange1d"},"x_scale":{"id":"589519b0-b671-4c30-bdfa-5893aa8a8ccb","type":"LinearScale"},"y_range":{"id":"bfcd4ab7-501d-44d3-848c-ca0a798298e4","type":"DataRange1d"},"y_scale":{"id":"d7714046-0cc2-4c0a-b50a-29991314f3a6","type":"LinearScale"}},"id":"a769568c-3a54-40b6-bd68-7f667f9e6373","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d645b6a5-65a9-4ccf-b25c-cae74eaffd6b","type":"BasicTickFormatter"},{"attributes":{},"id":"cddf4d2c-5b56-4a50-85d6-821de3a2f097","type":"BasicTickFormatter"},{"attributes":{},"id":"8870b58c-e4e8-43c1-ae4c-d368a7dcc509","type":"PanTool"},{"attributes":{"data_source":{"id":"40acb8bb-78f4-4d5c-9642-a66b132786f9","type":"ColumnDataSource"},"glyph":{"id":"22fad0fd-5f1b-4e7f-9f0c-f341141a0073","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"89a383e1-4c1a-4fca-8680-ffacb04be363","type":"HBar"},"selection_glyph":null,"view":{"id":"906fc15a-85b4-47ea-a6f7-0d43042f2834","type":"CDSView"}},"id":"03641790-7b61-43c1-89f3-1e0af9e69e5d","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1.2,2.5,3.7],"y":[1,2,3]}},"id":"40acb8bb-78f4-4d5c-9642-a66b132786f9","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8870b58c-e4e8-43c1-ae4c-d368a7dcc509","type":"PanTool"},{"id":"422015f6-0ce9-4b6e-9235-bccc1d9e702a","type":"WheelZoomTool"},{"id":"9c2906e0-2693-4b39-b1e7-d7f67af2ba32","type":"BoxZoomTool"},{"id":"bf11e83b-f2ab-40df-bb7a-15f1102f9b6d","type":"SaveTool"},{"id":"36d6169e-b4ce-4d47-8429-9511b242b570","type":"ResetTool"},{"id":"c9c86298-5578-4858-ba79-b5ff4da4769e","type":"HelpTool"}]},"id":"9bea8c21-ff04-45c8-b2c1-f6b17b802582","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"89a383e1-4c1a-4fca-8680-ffacb04be363","type":"HBar"},{"attributes":{"source":{"id":"40acb8bb-78f4-4d5c-9642-a66b132786f9","type":"ColumnDataSource"}},"id":"906fc15a-85b4-47ea-a6f7-0d43042f2834","type":"CDSView"},{"attributes":{},"id":"36d6169e-b4ce-4d47-8429-9511b242b570","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"6fe6a5f8-ffba-45f4-be13-05d33070ec40","type":"Title"},{"attributes":{},"id":"589519b0-b671-4c30-bdfa-5893aa8a8ccb","type":"LinearScale"},{"attributes":{"callback":null},"id":"d1ddcfe1-8a29-475d-bb79-aef0158c11bd","type":"DataRange1d"},{"attributes":{"formatter":{"id":"cddf4d2c-5b56-4a50-85d6-821de3a2f097","type":"BasicTickFormatter"},"plot":{"id":"a769568c-3a54-40b6-bd68-7f667f9e6373","subtype":"Figure","type":"Plot"},"ticker":{"id":"61f6e723-2ea2-428a-b6a1-d3cae5d54b03","type":"BasicTicker"}},"id":"fd386183-ac9c-4b47-b6d9-c6b442b26187","type":"LinearAxis"},{"attributes":{},"id":"bf11e83b-f2ab-40df-bb7a-15f1102f9b6d","type":"SaveTool"},{"attributes":{},"id":"61f6e723-2ea2-428a-b6a1-d3cae5d54b03","type":"BasicTicker"},{"attributes":{},"id":"d7714046-0cc2-4c0a-b50a-29991314f3a6","type":"LinearScale"},{"attributes":{},"id":"c9c86298-5578-4858-ba79-b5ff4da4769e","type":"HelpTool"},{"attributes":{"fill_color":{"value":"navy"},"height":{"value":0.5},"line_color":{"value":"navy"},"right":{"field":"right"},"y":{"field":"y"}},"id":"22fad0fd-5f1b-4e7f-9f0c-f341141a0073","type":"HBar"},{"attributes":{},"id":"d4ef527c-fa95-4870-8be9-62d69715ca7b","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a467ac95-3678-4c8f-92fb-7b0d1b991741","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"d645b6a5-65a9-4ccf-b25c-cae74eaffd6b","type":"BasicTickFormatter"},"plot":{"id":"a769568c-3a54-40b6-bd68-7f667f9e6373","subtype":"Figure","type":"Plot"},"ticker":{"id":"d4ef527c-fa95-4870-8be9-62d69715ca7b","type":"BasicTicker"}},"id":"3fe07c98-781c-4b9b-ad1e-6d37935851fb","type":"LinearAxis"},{"attributes":{"plot":{"id":"a769568c-3a54-40b6-bd68-7f667f9e6373","subtype":"Figure","type":"Plot"},"ticker":{"id":"d4ef527c-fa95-4870-8be9-62d69715ca7b","type":"BasicTicker"}},"id":"63938040-5f2c-4d94-83d8-1c90f22062e4","type":"Grid"},{"attributes":{},"id":"422015f6-0ce9-4b6e-9235-bccc1d9e702a","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"a467ac95-3678-4c8f-92fb-7b0d1b991741","type":"BoxAnnotation"}},"id":"9c2906e0-2693-4b39-b1e7-d7f67af2ba32","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"a769568c-3a54-40b6-bd68-7f667f9e6373","subtype":"Figure","type":"Plot"},"ticker":{"id":"61f6e723-2ea2-428a-b6a1-d3cae5d54b03","type":"BasicTicker"}},"id":"d175deb5-c264-4a2f-8a16-53e6bb47b1c4","type":"Grid"},{"attributes":{"callback":null},"id":"bfcd4ab7-501d-44d3-848c-ca0a798298e4","type":"DataRange1d"}],"root_ids":["a769568c-3a54-40b6-bd68-7f667f9e6373"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"76689b2b-3005-4f64-8403-3173a8aa5ac2","elementid":"546158d3-4123-4de3-9ecb-fad4712057a9","modelid":"a769568c-3a54-40b6-bd68-7f667f9e6373"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
