(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("77f2fe3c-5505-43c4-b308-c07e3945c18b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '77f2fe3c-5505-43c4-b308-c07e3945c18b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0677acd1-afff-44b2-8b09-7e8af88f6387":{"roots":{"references":[{"attributes":{},"id":"ab00646d-4b76-43bf-ba52-a239a84d909f","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"8a54c77b-2866-4c4a-bf63-df43b0e2266d","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"eeeb969d-d260-447b-bd03-f29c1545bd2f","type":"BasicTicker"}},"id":"b757ab93-3f01-4368-8e93-48521f042c67","type":"Grid"},{"attributes":{"below":[{"id":"edf59e60-b4ad-4744-9316-3d1af9fe62cb","type":"LinearAxis"}],"left":[{"id":"d6b3c99e-6929-4a4a-8717-76165b9edd06","type":"LinearAxis"}],"renderers":[{"id":"edf59e60-b4ad-4744-9316-3d1af9fe62cb","type":"LinearAxis"},{"id":"7ba5bd02-9da2-45af-b9d8-3e6e906f18ab","type":"Grid"},{"id":"d6b3c99e-6929-4a4a-8717-76165b9edd06","type":"LinearAxis"},{"id":"b757ab93-3f01-4368-8e93-48521f042c67","type":"Grid"},{"id":"d958a056-9632-484d-b9cb-5e18a37ac9d3","type":"BoxAnnotation"},{"id":"3af7705a-50da-42e4-bfd0-44febd6b61e9","type":"Legend"},{"id":"a68449cc-25e3-40eb-9d0b-49a58af6a5b3","type":"GlyphRenderer"}],"title":{"id":"bd15168d-caf5-44cf-aff8-4479d6b3da80","type":"Title"},"toolbar":{"id":"6775ce2e-c04a-4865-bbd9-e81b39f58423","type":"Toolbar"},"x_range":{"id":"30cc8e4c-85f8-4f46-9523-fed6722987d1","type":"DataRange1d"},"x_scale":{"id":"3056df67-7375-4999-945c-a944b726f43d","type":"LinearScale"},"y_range":{"id":"3afa53d9-a488-4f17-a7fb-30d4bac50ee3","type":"DataRange1d"},"y_scale":{"id":"dc7fd167-999b-4788-8054-1571b8241494","type":"LinearScale"}},"id":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"3afa53d9-a488-4f17-a7fb-30d4bac50ee3","type":"DataRange1d"},{"attributes":{},"id":"3056df67-7375-4999-945c-a944b726f43d","type":"LinearScale"},{"attributes":{},"id":"0b50fd93-f475-4457-aa44-a7d5c7b1a23a","type":"PanTool"},{"attributes":{"axis_label":"y","formatter":{"id":"932b4904-4ec2-4f2d-9632-b745a15c5842","type":"BasicTickFormatter"},"plot":{"id":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"eeeb969d-d260-447b-bd03-f29c1545bd2f","type":"BasicTicker"}},"id":"d6b3c99e-6929-4a4a-8717-76165b9edd06","type":"LinearAxis"},{"attributes":{},"id":"9ec78b2b-eae6-4482-8175-a281a138c02b","type":"BasicTickFormatter"},{"attributes":{"axis_label":"x","formatter":{"id":"9ec78b2b-eae6-4482-8175-a281a138c02b","type":"BasicTickFormatter"},"plot":{"id":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"e867af80-0d20-46c9-a6ef-d5b514e76891","type":"BasicTicker"}},"id":"edf59e60-b4ad-4744-9316-3d1af9fe62cb","type":"LinearAxis"},{"attributes":{},"id":"eeeb969d-d260-447b-bd03-f29c1545bd2f","type":"BasicTicker"},{"attributes":{},"id":"3c27f6cb-d176-4e2f-8c6c-7369fc5612ce","type":"SaveTool"},{"attributes":{},"id":"55856fdd-cbe1-417d-9a24-3489414ac0be","type":"ResetTool"},{"attributes":{"callback":null},"id":"30cc8e4c-85f8-4f46-9523-fed6722987d1","type":"DataRange1d"},{"attributes":{"overlay":{"id":"d958a056-9632-484d-b9cb-5e18a37ac9d3","type":"BoxAnnotation"}},"id":"a62dfd1e-9980-450e-90cc-80c6a100690e","type":"BoxZoomTool"},{"attributes":{},"id":"e867af80-0d20-46c9-a6ef-d5b514e76891","type":"BasicTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"11a7bf19-9d55-421b-b387-ff17ebd10ae7","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0b50fd93-f475-4457-aa44-a7d5c7b1a23a","type":"PanTool"},{"id":"ab00646d-4b76-43bf-ba52-a239a84d909f","type":"WheelZoomTool"},{"id":"a62dfd1e-9980-450e-90cc-80c6a100690e","type":"BoxZoomTool"},{"id":"3c27f6cb-d176-4e2f-8c6c-7369fc5612ce","type":"SaveTool"},{"id":"55856fdd-cbe1-417d-9a24-3489414ac0be","type":"ResetTool"},{"id":"b90fb506-5428-4858-810d-302abbce18f7","type":"HelpTool"}]},"id":"6775ce2e-c04a-4865-bbd9-e81b39f58423","type":"Toolbar"},{"attributes":{"plot":null,"text":"simple line example"},"id":"bd15168d-caf5-44cf-aff8-4479d6b3da80","type":"Title"},{"attributes":{},"id":"932b4904-4ec2-4f2d-9632-b745a15c5842","type":"BasicTickFormatter"},{"attributes":{"label":{"value":"Temp."},"renderers":[{"id":"a68449cc-25e3-40eb-9d0b-49a58af6a5b3","type":"GlyphRenderer"}]},"id":"c66d718a-ecdd-460c-ae2c-dd2f45254ec6","type":"LegendItem"},{"attributes":{},"id":"b90fb506-5428-4858-810d-302abbce18f7","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d958a056-9632-484d-b9cb-5e18a37ac9d3","type":"BoxAnnotation"},{"attributes":{"items":[{"id":"c66d718a-ecdd-460c-ae2c-dd2f45254ec6","type":"LegendItem"}],"plot":{"id":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b","subtype":"Figure","type":"Plot"}},"id":"3af7705a-50da-42e4-bfd0-44febd6b61e9","type":"Legend"},{"attributes":{"data_source":{"id":"8a54c77b-2866-4c4a-bf63-df43b0e2266d","type":"ColumnDataSource"},"glyph":{"id":"11a7bf19-9d55-421b-b387-ff17ebd10ae7","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e49180fd-0778-44ab-b4eb-7acd9331c13b","type":"Line"},"selection_glyph":null,"view":{"id":"455dc37b-4e5a-4490-89cc-6a9bdb57408c","type":"CDSView"}},"id":"a68449cc-25e3-40eb-9d0b-49a58af6a5b3","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e49180fd-0778-44ab-b4eb-7acd9331c13b","type":"Line"},{"attributes":{"source":{"id":"8a54c77b-2866-4c4a-bf63-df43b0e2266d","type":"ColumnDataSource"}},"id":"455dc37b-4e5a-4490-89cc-6a9bdb57408c","type":"CDSView"},{"attributes":{"plot":{"id":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"e867af80-0d20-46c9-a6ef-d5b514e76891","type":"BasicTicker"}},"id":"7ba5bd02-9da2-45af-b9d8-3e6e906f18ab","type":"Grid"},{"attributes":{},"id":"dc7fd167-999b-4788-8054-1571b8241494","type":"LinearScale"}],"root_ids":["742ecd65-7667-45e7-97d7-ffcb1be1dd5b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0677acd1-afff-44b2-8b09-7e8af88f6387","elementid":"77f2fe3c-5505-43c4-b308-c07e3945c18b","modelid":"742ecd65-7667-45e7-97d7-ffcb1be1dd5b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
