(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7a2472f7-2a23-4e73-ae37-10f09c4066e8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7a2472f7-2a23-4e73-ae37-10f09c4066e8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7b6bd7c3-eed1-43df-8b25-38dbc9c67b9c":{"roots":{"references":[{"attributes":{"ticker":null},"id":"86637898-b322-4284-9a20-631b228bbc72","type":"LogTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.1,0.5,1.0,1.5,2.0,2.5,3.0]}},"id":"c0b2e032-0dd3-423a-875f-3feb91756e78","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"log axis example"},"id":"15a4301e-669c-4c86-a07d-ce34bd258a76","type":"Title"},{"attributes":{"line_color":{"value":"red"},"x":{"field":"x"},"y":{"field":"y"}},"id":"0a9433b7-8df5-4c1b-b6e2-e8eac3e1e890","type":"Line"},{"attributes":{"data_source":{"id":"f739b248-05a2-455d-a230-2766dc75d49f","type":"ColumnDataSource"},"glyph":{"id":"8bdd7e4f-f4c8-41d9-9cad-5ab0d848fdf2","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3f3b45f9-93f0-4b2c-a2f7-8f95a91cf1f7","type":"Line"},"selection_glyph":null,"view":{"id":"778c3edb-05f9-4e79-a369-5971c86cdf55","type":"CDSView"}},"id":"28be7c03-0de2-46fb-a1d8-cd3d60a808b7","type":"GlyphRenderer"},{"attributes":{"num_minor_ticks":10},"id":"9c3d7949-5c7c-4456-83db-463b6dccc6c5","type":"LogTicker"},{"attributes":{"data_source":{"id":"045ce40c-4bda-4459-8740-ec65ffd6de48","type":"ColumnDataSource"},"glyph":{"id":"527186ba-2e34-4932-9e10-e61b5a7e4dfc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a04489fc-f18b-4e46-8f95-8d47b38dffd7","type":"Circle"},"selection_glyph":null,"view":{"id":"7371dd27-e19e-4186-b074-442bc1752b78","type":"CDSView"}},"id":"2e8418ac-5bda-492c-9997-4289fbb613b7","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"d68a9fa6-cc8b-4b65-851f-b5e37dd6b1a0","type":"BoxAnnotation"}},"id":"f83dc1a1-0507-4c2d-9edb-c948b79e671d","type":"BoxZoomTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"053c7852-6e7a-4bef-ba32-1a95a5824430","type":"Line"},{"attributes":{},"id":"192d1239-8689-440c-928c-33fbc75b05fe","type":"LogScale"},{"attributes":{},"id":"7967b836-259f-4e44-8f9c-6a3462bf6c6c","type":"PanTool"},{"attributes":{"callback":null},"id":"9bb824ff-dd5e-4350-b0f2-7e2b320945e9","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"d04110eb-24e7-42be-a9ac-9435f1971ae4","type":"Circle"},{"attributes":{"axis_label":"particles","formatter":{"id":"86637898-b322-4284-9a20-631b228bbc72","type":"LogTickFormatter"},"plot":{"id":"b6a69cf1-c98b-484f-8ff5-87d6672240dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c3d7949-5c7c-4456-83db-463b6dccc6c5","type":"LogTicker"}},"id":"61f539cb-47ff-4d63-9b67-c0769e00e0d5","type":"LogAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.1,0.5,1.0,1.5,2.0,2.5,3.0]}},"id":"8e8e9d43-d29c-4b47-bfb5-f9c931f6780d","type":"ColumnDataSource"},{"attributes":{"source":{"id":"c0b2e032-0dd3-423a-875f-3feb91756e78","type":"ColumnDataSource"}},"id":"813e97f9-158b-40fb-bc03-c383a231a635","type":"CDSView"},{"attributes":{"callback":null,"end":100000000000,"start":0.001},"id":"5c1dd76e-2b37-4a37-91d7-22354758a1d2","type":"Range1d"},{"attributes":{"label":{"value":"y=10^x"},"renderers":[{"id":"2fe4fcea-0a51-44de-bd97-bcf4fb098539","type":"GlyphRenderer"},{"id":"2e8418ac-5bda-492c-9997-4289fbb613b7","type":"GlyphRenderer"}]},"id":"fbeb3b0c-0b5b-4974-b4d2-d968f4bc0dfa","type":"LegendItem"},{"attributes":{"items":[{"id":"3250deb5-ac3c-4f96-a3a8-9447ecbc9a61","type":"LegendItem"},{"id":"32dee80d-49e0-4cd1-a0f2-c76635ca77dd","type":"LegendItem"},{"id":"fbeb3b0c-0b5b-4974-b4d2-d968f4bc0dfa","type":"LegendItem"},{"id":"56f38e71-9563-4e79-adb6-7c23a51fc264","type":"LegendItem"}],"plot":{"id":"b6a69cf1-c98b-484f-8ff5-87d6672240dc","subtype":"Figure","type":"Plot"}},"id":"3329670b-ea86-4c7a-941e-754c3f37f217","type":"Legend"},{"attributes":{},"id":"e4d6b2b6-1530-466e-80a8-0db532702d5c","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4a843284-5c31-4b2d-9966-cd207a1dc9cb","type":"Line"},{"attributes":{},"id":"e1149b55-d388-48ff-93d4-57e2233b4e88","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"045ce40c-4bda-4459-8740-ec65ffd6de48","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"298bb63c-0303-4e21-8bc3-13ac88f764e9","type":"ColumnDataSource"},"glyph":{"id":"053c7852-6e7a-4bef-ba32-1a95a5824430","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ee6fb723-a9e0-4902-85e5-790d9d5973d3","type":"Line"},"selection_glyph":null,"view":{"id":"a3638b07-aacc-4194-910f-72949d389f7b","type":"CDSView"}},"id":"119bd058-85ac-457b-852c-40f9e5e1cdc7","type":"GlyphRenderer"},{"attributes":{"axis_label":"sections","formatter":{"id":"3ff9d889-ab30-4ceb-8d58-973ed52ca2e7","type":"BasicTickFormatter"},"plot":{"id":"b6a69cf1-c98b-484f-8ff5-87d6672240dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1a325c5-a44a-4f29-92b8-f9b062aaec7d","type":"BasicTicker"}},"id":"4ad62ca5-aa0b-4471-a83d-b9aa85b1989d","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"527186ba-2e34-4932-9e10-e61b5a7e4dfc","type":"Circle"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.023292992280754,1.7782794100389228,10.0,177.82794100389228,10000.0,1778279.410038923,1000000000.0]}},"id":"f739b248-05a2-455d-a230-2766dc75d49f","type":"ColumnDataSource"},{"attributes":{"source":{"id":"298bb63c-0303-4e21-8bc3-13ac88f764e9","type":"ColumnDataSource"}},"id":"a3638b07-aacc-4194-910f-72949d389f7b","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"a04489fc-f18b-4e46-8f95-8d47b38dffd7","type":"Circle"},{"attributes":{},"id":"3ff9d889-ab30-4ceb-8d58-973ed52ca2e7","type":"BasicTickFormatter"},{"attributes":{},"id":"4a8d5fc2-ebce-4a34-ba10-834a6f3a6a85","type":"LinearScale"},{"attributes":{"label":{"value":"y=x"},"renderers":[{"id":"4c7f42f7-ce1b-44cd-9d87-b3a99f3e3e4b","type":"GlyphRenderer"},{"id":"a3859956-7d2b-4300-817b-aea66376bde3","type":"GlyphRenderer"}]},"id":"3250deb5-ac3c-4f96-a3a8-9447ecbc9a61","type":"LegendItem"},{"attributes":{"source":{"id":"f739b248-05a2-455d-a230-2766dc75d49f","type":"ColumnDataSource"}},"id":"778c3edb-05f9-4e79-a369-5971c86cdf55","type":"CDSView"},{"attributes":{},"id":"f1a325c5-a44a-4f29-92b8-f9b062aaec7d","type":"BasicTicker"},{"attributes":{"plot":{"id":"b6a69cf1-c98b-484f-8ff5-87d6672240dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1a325c5-a44a-4f29-92b8-f9b062aaec7d","type":"BasicTicker"}},"id":"a928335f-53d4-4b68-a20d-33acd9b764d1","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d68a9fa6-cc8b-4b65-851f-b5e37dd6b1a0","type":"BoxAnnotation"},{"attributes":{"source":{"id":"045ce40c-4bda-4459-8740-ec65ffd6de48","type":"ColumnDataSource"}},"id":"7371dd27-e19e-4186-b074-442bc1752b78","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"b6a69cf1-c98b-484f-8ff5-87d6672240dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c3d7949-5c7c-4456-83db-463b6dccc6c5","type":"LogTicker"}},"id":"b30eb3ae-c4ef-4666-8507-626b1a407bfb","type":"Grid"},{"attributes":{"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"de2c89e8-fcf3-4238-b6cd-19e4fcef7944","type":"Line"},{"attributes":{"data_source":{"id":"8e8e9d43-d29c-4b47-bfb5-f9c931f6780d","type":"ColumnDataSource"},"glyph":{"id":"62f74e88-65b1-4388-a464-ebd81daade91","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d04110eb-24e7-42be-a9ac-9435f1971ae4","type":"Circle"},"selection_glyph":null,"view":{"id":"e877dc6d-bd6a-4f09-a079-902b73db2755","type":"CDSView"}},"id":"a3859956-7d2b-4300-817b-aea66376bde3","type":"GlyphRenderer"},{"attributes":{"source":{"id":"c597f676-7905-4703-8a2f-034b692a6ab6","type":"ColumnDataSource"}},"id":"cc21dbd1-d728-46ea-9baa-a5381bcb7cd3","type":"CDSView"},{"attributes":{"label":{"value":"y=10^x^2"},"renderers":[{"id":"28be7c03-0de2-46fb-a1d8-cd3d60a808b7","type":"GlyphRenderer"}]},"id":"56f38e71-9563-4e79-adb6-7c23a51fc264","type":"LegendItem"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7967b836-259f-4e44-8f9c-6a3462bf6c6c","type":"PanTool"},{"id":"f83dc1a1-0507-4c2d-9edb-c948b79e671d","type":"BoxZoomTool"},{"id":"e1149b55-d388-48ff-93d4-57e2233b4e88","type":"ResetTool"},{"id":"e4d6b2b6-1530-466e-80a8-0db532702d5c","type":"SaveTool"}]},"id":"78c5e557-b785-4aff-83df-c402ab01ed5e","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.010000000000000002,0.25,1.0,2.25,4.0,6.25,9.0]}},"id":"298bb63c-0303-4e21-8bc3-13ac88f764e9","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"orange"},"line_dash":[4,4],"x":{"field":"x"},"y":{"field":"y"}},"id":"8bdd7e4f-f4c8-41d9-9cad-5ab0d848fdf2","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_dash":[4,4],"x":{"field":"x"},"y":{"field":"y"}},"id":"3f3b45f9-93f0-4b2c-a2f7-8f95a91cf1f7","type":"Line"},{"attributes":{"label":{"value":"y=x^2"},"renderers":[{"id":"119bd058-85ac-457b-852c-40f9e5e1cdc7","type":"GlyphRenderer"}]},"id":"32dee80d-49e0-4cd1-a0f2-c76635ca77dd","type":"LegendItem"},{"attributes":{"below":[{"id":"4ad62ca5-aa0b-4471-a83d-b9aa85b1989d","type":"LinearAxis"}],"left":[{"id":"61f539cb-47ff-4d63-9b67-c0769e00e0d5","type":"LogAxis"}],"renderers":[{"id":"4ad62ca5-aa0b-4471-a83d-b9aa85b1989d","type":"LinearAxis"},{"id":"a928335f-53d4-4b68-a20d-33acd9b764d1","type":"Grid"},{"id":"61f539cb-47ff-4d63-9b67-c0769e00e0d5","type":"LogAxis"},{"id":"b30eb3ae-c4ef-4666-8507-626b1a407bfb","type":"Grid"},{"id":"d68a9fa6-cc8b-4b65-851f-b5e37dd6b1a0","type":"BoxAnnotation"},{"id":"3329670b-ea86-4c7a-941e-754c3f37f217","type":"Legend"},{"id":"4c7f42f7-ce1b-44cd-9d87-b3a99f3e3e4b","type":"GlyphRenderer"},{"id":"a3859956-7d2b-4300-817b-aea66376bde3","type":"GlyphRenderer"},{"id":"119bd058-85ac-457b-852c-40f9e5e1cdc7","type":"GlyphRenderer"},{"id":"2fe4fcea-0a51-44de-bd97-bcf4fb098539","type":"GlyphRenderer"},{"id":"2e8418ac-5bda-492c-9997-4289fbb613b7","type":"GlyphRenderer"},{"id":"28be7c03-0de2-46fb-a1d8-cd3d60a808b7","type":"GlyphRenderer"}],"title":{"id":"15a4301e-669c-4c86-a07d-ce34bd258a76","type":"Title"},"toolbar":{"id":"78c5e557-b785-4aff-83df-c402ab01ed5e","type":"Toolbar"},"x_range":{"id":"9bb824ff-dd5e-4350-b0f2-7e2b320945e9","type":"DataRange1d"},"x_scale":{"id":"4a8d5fc2-ebce-4a34-ba10-834a6f3a6a85","type":"LinearScale"},"y_range":{"id":"5c1dd76e-2b37-4a37-91d7-22354758a1d2","type":"Range1d"},"y_scale":{"id":"192d1239-8689-440c-928c-33fbc75b05fe","type":"LogScale"}},"id":"b6a69cf1-c98b-484f-8ff5-87d6672240dc","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"8e8e9d43-d29c-4b47-bfb5-f9c931f6780d","type":"ColumnDataSource"}},"id":"e877dc6d-bd6a-4f09-a079-902b73db2755","type":"CDSView"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"62f74e88-65b1-4388-a464-ebd81daade91","type":"Circle"},{"attributes":{"data_source":{"id":"c597f676-7905-4703-8a2f-034b692a6ab6","type":"ColumnDataSource"},"glyph":{"id":"0a9433b7-8df5-4c1b-b6e2-e8eac3e1e890","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"70173dca-7d03-4361-abab-f32fdb94e8ad","type":"Line"},"selection_glyph":null,"view":{"id":"cc21dbd1-d728-46ea-9baa-a5381bcb7cd3","type":"CDSView"}},"id":"2fe4fcea-0a51-44de-bd97-bcf4fb098539","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"c597f676-7905-4703-8a2f-034b692a6ab6","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"70173dca-7d03-4361-abab-f32fdb94e8ad","type":"Line"},{"attributes":{"data_source":{"id":"c0b2e032-0dd3-423a-875f-3feb91756e78","type":"ColumnDataSource"},"glyph":{"id":"de2c89e8-fcf3-4238-b6cd-19e4fcef7944","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4a843284-5c31-4b2d-9966-cd207a1dc9cb","type":"Line"},"selection_glyph":null,"view":{"id":"813e97f9-158b-40fb-bc03-c383a231a635","type":"CDSView"}},"id":"4c7f42f7-ce1b-44cd-9d87-b3a99f3e3e4b","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"ee6fb723-a9e0-4902-85e5-790d9d5973d3","type":"Line"}],"root_ids":["b6a69cf1-c98b-484f-8ff5-87d6672240dc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7b6bd7c3-eed1-43df-8b25-38dbc9c67b9c","elementid":"7a2472f7-2a23-4e73-ae37-10f09c4066e8","modelid":"b6a69cf1-c98b-484f-8ff5-87d6672240dc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
