(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7dcba6af-3854-497e-b8ba-ebd45a8075f3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7dcba6af-3854-497e-b8ba-ebd45a8075f3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c441a541-0621-4e08-84c8-39228b4ce50f":{"roots":{"references":[{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"a1758b93-1565-445e-a442-4327feca77ca","type":"Circle"},{"attributes":{"callback":null},"id":"0b8791bf-e0a1-4572-8cd5-cb85492a30f9","type":"DataRange1d"},{"attributes":{"formatter":{"id":"a121b6a6-7239-4c61-bc7b-e58a0bdb497e","type":"BasicTickFormatter"},"plot":{"id":"377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa","subtype":"Figure","type":"Plot"},"ticker":{"id":"d756dfca-fbb9-485f-9d62-2821615b9cd6","type":"BasicTicker"}},"id":"1d7eb495-ce9f-46f7-a27e-e267d6060c8c","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"93254da1-eae4-4b7f-a10b-26b1aa584664","type":"TapTool"}]},"id":"d97fd08d-bd97-4f42-a7cc-c21d61638df8","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa","subtype":"Figure","type":"Plot"},"ticker":{"id":"a08280c5-52fa-4015-9414-47cd06b4af8e","type":"BasicTicker"}},"id":"b1a4ad3d-585a-453e-8dbd-65070fb6f4d4","type":"Grid"},{"attributes":{"callback":null},"id":"93254da1-eae4-4b7f-a10b-26b1aa584664","type":"TapTool"},{"attributes":{"source":{"id":"34561c1e-cdc0-4fa1-a13c-a56c4105c5f2","type":"ColumnDataSource"}},"id":"a503c109-f8c9-4768-9133-e33ca79dded6","type":"CDSView"},{"attributes":{"callback":null},"id":"e895b1f7-cc17-47ef-a2c5-96f0dc52596d","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"bb78ace8-98c1-4a2f-880a-11e071e4247b","type":"Circle"},{"attributes":{"formatter":{"id":"a56109d5-b847-41f2-a5e8-667be1f93d3f","type":"BasicTickFormatter"},"plot":{"id":"377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa","subtype":"Figure","type":"Plot"},"ticker":{"id":"a08280c5-52fa-4015-9414-47cd06b4af8e","type":"BasicTicker"}},"id":"4fe7b554-3ce1-43ee-a5a1-e63eeaa234dd","type":"LinearAxis"},{"attributes":{},"id":"a121b6a6-7239-4c61-bc7b-e58a0bdb497e","type":"BasicTickFormatter"},{"attributes":{},"id":"a56109d5-b847-41f2-a5e8-667be1f93d3f","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"1d7eb495-ce9f-46f7-a27e-e267d6060c8c","type":"LinearAxis"}],"left":[{"id":"4fe7b554-3ce1-43ee-a5a1-e63eeaa234dd","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1d7eb495-ce9f-46f7-a27e-e267d6060c8c","type":"LinearAxis"},{"id":"28f54bf9-9e50-4c08-ab26-506f79188a0a","type":"Grid"},{"id":"4fe7b554-3ce1-43ee-a5a1-e63eeaa234dd","type":"LinearAxis"},{"id":"b1a4ad3d-585a-453e-8dbd-65070fb6f4d4","type":"Grid"},{"id":"005af8a4-e34a-4a10-8480-e48f544214c4","type":"GlyphRenderer"}],"title":{"id":"cf7b7cac-6e78-4df6-98ed-86acaf33615f","type":"Title"},"toolbar":{"id":"d97fd08d-bd97-4f42-a7cc-c21d61638df8","type":"Toolbar"},"x_range":{"id":"e895b1f7-cc17-47ef-a2c5-96f0dc52596d","type":"DataRange1d"},"x_scale":{"id":"0e30f4ba-6e92-4c54-8c88-31c9cf5f3fb4","type":"LinearScale"},"y_range":{"id":"0b8791bf-e0a1-4572-8cd5-cb85492a30f9","type":"DataRange1d"},"y_scale":{"id":"0609866f-e6d9-4ce6-bbdc-972c076cae4b","type":"LinearScale"}},"id":"377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"34561c1e-cdc0-4fa1-a13c-a56c4105c5f2","type":"ColumnDataSource"},"glyph":{"id":"3e297d85-9831-4c4f-97b0-57c876fc47cb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bb78ace8-98c1-4a2f-880a-11e071e4247b","type":"Circle"},"selection_glyph":{"id":"a1758b93-1565-445e-a442-4327feca77ca","type":"Circle"},"view":{"id":"a503c109-f8c9-4768-9133-e33ca79dded6","type":"CDSView"}},"id":"005af8a4-e34a-4a10-8480-e48f544214c4","type":"GlyphRenderer"},{"attributes":{},"id":"a08280c5-52fa-4015-9414-47cd06b4af8e","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"cf7b7cac-6e78-4df6-98ed-86acaf33615f","type":"Title"},{"attributes":{},"id":"0e30f4ba-6e92-4c54-8c88-31c9cf5f3fb4","type":"LinearScale"},{"attributes":{},"id":"d756dfca-fbb9-485f-9d62-2821615b9cd6","type":"BasicTicker"},{"attributes":{},"id":"0609866f-e6d9-4ce6-bbdc-972c076cae4b","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"3e297d85-9831-4c4f-97b0-57c876fc47cb","type":"Circle"},{"attributes":{"plot":{"id":"377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa","subtype":"Figure","type":"Plot"},"ticker":{"id":"d756dfca-fbb9-485f-9d62-2821615b9cd6","type":"BasicTicker"}},"id":"28f54bf9-9e50-4c08-ab26-506f79188a0a","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"34561c1e-cdc0-4fa1-a13c-a56c4105c5f2","type":"ColumnDataSource"}],"root_ids":["377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c441a541-0621-4e08-84c8-39228b4ce50f","elementid":"7dcba6af-3854-497e-b8ba-ebd45a8075f3","modelid":"377d0e1c-e84a-491e-ab0a-4d6bb7fa8cfa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
