(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0936ec1e-5715-49a4-a4e2-d923b5f04566");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0936ec1e-5715-49a4-a4e2-d923b5f04566' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c8818b65-e3ac-407f-aac7-6d0f5e016fe4":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8d0f8bb9-6db8-4a70-986d-8e608176b2b3","type":"BoxAnnotation"},{"attributes":{"source":{"id":"1a1de501-c198-4972-9fe1-351f25030994","type":"ColumnDataSource"}},"id":"b2b8c5e9-a08c-44f2-9730-464c552299cc","type":"CDSView"},{"attributes":{},"id":"fca515ed-4e31-469e-acf1-e4afc213fc86","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fca515ed-4e31-469e-acf1-e4afc213fc86","type":"PanTool"},{"id":"ae3f08f2-8ce0-4ed7-8196-a1f740fcfde4","type":"WheelZoomTool"},{"id":"e2433f73-4afa-45ca-910f-9b0ed6201496","type":"BoxZoomTool"},{"id":"33908d74-9eda-45d9-a56f-965f35396276","type":"SaveTool"},{"id":"2d0daaa8-e0ad-4201-8187-5ae310055c36","type":"ResetTool"},{"id":"fc79e01a-725a-4b68-a00b-71a0c5d58741","type":"HelpTool"}]},"id":"90912a8c-ae0d-4e4a-bbc4-08cd64ebee65","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1f6622c0-a3cd-433d-aacc-3a1cbd2d7c46","type":"Circle"},{"attributes":{},"id":"b7875888-80c7-4c5b-b59f-026028c1fdce","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"807a2721-07f4-4e29-adaa-c2baa20902a5","type":"Title"},{"attributes":{"formatter":{"id":"e4f30b3c-a933-4160-a354-8585aa09e7b6","type":"BasicTickFormatter"},"plot":{"id":"1a2e15ab-2cf4-454f-86e3-6a337890b2d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"04c67eef-5f75-4de9-b99b-b354656f8a0d","type":"BasicTicker"}},"id":"7dfdc6e8-c9e2-4f12-b3c3-42102bf8c764","type":"LinearAxis"},{"attributes":{"data_source":{"id":"1a1de501-c198-4972-9fe1-351f25030994","type":"ColumnDataSource"},"glyph":{"id":"1f6622c0-a3cd-433d-aacc-3a1cbd2d7c46","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b1d54042-e4e7-4df9-af45-bc73a1472ed6","type":"Circle"},"selection_glyph":null,"view":{"id":"b2b8c5e9-a08c-44f2-9730-464c552299cc","type":"CDSView"}},"id":"dfdb236b-cbf1-4132-bdfe-153fa502f3f8","type":"GlyphRenderer"},{"attributes":{},"id":"e4f30b3c-a933-4160-a354-8585aa09e7b6","type":"BasicTickFormatter"},{"attributes":{},"id":"4d102dec-07e9-452f-b6a3-153c324d013d","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"1a1de501-c198-4972-9fe1-351f25030994","type":"ColumnDataSource"},{"attributes":{},"id":"33908d74-9eda-45d9-a56f-965f35396276","type":"SaveTool"},{"attributes":{},"id":"ae3f08f2-8ce0-4ed7-8196-a1f740fcfde4","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"1a2e15ab-2cf4-454f-86e3-6a337890b2d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"1352b2db-a6e9-4a69-8b50-44ede0f9f1cc","type":"BasicTicker"}},"id":"ea2fe515-93cd-4675-b20e-d2178dd41e8f","type":"Grid"},{"attributes":{},"id":"fc79e01a-725a-4b68-a00b-71a0c5d58741","type":"HelpTool"},{"attributes":{},"id":"04c67eef-5f75-4de9-b99b-b354656f8a0d","type":"BasicTicker"},{"attributes":{"overlay":{"id":"8d0f8bb9-6db8-4a70-986d-8e608176b2b3","type":"BoxAnnotation"}},"id":"e2433f73-4afa-45ca-910f-9b0ed6201496","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"78517bdf-3190-40a5-945b-87fc9182cdfa","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b1d54042-e4e7-4df9-af45-bc73a1472ed6","type":"Circle"},{"attributes":{"callback":null},"id":"7a269837-c079-44bd-b611-251b12347adc","type":"DataRange1d"},{"attributes":{},"id":"2d0daaa8-e0ad-4201-8187-5ae310055c36","type":"ResetTool"},{"attributes":{},"id":"ed0e9a17-b994-4e30-86ed-b69f5137d7c4","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"1c436bb0-165a-481c-9462-2a65c27e9c6c","type":"LinearAxis"}],"left":[{"id":"7dfdc6e8-c9e2-4f12-b3c3-42102bf8c764","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1c436bb0-165a-481c-9462-2a65c27e9c6c","type":"LinearAxis"},{"id":"ea2fe515-93cd-4675-b20e-d2178dd41e8f","type":"Grid"},{"id":"7dfdc6e8-c9e2-4f12-b3c3-42102bf8c764","type":"LinearAxis"},{"id":"0c22f268-ec6c-4cd7-ab63-a6900b71bf11","type":"Grid"},{"id":"8d0f8bb9-6db8-4a70-986d-8e608176b2b3","type":"BoxAnnotation"},{"id":"dfdb236b-cbf1-4132-bdfe-153fa502f3f8","type":"GlyphRenderer"}],"title":{"id":"807a2721-07f4-4e29-adaa-c2baa20902a5","type":"Title"},"toolbar":{"id":"90912a8c-ae0d-4e4a-bbc4-08cd64ebee65","type":"Toolbar"},"x_range":{"id":"78517bdf-3190-40a5-945b-87fc9182cdfa","type":"DataRange1d"},"x_scale":{"id":"4d102dec-07e9-452f-b6a3-153c324d013d","type":"LinearScale"},"y_range":{"id":"7a269837-c079-44bd-b611-251b12347adc","type":"DataRange1d"},"y_scale":{"id":"b7875888-80c7-4c5b-b59f-026028c1fdce","type":"LinearScale"}},"id":"1a2e15ab-2cf4-454f-86e3-6a337890b2d0","subtype":"Figure","type":"Plot"},{"attributes":{"bounds":[2,4],"formatter":{"id":"ed0e9a17-b994-4e30-86ed-b69f5137d7c4","type":"BasicTickFormatter"},"plot":{"id":"1a2e15ab-2cf4-454f-86e3-6a337890b2d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"1352b2db-a6e9-4a69-8b50-44ede0f9f1cc","type":"BasicTicker"}},"id":"1c436bb0-165a-481c-9462-2a65c27e9c6c","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"1a2e15ab-2cf4-454f-86e3-6a337890b2d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"04c67eef-5f75-4de9-b99b-b354656f8a0d","type":"BasicTicker"}},"id":"0c22f268-ec6c-4cd7-ab63-a6900b71bf11","type":"Grid"},{"attributes":{},"id":"1352b2db-a6e9-4a69-8b50-44ede0f9f1cc","type":"BasicTicker"}],"root_ids":["1a2e15ab-2cf4-454f-86e3-6a337890b2d0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c8818b65-e3ac-407f-aac7-6d0f5e016fe4","elementid":"0936ec1e-5715-49a4-a4e2-d923b5f04566","modelid":"1a2e15ab-2cf4-454f-86e3-6a337890b2d0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
