(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("84ca6435-afc6-42be-85ab-f3150f3d71af");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '84ca6435-afc6-42be-85ab-f3150f3d71af' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"46bd796d-bd3d-4c1b-a33a-8b095d617ffa":{"roots":{"references":[{"attributes":{},"id":"986208d0-e2db-474c-80e2-c0e79e0fca89","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3f320d70-f2d7-42a4-9558-0efe43b825ac","type":"BoxAnnotation"},{"attributes":{},"id":"4d49467b-16db-4e87-84a6-3d95519dd67a","type":"HelpTool"},{"attributes":{"data_source":{"id":"e50d339c-cc16-458f-8d43-03ff1f4069ac","type":"ColumnDataSource"},"glyph":{"id":"3e365747-f19a-4949-b10c-e52f0f678e2f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"57fdcf3c-b436-4736-9dee-75f82d3e694b","type":"Circle"},"selection_glyph":null,"view":{"id":"7c5d28c6-2b79-43e9-99e0-33c5dfb50aed","type":"CDSView"}},"id":"676d4133-1c88-4c58-8d11-4a31bc2843a1","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"4115bfff-ff6c-4a4f-aa6d-cf39ec410870","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"4811f05f-57b5-49ae-9314-9d4c2221c21c","type":"Title"},{"attributes":{},"id":"500cd934-f0e2-497b-8f66-ba87abf9a4dd","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"bb02afb6-628e-436f-96f4-24654dba33e7","type":"LinearAxis"}],"left":[{"id":"5f94bb4a-7fa6-4a2f-b9a1-71bf53b48adb","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"bb02afb6-628e-436f-96f4-24654dba33e7","type":"LinearAxis"},{"id":"bbb39ec4-b281-492d-98af-6aa9c7fcfbd3","type":"Grid"},{"id":"5f94bb4a-7fa6-4a2f-b9a1-71bf53b48adb","type":"LinearAxis"},{"id":"8f89594c-2625-43a8-800f-35d8acafa36d","type":"Grid"},{"id":"3f320d70-f2d7-42a4-9558-0efe43b825ac","type":"BoxAnnotation"},{"id":"676d4133-1c88-4c58-8d11-4a31bc2843a1","type":"GlyphRenderer"}],"title":{"id":"4811f05f-57b5-49ae-9314-9d4c2221c21c","type":"Title"},"toolbar":{"id":"28a7de36-19f5-4137-ba93-8338c0ac95b3","type":"Toolbar"},"x_range":{"id":"4115bfff-ff6c-4a4f-aa6d-cf39ec410870","type":"DataRange1d"},"x_scale":{"id":"18f0ce46-e01f-4a4c-a43b-9f7f4cc43438","type":"LinearScale"},"y_range":{"id":"b8bbe6f6-dc49-463d-8171-b3afd9987c05","type":"DataRange1d"},"y_scale":{"id":"bcbc3140-c881-473c-a366-c70748803390","type":"LinearScale"}},"id":"5f636ea7-8073-4f9f-8411-4687307cf61a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"bcbc3140-c881-473c-a366-c70748803390","type":"LinearScale"},{"attributes":{},"id":"88e8e918-0da0-40cc-846e-b8502d63bf9e","type":"BasicTickFormatter"},{"attributes":{"ticks":[2,3.5,4]},"id":"56fb0d29-7939-451a-95a5-e784c4c136bf","type":"FixedTicker"},{"attributes":{},"id":"18f0ce46-e01f-4a4c-a43b-9f7f4cc43438","type":"LinearScale"},{"attributes":{"callback":null},"id":"b8bbe6f6-dc49-463d-8171-b3afd9987c05","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d9154498-3920-4404-911a-66ec502b7385","type":"PanTool"},{"id":"500cd934-f0e2-497b-8f66-ba87abf9a4dd","type":"WheelZoomTool"},{"id":"fdbae650-4cec-4aef-8ae5-34636a681836","type":"BoxZoomTool"},{"id":"8f56a8ac-7cd0-4b16-894b-bfa65165c410","type":"SaveTool"},{"id":"986208d0-e2db-474c-80e2-c0e79e0fca89","type":"ResetTool"},{"id":"4d49467b-16db-4e87-84a6-3d95519dd67a","type":"HelpTool"}]},"id":"28a7de36-19f5-4137-ba93-8338c0ac95b3","type":"Toolbar"},{"attributes":{"overlay":{"id":"3f320d70-f2d7-42a4-9558-0efe43b825ac","type":"BoxAnnotation"}},"id":"fdbae650-4cec-4aef-8ae5-34636a681836","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"88e8e918-0da0-40cc-846e-b8502d63bf9e","type":"BasicTickFormatter"},"plot":{"id":"5f636ea7-8073-4f9f-8411-4687307cf61a","subtype":"Figure","type":"Plot"},"ticker":{"id":"6e6f42bc-d764-4b95-9dd8-64c52c68cc79","type":"BasicTicker"}},"id":"5f94bb4a-7fa6-4a2f-b9a1-71bf53b48adb","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3e365747-f19a-4949-b10c-e52f0f678e2f","type":"Circle"},{"attributes":{"plot":{"id":"5f636ea7-8073-4f9f-8411-4687307cf61a","subtype":"Figure","type":"Plot"},"ticker":{"id":"92efaefb-73de-4981-86de-e91805921373","type":"BasicTicker"}},"id":"bbb39ec4-b281-492d-98af-6aa9c7fcfbd3","type":"Grid"},{"attributes":{},"id":"92efaefb-73de-4981-86de-e91805921373","type":"BasicTicker"},{"attributes":{},"id":"8f56a8ac-7cd0-4b16-894b-bfa65165c410","type":"SaveTool"},{"attributes":{},"id":"d9154498-3920-4404-911a-66ec502b7385","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"5f636ea7-8073-4f9f-8411-4687307cf61a","subtype":"Figure","type":"Plot"},"ticker":{"id":"6e6f42bc-d764-4b95-9dd8-64c52c68cc79","type":"BasicTicker"}},"id":"8f89594c-2625-43a8-800f-35d8acafa36d","type":"Grid"},{"attributes":{},"id":"6e6f42bc-d764-4b95-9dd8-64c52c68cc79","type":"BasicTicker"},{"attributes":{"formatter":{"id":"b221f982-9c35-47c1-b0e3-8acc3cfce42c","type":"BasicTickFormatter"},"plot":{"id":"5f636ea7-8073-4f9f-8411-4687307cf61a","subtype":"Figure","type":"Plot"},"ticker":{"id":"56fb0d29-7939-451a-95a5-e784c4c136bf","type":"FixedTicker"}},"id":"bb02afb6-628e-436f-96f4-24654dba33e7","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e50d339c-cc16-458f-8d43-03ff1f4069ac","type":"ColumnDataSource"},{"attributes":{},"id":"b221f982-9c35-47c1-b0e3-8acc3cfce42c","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"57fdcf3c-b436-4736-9dee-75f82d3e694b","type":"Circle"},{"attributes":{"source":{"id":"e50d339c-cc16-458f-8d43-03ff1f4069ac","type":"ColumnDataSource"}},"id":"7c5d28c6-2b79-43e9-99e0-33c5dfb50aed","type":"CDSView"}],"root_ids":["5f636ea7-8073-4f9f-8411-4687307cf61a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"46bd796d-bd3d-4c1b-a33a-8b095d617ffa","elementid":"84ca6435-afc6-42be-85ab-f3150f3d71af","modelid":"5f636ea7-8073-4f9f-8411-4687307cf61a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
