(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e4b5b9f3-fbcf-4e81-8821-5dd21c8f1f7b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e4b5b9f3-fbcf-4e81-8821-5dd21c8f1f7b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2964303b-772f-43b7-a5fa-f76ea765d70c":{"roots":{"references":[{"attributes":{},"id":"d8ff1c18-cf5f-49eb-b209-db4d5e955fe8","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b","subtype":"Figure","type":"Plot"},"ticker":{"id":"8894ee7c-4117-4bec-9c89-c3c1cd206a06","type":"BasicTicker"}},"id":"27afa766-ad68-4967-9b42-5b41b31f2f9c","type":"Grid"},{"attributes":{"callback":null},"id":"8c754c1b-1128-48c7-9550-00b692110c66","type":"DataRange1d"},{"attributes":{"overlay":{"id":"dd3f857f-549a-4b78-9abf-9900a4a15302","type":"BoxAnnotation"}},"id":"f6f17a62-adf5-4a1c-987e-b2142a6e3195","type":"BoxZoomTool"},{"attributes":{},"id":"c3d7abc4-7ed3-43a8-86be-66e81931698f","type":"HelpTool"},{"attributes":{"formatter":{"id":"f01ec89f-1a7c-44f4-98bd-048fcd97154a","type":"BasicTickFormatter"},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":null},"minor_tick_out":8,"plot":{"id":"a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4bea806b-f194-4123-b0ea-06f632138d08","type":"BasicTicker"}},"id":"5cb34739-c3b1-4cea-99b9-1b719f725d28","type":"LinearAxis"},{"attributes":{"formatter":{"id":"f321550e-bafe-4cb2-8ea2-1dc0c39c6517","type":"BasicTickFormatter"},"major_tick_line_color":{"value":"firebrick"},"major_tick_line_width":{"value":3},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":"orange"},"minor_tick_out":8,"plot":{"id":"a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b","subtype":"Figure","type":"Plot"},"ticker":{"id":"8894ee7c-4117-4bec-9c89-c3c1cd206a06","type":"BasicTicker"}},"id":"8630a6a6-4398-4649-aef8-e5fdf82a76fb","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ed27a781-57fc-4aaf-af32-8d0181ea7ea8","type":"Circle"},{"attributes":{},"id":"395ef40e-d3fe-4546-a8bc-2c658698e5cd","type":"SaveTool"},{"attributes":{"data_source":{"id":"ebb891a1-5927-4230-8f68-c2cc9a71db95","type":"ColumnDataSource"},"glyph":{"id":"ed27a781-57fc-4aaf-af32-8d0181ea7ea8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ae1d5a68-4222-413f-8d05-0c85ff5781bb","type":"Circle"},"selection_glyph":null,"view":{"id":"5ec189d6-59a5-4c51-872d-7fb0fec4ac1a","type":"CDSView"}},"id":"50bf7de6-4f54-4e2e-b51d-c6154daba7bf","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ae1d5a68-4222-413f-8d05-0c85ff5781bb","type":"Circle"},{"attributes":{"source":{"id":"ebb891a1-5927-4230-8f68-c2cc9a71db95","type":"ColumnDataSource"}},"id":"5ec189d6-59a5-4c51-872d-7fb0fec4ac1a","type":"CDSView"},{"attributes":{},"id":"4bea806b-f194-4123-b0ea-06f632138d08","type":"BasicTicker"},{"attributes":{},"id":"deb27b4e-8bb2-4d51-a42c-4974a49cd0fa","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"ebb891a1-5927-4230-8f68-c2cc9a71db95","type":"ColumnDataSource"},{"attributes":{},"id":"f321550e-bafe-4cb2-8ea2-1dc0c39c6517","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"8630a6a6-4398-4649-aef8-e5fdf82a76fb","type":"LinearAxis"}],"left":[{"id":"5cb34739-c3b1-4cea-99b9-1b719f725d28","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8630a6a6-4398-4649-aef8-e5fdf82a76fb","type":"LinearAxis"},{"id":"27afa766-ad68-4967-9b42-5b41b31f2f9c","type":"Grid"},{"id":"5cb34739-c3b1-4cea-99b9-1b719f725d28","type":"LinearAxis"},{"id":"70d32da3-329a-4826-850a-666edd6642b1","type":"Grid"},{"id":"dd3f857f-549a-4b78-9abf-9900a4a15302","type":"BoxAnnotation"},{"id":"50bf7de6-4f54-4e2e-b51d-c6154daba7bf","type":"GlyphRenderer"}],"title":{"id":"cda62146-4068-49d0-8a3b-3f254543bfe5","type":"Title"},"toolbar":{"id":"85ddcfcd-d36a-4498-bdaa-3cfac0cf079d","type":"Toolbar"},"x_range":{"id":"b89aaeb1-5b6a-4971-8753-a34c8729abd8","type":"DataRange1d"},"x_scale":{"id":"d8f32ffc-af05-48c6-ae5f-008e899b8e7f","type":"LinearScale"},"y_range":{"id":"8c754c1b-1128-48c7-9550-00b692110c66","type":"DataRange1d"},"y_scale":{"id":"4a5d65e9-eb79-4f2e-b49a-48f28bd8d538","type":"LinearScale"}},"id":"a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4bea806b-f194-4123-b0ea-06f632138d08","type":"BasicTicker"}},"id":"70d32da3-329a-4826-850a-666edd6642b1","type":"Grid"},{"attributes":{},"id":"f01ec89f-1a7c-44f4-98bd-048fcd97154a","type":"BasicTickFormatter"},{"attributes":{},"id":"d8f32ffc-af05-48c6-ae5f-008e899b8e7f","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"dd3f857f-549a-4b78-9abf-9900a4a15302","type":"BoxAnnotation"},{"attributes":{},"id":"4a5d65e9-eb79-4f2e-b49a-48f28bd8d538","type":"LinearScale"},{"attributes":{},"id":"8894ee7c-4117-4bec-9c89-c3c1cd206a06","type":"BasicTicker"},{"attributes":{},"id":"88e4e860-1aa5-47fd-ada0-4f5562c5c21d","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"88e4e860-1aa5-47fd-ada0-4f5562c5c21d","type":"PanTool"},{"id":"d8ff1c18-cf5f-49eb-b209-db4d5e955fe8","type":"WheelZoomTool"},{"id":"f6f17a62-adf5-4a1c-987e-b2142a6e3195","type":"BoxZoomTool"},{"id":"395ef40e-d3fe-4546-a8bc-2c658698e5cd","type":"SaveTool"},{"id":"deb27b4e-8bb2-4d51-a42c-4974a49cd0fa","type":"ResetTool"},{"id":"c3d7abc4-7ed3-43a8-86be-66e81931698f","type":"HelpTool"}]},"id":"85ddcfcd-d36a-4498-bdaa-3cfac0cf079d","type":"Toolbar"},{"attributes":{"callback":null},"id":"b89aaeb1-5b6a-4971-8753-a34c8729abd8","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"cda62146-4068-49d0-8a3b-3f254543bfe5","type":"Title"}],"root_ids":["a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2964303b-772f-43b7-a5fa-f76ea765d70c","elementid":"e4b5b9f3-fbcf-4e81-8821-5dd21c8f1f7b","modelid":"a91163c1-2cc7-43b3-a76f-4fa67a4a5b0b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
