(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1d047185-1686-4d20-b417-d1d148fa1ed2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1d047185-1686-4d20-b417-d1d148fa1ed2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"70b31342-8cd1-450d-a6a4-98c0fdb1da3d":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eb582a49-cd8c-4d3f-be3e-cc3d65183b19","type":"PanTool"},{"id":"2958f66d-1eb0-4092-92cb-b61e25153dd5","type":"WheelZoomTool"},{"id":"9082371c-d48d-4fb8-8099-31c7484b0c0b","type":"BoxZoomTool"},{"id":"b5e2cfa4-bc3c-46b9-b977-765fc7232721","type":"SaveTool"},{"id":"fe24b3ff-bb3e-460c-82c8-436a402f40fa","type":"ResetTool"},{"id":"633fba3d-0733-4db3-9d97-c11e5e360e17","type":"HelpTool"}]},"id":"331634c5-c347-4a89-86c2-5871b8eb5e18","type":"Toolbar"},{"attributes":{"callback":null},"id":"227154c0-432c-4ecd-8be4-53ceadb499f1","type":"DataRange1d"},{"attributes":{"data_source":{"id":"5797a8f8-e0e8-404e-9beb-43e2828de7aa","type":"ColumnDataSource"},"glyph":{"id":"1a93e412-fc2e-4793-9138-7928547fc5d9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7df3e727-a121-482c-a3e0-d2948806d825","type":"Circle"},"selection_glyph":null,"view":{"id":"1d7e1246-5bcc-418f-bdab-d7f38c98a435","type":"CDSView"}},"id":"5f5efe3c-abac-4069-8b85-774538fb52d8","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"e26dfeed-2f15-4bbb-87c0-05a6b5e4fe3c","type":"NumeralTickFormatter"},"plot":{"id":"ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d439ee9-eb7b-4a89-a8d1-dbf741e982c0","type":"BasicTicker"}},"id":"001ac898-eb8b-4b86-a662-5dd607833934","type":"LinearAxis"},{"attributes":{},"id":"fe24b3ff-bb3e-460c-82c8-436a402f40fa","type":"ResetTool"},{"attributes":{"below":[{"id":"76b3c2ba-50e0-4f19-83af-9986072faecf","type":"LinearAxis"}],"left":[{"id":"001ac898-eb8b-4b86-a662-5dd607833934","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"76b3c2ba-50e0-4f19-83af-9986072faecf","type":"LinearAxis"},{"id":"37f046a3-d76b-4fcc-9a53-a7a0e573df38","type":"Grid"},{"id":"001ac898-eb8b-4b86-a662-5dd607833934","type":"LinearAxis"},{"id":"6b76d1ff-a887-49a1-be3a-ec93e7d50325","type":"Grid"},{"id":"4212b385-8c05-4da1-b014-4033ef7ed346","type":"BoxAnnotation"},{"id":"5f5efe3c-abac-4069-8b85-774538fb52d8","type":"GlyphRenderer"}],"title":{"id":"2f4a888e-4994-405f-9d6f-dd27864deccc","type":"Title"},"toolbar":{"id":"331634c5-c347-4a89-86c2-5871b8eb5e18","type":"Toolbar"},"x_range":{"id":"d6c53b5b-bdc7-486c-8353-a5e8ec8af7da","type":"DataRange1d"},"x_scale":{"id":"3ba3f1aa-816a-46a1-9d4b-14b2b276e827","type":"LinearScale"},"y_range":{"id":"227154c0-432c-4ecd-8be4-53ceadb499f1","type":"DataRange1d"},"y_scale":{"id":"af1c0a50-5b5a-457b-bfb1-44d1da4ec9be","type":"LinearScale"}},"id":"ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1","subtype":"Figure","type":"Plot"},{"attributes":{"format":"0.0%"},"id":"e045bb00-7b03-44f7-9c02-3e9577c19d64","type":"NumeralTickFormatter"},{"attributes":{"callback":null},"id":"d6c53b5b-bdc7-486c-8353-a5e8ec8af7da","type":"DataRange1d"},{"attributes":{},"id":"b5e2cfa4-bc3c-46b9-b977-765fc7232721","type":"SaveTool"},{"attributes":{},"id":"eb582a49-cd8c-4d3f-be3e-cc3d65183b19","type":"PanTool"},{"attributes":{},"id":"3ba3f1aa-816a-46a1-9d4b-14b2b276e827","type":"LinearScale"},{"attributes":{},"id":"2d439ee9-eb7b-4a89-a8d1-dbf741e982c0","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5797a8f8-e0e8-404e-9beb-43e2828de7aa","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7df3e727-a121-482c-a3e0-d2948806d825","type":"Circle"},{"attributes":{"format":"$0.00"},"id":"e26dfeed-2f15-4bbb-87c0-05a6b5e4fe3c","type":"NumeralTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d439ee9-eb7b-4a89-a8d1-dbf741e982c0","type":"BasicTicker"}},"id":"6b76d1ff-a887-49a1-be3a-ec93e7d50325","type":"Grid"},{"attributes":{},"id":"633fba3d-0733-4db3-9d97-c11e5e360e17","type":"HelpTool"},{"attributes":{"source":{"id":"5797a8f8-e0e8-404e-9beb-43e2828de7aa","type":"ColumnDataSource"}},"id":"1d7e1246-5bcc-418f-bdab-d7f38c98a435","type":"CDSView"},{"attributes":{},"id":"d3bb0f22-967e-4c4b-8f3e-462091170ff2","type":"BasicTicker"},{"attributes":{"formatter":{"id":"e045bb00-7b03-44f7-9c02-3e9577c19d64","type":"NumeralTickFormatter"},"plot":{"id":"ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1","subtype":"Figure","type":"Plot"},"ticker":{"id":"d3bb0f22-967e-4c4b-8f3e-462091170ff2","type":"BasicTicker"}},"id":"76b3c2ba-50e0-4f19-83af-9986072faecf","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1a93e412-fc2e-4793-9138-7928547fc5d9","type":"Circle"},{"attributes":{"plot":{"id":"ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1","subtype":"Figure","type":"Plot"},"ticker":{"id":"d3bb0f22-967e-4c4b-8f3e-462091170ff2","type":"BasicTicker"}},"id":"37f046a3-d76b-4fcc-9a53-a7a0e573df38","type":"Grid"},{"attributes":{"overlay":{"id":"4212b385-8c05-4da1-b014-4033ef7ed346","type":"BoxAnnotation"}},"id":"9082371c-d48d-4fb8-8099-31c7484b0c0b","type":"BoxZoomTool"},{"attributes":{},"id":"2958f66d-1eb0-4092-92cb-b61e25153dd5","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4212b385-8c05-4da1-b014-4033ef7ed346","type":"BoxAnnotation"},{"attributes":{},"id":"af1c0a50-5b5a-457b-bfb1-44d1da4ec9be","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"2f4a888e-4994-405f-9d6f-dd27864deccc","type":"Title"}],"root_ids":["ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"70b31342-8cd1-450d-a6a4-98c0fdb1da3d","elementid":"1d047185-1686-4d20-b417-d1d148fa1ed2","modelid":"ebbcbcf3-ccd1-4c64-a62f-78f5b0527ba1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
