(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7a75a35d-41bc-4a85-841d-8215d41295b8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7a75a35d-41bc-4a85-841d-8215d41295b8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"330f3f31-876e-4044-bc25-772deecd86b9":{"roots":{"references":[{"attributes":{"formatter":{"id":"73c42ab9-3e07-483e-8fb3-2d0965c2db9a","type":"PrintfTickFormatter"},"plot":{"id":"8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"39e4cf6c-fea0-4e2c-8036-7489af6797d2","type":"BasicTicker"}},"id":"103f1ae0-412e-4052-bf71-4ebc9640bb52","type":"LinearAxis"},{"attributes":{},"id":"5a95f12e-8d97-43d6-adca-17e3b5c535ed","type":"BasicTicker"},{"attributes":{"plot":{"id":"8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"39e4cf6c-fea0-4e2c-8036-7489af6797d2","type":"BasicTicker"}},"id":"09d2e912-2e2b-4ea9-8af8-9867f0265cfd","type":"Grid"},{"attributes":{},"id":"39e4cf6c-fea0-4e2c-8036-7489af6797d2","type":"BasicTicker"},{"attributes":{"data_source":{"id":"40dc5def-bbf8-4e47-b757-558e58d5154c","type":"ColumnDataSource"},"glyph":{"id":"8eb085b9-61c7-40a6-a82c-4061ce7f28c5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c4af4e40-0ebf-43b0-860f-857623adb657","type":"Circle"},"selection_glyph":null,"view":{"id":"5bab1724-ff9d-4665-8e2c-b63c5c2d5142","type":"CDSView"}},"id":"3b03d11e-9259-413d-9f9e-363123489f12","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"98cdcbdf-282b-4f88-949b-7ce54a4be33f","type":"BoxAnnotation"}},"id":"36791e80-3187-48b9-a95d-7542c3b61581","type":"BoxZoomTool"},{"attributes":{},"id":"4a374b16-c22d-49cf-8d32-888782cbb8f5","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4a374b16-c22d-49cf-8d32-888782cbb8f5","type":"PanTool"},{"id":"3ff92f9a-f80e-44f4-a485-54acdbd8d781","type":"WheelZoomTool"},{"id":"36791e80-3187-48b9-a95d-7542c3b61581","type":"BoxZoomTool"},{"id":"a8d486ef-b814-41a7-a00e-2a2cafeefee8","type":"SaveTool"},{"id":"81f91724-932d-4c9e-85d6-e39739e0698d","type":"ResetTool"},{"id":"4f3fc072-dcf9-4d06-a9d5-bed8502b224b","type":"HelpTool"}]},"id":"e3505156-b9c8-4828-a02a-fe493acac270","type":"Toolbar"},{"attributes":{"callback":null},"id":"1865900e-0e17-4681-a1f4-99282973adec","type":"DataRange1d"},{"attributes":{},"id":"a8d486ef-b814-41a7-a00e-2a2cafeefee8","type":"SaveTool"},{"attributes":{"callback":null},"id":"52e0455e-c700-431a-9c4b-b84455029317","type":"DataRange1d"},{"attributes":{"format":"%4.1e"},"id":"73c42ab9-3e07-483e-8fb3-2d0965c2db9a","type":"PrintfTickFormatter"},{"attributes":{},"id":"4f3fc072-dcf9-4d06-a9d5-bed8502b224b","type":"HelpTool"},{"attributes":{"formatter":{"id":"8f8894ae-1f9e-471f-bf53-42aa9889addd","type":"PrintfTickFormatter"},"plot":{"id":"8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a95f12e-8d97-43d6-adca-17e3b5c535ed","type":"BasicTicker"}},"id":"cb46a14e-377b-4f46-bf59-c58b29e4c3b2","type":"LinearAxis"},{"attributes":{},"id":"3ff92f9a-f80e-44f4-a485-54acdbd8d781","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"98cdcbdf-282b-4f88-949b-7ce54a4be33f","type":"BoxAnnotation"},{"attributes":{"source":{"id":"40dc5def-bbf8-4e47-b757-558e58d5154c","type":"ColumnDataSource"}},"id":"5bab1724-ff9d-4665-8e2c-b63c5c2d5142","type":"CDSView"},{"attributes":{"below":[{"id":"103f1ae0-412e-4052-bf71-4ebc9640bb52","type":"LinearAxis"}],"left":[{"id":"cb46a14e-377b-4f46-bf59-c58b29e4c3b2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"103f1ae0-412e-4052-bf71-4ebc9640bb52","type":"LinearAxis"},{"id":"09d2e912-2e2b-4ea9-8af8-9867f0265cfd","type":"Grid"},{"id":"cb46a14e-377b-4f46-bf59-c58b29e4c3b2","type":"LinearAxis"},{"id":"6622589c-0aa1-4fbd-9cef-a663c73ba65f","type":"Grid"},{"id":"98cdcbdf-282b-4f88-949b-7ce54a4be33f","type":"BoxAnnotation"},{"id":"3b03d11e-9259-413d-9f9e-363123489f12","type":"GlyphRenderer"}],"title":{"id":"de7c33a6-1b00-410f-907a-82718cf0235d","type":"Title"},"toolbar":{"id":"e3505156-b9c8-4828-a02a-fe493acac270","type":"Toolbar"},"x_range":{"id":"1865900e-0e17-4681-a1f4-99282973adec","type":"DataRange1d"},"x_scale":{"id":"86a8d390-e3f2-494f-8cd0-5ffa3e9e2654","type":"LinearScale"},"y_range":{"id":"52e0455e-c700-431a-9c4b-b84455029317","type":"DataRange1d"},"y_scale":{"id":"338e2cbc-ac4e-4aa2-a5de-1226981e1d39","type":"LinearScale"}},"id":"8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"86a8d390-e3f2-494f-8cd0-5ffa3e9e2654","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8eb085b9-61c7-40a6-a82c-4061ce7f28c5","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c4af4e40-0ebf-43b0-860f-857623adb657","type":"Circle"},{"attributes":{},"id":"81f91724-932d-4c9e-85d6-e39739e0698d","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"de7c33a6-1b00-410f-907a-82718cf0235d","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"40dc5def-bbf8-4e47-b757-558e58d5154c","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a95f12e-8d97-43d6-adca-17e3b5c535ed","type":"BasicTicker"}},"id":"6622589c-0aa1-4fbd-9cef-a663c73ba65f","type":"Grid"},{"attributes":{"format":"%5.3f mu"},"id":"8f8894ae-1f9e-471f-bf53-42aa9889addd","type":"PrintfTickFormatter"},{"attributes":{},"id":"338e2cbc-ac4e-4aa2-a5de-1226981e1d39","type":"LinearScale"}],"root_ids":["8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"330f3f31-876e-4044-bc25-772deecd86b9","elementid":"7a75a35d-41bc-4a85-841d-8215d41295b8","modelid":"8ac2c9ba-1d8e-4e7a-9bc9-8a0b325d0f6a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
