(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dd3c7675-afe9-4115-a5ac-c311470c2690");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dd3c7675-afe9-4115-a5ac-c311470c2690' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4f72d252-dc70-47e7-a296-7c01a3838a0a":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e76e9a2f-06d7-4ccf-b10b-be5b05f0fa24","type":"PanTool"},{"id":"7dc2befd-8a58-4093-9a72-c3a1d20ce07b","type":"WheelZoomTool"},{"id":"c25e6dad-a93e-4bdc-81bf-29c2469256b6","type":"BoxZoomTool"},{"id":"56dc22f6-8aa9-4fe0-b420-54ffac721e25","type":"SaveTool"},{"id":"e6ff930f-7fbf-4962-a249-6db03af45e85","type":"ResetTool"},{"id":"253ebb84-2ca5-4cb7-b498-06a6d5dc4c27","type":"HelpTool"}]},"id":"deba68ac-626b-46d8-9db7-c8f677355164","type":"Toolbar"},{"attributes":{"callback":null},"id":"02f1c382-caf6-40a6-a12a-3154da59a0dd","type":"DataRange1d"},{"attributes":{},"id":"e76e9a2f-06d7-4ccf-b10b-be5b05f0fa24","type":"PanTool"},{"attributes":{"overlay":{"id":"ff9a275e-a28c-48ec-8b2a-30990a542688","type":"BoxAnnotation"}},"id":"c25e6dad-a93e-4bdc-81bf-29c2469256b6","type":"BoxZoomTool"},{"attributes":{},"id":"56dc22f6-8aa9-4fe0-b420-54ffac721e25","type":"SaveTool"},{"attributes":{"dimension":1,"grid_line_alpha":{"value":0.5},"grid_line_dash":[6,4],"plot":{"id":"5deda9af-5115-4486-8546-e94de6930676","subtype":"Figure","type":"Plot"},"ticker":{"id":"02b20b0a-a71d-4fff-9c36-1c7fcb9a7baa","type":"BasicTicker"}},"id":"ead0c382-62b7-490b-bf11-c948907a3a2a","type":"Grid"},{"attributes":{},"id":"e6ff930f-7fbf-4962-a249-6db03af45e85","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dd69470c-5cc9-41f4-9880-1961b56c5acb","type":"Circle"},{"attributes":{},"id":"253ebb84-2ca5-4cb7-b498-06a6d5dc4c27","type":"HelpTool"},{"attributes":{},"id":"ed9dd981-1672-4419-a61f-d00271f55963","type":"BasicTickFormatter"},{"attributes":{},"id":"7dc2befd-8a58-4093-9a72-c3a1d20ce07b","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"ffa23b18-4442-4e17-83ef-e9e4f36fac15","type":"ColumnDataSource"},"glyph":{"id":"32c4ffd5-0cdf-45c5-aac6-397f89a15c0c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dd69470c-5cc9-41f4-9880-1961b56c5acb","type":"Circle"},"selection_glyph":null,"view":{"id":"eaba028e-330f-416b-8717-903d50c07a1e","type":"CDSView"}},"id":"5b1e3a87-7683-4918-a707-514a9ee6469b","type":"GlyphRenderer"},{"attributes":{},"id":"0a01ef3b-fb79-4ddc-aa1d-fa52cbeb71ea","type":"LinearScale"},{"attributes":{"source":{"id":"ffa23b18-4442-4e17-83ef-e9e4f36fac15","type":"ColumnDataSource"}},"id":"eaba028e-330f-416b-8717-903d50c07a1e","type":"CDSView"},{"attributes":{"formatter":{"id":"c7febb5e-78dd-4577-b649-1be6f68bc46f","type":"BasicTickFormatter"},"plot":{"id":"5deda9af-5115-4486-8546-e94de6930676","subtype":"Figure","type":"Plot"},"ticker":{"id":"32f01993-9da8-4b6f-a84e-9ed72e76e8d7","type":"BasicTicker"}},"id":"625effab-d267-4740-89b0-9ff2b063945c","type":"LinearAxis"},{"attributes":{},"id":"c7febb5e-78dd-4577-b649-1be6f68bc46f","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"7bf80a01-cdef-4460-b220-8bee2c5d7c6c","type":"DataRange1d"},{"attributes":{},"id":"02b20b0a-a71d-4fff-9c36-1c7fcb9a7baa","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"ffa23b18-4442-4e17-83ef-e9e4f36fac15","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ff9a275e-a28c-48ec-8b2a-30990a542688","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"91bf0b39-8da5-4905-bdd4-e5d9c52917ed","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"32c4ffd5-0cdf-45c5-aac6-397f89a15c0c","type":"Circle"},{"attributes":{},"id":"32f01993-9da8-4b6f-a84e-9ed72e76e8d7","type":"BasicTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"5deda9af-5115-4486-8546-e94de6930676","subtype":"Figure","type":"Plot"},"ticker":{"id":"32f01993-9da8-4b6f-a84e-9ed72e76e8d7","type":"BasicTicker"}},"id":"2f677de4-211d-41a2-ba46-6cda0c9a03fd","type":"Grid"},{"attributes":{"below":[{"id":"625effab-d267-4740-89b0-9ff2b063945c","type":"LinearAxis"}],"left":[{"id":"1f4474c7-bba7-423b-b820-ccefd0d8c554","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"625effab-d267-4740-89b0-9ff2b063945c","type":"LinearAxis"},{"id":"2f677de4-211d-41a2-ba46-6cda0c9a03fd","type":"Grid"},{"id":"1f4474c7-bba7-423b-b820-ccefd0d8c554","type":"LinearAxis"},{"id":"ead0c382-62b7-490b-bf11-c948907a3a2a","type":"Grid"},{"id":"ff9a275e-a28c-48ec-8b2a-30990a542688","type":"BoxAnnotation"},{"id":"5b1e3a87-7683-4918-a707-514a9ee6469b","type":"GlyphRenderer"}],"title":{"id":"91bf0b39-8da5-4905-bdd4-e5d9c52917ed","type":"Title"},"toolbar":{"id":"deba68ac-626b-46d8-9db7-c8f677355164","type":"Toolbar"},"x_range":{"id":"02f1c382-caf6-40a6-a12a-3154da59a0dd","type":"DataRange1d"},"x_scale":{"id":"9336a0f8-06d1-4494-b8b6-d770d9eaf192","type":"LinearScale"},"y_range":{"id":"7bf80a01-cdef-4460-b220-8bee2c5d7c6c","type":"DataRange1d"},"y_scale":{"id":"0a01ef3b-fb79-4ddc-aa1d-fa52cbeb71ea","type":"LinearScale"}},"id":"5deda9af-5115-4486-8546-e94de6930676","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"ed9dd981-1672-4419-a61f-d00271f55963","type":"BasicTickFormatter"},"plot":{"id":"5deda9af-5115-4486-8546-e94de6930676","subtype":"Figure","type":"Plot"},"ticker":{"id":"02b20b0a-a71d-4fff-9c36-1c7fcb9a7baa","type":"BasicTicker"}},"id":"1f4474c7-bba7-423b-b820-ccefd0d8c554","type":"LinearAxis"},{"attributes":{},"id":"9336a0f8-06d1-4494-b8b6-d770d9eaf192","type":"LinearScale"}],"root_ids":["5deda9af-5115-4486-8546-e94de6930676"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4f72d252-dc70-47e7-a296-7c01a3838a0a","elementid":"dd3c7675-afe9-4115-a5ac-c311470c2690","modelid":"5deda9af-5115-4486-8546-e94de6930676"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
