(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8ed8eef1-be21-4948-83c6-2a8f7f144327");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8ed8eef1-be21-4948-83c6-2a8f7f144327' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2110c122-f075-4f45-abbf-ac36e7ecb5c8":{"roots":{"references":[{"attributes":{"callback":null},"id":"6bd6ad1c-cfdc-4bf6-b435-abeec07bdd7f","type":"DataRange1d"},{"attributes":{},"id":"c0565ab6-de8b-459c-9445-223203ab9b9c","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"33d32a1b-23fa-4885-8fd1-6f4ff0a98470","subtype":"Figure","type":"Plot"},"ticker":{"id":"127644f3-9b33-4222-86ac-8620fae1f3b4","type":"BasicTicker"}},"id":"0bd3d6a4-c474-42bb-bf65-1d04a48dcc3d","type":"Grid"},{"attributes":{"dimension":1,"minor_grid_line_alpha":{"value":0.1},"minor_grid_line_color":{"value":"navy"},"plot":{"id":"33d32a1b-23fa-4885-8fd1-6f4ff0a98470","subtype":"Figure","type":"Plot"},"ticker":{"id":"39b7a51f-e20a-412e-89a0-c6e0ddc97f8e","type":"BasicTicker"}},"id":"6c6d1f54-5250-4031-9ee6-da6a069b17cd","type":"Grid"},{"attributes":{},"id":"127644f3-9b33-4222-86ac-8620fae1f3b4","type":"BasicTicker"},{"attributes":{},"id":"00b36d19-d9ef-4786-9f9a-734a63b60dc8","type":"BasicTickFormatter"},{"attributes":{},"id":"23b97e3c-f886-427d-83d8-2d10490bef93","type":"LinearScale"},{"attributes":{"below":[{"id":"76193d16-41d9-427e-b3a8-0e8b104fc9b6","type":"LinearAxis"}],"left":[{"id":"1aeeaa30-f5a0-4472-9abc-f09f46109342","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"76193d16-41d9-427e-b3a8-0e8b104fc9b6","type":"LinearAxis"},{"id":"0bd3d6a4-c474-42bb-bf65-1d04a48dcc3d","type":"Grid"},{"id":"1aeeaa30-f5a0-4472-9abc-f09f46109342","type":"LinearAxis"},{"id":"6c6d1f54-5250-4031-9ee6-da6a069b17cd","type":"Grid"},{"id":"a39dd81f-fdfe-4609-b97d-2f89932b51b1","type":"BoxAnnotation"},{"id":"b1503880-fd2b-40e3-bfda-11fcb9df142e","type":"GlyphRenderer"}],"title":{"id":"a9548659-5b97-4510-92a5-e65a09c4ebc6","type":"Title"},"toolbar":{"id":"1986588c-032f-4aeb-b5a1-24151f532bc9","type":"Toolbar"},"x_range":{"id":"52d1caf5-9e25-4669-9ee3-70e18086e505","type":"DataRange1d"},"x_scale":{"id":"e01acea7-86b4-407e-9919-92e8dbf5af8e","type":"LinearScale"},"y_range":{"id":"6bd6ad1c-cfdc-4bf6-b435-abeec07bdd7f","type":"DataRange1d"},"y_scale":{"id":"23b97e3c-f886-427d-83d8-2d10490bef93","type":"LinearScale"}},"id":"33d32a1b-23fa-4885-8fd1-6f4ff0a98470","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"00b36d19-d9ef-4786-9f9a-734a63b60dc8","type":"BasicTickFormatter"},"plot":{"id":"33d32a1b-23fa-4885-8fd1-6f4ff0a98470","subtype":"Figure","type":"Plot"},"ticker":{"id":"127644f3-9b33-4222-86ac-8620fae1f3b4","type":"BasicTicker"}},"id":"76193d16-41d9-427e-b3a8-0e8b104fc9b6","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"a9548659-5b97-4510-92a5-e65a09c4ebc6","type":"Title"},{"attributes":{},"id":"c5a8cf3a-21b9-4680-b1ca-2631e6d51333","type":"PanTool"},{"attributes":{"overlay":{"id":"a39dd81f-fdfe-4609-b97d-2f89932b51b1","type":"BoxAnnotation"}},"id":"edf9d0b7-8dc8-4590-9077-83ab923533af","type":"BoxZoomTool"},{"attributes":{"source":{"id":"5e19450b-fef3-4454-aeb9-07c3d4134740","type":"ColumnDataSource"}},"id":"ef968238-bc8f-429c-8c3e-d64fb00abefc","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2fcb94c8-f865-4a42-a421-a67cd8923e85","type":"Circle"},{"attributes":{},"id":"0e39550d-b870-451a-8668-e213e30327a0","type":"BasicTickFormatter"},{"attributes":{},"id":"39b7a51f-e20a-412e-89a0-c6e0ddc97f8e","type":"BasicTicker"},{"attributes":{},"id":"4ef8181a-d524-49d3-a49e-98c49204ef33","type":"SaveTool"},{"attributes":{"callback":null},"id":"52d1caf5-9e25-4669-9ee3-70e18086e505","type":"DataRange1d"},{"attributes":{"formatter":{"id":"0e39550d-b870-451a-8668-e213e30327a0","type":"BasicTickFormatter"},"plot":{"id":"33d32a1b-23fa-4885-8fd1-6f4ff0a98470","subtype":"Figure","type":"Plot"},"ticker":{"id":"39b7a51f-e20a-412e-89a0-c6e0ddc97f8e","type":"BasicTicker"}},"id":"1aeeaa30-f5a0-4472-9abc-f09f46109342","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5e19450b-fef3-4454-aeb9-07c3d4134740","type":"ColumnDataSource"},"glyph":{"id":"2fcb94c8-f865-4a42-a421-a67cd8923e85","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a1e849dd-9dd0-40ef-8786-973e7dc09546","type":"Circle"},"selection_glyph":null,"view":{"id":"ef968238-bc8f-429c-8c3e-d64fb00abefc","type":"CDSView"}},"id":"b1503880-fd2b-40e3-bfda-11fcb9df142e","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c5a8cf3a-21b9-4680-b1ca-2631e6d51333","type":"PanTool"},{"id":"c0565ab6-de8b-459c-9445-223203ab9b9c","type":"WheelZoomTool"},{"id":"edf9d0b7-8dc8-4590-9077-83ab923533af","type":"BoxZoomTool"},{"id":"4ef8181a-d524-49d3-a49e-98c49204ef33","type":"SaveTool"},{"id":"e6ef45ea-0d17-4b08-a4b7-3731065ab921","type":"ResetTool"},{"id":"99ee54a0-915c-4666-9546-902d79d471ca","type":"HelpTool"}]},"id":"1986588c-032f-4aeb-b5a1-24151f532bc9","type":"Toolbar"},{"attributes":{},"id":"e6ef45ea-0d17-4b08-a4b7-3731065ab921","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a1e849dd-9dd0-40ef-8786-973e7dc09546","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a39dd81f-fdfe-4609-b97d-2f89932b51b1","type":"BoxAnnotation"},{"attributes":{},"id":"e01acea7-86b4-407e-9919-92e8dbf5af8e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5e19450b-fef3-4454-aeb9-07c3d4134740","type":"ColumnDataSource"},{"attributes":{},"id":"99ee54a0-915c-4666-9546-902d79d471ca","type":"HelpTool"}],"root_ids":["33d32a1b-23fa-4885-8fd1-6f4ff0a98470"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2110c122-f075-4f45-abbf-ac36e7ecb5c8","elementid":"8ed8eef1-be21-4948-83c6-2a8f7f144327","modelid":"33d32a1b-23fa-4885-8fd1-6f4ff0a98470"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
