(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ed1ffaba-7f20-4f87-a463-308ab27b733b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ed1ffaba-7f20-4f87-a463-308ab27b733b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6ffe8400-3714-4d57-9c54-8504485c8c43":{"roots":{"references":[{"attributes":{},"id":"e6425a5f-a189-4dec-973a-e38b4c559754","type":"BasicTicker"},{"attributes":{"source":{"id":"4ef07b43-4006-489c-9cee-47078079ad65","type":"ColumnDataSource"}},"id":"2df6c367-fa9b-44b5-869c-ba4841536f3a","type":"CDSView"},{"attributes":{"below":[{"id":"ea256b4a-7efd-49f7-bdee-b9a5a805de40","type":"LinearAxis"}],"left":[{"id":"83302b7e-0320-45e2-8789-b377dc9fb43a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ea256b4a-7efd-49f7-bdee-b9a5a805de40","type":"LinearAxis"},{"id":"5e68e5d5-7729-4fbd-90f0-858fd73f2b2b","type":"Grid"},{"id":"83302b7e-0320-45e2-8789-b377dc9fb43a","type":"LinearAxis"},{"id":"ad85cbfc-2711-42d9-ad26-7d8c31ed4637","type":"Grid"},{"id":"b5b2b7d6-c5db-4a6e-b70c-a5f65d89f0d6","type":"BoxAnnotation"},{"id":"4872039f-2a36-4666-a013-fa94b3b25c25","type":"GlyphRenderer"}],"title":{"id":"97008024-f004-4716-afaa-035eb669cc23","type":"Title"},"toolbar":{"id":"401c648e-4797-4980-8a6c-3d2229546049","type":"Toolbar"},"x_range":{"id":"8d66e5fd-8643-464f-a375-d820635b3626","type":"DataRange1d"},"x_scale":{"id":"5ec7af68-28c9-4fb2-af68-7cd357b92a2b","type":"LinearScale"},"y_range":{"id":"5daf0364-24b1-4ff0-b89d-b4ad7d9f07e9","type":"DataRange1d"},"y_scale":{"id":"2bcec678-e2e9-4cb0-9c9c-58620d3c5696","type":"LinearScale"}},"id":"55915b3c-5663-48ca-a844-23d85349fe5b","subtype":"Figure","type":"Plot"},{"attributes":{"band_fill_alpha":{"value":0.1},"band_fill_color":{"value":"navy"},"dimension":1,"plot":{"id":"55915b3c-5663-48ca-a844-23d85349fe5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"108db275-166b-4f4e-8239-7917a2691e57","type":"BasicTicker"}},"id":"ad85cbfc-2711-42d9-ad26-7d8c31ed4637","type":"Grid"},{"attributes":{"callback":null},"id":"5daf0364-24b1-4ff0-b89d-b4ad7d9f07e9","type":"DataRange1d"},{"attributes":{"overlay":{"id":"b5b2b7d6-c5db-4a6e-b70c-a5f65d89f0d6","type":"BoxAnnotation"}},"id":"098f8b8c-a2d3-4798-9758-0694ceb931d3","type":"BoxZoomTool"},{"attributes":{},"id":"108db275-166b-4f4e-8239-7917a2691e57","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ecf3d062-3751-46d8-aac9-90d3e8bf8601","type":"PanTool"},{"id":"2a5c274a-bc90-4a19-a816-1a09c6b8f2e5","type":"WheelZoomTool"},{"id":"098f8b8c-a2d3-4798-9758-0694ceb931d3","type":"BoxZoomTool"},{"id":"90b55006-57ff-4503-ab4d-3a0d465e58fd","type":"SaveTool"},{"id":"32082f75-b701-4300-8f17-9548e9eb37f0","type":"ResetTool"},{"id":"bf728a0a-5262-4c67-9476-9099ca13a86c","type":"HelpTool"}]},"id":"401c648e-4797-4980-8a6c-3d2229546049","type":"Toolbar"},{"attributes":{},"id":"90b55006-57ff-4503-ab4d-3a0d465e58fd","type":"SaveTool"},{"attributes":{},"id":"9ad67948-679f-4554-869d-0bff67440b26","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b5b2b7d6-c5db-4a6e-b70c-a5f65d89f0d6","type":"BoxAnnotation"},{"attributes":{},"id":"2a5c274a-bc90-4a19-a816-1a09c6b8f2e5","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"4ef07b43-4006-489c-9cee-47078079ad65","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"55915b3c-5663-48ca-a844-23d85349fe5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"e6425a5f-a189-4dec-973a-e38b4c559754","type":"BasicTicker"}},"id":"5e68e5d5-7729-4fbd-90f0-858fd73f2b2b","type":"Grid"},{"attributes":{},"id":"44e3406f-7ecc-4819-a284-f33175bd991a","type":"BasicTickFormatter"},{"attributes":{},"id":"5ec7af68-28c9-4fb2-af68-7cd357b92a2b","type":"LinearScale"},{"attributes":{},"id":"bf728a0a-5262-4c67-9476-9099ca13a86c","type":"HelpTool"},{"attributes":{"data_source":{"id":"4ef07b43-4006-489c-9cee-47078079ad65","type":"ColumnDataSource"},"glyph":{"id":"e4cd1fa9-d175-45df-aa66-75553f432cad","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9c129071-e48c-4d7a-be16-11290a05b0c5","type":"Circle"},"selection_glyph":null,"view":{"id":"2df6c367-fa9b-44b5-869c-ba4841536f3a","type":"CDSView"}},"id":"4872039f-2a36-4666-a013-fa94b3b25c25","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"9ad67948-679f-4554-869d-0bff67440b26","type":"BasicTickFormatter"},"plot":{"id":"55915b3c-5663-48ca-a844-23d85349fe5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"108db275-166b-4f4e-8239-7917a2691e57","type":"BasicTicker"}},"id":"83302b7e-0320-45e2-8789-b377dc9fb43a","type":"LinearAxis"},{"attributes":{},"id":"ecf3d062-3751-46d8-aac9-90d3e8bf8601","type":"PanTool"},{"attributes":{"formatter":{"id":"44e3406f-7ecc-4819-a284-f33175bd991a","type":"BasicTickFormatter"},"plot":{"id":"55915b3c-5663-48ca-a844-23d85349fe5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"e6425a5f-a189-4dec-973a-e38b4c559754","type":"BasicTicker"}},"id":"ea256b4a-7efd-49f7-bdee-b9a5a805de40","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"97008024-f004-4716-afaa-035eb669cc23","type":"Title"},{"attributes":{"callback":null},"id":"8d66e5fd-8643-464f-a375-d820635b3626","type":"DataRange1d"},{"attributes":{},"id":"32082f75-b701-4300-8f17-9548e9eb37f0","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9c129071-e48c-4d7a-be16-11290a05b0c5","type":"Circle"},{"attributes":{},"id":"2bcec678-e2e9-4cb0-9c9c-58620d3c5696","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e4cd1fa9-d175-45df-aa66-75553f432cad","type":"Circle"}],"root_ids":["55915b3c-5663-48ca-a844-23d85349fe5b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6ffe8400-3714-4d57-9c54-8504485c8c43","elementid":"ed1ffaba-7f20-4f87-a463-308ab27b733b","modelid":"55915b3c-5663-48ca-a844-23d85349fe5b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
