(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("852b274f-ae82-4527-91df-99ed62ea3a16");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '852b274f-ae82-4527-91df-99ed62ea3a16' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7c4af990-1d0b-4bc2-ac38-29c100e5af44":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"1276bf0a-2218-4203-b1a8-4405553dc7fe","type":"Title"},{"attributes":{"below":[{"id":"509964f6-ac8a-4984-b8ab-d8f864dbca3c","type":"LinearAxis"}],"left":[{"id":"4349d942-f943-431e-86b9-8b683d819310","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"509964f6-ac8a-4984-b8ab-d8f864dbca3c","type":"LinearAxis"},{"id":"99e8bc45-2676-4e63-99d0-a43616558350","type":"Grid"},{"id":"4349d942-f943-431e-86b9-8b683d819310","type":"LinearAxis"},{"id":"548d1dfd-a364-4fee-a38a-893117578d4a","type":"Grid"},{"id":"7e074059-c998-4884-bbc2-79e0d437efe2","type":"BoxAnnotation"},{"id":"93a45f1f-6c29-40f7-a6c0-5e230884afc4","type":"GlyphRenderer"}],"title":{"id":"1276bf0a-2218-4203-b1a8-4405553dc7fe","type":"Title"},"toolbar":{"id":"26e18d27-a25b-489d-a5b9-2807f914fbc2","type":"Toolbar"},"x_range":{"id":"fba881ef-fe73-44a1-9edc-b221822229aa","type":"DataRange1d"},"x_scale":{"id":"631b0cf7-ab25-4839-876c-9a40c3c0be39","type":"LinearScale"},"y_range":{"id":"33e11149-2abe-4f06-bbc2-44a0c488fd9a","type":"DataRange1d"},"y_scale":{"id":"b689a460-2d20-4578-be95-85625e1b3017","type":"LinearScale"}},"id":"7a00a639-8cff-4a14-ab45-d01183c6b11d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7e6eb3e3-1245-47e8-826e-b197c3c896a4","type":"ResetTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"10e980d9-58b5-4ca5-9887-e668952c7c58","type":"Circle"},{"attributes":{},"id":"83637da2-3a62-4547-9a26-20307a462ad4","type":"BasicTickFormatter"},{"attributes":{},"id":"da1cf54e-07e1-482f-95c1-3dbdfb150eac","type":"HelpTool"},{"attributes":{},"id":"b689a460-2d20-4578-be95-85625e1b3017","type":"LinearScale"},{"attributes":{"formatter":{"id":"b891f9ee-ff7d-435f-bd02-2bce8582880d","type":"BasicTickFormatter"},"plot":{"id":"7a00a639-8cff-4a14-ab45-d01183c6b11d","subtype":"Figure","type":"Plot"},"ticker":{"id":"9aaf7a41-dae2-44c1-9deb-7cb5645d5554","type":"BasicTicker"}},"id":"509964f6-ac8a-4984-b8ab-d8f864dbca3c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"fba881ef-fe73-44a1-9edc-b221822229aa","type":"DataRange1d"},{"attributes":{},"id":"ad28a10f-d5f4-41fa-bb47-19947a37ce59","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"33e11149-2abe-4f06-bbc2-44a0c488fd9a","type":"DataRange1d"},{"attributes":{"source":{"id":"e905ef35-0451-4897-81dc-e5036e35fab1","type":"ColumnDataSource"}},"id":"bc05c114-450f-4a76-9739-9296b1b376c6","type":"CDSView"},{"attributes":{},"id":"b891f9ee-ff7d-435f-bd02-2bce8582880d","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7e074059-c998-4884-bbc2-79e0d437efe2","type":"BoxAnnotation"},{"attributes":{},"id":"67520a9b-8171-420e-b1e4-35d6544abb5e","type":"PanTool"},{"attributes":{"formatter":{"id":"83637da2-3a62-4547-9a26-20307a462ad4","type":"BasicTickFormatter"},"plot":{"id":"7a00a639-8cff-4a14-ab45-d01183c6b11d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c843da7e-6ea2-4f3a-a411-2e10b9124e23","type":"BasicTicker"}},"id":"4349d942-f943-431e-86b9-8b683d819310","type":"LinearAxis"},{"attributes":{"overlay":{"id":"7e074059-c998-4884-bbc2-79e0d437efe2","type":"BoxAnnotation"}},"id":"c378157a-4d89-49dd-8f89-be3684972b1e","type":"BoxZoomTool"},{"attributes":{},"id":"9aaf7a41-dae2-44c1-9deb-7cb5645d5554","type":"BasicTicker"},{"attributes":{},"id":"c843da7e-6ea2-4f3a-a411-2e10b9124e23","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e905ef35-0451-4897-81dc-e5036e35fab1","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"67520a9b-8171-420e-b1e4-35d6544abb5e","type":"PanTool"},{"id":"ad28a10f-d5f4-41fa-bb47-19947a37ce59","type":"WheelZoomTool"},{"id":"c378157a-4d89-49dd-8f89-be3684972b1e","type":"BoxZoomTool"},{"id":"13dd6ee8-88d8-443a-a186-dfeb37cf9672","type":"SaveTool"},{"id":"7e6eb3e3-1245-47e8-826e-b197c3c896a4","type":"ResetTool"},{"id":"da1cf54e-07e1-482f-95c1-3dbdfb150eac","type":"HelpTool"}]},"id":"26e18d27-a25b-489d-a5b9-2807f914fbc2","type":"Toolbar"},{"attributes":{"bounds":[2,4],"dimension":1,"plot":{"id":"7a00a639-8cff-4a14-ab45-d01183c6b11d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c843da7e-6ea2-4f3a-a411-2e10b9124e23","type":"BasicTicker"}},"id":"548d1dfd-a364-4fee-a38a-893117578d4a","type":"Grid"},{"attributes":{"data_source":{"id":"e905ef35-0451-4897-81dc-e5036e35fab1","type":"ColumnDataSource"},"glyph":{"id":"10e980d9-58b5-4ca5-9887-e668952c7c58","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f72b5341-e018-4f48-b29f-db62da15118d","type":"Circle"},"selection_glyph":null,"view":{"id":"bc05c114-450f-4a76-9739-9296b1b376c6","type":"CDSView"}},"id":"93a45f1f-6c29-40f7-a6c0-5e230884afc4","type":"GlyphRenderer"},{"attributes":{},"id":"631b0cf7-ab25-4839-876c-9a40c3c0be39","type":"LinearScale"},{"attributes":{},"id":"13dd6ee8-88d8-443a-a186-dfeb37cf9672","type":"SaveTool"},{"attributes":{"bounds":[2,4],"plot":{"id":"7a00a639-8cff-4a14-ab45-d01183c6b11d","subtype":"Figure","type":"Plot"},"ticker":{"id":"9aaf7a41-dae2-44c1-9deb-7cb5645d5554","type":"BasicTicker"}},"id":"99e8bc45-2676-4e63-99d0-a43616558350","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f72b5341-e018-4f48-b29f-db62da15118d","type":"Circle"}],"root_ids":["7a00a639-8cff-4a14-ab45-d01183c6b11d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7c4af990-1d0b-4bc2-ac38-29c100e5af44","elementid":"852b274f-ae82-4527-91df-99ed62ea3a16","modelid":"7a00a639-8cff-4a14-ab45-d01183c6b11d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
