(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bd7fa17f-575e-466b-ac8e-aedad2aff1ce");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bd7fa17f-575e-466b-ac8e-aedad2aff1ce' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a6353cb1-7612-4318-9823-ff645ea6268a":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"1d3e7086-71fe-4cc8-9e8f-f642706c3920","type":"Title"},{"attributes":{},"id":"a273f1c1-5afd-4e91-80d9-69ee72437707","type":"BasicTickFormatter"},{"attributes":{},"id":"884ab3a5-a3f6-4ff9-9012-849069b10630","type":"BasicTicker"},{"attributes":{"below":[{"id":"cccf11b2-bd94-4ae4-8b44-8ce3f97a1fa4","type":"LinearAxis"}],"left":[{"id":"21e7643a-ae69-4c71-bdd2-e1c183a75fb7","type":"LinearAxis"}],"plot_height":300,"plot_width":700,"renderers":[{"id":"cccf11b2-bd94-4ae4-8b44-8ce3f97a1fa4","type":"LinearAxis"},{"id":"d2bd7e99-dd61-486f-8382-e008318f4944","type":"Grid"},{"id":"21e7643a-ae69-4c71-bdd2-e1c183a75fb7","type":"LinearAxis"},{"id":"d2441608-3a49-44b5-ade0-db506d3c046b","type":"Grid"},{"id":"f1af1b6b-373b-4cf2-93a1-d36f6616f798","type":"BoxAnnotation"},{"id":"c26766d2-d4d9-4afa-a271-0c41e6f2f702","type":"GlyphRenderer"}],"title":{"id":"1d3e7086-71fe-4cc8-9e8f-f642706c3920","type":"Title"},"toolbar":{"id":"8c260c44-f8a6-4c18-84c1-7dbc9ca01209","type":"Toolbar"},"x_range":{"id":"7ccc1b5c-21bc-43e8-ab46-42f2fd912059","type":"DataRange1d"},"x_scale":{"id":"82f8bbc6-ad16-4eeb-823c-9be3da4b14a2","type":"LinearScale"},"y_range":{"id":"f210ca4a-6b0f-4d7d-898f-bc3968e577d1","type":"DataRange1d"},"y_scale":{"id":"6402e0ba-1dbc-4944-8ae8-d467c4fce2e3","type":"LinearScale"}},"id":"84b69831-c059-4bc0-b49a-7c94699583fb","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7c5d71c3-022d-4cc0-8c3f-ece962ae5a83","type":"WheelZoomTool"},{"attributes":{},"id":"c6c6ea3c-be66-483d-95ea-9c5b0a7b7d2b","type":"PanTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"48c1ec71-819d-474d-a7d6-ab61079e0b3b","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2291a8d2-feba-4b38-9b1c-20dd260ae27b","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"a1c600b6-85b9-4236-b0b0-0f11722d1bfe","type":"ColumnDataSource"},{"attributes":{},"id":"82f8bbc6-ad16-4eeb-823c-9be3da4b14a2","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f1af1b6b-373b-4cf2-93a1-d36f6616f798","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"84b69831-c059-4bc0-b49a-7c94699583fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"4631a754-f3e4-4798-9361-8d925a22e712","type":"BasicTicker"}},"id":"d2bd7e99-dd61-486f-8382-e008318f4944","type":"Grid"},{"attributes":{"formatter":{"id":"a273f1c1-5afd-4e91-80d9-69ee72437707","type":"BasicTickFormatter"},"plot":{"id":"84b69831-c059-4bc0-b49a-7c94699583fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"4631a754-f3e4-4798-9361-8d925a22e712","type":"BasicTicker"}},"id":"cccf11b2-bd94-4ae4-8b44-8ce3f97a1fa4","type":"LinearAxis"},{"attributes":{"source":{"id":"a1c600b6-85b9-4236-b0b0-0f11722d1bfe","type":"ColumnDataSource"}},"id":"cda281a7-29a1-491a-9e3a-2fa2b2cbb10a","type":"CDSView"},{"attributes":{},"id":"4631a754-f3e4-4798-9361-8d925a22e712","type":"BasicTicker"},{"attributes":{"overlay":{"id":"f1af1b6b-373b-4cf2-93a1-d36f6616f798","type":"BoxAnnotation"}},"id":"9ba53306-0928-49e2-96ae-486afe54e37a","type":"BoxZoomTool"},{"attributes":{},"id":"6402e0ba-1dbc-4944-8ae8-d467c4fce2e3","type":"LinearScale"},{"attributes":{"callback":null},"id":"f210ca4a-6b0f-4d7d-898f-bc3968e577d1","type":"DataRange1d"},{"attributes":{"callback":null},"id":"7ccc1b5c-21bc-43e8-ab46-42f2fd912059","type":"DataRange1d"},{"attributes":{"formatter":{"id":"333a93f6-ec77-494a-a372-29b92e8db866","type":"BasicTickFormatter"},"plot":{"id":"84b69831-c059-4bc0-b49a-7c94699583fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"884ab3a5-a3f6-4ff9-9012-849069b10630","type":"BasicTicker"}},"id":"21e7643a-ae69-4c71-bdd2-e1c183a75fb7","type":"LinearAxis"},{"attributes":{},"id":"040c8229-f214-4149-b788-b71db240e4ee","type":"HelpTool"},{"attributes":{},"id":"df151ad2-042b-4860-a996-db52794fa1b7","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c6c6ea3c-be66-483d-95ea-9c5b0a7b7d2b","type":"PanTool"},{"id":"7c5d71c3-022d-4cc0-8c3f-ece962ae5a83","type":"WheelZoomTool"},{"id":"9ba53306-0928-49e2-96ae-486afe54e37a","type":"BoxZoomTool"},{"id":"df151ad2-042b-4860-a996-db52794fa1b7","type":"SaveTool"},{"id":"77c9c1de-6065-441e-9af0-9d26ff08cdfe","type":"ResetTool"},{"id":"040c8229-f214-4149-b788-b71db240e4ee","type":"HelpTool"}]},"id":"8c260c44-f8a6-4c18-84c1-7dbc9ca01209","type":"Toolbar"},{"attributes":{"data_source":{"id":"a1c600b6-85b9-4236-b0b0-0f11722d1bfe","type":"ColumnDataSource"},"glyph":{"id":"48c1ec71-819d-474d-a7d6-ab61079e0b3b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2291a8d2-feba-4b38-9b1c-20dd260ae27b","type":"Circle"},"selection_glyph":null,"view":{"id":"cda281a7-29a1-491a-9e3a-2fa2b2cbb10a","type":"CDSView"}},"id":"c26766d2-d4d9-4afa-a271-0c41e6f2f702","type":"GlyphRenderer"},{"attributes":{},"id":"333a93f6-ec77-494a-a372-29b92e8db866","type":"BasicTickFormatter"},{"attributes":{},"id":"77c9c1de-6065-441e-9af0-9d26ff08cdfe","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"84b69831-c059-4bc0-b49a-7c94699583fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"884ab3a5-a3f6-4ff9-9012-849069b10630","type":"BasicTicker"}},"id":"d2441608-3a49-44b5-ade0-db506d3c046b","type":"Grid"}],"root_ids":["84b69831-c059-4bc0-b49a-7c94699583fb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a6353cb1-7612-4318-9823-ff645ea6268a","elementid":"bd7fa17f-575e-466b-ac8e-aedad2aff1ce","modelid":"84b69831-c059-4bc0-b49a-7c94699583fb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
