(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0921e511-4fed-470d-a72d-05f1c8fd08c5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0921e511-4fed-470d-a72d-05f1c8fd08c5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b901c949-4239-41c4-ad4f-009e7696b686":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"c0b70960-9638-4bde-8efd-40e253005f0a","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Some Title","text_color":{"value":"olive"},"text_font":"times","text_font_style":"italic"},"id":"40b7ab5a-5ca4-4021-bd5a-eb1883f079c9","type":"Title"},{"attributes":{"below":[{"id":"1c4085f9-ea70-4d2b-921f-94fa7c155035","type":"LinearAxis"}],"left":[{"id":"db63d4bf-7a6b-4584-9cb2-ab3b4b038849","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1c4085f9-ea70-4d2b-921f-94fa7c155035","type":"LinearAxis"},{"id":"4f76bd21-9a26-49c7-9dcf-1e03e1bf9cf8","type":"Grid"},{"id":"db63d4bf-7a6b-4584-9cb2-ab3b4b038849","type":"LinearAxis"},{"id":"8e35d5b3-8f3f-425b-9295-fcfb553a91e4","type":"Grid"},{"id":"4887596b-44f4-479c-9aca-d3b3649f77d0","type":"BoxAnnotation"},{"id":"f01f51cd-e5ff-49c4-9552-08f60b10f81d","type":"GlyphRenderer"}],"title":{"id":"40b7ab5a-5ca4-4021-bd5a-eb1883f079c9","type":"Title"},"toolbar":{"id":"37b51c4e-6434-4499-b169-c908821c5ee6","type":"Toolbar"},"x_range":{"id":"aea130c8-c028-4409-b6e1-1446731048f1","type":"DataRange1d"},"x_scale":{"id":"57d94361-3790-45da-bbeb-054825323129","type":"LinearScale"},"y_range":{"id":"3397ff4d-a266-47c2-b35c-18afc9a04e5d","type":"DataRange1d"},"y_scale":{"id":"fa2bb6ab-39a3-46d6-9776-6dad8d9b9b03","type":"LinearScale"}},"id":"1daf3804-09a9-4597-83fe-f2666efb5ace","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7dfd88c3-f791-40f7-a23b-cc22fbae6180","type":"ResetTool"},{"attributes":{},"id":"04039226-e8c1-4107-a1c1-2ce124dd92f8","type":"PanTool"},{"attributes":{},"id":"f9686582-2daf-484e-86b2-241079c81eb0","type":"BasicTickFormatter"},{"attributes":{},"id":"57d94361-3790-45da-bbeb-054825323129","type":"LinearScale"},{"attributes":{"formatter":{"id":"f9686582-2daf-484e-86b2-241079c81eb0","type":"BasicTickFormatter"},"plot":{"id":"1daf3804-09a9-4597-83fe-f2666efb5ace","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8e3ccee-e427-41fb-adf8-c6713fb72adc","type":"BasicTicker"}},"id":"db63d4bf-7a6b-4584-9cb2-ab3b4b038849","type":"LinearAxis"},{"attributes":{},"id":"f8e3ccee-e427-41fb-adf8-c6713fb72adc","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"1daf3804-09a9-4597-83fe-f2666efb5ace","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8e3ccee-e427-41fb-adf8-c6713fb72adc","type":"BasicTicker"}},"id":"8e35d5b3-8f3f-425b-9295-fcfb553a91e4","type":"Grid"},{"attributes":{},"id":"fa2bb6ab-39a3-46d6-9776-6dad8d9b9b03","type":"LinearScale"},{"attributes":{},"id":"5fcbef77-a4f5-4047-ade9-860d717749d0","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"61748494-cbdd-4259-8342-25f3df9c8b62","type":"Circle"},{"attributes":{"plot":{"id":"1daf3804-09a9-4597-83fe-f2666efb5ace","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba8aafeb-1bd4-4f67-9da7-84aa8022e422","type":"BasicTicker"}},"id":"4f76bd21-9a26-49c7-9dcf-1e03e1bf9cf8","type":"Grid"},{"attributes":{"overlay":{"id":"4887596b-44f4-479c-9aca-d3b3649f77d0","type":"BoxAnnotation"}},"id":"bf4a7c66-fce3-470a-8cb4-af2b1b1d41d8","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4887596b-44f4-479c-9aca-d3b3649f77d0","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"04039226-e8c1-4107-a1c1-2ce124dd92f8","type":"PanTool"},{"id":"14a40e00-226e-4a59-9788-9b8e23b703dd","type":"WheelZoomTool"},{"id":"bf4a7c66-fce3-470a-8cb4-af2b1b1d41d8","type":"BoxZoomTool"},{"id":"5fcbef77-a4f5-4047-ade9-860d717749d0","type":"SaveTool"},{"id":"7dfd88c3-f791-40f7-a23b-cc22fbae6180","type":"ResetTool"},{"id":"489eba25-a50f-4323-8c51-728e055f6256","type":"HelpTool"}]},"id":"37b51c4e-6434-4499-b169-c908821c5ee6","type":"Toolbar"},{"attributes":{},"id":"ba8aafeb-1bd4-4f67-9da7-84aa8022e422","type":"BasicTicker"},{"attributes":{"callback":null},"id":"3397ff4d-a266-47c2-b35c-18afc9a04e5d","type":"DataRange1d"},{"attributes":{"source":{"id":"c0b70960-9638-4bde-8efd-40e253005f0a","type":"ColumnDataSource"}},"id":"bac7ec4e-9df8-47ff-a174-868ab16b06ef","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"64614da3-bdf7-4d7f-90d5-84536ed73c64","type":"Circle"},{"attributes":{},"id":"14a40e00-226e-4a59-9788-9b8e23b703dd","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"c0b70960-9638-4bde-8efd-40e253005f0a","type":"ColumnDataSource"},"glyph":{"id":"64614da3-bdf7-4d7f-90d5-84536ed73c64","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"61748494-cbdd-4259-8342-25f3df9c8b62","type":"Circle"},"selection_glyph":null,"view":{"id":"bac7ec4e-9df8-47ff-a174-868ab16b06ef","type":"CDSView"}},"id":"f01f51cd-e5ff-49c4-9552-08f60b10f81d","type":"GlyphRenderer"},{"attributes":{},"id":"95dfc613-fc22-4f4e-94a3-5476a8ddd61f","type":"BasicTickFormatter"},{"attributes":{},"id":"489eba25-a50f-4323-8c51-728e055f6256","type":"HelpTool"},{"attributes":{"callback":null},"id":"aea130c8-c028-4409-b6e1-1446731048f1","type":"DataRange1d"},{"attributes":{"formatter":{"id":"95dfc613-fc22-4f4e-94a3-5476a8ddd61f","type":"BasicTickFormatter"},"plot":{"id":"1daf3804-09a9-4597-83fe-f2666efb5ace","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba8aafeb-1bd4-4f67-9da7-84aa8022e422","type":"BasicTicker"}},"id":"1c4085f9-ea70-4d2b-921f-94fa7c155035","type":"LinearAxis"}],"root_ids":["1daf3804-09a9-4597-83fe-f2666efb5ace"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b901c949-4239-41c4-ad4f-009e7696b686","elementid":"0921e511-4fed-470d-a72d-05f1c8fd08c5","modelid":"1daf3804-09a9-4597-83fe-f2666efb5ace"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
