(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("89fef8d6-8a16-4415-9352-c738f4b1270e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '89fef8d6-8a16-4415-9352-c738f4b1270e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2cace0d8-3cd8-4f7d-9ad1-c43c8204dd10":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"e7286195-a57d-43ac-ae2a-d67210456b55","subtype":"Figure","type":"Plot"},"ticker":{"id":"da882ddc-19c7-4efc-945f-a3992b4bfc1b","type":"BasicTicker"}},"id":"d7c06e02-60ab-42f1-914a-887289e9ec02","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"d4a1c5cc-a4ce-4271-9fb4-1bcb643dc280","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3ad52726-6b99-4090-95e7-89baeaeffb30","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8572bcc1-4fdd-4f0f-bbb0-3df3483a7241","type":"Circle"},{"attributes":{},"id":"73e5dcb3-cb13-48cd-b4b3-8903c57578e1","type":"LinearScale"},{"attributes":{},"id":"8bb32adc-273d-4788-8bc5-2cd9c9626f04","type":"WheelZoomTool"},{"attributes":{},"id":"feabf3f9-4f88-46af-a5a0-892874191858","type":"BasicTickFormatter"},{"attributes":{},"id":"86054407-5006-4df3-bae9-b284081916f2","type":"BasicTicker"},{"attributes":{},"id":"14c8da96-b7b4-4005-b63e-2b0df775d08d","type":"SaveTool"},{"attributes":{},"id":"45f21be3-427f-431e-b584-2695e5227bc3","type":"LinearScale"},{"attributes":{"overlay":{"id":"1e2bb153-8573-4d61-8607-5b76ce87d30b","type":"BoxAnnotation"}},"id":"d0b8650a-b53f-4e60-87f2-59162707eecc","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1e2bb153-8573-4d61-8607-5b76ce87d30b","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"e7286195-a57d-43ac-ae2a-d67210456b55","subtype":"Figure","type":"Plot"},"ticker":{"id":"86054407-5006-4df3-bae9-b284081916f2","type":"BasicTicker"}},"id":"253275b9-a7fb-440d-b686-8a4287f288f8","type":"Grid"},{"attributes":{},"id":"da882ddc-19c7-4efc-945f-a3992b4bfc1b","type":"BasicTicker"},{"attributes":{"callback":null},"id":"6f9f3bc1-ed23-4b48-9b1f-a311717e1b74","type":"DataRange1d"},{"attributes":{},"id":"3994031b-7db6-4746-916f-c064be7fd3cb","type":"HelpTool"},{"attributes":{"data_source":{"id":"897f3fb6-7e40-4621-a41d-00db7cb6069c","type":"ColumnDataSource"},"glyph":{"id":"8572bcc1-4fdd-4f0f-bbb0-3df3483a7241","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3ad52726-6b99-4090-95e7-89baeaeffb30","type":"Circle"},"selection_glyph":null,"view":{"id":"49d6e649-f22c-4630-a6de-b90ac8aa82eb","type":"CDSView"}},"id":"a2a93a6e-a64b-4435-9987-9da8ea8a8ab8","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"897f3fb6-7e40-4621-a41d-00db7cb6069c","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"feabf3f9-4f88-46af-a5a0-892874191858","type":"BasicTickFormatter"},"plot":{"id":"e7286195-a57d-43ac-ae2a-d67210456b55","subtype":"Figure","type":"Plot"},"ticker":{"id":"da882ddc-19c7-4efc-945f-a3992b4bfc1b","type":"BasicTicker"}},"id":"19852743-e000-4a8f-9eb0-1e5c0b6c5732","type":"LinearAxis"},{"attributes":{"formatter":{"id":"b274ad9a-8b95-4c1f-82d5-ede1f5989fb7","type":"BasicTickFormatter"},"plot":{"id":"e7286195-a57d-43ac-ae2a-d67210456b55","subtype":"Figure","type":"Plot"},"ticker":{"id":"86054407-5006-4df3-bae9-b284081916f2","type":"BasicTicker"}},"id":"db7ab856-09da-41c0-978e-8ea4442f720a","type":"LinearAxis"},{"attributes":{"background_fill_alpha":{"value":0.5},"background_fill_color":{"value":"beige"},"below":[{"id":"db7ab856-09da-41c0-978e-8ea4442f720a","type":"LinearAxis"}],"left":[{"id":"19852743-e000-4a8f-9eb0-1e5c0b6c5732","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"db7ab856-09da-41c0-978e-8ea4442f720a","type":"LinearAxis"},{"id":"253275b9-a7fb-440d-b686-8a4287f288f8","type":"Grid"},{"id":"19852743-e000-4a8f-9eb0-1e5c0b6c5732","type":"LinearAxis"},{"id":"d7c06e02-60ab-42f1-914a-887289e9ec02","type":"Grid"},{"id":"1e2bb153-8573-4d61-8607-5b76ce87d30b","type":"BoxAnnotation"},{"id":"a2a93a6e-a64b-4435-9987-9da8ea8a8ab8","type":"GlyphRenderer"}],"title":{"id":"d4a1c5cc-a4ce-4271-9fb4-1bcb643dc280","type":"Title"},"toolbar":{"id":"13995c6c-e9f2-4875-9ef2-72e4ee77159b","type":"Toolbar"},"x_range":{"id":"e0aba6e5-b99b-480f-9fa5-47e28a93d3c0","type":"DataRange1d"},"x_scale":{"id":"73e5dcb3-cb13-48cd-b4b3-8903c57578e1","type":"LinearScale"},"y_range":{"id":"6f9f3bc1-ed23-4b48-9b1f-a311717e1b74","type":"DataRange1d"},"y_scale":{"id":"45f21be3-427f-431e-b584-2695e5227bc3","type":"LinearScale"}},"id":"e7286195-a57d-43ac-ae2a-d67210456b55","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1e546508-2a84-427b-a0e3-67ded35c41b9","type":"PanTool"},{"id":"8bb32adc-273d-4788-8bc5-2cd9c9626f04","type":"WheelZoomTool"},{"id":"d0b8650a-b53f-4e60-87f2-59162707eecc","type":"BoxZoomTool"},{"id":"14c8da96-b7b4-4005-b63e-2b0df775d08d","type":"SaveTool"},{"id":"042ff208-8c52-496b-934d-b929ec152715","type":"ResetTool"},{"id":"3994031b-7db6-4746-916f-c064be7fd3cb","type":"HelpTool"}]},"id":"13995c6c-e9f2-4875-9ef2-72e4ee77159b","type":"Toolbar"},{"attributes":{},"id":"b274ad9a-8b95-4c1f-82d5-ede1f5989fb7","type":"BasicTickFormatter"},{"attributes":{},"id":"1e546508-2a84-427b-a0e3-67ded35c41b9","type":"PanTool"},{"attributes":{"source":{"id":"897f3fb6-7e40-4621-a41d-00db7cb6069c","type":"ColumnDataSource"}},"id":"49d6e649-f22c-4630-a6de-b90ac8aa82eb","type":"CDSView"},{"attributes":{"callback":null},"id":"e0aba6e5-b99b-480f-9fa5-47e28a93d3c0","type":"DataRange1d"},{"attributes":{},"id":"042ff208-8c52-496b-934d-b929ec152715","type":"ResetTool"}],"root_ids":["e7286195-a57d-43ac-ae2a-d67210456b55"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2cace0d8-3cd8-4f7d-9ad1-c43c8204dd10","elementid":"89fef8d6-8a16-4415-9352-c738f4b1270e","modelid":"e7286195-a57d-43ac-ae2a-d67210456b55"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
