(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a5c6a43b-6233-4d3e-9af7-ba3e3b23ea6b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a5c6a43b-6233-4d3e-9af7-ba3e3b23ea6b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5ac3e0dc-c54b-4b4f-b7ae-ebd82087cdc2":{"roots":{"references":[{"attributes":{},"id":"2212ffc0-a07d-40ad-92f2-e495a04ce68b","type":"LinearScale"},{"attributes":{},"id":"94f5ea36-c6b7-4b57-9796-434ff9596199","type":"LinearScale"},{"attributes":{},"id":"1d1f3e8d-08e7-4a89-b019-c3c2aece001e","type":"BasicTickFormatter"},{"attributes":{},"id":"f1c06ed6-0fd1-4a2a-b0ae-0e861ae7300e","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"c6f663dc-5f92-4bb6-8e47-0f554fe25c16","type":"Title"},{"attributes":{"formatter":{"id":"1d1f3e8d-08e7-4a89-b019-c3c2aece001e","type":"BasicTickFormatter"},"plot":{"id":"c2e5f252-857f-43fa-acc9-a571ce6f4261","subtype":"Figure","type":"Plot"},"ticker":{"id":"b686b0d0-1d14-4185-bb15-962c24b9468f","type":"BasicTicker"}},"id":"ad5383e2-6147-48fe-a197-326d89c50033","type":"LinearAxis"},{"attributes":{},"id":"7c950b92-7fe8-496e-a1a9-eaddf0153474","type":"BasicTicker"},{"attributes":{},"id":"d489f930-c504-48f3-95b9-be6cd43f717c","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"754bb6d2-4150-4f44-8c41-9eec57164931","type":"DataRange1d"},{"attributes":{"plot":{"id":"c2e5f252-857f-43fa-acc9-a571ce6f4261","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c950b92-7fe8-496e-a1a9-eaddf0153474","type":"BasicTicker"}},"id":"def99331-2728-435c-9d7c-808bf69ae74b","type":"Grid"},{"attributes":{"formatter":{"id":"f7032376-3066-4ff9-86cc-0f6bb8df592a","type":"BasicTickFormatter"},"plot":{"id":"c2e5f252-857f-43fa-acc9-a571ce6f4261","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c950b92-7fe8-496e-a1a9-eaddf0153474","type":"BasicTicker"}},"id":"c2753959-218d-4c8b-9cd1-cfeb9111756d","type":"LinearAxis"},{"attributes":{},"id":"b686b0d0-1d14-4185-bb15-962c24b9468f","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a68c5e96-5536-4566-84d0-8de9c8b7e16e","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"aad610bf-9404-4d5e-842f-a5246b9ec913","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"93520183-dbaf-4a1d-bd07-47bdfbbaf3ac","type":"ColumnDataSource"},{"attributes":{},"id":"6cd63b4f-98a1-4bf7-81fb-4e9a4688efc5","type":"ResetTool"},{"attributes":{},"id":"35e0b67d-f2e5-4936-8923-6084fc779e91","type":"PanTool"},{"attributes":{},"id":"f7032376-3066-4ff9-86cc-0f6bb8df592a","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7a0f505c-8dea-4014-9fa7-f30f3d2855ed","type":"Circle"},{"attributes":{"source":{"id":"93520183-dbaf-4a1d-bd07-47bdfbbaf3ac","type":"ColumnDataSource"}},"id":"31825f07-7be3-4aca-b8a3-04ed65a9ff6b","type":"CDSView"},{"attributes":{"data_source":{"id":"93520183-dbaf-4a1d-bd07-47bdfbbaf3ac","type":"ColumnDataSource"},"glyph":{"id":"87f66980-abfe-478f-8941-d6ef1c3f945b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7a0f505c-8dea-4014-9fa7-f30f3d2855ed","type":"Circle"},"selection_glyph":null,"view":{"id":"31825f07-7be3-4aca-b8a3-04ed65a9ff6b","type":"CDSView"}},"id":"d693c070-13b0-4661-8174-52e7b4c572a9","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"35e0b67d-f2e5-4936-8923-6084fc779e91","type":"PanTool"},{"id":"d489f930-c504-48f3-95b9-be6cd43f717c","type":"WheelZoomTool"},{"id":"85482077-13aa-46e3-aa22-7fe002598b24","type":"BoxZoomTool"},{"id":"f1c06ed6-0fd1-4a2a-b0ae-0e861ae7300e","type":"SaveTool"},{"id":"6cd63b4f-98a1-4bf7-81fb-4e9a4688efc5","type":"ResetTool"},{"id":"50ed49c9-ee2d-491a-9263-ec09bde7eeb5","type":"HelpTool"}]},"id":"ce46f40c-e353-4c1c-bd64-2559f8f1fb7c","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"87f66980-abfe-478f-8941-d6ef1c3f945b","type":"Circle"},{"attributes":{},"id":"50ed49c9-ee2d-491a-9263-ec09bde7eeb5","type":"HelpTool"},{"attributes":{"overlay":{"id":"aad610bf-9404-4d5e-842f-a5246b9ec913","type":"BoxAnnotation"}},"id":"85482077-13aa-46e3-aa22-7fe002598b24","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"c2e5f252-857f-43fa-acc9-a571ce6f4261","subtype":"Figure","type":"Plot"},"ticker":{"id":"b686b0d0-1d14-4185-bb15-962c24b9468f","type":"BasicTicker"}},"id":"3d1041cf-8ed8-401a-bd19-93b51ba111c3","type":"Grid"},{"attributes":{"below":[{"id":"c2753959-218d-4c8b-9cd1-cfeb9111756d","type":"LinearAxis"}],"left":[{"id":"ad5383e2-6147-48fe-a197-326d89c50033","type":"LinearAxis"}],"outline_line_alpha":{"value":0.3},"outline_line_color":{"value":"navy"},"outline_line_width":{"value":7},"plot_height":400,"plot_width":400,"renderers":[{"id":"c2753959-218d-4c8b-9cd1-cfeb9111756d","type":"LinearAxis"},{"id":"def99331-2728-435c-9d7c-808bf69ae74b","type":"Grid"},{"id":"ad5383e2-6147-48fe-a197-326d89c50033","type":"LinearAxis"},{"id":"3d1041cf-8ed8-401a-bd19-93b51ba111c3","type":"Grid"},{"id":"aad610bf-9404-4d5e-842f-a5246b9ec913","type":"BoxAnnotation"},{"id":"d693c070-13b0-4661-8174-52e7b4c572a9","type":"GlyphRenderer"}],"title":{"id":"c6f663dc-5f92-4bb6-8e47-0f554fe25c16","type":"Title"},"toolbar":{"id":"ce46f40c-e353-4c1c-bd64-2559f8f1fb7c","type":"Toolbar"},"x_range":{"id":"a68c5e96-5536-4566-84d0-8de9c8b7e16e","type":"DataRange1d"},"x_scale":{"id":"2212ffc0-a07d-40ad-92f2-e495a04ce68b","type":"LinearScale"},"y_range":{"id":"754bb6d2-4150-4f44-8c41-9eec57164931","type":"DataRange1d"},"y_scale":{"id":"94f5ea36-c6b7-4b57-9796-434ff9596199","type":"LinearScale"}},"id":"c2e5f252-857f-43fa-acc9-a571ce6f4261","subtype":"Figure","type":"Plot"}],"root_ids":["c2e5f252-857f-43fa-acc9-a571ce6f4261"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5ac3e0dc-c54b-4b4f-b7ae-ebd82087cdc2","elementid":"a5c6a43b-6233-4d3e-9af7-ba3e3b23ea6b","modelid":"c2e5f252-857f-43fa-acc9-a571ce6f4261"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
