(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("92763923-5a73-4b2c-8db2-eb3438d8388a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '92763923-5a73-4b2c-8db2-eb3438d8388a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"905461b1-749f-4b5b-a040-775f93fc9c6c":{"roots":{"references":[{"attributes":{"overlay":{"id":"0b38984f-b59e-404f-8b75-7d6e855c8f3f","type":"BoxAnnotation"}},"id":"31731d48-ac11-4c91-805b-3c10e9f3c206","type":"BoxZoomTool"},{"attributes":{},"id":"d6981553-0554-4a00-9e66-5c28be7acca1","type":"SaveTool"},{"attributes":{"callback":null},"id":"48f84446-7772-48d2-9b8c-ccbd55ac4a0b","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"519e8b56-3a05-4828-9efd-37a566196fad","type":"Circle"},{"attributes":{},"id":"d83f1160-20ba-4971-9d9e-577710014d99","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"c4b8bc0b-d3dd-47b8-973f-1d28e890d5a3","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"c5e7a479-c724-4b95-af53-0089bb8f6339","type":"Title"},{"attributes":{},"id":"fa89c263-ca76-430c-bd7e-f2f569118cb6","type":"BasicTicker"},{"attributes":{},"id":"181e5c26-bd4a-4de9-8abd-8cd151cba80d","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"cab1e3eb-b8e1-4de6-86bf-eab470eb8f32","type":"LinearAxis"}],"left":[{"id":"48bb2a67-a56f-49c4-a2a9-a42a3efa3eb4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"cab1e3eb-b8e1-4de6-86bf-eab470eb8f32","type":"LinearAxis"},{"id":"7dfb5287-ba83-46f2-967e-48a831bd863f","type":"Grid"},{"id":"48bb2a67-a56f-49c4-a2a9-a42a3efa3eb4","type":"LinearAxis"},{"id":"1b35ab84-8a6e-43dd-ab4a-a193642ae20e","type":"Grid"},{"id":"0b38984f-b59e-404f-8b75-7d6e855c8f3f","type":"BoxAnnotation"},{"id":"c29d698f-b391-4651-aba3-fe75db347f68","type":"GlyphRenderer"}],"title":{"id":"c5e7a479-c724-4b95-af53-0089bb8f6339","type":"Title"},"toolbar":{"id":"5ab8e408-0dac-47a0-83fd-72d4b6a4bf64","type":"Toolbar"},"x_range":{"id":"48f84446-7772-48d2-9b8c-ccbd55ac4a0b","type":"DataRange1d"},"x_scale":{"id":"1e830b36-8bdf-44e8-8e08-ccea0a84907e","type":"LinearScale"},"y_range":{"id":"79d46de8-2735-45d1-9d83-9e52a5bd39ef","type":"DataRange1d"},"y_scale":{"id":"1177ce42-b99d-4f15-8740-16ed31742a18","type":"LinearScale"}},"id":"6fdf17bd-e6b4-4674-a59c-35775f4a9f07","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"46eac241-ad25-46bc-be5d-66a36be69509","type":"PanTool"},{"attributes":{},"id":"1177ce42-b99d-4f15-8740-16ed31742a18","type":"LinearScale"},{"attributes":{},"id":"1e830b36-8bdf-44e8-8e08-ccea0a84907e","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"6fdf17bd-e6b4-4674-a59c-35775f4a9f07","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa89c263-ca76-430c-bd7e-f2f569118cb6","type":"BasicTicker"}},"id":"1b35ab84-8a6e-43dd-ab4a-a193642ae20e","type":"Grid"},{"attributes":{},"id":"93446d5e-0a13-4ccb-b511-a6a99c92ed15","type":"BasicTicker"},{"attributes":{"source":{"id":"c4b8bc0b-d3dd-47b8-973f-1d28e890d5a3","type":"ColumnDataSource"}},"id":"e2b2e652-692c-4215-8965-13cb0fdd3617","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"46eac241-ad25-46bc-be5d-66a36be69509","type":"PanTool"},{"id":"181e5c26-bd4a-4de9-8abd-8cd151cba80d","type":"WheelZoomTool"},{"id":"31731d48-ac11-4c91-805b-3c10e9f3c206","type":"BoxZoomTool"},{"id":"d6981553-0554-4a00-9e66-5c28be7acca1","type":"SaveTool"},{"id":"d83f1160-20ba-4971-9d9e-577710014d99","type":"ResetTool"},{"id":"5075a391-70e9-4bb5-9fba-7f7e4f132d33","type":"HelpTool"}]},"id":"5ab8e408-0dac-47a0-83fd-72d4b6a4bf64","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"line_color":{"value":"firebrick"},"line_dash":[6,3],"line_width":{"value":2},"size":{"units":"screen","value":60},"x":{"field":"x"},"y":{"field":"y"}},"id":"06aa4b1c-4128-4bb0-9b48-df9f338b46e7","type":"Circle"},{"attributes":{},"id":"5075a391-70e9-4bb5-9fba-7f7e4f132d33","type":"HelpTool"},{"attributes":{},"id":"5cb88268-3212-4478-b7bd-5d72656db54d","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"79d46de8-2735-45d1-9d83-9e52a5bd39ef","type":"DataRange1d"},{"attributes":{"plot":{"id":"6fdf17bd-e6b4-4674-a59c-35775f4a9f07","subtype":"Figure","type":"Plot"},"ticker":{"id":"93446d5e-0a13-4ccb-b511-a6a99c92ed15","type":"BasicTicker"}},"id":"7dfb5287-ba83-46f2-967e-48a831bd863f","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0b38984f-b59e-404f-8b75-7d6e855c8f3f","type":"BoxAnnotation"},{"attributes":{},"id":"94a5610c-4cce-4211-ab3d-5a83aa8c17af","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"5cb88268-3212-4478-b7bd-5d72656db54d","type":"BasicTickFormatter"},"plot":{"id":"6fdf17bd-e6b4-4674-a59c-35775f4a9f07","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa89c263-ca76-430c-bd7e-f2f569118cb6","type":"BasicTicker"}},"id":"48bb2a67-a56f-49c4-a2a9-a42a3efa3eb4","type":"LinearAxis"},{"attributes":{"data_source":{"id":"c4b8bc0b-d3dd-47b8-973f-1d28e890d5a3","type":"ColumnDataSource"},"glyph":{"id":"06aa4b1c-4128-4bb0-9b48-df9f338b46e7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"519e8b56-3a05-4828-9efd-37a566196fad","type":"Circle"},"selection_glyph":null,"view":{"id":"e2b2e652-692c-4215-8965-13cb0fdd3617","type":"CDSView"}},"id":"c29d698f-b391-4651-aba3-fe75db347f68","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"94a5610c-4cce-4211-ab3d-5a83aa8c17af","type":"BasicTickFormatter"},"plot":{"id":"6fdf17bd-e6b4-4674-a59c-35775f4a9f07","subtype":"Figure","type":"Plot"},"ticker":{"id":"93446d5e-0a13-4ccb-b511-a6a99c92ed15","type":"BasicTicker"}},"id":"cab1e3eb-b8e1-4de6-86bf-eab470eb8f32","type":"LinearAxis"}],"root_ids":["6fdf17bd-e6b4-4674-a59c-35775f4a9f07"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"905461b1-749f-4b5b-a040-775f93fc9c6c","elementid":"92763923-5a73-4b2c-8db2-eb3438d8388a","modelid":"6fdf17bd-e6b4-4674-a59c-35775f4a9f07"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
