(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cc846d58-f0ae-40aa-af95-7fbe249a5b86");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cc846d58-f0ae-40aa-af95-7fbe249a5b86' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cfa2c730-6f49-4def-94d4-73849f4461f4":{"roots":{"references":[{"attributes":{},"id":"73b04820-4251-4d19-a3be-8d70d26a28de","type":"HelpTool"},{"attributes":{},"id":"92fc8133-e92d-43dc-9339-73577133006a","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"28812358-82f0-4949-983e-f16f80e2bd37","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c14f1f97-a3fd-4fbc-8f97-b31571b63eb1","type":"Circle"},{"attributes":{},"id":"6f747ef1-549c-48f7-a1da-0930210144cb","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"66cfe8ac-f83c-4401-9b97-c26a6e324d73","type":"Circle"},{"attributes":{"data_source":{"id":"28812358-82f0-4949-983e-f16f80e2bd37","type":"ColumnDataSource"},"glyph":{"id":"66cfe8ac-f83c-4401-9b97-c26a6e324d73","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c14f1f97-a3fd-4fbc-8f97-b31571b63eb1","type":"Circle"},"selection_glyph":null,"view":{"id":"b2ddbea9-1821-4cb9-b444-9bd0a1693ea9","type":"CDSView"}},"id":"800ab385-a78d-45e9-941c-1cdaff09e40e","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"e5f375d7-c118-448d-bf75-a6ecd576b21a","type":"DataRange1d"},{"attributes":{},"id":"0017bb77-c4ff-4b81-9c80-b557fa7278f8","type":"BasicTickFormatter"},{"attributes":{},"id":"b54fced5-f6d4-4ab3-a324-1407c0155a11","type":"LinearScale"},{"attributes":{"formatter":{"id":"560dcf6f-8c55-4e34-9e34-e36ec67c2dd8","type":"BasicTickFormatter"},"plot":{"id":"77b5fb1a-72e2-4ba3-9590-ed340be5eb0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d68bb62-798f-4949-92d6-954ff6dc00c3","type":"BasicTicker"}},"id":"dded5322-1550-4987-af16-dfaef15acf44","type":"LinearAxis"},{"attributes":{},"id":"560dcf6f-8c55-4e34-9e34-e36ec67c2dd8","type":"BasicTickFormatter"},{"attributes":{},"id":"fb127e19-2355-41ec-b633-6841e8b73ae8","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bda606b9-212f-4d33-85b1-792867bd3e51","type":"PanTool"},{"id":"5a031446-47ea-4297-9918-e9066205c47c","type":"WheelZoomTool"},{"id":"7ebf0e2c-3c4f-46c8-8f6e-7941998b2421","type":"BoxZoomTool"},{"id":"fb127e19-2355-41ec-b633-6841e8b73ae8","type":"SaveTool"},{"id":"92fc8133-e92d-43dc-9339-73577133006a","type":"ResetTool"},{"id":"73b04820-4251-4d19-a3be-8d70d26a28de","type":"HelpTool"}]},"id":"12cf2c14-5124-4c35-905d-3c8ea882bf68","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"77b5fb1a-72e2-4ba3-9590-ed340be5eb0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d68bb62-798f-4949-92d6-954ff6dc00c3","type":"BasicTicker"}},"id":"44c3d194-2476-4e93-877a-91467917036c","type":"Grid"},{"attributes":{"source":{"id":"28812358-82f0-4949-983e-f16f80e2bd37","type":"ColumnDataSource"}},"id":"b2ddbea9-1821-4cb9-b444-9bd0a1693ea9","type":"CDSView"},{"attributes":{"callback":null},"id":"e7343ecb-16e9-4d13-bfab-ddf86c9420e3","type":"DataRange1d"},{"attributes":{},"id":"fb7948d0-5957-48a5-849a-9ca54be15d97","type":"BasicTicker"},{"attributes":{"below":[{"id":"4ee3960a-1466-452f-96e7-535637f93df0","type":"LinearAxis"}],"left":[{"id":"dded5322-1550-4987-af16-dfaef15acf44","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"4ee3960a-1466-452f-96e7-535637f93df0","type":"LinearAxis"},{"id":"b87e9135-e468-41de-9871-3269c1d7d44e","type":"Grid"},{"id":"dded5322-1550-4987-af16-dfaef15acf44","type":"LinearAxis"},{"id":"44c3d194-2476-4e93-877a-91467917036c","type":"Grid"},{"id":"d2f0e1ed-7944-407c-ac7f-9bc8d2e23a75","type":"BoxAnnotation"},{"id":"800ab385-a78d-45e9-941c-1cdaff09e40e","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"12cf2c14-5124-4c35-905d-3c8ea882bf68","type":"Toolbar"},"toolbar_location":"below","x_range":{"id":"e5f375d7-c118-448d-bf75-a6ecd576b21a","type":"DataRange1d"},"x_scale":{"id":"b54fced5-f6d4-4ab3-a324-1407c0155a11","type":"LinearScale"},"y_range":{"id":"e7343ecb-16e9-4d13-bfab-ddf86c9420e3","type":"DataRange1d"},"y_scale":{"id":"6f747ef1-549c-48f7-a1da-0930210144cb","type":"LinearScale"}},"id":"77b5fb1a-72e2-4ba3-9590-ed340be5eb0d","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"d2f0e1ed-7944-407c-ac7f-9bc8d2e23a75","type":"BoxAnnotation"}},"id":"7ebf0e2c-3c4f-46c8-8f6e-7941998b2421","type":"BoxZoomTool"},{"attributes":{},"id":"2d68bb62-798f-4949-92d6-954ff6dc00c3","type":"BasicTicker"},{"attributes":{},"id":"bda606b9-212f-4d33-85b1-792867bd3e51","type":"PanTool"},{"attributes":{"formatter":{"id":"0017bb77-c4ff-4b81-9c80-b557fa7278f8","type":"BasicTickFormatter"},"plot":{"id":"77b5fb1a-72e2-4ba3-9590-ed340be5eb0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb7948d0-5957-48a5-849a-9ca54be15d97","type":"BasicTicker"}},"id":"4ee3960a-1466-452f-96e7-535637f93df0","type":"LinearAxis"},{"attributes":{"plot":{"id":"77b5fb1a-72e2-4ba3-9590-ed340be5eb0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb7948d0-5957-48a5-849a-9ca54be15d97","type":"BasicTicker"}},"id":"b87e9135-e468-41de-9871-3269c1d7d44e","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d2f0e1ed-7944-407c-ac7f-9bc8d2e23a75","type":"BoxAnnotation"},{"attributes":{},"id":"5a031446-47ea-4297-9918-e9066205c47c","type":"WheelZoomTool"}],"root_ids":["77b5fb1a-72e2-4ba3-9590-ed340be5eb0d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cfa2c730-6f49-4def-94d4-73849f4461f4","elementid":"cc846d58-f0ae-40aa-af95-7fbe249a5b86","modelid":"77b5fb1a-72e2-4ba3-9590-ed340be5eb0d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
