(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a22191f7-87c6-471f-a5a0-7ca141c42e95");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a22191f7-87c6-471f-a5a0-7ca141c42e95' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c271e75e-0460-40a0-9530-09925177195b":{"roots":{"references":[{"attributes":{},"id":"36f05848-a85a-452f-97d5-f01ad6eb2a9d","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"b09d08d9-8a3c-4687-821d-2ddd214141ac","type":"LinearAxis"}],"left":[{"id":"3dffaee6-1503-41ca-8ca1-f70e0c5d321c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b09d08d9-8a3c-4687-821d-2ddd214141ac","type":"LinearAxis"},{"id":"8f50c271-2e88-4395-9386-e0fc9d6731b6","type":"Grid"},{"id":"3dffaee6-1503-41ca-8ca1-f70e0c5d321c","type":"LinearAxis"},{"id":"3f478924-5bb7-44ec-9fcb-fbc4dd5d5c17","type":"Grid"},{"id":"0dce1cfb-6724-4ce5-9fc7-546a6aa26aa6","type":"BoxAnnotation"},{"id":"aeee9c94-f577-4e71-b4a2-ad4ad49b8527","type":"GlyphRenderer"}],"title":{"id":"7cb599ac-edfd-49ae-869b-f008ffe5df94","type":"Title"},"toolbar":{"id":"7cff9854-975d-4d4b-975c-ac921cdd05c7","type":"Toolbar"},"x_range":{"id":"c887560e-7add-4f71-8301-2ab8ed7ac4b1","type":"DataRange1d"},"x_scale":{"id":"6be601f3-4e42-44fb-b050-3027d9532a4e","type":"LinearScale"},"y_range":{"id":"39ff12ba-03b5-48d7-93ff-23322e03d3c1","type":"DataRange1d"},"y_scale":{"id":"a97b6fe9-af4b-40a4-a899-30f1c30cacd6","type":"LinearScale"}},"id":"5c10ac1a-2cf3-435c-9c03-8062675c0eb9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"488232a5-a773-4108-8774-c52ae135e7d0","type":"PanTool"},{"attributes":{},"id":"a97b6fe9-af4b-40a4-a899-30f1c30cacd6","type":"LinearScale"},{"attributes":{"formatter":{"id":"ebbc4051-d0c1-4313-965e-904f6b6589ac","type":"BasicTickFormatter"},"plot":{"id":"5c10ac1a-2cf3-435c-9c03-8062675c0eb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"9d55562a-2a26-4359-a01e-a59438c9d06b","type":"BasicTicker"}},"id":"b09d08d9-8a3c-4687-821d-2ddd214141ac","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"488232a5-a773-4108-8774-c52ae135e7d0","type":"PanTool"},{"id":"f03fb38d-c875-4b79-ba34-7881e2ffbb03","type":"WheelZoomTool"},{"id":"338ddb89-a9aa-4675-b9ca-56c59c2241dc","type":"BoxZoomTool"},{"id":"b1604bed-f9d8-4437-a3ff-1a7bb3b80a2e","type":"SaveTool"},{"id":"b5ba1586-8eb9-4229-86eb-9303ee430897","type":"ResetTool"},{"id":"940d5309-13b1-484a-bff3-c0906def472d","type":"HelpTool"}]},"id":"7cff9854-975d-4d4b-975c-ac921cdd05c7","type":"Toolbar"},{"attributes":{},"id":"f03fb38d-c875-4b79-ba34-7881e2ffbb03","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"0dce1cfb-6724-4ce5-9fc7-546a6aa26aa6","type":"BoxAnnotation"}},"id":"338ddb89-a9aa-4675-b9ca-56c59c2241dc","type":"BoxZoomTool"},{"attributes":{},"id":"ebbc4051-d0c1-4313-965e-904f6b6589ac","type":"BasicTickFormatter"},{"attributes":{},"id":"6be601f3-4e42-44fb-b050-3027d9532a4e","type":"LinearScale"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"ca96b53c-2644-4134-ad8a-77fb8cf36bfe","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"2b4076a3-c70d-4d48-a4fa-ee6c21bad8ca","type":"ColumnDataSource"},"glyph":{"id":"6e81e5ae-5d13-446a-8fd6-8204a7e26851","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ca96b53c-2644-4134-ad8a-77fb8cf36bfe","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"02a28e51-4968-4312-a14b-ecd5b9ec27de","type":"CDSView"}},"id":"aeee9c94-f577-4e71-b4a2-ad4ad49b8527","type":"GlyphRenderer"},{"attributes":{"source":{"id":"2b4076a3-c70d-4d48-a4fa-ee6c21bad8ca","type":"ColumnDataSource"}},"id":"02a28e51-4968-4312-a14b-ecd5b9ec27de","type":"CDSView"},{"attributes":{},"id":"b1604bed-f9d8-4437-a3ff-1a7bb3b80a2e","type":"SaveTool"},{"attributes":{},"id":"940d5309-13b1-484a-bff3-c0906def472d","type":"HelpTool"},{"attributes":{"callback":null},"id":"39ff12ba-03b5-48d7-93ff-23322e03d3c1","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"5c10ac1a-2cf3-435c-9c03-8062675c0eb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"f49172d9-a8a7-48ba-805b-8ea2e93f88ff","type":"BasicTicker"}},"id":"3f478924-5bb7-44ec-9fcb-fbc4dd5d5c17","type":"Grid"},{"attributes":{"formatter":{"id":"36f05848-a85a-452f-97d5-f01ad6eb2a9d","type":"BasicTickFormatter"},"plot":{"id":"5c10ac1a-2cf3-435c-9c03-8062675c0eb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"f49172d9-a8a7-48ba-805b-8ea2e93f88ff","type":"BasicTicker"}},"id":"3dffaee6-1503-41ca-8ca1-f70e0c5d321c","type":"LinearAxis"},{"attributes":{},"id":"f49172d9-a8a7-48ba-805b-8ea2e93f88ff","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"2b4076a3-c70d-4d48-a4fa-ee6c21bad8ca","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"5c10ac1a-2cf3-435c-9c03-8062675c0eb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"9d55562a-2a26-4359-a01e-a59438c9d06b","type":"BasicTicker"}},"id":"8f50c271-2e88-4395-9386-e0fc9d6731b6","type":"Grid"},{"attributes":{},"id":"b5ba1586-8eb9-4229-86eb-9303ee430897","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0dce1cfb-6724-4ce5-9fc7-546a6aa26aa6","type":"BoxAnnotation"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"green"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"green"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"6e81e5ae-5d13-446a-8fd6-8204a7e26851","type":"AnnularWedge"},{"attributes":{"callback":null},"id":"c887560e-7add-4f71-8301-2ab8ed7ac4b1","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"7cb599ac-edfd-49ae-869b-f008ffe5df94","type":"Title"},{"attributes":{},"id":"9d55562a-2a26-4359-a01e-a59438c9d06b","type":"BasicTicker"}],"root_ids":["5c10ac1a-2cf3-435c-9c03-8062675c0eb9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c271e75e-0460-40a0-9530-09925177195b","elementid":"a22191f7-87c6-471f-a5a0-7ca141c42e95","modelid":"5c10ac1a-2cf3-435c-9c03-8062675c0eb9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
