(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("95b8d2df-507b-4522-bb7a-6eecfb59d73d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '95b8d2df-507b-4522-bb7a-6eecfb59d73d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4c83a016-dcbc-4cc4-a7ab-ea26e265b6cf":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"43f383f9-efbd-4e85-bde0-c317cc5ec85a","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7ffe01c6-02a8-4a6d-9b53-a6967020130e","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"33bb59a3-3834-46d4-84bb-57ba30e98412","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc895878-67eb-4aa7-9488-9f67ce449b4a","type":"BasicTicker"}},"id":"942ce419-0dc8-4585-a281-4ac5f8ba6245","type":"Grid"},{"attributes":{},"id":"fd5f6e53-4bd5-4566-a074-6f396319c5c4","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"93d4cd59-5452-4d3e-921d-84540f889ea9","type":"BasicTickFormatter"},"plot":{"id":"33bb59a3-3834-46d4-84bb-57ba30e98412","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc895878-67eb-4aa7-9488-9f67ce449b4a","type":"BasicTicker"}},"id":"57b0b701-b449-4da5-bfea-7d7a29910e39","type":"LinearAxis"},{"attributes":{"callback":null},"id":"ba6dc0a7-9f6a-4a86-bdb1-71cf09916d46","type":"DataRange1d"},{"attributes":{"below":[{"id":"57b0b701-b449-4da5-bfea-7d7a29910e39","type":"LinearAxis"}],"left":[{"id":"2e26370c-d042-46da-8163-31c02154cfb8","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"57b0b701-b449-4da5-bfea-7d7a29910e39","type":"LinearAxis"},{"id":"942ce419-0dc8-4585-a281-4ac5f8ba6245","type":"Grid"},{"id":"2e26370c-d042-46da-8163-31c02154cfb8","type":"LinearAxis"},{"id":"c7c562d0-4419-4a64-88da-cefa6ea142ca","type":"Grid"},{"id":"7ffe01c6-02a8-4a6d-9b53-a6967020130e","type":"BoxAnnotation"},{"id":"9fa50035-ded6-48be-ac85-327011b649d5","type":"GlyphRenderer"}],"title":{"id":"43f383f9-efbd-4e85-bde0-c317cc5ec85a","type":"Title"},"toolbar":{"id":"2c283585-04a7-40f7-815d-715bb4ddf262","type":"Toolbar"},"x_range":{"id":"ea3d1dab-abf6-4bdd-a069-8679e36de522","type":"DataRange1d"},"x_scale":{"id":"7630724b-a64c-416d-b3c1-20e78552f793","type":"LinearScale"},"y_range":{"id":"ba6dc0a7-9f6a-4a86-bdb1-71cf09916d46","type":"DataRange1d"},"y_scale":{"id":"d25db731-51e6-4068-9392-d9023dfc62af","type":"LinearScale"}},"id":"33bb59a3-3834-46d4-84bb-57ba30e98412","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3cc8109a-4b2e-45c6-82ee-750b16cb886c","type":"HelpTool"},{"attributes":{},"id":"eee19994-ca3b-4f27-84bb-ab0e7246910c","type":"SaveTool"},{"attributes":{},"id":"9675aa11-4f69-4770-b368-16202add6ac6","type":"ResetTool"},{"attributes":{"callback":null},"id":"ea3d1dab-abf6-4bdd-a069-8679e36de522","type":"DataRange1d"},{"attributes":{},"id":"7630724b-a64c-416d-b3c1-20e78552f793","type":"LinearScale"},{"attributes":{"formatter":{"id":"6c98dff1-1d43-4e2e-841c-f41ed5c8b2d5","type":"BasicTickFormatter"},"plot":{"id":"33bb59a3-3834-46d4-84bb-57ba30e98412","subtype":"Figure","type":"Plot"},"ticker":{"id":"512722b1-b295-4848-9556-86dc74420e1a","type":"BasicTicker"}},"id":"2e26370c-d042-46da-8163-31c02154cfb8","type":"LinearAxis"},{"attributes":{},"id":"512722b1-b295-4848-9556-86dc74420e1a","type":"BasicTicker"},{"attributes":{},"id":"93d4cd59-5452-4d3e-921d-84540f889ea9","type":"BasicTickFormatter"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"data","value":0.3},"line_color":{"value":"#CAB2D6"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"274e2cce-920f-4eee-bf40-0e41d444154d","type":"Ellipse"},{"attributes":{"dimension":1,"plot":{"id":"33bb59a3-3834-46d4-84bb-57ba30e98412","subtype":"Figure","type":"Plot"},"ticker":{"id":"512722b1-b295-4848-9556-86dc74420e1a","type":"BasicTicker"}},"id":"c7c562d0-4419-4a64-88da-cefa6ea142ca","type":"Grid"},{"attributes":{},"id":"fc895878-67eb-4aa7-9488-9f67ce449b4a","type":"BasicTicker"},{"attributes":{"source":{"id":"97a58aea-77c0-4237-a1f0-3a756b345953","type":"ColumnDataSource"}},"id":"fc5d9fd2-f4f3-45bf-b97f-84e70363530f","type":"CDSView"},{"attributes":{},"id":"24096296-addc-4910-b9d5-5c1f76035c7a","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"24096296-addc-4910-b9d5-5c1f76035c7a","type":"PanTool"},{"id":"fd5f6e53-4bd5-4566-a074-6f396319c5c4","type":"WheelZoomTool"},{"id":"8c8cea2b-756e-4a0f-a8d5-10e274757356","type":"BoxZoomTool"},{"id":"eee19994-ca3b-4f27-84bb-ab0e7246910c","type":"SaveTool"},{"id":"9675aa11-4f69-4770-b368-16202add6ac6","type":"ResetTool"},{"id":"3cc8109a-4b2e-45c6-82ee-750b16cb886c","type":"HelpTool"}]},"id":"2c283585-04a7-40f7-815d-715bb4ddf262","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["width","y","x"],"data":{"width":[0.2,0.3,0.1],"x":[1,2,3],"y":[1,2,3]}},"id":"97a58aea-77c0-4237-a1f0-3a756b345953","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"7ffe01c6-02a8-4a6d-9b53-a6967020130e","type":"BoxAnnotation"}},"id":"8c8cea2b-756e-4a0f-a8d5-10e274757356","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"97a58aea-77c0-4237-a1f0-3a756b345953","type":"ColumnDataSource"},"glyph":{"id":"274e2cce-920f-4eee-bf40-0e41d444154d","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cff0a83b-82ef-4d84-9358-36ebea13d10c","type":"Ellipse"},"selection_glyph":null,"view":{"id":"fc5d9fd2-f4f3-45bf-b97f-84e70363530f","type":"CDSView"}},"id":"9fa50035-ded6-48be-ac85-327011b649d5","type":"GlyphRenderer"},{"attributes":{},"id":"6c98dff1-1d43-4e2e-841c-f41ed5c8b2d5","type":"BasicTickFormatter"},{"attributes":{},"id":"d25db731-51e6-4068-9392-d9023dfc62af","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.3},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"cff0a83b-82ef-4d84-9358-36ebea13d10c","type":"Ellipse"}],"root_ids":["33bb59a3-3834-46d4-84bb-57ba30e98412"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4c83a016-dcbc-4cc4-a7ab-ea26e265b6cf","elementid":"95b8d2df-507b-4522-bb7a-6eecfb59d73d","modelid":"33bb59a3-3834-46d4-84bb-57ba30e98412"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
