(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8a07bcfa-d2d7-420c-9ae0-936a9e1e76dd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8a07bcfa-d2d7-420c-9ae0-936a9e1e76dd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"75e6c4be-9fcd-441f-9d6b-260b305b186c":{"roots":{"references":[{"attributes":{"formatter":{"id":"d7718cfd-611c-4852-9d8e-f7ebc8a08faa","type":"BasicTickFormatter"},"plot":{"id":"0bbce38a-566e-4e63-95e5-1384f82b0217","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5a4b6cd-cd81-45f6-a5dc-6ea9a6166cea","type":"BasicTicker"}},"id":"28560b68-858a-42de-a709-1a4153fc1a0c","type":"LinearAxis"},{"attributes":{},"id":"4d211978-0540-47e7-9557-9f649e39fefb","type":"BasicTicker"},{"attributes":{"callback":null},"id":"3515a334-2523-451f-8110-68d826e246e4","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2.5,3,2],"y":[2,3,1,1.5]}},"id":"455d7332-d2c2-493e-9456-74d315613b65","type":"ColumnDataSource"},{"attributes":{},"id":"f8813908-173f-4689-b370-a915fa6f13e4","type":"LinearScale"},{"attributes":{},"id":"de7f96ac-98d9-4da3-8ec5-ac3bb134a517","type":"PanTool"},{"attributes":{"callback":null},"id":"78f4d3be-88ef-4dba-84ff-699773d8ce27","type":"DataRange1d"},{"attributes":{"formatter":{"id":"18808a10-a814-4134-b27c-7e01303aa4df","type":"BasicTickFormatter"},"plot":{"id":"0bbce38a-566e-4e63-95e5-1384f82b0217","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d211978-0540-47e7-9557-9f649e39fefb","type":"BasicTicker"}},"id":"00c6e61e-0788-4c69-bd23-6448a8e81698","type":"LinearAxis"},{"attributes":{"plot":{"id":"0bbce38a-566e-4e63-95e5-1384f82b0217","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5a4b6cd-cd81-45f6-a5dc-6ea9a6166cea","type":"BasicTicker"}},"id":"a848593d-9647-4d8b-99d0-1fa33e74cf36","type":"Grid"},{"attributes":{"data_source":{"id":"455d7332-d2c2-493e-9456-74d315613b65","type":"ColumnDataSource"},"glyph":{"id":"b9d34b73-83c8-47a5-9a81-4d829ccfc21c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"494a8345-3112-40ba-a1b2-bd5228b78078","type":"Circle"},"selection_glyph":null,"view":{"id":"d1e79813-37f5-4314-b6c8-8cfc953b64d0","type":"CDSView"}},"id":"6b0ef160-8b5b-4554-8c43-1370646851da","type":"GlyphRenderer"},{"attributes":{},"id":"18808a10-a814-4134-b27c-7e01303aa4df","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"28560b68-858a-42de-a709-1a4153fc1a0c","type":"LinearAxis"}],"left":[{"id":"00c6e61e-0788-4c69-bd23-6448a8e81698","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"28560b68-858a-42de-a709-1a4153fc1a0c","type":"LinearAxis"},{"id":"a848593d-9647-4d8b-99d0-1fa33e74cf36","type":"Grid"},{"id":"00c6e61e-0788-4c69-bd23-6448a8e81698","type":"LinearAxis"},{"id":"3f9c85ff-b9f0-4575-8388-6cf59f73faf9","type":"Grid"},{"id":"6b0ef160-8b5b-4554-8c43-1370646851da","type":"GlyphRenderer"}],"title":{"id":"3b6c80d7-1713-4b7c-9000-e06d3dc02e8c","type":"Title"},"toolbar":{"id":"0ea113ca-3777-4d29-8bc6-b22436933fa8","type":"Toolbar"},"x_range":{"id":"3515a334-2523-451f-8110-68d826e246e4","type":"DataRange1d"},"x_scale":{"id":"2d4113c2-0ca3-4718-ab20-7c9f38e576fc","type":"LinearScale"},"y_range":{"id":"78f4d3be-88ef-4dba-84ff-699773d8ce27","type":"DataRange1d"},"y_scale":{"id":"f8813908-173f-4689-b370-a915fa6f13e4","type":"LinearScale"}},"id":"0bbce38a-566e-4e63-95e5-1384f82b0217","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"3b6c80d7-1713-4b7c-9000-e06d3dc02e8c","type":"Title"},{"attributes":{},"id":"d7718cfd-611c-4852-9d8e-f7ebc8a08faa","type":"BasicTickFormatter"},{"attributes":{},"id":"2d4113c2-0ca3-4718-ab20-7c9f38e576fc","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"494a8345-3112-40ba-a1b2-bd5228b78078","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"de7f96ac-98d9-4da3-8ec5-ac3bb134a517","type":"PanTool"},{"id":"4a8dc695-cf49-4a3a-89df-2f5c7c7f1924","type":"ResetTool"},{"id":"e4346d5b-823f-475f-84f6-62a006ea5a36","type":"SaveTool"}]},"id":"0ea113ca-3777-4d29-8bc6-b22436933fa8","type":"Toolbar"},{"attributes":{},"id":"c5a4b6cd-cd81-45f6-a5dc-6ea9a6166cea","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"b9d34b73-83c8-47a5-9a81-4d829ccfc21c","type":"Circle"},{"attributes":{},"id":"e4346d5b-823f-475f-84f6-62a006ea5a36","type":"SaveTool"},{"attributes":{"source":{"id":"455d7332-d2c2-493e-9456-74d315613b65","type":"ColumnDataSource"}},"id":"d1e79813-37f5-4314-b6c8-8cfc953b64d0","type":"CDSView"},{"attributes":{},"id":"4a8dc695-cf49-4a3a-89df-2f5c7c7f1924","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"0bbce38a-566e-4e63-95e5-1384f82b0217","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d211978-0540-47e7-9557-9f649e39fefb","type":"BasicTicker"}},"id":"3f9c85ff-b9f0-4575-8388-6cf59f73faf9","type":"Grid"}],"root_ids":["0bbce38a-566e-4e63-95e5-1384f82b0217"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"75e6c4be-9fcd-441f-9d6b-260b305b186c","elementid":"8a07bcfa-d2d7-420c-9ae0-936a9e1e76dd","modelid":"0bbce38a-566e-4e63-95e5-1384f82b0217"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
