(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5edb671a-f834-4c00-9085-07af928dd882");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5edb671a-f834-4c00-9085-07af928dd882' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"023ed752-57ba-446f-ae74-a18ca46fb210":{"roots":{"references":[{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"5cc6cb00-cdc2-486d-bc91-3c882ce1753e","type":"GlyphRenderer"}]},"id":"d3af20fb-3731-4cca-98aa-b86c97787eb4","type":"LegendItem"},{"attributes":{"items":[{"id":"d3af20fb-3731-4cca-98aa-b86c97787eb4","type":"LegendItem"},{"id":"440ff94e-896e-45f7-bb4d-b45f6cf790ac","type":"LegendItem"},{"id":"a0a3bcbe-00ae-46e3-8af0-b39abcbc2907","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"233ec5b0-4a0f-4968-894f-71e1747aad6b","subtype":"Figure","type":"Plot"}},"id":"153561f9-f368-4e99-b493-a40c6e4cf03d","type":"Legend"},{"attributes":{},"id":"ccd0528a-859f-4049-85e7-668dbb3c7eb6","type":"BasicTicker"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"f9bcc6a3-2e02-4d2b-bbd6-7a230cfd235d","type":"GlyphRenderer"}]},"id":"a0a3bcbe-00ae-46e3-8af0-b39abcbc2907","type":"LegendItem"},{"attributes":{"fields":["2015","2016","2017"]},"id":"09b02b6f-48f5-41c0-9a1f-48e1a5171228","type":"Stack"},{"attributes":{"bottom":{"expr":{"id":"e4d1d9d0-6636-4c5a-83a6-3d2fed8cffe3","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"93cfc73a-9f84-4a8d-9f18-c46b9a7368f6","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"5d00619f-7d61-465c-8e86-e5876b64ed97","type":"VBar"},{"attributes":{"formatter":{"id":"e80285ce-d99b-4f6c-be08-cf23e1cdd737","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"233ec5b0-4a0f-4968-894f-71e1747aad6b","subtype":"Figure","type":"Plot"},"ticker":{"id":"ccd0528a-859f-4049-85e7-668dbb3c7eb6","type":"BasicTicker"}},"id":"3add84a1-7fca-45d3-995f-be99cb21ad5e","type":"LinearAxis"},{"attributes":{},"id":"6f90d328-04ee-4e3b-bed2-08a3ffbc166a","type":"LinearScale"},{"attributes":{"source":{"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"}},"id":"d4b31c9d-32bf-44c1-981f-8df643ff2ccc","type":"CDSView"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"463f4aa6-5a9d-4227-8c02-7af6ca74c0b6","type":"GlyphRenderer"}]},"id":"440ff94e-896e-45f7-bb4d-b45f6cf790ac","type":"LegendItem"},{"attributes":{"source":{"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"}},"id":"6f1e9eae-c223-4f9a-b074-4ee64cb1ed27","type":"CDSView"},{"attributes":{},"id":"735c38d0-1081-4325-9a41-fc01f522f7c2","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"},"glyph":{"id":"418d268a-5550-4fd3-a53d-edfbb75ee3ae","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bc7ef804-24ff-4f32-bcdd-339092770de0","type":"VBar"},"selection_glyph":null,"view":{"id":"d4b31c9d-32bf-44c1-981f-8df643ff2ccc","type":"CDSView"}},"id":"463f4aa6-5a9d-4227-8c02-7af6ca74c0b6","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"54405bc2-d60b-4286-83b0-10e3127554f5","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"},"glyph":{"id":"76be83c3-4b3d-44a8-a6cb-39694e10bb2f","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"04aa58a1-6441-4cb2-8cf6-9baef95ff535","type":"VBar"},"selection_glyph":null,"view":{"id":"3a1bd730-fa77-4993-b254-52ce4c79d090","type":"CDSView"}},"id":"f9bcc6a3-2e02-4d2b-bbd6-7a230cfd235d","type":"GlyphRenderer"},{"attributes":{"fields":[]},"id":"e4d1d9d0-6636-4c5a-83a6-3d2fed8cffe3","type":"Stack"},{"attributes":{"source":{"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"}},"id":"3a1bd730-fa77-4993-b254-52ce4c79d090","type":"CDSView"},{"attributes":{"bottom":{"expr":{"id":"e4d1d9d0-6636-4c5a-83a6-3d2fed8cffe3","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"93cfc73a-9f84-4a8d-9f18-c46b9a7368f6","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"936bb81b-bc91-4f18-b9bb-f75f1a6c723d","type":"VBar"},{"attributes":{"data_source":{"id":"8a29a295-09eb-4520-bdc4-427108cfcec5","type":"ColumnDataSource"},"glyph":{"id":"5d00619f-7d61-465c-8e86-e5876b64ed97","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"936bb81b-bc91-4f18-b9bb-f75f1a6c723d","type":"VBar"},"selection_glyph":null,"view":{"id":"6f1e9eae-c223-4f9a-b074-4ee64cb1ed27","type":"CDSView"}},"id":"5cc6cb00-cdc2-486d-bc91-3c882ce1753e","type":"GlyphRenderer"},{"attributes":{"fields":["2015","2016"]},"id":"5521e2fc-e552-4cd6-a1e9-7fc1a1df6805","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"d0e5c186-8575-4d95-a2f8-3a7374486dee","type":"Title"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"233ec5b0-4a0f-4968-894f-71e1747aad6b","subtype":"Figure","type":"Plot"},"ticker":{"id":"d74f60f9-237f-4af0-b691-ec32c630709f","type":"CategoricalTicker"}},"id":"fa21d8c1-6014-44f4-8d23-3e4a2fa44f1e","type":"Grid"},{"attributes":{"bottom":{"expr":{"id":"60c106af-7918-431d-8f8e-fbcb2066d142","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"5521e2fc-e552-4cd6-a1e9-7fc1a1df6805","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"418d268a-5550-4fd3-a53d-edfbb75ee3ae","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"7515f7e9-0b15-4c45-8c88-5d583566c125","type":"DataRange1d"},{"attributes":{"fields":["2015"]},"id":"93cfc73a-9f84-4a8d-9f18-c46b9a7368f6","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"65fe7f96-1f2e-4d3b-86a7-1490ab63a3d1","type":"Stack"},{"attributes":{},"id":"67e1cc30-b8be-4fbc-a491-c6b81a857ab3","type":"CategoricalTickFormatter"},{"attributes":{},"id":"d74f60f9-237f-4af0-b691-ec32c630709f","type":"CategoricalTicker"},{"attributes":{},"id":"e80285ce-d99b-4f6c-be08-cf23e1cdd737","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"67e1cc30-b8be-4fbc-a491-c6b81a857ab3","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"233ec5b0-4a0f-4968-894f-71e1747aad6b","subtype":"Figure","type":"Plot"},"ticker":{"id":"d74f60f9-237f-4af0-b691-ec32c630709f","type":"CategoricalTicker"}},"id":"ce7a83f5-3077-4a45-b07f-c47d7127da8a","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"ce7a83f5-3077-4a45-b07f-c47d7127da8a","type":"CategoricalAxis"}],"left":[{"id":"3add84a1-7fca-45d3-995f-be99cb21ad5e","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"ce7a83f5-3077-4a45-b07f-c47d7127da8a","type":"CategoricalAxis"},{"id":"fa21d8c1-6014-44f4-8d23-3e4a2fa44f1e","type":"Grid"},{"id":"3add84a1-7fca-45d3-995f-be99cb21ad5e","type":"LinearAxis"},{"id":"ee64960a-d55d-4639-be3b-e1f00c61a91d","type":"Grid"},{"id":"153561f9-f368-4e99-b493-a40c6e4cf03d","type":"Legend"},{"id":"5cc6cb00-cdc2-486d-bc91-3c882ce1753e","type":"GlyphRenderer"},{"id":"463f4aa6-5a9d-4227-8c02-7af6ca74c0b6","type":"GlyphRenderer"},{"id":"f9bcc6a3-2e02-4d2b-bbd6-7a230cfd235d","type":"GlyphRenderer"}],"title":{"id":"d0e5c186-8575-4d95-a2f8-3a7374486dee","type":"Title"},"toolbar":{"id":"54405bc2-d60b-4286-83b0-10e3127554f5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"dd00daec-4ccd-48ad-b8ca-e49256790d07","type":"FactorRange"},"x_scale":{"id":"735c38d0-1081-4325-9a41-fc01f522f7c2","type":"CategoricalScale"},"y_range":{"id":"7515f7e9-0b15-4c45-8c88-5d583566c125","type":"DataRange1d"},"y_scale":{"id":"6f90d328-04ee-4e3b-bed2-08a3ffbc166a","type":"LinearScale"}},"id":"233ec5b0-4a0f-4968-894f-71e1747aad6b","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"233ec5b0-4a0f-4968-894f-71e1747aad6b","subtype":"Figure","type":"Plot"},"ticker":{"id":"ccd0528a-859f-4049-85e7-668dbb3c7eb6","type":"BasicTicker"}},"id":"ee64960a-d55d-4639-be3b-e1f00c61a91d","type":"Grid"},{"attributes":{"bottom":{"expr":{"id":"65fe7f96-1f2e-4d3b-86a7-1490ab63a3d1","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"09b02b6f-48f5-41c0-9a1f-48e1a5171228","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"76be83c3-4b3d-44a8-a6cb-39694e10bb2f","type":"VBar"},{"attributes":{"bottom":{"expr":{"id":"65fe7f96-1f2e-4d3b-86a7-1490ab63a3d1","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"09b02b6f-48f5-41c0-9a1f-48e1a5171228","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"04aa58a1-6441-4cb2-8cf6-9baef95ff535","type":"VBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"dd00daec-4ccd-48ad-b8ca-e49256790d07","type":"FactorRange"},{"attributes":{"fields":["2015"]},"id":"60c106af-7918-431d-8f8e-fbcb2066d142","type":"Stack"},{"attributes":{"bottom":{"expr":{"id":"60c106af-7918-431d-8f8e-fbcb2066d142","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"5521e2fc-e552-4cd6-a1e9-7fc1a1df6805","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"bc7ef804-24ff-4f32-bcdd-339092770de0","type":"VBar"}],"root_ids":["233ec5b0-4a0f-4968-894f-71e1747aad6b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"023ed752-57ba-446f-ae74-a18ca46fb210","elementid":"5edb671a-f834-4c00-9085-07af928dd882","modelid":"233ec5b0-4a0f-4968-894f-71e1747aad6b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
