(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0db24f33-116f-458a-bcac-969fbefbf11d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0db24f33-116f-458a-bcac-969fbefbf11d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d1e41aa0-ab57-49bd-9805-b8d5fa7c07db":{"roots":{"references":[{"attributes":{},"id":"acb0dd44-6b00-491f-a76b-a09c4cd5d1b0","type":"LinearScale"},{"attributes":{},"id":"b5588960-e0ce-46eb-a9b9-642629907cd6","type":"NodesOnly"},{"attributes":{"source":{"id":"4eb38864-8be6-4a93-bbbe-d8dc5a5c9e3d","type":"ColumnDataSource"}},"id":"5fcf978c-bbe2-4ca0-b136-4acb95b92d24","type":"CDSView"},{"attributes":{"plot":null,"text":"Graph Layout Demonstration"},"id":"7775c346-0209-467b-a227-3db73dcc4245","type":"Title"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.7071067811865476,0.7071067811865475],"2":[6.123233995736766e-17,1.0],"3":[-0.7071067811865475,0.7071067811865476],"4":[-1.0,1.2246467991473532e-16],"5":[-0.7071067811865477,-0.7071067811865475],"6":[-1.8369701987210297e-16,-1.0],"7":[0.7071067811865475,-0.7071067811865477]}},"id":"2b9cadd7-1404-4ba2-bd98-fabea881b4f8","type":"StaticLayoutProvider"},{"attributes":{},"id":"715c4a4e-3fdd-45aa-a05c-d94f2598f8f7","type":"BasicTicker"},{"attributes":{},"id":"6fa2351e-1b87-4db4-af50-e92ee952f487","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"277829fb-e04c-47e8-adc2-076bab69b13c","type":"LinearAxis"}],"left":[{"id":"59e50fa0-28f8-4041-b4d5-28b86e57ef47","type":"LinearAxis"}],"renderers":[{"id":"277829fb-e04c-47e8-adc2-076bab69b13c","type":"LinearAxis"},{"id":"65530fdd-3cff-4ecb-af58-302cb1eb6159","type":"Grid"},{"id":"59e50fa0-28f8-4041-b4d5-28b86e57ef47","type":"LinearAxis"},{"id":"6d7f261c-13cb-4ba6-82a7-977894b5fb9c","type":"Grid"},{"id":"e7e4d6b1-ca72-4692-9afc-bbe04500bb6a","type":"GraphRenderer"}],"title":{"id":"7775c346-0209-467b-a227-3db73dcc4245","type":"Title"},"toolbar":{"id":"e09ddbdc-c03b-4a38-b67a-3e2bdf410591","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"66b76bd6-1ba7-474e-b4a3-e70010061248","type":"Range1d"},"x_scale":{"id":"acb0dd44-6b00-491f-a76b-a09c4cd5d1b0","type":"LinearScale"},"y_range":{"id":"bf4a1a60-f4c7-4782-a1a6-111109dc21be","type":"Range1d"},"y_scale":{"id":"50d50191-d173-4cae-a499-3996bf59adbf","type":"LinearScale"}},"id":"dcf7678d-7cf1-455e-ac84-6b1c8fc77916","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["index"],"data":{"fill_color":["#3288bd","#66c2a5","#abdda4","#e6f598","#fee08b","#fdae61","#f46d43","#d53e4f"],"index":[0,1,2,3,4,5,6,7]}},"id":"4eb38864-8be6-4a93-bbbe-d8dc5a5c9e3d","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"bf4a1a60-f4c7-4782-a1a6-111109dc21be","type":"Range1d"},{"attributes":{"data_source":{"id":"4eb38864-8be6-4a93-bbbe-d8dc5a5c9e3d","type":"ColumnDataSource"},"glyph":{"id":"600dd598-5660-4c77-b5b0-86dd57befd35","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5fcf978c-bbe2-4ca0-b136-4acb95b92d24","type":"CDSView"}},"id":"2328984d-b67e-42aa-b632-757441e63d86","type":"GlyphRenderer"},{"attributes":{},"id":"d0474d25-99aa-4f41-a020-24ec9c29a2d1","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e09ddbdc-c03b-4a38-b67a-3e2bdf410591","type":"Toolbar"},{"attributes":{"plot":{"id":"dcf7678d-7cf1-455e-ac84-6b1c8fc77916","subtype":"Figure","type":"Plot"},"ticker":{"id":"715c4a4e-3fdd-45aa-a05c-d94f2598f8f7","type":"BasicTicker"}},"id":"65530fdd-3cff-4ecb-af58-302cb1eb6159","type":"Grid"},{"attributes":{},"id":"50d50191-d173-4cae-a499-3996bf59adbf","type":"LinearScale"},{"attributes":{},"id":"1029227f-b7ce-4536-a509-87ca46d8ed14","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"1029227f-b7ce-4536-a509-87ca46d8ed14","type":"BasicTickFormatter"},"plot":{"id":"dcf7678d-7cf1-455e-ac84-6b1c8fc77916","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0474d25-99aa-4f41-a020-24ec9c29a2d1","type":"BasicTicker"}},"id":"59e50fa0-28f8-4041-b4d5-28b86e57ef47","type":"LinearAxis"},{"attributes":{"data_source":{"id":"877738d6-ad4d-4d52-8ad7-463adceec462","type":"ColumnDataSource"},"glyph":{"id":"cfa27598-2191-43e7-9058-e70aad4882a7","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"1936690f-ce39-4bc5-a100-96555a415fd8","type":"CDSView"}},"id":"f59c2c90-d021-481a-9fa1-360981ecaa0a","type":"GlyphRenderer"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":0.1},"width":{"units":"data","value":0.2}},"id":"600dd598-5660-4c77-b5b0-86dd57befd35","type":"Oval"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"66b76bd6-1ba7-474e-b4a3-e70010061248","type":"Range1d"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[0,1,2,3,4,5,6,7],"start":[0,0,0,0,0,0,0,0]}},"id":"877738d6-ad4d-4d52-8ad7-463adceec462","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"6fa2351e-1b87-4db4-af50-e92ee952f487","type":"BasicTickFormatter"},"plot":{"id":"dcf7678d-7cf1-455e-ac84-6b1c8fc77916","subtype":"Figure","type":"Plot"},"ticker":{"id":"715c4a4e-3fdd-45aa-a05c-d94f2598f8f7","type":"BasicTicker"}},"id":"277829fb-e04c-47e8-adc2-076bab69b13c","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"dcf7678d-7cf1-455e-ac84-6b1c8fc77916","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0474d25-99aa-4f41-a020-24ec9c29a2d1","type":"BasicTicker"}},"id":"6d7f261c-13cb-4ba6-82a7-977894b5fb9c","type":"Grid"},{"attributes":{"edge_renderer":{"id":"f59c2c90-d021-481a-9fa1-360981ecaa0a","type":"GlyphRenderer"},"inspection_policy":{"id":"d7ee7eee-3a91-427a-9eab-58625989d80e","type":"NodesOnly"},"layout_provider":{"id":"2b9cadd7-1404-4ba2-bd98-fabea881b4f8","type":"StaticLayoutProvider"},"node_renderer":{"id":"2328984d-b67e-42aa-b632-757441e63d86","type":"GlyphRenderer"},"selection_policy":{"id":"b5588960-e0ce-46eb-a9b9-642629907cd6","type":"NodesOnly"}},"id":"e7e4d6b1-ca72-4692-9afc-bbe04500bb6a","type":"GraphRenderer"},{"attributes":{"source":{"id":"877738d6-ad4d-4d52-8ad7-463adceec462","type":"ColumnDataSource"}},"id":"1936690f-ce39-4bc5-a100-96555a415fd8","type":"CDSView"},{"attributes":{},"id":"d7ee7eee-3a91-427a-9eab-58625989d80e","type":"NodesOnly"},{"attributes":{},"id":"cfa27598-2191-43e7-9058-e70aad4882a7","type":"MultiLine"}],"root_ids":["dcf7678d-7cf1-455e-ac84-6b1c8fc77916"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d1e41aa0-ab57-49bd-9805-b8d5fa7c07db","elementid":"0db24f33-116f-458a-bcac-969fbefbf11d","modelid":"dcf7678d-7cf1-455e-ac84-6b1c8fc77916"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
