(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("844f6cba-adec-4b41-b90e-6e53159e76b4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '844f6cba-adec-4b41-b90e-6e53159e76b4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c7797356-95d7-4cf7-8b8c-c2ac3202a438":{"roots":{"references":[{"attributes":{},"id":"3a00660b-ed4f-4544-9bd7-ea4d609833b6","type":"CategoricalTicker"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"c284f082-afe7-4c21-a5b5-98a785ec921e","type":"CategoricalColorMapper"},{"attributes":{"below":[{"id":"91140208-6d66-46cb-8178-3993d66ddc18","type":"CategoricalAxis"}],"left":[{"id":"46ecddf6-e3e6-4fa4-a70c-d10027788fdc","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"91140208-6d66-46cb-8178-3993d66ddc18","type":"CategoricalAxis"},{"id":"a4b34c6a-08eb-4537-8546-24fbf773060a","type":"Grid"},{"id":"46ecddf6-e3e6-4fa4-a70c-d10027788fdc","type":"LinearAxis"},{"id":"5e36b57b-f99b-46c1-b071-687ec67f8075","type":"Grid"},{"id":"f7cd6cad-9c65-405a-bd4d-3d436b5ef424","type":"GlyphRenderer"}],"title":{"id":"fa48973a-7aec-4be7-9155-3abb443e4b13","type":"Title"},"toolbar":{"id":"b936e4ff-9c6f-4cad-b78a-fc2a143c5b24","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"fc2a9361-8ca1-45ce-ad6f-477a1ab2f7b9","type":"FactorRange"},"x_scale":{"id":"cb9eb364-5a81-49f4-baff-9455c6547cbd","type":"CategoricalScale"},"y_range":{"id":"24bbaa18-f76e-4954-9da4-5e8af234e929","type":"DataRange1d"},"y_scale":{"id":"0cd3337c-e58a-4031-96d6-4ace2222323a","type":"LinearScale"}},"id":"8b9a02bb-ed76-4b0b-9270-1cba515c83a0","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"start":0},"id":"24bbaa18-f76e-4954-9da4-5e8af234e929","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"8b9a02bb-ed76-4b0b-9270-1cba515c83a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"115bd552-08ed-4982-b764-4b6b2b10ff09","type":"BasicTicker"}},"id":"5e36b57b-f99b-46c1-b071-687ec67f8075","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"fcb24f00-79d6-4a75-b057-2946c18c768a","type":"ColumnDataSource"},{"attributes":{},"id":"0cd3337c-e58a-4031-96d6-4ace2222323a","type":"LinearScale"},{"attributes":{},"id":"e01a1a7c-cc6c-401d-97bd-ac3f2ee3b43e","type":"CategoricalTickFormatter"},{"attributes":{},"id":"115bd552-08ed-4982-b764-4b6b2b10ff09","type":"BasicTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"8b9a02bb-ed76-4b0b-9270-1cba515c83a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a00660b-ed4f-4544-9bd7-ea4d609833b6","type":"CategoricalTicker"}},"id":"a4b34c6a-08eb-4537-8546-24fbf773060a","type":"Grid"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"c284f082-afe7-4c21-a5b5-98a785ec921e","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"824558d3-a834-4fc6-97ce-3a8e0146d192","type":"VBar"},{"attributes":{"formatter":{"id":"2dceffbf-49af-47b2-b85d-1600452d7274","type":"BasicTickFormatter"},"plot":{"id":"8b9a02bb-ed76-4b0b-9270-1cba515c83a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"115bd552-08ed-4982-b764-4b6b2b10ff09","type":"BasicTicker"}},"id":"46ecddf6-e3e6-4fa4-a70c-d10027788fdc","type":"LinearAxis"},{"attributes":{},"id":"2dceffbf-49af-47b2-b85d-1600452d7274","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"fa48973a-7aec-4be7-9155-3abb443e4b13","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"ea647c84-4313-4d1c-9e44-39cc5273f1ba","type":"VBar"},{"attributes":{},"id":"cb9eb364-5a81-49f4-baff-9455c6547cbd","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b936e4ff-9c6f-4cad-b78a-fc2a143c5b24","type":"Toolbar"},{"attributes":{"formatter":{"id":"e01a1a7c-cc6c-401d-97bd-ac3f2ee3b43e","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"8b9a02bb-ed76-4b0b-9270-1cba515c83a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a00660b-ed4f-4544-9bd7-ea4d609833b6","type":"CategoricalTicker"}},"id":"91140208-6d66-46cb-8178-3993d66ddc18","type":"CategoricalAxis"},{"attributes":{"source":{"id":"fcb24f00-79d6-4a75-b057-2946c18c768a","type":"ColumnDataSource"}},"id":"7abbcde0-b554-4ccd-b206-9a94e3e50a4a","type":"CDSView"},{"attributes":{"data_source":{"id":"fcb24f00-79d6-4a75-b057-2946c18c768a","type":"ColumnDataSource"},"glyph":{"id":"824558d3-a834-4fc6-97ce-3a8e0146d192","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ea647c84-4313-4d1c-9e44-39cc5273f1ba","type":"VBar"},"selection_glyph":null,"view":{"id":"7abbcde0-b554-4ccd-b206-9a94e3e50a4a","type":"CDSView"}},"id":"f7cd6cad-9c65-405a-bd4d-3d436b5ef424","type":"GlyphRenderer"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"fc2a9361-8ca1-45ce-ad6f-477a1ab2f7b9","type":"FactorRange"}],"root_ids":["8b9a02bb-ed76-4b0b-9270-1cba515c83a0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c7797356-95d7-4cf7-8b8c-c2ac3202a438","elementid":"844f6cba-adec-4b41-b90e-6e53159e76b4","modelid":"8b9a02bb-ed76-4b0b-9270-1cba515c83a0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
