(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f8a4fd65-e3a2-4187-a718-e790874062fb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f8a4fd65-e3a2-4187-a718-e790874062fb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"26a3265e-64ef-4aa7-a9ad-7368411361ef":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"5038c5ee-f181-4c3d-89b2-41ca4b9337e1","type":"Dodge"}}},"id":"44c7b3b7-ca48-4469-87c9-9be0d6a7db9a","type":"VBar"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"c9118bd1-5ad9-4e7c-8008-12bb3ce29063","type":"GlyphRenderer"}]},"id":"35934e4b-7677-4579-a964-0874c1d1d239","type":"LegendItem"},{"attributes":{"formatter":{"id":"39b32490-fe59-40b9-910b-05bda5f25de0","type":"CategoricalTickFormatter"},"plot":{"id":"236a1a09-1435-4662-9f2a-8fcb8f51cc36","subtype":"Figure","type":"Plot"},"ticker":{"id":"0b04a625-4342-494a-8ba6-99a115397ee7","type":"CategoricalTicker"}},"id":"5b7af2a3-0d55-4040-9eea-b8977b21c58e","type":"CategoricalAxis"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"bb3eae82-5ab1-4325-9675-e7f6e041f999","type":"Title"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"d410f11f-21eb-475b-9b64-f201b38c8250","type":"Dodge"}}},"id":"93a73602-4434-4c59-a2c8-cc81a9f06c16","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"236a1a09-1435-4662-9f2a-8fcb8f51cc36","subtype":"Figure","type":"Plot"},"ticker":{"id":"0b04a625-4342-494a-8ba6-99a115397ee7","type":"CategoricalTicker"}},"id":"2bde2b4e-9747-4692-83ca-76c2ae0e1a6a","type":"Grid"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"18978bbf-43f2-40a3-bc0b-a5933f985acf","type":"Dodge"}}},"id":"70df4100-a09d-4163-8c85-7dfe18f395d9","type":"VBar"},{"attributes":{},"id":"0f42de1e-76f6-45dc-b970-2372cafa5ddd","type":"LinearScale"},{"attributes":{},"id":"1762e08c-74cb-4ebe-9301-94f7aa139cf2","type":"BasicTickFormatter"},{"attributes":{"range":{"id":"39a0bc5f-63af-4512-93b0-7e57ef0d8de9","type":"FactorRange"},"value":0.25},"id":"18978bbf-43f2-40a3-bc0b-a5933f985acf","type":"Dodge"},{"attributes":{},"id":"0b04a625-4342-494a-8ba6-99a115397ee7","type":"CategoricalTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"5038c5ee-f181-4c3d-89b2-41ca4b9337e1","type":"Dodge"}}},"id":"428e0067-d205-415d-92f4-15e685887e11","type":"VBar"},{"attributes":{"formatter":{"id":"1762e08c-74cb-4ebe-9301-94f7aa139cf2","type":"BasicTickFormatter"},"plot":{"id":"236a1a09-1435-4662-9f2a-8fcb8f51cc36","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9aa9d0e-e688-46f8-99c3-0b59e6212f02","type":"BasicTicker"}},"id":"6dbbb340-fc01-421e-88e9-c068a03fa314","type":"LinearAxis"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"316d6303-d515-452e-abc1-b61047ccd64c","type":"GlyphRenderer"}]},"id":"ee6b09ba-34c2-4e25-9308-aa0cbe8f2c5d","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"},"glyph":{"id":"70df4100-a09d-4163-8c85-7dfe18f395d9","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"987ac05f-3819-4800-8bcf-bb3a5eea107d","type":"VBar"},"selection_glyph":null,"view":{"id":"9d018deb-b0b6-4037-9459-0869df7e7995","type":"CDSView"}},"id":"c9118bd1-5ad9-4e7c-8008-12bb3ce29063","type":"GlyphRenderer"},{"attributes":{"range":{"id":"39a0bc5f-63af-4512-93b0-7e57ef0d8de9","type":"FactorRange"}},"id":"d410f11f-21eb-475b-9b64-f201b38c8250","type":"Dodge"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"96fe3a1f-d884-45ba-9b56-59e068666461","type":"Toolbar"},{"attributes":{"range":{"id":"39a0bc5f-63af-4512-93b0-7e57ef0d8de9","type":"FactorRange"},"value":-0.25},"id":"5038c5ee-f181-4c3d-89b2-41ca4b9337e1","type":"Dodge"},{"attributes":{},"id":"1a4edbe7-88cb-47f2-b635-ee13086250c8","type":"CategoricalScale"},{"attributes":{"source":{"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"}},"id":"8939483e-49c5-4638-a1cc-bf03eef28258","type":"CDSView"},{"attributes":{"source":{"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"}},"id":"9d018deb-b0b6-4037-9459-0869df7e7995","type":"CDSView"},{"attributes":{"data_source":{"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"},"glyph":{"id":"44c7b3b7-ca48-4469-87c9-9be0d6a7db9a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"428e0067-d205-415d-92f4-15e685887e11","type":"VBar"},"selection_glyph":null,"view":{"id":"8939483e-49c5-4638-a1cc-bf03eef28258","type":"CDSView"}},"id":"316d6303-d515-452e-abc1-b61047ccd64c","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"5b7af2a3-0d55-4040-9eea-b8977b21c58e","type":"CategoricalAxis"}],"left":[{"id":"6dbbb340-fc01-421e-88e9-c068a03fa314","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"5b7af2a3-0d55-4040-9eea-b8977b21c58e","type":"CategoricalAxis"},{"id":"2bde2b4e-9747-4692-83ca-76c2ae0e1a6a","type":"Grid"},{"id":"6dbbb340-fc01-421e-88e9-c068a03fa314","type":"LinearAxis"},{"id":"c04401b0-d671-45fa-bf25-75aae3c70ccf","type":"Grid"},{"id":"ea7ed612-6ccb-4198-9f1f-7f11d2faeaa9","type":"Legend"},{"id":"316d6303-d515-452e-abc1-b61047ccd64c","type":"GlyphRenderer"},{"id":"d558867f-36aa-4ff4-a05e-2744b1523f0f","type":"GlyphRenderer"},{"id":"c9118bd1-5ad9-4e7c-8008-12bb3ce29063","type":"GlyphRenderer"}],"title":{"id":"bb3eae82-5ab1-4325-9675-e7f6e041f999","type":"Title"},"toolbar":{"id":"96fe3a1f-d884-45ba-9b56-59e068666461","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"39a0bc5f-63af-4512-93b0-7e57ef0d8de9","type":"FactorRange"},"x_scale":{"id":"1a4edbe7-88cb-47f2-b635-ee13086250c8","type":"CategoricalScale"},"y_range":{"id":"a221c45f-28dc-4774-87d7-6f9564389736","type":"Range1d"},"y_scale":{"id":"0f42de1e-76f6-45dc-b970-2372cafa5ddd","type":"LinearScale"}},"id":"236a1a09-1435-4662-9f2a-8fcb8f51cc36","subtype":"Figure","type":"Plot"},{"attributes":{"items":[{"id":"ee6b09ba-34c2-4e25-9308-aa0cbe8f2c5d","type":"LegendItem"},{"id":"98dc23e1-42ab-479c-a8af-accffefcc211","type":"LegendItem"},{"id":"35934e4b-7677-4579-a964-0874c1d1d239","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"236a1a09-1435-4662-9f2a-8fcb8f51cc36","subtype":"Figure","type":"Plot"}},"id":"ea7ed612-6ccb-4198-9f1f-7f11d2faeaa9","type":"Legend"},{"attributes":{"source":{"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"}},"id":"06d981c9-e2ea-4694-855c-0479b92b537a","type":"CDSView"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"39a0bc5f-63af-4512-93b0-7e57ef0d8de9","type":"FactorRange"},{"attributes":{},"id":"39b32490-fe59-40b9-910b-05bda5f25de0","type":"CategoricalTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"d410f11f-21eb-475b-9b64-f201b38c8250","type":"Dodge"}}},"id":"531f5a64-e428-4c0a-9ad0-e8eccf25ab51","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"236a1a09-1435-4662-9f2a-8fcb8f51cc36","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9aa9d0e-e688-46f8-99c3-0b59e6212f02","type":"BasicTicker"}},"id":"c04401b0-d671-45fa-bf25-75aae3c70ccf","type":"Grid"},{"attributes":{},"id":"f9aa9d0e-e688-46f8-99c3-0b59e6212f02","type":"BasicTicker"},{"attributes":{"data_source":{"id":"accab2c8-5fb0-4e1a-90bd-b3febd32d7ba","type":"ColumnDataSource"},"glyph":{"id":"93a73602-4434-4c59-a2c8-cc81a9f06c16","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"531f5a64-e428-4c0a-9ad0-e8eccf25ab51","type":"VBar"},"selection_glyph":null,"view":{"id":"06d981c9-e2ea-4694-855c-0479b92b537a","type":"CDSView"}},"id":"d558867f-36aa-4ff4-a05e-2744b1523f0f","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"d558867f-36aa-4ff4-a05e-2744b1523f0f","type":"GlyphRenderer"}]},"id":"98dc23e1-42ab-479c-a8af-accffefcc211","type":"LegendItem"},{"attributes":{"callback":null,"end":10},"id":"a221c45f-28dc-4774-87d7-6f9564389736","type":"Range1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"18978bbf-43f2-40a3-bc0b-a5933f985acf","type":"Dodge"}}},"id":"987ac05f-3819-4800-8bcf-bb3a5eea107d","type":"VBar"}],"root_ids":["236a1a09-1435-4662-9f2a-8fcb8f51cc36"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"26a3265e-64ef-4aa7-a9ad-7368411361ef","elementid":"f8a4fd65-e3a2-4187-a718-e790874062fb","modelid":"236a1a09-1435-4662-9f2a-8fcb8f51cc36"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
