(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9593ed25-58a3-4f9f-9396-3cc0b650628e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9593ed25-58a3-4f9f-9396-3cc0b650628e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"57a75cf5-cfdf-4304-8414-1fbb03a97cdd":{"roots":{"references":[{"attributes":{},"id":"a1f573fb-bd6e-4b5a-a3a1-20cf0898959a","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"2c63a3c0-81d5-467a-a5e6-61c09289a2be","type":"BoxAnnotation"}},"id":"95db5b6a-91ac-410d-aa95-c375ec5efc09","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"2fea3cd4-bc0c-4ce2-9040-bd66493f9842","type":"DataRange1d"},{"attributes":{},"id":"2c8cf484-6552-48d2-897d-895dca81cef8","type":"PanTool"},{"attributes":{"below":[{"id":"bb1f3efb-ee8f-4d5c-98eb-3b581964e9d1","type":"LinearAxis"}],"left":[{"id":"8e9ea11f-1e57-4d9a-90bc-75a2d9875391","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"bb1f3efb-ee8f-4d5c-98eb-3b581964e9d1","type":"LinearAxis"},{"id":"f62b6f5e-0ce7-4d99-a27d-1f44b5f53eb4","type":"Grid"},{"id":"8e9ea11f-1e57-4d9a-90bc-75a2d9875391","type":"LinearAxis"},{"id":"9834f540-9951-4baf-a020-5d377d746856","type":"Grid"},{"id":"2c63a3c0-81d5-467a-a5e6-61c09289a2be","type":"BoxAnnotation"},{"id":"14d60958-7dcc-4e9b-8997-7516ac4bfc8b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"24169f3d-b69f-43ad-a9b4-98d26c1deef0","type":"Toolbar"},"x_range":{"id":"706f3fef-aac5-4da8-a073-8a8dcc0ca4e7","type":"DataRange1d"},"x_scale":{"id":"0bf0d3dc-2bf7-43c0-8032-e4d71316271a","type":"LinearScale"},"y_range":{"id":"2fea3cd4-bc0c-4ce2-9040-bd66493f9842","type":"DataRange1d"},"y_scale":{"id":"18013280-6099-4e59-bf45-015306f173ec","type":"LinearScale"}},"id":"8184b3e8-c956-4b7e-ae4d-584ba99830b0","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b1138d5b-9384-4d0b-a8f0-699cdb98b243","type":"Circle"},{"attributes":{},"id":"aea8e1b9-6a34-4ace-b905-1c30b8dbf22d","type":"WheelZoomTool"},{"attributes":{},"id":"06d15ff5-b3c4-4a84-9720-48f52b56f6b6","type":"PanTool"},{"attributes":{},"id":"15a3068e-9600-4083-8976-a248a706456c","type":"HelpTool"},{"attributes":{"source":{"id":"05ae65f4-3ae5-4114-b2b4-b6cacda93b2f","type":"ColumnDataSource"}},"id":"c2a4dda6-71e7-47f4-960c-940804f4ba7b","type":"CDSView"},{"attributes":{"overlay":{"id":"4e24d034-05d5-46d1-9f4e-4715108ba9c6","type":"BoxAnnotation"}},"id":"25265cd2-477b-4785-b373-abe02662847e","type":"BoxZoomTool"},{"attributes":{"source":{"id":"76b05202-052e-4fc1-b925-dcf2d912457c","type":"ColumnDataSource"}},"id":"9340a0e0-ff5c-4914-bfd3-944d3e3507ea","type":"CDSView"},{"attributes":{},"id":"7ed869d6-2c7e-4762-9328-09dc771b695d","type":"HelpTool"},{"attributes":{},"id":"18013280-6099-4e59-bf45-015306f173ec","type":"LinearScale"},{"attributes":{"formatter":{"id":"8aea2769-5a2b-473b-96ad-c4c16212a6f7","type":"BasicTickFormatter"},"plot":{"id":"8184b3e8-c956-4b7e-ae4d-584ba99830b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"b7372fb9-5c99-4b38-9b0c-de0d61c09ad2","type":"BasicTicker"}},"id":"bb1f3efb-ee8f-4d5c-98eb-3b581964e9d1","type":"LinearAxis"},{"attributes":{},"id":"7ac5ddbf-6356-4780-9990-73bc0d87ab15","type":"SaveTool"},{"attributes":{},"id":"08af7e66-961b-4bca-a30c-68282129ad3a","type":"BasicTickFormatter"},{"attributes":{},"id":"47bb0f9e-9119-4e66-9f2c-529ef9ff4585","type":"PanTool"},{"attributes":{},"id":"2c68a249-1a2f-4380-88e0-669fef860a2a","type":"LinearScale"},{"attributes":{"source":{"id":"78bdab46-a87e-4a3d-8473-ffbe6993c7ac","type":"ColumnDataSource"}},"id":"0e67cc91-d080-4b55-9036-1d8c389d5b31","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6ffd4f0d-eda6-478e-952e-49f7758750a6","type":"Triangle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4e24d034-05d5-46d1-9f4e-4715108ba9c6","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"62f3ec55-13a8-4898-9b69-807be53b6a77","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"ea2b8b3d-6182-40eb-89b1-860fb2a00988","subtype":"Figure","type":"Plot"},"ticker":{"id":"a486df88-f7d2-4774-8206-3e0be97f2e0f","type":"BasicTicker"}},"id":"847835e2-b2c1-4be9-8efc-9fd280289586","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"76b05202-052e-4fc1-b925-dcf2d912457c","type":"ColumnDataSource"},{"attributes":{},"id":"43452fe4-f709-45db-a8c9-c5d4bb00f4c7","type":"LinearScale"},{"attributes":{"data_source":{"id":"78bdab46-a87e-4a3d-8473-ffbe6993c7ac","type":"ColumnDataSource"},"glyph":{"id":"0b0c2145-577d-42a5-ab0f-ee5621074128","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"248cfae5-ffcb-431f-a55a-b90ee22e7b07","type":"Square"},"selection_glyph":null,"view":{"id":"0e67cc91-d080-4b55-9036-1d8c389d5b31","type":"CDSView"}},"id":"14d60958-7dcc-4e9b-8997-7516ac4bfc8b","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"47bb0f9e-9119-4e66-9f2c-529ef9ff4585","type":"PanTool"},{"id":"aea8e1b9-6a34-4ace-b905-1c30b8dbf22d","type":"WheelZoomTool"},{"id":"95db5b6a-91ac-410d-aa95-c375ec5efc09","type":"BoxZoomTool"},{"id":"f1c92af3-f1d6-413a-a95a-0cecdd9014bd","type":"SaveTool"},{"id":"73b0a44d-596c-40f6-b639-fd9b72b3dffa","type":"ResetTool"},{"id":"a6084027-dc99-4a66-b381-50872f0300c7","type":"HelpTool"}]},"id":"24169f3d-b69f-43ad-a9b4-98d26c1deef0","type":"Toolbar"},{"attributes":{},"id":"73af3592-1dd1-47a4-8b51-7aa23f10e99b","type":"LinearScale"},{"attributes":{},"id":"a486df88-f7d2-4774-8206-3e0be97f2e0f","type":"BasicTicker"},{"attributes":{"below":[{"id":"cc8b920f-a1cc-45b1-bdf2-fa5c8ffe12e3","type":"LinearAxis"}],"left":[{"id":"e3467469-801a-4a79-a6c9-d8eadfe6a782","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"cc8b920f-a1cc-45b1-bdf2-fa5c8ffe12e3","type":"LinearAxis"},{"id":"adc0d634-9a9c-4a5d-9125-4701f6486c19","type":"Grid"},{"id":"e3467469-801a-4a79-a6c9-d8eadfe6a782","type":"LinearAxis"},{"id":"847835e2-b2c1-4be9-8efc-9fd280289586","type":"Grid"},{"id":"4e24d034-05d5-46d1-9f4e-4715108ba9c6","type":"BoxAnnotation"},{"id":"4359d0bf-c234-4d69-9201-1d2dbb6d2cf4","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"775aa8e5-8d92-4827-b53c-2b431966a04a","type":"Toolbar"},"x_range":{"id":"1ef80022-9370-499a-804d-e395ec36638b","type":"DataRange1d"},"x_scale":{"id":"2c68a249-1a2f-4380-88e0-669fef860a2a","type":"LinearScale"},"y_range":{"id":"84c9d4b0-8a7a-431c-83af-be4c2c6fa41a","type":"DataRange1d"},"y_scale":{"id":"43452fe4-f709-45db-a8c9-c5d4bb00f4c7","type":"LinearScale"}},"id":"ea2b8b3d-6182-40eb-89b1-860fb2a00988","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"73b0a44d-596c-40f6-b639-fd9b72b3dffa","type":"ResetTool"},{"attributes":{},"id":"f1c92af3-f1d6-413a-a95a-0cecdd9014bd","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"248cfae5-ffcb-431f-a55a-b90ee22e7b07","type":"Square"},{"attributes":{"callback":null},"id":"84c9d4b0-8a7a-431c-83af-be4c2c6fa41a","type":"DataRange1d"},{"attributes":{},"id":"42f6c196-b024-4609-b65d-00fb3b581322","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"76b05202-052e-4fc1-b925-dcf2d912457c","type":"ColumnDataSource"},"glyph":{"id":"450fdc98-b200-4352-b4a2-a363c0fdd351","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b1138d5b-9384-4d0b-a8f0-699cdb98b243","type":"Circle"},"selection_glyph":null,"view":{"id":"9340a0e0-ff5c-4914-bfd3-944d3e3507ea","type":"CDSView"}},"id":"4359d0bf-c234-4d69-9201-1d2dbb6d2cf4","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"fed563cf-6c0c-4990-a09d-af056d5f449a","subtype":"Figure","type":"Plot"},"ticker":{"id":"91a94dd3-8a0b-4995-bf5c-cfc938451bcf","type":"BasicTicker"}},"id":"e4ef0db7-a60f-4852-9858-25119f3c032d","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"78bdab46-a87e-4a3d-8473-ffbe6993c7ac","type":"ColumnDataSource"},{"attributes":{},"id":"7ca0f125-b5fd-479d-ae8d-a785814bbb89","type":"BasicTickFormatter"},{"attributes":{},"id":"a6084027-dc99-4a66-b381-50872f0300c7","type":"HelpTool"},{"attributes":{"formatter":{"id":"08af7e66-961b-4bca-a30c-68282129ad3a","type":"BasicTickFormatter"},"plot":{"id":"fed563cf-6c0c-4990-a09d-af056d5f449a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c52701b7-b592-4b78-a362-e526b2b50a24","type":"BasicTicker"}},"id":"abd081c6-e58a-4296-8285-beecbf374dd5","type":"LinearAxis"},{"attributes":{},"id":"fe241853-6bae-4ae3-a552-d4816f7fc0b8","type":"BasicTicker"},{"attributes":{"formatter":{"id":"bc2c24ca-5a18-4f3c-8f17-5531afdf6e3c","type":"BasicTickFormatter"},"plot":{"id":"fed563cf-6c0c-4990-a09d-af056d5f449a","subtype":"Figure","type":"Plot"},"ticker":{"id":"91a94dd3-8a0b-4995-bf5c-cfc938451bcf","type":"BasicTicker"}},"id":"3e9d34db-1c53-479c-b9b0-0bcd876827b1","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2c8cf484-6552-48d2-897d-895dca81cef8","type":"PanTool"},{"id":"42f6c196-b024-4609-b65d-00fb3b581322","type":"WheelZoomTool"},{"id":"43124a09-00f9-4d6b-9af6-2437565e5437","type":"BoxZoomTool"},{"id":"7ac5ddbf-6356-4780-9990-73bc0d87ab15","type":"SaveTool"},{"id":"b32b7633-e022-4840-a63c-691b3ee10a01","type":"ResetTool"},{"id":"7ed869d6-2c7e-4762-9328-09dc771b695d","type":"HelpTool"}]},"id":"dd05ec4c-3046-44a7-96ae-fb5d1e2c9fc4","type":"Toolbar"},{"attributes":{"callback":null},"id":"1ef80022-9370-499a-804d-e395ec36638b","type":"DataRange1d"},{"attributes":{"formatter":{"id":"7ca0f125-b5fd-479d-ae8d-a785814bbb89","type":"BasicTickFormatter"},"plot":{"id":"ea2b8b3d-6182-40eb-89b1-860fb2a00988","subtype":"Figure","type":"Plot"},"ticker":{"id":"a486df88-f7d2-4774-8206-3e0be97f2e0f","type":"BasicTicker"}},"id":"e3467469-801a-4a79-a6c9-d8eadfe6a782","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0b0c2145-577d-42a5-ab0f-ee5621074128","type":"Square"},{"attributes":{"children":[{"id":"ea2b8b3d-6182-40eb-89b1-860fb2a00988","subtype":"Figure","type":"Plot"},{"id":"fed563cf-6c0c-4990-a09d-af056d5f449a","subtype":"Figure","type":"Plot"},{"id":"8184b3e8-c956-4b7e-ae4d-584ba99830b0","subtype":"Figure","type":"Plot"}]},"id":"cc5d9533-19af-4e63-adf6-72ecd42539f1","type":"Column"},{"attributes":{"plot":{"id":"ea2b8b3d-6182-40eb-89b1-860fb2a00988","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f6e5d23-5deb-4ce0-b331-6f535c931592","type":"BasicTicker"}},"id":"adc0d634-9a9c-4a5d-9125-4701f6486c19","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"05ae65f4-3ae5-4114-b2b4-b6cacda93b2f","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"450fdc98-b200-4352-b4a2-a363c0fdd351","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d8c20dd5-f5b2-4d3c-b0af-e447d2bcc31f","type":"BoxAnnotation"},{"attributes":{},"id":"0bf0d3dc-2bf7-43c0-8032-e4d71316271a","type":"LinearScale"},{"attributes":{},"id":"c52701b7-b592-4b78-a362-e526b2b50a24","type":"BasicTicker"},{"attributes":{"overlay":{"id":"d8c20dd5-f5b2-4d3c-b0af-e447d2bcc31f","type":"BoxAnnotation"}},"id":"43124a09-00f9-4d6b-9af6-2437565e5437","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"52116e57-0e04-49cf-9147-2cf747303402","type":"DataRange1d"},{"attributes":{"plot":{"id":"8184b3e8-c956-4b7e-ae4d-584ba99830b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"b7372fb9-5c99-4b38-9b0c-de0d61c09ad2","type":"BasicTicker"}},"id":"f62b6f5e-0ce7-4d99-a27d-1f44b5f53eb4","type":"Grid"},{"attributes":{},"id":"4f6e5d23-5deb-4ce0-b331-6f535c931592","type":"BasicTicker"},{"attributes":{},"id":"790caa42-7e96-4786-a607-0b098e9c0af8","type":"SaveTool"},{"attributes":{"below":[{"id":"abd081c6-e58a-4296-8285-beecbf374dd5","type":"LinearAxis"}],"left":[{"id":"3e9d34db-1c53-479c-b9b0-0bcd876827b1","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"abd081c6-e58a-4296-8285-beecbf374dd5","type":"LinearAxis"},{"id":"247affe5-e547-4504-8ecc-8f12f3cf17d1","type":"Grid"},{"id":"3e9d34db-1c53-479c-b9b0-0bcd876827b1","type":"LinearAxis"},{"id":"e4ef0db7-a60f-4852-9858-25119f3c032d","type":"Grid"},{"id":"d8c20dd5-f5b2-4d3c-b0af-e447d2bcc31f","type":"BoxAnnotation"},{"id":"3fe9885d-3d8a-4a90-87dd-86028a08448b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"dd05ec4c-3046-44a7-96ae-fb5d1e2c9fc4","type":"Toolbar"},"x_range":{"id":"62f3ec55-13a8-4898-9b69-807be53b6a77","type":"DataRange1d"},"x_scale":{"id":"203eafad-a2ca-4923-9705-347881cffbac","type":"LinearScale"},"y_range":{"id":"52116e57-0e04-49cf-9147-2cf747303402","type":"DataRange1d"},"y_scale":{"id":"73af3592-1dd1-47a4-8b51-7aa23f10e99b","type":"LinearScale"}},"id":"fed563cf-6c0c-4990-a09d-af056d5f449a","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"6ed7c674-560a-4c1b-a777-859ede5fb833","type":"BasicTickFormatter"},"plot":{"id":"8184b3e8-c956-4b7e-ae4d-584ba99830b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe241853-6bae-4ae3-a552-d4816f7fc0b8","type":"BasicTicker"}},"id":"8e9ea11f-1e57-4d9a-90bc-75a2d9875391","type":"LinearAxis"},{"attributes":{},"id":"6ed7c674-560a-4c1b-a777-859ede5fb833","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2c63a3c0-81d5-467a-a5e6-61c09289a2be","type":"BoxAnnotation"},{"attributes":{},"id":"b7372fb9-5c99-4b38-9b0c-de0d61c09ad2","type":"BasicTicker"},{"attributes":{},"id":"203eafad-a2ca-4923-9705-347881cffbac","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"06d15ff5-b3c4-4a84-9720-48f52b56f6b6","type":"PanTool"},{"id":"a1f573fb-bd6e-4b5a-a3a1-20cf0898959a","type":"WheelZoomTool"},{"id":"25265cd2-477b-4785-b373-abe02662847e","type":"BoxZoomTool"},{"id":"790caa42-7e96-4786-a607-0b098e9c0af8","type":"SaveTool"},{"id":"5e33f9c9-543a-4e75-b1da-ae3c71a6daad","type":"ResetTool"},{"id":"15a3068e-9600-4083-8976-a248a706456c","type":"HelpTool"}]},"id":"775aa8e5-8d92-4827-b53c-2b431966a04a","type":"Toolbar"},{"attributes":{"data_source":{"id":"05ae65f4-3ae5-4114-b2b4-b6cacda93b2f","type":"ColumnDataSource"},"glyph":{"id":"9d468cf1-40a4-49cb-aa8d-3e3223eda528","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6ffd4f0d-eda6-478e-952e-49f7758750a6","type":"Triangle"},"selection_glyph":null,"view":{"id":"c2a4dda6-71e7-47f4-960c-940804f4ba7b","type":"CDSView"}},"id":"3fe9885d-3d8a-4a90-87dd-86028a08448b","type":"GlyphRenderer"},{"attributes":{},"id":"bc2c24ca-5a18-4f3c-8f17-5531afdf6e3c","type":"BasicTickFormatter"},{"attributes":{},"id":"91a94dd3-8a0b-4995-bf5c-cfc938451bcf","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9d468cf1-40a4-49cb-aa8d-3e3223eda528","type":"Triangle"},{"attributes":{},"id":"5e33f9c9-543a-4e75-b1da-ae3c71a6daad","type":"ResetTool"},{"attributes":{"plot":{"id":"fed563cf-6c0c-4990-a09d-af056d5f449a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c52701b7-b592-4b78-a362-e526b2b50a24","type":"BasicTicker"}},"id":"247affe5-e547-4504-8ecc-8f12f3cf17d1","type":"Grid"},{"attributes":{},"id":"b32b7633-e022-4840-a63c-691b3ee10a01","type":"ResetTool"},{"attributes":{},"id":"f5fa8428-7967-4422-9f19-ab0c47a08768","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"706f3fef-aac5-4da8-a073-8a8dcc0ca4e7","type":"DataRange1d"},{"attributes":{"formatter":{"id":"f5fa8428-7967-4422-9f19-ab0c47a08768","type":"BasicTickFormatter"},"plot":{"id":"ea2b8b3d-6182-40eb-89b1-860fb2a00988","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f6e5d23-5deb-4ce0-b331-6f535c931592","type":"BasicTicker"}},"id":"cc8b920f-a1cc-45b1-bdf2-fa5c8ffe12e3","type":"LinearAxis"},{"attributes":{},"id":"8aea2769-5a2b-473b-96ad-c4c16212a6f7","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"8184b3e8-c956-4b7e-ae4d-584ba99830b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe241853-6bae-4ae3-a552-d4816f7fc0b8","type":"BasicTicker"}},"id":"9834f540-9951-4baf-a020-5d377d746856","type":"Grid"}],"root_ids":["cc5d9533-19af-4e63-adf6-72ecd42539f1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"57a75cf5-cfdf-4304-8414-1fbb03a97cdd","elementid":"9593ed25-58a3-4f9f-9396-3cc0b650628e","modelid":"cc5d9533-19af-4e63-adf6-72ecd42539f1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
