(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cf65e41d-2813-465c-9a32-d2168057de23");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cf65e41d-2813-465c-9a32-d2168057de23' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f3199e83-ffc1-48c6-9856-d0211318ea23":{"roots":{"references":[{"attributes":{"plot":{"id":"2d9a1ad2-1f45-41c2-9b65-be86c394d42e","subtype":"Figure","type":"Plot"},"ticker":{"id":"1668979a-054f-45a2-bfd9-96576dc1a857","type":"BasicTicker"}},"id":"4b1c2d31-72d3-4eec-bfbc-f293161f33fb","type":"Grid"},{"attributes":{"source":{"id":"333acdb9-a46e-4cc6-b0af-a977fbd727f1","type":"ColumnDataSource"}},"id":"4e57fda8-9333-41e7-8e57-c4ed6986d013","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f7b664bb-44c6-4a4b-84b0-a087f10c1880","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"68311c11-0986-4f74-8ffe-226d7b46f9cb","type":"DataRange1d"},{"attributes":{},"id":"1668979a-054f-45a2-bfd9-96576dc1a857","type":"BasicTicker"},{"attributes":{},"id":"569c6502-de57-416e-b0fa-2fe062ac88ff","type":"ResetTool"},{"attributes":{"formatter":{"id":"79ecc397-e4d9-40fd-929c-2ea532b5ab9f","type":"FuncTickFormatter"},"plot":{"id":"2d9a1ad2-1f45-41c2-9b65-be86c394d42e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c97ef137-23ef-4cff-a9e7-b4cf84978085","type":"BasicTicker"}},"id":"94727fea-c580-4bdc-9245-4116b7ecfdc1","type":"LinearAxis"},{"attributes":{"code":"\n    return Math.floor(tick) + \" + \" + (tick % 1).toFixed(2)\n"},"id":"79ecc397-e4d9-40fd-929c-2ea532b5ab9f","type":"FuncTickFormatter"},{"attributes":{},"id":"55f7a1c7-83ac-4f3f-b912-e25135d8e497","type":"LinearScale"},{"attributes":{},"id":"f6469e85-1069-4fe1-bc2c-9d76dc3593e9","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"5913e9d7-4443-47ec-a5f2-b68dfefcee3b","type":"Circle"},{"attributes":{"data_source":{"id":"333acdb9-a46e-4cc6-b0af-a977fbd727f1","type":"ColumnDataSource"},"glyph":{"id":"5913e9d7-4443-47ec-a5f2-b68dfefcee3b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f73f7b91-0a2a-4e5a-acb0-10466dcf566a","type":"Circle"},"selection_glyph":null,"view":{"id":"4e57fda8-9333-41e7-8e57-c4ed6986d013","type":"CDSView"}},"id":"dd570a25-2e1b-47fc-948f-cb186169188f","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"8a0e6ed6-bc66-479c-9bec-11091745440d","type":"Title"},{"attributes":{},"id":"8cd72811-340b-47cd-ac05-a1ff9476de3d","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3e818ae7-cf61-4cd5-ae65-bced04535045","type":"DataRange1d"},{"attributes":{},"id":"0ee5965f-d344-4ce1-a9f9-51d698008fe3","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"77030d76-b135-45a1-a78d-f5ff3f37e75b","type":"PanTool"},{"id":"0ee5965f-d344-4ce1-a9f9-51d698008fe3","type":"WheelZoomTool"},{"id":"62c1384d-2ed0-4db9-bfb8-a05c354899f2","type":"BoxZoomTool"},{"id":"f6469e85-1069-4fe1-bc2c-9d76dc3593e9","type":"SaveTool"},{"id":"569c6502-de57-416e-b0fa-2fe062ac88ff","type":"ResetTool"},{"id":"0d255bef-bff6-4331-ab97-9cde1057e06c","type":"HelpTool"}]},"id":"fdfa8c48-a815-4e0c-90e1-c531045e1919","type":"Toolbar"},{"attributes":{"overlay":{"id":"f7b664bb-44c6-4a4b-84b0-a087f10c1880","type":"BoxAnnotation"}},"id":"62c1384d-2ed0-4db9-bfb8-a05c354899f2","type":"BoxZoomTool"},{"attributes":{},"id":"0d255bef-bff6-4331-ab97-9cde1057e06c","type":"HelpTool"},{"attributes":{},"id":"c97ef137-23ef-4cff-a9e7-b4cf84978085","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,2,4,6,8,10],"y":[6,2,4,10,8,0]}},"id":"333acdb9-a46e-4cc6-b0af-a977fbd727f1","type":"ColumnDataSource"},{"attributes":{},"id":"77030d76-b135-45a1-a78d-f5ff3f37e75b","type":"PanTool"},{"attributes":{},"id":"f433c2e4-ff8f-442c-acaf-f3a0d51acbf6","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"f73f7b91-0a2a-4e5a-acb0-10466dcf566a","type":"Circle"},{"attributes":{"formatter":{"id":"8cd72811-340b-47cd-ac05-a1ff9476de3d","type":"BasicTickFormatter"},"plot":{"id":"2d9a1ad2-1f45-41c2-9b65-be86c394d42e","subtype":"Figure","type":"Plot"},"ticker":{"id":"1668979a-054f-45a2-bfd9-96576dc1a857","type":"BasicTicker"}},"id":"d8661a31-7771-4fcd-8a9e-574a2ece5fc4","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"2d9a1ad2-1f45-41c2-9b65-be86c394d42e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c97ef137-23ef-4cff-a9e7-b4cf84978085","type":"BasicTicker"}},"id":"d7c0f152-89c4-437c-9612-0e833f32b744","type":"Grid"},{"attributes":{"below":[{"id":"d8661a31-7771-4fcd-8a9e-574a2ece5fc4","type":"LinearAxis"}],"left":[{"id":"94727fea-c580-4bdc-9245-4116b7ecfdc1","type":"LinearAxis"}],"plot_height":500,"plot_width":500,"renderers":[{"id":"d8661a31-7771-4fcd-8a9e-574a2ece5fc4","type":"LinearAxis"},{"id":"4b1c2d31-72d3-4eec-bfbc-f293161f33fb","type":"Grid"},{"id":"94727fea-c580-4bdc-9245-4116b7ecfdc1","type":"LinearAxis"},{"id":"d7c0f152-89c4-437c-9612-0e833f32b744","type":"Grid"},{"id":"f7b664bb-44c6-4a4b-84b0-a087f10c1880","type":"BoxAnnotation"},{"id":"dd570a25-2e1b-47fc-948f-cb186169188f","type":"GlyphRenderer"}],"title":{"id":"8a0e6ed6-bc66-479c-9bec-11091745440d","type":"Title"},"toolbar":{"id":"fdfa8c48-a815-4e0c-90e1-c531045e1919","type":"Toolbar"},"x_range":{"id":"3e818ae7-cf61-4cd5-ae65-bced04535045","type":"DataRange1d"},"x_scale":{"id":"f433c2e4-ff8f-442c-acaf-f3a0d51acbf6","type":"LinearScale"},"y_range":{"id":"68311c11-0986-4f74-8ffe-226d7b46f9cb","type":"DataRange1d"},"y_scale":{"id":"55f7a1c7-83ac-4f3f-b912-e25135d8e497","type":"LinearScale"}},"id":"2d9a1ad2-1f45-41c2-9b65-be86c394d42e","subtype":"Figure","type":"Plot"}],"root_ids":["2d9a1ad2-1f45-41c2-9b65-be86c394d42e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f3199e83-ffc1-48c6-9856-d0211318ea23","elementid":"cf65e41d-2813-465c-9a32-d2168057de23","modelid":"2d9a1ad2-1f45-41c2-9b65-be86c394d42e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
