(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2e06107a-1659-47a7-9b39-09f9d7000936");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2e06107a-1659-47a7-9b39-09f9d7000936' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"519c5e6f-5dae-4882-a8c5-31ba3e21c9ff":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"c91d13f7-038b-4910-b41f-7ec4473bcf46","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"04ce511b-24a8-4aeb-a143-af82ad0a0f32","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"8ecf9812-81d6-4d8c-a735-d6321de74754","type":"BoxAnnotation"}},"id":"7321b23d-6e93-4b7d-8cbe-7ac5c77bf7cf","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"46a5af70-2b1d-4091-94ff-468a4a1e6ba4","type":"PanTool"},{"id":"157852d7-d9da-4725-a7b8-515fb615fe2c","type":"WheelZoomTool"},{"id":"7321b23d-6e93-4b7d-8cbe-7ac5c77bf7cf","type":"BoxZoomTool"},{"id":"a9fd6300-c756-433b-b529-5bba91fa6122","type":"SaveTool"},{"id":"a8bf8cef-2b3a-46ea-a399-4045e803915f","type":"ResetTool"},{"id":"643d6c98-a386-4b58-b88c-71ef3d57abf9","type":"HelpTool"}]},"id":"9faee7f5-e55a-4e1b-b34d-fa318edc3bb0","type":"Toolbar"},{"attributes":{"ticker":null},"id":"33dd65e8-7bf7-4ede-80ca-f1ead74a17af","type":"LogTickFormatter"},{"attributes":{"formatter":{"id":"ad433aa3-2842-41ec-a1c0-a90ebe37c685","type":"BasicTickFormatter"},"plot":{"id":"8e35196c-836a-45e9-a217-f6e91e5f2bdb","subtype":"Figure","type":"Plot"},"ticker":{"id":"72ad33ee-74d8-49f2-a257-320cf6e21a4e","type":"BasicTicker"}},"id":"4a51dd78-027f-4dda-8fb3-483e5fd57c7e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2f9f2a08-07bd-4ccd-b883-470edd411956","type":"DataRange1d"},{"attributes":{},"id":"72ad33ee-74d8-49f2-a257-320cf6e21a4e","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"c8b01cf8-d3a3-476f-94a0-9d9b92491b3a","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"279b4d25-5bd1-4044-a30b-ef34cb3da980","type":"Circle"},{"attributes":{},"id":"157852d7-d9da-4725-a7b8-515fb615fe2c","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"57a8532f-5e73-4b32-b449-342f96655a83","type":"Circle"},{"attributes":{"data_source":{"id":"c8b01cf8-d3a3-476f-94a0-9d9b92491b3a","type":"ColumnDataSource"},"glyph":{"id":"daf12932-e539-4fd6-9ee0-a7da4c1b2472","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d50c7860-edcc-4592-a56b-88de923e5ae8","type":"Line"},"selection_glyph":null,"view":{"id":"bfda5ca7-b042-4eec-8630-f23963f10fe1","type":"CDSView"}},"id":"f4c54e54-b6f4-4a37-b649-0e58c744f7f9","type":"GlyphRenderer"},{"attributes":{},"id":"643d6c98-a386-4b58-b88c-71ef3d57abf9","type":"HelpTool"},{"attributes":{"callback":null},"id":"dfe047fe-f9d7-4ba6-a46a-f137579c88c4","type":"DataRange1d"},{"attributes":{},"id":"a8bf8cef-2b3a-46ea-a399-4045e803915f","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8ecf9812-81d6-4d8c-a735-d6321de74754","type":"BoxAnnotation"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"daf12932-e539-4fd6-9ee0-a7da4c1b2472","type":"Line"},{"attributes":{"data_source":{"id":"04ce511b-24a8-4aeb-a143-af82ad0a0f32","type":"ColumnDataSource"},"glyph":{"id":"279b4d25-5bd1-4044-a30b-ef34cb3da980","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"57a8532f-5e73-4b32-b449-342f96655a83","type":"Circle"},"selection_glyph":null,"view":{"id":"6bc77eb8-a2cf-427f-901c-170066cdf350","type":"CDSView"}},"id":"e56f722c-1418-4691-8578-3cd27135d35b","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"33dd65e8-7bf7-4ede-80ca-f1ead74a17af","type":"LogTickFormatter"},"plot":{"id":"8e35196c-836a-45e9-a217-f6e91e5f2bdb","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a0c6e9b-7ef0-4333-bdf5-5d3acafc503a","type":"LogTicker"}},"id":"c68dd2a6-77c1-4173-8575-f13d17b38b5c","type":"LogAxis"},{"attributes":{"plot":{"id":"8e35196c-836a-45e9-a217-f6e91e5f2bdb","subtype":"Figure","type":"Plot"},"ticker":{"id":"72ad33ee-74d8-49f2-a257-320cf6e21a4e","type":"BasicTicker"}},"id":"ddb834d4-8b28-4639-97ac-924dc61e69ad","type":"Grid"},{"attributes":{"source":{"id":"04ce511b-24a8-4aeb-a143-af82ad0a0f32","type":"ColumnDataSource"}},"id":"6bc77eb8-a2cf-427f-901c-170066cdf350","type":"CDSView"},{"attributes":{},"id":"a9fd6300-c756-433b-b529-5bba91fa6122","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d50c7860-edcc-4592-a56b-88de923e5ae8","type":"Line"},{"attributes":{"source":{"id":"c8b01cf8-d3a3-476f-94a0-9d9b92491b3a","type":"ColumnDataSource"}},"id":"bfda5ca7-b042-4eec-8630-f23963f10fe1","type":"CDSView"},{"attributes":{},"id":"e1bb0193-c95a-4311-85a6-3006b8fd9ebb","type":"LinearScale"},{"attributes":{"num_minor_ticks":10},"id":"7a0c6e9b-7ef0-4333-bdf5-5d3acafc503a","type":"LogTicker"},{"attributes":{},"id":"ad433aa3-2842-41ec-a1c0-a90ebe37c685","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"4a51dd78-027f-4dda-8fb3-483e5fd57c7e","type":"LinearAxis"}],"left":[{"id":"c68dd2a6-77c1-4173-8575-f13d17b38b5c","type":"LogAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"4a51dd78-027f-4dda-8fb3-483e5fd57c7e","type":"LinearAxis"},{"id":"ddb834d4-8b28-4639-97ac-924dc61e69ad","type":"Grid"},{"id":"c68dd2a6-77c1-4173-8575-f13d17b38b5c","type":"LogAxis"},{"id":"12de78c2-906e-4c6f-ab18-d2ddb7b42a02","type":"Grid"},{"id":"8ecf9812-81d6-4d8c-a735-d6321de74754","type":"BoxAnnotation"},{"id":"f4c54e54-b6f4-4a37-b649-0e58c744f7f9","type":"GlyphRenderer"},{"id":"e56f722c-1418-4691-8578-3cd27135d35b","type":"GlyphRenderer"}],"title":{"id":"c91d13f7-038b-4910-b41f-7ec4473bcf46","type":"Title"},"toolbar":{"id":"9faee7f5-e55a-4e1b-b34d-fa318edc3bb0","type":"Toolbar"},"x_range":{"id":"dfe047fe-f9d7-4ba6-a46a-f137579c88c4","type":"DataRange1d"},"x_scale":{"id":"e1bb0193-c95a-4311-85a6-3006b8fd9ebb","type":"LinearScale"},"y_range":{"id":"2f9f2a08-07bd-4ccd-b883-470edd411956","type":"DataRange1d"},"y_scale":{"id":"402c9059-e805-40d8-911a-c06b69f81e8e","type":"LogScale"}},"id":"8e35196c-836a-45e9-a217-f6e91e5f2bdb","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"8e35196c-836a-45e9-a217-f6e91e5f2bdb","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a0c6e9b-7ef0-4333-bdf5-5d3acafc503a","type":"LogTicker"}},"id":"12de78c2-906e-4c6f-ab18-d2ddb7b42a02","type":"Grid"},{"attributes":{},"id":"46a5af70-2b1d-4091-94ff-468a4a1e6ba4","type":"PanTool"},{"attributes":{},"id":"402c9059-e805-40d8-911a-c06b69f81e8e","type":"LogScale"}],"root_ids":["8e35196c-836a-45e9-a217-f6e91e5f2bdb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"519c5e6f-5dae-4882-a8c5-31ba3e21c9ff","elementid":"2e06107a-1659-47a7-9b39-09f9d7000936","modelid":"8e35196c-836a-45e9-a217-f6e91e5f2bdb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
