(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2ac78cf6-ca1f-4719-95d1-3b60266bd68e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2ac78cf6-ca1f-4719-95d1-3b60266bd68e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"82482f8f-4b33-4ec9-b3eb-cc80d5a1e135":{"roots":{"references":[{"attributes":{"formatter":{"id":"84196d72-d347-4e74-acc8-1086259d9d9a","type":"BasicTickFormatter"},"plot":{"id":"48ab0bc3-6337-4f1d-806e-512ea3eb18e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a6f8651-9088-4141-b092-a95b70508b11","type":"BasicTicker"}},"id":"2f8141db-8d22-48f9-a661-87d764170f9e","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"7c770d63-f563-486d-95e4-7996e4e65f46","type":"VBar"},{"attributes":{},"id":"84196d72-d347-4e74-acc8-1086259d9d9a","type":"BasicTickFormatter"},{"attributes":{},"id":"559446f5-a64b-40e5-8b59-a5ac522f77a4","type":"CategoricalTicker"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"515d546a-db2c-48fa-b239-b761087cd856","type":"FactorRange"},{"attributes":{"source":{"id":"41de9b64-40c4-4d46-935f-91441b080499","type":"ColumnDataSource"}},"id":"2ff8942a-0afe-4d2c-bacb-8b984616d681","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"48ab0bc3-6337-4f1d-806e-512ea3eb18e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a6f8651-9088-4141-b092-a95b70508b11","type":"BasicTicker"}},"id":"89f1f55a-3828-4be0-95d3-1a75614671c6","type":"Grid"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"19fe885f-adc2-4bce-9c7a-b628bd4a766b","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c53ad73b-c1b7-43d0-8278-36acea48e812","type":"Line"},{"attributes":{},"id":"8d42e9a2-3274-40e2-9076-04c8e318a3b5","type":"LinearScale"},{"attributes":{},"id":"9c15a86e-5d67-4463-86fc-a33b8cd9775e","type":"CategoricalScale"},{"attributes":{},"id":"212749d8-fcb6-4cb8-9adc-5cfa95fe80d4","type":"CategoricalTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"36670db8-6efe-4abf-9fbc-aca409f95135","type":"VBar"},{"attributes":{"source":{"id":"87a419c9-6602-4185-96dd-f25b45815127","type":"ColumnDataSource"}},"id":"8c3735a4-6c74-44fb-accf-91b5f2a3c5df","type":"CDSView"},{"attributes":{"callback":null,"start":0},"id":"4d072ed6-3e65-4ca4-bb9e-244733673072","type":"DataRange1d"},{"attributes":{"data_source":{"id":"87a419c9-6602-4185-96dd-f25b45815127","type":"ColumnDataSource"},"glyph":{"id":"7c770d63-f563-486d-95e4-7996e4e65f46","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"36670db8-6efe-4abf-9fbc-aca409f95135","type":"VBar"},"selection_glyph":null,"view":{"id":"8c3735a4-6c74-44fb-accf-91b5f2a3c5df","type":"CDSView"}},"id":"d4c5d5c6-26da-4b75-9268-d1cd6fd795cd","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"6437d5c4-045e-4d2d-b930-5cb579beecb0","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"87a419c9-6602-4185-96dd-f25b45815127","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"6e85ca51-268d-42aa-bf2c-2b989bdcb91e","type":"Title"},{"attributes":{"formatter":{"id":"212749d8-fcb6-4cb8-9adc-5cfa95fe80d4","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"48ab0bc3-6337-4f1d-806e-512ea3eb18e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"559446f5-a64b-40e5-8b59-a5ac522f77a4","type":"CategoricalTicker"}},"id":"a79ac805-58b8-4778-ae7e-6ed492d75ad6","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"41de9b64-40c4-4d46-935f-91441b080499","type":"ColumnDataSource"},"glyph":{"id":"19fe885f-adc2-4bce-9c7a-b628bd4a766b","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c53ad73b-c1b7-43d0-8278-36acea48e812","type":"Line"},"selection_glyph":null,"view":{"id":"2ff8942a-0afe-4d2c-bacb-8b984616d681","type":"CDSView"}},"id":"351590e2-af57-4c06-84f2-1531d19b5d95","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"a79ac805-58b8-4778-ae7e-6ed492d75ad6","type":"CategoricalAxis"}],"left":[{"id":"2f8141db-8d22-48f9-a661-87d764170f9e","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"a79ac805-58b8-4778-ae7e-6ed492d75ad6","type":"CategoricalAxis"},{"id":"62d71fcd-bc91-4cb5-bf96-aa63a64e2ea6","type":"Grid"},{"id":"2f8141db-8d22-48f9-a661-87d764170f9e","type":"LinearAxis"},{"id":"89f1f55a-3828-4be0-95d3-1a75614671c6","type":"Grid"},{"id":"d4c5d5c6-26da-4b75-9268-d1cd6fd795cd","type":"GlyphRenderer"},{"id":"351590e2-af57-4c06-84f2-1531d19b5d95","type":"GlyphRenderer"}],"title":{"id":"6e85ca51-268d-42aa-bf2c-2b989bdcb91e","type":"Title"},"toolbar":{"id":"6437d5c4-045e-4d2d-b930-5cb579beecb0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"515d546a-db2c-48fa-b239-b761087cd856","type":"FactorRange"},"x_scale":{"id":"9c15a86e-5d67-4463-86fc-a33b8cd9775e","type":"CategoricalScale"},"y_range":{"id":"4d072ed6-3e65-4ca4-bb9e-244733673072","type":"DataRange1d"},"y_scale":{"id":"8d42e9a2-3274-40e2-9076-04c8e318a3b5","type":"LinearScale"}},"id":"48ab0bc3-6337-4f1d-806e-512ea3eb18e9","subtype":"Figure","type":"Plot"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"48ab0bc3-6337-4f1d-806e-512ea3eb18e9","subtype":"Figure","type":"Plot"},"ticker":{"id":"559446f5-a64b-40e5-8b59-a5ac522f77a4","type":"CategoricalTicker"}},"id":"62d71fcd-bc91-4cb5-bf96-aa63a64e2ea6","type":"Grid"},{"attributes":{},"id":"6a6f8651-9088-4141-b092-a95b70508b11","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"41de9b64-40c4-4d46-935f-91441b080499","type":"ColumnDataSource"}],"root_ids":["48ab0bc3-6337-4f1d-806e-512ea3eb18e9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"82482f8f-4b33-4ec9-b3eb-cc80d5a1e135","elementid":"2ac78cf6-ca1f-4719-95d1-3b60266bd68e","modelid":"48ab0bc3-6337-4f1d-806e-512ea3eb18e9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
