(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6f7b2d36-8f57-46a2-bebb-08aa14e309b5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6f7b2d36-8f57-46a2-bebb-08aa14e309b5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e6966486-88ff-429c-a953-4dd1b0632797":{"roots":{"references":[{"attributes":{},"id":"d5a5f169-eb07-4eec-82f4-957b46b098cd","type":"BasicTicker"},{"attributes":{"children":[{"id":"67893c51-5187-4677-bd3b-3508fe45eacf","subtype":"Figure","type":"Plot"},{"id":"2a680931-1837-496e-bc94-42981d785088","subtype":"Figure","type":"Plot"},{"id":"8c6059c8-b202-4377-8703-62ff8cd77ca0","subtype":"Figure","type":"Plot"}]},"id":"ba88d49b-e7f9-4940-95c5-280166935cdd","type":"Row"},{"attributes":{"formatter":{"id":"7ed4bb8c-b89b-4c56-bc8e-6f3e733a6aad","type":"BasicTickFormatter"},"plot":{"id":"2a680931-1837-496e-bc94-42981d785088","subtype":"Figure","type":"Plot"},"ticker":{"id":"92080298-7387-4dfb-8780-24839e257c43","type":"BasicTicker"}},"id":"47a18c08-09eb-4f9e-b6f4-cbd4beeeec5f","type":"LinearAxis"},{"attributes":{"overlay":{"id":"938ecb82-7123-423a-9ff9-ce8de694a582","type":"BoxAnnotation"}},"id":"edb87eaf-45fa-4c3b-b220-d5d6d2d3897f","type":"BoxZoomTool"},{"attributes":{},"id":"8b781914-3c3c-45b8-9c76-98faf94cd29d","type":"ResetTool"},{"attributes":{},"id":"309ce971-2c35-4651-9a2a-1476b5446fa1","type":"BasicTickFormatter"},{"attributes":{},"id":"9c781cc2-d6d6-4618-9302-df786efdbfff","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"acded607-ac54-4466-8cad-0ee2f09af415","type":"DataRange1d"},{"attributes":{"overlay":{"id":"3d1ed562-519d-4090-be0d-3e6a4b70b0e6","type":"BoxAnnotation"}},"id":"8bffc407-bad2-4eea-bcf2-54501db7e9e5","type":"BoxZoomTool"},{"attributes":{},"id":"a361490f-4303-4437-a421-2ff0389455b1","type":"LinearScale"},{"attributes":{"formatter":{"id":"5f08de80-5569-4e8d-ae2d-08c7ca1a9215","type":"BasicTickFormatter"},"plot":{"id":"2a680931-1837-496e-bc94-42981d785088","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5a5f169-eb07-4eec-82f4-957b46b098cd","type":"BasicTicker"}},"id":"8b52113b-7a00-42f9-bfc3-260e6a24d1d8","type":"LinearAxis"},{"attributes":{"below":[{"id":"2e943948-5454-4126-ad79-2cbee799e150","type":"LinearAxis"}],"left":[{"id":"2cda71d9-2d26-421e-836f-fba9a32a0f30","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"2e943948-5454-4126-ad79-2cbee799e150","type":"LinearAxis"},{"id":"437bcbc0-8266-4743-9b28-f7ea2feb5830","type":"Grid"},{"id":"2cda71d9-2d26-421e-836f-fba9a32a0f30","type":"LinearAxis"},{"id":"e7bc4554-6447-4300-a9a1-8e2457d5d2e8","type":"Grid"},{"id":"3f6cc181-6fb3-4fbd-b1fa-44828b9a898d","type":"BoxAnnotation"},{"id":"fee6a2e9-95bf-45b3-ad59-fe81a2a04b81","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"8fb2883b-4404-41e6-99d0-d1842b3df8e7","type":"Toolbar"},"x_range":{"id":"61dbbc6d-0223-4ce5-b139-47f44c7d3762","type":"DataRange1d"},"x_scale":{"id":"015f482e-53f5-47c0-8abb-71dabf2d8725","type":"LinearScale"},"y_range":{"id":"f11371dc-1377-4322-83c7-172dcc6e81a7","type":"DataRange1d"},"y_scale":{"id":"34f854aa-f734-43c0-b4cf-818e735fb94e","type":"LinearScale"}},"id":"8c6059c8-b202-4377-8703-62ff8cd77ca0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3b7c617e-093b-4957-b18e-119054e6bde0","type":"BasicTicker"},{"attributes":{"callback":null},"id":"13f7ebea-d33a-49ba-bb18-61a2ad2e1255","type":"DataRange1d"},{"attributes":{},"id":"08adfaa9-a0ac-481a-9763-8f68c32e897d","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"8c6059c8-b202-4377-8703-62ff8cd77ca0","subtype":"Figure","type":"Plot"},"ticker":{"id":"f05dc9e1-5c69-4766-8cf7-bd6c0e078b17","type":"BasicTicker"}},"id":"e7bc4554-6447-4300-a9a1-8e2457d5d2e8","type":"Grid"},{"attributes":{},"id":"048dead5-abd2-4243-a128-2cc54b553ccf","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"08adfaa9-a0ac-481a-9763-8f68c32e897d","type":"BasicTickFormatter"},"plot":{"id":"8c6059c8-b202-4377-8703-62ff8cd77ca0","subtype":"Figure","type":"Plot"},"ticker":{"id":"f05dc9e1-5c69-4766-8cf7-bd6c0e078b17","type":"BasicTicker"}},"id":"2cda71d9-2d26-421e-836f-fba9a32a0f30","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1cb69844-24a2-4ed9-abde-17aa65097402","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c8cc7301-2812-457b-a930-9a752085a2b1","type":"Triangle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"22e35ef8-fdba-44e6-9c6f-d72b46b70f89","type":"Square"},{"attributes":{},"id":"7ed4bb8c-b89b-4c56-bc8e-6f3e733a6aad","type":"BasicTickFormatter"},{"attributes":{},"id":"32e84174-4056-4186-969d-c22e7f2de8ad","type":"SaveTool"},{"attributes":{},"id":"dd0da2a3-2fba-438c-abfe-733c21cea0f8","type":"HelpTool"},{"attributes":{},"id":"35d5b8fe-5395-49cc-9cd5-7ad4a44a6f16","type":"WheelZoomTool"},{"attributes":{},"id":"3c8c3ed9-e487-4cab-80ba-fd9b3edc7b43","type":"ResetTool"},{"attributes":{"below":[{"id":"4a9bb68f-a35b-4680-b644-1e91c338bc7d","type":"LinearAxis"}],"left":[{"id":"9a393cf2-d7ba-449f-aad4-7b4299e0bfda","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"4a9bb68f-a35b-4680-b644-1e91c338bc7d","type":"LinearAxis"},{"id":"c66ac296-d789-4c70-8ad1-6789f3f1090d","type":"Grid"},{"id":"9a393cf2-d7ba-449f-aad4-7b4299e0bfda","type":"LinearAxis"},{"id":"2432927b-9b6d-41ec-9139-4816417db197","type":"Grid"},{"id":"938ecb82-7123-423a-9ff9-ce8de694a582","type":"BoxAnnotation"},{"id":"3c25e9ca-7ead-445b-9b16-f353da857ccc","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"60552ba9-0a33-4cbd-ae95-ca9570808973","type":"Toolbar"},"x_range":{"id":"ce5d9562-e449-4565-9dcf-5482ef610fd1","type":"DataRange1d"},"x_scale":{"id":"669209ad-d21f-42bb-b25e-5240d25b265b","type":"LinearScale"},"y_range":{"id":"13f7ebea-d33a-49ba-bb18-61a2ad2e1255","type":"DataRange1d"},"y_scale":{"id":"5dc5341b-8c85-4308-9a2d-6892cdfe2674","type":"LinearScale"}},"id":"67893c51-5187-4677-bd3b-3508fe45eacf","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5dc5341b-8c85-4308-9a2d-6892cdfe2674","type":"LinearScale"},{"attributes":{"plot":{"id":"67893c51-5187-4677-bd3b-3508fe45eacf","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b7c617e-093b-4957-b18e-119054e6bde0","type":"BasicTicker"}},"id":"c66ac296-d789-4c70-8ad1-6789f3f1090d","type":"Grid"},{"attributes":{"plot":{"id":"2a680931-1837-496e-bc94-42981d785088","subtype":"Figure","type":"Plot"},"ticker":{"id":"92080298-7387-4dfb-8780-24839e257c43","type":"BasicTicker"}},"id":"705c3645-a0d0-4526-96fa-a3ed4d09f782","type":"Grid"},{"attributes":{"data_source":{"id":"ac4eccd8-da4b-4d79-86ea-9c2246bc1eba","type":"ColumnDataSource"},"glyph":{"id":"1cb69844-24a2-4ed9-abde-17aa65097402","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"833b1aa2-5fbb-4f1e-979a-1e35285ebb5b","type":"Circle"},"selection_glyph":null,"view":{"id":"caae0994-489e-4560-91c4-039aea421d58","type":"CDSView"}},"id":"3c25e9ca-7ead-445b-9b16-f353da857ccc","type":"GlyphRenderer"},{"attributes":{},"id":"2058920e-fb7f-4db8-9c14-494b319c4116","type":"BasicTicker"},{"attributes":{},"id":"5f08de80-5569-4e8d-ae2d-08c7ca1a9215","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"ce5d9562-e449-4565-9dcf-5482ef610fd1","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"67893c51-5187-4677-bd3b-3508fe45eacf","subtype":"Figure","type":"Plot"},"ticker":{"id":"ae0269bb-fdb8-4c1e-9952-1091596946bd","type":"BasicTicker"}},"id":"2432927b-9b6d-41ec-9139-4816417db197","type":"Grid"},{"attributes":{},"id":"c082af88-9766-46ef-852b-dd57b40ef542","type":"LinearScale"},{"attributes":{"callback":null},"id":"61dbbc6d-0223-4ce5-b139-47f44c7d3762","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"833b1aa2-5fbb-4f1e-979a-1e35285ebb5b","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"be4f3c5d-1ca0-4639-93d6-88ea8cd972e4","type":"Square"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"75d9969d-6ffd-410c-88ae-d75e8c634ec8","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"014023eb-f334-4d9c-bcb3-6e0e5f6eff9a","type":"Triangle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"038799c5-ec4d-4a70-8777-aac7d27aaeef","type":"ColumnDataSource"},{"attributes":{},"id":"56b8bdf0-c5cb-4bf8-97c8-b2b392c15e8d","type":"PanTool"},{"attributes":{},"id":"51f5eb24-5a67-44be-86e9-927123e8f8e7","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"ac4eccd8-da4b-4d79-86ea-9c2246bc1eba","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3f6cc181-6fb3-4fbd-b1fa-44828b9a898d","type":"BoxAnnotation"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"938ecb82-7123-423a-9ff9-ce8de694a582","type":"BoxAnnotation"},{"attributes":{},"id":"f23d8326-0bd4-4a2e-8897-71cd55efce98","type":"ResetTool"},{"attributes":{},"id":"015f482e-53f5-47c0-8abb-71dabf2d8725","type":"LinearScale"},{"attributes":{},"id":"dc52f176-6779-434c-8b4c-63c59df28d87","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"47a18c08-09eb-4f9e-b6f4-cbd4beeeec5f","type":"LinearAxis"}],"left":[{"id":"8b52113b-7a00-42f9-bfc3-260e6a24d1d8","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"47a18c08-09eb-4f9e-b6f4-cbd4beeeec5f","type":"LinearAxis"},{"id":"705c3645-a0d0-4526-96fa-a3ed4d09f782","type":"Grid"},{"id":"8b52113b-7a00-42f9-bfc3-260e6a24d1d8","type":"LinearAxis"},{"id":"1895683e-412d-4384-938b-8395224a52f7","type":"Grid"},{"id":"3d1ed562-519d-4090-be0d-3e6a4b70b0e6","type":"BoxAnnotation"},{"id":"5befa13a-c6d6-43ce-8319-4db694dc489d","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"335a85cb-cf06-4aea-a467-f5f1a8be3206","type":"Toolbar"},"x_range":{"id":"acded607-ac54-4466-8cad-0ee2f09af415","type":"DataRange1d"},"x_scale":{"id":"c082af88-9766-46ef-852b-dd57b40ef542","type":"LinearScale"},"y_range":{"id":"4dab651c-c3a3-458a-a144-aef096b7c094","type":"DataRange1d"},"y_scale":{"id":"a361490f-4303-4437-a421-2ff0389455b1","type":"LinearScale"}},"id":"2a680931-1837-496e-bc94-42981d785088","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f05dc9e1-5c69-4766-8cf7-bd6c0e078b17","type":"BasicTicker"},{"attributes":{},"id":"0da77b03-1448-4b94-8cbe-a188e5456600","type":"PanTool"},{"attributes":{},"id":"34f854aa-f734-43c0-b4cf-818e735fb94e","type":"LinearScale"},{"attributes":{"source":{"id":"ac4eccd8-da4b-4d79-86ea-9c2246bc1eba","type":"ColumnDataSource"}},"id":"caae0994-489e-4560-91c4-039aea421d58","type":"CDSView"},{"attributes":{"formatter":{"id":"9c781cc2-d6d6-4618-9302-df786efdbfff","type":"BasicTickFormatter"},"plot":{"id":"67893c51-5187-4677-bd3b-3508fe45eacf","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b7c617e-093b-4957-b18e-119054e6bde0","type":"BasicTicker"}},"id":"4a9bb68f-a35b-4680-b644-1e91c338bc7d","type":"LinearAxis"},{"attributes":{"formatter":{"id":"309ce971-2c35-4651-9a2a-1476b5446fa1","type":"BasicTickFormatter"},"plot":{"id":"67893c51-5187-4677-bd3b-3508fe45eacf","subtype":"Figure","type":"Plot"},"ticker":{"id":"ae0269bb-fdb8-4c1e-9952-1091596946bd","type":"BasicTicker"}},"id":"9a393cf2-d7ba-449f-aad4-7b4299e0bfda","type":"LinearAxis"},{"attributes":{"callback":null},"id":"4dab651c-c3a3-458a-a144-aef096b7c094","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0da77b03-1448-4b94-8cbe-a188e5456600","type":"PanTool"},{"id":"35d5b8fe-5395-49cc-9cd5-7ad4a44a6f16","type":"WheelZoomTool"},{"id":"b7c4c24a-df25-4d8d-90c4-cf08a903983d","type":"BoxZoomTool"},{"id":"efa8df7d-5e80-4e1b-bbd5-6642daf7d3db","type":"SaveTool"},{"id":"8b781914-3c3c-45b8-9c76-98faf94cd29d","type":"ResetTool"},{"id":"dd0da2a3-2fba-438c-abfe-733c21cea0f8","type":"HelpTool"}]},"id":"8fb2883b-4404-41e6-99d0-d1842b3df8e7","type":"Toolbar"},{"attributes":{},"id":"ae0269bb-fdb8-4c1e-9952-1091596946bd","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"51f5eb24-5a67-44be-86e9-927123e8f8e7","type":"PanTool"},{"id":"534aa880-1af1-4c69-9ff2-51148f5e2b32","type":"WheelZoomTool"},{"id":"8bffc407-bad2-4eea-bcf2-54501db7e9e5","type":"BoxZoomTool"},{"id":"f1331b77-bd66-46e7-ab6b-100f16573e88","type":"SaveTool"},{"id":"f23d8326-0bd4-4a2e-8897-71cd55efce98","type":"ResetTool"},{"id":"e9776528-7f23-49f5-b16c-a8fef33de43a","type":"HelpTool"}]},"id":"335a85cb-cf06-4aea-a467-f5f1a8be3206","type":"Toolbar"},{"attributes":{},"id":"e9776528-7f23-49f5-b16c-a8fef33de43a","type":"HelpTool"},{"attributes":{"source":{"id":"038799c5-ec4d-4a70-8777-aac7d27aaeef","type":"ColumnDataSource"}},"id":"4786e13a-aed7-4558-9178-e828b340fae7","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"56b8bdf0-c5cb-4bf8-97c8-b2b392c15e8d","type":"PanTool"},{"id":"dc52f176-6779-434c-8b4c-63c59df28d87","type":"WheelZoomTool"},{"id":"edb87eaf-45fa-4c3b-b220-d5d6d2d3897f","type":"BoxZoomTool"},{"id":"32e84174-4056-4186-969d-c22e7f2de8ad","type":"SaveTool"},{"id":"3c8c3ed9-e487-4cab-80ba-fd9b3edc7b43","type":"ResetTool"},{"id":"569d4002-6cd6-4aa8-83ed-9297d113c07b","type":"HelpTool"}]},"id":"60552ba9-0a33-4cbd-ae95-ca9570808973","type":"Toolbar"},{"attributes":{"data_source":{"id":"75d9969d-6ffd-410c-88ae-d75e8c634ec8","type":"ColumnDataSource"},"glyph":{"id":"be4f3c5d-1ca0-4639-93d6-88ea8cd972e4","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"22e35ef8-fdba-44e6-9c6f-d72b46b70f89","type":"Square"},"selection_glyph":null,"view":{"id":"8b438022-3a6d-43fa-a9ce-963d0106552e","type":"CDSView"}},"id":"fee6a2e9-95bf-45b3-ad59-fe81a2a04b81","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"8c6059c8-b202-4377-8703-62ff8cd77ca0","subtype":"Figure","type":"Plot"},"ticker":{"id":"2058920e-fb7f-4db8-9c14-494b319c4116","type":"BasicTicker"}},"id":"437bcbc0-8266-4743-9b28-f7ea2feb5830","type":"Grid"},{"attributes":{},"id":"534aa880-1af1-4c69-9ff2-51148f5e2b32","type":"WheelZoomTool"},{"attributes":{},"id":"569d4002-6cd6-4aa8-83ed-9297d113c07b","type":"HelpTool"},{"attributes":{"source":{"id":"75d9969d-6ffd-410c-88ae-d75e8c634ec8","type":"ColumnDataSource"}},"id":"8b438022-3a6d-43fa-a9ce-963d0106552e","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"2a680931-1837-496e-bc94-42981d785088","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5a5f169-eb07-4eec-82f4-957b46b098cd","type":"BasicTicker"}},"id":"1895683e-412d-4384-938b-8395224a52f7","type":"Grid"},{"attributes":{"callback":null},"id":"f11371dc-1377-4322-83c7-172dcc6e81a7","type":"DataRange1d"},{"attributes":{},"id":"92080298-7387-4dfb-8780-24839e257c43","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3d1ed562-519d-4090-be0d-3e6a4b70b0e6","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"048dead5-abd2-4243-a128-2cc54b553ccf","type":"BasicTickFormatter"},"plot":{"id":"8c6059c8-b202-4377-8703-62ff8cd77ca0","subtype":"Figure","type":"Plot"},"ticker":{"id":"2058920e-fb7f-4db8-9c14-494b319c4116","type":"BasicTicker"}},"id":"2e943948-5454-4126-ad79-2cbee799e150","type":"LinearAxis"},{"attributes":{},"id":"efa8df7d-5e80-4e1b-bbd5-6642daf7d3db","type":"SaveTool"},{"attributes":{},"id":"669209ad-d21f-42bb-b25e-5240d25b265b","type":"LinearScale"},{"attributes":{"data_source":{"id":"038799c5-ec4d-4a70-8777-aac7d27aaeef","type":"ColumnDataSource"},"glyph":{"id":"014023eb-f334-4d9c-bcb3-6e0e5f6eff9a","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c8cc7301-2812-457b-a930-9a752085a2b1","type":"Triangle"},"selection_glyph":null,"view":{"id":"4786e13a-aed7-4558-9178-e828b340fae7","type":"CDSView"}},"id":"5befa13a-c6d6-43ce-8319-4db694dc489d","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"3f6cc181-6fb3-4fbd-b1fa-44828b9a898d","type":"BoxAnnotation"}},"id":"b7c4c24a-df25-4d8d-90c4-cf08a903983d","type":"BoxZoomTool"},{"attributes":{},"id":"f1331b77-bd66-46e7-ab6b-100f16573e88","type":"SaveTool"}],"root_ids":["ba88d49b-e7f9-4940-95c5-280166935cdd"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e6966486-88ff-429c-a953-4dd1b0632797","elementid":"6f7b2d36-8f57-46a2-bebb-08aa14e309b5","modelid":"ba88d49b-e7f9-4940-95c5-280166935cdd"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
