(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4986b2cc-0785-489c-9d63-aaa7aac8f6d0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4986b2cc-0785-489c-9d63-aaa7aac8f6d0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e505ccf9-3e58-40e9-a78a-4aba97e6d648":{"roots":{"references":[{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"b9edbbcf-3baf-4d04-83bd-a95fe7ccb6cf","type":"Oval"},{"attributes":{"formatter":{"id":"6b63a94a-6380-482e-8180-ab54c3dde5ae","type":"BasicTickFormatter"},"plot":{"id":"645dd394-1c00-42ff-9595-2b2bb835a003","subtype":"Figure","type":"Plot"},"ticker":{"id":"49a9a46e-705f-4621-8bc1-96a1c6739ac4","type":"BasicTicker"}},"id":"e5b2a911-92e3-46ee-9f7d-fad2f3c92a77","type":"LinearAxis"},{"attributes":{},"id":"649b788f-335d-4373-bb19-0ef4ff85dcb1","type":"PanTool"},{"attributes":{},"id":"6b63a94a-6380-482e-8180-ab54c3dde5ae","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"645dd394-1c00-42ff-9595-2b2bb835a003","subtype":"Figure","type":"Plot"},"ticker":{"id":"a67f9313-bdf9-4a82-9717-7119d4a4ba53","type":"BasicTicker"}},"id":"787ae0b1-62cd-410b-84c3-6268f8a07327","type":"Grid"},{"attributes":{"plot":{"id":"645dd394-1c00-42ff-9595-2b2bb835a003","subtype":"Figure","type":"Plot"},"ticker":{"id":"49a9a46e-705f-4621-8bc1-96a1c6739ac4","type":"BasicTicker"}},"id":"b3e00476-b99c-4cbb-ba9d-af3a1c004e79","type":"Grid"},{"attributes":{},"id":"83d7beb4-21ac-4cf0-a244-ad032ec9bedb","type":"LinearScale"},{"attributes":{"formatter":{"id":"53ca0400-f362-4106-8237-a67e46ed3132","type":"BasicTickFormatter"},"plot":{"id":"645dd394-1c00-42ff-9595-2b2bb835a003","subtype":"Figure","type":"Plot"},"ticker":{"id":"a67f9313-bdf9-4a82-9717-7119d4a4ba53","type":"BasicTicker"}},"id":"c22177f4-4ec5-4933-bbe3-8ab2fe5ff45c","type":"LinearAxis"},{"attributes":{"source":{"id":"5e4d902f-1ec7-4939-a8f9-d077edbffdef","type":"ColumnDataSource"}},"id":"ff7abafb-b0ee-4544-92b0-21000640fd82","type":"CDSView"},{"attributes":{},"id":"a67f9313-bdf9-4a82-9717-7119d4a4ba53","type":"BasicTicker"},{"attributes":{"below":[{"id":"e5b2a911-92e3-46ee-9f7d-fad2f3c92a77","type":"LinearAxis"}],"left":[{"id":"c22177f4-4ec5-4933-bbe3-8ab2fe5ff45c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e5b2a911-92e3-46ee-9f7d-fad2f3c92a77","type":"LinearAxis"},{"id":"b3e00476-b99c-4cbb-ba9d-af3a1c004e79","type":"Grid"},{"id":"c22177f4-4ec5-4933-bbe3-8ab2fe5ff45c","type":"LinearAxis"},{"id":"787ae0b1-62cd-410b-84c3-6268f8a07327","type":"Grid"},{"id":"40960673-4804-46d7-8abd-0e7c21e100cf","type":"BoxAnnotation"},{"id":"701bfdb2-df98-4399-bd49-c9e789abd9ba","type":"GlyphRenderer"}],"title":{"id":"76742bfd-c695-44a5-a8fc-0e7d1f11617a","type":"Title"},"toolbar":{"id":"244d9182-4c6b-4d16-97fb-954fdad2200f","type":"Toolbar"},"x_range":{"id":"91726113-cb91-4404-9068-be002522b57b","type":"DataRange1d"},"x_scale":{"id":"86651c8b-9572-450d-ada9-123aac2d62d2","type":"LinearScale"},"y_range":{"id":"3fa2bfeb-8510-419b-852e-918d1396d904","type":"DataRange1d"},"y_scale":{"id":"83d7beb4-21ac-4cf0-a244-ad032ec9bedb","type":"LinearScale"}},"id":"645dd394-1c00-42ff-9595-2b2bb835a003","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"91726113-cb91-4404-9068-be002522b57b","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"649b788f-335d-4373-bb19-0ef4ff85dcb1","type":"PanTool"},{"id":"6a673f4f-6ac7-4fef-bf78-1dd4c426328f","type":"WheelZoomTool"},{"id":"3ad00192-f236-4b27-975a-a669a0a2dfb4","type":"BoxZoomTool"},{"id":"2731ea2d-3259-4fbe-ac65-f49024b63c87","type":"SaveTool"},{"id":"7fef5d86-d831-405d-b463-4afb6bf5ca8a","type":"ResetTool"},{"id":"a03a10e7-4482-4c1b-8253-a9f5c0d87349","type":"HelpTool"}]},"id":"244d9182-4c6b-4d16-97fb-954fdad2200f","type":"Toolbar"},{"attributes":{},"id":"6a673f4f-6ac7-4fef-bf78-1dd4c426328f","type":"WheelZoomTool"},{"attributes":{},"id":"7fef5d86-d831-405d-b463-4afb6bf5ca8a","type":"ResetTool"},{"attributes":{},"id":"49a9a46e-705f-4621-8bc1-96a1c6739ac4","type":"BasicTicker"},{"attributes":{},"id":"a03a10e7-4482-4c1b-8253-a9f5c0d87349","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"5e4d902f-1ec7-4939-a8f9-d077edbffdef","type":"ColumnDataSource"},{"attributes":{},"id":"53ca0400-f362-4106-8237-a67e46ed3132","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"40960673-4804-46d7-8abd-0e7c21e100cf","type":"BoxAnnotation"}},"id":"3ad00192-f236-4b27-975a-a669a0a2dfb4","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"3fa2bfeb-8510-419b-852e-918d1396d904","type":"DataRange1d"},{"attributes":{"data_source":{"id":"5e4d902f-1ec7-4939-a8f9-d077edbffdef","type":"ColumnDataSource"},"glyph":{"id":"b9edbbcf-3baf-4d04-83bd-a95fe7ccb6cf","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"15134d78-c24d-4911-9a19-56aa569e2dff","type":"Oval"},"selection_glyph":null,"view":{"id":"ff7abafb-b0ee-4544-92b0-21000640fd82","type":"CDSView"}},"id":"701bfdb2-df98-4399-bd49-c9e789abd9ba","type":"GlyphRenderer"},{"attributes":{},"id":"2731ea2d-3259-4fbe-ac65-f49024b63c87","type":"SaveTool"},{"attributes":{},"id":"86651c8b-9572-450d-ada9-123aac2d62d2","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"40960673-4804-46d7-8abd-0e7c21e100cf","type":"BoxAnnotation"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"15134d78-c24d-4911-9a19-56aa569e2dff","type":"Oval"},{"attributes":{"plot":null,"text":""},"id":"76742bfd-c695-44a5-a8fc-0e7d1f11617a","type":"Title"}],"root_ids":["645dd394-1c00-42ff-9595-2b2bb835a003"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e505ccf9-3e58-40e9-a78a-4aba97e6d648","elementid":"4986b2cc-0785-489c-9d63-aaa7aac8f6d0","modelid":"645dd394-1c00-42ff-9595-2b2bb835a003"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
