(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bcc57f85-eff0-4e07-b479-5d61b532a75e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bcc57f85-eff0-4e07-b479-5d61b532a75e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"58d62190-e2ea-4b90-abac-027c6f7fae97":{"roots":{"references":[{"attributes":{},"id":"c2b6b71d-16d0-4d51-a825-e8b7f0efc250","type":"HelpTool"},{"attributes":{"overlay":{"id":"aeba1b72-d5f2-43cd-965b-89d881226603","type":"BoxAnnotation"}},"id":"9124d9d2-d953-429a-ab55-0aa9baae2bad","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"1e5c1b0b-cff6-4679-830d-9f082743ec5e","type":"DataRange1d"},{"attributes":{},"id":"5e04a66d-32ab-4483-971f-5edd9ec8878d","type":"PanTool"},{"attributes":{},"id":"6a8c4e11-191a-4ec9-bd84-c806f5208160","type":"BasicTicker"},{"attributes":{},"id":"7cfda959-bb24-4963-8258-7da9068fb197","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"e901f821-76aa-4929-a5f1-649bdb56102a","type":"LinearAxis"}],"left":[{"id":"f10367fd-31fe-4d16-b8f3-35319b5dd81a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e901f821-76aa-4929-a5f1-649bdb56102a","type":"LinearAxis"},{"id":"e2074c82-39a5-434f-b2b1-8f3aa2b4d1d5","type":"Grid"},{"id":"f10367fd-31fe-4d16-b8f3-35319b5dd81a","type":"LinearAxis"},{"id":"0f05f3f8-2cd3-414c-bc6d-59b735cddbed","type":"Grid"},{"id":"aeba1b72-d5f2-43cd-965b-89d881226603","type":"BoxAnnotation"},{"id":"cf6a7ec1-06a6-4173-89eb-04c7283de798","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1624a7e3-68c3-4361-bf4d-ca369e354ced","type":"Toolbar"},"toolbar_location":"below","x_range":{"id":"e6cbd9d4-e478-423e-9a84-bfd8f47f73a2","type":"DataRange1d"},"x_scale":{"id":"e1001b77-7f76-4b4c-aaa1-59743d768ce5","type":"LinearScale"},"y_range":{"id":"1e5c1b0b-cff6-4679-830d-9f082743ec5e","type":"DataRange1d"},"y_scale":{"id":"2e678faf-6548-4c0a-9598-510cf4efefa1","type":"LinearScale"}},"id":"2a4a6c1a-7ca5-4da9-a1c1-340ba189f663","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"7cfda959-bb24-4963-8258-7da9068fb197","type":"BasicTickFormatter"},"plot":{"id":"2a4a6c1a-7ca5-4da9-a1c1-340ba189f663","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a8c4e11-191a-4ec9-bd84-c806f5208160","type":"BasicTicker"}},"id":"f10367fd-31fe-4d16-b8f3-35319b5dd81a","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"adc1758c-f341-4e86-86eb-6e65d8ff841b","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9bd55b78-0ce2-4176-b9fb-faa1e1717676","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5e04a66d-32ab-4483-971f-5edd9ec8878d","type":"PanTool"},{"id":"b7d4269b-2619-4f9b-94f0-2f4698f8f766","type":"WheelZoomTool"},{"id":"9124d9d2-d953-429a-ab55-0aa9baae2bad","type":"BoxZoomTool"},{"id":"a08d6dfa-803a-4707-8965-eca05ce60d11","type":"SaveTool"},{"id":"50cbcba4-5440-48d1-8c55-fcc58c7dab93","type":"ResetTool"},{"id":"c2b6b71d-16d0-4d51-a825-e8b7f0efc250","type":"HelpTool"}]},"id":"1624a7e3-68c3-4361-bf4d-ca369e354ced","type":"Toolbar"},{"attributes":{},"id":"50cbcba4-5440-48d1-8c55-fcc58c7dab93","type":"ResetTool"},{"attributes":{"callback":null},"id":"e6cbd9d4-e478-423e-9a84-bfd8f47f73a2","type":"DataRange1d"},{"attributes":{},"id":"977012b5-c39d-45ed-a7b7-7fe891904892","type":"BasicTicker"},{"attributes":{},"id":"b7d4269b-2619-4f9b-94f0-2f4698f8f766","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"2a4a6c1a-7ca5-4da9-a1c1-340ba189f663","subtype":"Figure","type":"Plot"},"ticker":{"id":"977012b5-c39d-45ed-a7b7-7fe891904892","type":"BasicTicker"}},"id":"e2074c82-39a5-434f-b2b1-8f3aa2b4d1d5","type":"Grid"},{"attributes":{"source":{"id":"1521b457-c9e0-43ce-9646-d0ad03bb3cad","type":"ColumnDataSource"}},"id":"b2c7406c-cf5c-486b-aeed-f90f19028233","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"1521b457-c9e0-43ce-9646-d0ad03bb3cad","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"42f0bd3d-3167-4a66-850c-fd787b540114","type":"BasicTickFormatter"},"plot":{"id":"2a4a6c1a-7ca5-4da9-a1c1-340ba189f663","subtype":"Figure","type":"Plot"},"ticker":{"id":"977012b5-c39d-45ed-a7b7-7fe891904892","type":"BasicTicker"}},"id":"e901f821-76aa-4929-a5f1-649bdb56102a","type":"LinearAxis"},{"attributes":{},"id":"e1001b77-7f76-4b4c-aaa1-59743d768ce5","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"aeba1b72-d5f2-43cd-965b-89d881226603","type":"BoxAnnotation"},{"attributes":{},"id":"a08d6dfa-803a-4707-8965-eca05ce60d11","type":"SaveTool"},{"attributes":{},"id":"42f0bd3d-3167-4a66-850c-fd787b540114","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"1521b457-c9e0-43ce-9646-d0ad03bb3cad","type":"ColumnDataSource"},"glyph":{"id":"9bd55b78-0ce2-4176-b9fb-faa1e1717676","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"adc1758c-f341-4e86-86eb-6e65d8ff841b","type":"Circle"},"selection_glyph":null,"view":{"id":"b2c7406c-cf5c-486b-aeed-f90f19028233","type":"CDSView"}},"id":"cf6a7ec1-06a6-4173-89eb-04c7283de798","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"2a4a6c1a-7ca5-4da9-a1c1-340ba189f663","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a8c4e11-191a-4ec9-bd84-c806f5208160","type":"BasicTicker"}},"id":"0f05f3f8-2cd3-414c-bc6d-59b735cddbed","type":"Grid"},{"attributes":{},"id":"2e678faf-6548-4c0a-9598-510cf4efefa1","type":"LinearScale"}],"root_ids":["2a4a6c1a-7ca5-4da9-a1c1-340ba189f663"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"58d62190-e2ea-4b90-abac-027c6f7fae97","elementid":"bcc57f85-eff0-4e07-b479-5d61b532a75e","modelid":"2a4a6c1a-7ca5-4da9-a1c1-340ba189f663"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
