(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("702c8d3a-37e8-4ef6-90b2-f28baf81c18c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '702c8d3a-37e8-4ef6-90b2-f28baf81c18c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3470ae89-ac72-44ce-9c70-894b9d3201e0":{"roots":{"references":[{"attributes":{},"id":"ec2d85a5-39c4-46dc-918e-d28f80f275cf","type":"BasicTickFormatter"},{"attributes":{},"id":"2b704a94-8fae-4d21-ba5e-d842b6c85be4","type":"LinearScale"},{"attributes":{},"id":"3b69af24-65bb-4674-8553-d5a3c87a4740","type":"BasicTicker"},{"attributes":{"children":[{"id":"a357c687-5d06-4c1c-b4d5-68a6f53a07fa","type":"WidgetBox"},{"id":"5d8747d9-6f8e-48d8-bdc9-2c99bbbef68c","subtype":"Figure","type":"Plot"}]},"id":"c4ad3807-3d22-4b50-bf18-587501696fe1","type":"Column"},{"attributes":{"callback":null},"id":"93c42f8f-52bf-42c5-b24b-75d308422119","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"8d61a92e-26ad-44cf-a1c1-661223491970","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"ec2d85a5-39c4-46dc-918e-d28f80f275cf","type":"BasicTickFormatter"},"plot":{"id":"5d8747d9-6f8e-48d8-bdc9-2c99bbbef68c","subtype":"Figure","type":"Plot"},"ticker":{"id":"2db0cdd6-5729-48dd-bd7d-7805af955637","type":"BasicTicker"}},"id":"75113e6a-d13b-4096-8650-9306802cca2f","type":"LinearAxis"},{"attributes":{"plot":{"id":"5d8747d9-6f8e-48d8-bdc9-2c99bbbef68c","subtype":"Figure","type":"Plot"},"ticker":{"id":"2db0cdd6-5729-48dd-bd7d-7805af955637","type":"BasicTicker"}},"id":"f17cfe0d-06c0-4eb4-8402-aad813ca03e2","type":"Grid"},{"attributes":{"callback":null,"end":4,"js_property_callbacks":{"change:value":[{"id":"afa52a96-a3df-4f58-9f2b-68419d01c6c3","type":"CustomJS"}]},"start":0.1,"step":0.1,"title":"power","value":1},"id":"803448a1-eebf-466d-9aea-22479d86cba2","type":"Slider"},{"attributes":{"overlay":{"id":"10ce882e-6861-4a80-9475-261fea49f8a2","type":"BoxAnnotation"}},"id":"71135428-16aa-4d75-a59c-7f9c6a17ed8b","type":"BoxZoomTool"},{"attributes":{},"id":"cd2cb7c1-29ca-40a8-b764-f2582ca89a65","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"5d8747d9-6f8e-48d8-bdc9-2c99bbbef68c","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b69af24-65bb-4674-8553-d5a3c87a4740","type":"BasicTicker"}},"id":"e3e494e7-de5c-4515-a3d1-3b6966bfe85a","type":"Grid"},{"attributes":{},"id":"caed4821-9f92-488e-af41-d1fa28415978","type":"WheelZoomTool"},{"attributes":{"source":{"id":"8d61a92e-26ad-44cf-a1c1-661223491970","type":"ColumnDataSource"}},"id":"4bcdc016-c4c3-4f66-a71c-3711ce44c437","type":"CDSView"},{"attributes":{"data_source":{"id":"8d61a92e-26ad-44cf-a1c1-661223491970","type":"ColumnDataSource"},"glyph":{"id":"fc9442e0-0873-4004-8d29-c41f757d9e6f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b12f0e06-02b0-45d3-a99f-7ca914c3921a","type":"Line"},"selection_glyph":null,"view":{"id":"4bcdc016-c4c3-4f66-a71c-3711ce44c437","type":"CDSView"}},"id":"01115c65-6f43-47fa-b0f4-23a4f66cac22","type":"GlyphRenderer"},{"attributes":{},"id":"ea3d6f86-a1d6-444d-a347-d91c9f74f14a","type":"SaveTool"},{"attributes":{"children":[{"id":"803448a1-eebf-466d-9aea-22479d86cba2","type":"Slider"}]},"id":"a357c687-5d06-4c1c-b4d5-68a6f53a07fa","type":"WidgetBox"},{"attributes":{},"id":"a2c5b0a7-0297-4efe-b0d4-6b141127832b","type":"PanTool"},{"attributes":{},"id":"f504eb9d-b0fb-4b58-9067-f9226baf7fda","type":"HelpTool"},{"attributes":{},"id":"c52a51a4-65bb-4fee-a7c7-41cc6e8cc454","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"d2fdd8a2-61df-4eec-aa05-c8bcc86b471f","type":"Title"},{"attributes":{"args":{"source":{"id":"8d61a92e-26ad-44cf-a1c1-661223491970","type":"ColumnDataSource"}},"code":"\n    var data = source.data;\n    var f = cb_obj.value\n    x = data['x']\n    y = data['y']\n    for (i = 0; i < x.length; i++) {\n        y[i] = Math.pow(x[i], f)\n    }\n    source.change.emit();\n"},"id":"afa52a96-a3df-4f58-9f2b-68419d01c6c3","type":"CustomJS"},{"attributes":{"formatter":{"id":"c52a51a4-65bb-4fee-a7c7-41cc6e8cc454","type":"BasicTickFormatter"},"plot":{"id":"5d8747d9-6f8e-48d8-bdc9-2c99bbbef68c","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b69af24-65bb-4674-8553-d5a3c87a4740","type":"BasicTicker"}},"id":"adb26ffe-d943-44a6-a22a-99edd4cf8cda","type":"LinearAxis"},{"attributes":{},"id":"2db0cdd6-5729-48dd-bd7d-7805af955637","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"fc9442e0-0873-4004-8d29-c41f757d9e6f","type":"Line"},{"attributes":{"callback":null},"id":"46e308f5-0d3f-4a7f-87d4-e1d9a4152231","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"10ce882e-6861-4a80-9475-261fea49f8a2","type":"BoxAnnotation"},{"attributes":{},"id":"d1fe4ba5-ef5d-4729-9b40-a5ce44d8b68b","type":"LinearScale"},{"attributes":{"below":[{"id":"75113e6a-d13b-4096-8650-9306802cca2f","type":"LinearAxis"}],"left":[{"id":"adb26ffe-d943-44a6-a22a-99edd4cf8cda","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"75113e6a-d13b-4096-8650-9306802cca2f","type":"LinearAxis"},{"id":"f17cfe0d-06c0-4eb4-8402-aad813ca03e2","type":"Grid"},{"id":"adb26ffe-d943-44a6-a22a-99edd4cf8cda","type":"LinearAxis"},{"id":"e3e494e7-de5c-4515-a3d1-3b6966bfe85a","type":"Grid"},{"id":"10ce882e-6861-4a80-9475-261fea49f8a2","type":"BoxAnnotation"},{"id":"01115c65-6f43-47fa-b0f4-23a4f66cac22","type":"GlyphRenderer"}],"title":{"id":"d2fdd8a2-61df-4eec-aa05-c8bcc86b471f","type":"Title"},"toolbar":{"id":"5798e685-08e5-4622-b81f-f3085bdd27ff","type":"Toolbar"},"x_range":{"id":"46e308f5-0d3f-4a7f-87d4-e1d9a4152231","type":"DataRange1d"},"x_scale":{"id":"d1fe4ba5-ef5d-4729-9b40-a5ce44d8b68b","type":"LinearScale"},"y_range":{"id":"93c42f8f-52bf-42c5-b24b-75d308422119","type":"DataRange1d"},"y_scale":{"id":"2b704a94-8fae-4d21-ba5e-d842b6c85be4","type":"LinearScale"}},"id":"5d8747d9-6f8e-48d8-bdc9-2c99bbbef68c","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"b12f0e06-02b0-45d3-a99f-7ca914c3921a","type":"Line"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a2c5b0a7-0297-4efe-b0d4-6b141127832b","type":"PanTool"},{"id":"caed4821-9f92-488e-af41-d1fa28415978","type":"WheelZoomTool"},{"id":"71135428-16aa-4d75-a59c-7f9c6a17ed8b","type":"BoxZoomTool"},{"id":"ea3d6f86-a1d6-444d-a347-d91c9f74f14a","type":"SaveTool"},{"id":"cd2cb7c1-29ca-40a8-b764-f2582ca89a65","type":"ResetTool"},{"id":"f504eb9d-b0fb-4b58-9067-f9226baf7fda","type":"HelpTool"}]},"id":"5798e685-08e5-4622-b81f-f3085bdd27ff","type":"Toolbar"}],"root_ids":["c4ad3807-3d22-4b50-bf18-587501696fe1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3470ae89-ac72-44ce-9c70-894b9d3201e0","elementid":"702c8d3a-37e8-4ef6-90b2-f28baf81c18c","modelid":"c4ad3807-3d22-4b50-bf18-587501696fe1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
