(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("31698f78-bf80-41c8-b98a-afe800db87c2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '31698f78-bf80-41c8-b98a-afe800db87c2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"eb801f4f-fe06-4945-9be0-aa3ddd1f3450":{"roots":{"references":[{"attributes":{},"id":"a9d9cb81-c0a8-4198-bc17-81293ad68b17","type":"LinearScale"},{"attributes":{},"id":"41d36c9b-c001-4859-b3b1-1dce841a52cb","type":"BasicTicker"},{"attributes":{"callback":null},"id":"137fe611-0260-4185-b5d6-64d96a58732d","type":"DataRange1d"},{"attributes":{"below":[{"id":"0a11fe2d-045a-43ed-b300-dc86c06d45f6","type":"LinearAxis"}],"left":[{"id":"d88a45a0-2c93-4cc7-82ca-74070da6f21d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0a11fe2d-045a-43ed-b300-dc86c06d45f6","type":"LinearAxis"},{"id":"e2184bb4-bae7-4522-84fc-f760b4f3c4a4","type":"Grid"},{"id":"d88a45a0-2c93-4cc7-82ca-74070da6f21d","type":"LinearAxis"},{"id":"5dc3693b-3984-4386-a436-72949179d20e","type":"Grid"},{"id":"8dfd2453-4a45-41c5-9b1b-54b345293f2e","type":"GlyphRenderer"}],"title":{"id":"5215738d-802d-4d96-9052-f24435d6fc28","type":"Title"},"toolbar":{"id":"041671cd-9b02-4abf-ad28-63524d803825","type":"Toolbar"},"x_range":{"id":"137fe611-0260-4185-b5d6-64d96a58732d","type":"DataRange1d"},"x_scale":{"id":"96b34c24-7e38-4d01-8f43-8468cfcdb8ed","type":"LinearScale"},"y_range":{"id":"6338849a-fb49-4249-86e0-c08c3c61b455","type":"DataRange1d"},"y_scale":{"id":"a9d9cb81-c0a8-4198-bc17-81293ad68b17","type":"LinearScale"}},"id":"00c0d963-2d68-4c94-8878-8f224a5a44a9","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"6338849a-fb49-4249-86e0-c08c3c61b455","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c679a4bc-0ac9-474f-9833-8bd39649d235","type":"BasicTickFormatter"},"plot":{"id":"00c0d963-2d68-4c94-8878-8f224a5a44a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b981f46-1d50-4e18-8324-75a8250939d0","type":"BasicTicker"}},"id":"d88a45a0-2c93-4cc7-82ca-74070da6f21d","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1dcabec9-0681-4e6a-ba47-d5a0623b3e1b","type":"TapTool"}]},"id":"041671cd-9b02-4abf-ad28-63524d803825","type":"Toolbar"},{"attributes":{"plot":{"id":"00c0d963-2d68-4c94-8878-8f224a5a44a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"41d36c9b-c001-4859-b3b1-1dce841a52cb","type":"BasicTicker"}},"id":"e2184bb4-bae7-4522-84fc-f760b4f3c4a4","type":"Grid"},{"attributes":{},"id":"96b34c24-7e38-4d01-8f43-8468cfcdb8ed","type":"LinearScale"},{"attributes":{"data_source":{"id":"cd1e5eb6-5084-4eed-9a5d-ec7d5b3854cd","type":"ColumnDataSource"},"glyph":{"id":"8397df53-23a0-403d-acf7-95e013350439","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"385daf13-5dc8-4468-a8a8-6b7fc6a759e5","type":"Circle"},"selection_glyph":{"id":"35005f34-d881-4ba9-b181-3a8df4d7022e","type":"Circle"},"view":{"id":"272ebeb9-f364-47df-89b7-0f5567d9f640","type":"CDSView"}},"id":"8dfd2453-4a45-41c5-9b1b-54b345293f2e","type":"GlyphRenderer"},{"attributes":{},"id":"c679a4bc-0ac9-474f-9833-8bd39649d235","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"385daf13-5dc8-4468-a8a8-6b7fc6a759e5","type":"Circle"},{"attributes":{},"id":"9b981f46-1d50-4e18-8324-75a8250939d0","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"5215738d-802d-4d96-9052-f24435d6fc28","type":"Title"},{"attributes":{},"id":"46e8aee4-a16a-44b3-954f-7e827ee1d743","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"8397df53-23a0-403d-acf7-95e013350439","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"00c0d963-2d68-4c94-8878-8f224a5a44a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b981f46-1d50-4e18-8324-75a8250939d0","type":"BasicTicker"}},"id":"5dc3693b-3984-4386-a436-72949179d20e","type":"Grid"},{"attributes":{"formatter":{"id":"46e8aee4-a16a-44b3-954f-7e827ee1d743","type":"BasicTickFormatter"},"plot":{"id":"00c0d963-2d68-4c94-8878-8f224a5a44a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"41d36c9b-c001-4859-b3b1-1dce841a52cb","type":"BasicTicker"}},"id":"0a11fe2d-045a-43ed-b300-dc86c06d45f6","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"35005f34-d881-4ba9-b181-3a8df4d7022e","type":"Circle"},{"attributes":{"source":{"id":"cd1e5eb6-5084-4eed-9a5d-ec7d5b3854cd","type":"ColumnDataSource"}},"id":"272ebeb9-f364-47df-89b7-0f5567d9f640","type":"CDSView"},{"attributes":{"callback":null},"id":"1dcabec9-0681-4e6a-ba47-d5a0623b3e1b","type":"TapTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"cd1e5eb6-5084-4eed-9a5d-ec7d5b3854cd","type":"ColumnDataSource"}],"root_ids":["00c0d963-2d68-4c94-8878-8f224a5a44a9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"eb801f4f-fe06-4945-9be0-aa3ddd1f3450","elementid":"31698f78-bf80-41c8-b98a-afe800db87c2","modelid":"00c0d963-2d68-4c94-8878-8f224a5a44a9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
