(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5bca3726-5daf-41ec-b2cc-9a96e9884c56");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5bca3726-5daf-41ec-b2cc-9a96e9884c56' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8a8d97bc-6a6c-40a9-a4a7-c1eba01b81da":{"roots":{"references":[{"attributes":{"source":{"id":"8d7e082c-f687-42bb-bc53-642722dd4bff","type":"ColumnDataSource"}},"id":"678a1054-22e4-4ef4-bf19-125d1615ebeb","type":"CDSView"},{"attributes":{"source":{"id":"eedb2c65-55b1-4523-8643-c2b9fae2f70c","type":"ColumnDataSource"}},"id":"88a55798-c00f-4b45-80c7-ce436f6786f0","type":"CDSView"},{"attributes":{"plot":{"id":"b2bed9fd-b161-4d08-973a-e339d9a7fdb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"1cbd832c-ce03-4658-ad9e-dd3e152336a3","type":"CategoricalTicker"}},"id":"e6f06e0a-02a4-4752-9466-a5151f6db019","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"fa5af57e-d1e5-4897-a471-86162e543c58","type":"Segment"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e782be13-d929-4d68-a23c-5264d6a88221","type":"Toolbar"},{"attributes":{},"id":"682a0067-a85b-4e46-9dbb-3bff6d266d50","type":"CategoricalTicker"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"28bb5355-1a09-4285-b002-2c5c74ba23de","type":"Segment"},{"attributes":{"dimension":1,"plot":{"id":"b2bed9fd-b161-4d08-973a-e339d9a7fdb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"17114d0b-2905-4688-bb51-f1af91fcf3ce","type":"CategoricalTicker"}},"id":"30005801-33a3-47fd-9d44-e38387dd5f92","type":"Grid"},{"attributes":{},"id":"17114d0b-2905-4688-bb51-f1af91fcf3ce","type":"CategoricalTicker"},{"attributes":{"data_source":{"id":"71225774-d875-4acb-b4db-5cbffb666fbd","type":"ColumnDataSource"},"glyph":{"id":"13b4a1a9-de6c-4152-a707-2a9ee97c020e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"64473ecb-e645-4ce8-880d-bff99188e6f2","type":"Circle"},"selection_glyph":null,"view":{"id":"378079b2-ed8c-4027-bc33-826dc1c0a5d3","type":"CDSView"}},"id":"3833d95e-258a-4d05-9f95-bbb8cd065887","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"71225774-d875-4acb-b4db-5cbffb666fbd","type":"ColumnDataSource"},{"attributes":{},"id":"e0761ac1-e391-40d1-bb70-5055589989f4","type":"CategoricalTickFormatter"},{"attributes":{"data_source":{"id":"eedb2c65-55b1-4523-8643-c2b9fae2f70c","type":"ColumnDataSource"},"glyph":{"id":"28bb5355-1a09-4285-b002-2c5c74ba23de","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fa5af57e-d1e5-4897-a471-86162e543c58","type":"Segment"},"selection_glyph":null,"view":{"id":"88a55798-c00f-4b45-80c7-ce436f6786f0","type":"CDSView"}},"id":"2398e5ce-8e61-4558-b83a-9c617944e89b","type":"GlyphRenderer"},{"attributes":{"source":{"id":"71225774-d875-4acb-b4db-5cbffb666fbd","type":"ColumnDataSource"}},"id":"378079b2-ed8c-4027-bc33-826dc1c0a5d3","type":"CDSView"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"6f05b98e-c3f3-4f81-ab77-5a4e185aee12","type":"FactorRange"},{"attributes":{"plot":{"id":"152b4fca-d21a-46e4-875d-c3c70504a469","subtype":"Figure","type":"Plot"},"ticker":{"id":"550867f2-28be-413d-9b52-7422647eff38","type":"BasicTicker"}},"id":"25fafda8-d01a-45f2-8736-71324b9ef51d","type":"Grid"},{"attributes":{"formatter":{"id":"255a6ec0-241a-4a98-967e-2238b57d83b3","type":"CategoricalTickFormatter"},"plot":{"id":"b2bed9fd-b161-4d08-973a-e339d9a7fdb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"17114d0b-2905-4688-bb51-f1af91fcf3ce","type":"CategoricalTicker"}},"id":"32e1f476-c7c1-4d36-9485-0e706a2cf905","type":"CategoricalAxis"},{"attributes":{"plot":null,"text":"Categorical Dot Plot"},"id":"0aaaf02d-525b-4a28-b170-e201beb89b59","type":"Title"},{"attributes":{},"id":"1cbd832c-ce03-4658-ad9e-dd3e152336a3","type":"CategoricalTicker"},{"attributes":{"callback":null},"id":"4014d8b9-c11a-428e-897f-5ff8f0134b13","type":"HoverTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"64473ecb-e645-4ce8-880d-bff99188e6f2","type":"Circle"},{"attributes":{"plot":null,"text":"Categorical Heatmap"},"id":"6c67cc47-4415-43c0-948c-77422a0ce8ed","type":"Title"},{"attributes":{},"id":"fe5126d4-23d0-4532-a561-26b1a65e3ae8","type":"CategoricalTickFormatter"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"13b4a1a9-de6c-4152-a707-2a9ee97c020e","type":"Circle"},{"attributes":{},"id":"ab22b379-31c1-4ac6-bc44-b41e1822c00d","type":"CategoricalScale"},{"attributes":{"formatter":{"id":"e0761ac1-e391-40d1-bb70-5055589989f4","type":"CategoricalTickFormatter"},"plot":{"id":"152b4fca-d21a-46e4-875d-c3c70504a469","subtype":"Figure","type":"Plot"},"ticker":{"id":"682a0067-a85b-4e46-9dbb-3bff6d266d50","type":"CategoricalTicker"}},"id":"5cd31e49-0e62-4aa5-a410-4deb0125a98e","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"f6a84848-5475-417b-9602-179b7fe593cb","type":"CategoricalAxis"}],"left":[{"id":"32e1f476-c7c1-4d36-9485-0e706a2cf905","type":"CategoricalAxis"}],"renderers":[{"id":"f6a84848-5475-417b-9602-179b7fe593cb","type":"CategoricalAxis"},{"id":"e6f06e0a-02a4-4752-9466-a5151f6db019","type":"Grid"},{"id":"32e1f476-c7c1-4d36-9485-0e706a2cf905","type":"CategoricalAxis"},{"id":"30005801-33a3-47fd-9d44-e38387dd5f92","type":"Grid"},{"id":"94e0a47f-469d-4ed4-8c98-ca7241ee1d70","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"6c67cc47-4415-43c0-948c-77422a0ce8ed","type":"Title"},"toolbar":{"id":"612ee414-87ec-4f25-96e2-bbb696bd5dea","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"cfb6b47b-c3cb-4384-a631-f52408c59611","type":"FactorRange"},"x_scale":{"id":"ab22b379-31c1-4ac6-bc44-b41e1822c00d","type":"CategoricalScale"},"y_range":{"id":"fecca2d3-7064-4c49-89d6-9fbec5cf9673","type":"FactorRange"},"y_scale":{"id":"2a510aa7-3ef7-411e-9d09-9ffed7d15f59","type":"CategoricalScale"}},"id":"b2bed9fd-b161-4d08-973a-e339d9a7fdb8","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"11a40fb1-562d-4d78-9773-3b52ad774b90","type":"Rect"},{"attributes":{},"id":"f910d9ed-deae-46d4-a60b-8b23b9b8a3cf","type":"CategoricalScale"},{"attributes":{},"id":"4259645b-cdc6-4fd1-8291-6274db57b773","type":"LinearScale"},{"attributes":{},"id":"550867f2-28be-413d-9b52-7422647eff38","type":"BasicTicker"},{"attributes":{},"id":"2b374da2-234a-4a84-b9f1-2db2e5211116","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"line_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"x":["foo 123","foo 123","foo 123","bar:0.2","bar:0.2","bar:0.2","baz-10","baz-10","baz-10"],"y":["foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10"]}},"id":"8d7e082c-f687-42bb-bc53-642722dd4bff","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"8d7e082c-f687-42bb-bc53-642722dd4bff","type":"ColumnDataSource"},"glyph":{"id":"42ce1920-3e89-41e3-969d-90e5a7f7d68c","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"11a40fb1-562d-4d78-9773-3b52ad774b90","type":"Rect"},"selection_glyph":null,"view":{"id":"678a1054-22e4-4ef4-bf19-125d1615ebeb","type":"CDSView"}},"id":"94e0a47f-469d-4ed4-8c98-ca7241ee1d70","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"b2bed9fd-b161-4d08-973a-e339d9a7fdb8","subtype":"Figure","type":"Plot"},{"id":"152b4fca-d21a-46e4-875d-c3c70504a469","subtype":"Figure","type":"Plot"}],"sizing_mode":"scale_width"},"id":"50d05110-8216-4839-9d98-117863006830","type":"Row"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":1},"line_color":{"field":"line_color"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"42ce1920-3e89-41e3-969d-90e5a7f7d68c","type":"Rect"},{"attributes":{"below":[{"id":"25c9d89a-0e5f-4418-b233-ab53485b9b1b","type":"LinearAxis"}],"left":[{"id":"5cd31e49-0e62-4aa5-a410-4deb0125a98e","type":"CategoricalAxis"}],"renderers":[{"id":"25c9d89a-0e5f-4418-b233-ab53485b9b1b","type":"LinearAxis"},{"id":"25fafda8-d01a-45f2-8736-71324b9ef51d","type":"Grid"},{"id":"5cd31e49-0e62-4aa5-a410-4deb0125a98e","type":"CategoricalAxis"},{"id":"d3bb609e-c815-4c6a-ac79-2deabca1e36b","type":"Grid"},{"id":"2398e5ce-8e61-4558-b83a-9c617944e89b","type":"GlyphRenderer"},{"id":"3833d95e-258a-4d05-9f95-bbb8cd065887","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"0aaaf02d-525b-4a28-b170-e201beb89b59","type":"Title"},"toolbar":{"id":"e782be13-d929-4d68-a23c-5264d6a88221","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"73ab64d4-fe77-42b3-828f-290ce8fac047","type":"Range1d"},"x_scale":{"id":"4259645b-cdc6-4fd1-8291-6274db57b773","type":"LinearScale"},"y_range":{"id":"6f05b98e-c3f3-4f81-ab77-5a4e185aee12","type":"FactorRange"},"y_scale":{"id":"f910d9ed-deae-46d4-a60b-8b23b9b8a3cf","type":"CategoricalScale"}},"id":"152b4fca-d21a-46e4-875d-c3c70504a469","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"fe5126d4-23d0-4532-a561-26b1a65e3ae8","type":"CategoricalTickFormatter"},"plot":{"id":"b2bed9fd-b161-4d08-973a-e339d9a7fdb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"1cbd832c-ce03-4658-ad9e-dd3e152336a3","type":"CategoricalTicker"}},"id":"f6a84848-5475-417b-9602-179b7fe593cb","type":"CategoricalAxis"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"cfb6b47b-c3cb-4384-a631-f52408c59611","type":"FactorRange"},{"attributes":{},"id":"2a510aa7-3ef7-411e-9d09-9ffed7d15f59","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4014d8b9-c11a-428e-897f-5ff8f0134b13","type":"HoverTool"}]},"id":"612ee414-87ec-4f25-96e2-bbb696bd5dea","type":"Toolbar"},{"attributes":{},"id":"255a6ec0-241a-4a98-967e-2238b57d83b3","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"152b4fca-d21a-46e4-875d-c3c70504a469","subtype":"Figure","type":"Plot"},"ticker":{"id":"682a0067-a85b-4e46-9dbb-3bff6d266d50","type":"CategoricalTicker"}},"id":"d3bb609e-c815-4c6a-ac79-2deabca1e36b","type":"Grid"},{"attributes":{"callback":null,"column_names":["y1","y0","x1"],"data":{"x1":[50,40,65,10,25,37,80,60],"y0":["a","b","c","d","e","f","g","h"],"y1":["a","b","c","d","e","f","g","h"]}},"id":"eedb2c65-55b1-4523-8643-c2b9fae2f70c","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"fecca2d3-7064-4c49-89d6-9fbec5cf9673","type":"FactorRange"},{"attributes":{"formatter":{"id":"2b374da2-234a-4a84-b9f1-2db2e5211116","type":"BasicTickFormatter"},"plot":{"id":"152b4fca-d21a-46e4-875d-c3c70504a469","subtype":"Figure","type":"Plot"},"ticker":{"id":"550867f2-28be-413d-9b52-7422647eff38","type":"BasicTicker"}},"id":"25c9d89a-0e5f-4418-b233-ab53485b9b1b","type":"LinearAxis"},{"attributes":{"callback":null,"end":100},"id":"73ab64d4-fe77-42b3-828f-290ce8fac047","type":"Range1d"}],"root_ids":["50d05110-8216-4839-9d98-117863006830"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8a8d97bc-6a6c-40a9-a4a7-c1eba01b81da","elementid":"5bca3726-5daf-41ec-b2cc-9a96e9884c56","modelid":"50d05110-8216-4839-9d98-117863006830"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
