(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2c13fdbd-f07e-4db4-8131-20de99fd44db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2c13fdbd-f07e-4db4-8131-20de99fd44db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"348a1b74-2157-4ba2-a515-80129b58d536":{"roots":{"references":[{"attributes":{"below":[{"id":"414b7a29-428e-481e-912c-35ba56f38f3c","type":"LinearAxis"}],"left":[{"id":"bb03cee7-d594-489c-8260-92fd1336e990","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"414b7a29-428e-481e-912c-35ba56f38f3c","type":"LinearAxis"},{"id":"f02e3314-620d-4ba1-ba50-d0bb0d72d5a2","type":"Grid"},{"id":"bb03cee7-d594-489c-8260-92fd1336e990","type":"LinearAxis"},{"id":"aea515d7-71a9-44b1-a485-15b6ab862ea6","type":"Grid"},{"id":"4229d5a0-ca95-4a75-886d-47546840852c","type":"BoxAnnotation"},{"id":"cf255a0f-5d4c-44d7-8cad-b248db880e13","type":"GlyphRenderer"}],"title":{"id":"3d2695e1-29c2-41ad-8617-68e8250d5a4c","type":"Title"},"toolbar":{"id":"b2fe0f50-e196-4c99-9760-caab5c919609","type":"Toolbar"},"x_range":{"id":"d9334870-1510-4f7b-99d5-f62236caa6dc","type":"DataRange1d"},"x_scale":{"id":"003f8753-f798-4845-afbd-6cf492df0426","type":"LinearScale"},"y_range":{"id":"8725d67d-3636-4e8b-a31f-407a896c3463","type":"DataRange1d"},"y_scale":{"id":"088125f9-bd5e-45e6-b4bb-de42b45ff658","type":"LinearScale"}},"id":"2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"088125f9-bd5e-45e6-b4bb-de42b45ff658","type":"LinearScale"},{"attributes":{},"id":"ed709c63-d2bb-4571-aab2-4d1ff3390f27","type":"BasicTickFormatter"},{"attributes":{},"id":"ae6d9731-6105-490a-b894-73a6078235c0","type":"BasicTicker"},{"attributes":{"callback":null},"id":"8725d67d-3636-4e8b-a31f-407a896c3463","type":"DataRange1d"},{"attributes":{},"id":"344f2994-d5a2-4f6b-963b-9602d9723c4a","type":"SaveTool"},{"attributes":{},"id":"f2410393-593a-4d9c-bfd5-e0afe0d107c0","type":"HelpTool"},{"attributes":{"formatter":{"id":"ed709c63-d2bb-4571-aab2-4d1ff3390f27","type":"BasicTickFormatter"},"major_label_orientation":0.7853981633974483,"plot":{"id":"2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"ae6d9731-6105-490a-b894-73a6078235c0","type":"BasicTicker"}},"id":"414b7a29-428e-481e-912c-35ba56f38f3c","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4229d5a0-ca95-4a75-886d-47546840852c","type":"BoxAnnotation"},{"attributes":{},"id":"75296baf-69d1-4f05-9600-bb97c26acaf1","type":"BasicTicker"},{"attributes":{},"id":"4f3a32fb-2b12-496b-9c19-9a01b137f32a","type":"BasicTickFormatter"},{"attributes":{},"id":"48446706-2042-4c9d-86d3-eb54b374f7fc","type":"PanTool"},{"attributes":{"formatter":{"id":"4f3a32fb-2b12-496b-9c19-9a01b137f32a","type":"BasicTickFormatter"},"major_label_orientation":"vertical","plot":{"id":"2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"75296baf-69d1-4f05-9600-bb97c26acaf1","type":"BasicTicker"}},"id":"bb03cee7-d594-489c-8260-92fd1336e990","type":"LinearAxis"},{"attributes":{},"id":"0c25fb51-1827-4866-bf36-f08748da0b99","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"728f2dc6-85a0-463b-807d-0c34828a64ee","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"d9334870-1510-4f7b-99d5-f62236caa6dc","type":"DataRange1d"},{"attributes":{},"id":"003f8753-f798-4845-afbd-6cf492df0426","type":"LinearScale"},{"attributes":{"source":{"id":"728f2dc6-85a0-463b-807d-0c34828a64ee","type":"ColumnDataSource"}},"id":"4b90b207-f91c-4901-9307-6e075c1a618f","type":"CDSView"},{"attributes":{},"id":"86537e69-9afc-4424-9b10-dc5673c98235","type":"ResetTool"},{"attributes":{"plot":{"id":"2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"ae6d9731-6105-490a-b894-73a6078235c0","type":"BasicTicker"}},"id":"f02e3314-620d-4ba1-ba50-d0bb0d72d5a2","type":"Grid"},{"attributes":{"overlay":{"id":"4229d5a0-ca95-4a75-886d-47546840852c","type":"BoxAnnotation"}},"id":"550b7b3b-2505-44d3-a200-2c9b7d7762ac","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"75296baf-69d1-4f05-9600-bb97c26acaf1","type":"BasicTicker"}},"id":"aea515d7-71a9-44b1-a485-15b6ab862ea6","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4dc8acb9-ec01-488f-9948-0ead04242cb7","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"48446706-2042-4c9d-86d3-eb54b374f7fc","type":"PanTool"},{"id":"0c25fb51-1827-4866-bf36-f08748da0b99","type":"WheelZoomTool"},{"id":"550b7b3b-2505-44d3-a200-2c9b7d7762ac","type":"BoxZoomTool"},{"id":"344f2994-d5a2-4f6b-963b-9602d9723c4a","type":"SaveTool"},{"id":"86537e69-9afc-4424-9b10-dc5673c98235","type":"ResetTool"},{"id":"f2410393-593a-4d9c-bfd5-e0afe0d107c0","type":"HelpTool"}]},"id":"b2fe0f50-e196-4c99-9760-caab5c919609","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"44daaa8f-7282-4c25-8f43-3d9fade5f4ea","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"3d2695e1-29c2-41ad-8617-68e8250d5a4c","type":"Title"},{"attributes":{"data_source":{"id":"728f2dc6-85a0-463b-807d-0c34828a64ee","type":"ColumnDataSource"},"glyph":{"id":"44daaa8f-7282-4c25-8f43-3d9fade5f4ea","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4dc8acb9-ec01-488f-9948-0ead04242cb7","type":"Circle"},"selection_glyph":null,"view":{"id":"4b90b207-f91c-4901-9307-6e075c1a618f","type":"CDSView"}},"id":"cf255a0f-5d4c-44d7-8cad-b248db880e13","type":"GlyphRenderer"}],"root_ids":["2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"348a1b74-2157-4ba2-a515-80129b58d536","elementid":"2c13fdbd-f07e-4db4-8131-20de99fd44db","modelid":"2ac2ee07-a7a3-4cd9-b04a-e10a1ee309f6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
