(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4e67444d-1648-459a-a363-f2ed9c9a6f35");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4e67444d-1648-459a-a363-f2ed9c9a6f35' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ee86d217-d07a-47f5-8493-6a79fef58290":{"roots":{"references":[{"attributes":{"end":{"id":"32edc04c-a34e-48d1-a5a7-bc9cfdaf6ca8","type":"OpenHead"},"plot":{"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":0},"y_start":{"value":0}},"id":"3f005589-963f-4c0a-8111-6fd2c62643c7","type":"Arrow"},{"attributes":{"plot":null},"id":"1e0e5919-67b8-4bb8-9e2d-ae5fc84d69a6","type":"VeeHead"},{"attributes":{"plot":null},"id":"8da5ce9d-cf17-4422-992e-5e7fefdc6a31","type":"NormalHead"},{"attributes":{"plot":{"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},"text":"VeeHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":2},"id":"25620283-57e0-4787-b8aa-6bb599c69dcf","type":"Label"},{"attributes":{"end":{"id":"8da5ce9d-cf17-4422-992e-5e7fefdc6a31","type":"NormalHead"},"plot":{"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":1},"y_start":{"value":1}},"id":"6a7069e7-bc63-4298-ae3a-398509b37cd3","type":"Arrow"},{"attributes":{},"id":"2f246696-bcb6-45d7-baea-349369b9bd3f","type":"LinearScale"},{"attributes":{"callback":null},"id":"16ba99a1-925d-46dc-958e-78cabc24fa65","type":"Range1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f64495ac-ba04-48e5-89aa-709962c24d67","type":"Toolbar"},{"attributes":{"plot":{"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},"text":"OpenHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":0},"id":"8fc7979e-57a0-4613-a5e2-5fa64d179dab","type":"Label"},{"attributes":{"min_border_bottom":0,"min_border_left":0,"min_border_right":0,"min_border_top":0,"outline_line_color":{"value":null},"plot_height":105,"plot_width":150,"renderers":[{"id":"3f005589-963f-4c0a-8111-6fd2c62643c7","type":"Arrow"},{"id":"8fc7979e-57a0-4613-a5e2-5fa64d179dab","type":"Label"},{"id":"6a7069e7-bc63-4298-ae3a-398509b37cd3","type":"Arrow"},{"id":"b95c99d1-318b-418c-9958-bf84f1673e19","type":"Label"},{"id":"f693af8e-1218-4488-8e6c-7188af93b7e4","type":"Arrow"},{"id":"25620283-57e0-4787-b8aa-6bb599c69dcf","type":"Label"}],"title":{"id":"b58c2340-db31-4f39-a222-fa27a4563076","type":"Title"},"toolbar":{"id":"f64495ac-ba04-48e5-89aa-709962c24d67","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"16ba99a1-925d-46dc-958e-78cabc24fa65","type":"Range1d"},"x_scale":{"id":"c0417bf3-e791-4124-97b8-8900fdd5f7ac","type":"LinearScale"},"y_range":{"id":"fe6224f0-68c0-4d07-ba32-9f7eb127bfb5","type":"Range1d"},"y_scale":{"id":"2f246696-bcb6-45d7-baea-349369b9bd3f","type":"LinearScale"}},"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},{"attributes":{"callback":null,"end":2.5,"start":-0.5},"id":"fe6224f0-68c0-4d07-ba32-9f7eb127bfb5","type":"Range1d"},{"attributes":{"end":{"id":"1e0e5919-67b8-4bb8-9e2d-ae5fc84d69a6","type":"VeeHead"},"plot":{"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":2},"y_start":{"value":2}},"id":"f693af8e-1218-4488-8e6c-7188af93b7e4","type":"Arrow"},{"attributes":{},"id":"c0417bf3-e791-4124-97b8-8900fdd5f7ac","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"b58c2340-db31-4f39-a222-fa27a4563076","type":"Title"},{"attributes":{"plot":null},"id":"32edc04c-a34e-48d1-a5a7-bc9cfdaf6ca8","type":"OpenHead"},{"attributes":{"plot":{"id":"18fce861-f288-4d70-b61f-87200bd178be","type":"Plot"},"text":"NormalHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":1},"id":"b95c99d1-318b-418c-9958-bf84f1673e19","type":"Label"}],"root_ids":["18fce861-f288-4d70-b61f-87200bd178be"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ee86d217-d07a-47f5-8493-6a79fef58290","elementid":"4e67444d-1648-459a-a363-f2ed9c9a6f35","modelid":"18fce861-f288-4d70-b61f-87200bd178be"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
