(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ac96934d-cd91-4d7a-b294-ca4ca0ad69ea");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ac96934d-cd91-4d7a-b294-ca4ca0ad69ea' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"00ee25d8-984c-4e2c-8732-e2129db280ef":{"roots":{"references":[{"attributes":{},"id":"c01de9f2-8e63-4a47-9bb4-77976ff00f20","type":"BasicTicker"},{"attributes":{"below":[{"id":"c84bf049-669a-4789-a43c-373582256dea","type":"LinearAxis"}],"left":[{"id":"10f110d2-597b-48bb-a895-d615b5fef358","type":"LinearAxis"}],"plot_height":200,"plot_width":500,"renderers":[{"id":"c84bf049-669a-4789-a43c-373582256dea","type":"LinearAxis"},{"id":"9682bd62-fb32-4219-9ffd-dd151cdb9866","type":"Grid"},{"id":"10f110d2-597b-48bb-a895-d615b5fef358","type":"LinearAxis"},{"id":"82b758b3-0a95-4716-9dd3-d266598c2967","type":"Grid"},{"id":"9b329bc7-f7ba-4ad7-bdd0-4bbae922894f","type":"GlyphRenderer"},{"id":"6c0c34c8-f44e-433d-a44c-86f970b40e0b","type":"GlyphRenderer"}],"title":{"id":"a4cedd77-cac8-4d6f-8033-a8af2d27439b","type":"Title"},"toolbar":{"id":"f673cf18-7dc7-45d8-9503-765e3f281699","type":"Toolbar"},"x_range":{"id":"711af543-a16f-423e-bfbd-f5d4008a820a","type":"DataRange1d"},"x_scale":{"id":"469eadbb-7409-401e-8c70-24284091e011","type":"LinearScale"},"y_range":{"id":"28d4e42c-5923-4ea2-afc7-b9c391ea5348","type":"DataRange1d"},"y_scale":{"id":"17965690-2bfd-4bec-9f56-50bf831cbe1b","type":"LinearScale"}},"id":"dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99","subtype":"Figure","type":"Plot"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"0b0d5808-ee92-4b8c-ba07-f19d7de8e217","type":"Line"},{"attributes":{"data_source":{"id":"2284f0ac-787f-4002-ba83-3046579dc910","type":"ColumnDataSource"},"glyph":{"id":"0b0d5808-ee92-4b8c-ba07-f19d7de8e217","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1680673e-35a7-4b84-ba8d-7dfc7cb6e438","type":"Line"},"selection_glyph":null,"view":{"id":"b00c526a-2c04-4f9f-8770-5615d17bc185","type":"CDSView"}},"id":"9b329bc7-f7ba-4ad7-bdd0-4bbae922894f","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"611ce768-9fd6-4322-a69a-5d35ca64e60d","type":"ColumnDataSource"},"glyph":{"id":"2af4ec16-86c3-4e16-8350-c2c7cae53fda","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f19b6ade-067c-4f52-bb8f-7db7506d52b5","type":"Line"},"selection_glyph":null,"view":{"id":"35f27298-1dd9-49ab-8d94-2ecc6edab462","type":"CDSView"},"visible":false},"id":"6c0c34c8-f44e-433d-a44c-86f970b40e0b","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"2284f0ac-787f-4002-ba83-3046579dc910","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a7948f9-5bec-466d-91d0-cfbbd044a636","type":"BasicTicker"}},"id":"82b758b3-0a95-4716-9dd3-d266598c2967","type":"Grid"},{"attributes":{"plot":{"id":"dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99","subtype":"Figure","type":"Plot"},"ticker":{"id":"c01de9f2-8e63-4a47-9bb4-77976ff00f20","type":"BasicTicker"},"visible":false},"id":"9682bd62-fb32-4219-9ffd-dd151cdb9866","type":"Grid"},{"attributes":{},"id":"17965690-2bfd-4bec-9f56-50bf831cbe1b","type":"LinearScale"},{"attributes":{},"id":"5a7948f9-5bec-466d-91d0-cfbbd044a636","type":"BasicTicker"},{"attributes":{"source":{"id":"611ce768-9fd6-4322-a69a-5d35ca64e60d","type":"ColumnDataSource"}},"id":"35f27298-1dd9-49ab-8d94-2ecc6edab462","type":"CDSView"},{"attributes":{},"id":"cd9a1d28-387b-4719-a79d-c00e0821d726","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"711af543-a16f-423e-bfbd-f5d4008a820a","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"611ce768-9fd6-4322-a69a-5d35ca64e60d","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"1680673e-35a7-4b84-ba8d-7dfc7cb6e438","type":"Line"},{"attributes":{},"id":"469eadbb-7409-401e-8c70-24284091e011","type":"LinearScale"},{"attributes":{"source":{"id":"2284f0ac-787f-4002-ba83-3046579dc910","type":"ColumnDataSource"}},"id":"b00c526a-2c04-4f9f-8770-5615d17bc185","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"a4cedd77-cac8-4d6f-8033-a8af2d27439b","type":"Title"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2af4ec16-86c3-4e16-8350-c2c7cae53fda","type":"Line"},{"attributes":{"formatter":{"id":"cd9a1d28-387b-4719-a79d-c00e0821d726","type":"BasicTickFormatter"},"plot":{"id":"dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99","subtype":"Figure","type":"Plot"},"ticker":{"id":"5a7948f9-5bec-466d-91d0-cfbbd044a636","type":"BasicTicker"}},"id":"10f110d2-597b-48bb-a895-d615b5fef358","type":"LinearAxis"},{"attributes":{"formatter":{"id":"26e0c0de-104c-4cb8-91ea-bd4c74647b32","type":"BasicTickFormatter"},"plot":{"id":"dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99","subtype":"Figure","type":"Plot"},"ticker":{"id":"c01de9f2-8e63-4a47-9bb4-77976ff00f20","type":"BasicTicker"},"visible":false},"id":"c84bf049-669a-4789-a43c-373582256dea","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f19b6ade-067c-4f52-bb8f-7db7506d52b5","type":"Line"},{"attributes":{"callback":null},"id":"28d4e42c-5923-4ea2-afc7-b9c391ea5348","type":"DataRange1d"},{"attributes":{},"id":"26e0c0de-104c-4cb8-91ea-bd4c74647b32","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f673cf18-7dc7-45d8-9503-765e3f281699","type":"Toolbar"}],"root_ids":["dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"00ee25d8-984c-4e2c-8732-e2129db280ef","elementid":"ac96934d-cd91-4d7a-b294-ca4ca0ad69ea","modelid":"dbc2f6b6-fb26-4ff7-b133-fed2c1f96c99"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
