(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6a8596b6-8fe9-4852-8a09-de469a67f427");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6a8596b6-8fe9-4852-8a09-de469a67f427' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dabb3d0a-f871-4900-9861-998d7f99e197":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"872c8974-87a6-4a46-9e98-b468865bacea","type":"ColumnDataSource"},{"attributes":{},"id":"997d0a12-e504-4b29-9e34-4ff636dda085","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"916276f4-7c50-48f8-a959-1721a286cb86","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"382f69dd-5fa6-4e16-9643-aa31fdfde27d","type":"Circle"},{"attributes":{},"id":"3b99a13e-c8c1-49b7-b042-f1d0b1afe852","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"c7fafd3c-f85f-4abc-af35-ba682dd2d32b","type":"BoxAnnotation"}},"id":"83fb65ee-5e92-497b-bd0f-4db248094c2e","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"997d0a12-e504-4b29-9e34-4ff636dda085","type":"BasicTickFormatter"},"plot":{"id":"4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e9cfe129-8cd2-419e-a598-3fe13fe84cf6","type":"BasicTicker"}},"id":"f1397793-5b2d-40de-9758-d900237beb92","type":"LinearAxis"},{"attributes":{},"id":"0bbbae2d-fd4b-4b95-b156-9ad4f6761f7e","type":"SaveTool"},{"attributes":{},"id":"408797ea-cce8-4de4-a50d-7d622a67ac5d","type":"WheelZoomTool"},{"attributes":{},"id":"e9cfe129-8cd2-419e-a598-3fe13fe84cf6","type":"BasicTicker"},{"attributes":{"formatter":{"id":"3b99a13e-c8c1-49b7-b042-f1d0b1afe852","type":"BasicTickFormatter"},"plot":{"id":"4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6ce7c08b-f2ab-47e8-b9df-87dca1493903","type":"BasicTicker"}},"id":"e96b9f2e-d91a-405a-978c-1a89d22e2ada","type":"LinearAxis"},{"attributes":{},"id":"44505849-f412-4ad4-a180-6fce893dc515","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c7fafd3c-f85f-4abc-af35-ba682dd2d32b","type":"BoxAnnotation"},{"attributes":{},"id":"e9b0d9a4-e073-4049-9a8b-1d797f675cc1","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2c9ae917-1eed-4075-afb3-b6aaed21e11b","type":"PanTool"},{"id":"408797ea-cce8-4de4-a50d-7d622a67ac5d","type":"WheelZoomTool"},{"id":"83fb65ee-5e92-497b-bd0f-4db248094c2e","type":"BoxZoomTool"},{"id":"0bbbae2d-fd4b-4b95-b156-9ad4f6761f7e","type":"SaveTool"},{"id":"e9b0d9a4-e073-4049-9a8b-1d797f675cc1","type":"ResetTool"},{"id":"cb96ed17-c8d6-442b-9a12-114a345bb2a5","type":"HelpTool"}]},"id":"77b4cde6-210a-46d7-979c-9576d85905b7","type":"Toolbar"},{"attributes":{},"id":"6ce7c08b-f2ab-47e8-b9df-87dca1493903","type":"BasicTicker"},{"attributes":{"callback":null},"id":"c0dff624-a7bb-4c84-98c1-fcaca5f2f38b","type":"DataRange1d"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"6ce7c08b-f2ab-47e8-b9df-87dca1493903","type":"BasicTicker"}},"id":"d88957e4-3e49-4aca-8d54-f5bea9ad5355","type":"Grid"},{"attributes":{"below":[{"id":"e96b9f2e-d91a-405a-978c-1a89d22e2ada","type":"LinearAxis"}],"left":[{"id":"f1397793-5b2d-40de-9758-d900237beb92","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e96b9f2e-d91a-405a-978c-1a89d22e2ada","type":"LinearAxis"},{"id":"d88957e4-3e49-4aca-8d54-f5bea9ad5355","type":"Grid"},{"id":"f1397793-5b2d-40de-9758-d900237beb92","type":"LinearAxis"},{"id":"73dbbf46-f0c8-44d1-bcce-034413678502","type":"Grid"},{"id":"c7fafd3c-f85f-4abc-af35-ba682dd2d32b","type":"BoxAnnotation"},{"id":"2210db76-18f2-4efb-b0c7-410810b5333a","type":"GlyphRenderer"}],"title":{"id":"916276f4-7c50-48f8-a959-1721a286cb86","type":"Title"},"toolbar":{"id":"77b4cde6-210a-46d7-979c-9576d85905b7","type":"Toolbar"},"x_range":{"id":"a09a9b65-cb43-474e-af22-67e55b8525af","type":"DataRange1d"},"x_scale":{"id":"44505849-f412-4ad4-a180-6fce893dc515","type":"LinearScale"},"y_range":{"id":"c0dff624-a7bb-4c84-98c1-fcaca5f2f38b","type":"DataRange1d"},"y_scale":{"id":"8c749994-5d7e-4467-92d8-2425b1678d5d","type":"LinearScale"}},"id":"4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"872c8974-87a6-4a46-9e98-b468865bacea","type":"ColumnDataSource"},"glyph":{"id":"8e77da3f-4519-4ab6-9132-ae40c02672af","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"382f69dd-5fa6-4e16-9643-aa31fdfde27d","type":"Circle"},"selection_glyph":null,"view":{"id":"5de6be0e-f2ae-4f59-aab7-3187587a8f2a","type":"CDSView"}},"id":"2210db76-18f2-4efb-b0c7-410810b5333a","type":"GlyphRenderer"},{"attributes":{},"id":"cb96ed17-c8d6-442b-9a12-114a345bb2a5","type":"HelpTool"},{"attributes":{"dimension":1,"grid_line_alpha":{"value":0.5},"grid_line_dash":[6,4],"plot":{"id":"4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e9cfe129-8cd2-419e-a598-3fe13fe84cf6","type":"BasicTicker"}},"id":"73dbbf46-f0c8-44d1-bcce-034413678502","type":"Grid"},{"attributes":{},"id":"8c749994-5d7e-4467-92d8-2425b1678d5d","type":"LinearScale"},{"attributes":{"callback":null},"id":"a09a9b65-cb43-474e-af22-67e55b8525af","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8e77da3f-4519-4ab6-9132-ae40c02672af","type":"Circle"},{"attributes":{},"id":"2c9ae917-1eed-4075-afb3-b6aaed21e11b","type":"PanTool"},{"attributes":{"source":{"id":"872c8974-87a6-4a46-9e98-b468865bacea","type":"ColumnDataSource"}},"id":"5de6be0e-f2ae-4f59-aab7-3187587a8f2a","type":"CDSView"}],"root_ids":["4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dabb3d0a-f871-4900-9861-998d7f99e197","elementid":"6a8596b6-8fe9-4852-8a09-de469a67f427","modelid":"4e1fdf1b-f5bd-4bc9-85f1-2d0773b75f8d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
