(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4653e4cc-86d8-43a5-b3c0-80b59a62bf0f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4653e4cc-86d8-43a5-b3c0-80b59a62bf0f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1434da06-feca-464b-bc75-7653d8d11c90":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b3a5821f-a6f3-437a-8cbc-3105aac26429","type":"Circle"},{"attributes":{"overlay":{"id":"c3e0031c-458e-4e54-a79d-0032fd9a2163","type":"BoxAnnotation"}},"id":"7b1569e0-0e1b-4e02-9a5d-f60a626e69b7","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"b0c2c431-866c-4a7b-b516-233cd011cd8b","type":"LinearAxis"}],"left":[{"id":"1f16e1ca-02d1-4a96-bec0-c209f47dee8d","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"b0c2c431-866c-4a7b-b516-233cd011cd8b","type":"LinearAxis"},{"id":"1e9e8e21-ff59-49f9-bf73-d6f54fa912fb","type":"Grid"},{"id":"1f16e1ca-02d1-4a96-bec0-c209f47dee8d","type":"LinearAxis"},{"id":"99813f1f-a915-4dd2-9982-79314f9a58c9","type":"Grid"},{"id":"c3e0031c-458e-4e54-a79d-0032fd9a2163","type":"BoxAnnotation"},{"id":"a9548956-70c7-4d94-b774-a968d3eb9af3","type":"GlyphRenderer"}],"title":{"id":"aef8ed43-c5b2-4844-8d4a-fea6451c8bd5","type":"Title"},"toolbar":{"id":"fea691cc-5133-49e2-87e5-c2687d1c611a","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"959c2214-a539-4c73-807e-4e2b5f73f3c5","type":"DataRange1d"},"x_scale":{"id":"5a29c33a-b3b3-4c57-90d9-2f90d8d51014","type":"LinearScale"},"y_range":{"id":"3398157a-7cdf-459f-9fc8-0ed803732d49","type":"DataRange1d"},"y_scale":{"id":"f5c2f63b-c98b-4cd2-a7f0-0d5883c4dde0","type":"LinearScale"}},"id":"11a79dc0-7c5a-4713-89be-facf01aef40b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"de8a5127-f6b0-42f6-8bf2-88c51003efc0","type":"ResetTool"},{"attributes":{"callback":null},"id":"3398157a-7cdf-459f-9fc8-0ed803732d49","type":"DataRange1d"},{"attributes":{},"id":"f5c2f63b-c98b-4cd2-a7f0-0d5883c4dde0","type":"LinearScale"},{"attributes":{"callback":null},"id":"959c2214-a539-4c73-807e-4e2b5f73f3c5","type":"DataRange1d"},{"attributes":{"plot":null,"text":"Top Title with Toolbar"},"id":"aef8ed43-c5b2-4844-8d4a-fea6451c8bd5","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"62b6d2f0-484a-499a-a6b0-a6ab0ad2633c","type":"Circle"},{"attributes":{},"id":"0b8e2482-280a-4f2a-82af-c5a395d18901","type":"BasicTickFormatter"},{"attributes":{},"id":"08abe8d5-8498-4736-9f70-6dae69f2aa69","type":"WheelZoomTool"},{"attributes":{},"id":"1399296e-257d-403a-accb-d60ea1751cb2","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c3e0031c-458e-4e54-a79d-0032fd9a2163","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b9e05b70-0a90-4db4-b1fd-fe7087ddfcb0","type":"PanTool"},{"id":"08abe8d5-8498-4736-9f70-6dae69f2aa69","type":"WheelZoomTool"},{"id":"7b1569e0-0e1b-4e02-9a5d-f60a626e69b7","type":"BoxZoomTool"},{"id":"1399296e-257d-403a-accb-d60ea1751cb2","type":"SaveTool"},{"id":"de8a5127-f6b0-42f6-8bf2-88c51003efc0","type":"ResetTool"},{"id":"ad0669bd-a531-43b4-bd0a-170ccfe0cf39","type":"HelpTool"}]},"id":"fea691cc-5133-49e2-87e5-c2687d1c611a","type":"Toolbar"},{"attributes":{},"id":"b9e05b70-0a90-4db4-b1fd-fe7087ddfcb0","type":"PanTool"},{"attributes":{"plot":{"id":"11a79dc0-7c5a-4713-89be-facf01aef40b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d889bee-6eba-49c0-b944-8bd3765c8fee","type":"BasicTicker"}},"id":"1e9e8e21-ff59-49f9-bf73-d6f54fa912fb","type":"Grid"},{"attributes":{},"id":"77a53991-1021-47db-9a87-0d2b680a8597","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"df6f3834-5607-41e4-baff-8d461987dbe7","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"77a53991-1021-47db-9a87-0d2b680a8597","type":"BasicTickFormatter"},"plot":{"id":"11a79dc0-7c5a-4713-89be-facf01aef40b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a688fd9-f719-40f1-a76d-2f1de015c1ca","type":"BasicTicker"}},"id":"1f16e1ca-02d1-4a96-bec0-c209f47dee8d","type":"LinearAxis"},{"attributes":{"data_source":{"id":"df6f3834-5607-41e4-baff-8d461987dbe7","type":"ColumnDataSource"},"glyph":{"id":"b3a5821f-a6f3-437a-8cbc-3105aac26429","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"62b6d2f0-484a-499a-a6b0-a6ab0ad2633c","type":"Circle"},"selection_glyph":null,"view":{"id":"c8d3ccac-c3c3-4fcb-87ee-403ae0e6a4c3","type":"CDSView"}},"id":"a9548956-70c7-4d94-b774-a968d3eb9af3","type":"GlyphRenderer"},{"attributes":{},"id":"5a29c33a-b3b3-4c57-90d9-2f90d8d51014","type":"LinearScale"},{"attributes":{},"id":"ad0669bd-a531-43b4-bd0a-170ccfe0cf39","type":"HelpTool"},{"attributes":{},"id":"9a688fd9-f719-40f1-a76d-2f1de015c1ca","type":"BasicTicker"},{"attributes":{"formatter":{"id":"0b8e2482-280a-4f2a-82af-c5a395d18901","type":"BasicTickFormatter"},"plot":{"id":"11a79dc0-7c5a-4713-89be-facf01aef40b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d889bee-6eba-49c0-b944-8bd3765c8fee","type":"BasicTicker"}},"id":"b0c2c431-866c-4a7b-b516-233cd011cd8b","type":"LinearAxis"},{"attributes":{"source":{"id":"df6f3834-5607-41e4-baff-8d461987dbe7","type":"ColumnDataSource"}},"id":"c8d3ccac-c3c3-4fcb-87ee-403ae0e6a4c3","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"11a79dc0-7c5a-4713-89be-facf01aef40b","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a688fd9-f719-40f1-a76d-2f1de015c1ca","type":"BasicTicker"}},"id":"99813f1f-a915-4dd2-9982-79314f9a58c9","type":"Grid"},{"attributes":{},"id":"2d889bee-6eba-49c0-b944-8bd3765c8fee","type":"BasicTicker"}],"root_ids":["11a79dc0-7c5a-4713-89be-facf01aef40b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1434da06-feca-464b-bc75-7653d8d11c90","elementid":"4653e4cc-86d8-43a5-b3c0-80b59a62bf0f","modelid":"11a79dc0-7c5a-4713-89be-facf01aef40b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
