(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ca704481-4017-429f-a3b9-c5a5503b4572");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ca704481-4017-429f-a3b9-c5a5503b4572' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a6b52583-7665-44c2-9a6c-b2bc91ab9958":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"4d24e18f-e8e2-463c-a984-57ec537702e8","type":"Title"},{"attributes":{},"id":"90888209-29bf-41aa-b24b-83ab5b128a45","type":"BasicTicker"},{"attributes":{"overlay":{"id":"2ce84200-5a27-476c-a41d-1c67fc3f6a96","type":"BoxAnnotation"}},"id":"99e75ffd-0550-4887-b2b2-ae950af762ec","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"6664f0db-f17d-4bd4-935f-0b959b4e8401","type":"BasicTickFormatter"},"plot":{"id":"95ee5b2e-994f-4174-b4dc-5a354ab381e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"90888209-29bf-41aa-b24b-83ab5b128a45","type":"BasicTicker"}},"id":"baabef56-5b3f-4cca-b9c2-cf9a1af34e57","type":"LinearAxis"},{"attributes":{},"id":"531743c4-77ae-4480-8914-f99146f90af9","type":"ResetTool"},{"attributes":{},"id":"c2e31fff-5cb4-461e-a6cc-8c1c2e2788ee","type":"LinearScale"},{"attributes":{},"id":"771a2b58-b769-4cd7-9206-b41749d6ba3c","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"95ee5b2e-994f-4174-b4dc-5a354ab381e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"90888209-29bf-41aa-b24b-83ab5b128a45","type":"BasicTicker"}},"id":"bc92af54-b8b7-4f32-8906-c98ff6fe419e","type":"Grid"},{"attributes":{},"id":"3350139b-3b8c-4ecc-9fa2-a8473958a10f","type":"WheelZoomTool"},{"attributes":{},"id":"6664f0db-f17d-4bd4-935f-0b959b4e8401","type":"BasicTickFormatter"},{"attributes":{},"id":"b9bd2c9e-1015-4f3d-9736-84f208b471e5","type":"HelpTool"},{"attributes":{"below":[{"id":"088bdc89-8740-4875-97a6-87403e1eda97","type":"LinearAxis"}],"left":[{"id":"baabef56-5b3f-4cca-b9c2-cf9a1af34e57","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"088bdc89-8740-4875-97a6-87403e1eda97","type":"LinearAxis"},{"id":"b07cd843-ac31-40d2-b76f-56dd9c8b3771","type":"Grid"},{"id":"baabef56-5b3f-4cca-b9c2-cf9a1af34e57","type":"LinearAxis"},{"id":"bc92af54-b8b7-4f32-8906-c98ff6fe419e","type":"Grid"},{"id":"2ce84200-5a27-476c-a41d-1c67fc3f6a96","type":"BoxAnnotation"},{"id":"4ee5f6a6-f8c7-4602-a2ce-79d8c233af5d","type":"GlyphRenderer"}],"title":{"id":"4d24e18f-e8e2-463c-a984-57ec537702e8","type":"Title"},"toolbar":{"id":"bd3ab53a-c7dd-4ff6-897d-273181b4419e","type":"Toolbar"},"x_range":{"id":"1b4d3b74-781d-466b-bad3-e4ba1ae5d802","type":"DataRange1d"},"x_scale":{"id":"771a2b58-b769-4cd7-9206-b41749d6ba3c","type":"LinearScale"},"y_range":{"id":"2f0715de-d8c3-457e-9a11-1f3006e5bfcf","type":"DataRange1d"},"y_scale":{"id":"c2e31fff-5cb4-461e-a6cc-8c1c2e2788ee","type":"LinearScale"}},"id":"95ee5b2e-994f-4174-b4dc-5a354ab381e5","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"2f0715de-d8c3-457e-9a11-1f3006e5bfcf","type":"DataRange1d"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8d55e07c-4aac-4b35-a51d-664b911457ca","type":"Rect"},{"attributes":{},"id":"5b44030d-0fc1-44b6-a2f6-d5bf5f94a5b9","type":"PanTool"},{"attributes":{},"id":"bd7ad353-1abf-4ece-8041-632cdaea3dd8","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"95ee5b2e-994f-4174-b4dc-5a354ab381e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9ef1ba0-2f8d-4573-a3a4-bd61c6642fea","type":"BasicTicker"}},"id":"b07cd843-ac31-40d2-b76f-56dd9c8b3771","type":"Grid"},{"attributes":{"data_source":{"id":"c843d5cb-460b-4c62-aaeb-04a9f40def9b","type":"ColumnDataSource"},"glyph":{"id":"41bb7d84-ec84-4a58-8bc0-9f503a86eb16","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8d55e07c-4aac-4b35-a51d-664b911457ca","type":"Rect"},"selection_glyph":null,"view":{"id":"0a99cc52-f98a-4e91-9b93-2620e4dffc1a","type":"CDSView"}},"id":"4ee5f6a6-f8c7-4602-a2ce-79d8c233af5d","type":"GlyphRenderer"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"41bb7d84-ec84-4a58-8bc0-9f503a86eb16","type":"Rect"},{"attributes":{"source":{"id":"c843d5cb-460b-4c62-aaeb-04a9f40def9b","type":"ColumnDataSource"}},"id":"0a99cc52-f98a-4e91-9b93-2620e4dffc1a","type":"CDSView"},{"attributes":{},"id":"f9ef1ba0-2f8d-4573-a3a4-bd61c6642fea","type":"BasicTicker"},{"attributes":{},"id":"7b27b453-d90e-46b0-84a5-d9bea84175d5","type":"SaveTool"},{"attributes":{"formatter":{"id":"bd7ad353-1abf-4ece-8041-632cdaea3dd8","type":"BasicTickFormatter"},"plot":{"id":"95ee5b2e-994f-4174-b4dc-5a354ab381e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9ef1ba0-2f8d-4573-a3a4-bd61c6642fea","type":"BasicTicker"}},"id":"088bdc89-8740-4875-97a6-87403e1eda97","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"c843d5cb-460b-4c62-aaeb-04a9f40def9b","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5b44030d-0fc1-44b6-a2f6-d5bf5f94a5b9","type":"PanTool"},{"id":"3350139b-3b8c-4ecc-9fa2-a8473958a10f","type":"WheelZoomTool"},{"id":"99e75ffd-0550-4887-b2b2-ae950af762ec","type":"BoxZoomTool"},{"id":"7b27b453-d90e-46b0-84a5-d9bea84175d5","type":"SaveTool"},{"id":"531743c4-77ae-4480-8914-f99146f90af9","type":"ResetTool"},{"id":"b9bd2c9e-1015-4f3d-9736-84f208b471e5","type":"HelpTool"}]},"id":"bd3ab53a-c7dd-4ff6-897d-273181b4419e","type":"Toolbar"},{"attributes":{"callback":null},"id":"1b4d3b74-781d-466b-bad3-e4ba1ae5d802","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2ce84200-5a27-476c-a41d-1c67fc3f6a96","type":"BoxAnnotation"}],"root_ids":["95ee5b2e-994f-4174-b4dc-5a354ab381e5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a6b52583-7665-44c2-9a6c-b2bc91ab9958","elementid":"ca704481-4017-429f-a3b9-c5a5503b4572","modelid":"95ee5b2e-994f-4174-b4dc-5a354ab381e5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
