(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8a139d4e-e16b-4b4f-b9e7-308572461372");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8a139d4e-e16b-4b4f-b9e7-308572461372' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"280b8b82-aafd-4764-b531-e816bf65e5a6":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"e44ff92b-445f-4431-8b58-be0a6712af6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"005d4364-9cfa-48dc-9d50-e6134c501100","type":"BasicTicker"}},"id":"81235104-c386-47d4-9f25-06456fe870d1","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"24efb26f-2c88-4ba9-bfb5-42fbada1dafb","type":"ColumnDataSource"},{"attributes":{},"id":"add10360-f5af-41cf-877d-c65cb0ab7d13","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Basic Title"},"id":"bd4f178d-7c8d-4b30-95e7-f6a5b7899fa7","type":"Title"},{"attributes":{"source":{"id":"24efb26f-2c88-4ba9-bfb5-42fbada1dafb","type":"ColumnDataSource"}},"id":"5b01f715-74a8-4bd8-a7e2-9691743c1fa8","type":"CDSView"},{"attributes":{},"id":"c85a2373-ba93-4626-b95c-e5b8e439cac0","type":"HelpTool"},{"attributes":{},"id":"87951125-0997-43d4-a34c-cfc44f9835a7","type":"LinearScale"},{"attributes":{"below":[{"id":"d1864049-290c-4b47-9216-6028b892e7c8","type":"LinearAxis"}],"left":[{"id":"f02e40cc-7d69-4ca5-883d-c632a7710fd3","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d1864049-290c-4b47-9216-6028b892e7c8","type":"LinearAxis"},{"id":"f0e19f8b-7c6d-4c23-a4c6-720d987e363e","type":"Grid"},{"id":"f02e40cc-7d69-4ca5-883d-c632a7710fd3","type":"LinearAxis"},{"id":"81235104-c386-47d4-9f25-06456fe870d1","type":"Grid"},{"id":"9ee40d55-7bdf-48ec-8df0-74b2566d304c","type":"BoxAnnotation"},{"id":"2a363775-24da-4fef-b76d-a45431a8c672","type":"GlyphRenderer"}],"title":{"id":"bd4f178d-7c8d-4b30-95e7-f6a5b7899fa7","type":"Title"},"toolbar":{"id":"749f0989-218a-45cb-a13a-fff0223516eb","type":"Toolbar"},"x_range":{"id":"5be3e916-be77-4bb5-9f4a-98a978f6e154","type":"DataRange1d"},"x_scale":{"id":"87951125-0997-43d4-a34c-cfc44f9835a7","type":"LinearScale"},"y_range":{"id":"4f90db69-d09e-419b-ba37-e8ec731b3a24","type":"DataRange1d"},"y_scale":{"id":"9537d69d-b49a-4e18-9552-207726fc8a07","type":"LinearScale"}},"id":"e44ff92b-445f-4431-8b58-be0a6712af6f","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"e44ff92b-445f-4431-8b58-be0a6712af6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"add10360-f5af-41cf-877d-c65cb0ab7d13","type":"BasicTicker"}},"id":"f0e19f8b-7c6d-4c23-a4c6-720d987e363e","type":"Grid"},{"attributes":{},"id":"bde321fc-df49-42de-8c0c-b359ec517f4b","type":"ResetTool"},{"attributes":{"callback":null},"id":"5be3e916-be77-4bb5-9f4a-98a978f6e154","type":"DataRange1d"},{"attributes":{},"id":"9537d69d-b49a-4e18-9552-207726fc8a07","type":"LinearScale"},{"attributes":{},"id":"cb824704-713c-4761-a373-d982cb27612b","type":"SaveTool"},{"attributes":{"formatter":{"id":"1940387d-d110-4829-85d7-0e3d86829404","type":"BasicTickFormatter"},"plot":{"id":"e44ff92b-445f-4431-8b58-be0a6712af6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"005d4364-9cfa-48dc-9d50-e6134c501100","type":"BasicTicker"}},"id":"f02e40cc-7d69-4ca5-883d-c632a7710fd3","type":"LinearAxis"},{"attributes":{"overlay":{"id":"9ee40d55-7bdf-48ec-8df0-74b2566d304c","type":"BoxAnnotation"}},"id":"386e46d5-4378-424e-9f2f-30e2bb601a77","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"24efb26f-2c88-4ba9-bfb5-42fbada1dafb","type":"ColumnDataSource"},"glyph":{"id":"95e05eef-33c9-4056-b12b-fe82c19741c6","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6203503e-5ae9-4ae7-9d78-b51468ee25a9","type":"Circle"},"selection_glyph":null,"view":{"id":"5b01f715-74a8-4bd8-a7e2-9691743c1fa8","type":"CDSView"}},"id":"2a363775-24da-4fef-b76d-a45431a8c672","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"ecd6c1b5-586c-4499-b472-55fb0d58952c","type":"BasicTickFormatter"},"plot":{"id":"e44ff92b-445f-4431-8b58-be0a6712af6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"add10360-f5af-41cf-877d-c65cb0ab7d13","type":"BasicTicker"}},"id":"d1864049-290c-4b47-9216-6028b892e7c8","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6203503e-5ae9-4ae7-9d78-b51468ee25a9","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9ee40d55-7bdf-48ec-8df0-74b2566d304c","type":"BoxAnnotation"},{"attributes":{},"id":"005d4364-9cfa-48dc-9d50-e6134c501100","type":"BasicTicker"},{"attributes":{},"id":"ecd6c1b5-586c-4499-b472-55fb0d58952c","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d5cb8c8b-2f88-4eb7-a274-d17d9ed564ec","type":"PanTool"},{"id":"862f4e66-e4a9-406f-95e0-cb73bf405139","type":"WheelZoomTool"},{"id":"386e46d5-4378-424e-9f2f-30e2bb601a77","type":"BoxZoomTool"},{"id":"cb824704-713c-4761-a373-d982cb27612b","type":"SaveTool"},{"id":"bde321fc-df49-42de-8c0c-b359ec517f4b","type":"ResetTool"},{"id":"c85a2373-ba93-4626-b95c-e5b8e439cac0","type":"HelpTool"}]},"id":"749f0989-218a-45cb-a13a-fff0223516eb","type":"Toolbar"},{"attributes":{"callback":null},"id":"4f90db69-d09e-419b-ba37-e8ec731b3a24","type":"DataRange1d"},{"attributes":{},"id":"862f4e66-e4a9-406f-95e0-cb73bf405139","type":"WheelZoomTool"},{"attributes":{},"id":"1940387d-d110-4829-85d7-0e3d86829404","type":"BasicTickFormatter"},{"attributes":{},"id":"d5cb8c8b-2f88-4eb7-a274-d17d9ed564ec","type":"PanTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"95e05eef-33c9-4056-b12b-fe82c19741c6","type":"Circle"}],"root_ids":["e44ff92b-445f-4431-8b58-be0a6712af6f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"280b8b82-aafd-4764-b531-e816bf65e5a6","elementid":"8a139d4e-e16b-4b4f-b9e7-308572461372","modelid":"e44ff92b-445f-4431-8b58-be0a6712af6f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
