(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("05b41fa2-63eb-4cad-ba41-04d849c8c201");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '05b41fa2-63eb-4cad-ba41-04d849c8c201' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c5d97f90-55c9-4e66-a84e-eacf8ea0ada5":{"roots":{"references":[{"attributes":{},"id":"806aa9d9-a288-484e-8471-8b2c225d76bb","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"82037089-dc0a-4e7f-9b35-328e8efae76e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c44dead2-b91d-4252-a001-8313479fc2d7","type":"BasicTicker"}},"id":"f24622d2-8acc-47fa-b778-1313665a38ff","type":"Grid"},{"attributes":{},"id":"a4e07da5-81ed-4b05-9280-0dc3419069ae","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"line_color":{"value":"firebrick"},"line_dash":[6,3],"line_width":{"value":2},"size":{"units":"screen","value":60},"x":{"field":"x"},"y":{"field":"y"}},"id":"415b7bde-18ef-4be5-a710-0369ef5d76ed","type":"Circle"},{"attributes":{"source":{"id":"51b38cbc-f7f9-4315-bf25-b6fd77c608fe","type":"ColumnDataSource"}},"id":"09b7a05a-bbc6-46ae-a9fb-cfae583a6283","type":"CDSView"},{"attributes":{},"id":"cddaa900-9331-4482-9435-e650fdfaf5ab","type":"ResetTool"},{"attributes":{},"id":"cef12533-eaec-4f15-be9c-c11661eab26e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"51b38cbc-f7f9-4315-bf25-b6fd77c608fe","type":"ColumnDataSource"},{"attributes":{},"id":"c44dead2-b91d-4252-a001-8313479fc2d7","type":"BasicTicker"},{"attributes":{"callback":null},"id":"4804841c-3191-48f9-9637-98226423a7d3","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6da28a27-92f8-4620-98c8-92bc176b4d34","type":"PanTool"},{"id":"f2968755-a310-4c9f-b467-89ffc7515892","type":"WheelZoomTool"},{"id":"700c52b9-d495-4f11-9ccc-59829451f8bc","type":"BoxZoomTool"},{"id":"a4e07da5-81ed-4b05-9280-0dc3419069ae","type":"SaveTool"},{"id":"cddaa900-9331-4482-9435-e650fdfaf5ab","type":"ResetTool"},{"id":"cf41a286-782e-4080-8d62-196ff8ecfb94","type":"HelpTool"}]},"id":"27748960-4591-417e-bdf7-f876d18d8147","type":"Toolbar"},{"attributes":{"overlay":{"id":"7c4735c1-d7de-4812-87f8-4c2d73e90796","type":"BoxAnnotation"}},"id":"700c52b9-d495-4f11-9ccc-59829451f8bc","type":"BoxZoomTool"},{"attributes":{},"id":"518e9277-567f-43f6-a087-b6be647909e5","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"848e766a-8092-45ed-a9f4-d1e5d8b14d21","type":"LinearAxis"}],"left":[{"id":"b331775f-2ba5-4358-b931-138f9e2b6250","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"848e766a-8092-45ed-a9f4-d1e5d8b14d21","type":"LinearAxis"},{"id":"308ef7d0-1ebf-454c-bf72-a6135c7a27de","type":"Grid"},{"id":"b331775f-2ba5-4358-b931-138f9e2b6250","type":"LinearAxis"},{"id":"f24622d2-8acc-47fa-b778-1313665a38ff","type":"Grid"},{"id":"7c4735c1-d7de-4812-87f8-4c2d73e90796","type":"BoxAnnotation"},{"id":"8d7bfb04-8488-4f67-9e6f-a2f2c6f7c138","type":"GlyphRenderer"}],"title":{"id":"2e5cad95-ea31-47f8-bcf9-6936b731e4df","type":"Title"},"toolbar":{"id":"27748960-4591-417e-bdf7-f876d18d8147","type":"Toolbar"},"x_range":{"id":"a684d18e-5f5c-486a-ad67-cb307764553e","type":"DataRange1d"},"x_scale":{"id":"cef12533-eaec-4f15-be9c-c11661eab26e","type":"LinearScale"},"y_range":{"id":"4804841c-3191-48f9-9637-98226423a7d3","type":"DataRange1d"},"y_scale":{"id":"dc138d1e-9246-415c-82ea-6139b00d44cb","type":"LinearScale"}},"id":"82037089-dc0a-4e7f-9b35-328e8efae76e","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7c4735c1-d7de-4812-87f8-4c2d73e90796","type":"BoxAnnotation"},{"attributes":{},"id":"baf08e35-d8e7-4d82-a124-53914ce7f26d","type":"BasicTicker"},{"attributes":{"plot":{"id":"82037089-dc0a-4e7f-9b35-328e8efae76e","subtype":"Figure","type":"Plot"},"ticker":{"id":"baf08e35-d8e7-4d82-a124-53914ce7f26d","type":"BasicTicker"}},"id":"308ef7d0-1ebf-454c-bf72-a6135c7a27de","type":"Grid"},{"attributes":{"data_source":{"id":"51b38cbc-f7f9-4315-bf25-b6fd77c608fe","type":"ColumnDataSource"},"glyph":{"id":"415b7bde-18ef-4be5-a710-0369ef5d76ed","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aba5fd3f-c660-4063-a87f-977b83d914c2","type":"Circle"},"selection_glyph":null,"view":{"id":"09b7a05a-bbc6-46ae-a9fb-cfae583a6283","type":"CDSView"}},"id":"8d7bfb04-8488-4f67-9e6f-a2f2c6f7c138","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"aba5fd3f-c660-4063-a87f-977b83d914c2","type":"Circle"},{"attributes":{"formatter":{"id":"518e9277-567f-43f6-a087-b6be647909e5","type":"BasicTickFormatter"},"plot":{"id":"82037089-dc0a-4e7f-9b35-328e8efae76e","subtype":"Figure","type":"Plot"},"ticker":{"id":"baf08e35-d8e7-4d82-a124-53914ce7f26d","type":"BasicTicker"}},"id":"848e766a-8092-45ed-a9f4-d1e5d8b14d21","type":"LinearAxis"},{"attributes":{},"id":"cf41a286-782e-4080-8d62-196ff8ecfb94","type":"HelpTool"},{"attributes":{},"id":"6da28a27-92f8-4620-98c8-92bc176b4d34","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"2e5cad95-ea31-47f8-bcf9-6936b731e4df","type":"Title"},{"attributes":{"formatter":{"id":"806aa9d9-a288-484e-8471-8b2c225d76bb","type":"BasicTickFormatter"},"plot":{"id":"82037089-dc0a-4e7f-9b35-328e8efae76e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c44dead2-b91d-4252-a001-8313479fc2d7","type":"BasicTicker"}},"id":"b331775f-2ba5-4358-b931-138f9e2b6250","type":"LinearAxis"},{"attributes":{"callback":null},"id":"a684d18e-5f5c-486a-ad67-cb307764553e","type":"DataRange1d"},{"attributes":{},"id":"f2968755-a310-4c9f-b467-89ffc7515892","type":"WheelZoomTool"},{"attributes":{},"id":"dc138d1e-9246-415c-82ea-6139b00d44cb","type":"LinearScale"}],"root_ids":["82037089-dc0a-4e7f-9b35-328e8efae76e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c5d97f90-55c9-4e66-a84e-eacf8ea0ada5","elementid":"05b41fa2-63eb-4cad-ba41-04d849c8c201","modelid":"82037089-dc0a-4e7f-9b35-328e8efae76e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
