(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6a180024-a1ef-41c7-ba35-8536e080be23");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6a180024-a1ef-41c7-ba35-8536e080be23' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8ca648a0-a8e4-4811-b1a9-4bef1b7659cc":{"roots":{"references":[{"attributes":{},"id":"7392075f-f99a-4dfd-9a29-cca27374e11d","type":"SaveTool"},{"attributes":{},"id":"7136adfc-65b3-4968-8d87-8349a69e86c3","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cb35688c-2110-4b7c-ac28-438ef217423d","type":"PanTool"},{"id":"5c9f1fba-a43d-4568-9888-b0cf0acca861","type":"WheelZoomTool"},{"id":"35311780-3e2c-433c-aca4-b749c775583e","type":"BoxZoomTool"},{"id":"7136adfc-65b3-4968-8d87-8349a69e86c3","type":"SaveTool"},{"id":"b1807a36-daaf-48bf-9a36-124c94b0bbcc","type":"ResetTool"},{"id":"3c53d65f-41b7-4590-8fd2-7d99547587ea","type":"HelpTool"}]},"id":"9eda8826-9a2f-43a4-8f49-7e04f936ae73","type":"Toolbar"},{"attributes":{},"id":"0d08bfa6-cafa-4904-b60f-1e5567c12f1d","type":"LinearScale"},{"attributes":{"source":{"id":"b5ef2f1d-e006-467d-aa00-e4a845001052","type":"ColumnDataSource"}},"id":"b3fe8ba5-b513-4276-8d57-842209b65639","type":"CDSView"},{"attributes":{"children":[{"id":"349e7c8a-f067-4063-ba60-cb2b8ec24823","type":"ToolbarBox"},{"id":"3c4f14a6-a2e8-423c-a476-4e5c4bb953a2","type":"Column"}]},"id":"7640a318-f0b2-4f6f-8ada-1bd88f56ffc3","type":"Column"},{"attributes":{"plot":{"id":"b40c803d-8058-4800-9256-1460c94e20dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"eab80379-756b-4649-b34b-86d71f17b9ba","type":"BasicTicker"}},"id":"3d6b5e03-4eaf-4450-9b4d-8e05d77d71ac","type":"Grid"},{"attributes":{},"id":"0558a3e2-f32c-4180-9478-db93fdc7e61e","type":"BasicTickFormatter"},{"attributes":{},"id":"465e4e72-480e-4240-95aa-7101dfebc982","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9800eef2-b760-4a43-b967-4bae7a85f8fb","type":"Square"},{"attributes":{"formatter":{"id":"0f00114f-0c3e-4a47-9485-a13530628961","type":"BasicTickFormatter"},"plot":{"id":"b40c803d-8058-4800-9256-1460c94e20dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"eab80379-756b-4649-b34b-86d71f17b9ba","type":"BasicTicker"}},"id":"4d98d350-f2cf-4c95-b42d-f15ba748b3da","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"e458e5e5-d161-4b70-98a0-b3e7be423937","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec374c3a-dd09-42e6-ba90-a390fe640745","type":"BasicTicker"}},"id":"fd4f9af9-19cd-4b74-bca9-692b3f3e4b73","type":"Grid"},{"attributes":{},"id":"eb76464b-003c-444d-bab1-65dd95a5667e","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"f88524ef-c7d6-4817-bae8-80506e1a2f77","type":"Title"},{"attributes":{"formatter":{"id":"e46b506e-0da7-4ce5-b1c0-ea053b96e5c1","type":"BasicTickFormatter"},"plot":{"id":"fe8ce65c-a26a-482c-9722-4023a275a02f","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab117076-6963-46f5-b4e9-888288852f34","type":"BasicTicker"}},"id":"68be86fa-fd15-48a0-82f4-342429145cc7","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"b40c803d-8058-4800-9256-1460c94e20dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"9fb9f555-8fa0-40e3-9193-fe3cbf2f1ec2","type":"BasicTicker"}},"id":"492f5c80-4c02-40af-97ff-521e60be7860","type":"Grid"},{"attributes":{"formatter":{"id":"465e4e72-480e-4240-95aa-7101dfebc982","type":"BasicTickFormatter"},"plot":{"id":"b40c803d-8058-4800-9256-1460c94e20dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"9fb9f555-8fa0-40e3-9193-fe3cbf2f1ec2","type":"BasicTicker"}},"id":"f1110347-94aa-4c50-9c21-9773ec9b45fa","type":"LinearAxis"},{"attributes":{},"id":"5c9f1fba-a43d-4568-9888-b0cf0acca861","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"54cf744a-d26c-4df0-8446-4b00fa9066ea","type":"PanTool"},{"id":"c96ea658-24f9-4c88-9807-afdf19662f76","type":"WheelZoomTool"},{"id":"e5e232c7-9034-4017-b15d-5a0a5ca2c176","type":"BoxZoomTool"},{"id":"7fad7698-3a6b-45ce-9376-ad5651942087","type":"SaveTool"},{"id":"c78c943d-a967-4343-9aa0-04c54b8e7e0b","type":"ResetTool"},{"id":"4f87731d-1364-4df6-ace0-e7af9aedf580","type":"HelpTool"}]},"id":"390908e1-3b59-462b-afa8-704b9fb9d7f2","type":"Toolbar"},{"attributes":{},"id":"a6c66a94-b552-4218-ba09-098c7ec10325","type":"LinearScale"},{"attributes":{"below":[{"id":"519ad0d3-197c-4a46-b759-e0e10797c4a8","type":"LinearAxis"}],"left":[{"id":"ca59d75e-3992-467d-a099-1567de7d1c7e","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"519ad0d3-197c-4a46-b759-e0e10797c4a8","type":"LinearAxis"},{"id":"c1828c99-840e-4217-93ef-d7ef078cbcf9","type":"Grid"},{"id":"ca59d75e-3992-467d-a099-1567de7d1c7e","type":"LinearAxis"},{"id":"fd4f9af9-19cd-4b74-bca9-692b3f3e4b73","type":"Grid"},{"id":"b764424d-ce6a-4afa-b055-57bca3ae95de","type":"BoxAnnotation"},{"id":"af23dc5f-91f9-4759-a04f-fe60d12f41e4","type":"GlyphRenderer"}],"title":{"id":"f88524ef-c7d6-4817-bae8-80506e1a2f77","type":"Title"},"toolbar":{"id":"390908e1-3b59-462b-afa8-704b9fb9d7f2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"49cc2d17-b5dd-4758-9b80-4114d550b69b","type":"DataRange1d"},"x_scale":{"id":"f7870508-a6f4-4c29-92ab-119187b1bc54","type":"LinearScale"},"y_range":{"id":"9e3a2d04-34d6-4dfe-a76c-fee7adb4813a","type":"DataRange1d"},"y_scale":{"id":"6a3918ec-2839-4ee9-b575-99ecf678c6a1","type":"LinearScale"}},"id":"e458e5e5-d161-4b70-98a0-b3e7be423937","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c16dfdb7-5d20-47bd-8478-4fdd5a22ff98","type":"ResetTool"},{"attributes":{},"id":"c78c943d-a967-4343-9aa0-04c54b8e7e0b","type":"ResetTool"},{"attributes":{},"id":"e7d3f6f4-e336-4799-863d-d579a8d3961b","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f5f1c719-92b3-4611-8bbf-5528831a9aef","type":"Triangle"},{"attributes":{"children":[{"id":"b40c803d-8058-4800-9256-1460c94e20dc","subtype":"Figure","type":"Plot"},{"id":"e458e5e5-d161-4b70-98a0-b3e7be423937","subtype":"Figure","type":"Plot"}]},"id":"1163e478-9c1d-48fe-b5fd-8789a6ad58d9","type":"Row"},{"attributes":{"data_source":{"id":"affebd9a-49de-4d25-8ab9-2a928ddf61c3","type":"ColumnDataSource"},"glyph":{"id":"adab7294-daa7-4b34-a655-d0fdb67cda12","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f5f1c719-92b3-4611-8bbf-5528831a9aef","type":"Triangle"},"selection_glyph":null,"view":{"id":"520af69c-b0f0-4102-a8b5-064dc4fdf4c5","type":"CDSView"}},"id":"af23dc5f-91f9-4759-a04f-fe60d12f41e4","type":"GlyphRenderer"},{"attributes":{},"id":"6a3918ec-2839-4ee9-b575-99ecf678c6a1","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"affebd9a-49de-4d25-8ab9-2a928ddf61c3","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c35cb3ae-3fe9-445b-ab4e-e3efcb6e744a","type":"Circle"},{"attributes":{"data_source":{"id":"b5ef2f1d-e006-467d-aa00-e4a845001052","type":"ColumnDataSource"},"glyph":{"id":"c35cb3ae-3fe9-445b-ab4e-e3efcb6e744a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6fc249c4-bd7c-458e-ac4a-b0540b53d67e","type":"Circle"},"selection_glyph":null,"view":{"id":"b3fe8ba5-b513-4276-8d57-842209b65639","type":"CDSView"}},"id":"3af99688-dbfa-4a92-9396-d62895a6a08c","type":"GlyphRenderer"},{"attributes":{},"id":"7fad7698-3a6b-45ce-9376-ad5651942087","type":"SaveTool"},{"attributes":{},"id":"366d1a5e-be42-4666-b150-e161e986ad0b","type":"BasicTicker"},{"attributes":{},"id":"ec374c3a-dd09-42e6-ba90-a390fe640745","type":"BasicTicker"},{"attributes":{},"id":"eab80379-756b-4649-b34b-86d71f17b9ba","type":"BasicTicker"},{"attributes":{"source":{"id":"affebd9a-49de-4d25-8ab9-2a928ddf61c3","type":"ColumnDataSource"}},"id":"520af69c-b0f0-4102-a8b5-064dc4fdf4c5","type":"CDSView"},{"attributes":{},"id":"f630a863-6118-4150-933d-88ef368585de","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"c26aea04-6d99-4c4f-8a42-c6a15b0f73cb","type":"DataRange1d"},{"attributes":{"source":{"id":"45ad23c2-c983-4eb2-b46a-9c220e23d8f8","type":"ColumnDataSource"}},"id":"4e0c77fb-79dd-4d1c-9fa6-3342117bc76e","type":"CDSView"},{"attributes":{},"id":"54cf744a-d26c-4df0-8446-4b00fa9066ea","type":"PanTool"},{"attributes":{"children":[{"id":"1163e478-9c1d-48fe-b5fd-8789a6ad58d9","type":"Row"},{"id":"7b5f5e45-6c58-4c47-9bb5-2b1ad97cef51","type":"Row"}]},"id":"3c4f14a6-a2e8-423c-a476-4e5c4bb953a2","type":"Column"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9f3f5ec5-4b86-419a-bf54-95a9d14bfa3c","type":"Square"},{"attributes":{},"id":"25372d45-8773-4135-8836-8b4e1eb67f4b","type":"LinearScale"},{"attributes":{},"id":"ab117076-6963-46f5-b4e9-888288852f34","type":"BasicTicker"},{"attributes":{},"id":"eb66335f-64b8-4294-a9c5-7d524e3e0b1e","type":"LinearScale"},{"attributes":{"callback":null},"id":"9e3a2d04-34d6-4dfe-a76c-fee7adb4813a","type":"DataRange1d"},{"attributes":{},"id":"e46b506e-0da7-4ce5-b1c0-ea053b96e5c1","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"b764424d-ce6a-4afa-b055-57bca3ae95de","type":"BoxAnnotation"}},"id":"e5e232c7-9034-4017-b15d-5a0a5ca2c176","type":"BoxZoomTool"},{"attributes":{},"id":"c7568627-9ab4-4eff-9778-368c94e05a10","type":"BasicTickFormatter"},{"attributes":{},"id":"ca7ebf28-2f42-44b8-906e-b9c886adeafb","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b764424d-ce6a-4afa-b055-57bca3ae95de","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"cb1c17a8-1d61-4a07-8a22-399b9ed8ccd2","type":"DataRange1d"},{"attributes":{},"id":"c96ea658-24f9-4c88-9807-afdf19662f76","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"b5ef2f1d-e006-467d-aa00-e4a845001052","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"0558a3e2-f32c-4180-9478-db93fdc7e61e","type":"BasicTickFormatter"},"plot":{"id":"e458e5e5-d161-4b70-98a0-b3e7be423937","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7d3f6f4-e336-4799-863d-d579a8d3961b","type":"BasicTicker"}},"id":"519ad0d3-197c-4a46-b759-e0e10797c4a8","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eb76464b-003c-444d-bab1-65dd95a5667e","type":"PanTool"},{"id":"f630a863-6118-4150-933d-88ef368585de","type":"WheelZoomTool"},{"id":"7c15d99d-9166-4d69-ba64-82eb026cc618","type":"BoxZoomTool"},{"id":"7392075f-f99a-4dfd-9a29-cca27374e11d","type":"SaveTool"},{"id":"c16dfdb7-5d20-47bd-8478-4fdd5a22ff98","type":"ResetTool"},{"id":"ba51c084-d66c-47bf-b878-54849b8b76fc","type":"HelpTool"}]},"id":"0cfbd6c8-7502-4fd4-8455-7c7a32672f7e","type":"Toolbar"},{"attributes":{"plot":{"id":"e458e5e5-d161-4b70-98a0-b3e7be423937","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7d3f6f4-e336-4799-863d-d579a8d3961b","type":"BasicTicker"}},"id":"c1828c99-840e-4217-93ef-d7ef078cbcf9","type":"Grid"},{"attributes":{},"id":"cb35688c-2110-4b7c-ac28-438ef217423d","type":"PanTool"},{"attributes":{},"id":"4f87731d-1364-4df6-ace0-e7af9aedf580","type":"HelpTool"},{"attributes":{},"id":"0f00114f-0c3e-4a47-9485-a13530628961","type":"BasicTickFormatter"},{"attributes":{},"id":"9fb9f555-8fa0-40e3-9193-fe3cbf2f1ec2","type":"BasicTicker"},{"attributes":{"data_source":{"id":"45ad23c2-c983-4eb2-b46a-9c220e23d8f8","type":"ColumnDataSource"},"glyph":{"id":"9f3f5ec5-4b86-419a-bf54-95a9d14bfa3c","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9800eef2-b760-4a43-b967-4bae7a85f8fb","type":"Square"},"selection_glyph":null,"view":{"id":"4e0c77fb-79dd-4d1c-9fa6-3342117bc76e","type":"CDSView"}},"id":"107033b6-6bc6-4f14-9337-7cf5e51a0170","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"f6df768f-9f3e-42d0-9348-9e4c512fe70f","type":"Title"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"adab7294-daa7-4b34-a655-d0fdb67cda12","type":"Triangle"},{"attributes":{"below":[{"id":"f65d0d99-f413-4874-8aec-34c89f9ec621","type":"LinearAxis"}],"left":[{"id":"68be86fa-fd15-48a0-82f4-342429145cc7","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"f65d0d99-f413-4874-8aec-34c89f9ec621","type":"LinearAxis"},{"id":"a706c1d8-6b4b-4f95-bbd5-82b816f2d1b2","type":"Grid"},{"id":"68be86fa-fd15-48a0-82f4-342429145cc7","type":"LinearAxis"},{"id":"569a1d76-6e3f-4687-b461-84cf57ae3143","type":"Grid"},{"id":"af1aaa63-371c-4739-8382-69055f3f6ac4","type":"BoxAnnotation"},{"id":"107033b6-6bc6-4f14-9337-7cf5e51a0170","type":"GlyphRenderer"}],"title":{"id":"f6df768f-9f3e-42d0-9348-9e4c512fe70f","type":"Title"},"toolbar":{"id":"9eda8826-9a2f-43a4-8f49-7e04f936ae73","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c26aea04-6d99-4c4f-8a42-c6a15b0f73cb","type":"DataRange1d"},"x_scale":{"id":"a6c66a94-b552-4218-ba09-098c7ec10325","type":"LinearScale"},"y_range":{"id":"8cb9874e-f771-4270-956e-a866e44296ac","type":"DataRange1d"},"y_scale":{"id":"25372d45-8773-4135-8836-8b4e1eb67f4b","type":"LinearScale"}},"id":"fe8ce65c-a26a-482c-9722-4023a275a02f","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"8cb9874e-f771-4270-956e-a866e44296ac","type":"DataRange1d"},{"attributes":{"overlay":{"id":"fdd5ab2c-e62f-4c40-b791-0a56f949d071","type":"BoxAnnotation"}},"id":"7c15d99d-9166-4d69-ba64-82eb026cc618","type":"BoxZoomTool"},{"attributes":{},"id":"3c53d65f-41b7-4590-8fd2-7d99547587ea","type":"HelpTool"},{"attributes":{"formatter":{"id":"c7568627-9ab4-4eff-9778-368c94e05a10","type":"BasicTickFormatter"},"plot":{"id":"e458e5e5-d161-4b70-98a0-b3e7be423937","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec374c3a-dd09-42e6-ba90-a390fe640745","type":"BasicTicker"}},"id":"ca59d75e-3992-467d-a099-1567de7d1c7e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"49cc2d17-b5dd-4758-9b80-4114d550b69b","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"fe8ce65c-a26a-482c-9722-4023a275a02f","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab117076-6963-46f5-b4e9-888288852f34","type":"BasicTicker"}},"id":"569a1d76-6e3f-4687-b461-84cf57ae3143","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fdd5ab2c-e62f-4c40-b791-0a56f949d071","type":"BoxAnnotation"},{"attributes":{},"id":"ba51c084-d66c-47bf-b878-54849b8b76fc","type":"HelpTool"},{"attributes":{},"id":"b1807a36-daaf-48bf-9a36-124c94b0bbcc","type":"ResetTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"eb76464b-003c-444d-bab1-65dd95a5667e","type":"PanTool"},{"id":"f630a863-6118-4150-933d-88ef368585de","type":"WheelZoomTool"},{"id":"7c15d99d-9166-4d69-ba64-82eb026cc618","type":"BoxZoomTool"},{"id":"7392075f-f99a-4dfd-9a29-cca27374e11d","type":"SaveTool"},{"id":"c16dfdb7-5d20-47bd-8478-4fdd5a22ff98","type":"ResetTool"},{"id":"ba51c084-d66c-47bf-b878-54849b8b76fc","type":"HelpTool"},{"id":"54cf744a-d26c-4df0-8446-4b00fa9066ea","type":"PanTool"},{"id":"c96ea658-24f9-4c88-9807-afdf19662f76","type":"WheelZoomTool"},{"id":"e5e232c7-9034-4017-b15d-5a0a5ca2c176","type":"BoxZoomTool"},{"id":"7fad7698-3a6b-45ce-9376-ad5651942087","type":"SaveTool"},{"id":"c78c943d-a967-4343-9aa0-04c54b8e7e0b","type":"ResetTool"},{"id":"4f87731d-1364-4df6-ace0-e7af9aedf580","type":"HelpTool"},{"id":"cb35688c-2110-4b7c-ac28-438ef217423d","type":"PanTool"},{"id":"5c9f1fba-a43d-4568-9888-b0cf0acca861","type":"WheelZoomTool"},{"id":"35311780-3e2c-433c-aca4-b749c775583e","type":"BoxZoomTool"},{"id":"7136adfc-65b3-4968-8d87-8349a69e86c3","type":"SaveTool"},{"id":"b1807a36-daaf-48bf-9a36-124c94b0bbcc","type":"ResetTool"},{"id":"3c53d65f-41b7-4590-8fd2-7d99547587ea","type":"HelpTool"}]},"id":"349e7c8a-f067-4063-ba60-cb2b8ec24823","type":"ToolbarBox"},{"attributes":{"plot":null,"text":""},"id":"5d1f370f-06fc-4a99-85b8-7428e646ea0e","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"af1aaa63-371c-4739-8382-69055f3f6ac4","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"45ad23c2-c983-4eb2-b46a-9c220e23d8f8","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"4d98d350-f2cf-4c95-b42d-f15ba748b3da","type":"LinearAxis"}],"left":[{"id":"f1110347-94aa-4c50-9c21-9773ec9b45fa","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"4d98d350-f2cf-4c95-b42d-f15ba748b3da","type":"LinearAxis"},{"id":"3d6b5e03-4eaf-4450-9b4d-8e05d77d71ac","type":"Grid"},{"id":"f1110347-94aa-4c50-9c21-9773ec9b45fa","type":"LinearAxis"},{"id":"492f5c80-4c02-40af-97ff-521e60be7860","type":"Grid"},{"id":"fdd5ab2c-e62f-4c40-b791-0a56f949d071","type":"BoxAnnotation"},{"id":"3af99688-dbfa-4a92-9396-d62895a6a08c","type":"GlyphRenderer"}],"title":{"id":"5d1f370f-06fc-4a99-85b8-7428e646ea0e","type":"Title"},"toolbar":{"id":"0cfbd6c8-7502-4fd4-8455-7c7a32672f7e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"adbf1faa-f77c-4f7d-a363-e285ce3f2670","type":"DataRange1d"},"x_scale":{"id":"eb66335f-64b8-4294-a9c5-7d524e3e0b1e","type":"LinearScale"},"y_range":{"id":"cb1c17a8-1d61-4a07-8a22-399b9ed8ccd2","type":"DataRange1d"},"y_scale":{"id":"0d08bfa6-cafa-4904-b60f-1e5567c12f1d","type":"LinearScale"}},"id":"b40c803d-8058-4800-9256-1460c94e20dc","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"ca7ebf28-2f42-44b8-906e-b9c886adeafb","type":"BasicTickFormatter"},"plot":{"id":"fe8ce65c-a26a-482c-9722-4023a275a02f","subtype":"Figure","type":"Plot"},"ticker":{"id":"366d1a5e-be42-4666-b150-e161e986ad0b","type":"BasicTicker"}},"id":"f65d0d99-f413-4874-8aec-34c89f9ec621","type":"LinearAxis"},{"attributes":{"plot":{"id":"fe8ce65c-a26a-482c-9722-4023a275a02f","subtype":"Figure","type":"Plot"},"ticker":{"id":"366d1a5e-be42-4666-b150-e161e986ad0b","type":"BasicTicker"}},"id":"a706c1d8-6b4b-4f95-bbd5-82b816f2d1b2","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6fc249c4-bd7c-458e-ac4a-b0540b53d67e","type":"Circle"},{"attributes":{"overlay":{"id":"af1aaa63-371c-4739-8382-69055f3f6ac4","type":"BoxAnnotation"}},"id":"35311780-3e2c-433c-aca4-b749c775583e","type":"BoxZoomTool"},{"attributes":{"children":[{"id":"fe8ce65c-a26a-482c-9722-4023a275a02f","subtype":"Figure","type":"Plot"}]},"id":"7b5f5e45-6c58-4c47-9bb5-2b1ad97cef51","type":"Row"},{"attributes":{},"id":"f7870508-a6f4-4c29-92ab-119187b1bc54","type":"LinearScale"},{"attributes":{"callback":null},"id":"adbf1faa-f77c-4f7d-a363-e285ce3f2670","type":"DataRange1d"}],"root_ids":["7640a318-f0b2-4f6f-8ada-1bd88f56ffc3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8ca648a0-a8e4-4811-b1a9-4bef1b7659cc","elementid":"6a180024-a1ef-41c7-ba35-8536e080be23","modelid":"7640a318-f0b2-4f6f-8ada-1bd88f56ffc3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
