(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0a70bd53-83ba-47ff-9da2-a1825aa2538d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0a70bd53-83ba-47ff-9da2-a1825aa2538d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"23e1ce82-626e-4fa2-862b-108e2a75806e":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"be987363-2432-44cc-9a52-13cc6b80a80f","type":"PanTool"},{"id":"f0848806-e101-4a81-8d6b-6ba967845b06","type":"WheelZoomTool"},{"id":"f34cf0ab-0120-44a2-af88-d3574511556f","type":"BoxZoomTool"},{"id":"3850ed7d-d70f-40ce-bf6c-38785006dcda","type":"SaveTool"},{"id":"23f16bfe-29b0-43c2-8f9b-cf9eee2ebe09","type":"ResetTool"},{"id":"ee83e661-3697-43f9-9335-06f6962cc55d","type":"HelpTool"}]},"id":"4c7a8ffa-f1d1-49b6-a838-41f4567058cc","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"093c3e22-2a58-4bba-914f-ec34d8dd1ebc","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e687d79-3143-4736-aa9f-fd34b14625bb","type":"BasicTicker"}},"id":"b1b4e8bb-9835-44c9-b489-0164f2c64ebc","type":"Grid"},{"attributes":{},"id":"23f16bfe-29b0-43c2-8f9b-cf9eee2ebe09","type":"ResetTool"},{"attributes":{},"id":"61f0aa2b-d049-4b1f-82db-4b6e56c90e57","type":"BasicTicker"},{"attributes":{"below":[{"id":"3be77577-5c82-4509-b315-fd013bc24e74","type":"LinearAxis"}],"left":[{"id":"d0277d3d-745f-412d-8c94-6d405a81f416","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3be77577-5c82-4509-b315-fd013bc24e74","type":"LinearAxis"},{"id":"008c8d1a-66a6-4dff-a6e9-33375772d69a","type":"Grid"},{"id":"d0277d3d-745f-412d-8c94-6d405a81f416","type":"LinearAxis"},{"id":"b1b4e8bb-9835-44c9-b489-0164f2c64ebc","type":"Grid"},{"id":"92696397-7b76-4356-ac7c-81028b58e570","type":"BoxAnnotation"},{"id":"60186c50-7ef6-41c3-90d9-543946fe1513","type":"GlyphRenderer"}],"title":{"id":"f89ec413-95b2-4a14-a572-56f4e15a044b","type":"Title"},"toolbar":{"id":"4c7a8ffa-f1d1-49b6-a838-41f4567058cc","type":"Toolbar"},"x_range":{"id":"ebb43513-fa1e-45a8-af9a-37fff683f2db","type":"DataRange1d"},"x_scale":{"id":"8199eb52-3d46-46be-907f-b2ae07bf403d","type":"LinearScale"},"y_range":{"id":"ef225cde-724b-44e5-8181-368c0a67cdc3","type":"DataRange1d"},"y_scale":{"id":"857d3a3b-75d9-408b-9edd-4b89b82af15b","type":"LinearScale"}},"id":"093c3e22-2a58-4bba-914f-ec34d8dd1ebc","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"eba5ec74-e26b-477a-9d90-09702e71b806","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"ef225cde-724b-44e5-8181-368c0a67cdc3","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"f89ec413-95b2-4a14-a572-56f4e15a044b","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0ba5ab96-351a-49b4-b6bb-ed095a688ac9","type":"Circle"},{"attributes":{"plot":{"id":"093c3e22-2a58-4bba-914f-ec34d8dd1ebc","subtype":"Figure","type":"Plot"},"ticker":{"id":"61f0aa2b-d049-4b1f-82db-4b6e56c90e57","type":"BasicTicker"}},"id":"008c8d1a-66a6-4dff-a6e9-33375772d69a","type":"Grid"},{"attributes":{},"id":"ee83e661-3697-43f9-9335-06f6962cc55d","type":"HelpTool"},{"attributes":{},"id":"857d3a3b-75d9-408b-9edd-4b89b82af15b","type":"LinearScale"},{"attributes":{"formatter":{"id":"eba5ec74-e26b-477a-9d90-09702e71b806","type":"BasicTickFormatter"},"plot":{"id":"093c3e22-2a58-4bba-914f-ec34d8dd1ebc","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e687d79-3143-4736-aa9f-fd34b14625bb","type":"BasicTicker"}},"id":"d0277d3d-745f-412d-8c94-6d405a81f416","type":"LinearAxis"},{"attributes":{"data_source":{"id":"de21f5a9-b3bf-4bf8-97a4-b75ff6dac58e","type":"ColumnDataSource"},"glyph":{"id":"d9cc7bc0-8eec-4348-b81c-416590af5931","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0ba5ab96-351a-49b4-b6bb-ed095a688ac9","type":"Circle"},"selection_glyph":null,"view":{"id":"1b3e29fd-9b61-49b4-a4fd-7218071e3fb6","type":"CDSView"}},"id":"60186c50-7ef6-41c3-90d9-543946fe1513","type":"GlyphRenderer"},{"attributes":{},"id":"f0848806-e101-4a81-8d6b-6ba967845b06","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"de21f5a9-b3bf-4bf8-97a4-b75ff6dac58e","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"92696397-7b76-4356-ac7c-81028b58e570","type":"BoxAnnotation"},{"attributes":{},"id":"180ef7cf-7b4d-42bb-af0c-7bbc46507de6","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"ebb43513-fa1e-45a8-af9a-37fff683f2db","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"d9cc7bc0-8eec-4348-b81c-416590af5931","type":"Circle"},{"attributes":{"source":{"id":"de21f5a9-b3bf-4bf8-97a4-b75ff6dac58e","type":"ColumnDataSource"}},"id":"1b3e29fd-9b61-49b4-a4fd-7218071e3fb6","type":"CDSView"},{"attributes":{"formatter":{"id":"180ef7cf-7b4d-42bb-af0c-7bbc46507de6","type":"BasicTickFormatter"},"plot":{"id":"093c3e22-2a58-4bba-914f-ec34d8dd1ebc","subtype":"Figure","type":"Plot"},"ticker":{"id":"61f0aa2b-d049-4b1f-82db-4b6e56c90e57","type":"BasicTicker"}},"id":"3be77577-5c82-4509-b315-fd013bc24e74","type":"LinearAxis"},{"attributes":{},"id":"8199eb52-3d46-46be-907f-b2ae07bf403d","type":"LinearScale"},{"attributes":{"overlay":{"id":"92696397-7b76-4356-ac7c-81028b58e570","type":"BoxAnnotation"}},"id":"f34cf0ab-0120-44a2-af88-d3574511556f","type":"BoxZoomTool"},{"attributes":{},"id":"3850ed7d-d70f-40ce-bf6c-38785006dcda","type":"SaveTool"},{"attributes":{},"id":"be987363-2432-44cc-9a52-13cc6b80a80f","type":"PanTool"},{"attributes":{},"id":"2e687d79-3143-4736-aa9f-fd34b14625bb","type":"BasicTicker"}],"root_ids":["093c3e22-2a58-4bba-914f-ec34d8dd1ebc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"23e1ce82-626e-4fa2-862b-108e2a75806e","elementid":"0a70bd53-83ba-47ff-9da2-a1825aa2538d","modelid":"093c3e22-2a58-4bba-914f-ec34d8dd1ebc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
