(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("78eccceb-e977-4052-a4ae-d12547c1807b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '78eccceb-e977-4052-a4ae-d12547c1807b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7190b004-75a8-4c44-af17-a9b6f88d5b3f":{"roots":{"references":[{"attributes":{"data_source":{"id":"cc3d284b-40f9-45fc-b1f4-3d751d34a829","type":"ColumnDataSource"},"glyph":{"id":"433d936b-af63-49e7-b478-6144d7fef81b","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2ec19cea-7056-4699-8423-4a2494cc9c31","type":"Square"},"selection_glyph":null,"view":{"id":"5ca5a6e5-7695-4a11-b40a-b0e2ac517c4c","type":"CDSView"}},"id":"21075963-6d04-4c9d-8e02-1d91c9ab0ef8","type":"GlyphRenderer"},{"attributes":{},"id":"a5ad312c-8eb2-42b5-a40e-7a3a88da8928","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"f9431518-51bd-40e2-aa1f-fcb90ad26a7a","type":"LinearAxis"}],"left":[{"id":"fd54c5ac-195b-483d-8129-f033c294c719","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"f9431518-51bd-40e2-aa1f-fcb90ad26a7a","type":"LinearAxis"},{"id":"e803ea04-4c13-4a09-865d-d79762524aa1","type":"Grid"},{"id":"fd54c5ac-195b-483d-8129-f033c294c719","type":"LinearAxis"},{"id":"ae819c02-f026-4ee3-8b09-d67c41a9e070","type":"Grid"},{"id":"c1bb3f49-9c03-4d7a-abc5-ffb448afc328","type":"BoxAnnotation"},{"id":"21075963-6d04-4c9d-8e02-1d91c9ab0ef8","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"be632885-d5ff-417c-8fe7-ab0865a4db95","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7503ae53-1420-476d-be49-2f51b870fa8d","type":"DataRange1d"},"x_scale":{"id":"2dd62a6e-4d53-4a5c-978d-5071fe280baf","type":"LinearScale"},"y_range":{"id":"a21fea5c-822d-4b13-b58f-fb5d9e88e9cd","type":"DataRange1d"},"y_scale":{"id":"38e72043-e299-4e41-8efd-e2e0f1a9d10a","type":"LinearScale"}},"id":"00552cfa-9ce8-4ca3-95ad-ba68502a0d1c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"81966294-9e75-4fa8-8ba6-eb39ea36c708","type":"HelpTool"},{"attributes":{},"id":"d6eb64e6-2467-451b-96f1-a601f050c98a","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dc686357-acdd-409b-8ce0-ef3e948d549c","type":"Circle"},{"attributes":{},"id":"45561e24-7470-49df-9dc5-4934505b2c3b","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c1bb3f49-9c03-4d7a-abc5-ffb448afc328","type":"BoxAnnotation"},{"attributes":{},"id":"178a4f85-0c8b-433d-93b9-95b449b2d6b6","type":"BasicTicker"},{"attributes":{},"id":"20e5cab1-a592-4019-8e7a-68e522dd1cae","type":"BasicTicker"},{"attributes":{},"id":"c84351a2-5b5c-4c92-ad18-db32c89a94b3","type":"WheelZoomTool"},{"attributes":{},"id":"a8151df1-a536-49d4-b53b-54b8ba761c7a","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"00552cfa-9ce8-4ca3-95ad-ba68502a0d1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"3278265d-e1e8-4b12-a53e-d39f40a5c80f","type":"BasicTicker"}},"id":"ae819c02-f026-4ee3-8b09-d67c41a9e070","type":"Grid"},{"attributes":{"formatter":{"id":"a8151df1-a536-49d4-b53b-54b8ba761c7a","type":"BasicTickFormatter"},"plot":{"id":"ead55b96-3471-488b-95e6-0453ed993ee2","subtype":"Figure","type":"Plot"},"ticker":{"id":"178a4f85-0c8b-433d-93b9-95b449b2d6b6","type":"BasicTicker"}},"id":"47e9951f-50d3-45a5-9042-c0d24f09dabc","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"ead55b96-3471-488b-95e6-0453ed993ee2","subtype":"Figure","type":"Plot"},"ticker":{"id":"20e5cab1-a592-4019-8e7a-68e522dd1cae","type":"BasicTicker"}},"id":"c6dcd2e8-adbd-422c-984a-49ecb428e525","type":"Grid"},{"attributes":{},"id":"924f0916-a6b8-46f3-aedb-b69cdb1953a3","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0ae22cde-d0d3-4fea-aba7-b1f698094331","type":"PanTool"},{"id":"924f0916-a6b8-46f3-aedb-b69cdb1953a3","type":"WheelZoomTool"},{"id":"7e73a874-d8a4-4b97-bdeb-34375810aa63","type":"BoxZoomTool"},{"id":"b3c3958c-224e-4764-9647-10e9823b117d","type":"SaveTool"},{"id":"4f28ac47-597e-402f-a2d3-c57dd4d8df66","type":"ResetTool"},{"id":"474c2fd6-a5c0-4e1b-ab6d-c7a025614810","type":"HelpTool"}]},"id":"be632885-d5ff-417c-8fe7-ab0865a4db95","type":"Toolbar"},{"attributes":{},"id":"1f4e326f-6a1e-4cc5-b34f-dff41a3567f4","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"86480a6a-7aac-4e23-beda-4f1f48c54928","type":"Triangle"},{"attributes":{"plot":{"id":"3b88b78e-509b-4bd0-a9f2-f68150ab9eef","subtype":"Figure","type":"Plot"},"ticker":{"id":"257064fb-9027-4140-be84-653845172e2f","type":"BasicTicker"}},"id":"34639b63-78cc-40a2-8af9-8dba316b5673","type":"Grid"},{"attributes":{},"id":"38e72043-e299-4e41-8efd-e2e0f1a9d10a","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"433d936b-af63-49e7-b478-6144d7fef81b","type":"Square"},{"attributes":{"data_source":{"id":"fcd443ea-a223-46b0-b399-776547934420","type":"ColumnDataSource"},"glyph":{"id":"86480a6a-7aac-4e23-beda-4f1f48c54928","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b6efa388-c979-45ce-801f-2a24f9b02d2a","type":"Triangle"},"selection_glyph":null,"view":{"id":"057d55fc-0da8-4dba-b8e6-1a0c498a7971","type":"CDSView"}},"id":"0d621b42-88f2-4a89-8e3c-498b25298576","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"3bf71a58-b900-49f3-9b87-87936f26f8ee","type":"BasicTickFormatter"},"plot":{"id":"00552cfa-9ce8-4ca3-95ad-ba68502a0d1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"3278265d-e1e8-4b12-a53e-d39f40a5c80f","type":"BasicTicker"}},"id":"fd54c5ac-195b-483d-8129-f033c294c719","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"45561e24-7470-49df-9dc5-4934505b2c3b","type":"PanTool"},{"id":"b94b05c5-256a-47d0-9d6f-bd4e65d2212b","type":"WheelZoomTool"},{"id":"526bf352-dd6c-426d-95fa-94c13464b691","type":"BoxZoomTool"},{"id":"4c951a70-e3f6-4988-9a82-8d4951b54ff4","type":"SaveTool"},{"id":"63ebf9f9-1a90-49b2-9609-3b0ca129b065","type":"ResetTool"},{"id":"e392158d-8802-4502-b353-9ba9c7414cd1","type":"HelpTool"}]},"id":"28e0211e-502f-4538-8ee5-521a23cd4a91","type":"Toolbar"},{"attributes":{"plot":{"id":"00552cfa-9ce8-4ca3-95ad-ba68502a0d1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"898888fd-b5db-44d6-a726-ba8febaa9ff3","type":"BasicTicker"}},"id":"e803ea04-4c13-4a09-865d-d79762524aa1","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b6efa388-c979-45ce-801f-2a24f9b02d2a","type":"Triangle"},{"attributes":{},"id":"e81f0303-fe38-4ffb-81ea-6ba715cd3933","type":"BasicTickFormatter"},{"attributes":{},"id":"b94b05c5-256a-47d0-9d6f-bd4e65d2212b","type":"WheelZoomTool"},{"attributes":{"source":{"id":"cc3d284b-40f9-45fc-b1f4-3d751d34a829","type":"ColumnDataSource"}},"id":"5ca5a6e5-7695-4a11-b40a-b0e2ac517c4c","type":"CDSView"},{"attributes":{},"id":"4f28ac47-597e-402f-a2d3-c57dd4d8df66","type":"ResetTool"},{"attributes":{},"id":"257064fb-9027-4140-be84-653845172e2f","type":"BasicTicker"},{"attributes":{},"id":"6165e085-995a-47fc-b7fa-5e3b2465e0ee","type":"LinearScale"},{"attributes":{},"id":"3a1acf91-934c-4c59-bddd-6fe6e103a451","type":"PanTool"},{"attributes":{"source":{"id":"f5aa30f1-c281-4435-bfd0-99333053735d","type":"ColumnDataSource"}},"id":"b63d10fe-8333-4edc-82d3-0f3e0e5c8ec1","type":"CDSView"},{"attributes":{"overlay":{"id":"8b8c67be-7bb1-4817-a026-369b54053add","type":"BoxAnnotation"}},"id":"526bf352-dd6c-426d-95fa-94c13464b691","type":"BoxZoomTool"},{"attributes":{"overlay":{"id":"c1bb3f49-9c03-4d7a-abc5-ffb448afc328","type":"BoxAnnotation"}},"id":"7e73a874-d8a4-4b97-bdeb-34375810aa63","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"a3a163f8-7631-4288-8bbb-92ebffdb5134","type":"BasicTickFormatter"},"plot":{"id":"00552cfa-9ce8-4ca3-95ad-ba68502a0d1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"898888fd-b5db-44d6-a726-ba8febaa9ff3","type":"BasicTicker"}},"id":"f9431518-51bd-40e2-aa1f-fcb90ad26a7a","type":"LinearAxis"},{"attributes":{},"id":"2dd62a6e-4d53-4a5c-978d-5071fe280baf","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"fcd443ea-a223-46b0-b399-776547934420","type":"ColumnDataSource"},{"attributes":{},"id":"9250a94e-7256-478d-9eca-72e92441765d","type":"LinearScale"},{"attributes":{"callback":null},"id":"a21fea5c-822d-4b13-b58f-fb5d9e88e9cd","type":"DataRange1d"},{"attributes":{},"id":"63ebf9f9-1a90-49b2-9609-3b0ca129b065","type":"ResetTool"},{"attributes":{"formatter":{"id":"a5ad312c-8eb2-42b5-a40e-7a3a88da8928","type":"BasicTickFormatter"},"plot":{"id":"3b88b78e-509b-4bd0-a9f2-f68150ab9eef","subtype":"Figure","type":"Plot"},"ticker":{"id":"257064fb-9027-4140-be84-653845172e2f","type":"BasicTicker"}},"id":"b3bc96d3-fcc5-4b1b-b609-51e995dc5c1d","type":"LinearAxis"},{"attributes":{"callback":null},"id":"8e62608e-2677-4dea-bb6c-c6daf8e4f71d","type":"DataRange1d"},{"attributes":{},"id":"4c951a70-e3f6-4988-9a82-8d4951b54ff4","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"375eed21-bb04-47a1-944f-700e388d1748","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"375eed21-bb04-47a1-944f-700e388d1748","type":"BoxAnnotation"}},"id":"435ebf06-d8d5-41b2-a840-03e33888e6d0","type":"BoxZoomTool"},{"attributes":{},"id":"faa5bfdc-ddff-4cc9-bd63-cc999820bcc1","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3a1acf91-934c-4c59-bddd-6fe6e103a451","type":"PanTool"},{"id":"c84351a2-5b5c-4c92-ad18-db32c89a94b3","type":"WheelZoomTool"},{"id":"435ebf06-d8d5-41b2-a840-03e33888e6d0","type":"BoxZoomTool"},{"id":"d6eb64e6-2467-451b-96f1-a601f050c98a","type":"SaveTool"},{"id":"209612c4-5d07-44d9-bcfa-f296459b8195","type":"ResetTool"},{"id":"81966294-9e75-4fa8-8ba6-eb39ea36c708","type":"HelpTool"}]},"id":"203acdf0-7be5-4218-9856-6954504cc5a0","type":"Toolbar"},{"attributes":{"children":[{"id":"3b88b78e-509b-4bd0-a9f2-f68150ab9eef","subtype":"Figure","type":"Plot"},{"id":"ead55b96-3471-488b-95e6-0453ed993ee2","subtype":"Figure","type":"Plot"},{"id":"00552cfa-9ce8-4ca3-95ad-ba68502a0d1c","subtype":"Figure","type":"Plot"}]},"id":"a46d9d66-9ac6-469f-90a0-3ccbe5037ab8","type":"Row"},{"attributes":{},"id":"e392158d-8802-4502-b353-9ba9c7414cd1","type":"HelpTool"},{"attributes":{},"id":"0ae22cde-d0d3-4fea-aba7-b1f698094331","type":"PanTool"},{"attributes":{},"id":"a3a163f8-7631-4288-8bbb-92ebffdb5134","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"cc3d284b-40f9-45fc-b1f4-3d751d34a829","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"f5aa30f1-c281-4435-bfd0-99333053735d","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"1f4e326f-6a1e-4cc5-b34f-dff41a3567f4","type":"BasicTickFormatter"},"plot":{"id":"3b88b78e-509b-4bd0-a9f2-f68150ab9eef","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c30abcf-ed13-4b7c-8f7f-a525b1083d61","type":"BasicTicker"}},"id":"2a0ef309-8b44-4819-b56d-bf5257a27f3f","type":"LinearAxis"},{"attributes":{},"id":"3278265d-e1e8-4b12-a53e-d39f40a5c80f","type":"BasicTicker"},{"attributes":{},"id":"3bf71a58-b900-49f3-9b87-87936f26f8ee","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"a46d9d66-9ac6-469f-90a0-3ccbe5037ab8","type":"Row"}]},"id":"dca25e7a-3b5f-4e28-a029-3d964f90e595","type":"Column"},{"attributes":{"source":{"id":"fcd443ea-a223-46b0-b399-776547934420","type":"ColumnDataSource"}},"id":"057d55fc-0da8-4dba-b8e6-1a0c498a7971","type":"CDSView"},{"attributes":{},"id":"dc0592d4-cb4a-4e26-97bd-890f15cf4359","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"3b88b78e-509b-4bd0-a9f2-f68150ab9eef","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c30abcf-ed13-4b7c-8f7f-a525b1083d61","type":"BasicTicker"}},"id":"de67a476-522e-46eb-b44d-d9f7625963db","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7d022749-6afd-412c-9c7b-cd6e1cd57baa","type":"Circle"},{"attributes":{},"id":"474c2fd6-a5c0-4e1b-ab6d-c7a025614810","type":"HelpTool"},{"attributes":{"plot":{"id":"ead55b96-3471-488b-95e6-0453ed993ee2","subtype":"Figure","type":"Plot"},"ticker":{"id":"178a4f85-0c8b-433d-93b9-95b449b2d6b6","type":"BasicTicker"}},"id":"2d79516d-38c6-468a-a81c-e22a6ce7eb73","type":"Grid"},{"attributes":{"formatter":{"id":"e81f0303-fe38-4ffb-81ea-6ba715cd3933","type":"BasicTickFormatter"},"plot":{"id":"ead55b96-3471-488b-95e6-0453ed993ee2","subtype":"Figure","type":"Plot"},"ticker":{"id":"20e5cab1-a592-4019-8e7a-68e522dd1cae","type":"BasicTicker"}},"id":"094b2d5e-0cef-4a64-beaf-113376645079","type":"LinearAxis"},{"attributes":{"below":[{"id":"47e9951f-50d3-45a5-9042-c0d24f09dabc","type":"LinearAxis"}],"left":[{"id":"094b2d5e-0cef-4a64-beaf-113376645079","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"47e9951f-50d3-45a5-9042-c0d24f09dabc","type":"LinearAxis"},{"id":"2d79516d-38c6-468a-a81c-e22a6ce7eb73","type":"Grid"},{"id":"094b2d5e-0cef-4a64-beaf-113376645079","type":"LinearAxis"},{"id":"c6dcd2e8-adbd-422c-984a-49ecb428e525","type":"Grid"},{"id":"375eed21-bb04-47a1-944f-700e388d1748","type":"BoxAnnotation"},{"id":"0d621b42-88f2-4a89-8e3c-498b25298576","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"203acdf0-7be5-4218-9856-6954504cc5a0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7503ae53-1420-476d-be49-2f51b870fa8d","type":"DataRange1d"},"x_scale":{"id":"faa5bfdc-ddff-4cc9-bd63-cc999820bcc1","type":"LinearScale"},"y_range":{"id":"8e62608e-2677-4dea-bb6c-c6daf8e4f71d","type":"DataRange1d"},"y_scale":{"id":"9250a94e-7256-478d-9eca-72e92441765d","type":"LinearScale"}},"id":"ead55b96-3471-488b-95e6-0453ed993ee2","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2ec19cea-7056-4699-8423-4a2494cc9c31","type":"Square"},{"attributes":{},"id":"b3c3958c-224e-4764-9647-10e9823b117d","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8b8c67be-7bb1-4817-a026-369b54053add","type":"BoxAnnotation"},{"attributes":{},"id":"7c30abcf-ed13-4b7c-8f7f-a525b1083d61","type":"BasicTicker"},{"attributes":{"below":[{"id":"b3bc96d3-fcc5-4b1b-b609-51e995dc5c1d","type":"LinearAxis"}],"left":[{"id":"2a0ef309-8b44-4819-b56d-bf5257a27f3f","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b3bc96d3-fcc5-4b1b-b609-51e995dc5c1d","type":"LinearAxis"},{"id":"34639b63-78cc-40a2-8af9-8dba316b5673","type":"Grid"},{"id":"2a0ef309-8b44-4819-b56d-bf5257a27f3f","type":"LinearAxis"},{"id":"de67a476-522e-46eb-b44d-d9f7625963db","type":"Grid"},{"id":"8b8c67be-7bb1-4817-a026-369b54053add","type":"BoxAnnotation"},{"id":"0459a035-936f-4717-83a7-1f6e9d913224","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"28e0211e-502f-4538-8ee5-521a23cd4a91","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7503ae53-1420-476d-be49-2f51b870fa8d","type":"DataRange1d"},"x_scale":{"id":"6165e085-995a-47fc-b7fa-5e3b2465e0ee","type":"LinearScale"},"y_range":{"id":"8e62608e-2677-4dea-bb6c-c6daf8e4f71d","type":"DataRange1d"},"y_scale":{"id":"dc0592d4-cb4a-4e26-97bd-890f15cf4359","type":"LinearScale"}},"id":"3b88b78e-509b-4bd0-a9f2-f68150ab9eef","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"f5aa30f1-c281-4435-bfd0-99333053735d","type":"ColumnDataSource"},"glyph":{"id":"7d022749-6afd-412c-9c7b-cd6e1cd57baa","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dc686357-acdd-409b-8ce0-ef3e948d549c","type":"Circle"},"selection_glyph":null,"view":{"id":"b63d10fe-8333-4edc-82d3-0f3e0e5c8ec1","type":"CDSView"}},"id":"0459a035-936f-4717-83a7-1f6e9d913224","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"7503ae53-1420-476d-be49-2f51b870fa8d","type":"DataRange1d"},{"attributes":{},"id":"898888fd-b5db-44d6-a726-ba8febaa9ff3","type":"BasicTicker"},{"attributes":{},"id":"209612c4-5d07-44d9-bcfa-f296459b8195","type":"ResetTool"}],"root_ids":["dca25e7a-3b5f-4e28-a029-3d964f90e595"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7190b004-75a8-4c44-af17-a9b6f88d5b3f","elementid":"78eccceb-e977-4052-a4ae-d12547c1807b","modelid":"dca25e7a-3b5f-4e28-a029-3d964f90e595"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
