(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1ed33e71-15c2-42ea-ad6e-e13921dbb46b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1ed33e71-15c2-42ea-ad6e-e13921dbb46b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"016c9e87-8cb0-48d8-8baf-a70c80b78379":{"roots":{"references":[{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"a66a1058-6de9-4952-95f3-077aa8ce73ec","type":"GlyphRenderer"}]},"id":"9d2085c0-eabd-4397-bcd6-62973398dc16","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"},{"attributes":{"fields":["2015","2016","2017"]},"id":"c25363c1-c231-4f28-a4d5-0307b6e9c484","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"44f0239f-256e-4f80-b508-6cc027d5de5d","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"44f0239f-256e-4f80-b508-6cc027d5de5d","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"3530fe8a-c6a0-4e84-afe7-6540e8681879","type":"Stack"}},"y":{"field":"fruits"}},"id":"1064484c-b241-45ff-9150-50aaf3547319","type":"HBar"},{"attributes":{"data_source":{"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"},"glyph":{"id":"8494cfaa-3d37-46f0-9eb1-aebb93bdfc70","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7d8be460-1ce0-425c-8e30-41bc9f2463de","type":"HBar"},"selection_glyph":null,"view":{"id":"00fd33fb-4f79-4840-aa5d-e94e188ce903","type":"CDSView"}},"id":"68f166f9-4bfb-4586-84a2-5761c0e32b7b","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"8be02d30-a0cd-4a75-bf86-b8094f359fc1","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"392a4c68-156c-4091-a1c2-c42a263ccb16","type":"Stack"}},"y":{"field":"fruits"}},"id":"4f91a0d6-934b-4f6c-8adc-1acbfdb14add","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"e1e946a9-8a68-4380-9fea-7708ad789a92","type":"Stack"},{"attributes":{},"id":"a5471aa7-6099-4243-b52e-a4cb736a33a7","type":"ResetTool"},{"attributes":{"fields":["2015"]},"id":"1df2e694-d9d9-49fb-baa8-edc79a6fa65a","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"a2b867c5-d707-45da-bb32-8fb1fb3d3f8b","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"2870bf9b-fe23-4a85-bb7c-9b2f3d334fd9","type":"Stack"}},"y":{"field":"fruits"}},"id":"fd95c110-5f82-40c1-be73-8fccea459e13","type":"HBar"},{"attributes":{"source":{"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"}},"id":"5a08c8c4-e596-4df3-a7bf-b29a37623232","type":"CDSView"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"15b303fa-93f3-4878-8512-864acd933a79","type":"GlyphRenderer"}]},"id":"6711ef6a-738b-408f-b4a0-6c971d038dd7","type":"LegendItem"},{"attributes":{"data_source":{"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"},"glyph":{"id":"306c692a-0aa3-41f3-bdda-4c4155924b9a","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e3e094fe-76fa-4a55-bb96-9591174cf600","type":"HBar"},"selection_glyph":null,"view":{"id":"5a08c8c4-e596-4df3-a7bf-b29a37623232","type":"CDSView"}},"id":"2bef45bf-e209-48db-ad82-e62a8d7e2635","type":"GlyphRenderer"},{"attributes":{"source":{"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"}},"id":"9421e48d-2143-4557-b9fc-8557155ef696","type":"CDSView"},{"attributes":{"source":{"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"}},"id":"a39f57cf-0900-4c6a-aafe-673cd633e6fa","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"593b0f6e-5111-42da-a5b4-b58c8dc3f0cb","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"c6af8761-d286-47a2-9ba4-c988b70e5c7f","type":"Stack"}},"y":{"field":"fruits"}},"id":"e3e094fe-76fa-4a55-bb96-9591174cf600","type":"HBar"},{"attributes":{"formatter":{"id":"12e985f9-0ecf-4f3a-a602-1e6a5f187246","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"aa0ee274-76c0-4e22-91e8-27d13f0805b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"3be0cc4b-cb06-4bcd-aaf3-bb13d164809b","type":"BasicTicker"}},"id":"c6f2607f-694d-46c2-8133-621425e742fc","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"},"glyph":{"id":"be1b3e5d-4abb-4a26-8286-35be2432d526","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1064484c-b241-45ff-9150-50aaf3547319","type":"HBar"},"selection_glyph":null,"view":{"id":"a39f57cf-0900-4c6a-aafe-673cd633e6fa","type":"CDSView"}},"id":"dc10fd19-05aa-41a8-aca5-254ae84c9652","type":"GlyphRenderer"},{"attributes":{},"id":"36f4c59e-0068-4e25-84b7-e5451ec8460d","type":"LinearScale"},{"attributes":{"data_source":{"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"},"glyph":{"id":"9453c2bf-6786-4284-a1a1-908d5e6d4d2e","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fd95c110-5f82-40c1-be73-8fccea459e13","type":"HBar"},"selection_glyph":null,"view":{"id":"9421e48d-2143-4557-b9fc-8557155ef696","type":"CDSView"}},"id":"a66a1058-6de9-4952-95f3-077aa8ce73ec","type":"GlyphRenderer"},{"attributes":{"items":[{"id":"6711ef6a-738b-408f-b4a0-6c971d038dd7","type":"LegendItem"},{"id":"03ef936c-dcfe-49ba-b920-bacaf08abad4","type":"LegendItem"},{"id":"07ed8d32-316f-423b-b4ab-ab3cfab34b05","type":"LegendItem"},{"id":"42425299-d69a-4e04-926a-39df34f3398e","type":"LegendItem"},{"id":"9d2085c0-eabd-4397-bcd6-62973398dc16","type":"LegendItem"},{"id":"2f607bd9-f8b4-4df2-ad6b-053a73136211","type":"LegendItem"}],"location":"top_left","plot":{"id":"aa0ee274-76c0-4e22-91e8-27d13f0805b1","subtype":"Figure","type":"Plot"}},"id":"ad58499d-5870-4da0-b7ee-2e69ea7e029c","type":"Legend"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"8be02d30-a0cd-4a75-bf86-b8094f359fc1","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"392a4c68-156c-4091-a1c2-c42a263ccb16","type":"Stack"}},"y":{"field":"fruits"}},"id":"1ecf8e75-93e2-4059-8eec-b7e3ad736d68","type":"HBar"},{"attributes":{},"id":"0088333f-0a72-4ac2-bfad-7e3a7543fd19","type":"CategoricalTickFormatter"},{"attributes":{"fields":["2015"]},"id":"593b0f6e-5111-42da-a5b4-b58c8dc3f0cb","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"e1e946a9-8a68-4380-9fea-7708ad789a92","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"c25363c1-c231-4f28-a4d5-0307b6e9c484","type":"Stack"}},"y":{"field":"fruits"}},"id":"7d8be460-1ce0-425c-8e30-41bc9f2463de","type":"HBar"},{"attributes":{},"id":"bf9db5b9-5254-4765-928b-8c231c80e857","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"a2b867c5-d707-45da-bb32-8fb1fb3d3f8b","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"2870bf9b-fe23-4a85-bb7c-9b2f3d334fd9","type":"Stack"}},"y":{"field":"fruits"}},"id":"9453c2bf-6786-4284-a1a1-908d5e6d4d2e","type":"HBar"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"44f0239f-256e-4f80-b508-6cc027d5de5d","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"3530fe8a-c6a0-4e84-afe7-6540e8681879","type":"Stack"}},"y":{"field":"fruits"}},"id":"be1b3e5d-4abb-4a26-8286-35be2432d526","type":"HBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"ab94845e-abb7-4baf-a38d-7875f27abf40","type":"FactorRange"},{"attributes":{},"id":"3be0cc4b-cb06-4bcd-aaf3-bb13d164809b","type":"BasicTicker"},{"attributes":{},"id":"bdd75783-8de4-4d5e-932a-f96a97d7d257","type":"HelpTool"},{"attributes":{"formatter":{"id":"0088333f-0a72-4ac2-bfad-7e3a7543fd19","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"aa0ee274-76c0-4e22-91e8-27d13f0805b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"c27d9e56-9a49-4df6-ac1e-ce7ed0189b26","type":"CategoricalTicker"}},"id":"fd713335-c034-48ba-8060-2ea83e1ecaed","type":"CategoricalAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c1dc7e08-42d2-4ebd-b6b0-1d367ce41d4d","type":"PanTool"},{"id":"d2b78d37-69e1-41d5-9dc9-3bac3d062351","type":"WheelZoomTool"},{"id":"ebb54b08-05d4-47d0-a62e-5bbcb386ce48","type":"BoxZoomTool"},{"id":"bf9db5b9-5254-4765-928b-8c231c80e857","type":"SaveTool"},{"id":"a5471aa7-6099-4243-b52e-a4cb736a33a7","type":"ResetTool"},{"id":"bdd75783-8de4-4d5e-932a-f96a97d7d257","type":"HelpTool"}]},"id":"c3379f8d-0c15-4ee2-81f8-50e0061d0858","type":"Toolbar"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"aa0ee274-76c0-4e22-91e8-27d13f0805b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"c27d9e56-9a49-4df6-ac1e-ce7ed0189b26","type":"CategoricalTicker"}},"id":"315a84e6-4396-4600-9082-eb23bfa50f25","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"260e24c3-6637-466d-ab74-83421d6b9650","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"1df2e694-d9d9-49fb-baa8-edc79a6fa65a","type":"Stack"}},"y":{"field":"fruits"}},"id":"d618ab22-47fd-4592-9279-cf0d200211c1","type":"HBar"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"26cc9ddb-4440-4204-b751-51b6c63b8340","type":"GlyphRenderer"}]},"id":"42425299-d69a-4e04-926a-39df34f3398e","type":"LegendItem"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"2bef45bf-e209-48db-ad82-e62a8d7e2635","type":"GlyphRenderer"}]},"id":"03ef936c-dcfe-49ba-b920-bacaf08abad4","type":"LegendItem"},{"attributes":{"fields":["2015","2016","2017"]},"id":"3530fe8a-c6a0-4e84-afe7-6540e8681879","type":"Stack"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"c8769885-3c6f-47b5-a4ed-3c16cfb1845e","type":"Range1d"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"dc10fd19-05aa-41a8-aca5-254ae84c9652","type":"GlyphRenderer"}]},"id":"2f607bd9-f8b4-4df2-ad6b-053a73136211","type":"LegendItem"},{"attributes":{"overlay":{"id":"4731f74b-0072-4673-95ff-d9c0ad831d8c","type":"BoxAnnotation"}},"id":"ebb54b08-05d4-47d0-a62e-5bbcb386ce48","type":"BoxZoomTool"},{"attributes":{"fields":[]},"id":"8be02d30-a0cd-4a75-bf86-b8094f359fc1","type":"Stack"},{"attributes":{},"id":"c27d9e56-9a49-4df6-ac1e-ce7ed0189b26","type":"CategoricalTicker"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"68f166f9-4bfb-4586-84a2-5761c0e32b7b","type":"GlyphRenderer"}]},"id":"07ed8d32-316f-423b-b4ab-ab3cfab34b05","type":"LegendItem"},{"attributes":{"fields":[]},"id":"260e24c3-6637-466d-ab74-83421d6b9650","type":"Stack"},{"attributes":{"plot":{"id":"aa0ee274-76c0-4e22-91e8-27d13f0805b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"3be0cc4b-cb06-4bcd-aaf3-bb13d164809b","type":"BasicTicker"}},"id":"981b96c1-948f-42fd-a2a9-fe073756a7db","type":"Grid"},{"attributes":{"fields":["2015"]},"id":"392a4c68-156c-4091-a1c2-c42a263ccb16","type":"Stack"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"260e24c3-6637-466d-ab74-83421d6b9650","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"1df2e694-d9d9-49fb-baa8-edc79a6fa65a","type":"Stack"}},"y":{"field":"fruits"}},"id":"473f58bb-c8a0-4b8c-bd82-cb7df08e38b8","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"2870bf9b-fe23-4a85-bb7c-9b2f3d334fd9","type":"Stack"},{"attributes":{"source":{"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"}},"id":"6626a9b9-2fa9-4695-ab6a-e4455dd95454","type":"CDSView"},{"attributes":{},"id":"12e985f9-0ecf-4f3a-a602-1e6a5f187246","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"}},"id":"3e3421b7-f5f8-4726-9d4a-a44e7f86f08e","type":"CDSView"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"e1e946a9-8a68-4380-9fea-7708ad789a92","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"c25363c1-c231-4f28-a4d5-0307b6e9c484","type":"Stack"}},"y":{"field":"fruits"}},"id":"8494cfaa-3d37-46f0-9eb1-aebb93bdfc70","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"a2b867c5-d707-45da-bb32-8fb1fb3d3f8b","type":"Stack"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"593b0f6e-5111-42da-a5b4-b58c8dc3f0cb","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"c6af8761-d286-47a2-9ba4-c988b70e5c7f","type":"Stack"}},"y":{"field":"fruits"}},"id":"306c692a-0aa3-41f3-bdda-4c4155924b9a","type":"HBar"},{"attributes":{"source":{"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"}},"id":"00fd33fb-4f79-4840-aa5d-e94e188ce903","type":"CDSView"},{"attributes":{"data_source":{"id":"662fdc22-8967-4f26-ad49-8219d579537f","type":"ColumnDataSource"},"glyph":{"id":"1ecf8e75-93e2-4059-8eec-b7e3ad736d68","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4f91a0d6-934b-4f6c-8adc-1acbfdb14add","type":"HBar"},"selection_glyph":null,"view":{"id":"3e3421b7-f5f8-4726-9d4a-a44e7f86f08e","type":"CDSView"}},"id":"15b303fa-93f3-4878-8512-864acd933a79","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"c6f2607f-694d-46c2-8133-621425e742fc","type":"LinearAxis"}],"left":[{"id":"fd713335-c034-48ba-8060-2ea83e1ecaed","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"c6f2607f-694d-46c2-8133-621425e742fc","type":"LinearAxis"},{"id":"981b96c1-948f-42fd-a2a9-fe073756a7db","type":"Grid"},{"id":"fd713335-c034-48ba-8060-2ea83e1ecaed","type":"CategoricalAxis"},{"id":"315a84e6-4396-4600-9082-eb23bfa50f25","type":"Grid"},{"id":"4731f74b-0072-4673-95ff-d9c0ad831d8c","type":"BoxAnnotation"},{"id":"ad58499d-5870-4da0-b7ee-2e69ea7e029c","type":"Legend"},{"id":"15b303fa-93f3-4878-8512-864acd933a79","type":"GlyphRenderer"},{"id":"2bef45bf-e209-48db-ad82-e62a8d7e2635","type":"GlyphRenderer"},{"id":"68f166f9-4bfb-4586-84a2-5761c0e32b7b","type":"GlyphRenderer"},{"id":"26cc9ddb-4440-4204-b751-51b6c63b8340","type":"GlyphRenderer"},{"id":"a66a1058-6de9-4952-95f3-077aa8ce73ec","type":"GlyphRenderer"},{"id":"dc10fd19-05aa-41a8-aca5-254ae84c9652","type":"GlyphRenderer"}],"title":{"id":"261a3838-2435-4ce7-867e-cb1ee568f5a0","type":"Title"},"toolbar":{"id":"c3379f8d-0c15-4ee2-81f8-50e0061d0858","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c8769885-3c6f-47b5-a4ed-3c16cfb1845e","type":"Range1d"},"x_scale":{"id":"36f4c59e-0068-4e25-84b7-e5451ec8460d","type":"LinearScale"},"y_range":{"id":"ab94845e-abb7-4baf-a38d-7875f27abf40","type":"FactorRange"},"y_scale":{"id":"59b1c749-736b-4650-87ab-8fd7313ea1bf","type":"CategoricalScale"}},"id":"aa0ee274-76c0-4e22-91e8-27d13f0805b1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"59b1c749-736b-4650-87ab-8fd7313ea1bf","type":"CategoricalScale"},{"attributes":{"fields":["2015","2016"]},"id":"c6af8761-d286-47a2-9ba4-c988b70e5c7f","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"261a3838-2435-4ce7-867e-cb1ee568f5a0","type":"Title"},{"attributes":{},"id":"c1dc7e08-42d2-4ebd-b6b0-1d367ce41d4d","type":"PanTool"},{"attributes":{},"id":"d2b78d37-69e1-41d5-9dc9-3bac3d062351","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"e1afcab6-d0e9-44d5-8ce4-5e242b2c6ecd","type":"ColumnDataSource"},"glyph":{"id":"473f58bb-c8a0-4b8c-bd82-cb7df08e38b8","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d618ab22-47fd-4592-9279-cf0d200211c1","type":"HBar"},"selection_glyph":null,"view":{"id":"6626a9b9-2fa9-4695-ab6a-e4455dd95454","type":"CDSView"}},"id":"26cc9ddb-4440-4204-b751-51b6c63b8340","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4731f74b-0072-4673-95ff-d9c0ad831d8c","type":"BoxAnnotation"}],"root_ids":["aa0ee274-76c0-4e22-91e8-27d13f0805b1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"016c9e87-8cb0-48d8-8baf-a70c80b78379","elementid":"1ed33e71-15c2-42ea-ad6e-e13921dbb46b","modelid":"aa0ee274-76c0-4e22-91e8-27d13f0805b1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
