(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c29bfb9a-8726-4cb6-bcbe-af1a7d0b4e78");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c29bfb9a-8726-4cb6-bcbe-af1a7d0b4e78' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7f46f462-57c3-424d-804e-e5130f5f0948":{"roots":{"references":[{"attributes":{"below":[{"id":"d47916ea-2177-4c5f-9b6e-39401b6c57e2","type":"LinearAxis"}],"left":[{"id":"ab14ee9e-92ab-4967-a74b-0573e1305c3d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d47916ea-2177-4c5f-9b6e-39401b6c57e2","type":"LinearAxis"},{"id":"2cc56449-8f37-4d9c-bd27-4b898086bf74","type":"Grid"},{"id":"ab14ee9e-92ab-4967-a74b-0573e1305c3d","type":"LinearAxis"},{"id":"b6b57b59-15f0-46b7-8ac5-6f3086c28c0c","type":"Grid"},{"id":"24b5dd41-c7c3-4d9d-9516-62411ef3b674","type":"GlyphRenderer"}],"title":{"id":"fa33aec3-5a86-4fdd-9463-b99885f7d660","type":"Title"},"toolbar":{"id":"21f4d944-f7d5-4559-91cd-847f051d9bea","type":"Toolbar"},"x_range":{"id":"872fee0f-9895-4f0b-bdb3-0ec165a34bf0","type":"DataRange1d"},"x_scale":{"id":"9e7ed3ff-4891-4016-8417-6a41517f4062","type":"LinearScale"},"y_range":{"id":"81d8027c-c293-4e10-8b70-e1d98c12126b","type":"DataRange1d"},"y_scale":{"id":"388c3b4f-9fe4-4951-ab13-c2a421a60965","type":"LinearScale"}},"id":"5d53b9e2-f41b-498b-aaae-50bf2b7f357b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"388c3b4f-9fe4-4951-ab13-c2a421a60965","type":"LinearScale"},{"attributes":{"source":{"id":"6b2ca96d-c074-4c5b-9b19-1b61119fc89e","type":"ColumnDataSource"}},"id":"ee75233d-9bbb-414a-9c41-8ed5957d3d3c","type":"CDSView"},{"attributes":{"plot":{"id":"5d53b9e2-f41b-498b-aaae-50bf2b7f357b","subtype":"Figure","type":"Plot"},"ticker":{"id":"1075da89-0a5b-47dd-9921-5adf280e9345","type":"BasicTicker"}},"id":"2cc56449-8f37-4d9c-bd27-4b898086bf74","type":"Grid"},{"attributes":{"data_source":{"id":"6b2ca96d-c074-4c5b-9b19-1b61119fc89e","type":"ColumnDataSource"},"glyph":{"id":"7856b773-9295-44b8-b50e-1d029c1c85f3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8364ce57-02e2-48da-9e14-0757456fc81c","type":"Circle"},"selection_glyph":null,"view":{"id":"ee75233d-9bbb-414a-9c41-8ed5957d3d3c","type":"CDSView"}},"id":"24b5dd41-c7c3-4d9d-9516-62411ef3b674","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"a9da370b-f8d4-45d2-88c4-c0a0092af92b","type":"BasicTickFormatter"},"plot":{"id":"5d53b9e2-f41b-498b-aaae-50bf2b7f357b","subtype":"Figure","type":"Plot"},"ticker":{"id":"1075da89-0a5b-47dd-9921-5adf280e9345","type":"BasicTicker"}},"id":"d47916ea-2177-4c5f-9b6e-39401b6c57e2","type":"LinearAxis"},{"attributes":{"callback":null},"id":"81d8027c-c293-4e10-8b70-e1d98c12126b","type":"DataRange1d"},{"attributes":{},"id":"9e7ed3ff-4891-4016-8417-6a41517f4062","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"5d53b9e2-f41b-498b-aaae-50bf2b7f357b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6091dddc-e19d-4081-96c7-a3b537f23025","type":"BasicTicker"}},"id":"b6b57b59-15f0-46b7-8ac5-6f3086c28c0c","type":"Grid"},{"attributes":{},"id":"1075da89-0a5b-47dd-9921-5adf280e9345","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9cc124eb-86d9-4293-9834-249e70535196","type":"HoverTool"}]},"id":"21f4d944-f7d5-4559-91cd-847f051d9bea","type":"Toolbar"},{"attributes":{},"id":"656d9bdc-af56-4f4e-9a59-ebda70312ef5","type":"BasicTickFormatter"},{"attributes":{},"id":"a9da370b-f8d4-45d2-88c4-c0a0092af92b","type":"BasicTickFormatter"},{"attributes":{},"id":"6091dddc-e19d-4081-96c7-a3b537f23025","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["imgs","y","desc","fonts","x"],"data":{"desc":["A","b","C","d","E"],"fonts":["<i>italics</i>","<pre>pre</pre>","<b>bold</b>","<small>small</small>","<del>del</del>"],"imgs":["https://bokeh.pydata.org/static/snake.jpg","https://bokeh.pydata.org/static/snake2.png","https://bokeh.pydata.org/static/snake3D.png","https://bokeh.pydata.org/static/snake4_TheRevenge.png","https://bokeh.pydata.org/static/snakebite.jpg"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"6b2ca96d-c074-4c5b-9b19-1b61119fc89e","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8364ce57-02e2-48da-9e14-0757456fc81c","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"7856b773-9295-44b8-b50e-1d029c1c85f3","type":"Circle"},{"attributes":{"callback":null,"tooltips":"\n    <div>\n        <div>\n            <img\n                src=\"@imgs\" height=\"42\" alt=\"@imgs\" width=\"42\"\n                style=\"float: left; margin: 0px 15px 15px 0px;\"\n                border=\"2\"\n            ></img>\n        </div>\n        <div>\n            <span style=\"font-size: 17px; font-weight: bold;\">@desc</span>\n            <span style=\"font-size: 15px; color: #966;\">[$index]</span>\n        </div>\n        <div>\n            <span>@fonts{safe}</span>\n        </div>\n        <div>\n            <span style=\"font-size: 15px;\">Location</span>\n            <span style=\"font-size: 10px; color: #696;\">($x, $y)</span>\n        </div>\n    </div>\n    "},"id":"9cc124eb-86d9-4293-9834-249e70535196","type":"HoverTool"},{"attributes":{"formatter":{"id":"656d9bdc-af56-4f4e-9a59-ebda70312ef5","type":"BasicTickFormatter"},"plot":{"id":"5d53b9e2-f41b-498b-aaae-50bf2b7f357b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6091dddc-e19d-4081-96c7-a3b537f23025","type":"BasicTicker"}},"id":"ab14ee9e-92ab-4967-a74b-0573e1305c3d","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"fa33aec3-5a86-4fdd-9463-b99885f7d660","type":"Title"},{"attributes":{"callback":null},"id":"872fee0f-9895-4f0b-bdb3-0ec165a34bf0","type":"DataRange1d"}],"root_ids":["5d53b9e2-f41b-498b-aaae-50bf2b7f357b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7f46f462-57c3-424d-804e-e5130f5f0948","elementid":"c29bfb9a-8726-4cb6-bcbe-af1a7d0b4e78","modelid":"5d53b9e2-f41b-498b-aaae-50bf2b7f357b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
