(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("702b5e2a-1c89-418b-8940-3fc8e90604af");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '702b5e2a-1c89-418b-8940-3fc8e90604af' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"859bca05-1b8d-47e9-b10b-41b25c379529":{"roots":{"references":[{"attributes":{},"id":"cfd7da86-850f-4cb1-b0ca-06bba1a5ab43","type":"LinearScale"},{"attributes":{},"id":"16dbfb09-0f74-446d-b241-e54ff125cf2a","type":"BasicTicker"},{"attributes":{},"id":"655bb02c-b403-47d6-a519-d8091b903751","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"243fcb0c-d65a-4c3b-a007-617021b9fcc0","type":"LinearAxis"}],"left":[{"id":"3283ae23-011f-45a3-908f-900f53f0c5e5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"243fcb0c-d65a-4c3b-a007-617021b9fcc0","type":"LinearAxis"},{"id":"296f094b-ad70-4b59-8a18-3addc4567f8c","type":"Grid"},{"id":"3283ae23-011f-45a3-908f-900f53f0c5e5","type":"LinearAxis"},{"id":"54bcadc5-09b3-4ea4-a51d-c56062152626","type":"Grid"},{"id":"36cd0abb-060c-4226-8bf7-eec80d32aa01","type":"BoxAnnotation"},{"id":"89381d54-7b08-4502-ae26-de092c179f01","type":"GlyphRenderer"}],"title":{"id":"21f3afe4-bfe4-4c11-8fb1-c1f9d1f15e54","type":"Title"},"toolbar":{"id":"be8ccb82-6ac8-4d3b-be92-ccabacf5dca0","type":"Toolbar"},"x_range":{"id":"d2b11223-9f7d-4ed9-9f22-87b6e28f3fbb","type":"DataRange1d"},"x_scale":{"id":"0751479e-6a8e-42c0-ac5c-e42736106f6e","type":"LinearScale"},"y_range":{"id":"261d4530-b4a8-420a-954a-c0c43fc2b4bf","type":"DataRange1d"},"y_scale":{"id":"cfd7da86-850f-4cb1-b0ca-06bba1a5ab43","type":"LinearScale"}},"id":"ad7ea747-67b5-4a3c-ab64-084111a1567b","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2d079200-b982-47a3-9baa-edebbf44bccf","type":"PanTool"},{"id":"655bb02c-b403-47d6-a519-d8091b903751","type":"WheelZoomTool"},{"id":"9f03bd42-06e8-40c8-996c-02305dadefdb","type":"BoxZoomTool"},{"id":"e4fcdb1e-03e6-4484-ac0d-fc369c19e133","type":"SaveTool"},{"id":"2145a427-3750-448e-94a5-fe9bad511b5d","type":"ResetTool"},{"id":"890b2cd9-3603-414e-b499-382c9852c427","type":"HelpTool"}]},"id":"be8ccb82-6ac8-4d3b-be92-ccabacf5dca0","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"21f3afe4-bfe4-4c11-8fb1-c1f9d1f15e54","type":"Title"},{"attributes":{"overlay":{"id":"36cd0abb-060c-4226-8bf7-eec80d32aa01","type":"BoxAnnotation"}},"id":"9f03bd42-06e8-40c8-996c-02305dadefdb","type":"BoxZoomTool"},{"attributes":{},"id":"0751479e-6a8e-42c0-ac5c-e42736106f6e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1.2,2.4,3.1],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"a40cec42-305e-47d7-82f1-c1429650f638","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"53e2f53e-7792-4bf9-ac25-899c4cdcc99c","type":"BasicTickFormatter"},"plot":{"id":"ad7ea747-67b5-4a3c-ab64-084111a1567b","subtype":"Figure","type":"Plot"},"ticker":{"id":"fafede5c-40bf-4453-8083-893c2538cc5b","type":"BasicTicker"}},"id":"3283ae23-011f-45a3-908f-900f53f0c5e5","type":"LinearAxis"},{"attributes":{},"id":"fafede5c-40bf-4453-8083-893c2538cc5b","type":"BasicTicker"},{"attributes":{},"id":"e4fcdb1e-03e6-4484-ac0d-fc369c19e133","type":"SaveTool"},{"attributes":{"callback":null},"id":"d2b11223-9f7d-4ed9-9f22-87b6e28f3fbb","type":"DataRange1d"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"2e517fff-eeac-4730-9118-a84864b7baf1","type":"Segment"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"36cd0abb-060c-4226-8bf7-eec80d32aa01","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"a40cec42-305e-47d7-82f1-c1429650f638","type":"ColumnDataSource"},"glyph":{"id":"2e517fff-eeac-4730-9118-a84864b7baf1","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e88fdecf-98b1-4655-80d2-36a28256db09","type":"Segment"},"selection_glyph":null,"view":{"id":"f310dae1-d791-476b-9357-5a7367c48a1a","type":"CDSView"}},"id":"89381d54-7b08-4502-ae26-de092c179f01","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"261d4530-b4a8-420a-954a-c0c43fc2b4bf","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d268e205-2e42-4709-bced-212534ff12f3","type":"BasicTickFormatter"},"plot":{"id":"ad7ea747-67b5-4a3c-ab64-084111a1567b","subtype":"Figure","type":"Plot"},"ticker":{"id":"16dbfb09-0f74-446d-b241-e54ff125cf2a","type":"BasicTicker"}},"id":"243fcb0c-d65a-4c3b-a007-617021b9fcc0","type":"LinearAxis"},{"attributes":{},"id":"2145a427-3750-448e-94a5-fe9bad511b5d","type":"ResetTool"},{"attributes":{"source":{"id":"a40cec42-305e-47d7-82f1-c1429650f638","type":"ColumnDataSource"}},"id":"f310dae1-d791-476b-9357-5a7367c48a1a","type":"CDSView"},{"attributes":{"plot":{"id":"ad7ea747-67b5-4a3c-ab64-084111a1567b","subtype":"Figure","type":"Plot"},"ticker":{"id":"16dbfb09-0f74-446d-b241-e54ff125cf2a","type":"BasicTicker"}},"id":"296f094b-ad70-4b59-8a18-3addc4567f8c","type":"Grid"},{"attributes":{},"id":"53e2f53e-7792-4bf9-ac25-899c4cdcc99c","type":"BasicTickFormatter"},{"attributes":{},"id":"2d079200-b982-47a3-9baa-edebbf44bccf","type":"PanTool"},{"attributes":{},"id":"890b2cd9-3603-414e-b499-382c9852c427","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"ad7ea747-67b5-4a3c-ab64-084111a1567b","subtype":"Figure","type":"Plot"},"ticker":{"id":"fafede5c-40bf-4453-8083-893c2538cc5b","type":"BasicTicker"}},"id":"54bcadc5-09b3-4ea4-a51d-c56062152626","type":"Grid"},{"attributes":{},"id":"d268e205-2e42-4709-bced-212534ff12f3","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"e88fdecf-98b1-4655-80d2-36a28256db09","type":"Segment"}],"root_ids":["ad7ea747-67b5-4a3c-ab64-084111a1567b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"859bca05-1b8d-47e9-b10b-41b25c379529","elementid":"702b5e2a-1c89-418b-8940-3fc8e90604af","modelid":"ad7ea747-67b5-4a3c-ab64-084111a1567b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
