(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b576f63d-aecd-4b45-8cb5-e7278476feca");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b576f63d-aecd-4b45-8cb5-e7278476feca' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"79438743-2a33-4f45-8296-9621e9ab9053":{"roots":{"references":[{"attributes":{"callback":null,"overlay":{"id":"4708b8a8-c1f8-4446-bdfe-756a4c10a7a3","type":"PolyAnnotation"}},"id":"598e2210-fd90-4e2d-ad14-1a895a4f1e66","type":"LassoSelectTool"},{"attributes":{"filters":[{"id":"7a7118ea-e5a6-4e53-8ab3-51ec87d67847","type":"BooleanFilter"}],"source":{"id":"b67befa6-3a99-4a2a-9964-dd5c225cf6c9","type":"ColumnDataSource"}},"id":"95fd9172-7806-428d-8195-c9ccdfbfc315","type":"CDSView"},{"attributes":{"booleans":[true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true]},"id":"7a7118ea-e5a6-4e53-8ab3-51ec87d67847","type":"BooleanFilter"},{"attributes":{},"id":"e0bf7218-680e-478f-9bbb-ef699be46cce","type":"HelpTool"},{"attributes":{},"id":"f23b76d5-9220-427c-aeb0-275b4a913d80","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3808b167-2ff8-4f1e-9415-06c80f35d206","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"693a182d-7ae4-4c5b-a9a0-b69c61e01b2d","type":"Circle"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"063e89ad-8ae1-4168-8301-cbedf7cbd3ad","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"86b0b5ac-32f3-475c-852c-b631b3ccdd8a","type":"PolyAnnotation"},{"attributes":{},"id":"965d6259-8e0f-4b8a-99e3-f52291868c99","type":"BasicTickFormatter"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"63c2ca4a-c263-48c6-9819-04ef809ea340","type":"BoxSelectTool"},{"id":"598e2210-fd90-4e2d-ad14-1a895a4f1e66","type":"LassoSelectTool"},{"id":"d02468be-7a22-4290-8ee6-ee1403c64c27","type":"HoverTool"},{"id":"43540ac0-af52-4f9a-9ebe-ec024dbc34de","type":"HelpTool"},{"id":"fc54396b-9fa7-4c30-948f-f475f84fd155","type":"BoxSelectTool"},{"id":"af72f945-7978-4872-931b-d9b466eebed6","type":"LassoSelectTool"},{"id":"b2bfc7aa-472a-4888-ada9-5fb29726fb59","type":"HoverTool"},{"id":"e0bf7218-680e-478f-9bbb-ef699be46cce","type":"HelpTool"}]},"id":"d4844e7a-5a6d-4a2e-8b3c-e969dd7d24b0","type":"ToolbarBox"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"4708b8a8-c1f8-4446-bdfe-756a4c10a7a3","type":"PolyAnnotation"},{"attributes":{},"id":"43540ac0-af52-4f9a-9ebe-ec024dbc34de","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"9f06dd9c-5836-4cc3-9953-cbfc44adfed2","type":"Circle"},{"attributes":{"callback":null},"id":"d02468be-7a22-4290-8ee6-ee1403c64c27","type":"HoverTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"757e2897-d0a6-4795-87e6-b03f3d54f053","type":"BoxAnnotation"},{"attributes":{},"id":"e49ce44d-5ce3-4dbc-989b-5e24609db576","type":"LinearScale"},{"attributes":{"formatter":{"id":"965d6259-8e0f-4b8a-99e3-f52291868c99","type":"BasicTickFormatter"},"plot":{"id":"5f3f5a72-c865-4351-9cd9-8572e944dfb6","subtype":"Figure","type":"Plot"},"ticker":{"id":"3db984b2-a629-44f2-b255-e76b55b689e8","type":"BasicTicker"}},"id":"df69906d-57b5-45be-ab03-d17ba35c7481","type":"LinearAxis"},{"attributes":{"callback":null},"id":"b2bfc7aa-472a-4888-ada9-5fb29726fb59","type":"HoverTool"},{"attributes":{},"id":"b35ec014-d863-4e18-b4d9-c87616b3cf89","type":"LinearScale"},{"attributes":{"children":[{"id":"73ccbd35-5838-4acb-a7b9-83bfc02ecb2e","type":"Row"}]},"id":"ed8b53e3-e449-47c0-b175-e38895109341","type":"Column"},{"attributes":{},"id":"3db984b2-a629-44f2-b255-e76b55b689e8","type":"BasicTicker"},{"attributes":{},"id":"113e5915-64e7-4600-9b05-c2cdd757478f","type":"BasicTicker"},{"attributes":{"data_source":{"id":"b67befa6-3a99-4a2a-9964-dd5c225cf6c9","type":"ColumnDataSource"},"glyph":{"id":"135d5935-cda7-45bd-94d5-75fef3481f4b","type":"Circle"},"hover_glyph":{"id":"063e89ad-8ae1-4168-8301-cbedf7cbd3ad","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"9f06dd9c-5836-4cc3-9953-cbfc44adfed2","type":"Circle"},"selection_glyph":null,"view":{"id":"ab9678c5-a817-4603-8a78-e4ccbde2fd80","type":"CDSView"}},"id":"b72d6754-1355-4f5e-a4a0-a621ddf689db","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"d4844e7a-5a6d-4a2e-8b3c-e969dd7d24b0","type":"ToolbarBox"},{"id":"ed8b53e3-e449-47c0-b175-e38895109341","type":"Column"}]},"id":"689a2441-3cea-4b96-ba94-49e614b58581","type":"Column"},{"attributes":{},"id":"81044b08-a458-4c70-a7b8-eef5855e98d3","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"ae2a6831-8ba8-46ad-a72b-569733d61fe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"8429ed61-0a84-4ed5-8612-2b49c0d604d1","type":"BasicTicker"}},"id":"b8c86911-8e18-4a92-a9c6-7592225ec7f6","type":"Grid"},{"attributes":{},"id":"3c61b36b-32ae-4698-b369-ace64e66bfb2","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"0e3b71dd-fbd8-44ce-8c13-1063bfa1da26","type":"Circle"},{"attributes":{},"id":"8429ed61-0a84-4ed5-8612-2b49c0d604d1","type":"BasicTicker"},{"attributes":{},"id":"6920a1d7-671e-4fa2-82fa-fe8f39bbbcaf","type":"LinearScale"},{"attributes":{"children":[{"id":"5f3f5a72-c865-4351-9cd9-8572e944dfb6","subtype":"Figure","type":"Plot"},{"id":"ae2a6831-8ba8-46ad-a72b-569733d61fe7","subtype":"Figure","type":"Plot"}]},"id":"73ccbd35-5838-4acb-a7b9-83bfc02ecb2e","type":"Row"},{"attributes":{"callback":null},"id":"a48414da-2916-44e8-97d1-d67e1b1df580","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"bbb9988a-806c-4f75-9454-3419a70d809c","type":"Circle"},{"attributes":{"formatter":{"id":"4a43e7b4-a605-4242-85b8-2635cc09cb38","type":"BasicTickFormatter"},"plot":{"id":"5f3f5a72-c865-4351-9cd9-8572e944dfb6","subtype":"Figure","type":"Plot"},"ticker":{"id":"81044b08-a458-4c70-a7b8-eef5855e98d3","type":"BasicTicker"}},"id":"0de651f7-fdfa-4a06-86d2-6c77c6176ed1","type":"LinearAxis"},{"attributes":{"plot":{"id":"ae2a6831-8ba8-46ad-a72b-569733d61fe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"113e5915-64e7-4600-9b05-c2cdd757478f","type":"BasicTicker"}},"id":"772739a3-08b9-4a74-aee8-a146bd293be5","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"757e2897-d0a6-4795-87e6-b03f3d54f053","type":"BoxAnnotation"},"renderers":[{"id":"b72d6754-1355-4f5e-a4a0-a621ddf689db","type":"GlyphRenderer"}]},"id":"63c2ca4a-c263-48c6-9819-04ef809ea340","type":"BoxSelectTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"63c2ca4a-c263-48c6-9819-04ef809ea340","type":"BoxSelectTool"},{"id":"598e2210-fd90-4e2d-ad14-1a895a4f1e66","type":"LassoSelectTool"},{"id":"d02468be-7a22-4290-8ee6-ee1403c64c27","type":"HoverTool"},{"id":"43540ac0-af52-4f9a-9ebe-ec024dbc34de","type":"HelpTool"}]},"id":"7761c3de-7424-4dde-9af9-2442e9e30efc","type":"Toolbar"},{"attributes":{},"id":"c7839c78-52c9-4a65-8d89-564f98e50122","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"b67befa6-3a99-4a2a-9964-dd5c225cf6c9","type":"ColumnDataSource"},"glyph":{"id":"0e3b71dd-fbd8-44ce-8c13-1063bfa1da26","type":"Circle"},"hover_glyph":{"id":"693a182d-7ae4-4c5b-a9a0-b69c61e01b2d","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"bbb9988a-806c-4f75-9454-3419a70d809c","type":"Circle"},"selection_glyph":null,"view":{"id":"95fd9172-7806-428d-8195-c9ccdfbfc315","type":"CDSView"}},"id":"e8eda22b-1bd6-445a-a51c-78c54b8a928c","type":"GlyphRenderer"},{"attributes":{"callback":null,"overlay":{"id":"3808b167-2ff8-4f1e-9415-06c80f35d206","type":"BoxAnnotation"},"renderers":[{"id":"e8eda22b-1bd6-445a-a51c-78c54b8a928c","type":"GlyphRenderer"}]},"id":"fc54396b-9fa7-4c30-948f-f475f84fd155","type":"BoxSelectTool"},{"attributes":{"formatter":{"id":"3c61b36b-32ae-4698-b369-ace64e66bfb2","type":"BasicTickFormatter"},"plot":{"id":"ae2a6831-8ba8-46ad-a72b-569733d61fe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"113e5915-64e7-4600-9b05-c2cdd757478f","type":"BasicTicker"}},"id":"419090fb-4be5-447a-a993-44fb46f57d77","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"5f3f5a72-c865-4351-9cd9-8572e944dfb6","subtype":"Figure","type":"Plot"},"ticker":{"id":"3db984b2-a629-44f2-b255-e76b55b689e8","type":"BasicTicker"}},"id":"19b317a6-602b-4be3-9f74-06b06172d0af","type":"Grid"},{"attributes":{"below":[{"id":"0de651f7-fdfa-4a06-86d2-6c77c6176ed1","type":"LinearAxis"}],"left":[{"id":"df69906d-57b5-45be-ab03-d17ba35c7481","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0de651f7-fdfa-4a06-86d2-6c77c6176ed1","type":"LinearAxis"},{"id":"9bf120e3-f183-435f-be70-37e55ebd5d5e","type":"Grid"},{"id":"df69906d-57b5-45be-ab03-d17ba35c7481","type":"LinearAxis"},{"id":"19b317a6-602b-4be3-9f74-06b06172d0af","type":"Grid"},{"id":"757e2897-d0a6-4795-87e6-b03f3d54f053","type":"BoxAnnotation"},{"id":"4708b8a8-c1f8-4446-bdfe-756a4c10a7a3","type":"PolyAnnotation"},{"id":"b72d6754-1355-4f5e-a4a0-a621ddf689db","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"7761c3de-7424-4dde-9af9-2442e9e30efc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f608246c-bd64-4102-b1cb-0958447b1441","type":"DataRange1d"},"x_scale":{"id":"f23b76d5-9220-427c-aeb0-275b4a913d80","type":"LinearScale"},"y_range":{"id":"6b24d510-518f-4bb5-824e-caea3a0225fe","type":"DataRange1d"},"y_scale":{"id":"b35ec014-d863-4e18-b4d9-c87616b3cf89","type":"LinearScale"}},"id":"5f3f5a72-c865-4351-9cd9-8572e944dfb6","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"overlay":{"id":"86b0b5ac-32f3-475c-852c-b631b3ccdd8a","type":"PolyAnnotation"}},"id":"af72f945-7978-4872-931b-d9b466eebed6","type":"LassoSelectTool"},{"attributes":{"callback":null},"id":"6b24d510-518f-4bb5-824e-caea3a0225fe","type":"DataRange1d"},{"attributes":{"callback":null},"id":"f608246c-bd64-4102-b1cb-0958447b1441","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c7839c78-52c9-4a65-8d89-564f98e50122","type":"BasicTickFormatter"},"plot":{"id":"ae2a6831-8ba8-46ad-a72b-569733d61fe7","subtype":"Figure","type":"Plot"},"ticker":{"id":"8429ed61-0a84-4ed5-8612-2b49c0d604d1","type":"BasicTicker"}},"id":"88b483e4-26da-485f-a4ba-35ab63d9004c","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"b67befa6-3a99-4a2a-9964-dd5c225cf6c9","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"135d5935-cda7-45bd-94d5-75fef3481f4b","type":"Circle"},{"attributes":{"plot":{"id":"5f3f5a72-c865-4351-9cd9-8572e944dfb6","subtype":"Figure","type":"Plot"},"ticker":{"id":"81044b08-a458-4c70-a7b8-eef5855e98d3","type":"BasicTicker"}},"id":"9bf120e3-f183-435f-be70-37e55ebd5d5e","type":"Grid"},{"attributes":{"callback":null},"id":"f4d2b313-a8b7-44f4-b3c3-7043cf4c028c","type":"DataRange1d"},{"attributes":{},"id":"4a43e7b4-a605-4242-85b8-2635cc09cb38","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"419090fb-4be5-447a-a993-44fb46f57d77","type":"LinearAxis"}],"left":[{"id":"88b483e4-26da-485f-a4ba-35ab63d9004c","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"419090fb-4be5-447a-a993-44fb46f57d77","type":"LinearAxis"},{"id":"772739a3-08b9-4a74-aee8-a146bd293be5","type":"Grid"},{"id":"88b483e4-26da-485f-a4ba-35ab63d9004c","type":"LinearAxis"},{"id":"b8c86911-8e18-4a92-a9c6-7592225ec7f6","type":"Grid"},{"id":"3808b167-2ff8-4f1e-9415-06c80f35d206","type":"BoxAnnotation"},{"id":"86b0b5ac-32f3-475c-852c-b631b3ccdd8a","type":"PolyAnnotation"},{"id":"e8eda22b-1bd6-445a-a51c-78c54b8a928c","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"da60f3ea-850b-488a-89f0-3a56159b8706","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a48414da-2916-44e8-97d1-d67e1b1df580","type":"DataRange1d"},"x_scale":{"id":"e49ce44d-5ce3-4dbc-989b-5e24609db576","type":"LinearScale"},"y_range":{"id":"f4d2b313-a8b7-44f4-b3c3-7043cf4c028c","type":"DataRange1d"},"y_scale":{"id":"6920a1d7-671e-4fa2-82fa-fe8f39bbbcaf","type":"LinearScale"}},"id":"ae2a6831-8ba8-46ad-a72b-569733d61fe7","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fc54396b-9fa7-4c30-948f-f475f84fd155","type":"BoxSelectTool"},{"id":"af72f945-7978-4872-931b-d9b466eebed6","type":"LassoSelectTool"},{"id":"b2bfc7aa-472a-4888-ada9-5fb29726fb59","type":"HoverTool"},{"id":"e0bf7218-680e-478f-9bbb-ef699be46cce","type":"HelpTool"}]},"id":"da60f3ea-850b-488a-89f0-3a56159b8706","type":"Toolbar"},{"attributes":{"source":{"id":"b67befa6-3a99-4a2a-9964-dd5c225cf6c9","type":"ColumnDataSource"}},"id":"ab9678c5-a817-4603-8a78-e4ccbde2fd80","type":"CDSView"}],"root_ids":["689a2441-3cea-4b96-ba94-49e614b58581"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"79438743-2a33-4f45-8296-9621e9ab9053","elementid":"b576f63d-aecd-4b45-8cb5-e7278476feca","modelid":"689a2441-3cea-4b96-ba94-49e614b58581"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
