(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bb376551-efd1-4d7a-92ae-2ed27af0a573");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bb376551-efd1-4d7a-92ae-2ed27af0a573' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fc6b2c6f-dcaf-4d6e-87f9-543d22cc54b9":{"roots":{"references":[{"attributes":{},"id":"c827b834-42fe-4436-a6ce-a05b434d39fb","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a9c77b5-2e2d-4b2a-b3a7-dac302f3a177","type":"BasicTicker"}},"id":"2883135a-fc33-4645-b349-819bd45f4ffc","type":"Grid"},{"attributes":{"formatter":{"id":"c827b834-42fe-4436-a6ce-a05b434d39fb","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b","subtype":"Figure","type":"Plot"},"ticker":{"id":"1416f0fd-f1ca-4606-a0ef-d69f7255245f","type":"CategoricalTicker"}},"id":"0baadf66-bd4e-4d38-a72b-3b916ca6fe4c","type":"CategoricalAxis"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"941035a6-4cda-4e74-9cfa-cfc5dedca1a2","type":"FactorRange"},{"attributes":{},"id":"2a9c77b5-2e2d-4b2a-b3a7-dac302f3a177","type":"BasicTicker"},{"attributes":{},"id":"1416f0fd-f1ca-4606-a0ef-d69f7255245f","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"a2f3cd19-1b2c-444c-bb65-b1c3f40b85aa","type":"BasicTickFormatter"},"plot":{"id":"fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a9c77b5-2e2d-4b2a-b3a7-dac302f3a177","type":"BasicTicker"}},"id":"d03ddba0-1ffb-47f9-94fc-c46954ff5176","type":"LinearAxis"},{"attributes":{},"id":"a34fc0e5-185a-4b84-9c5f-24f313224de9","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"970daf07-a39a-4835-b28a-7866b334d6ef","type":"Toolbar"},{"attributes":{},"id":"a2f3cd19-1b2c-444c-bb65-b1c3f40b85aa","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"0baadf66-bd4e-4d38-a72b-3b916ca6fe4c","type":"CategoricalAxis"}],"left":[{"id":"d03ddba0-1ffb-47f9-94fc-c46954ff5176","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"0baadf66-bd4e-4d38-a72b-3b916ca6fe4c","type":"CategoricalAxis"},{"id":"848737d6-cb2d-4a05-8a2d-4f2ef5398945","type":"Grid"},{"id":"d03ddba0-1ffb-47f9-94fc-c46954ff5176","type":"LinearAxis"},{"id":"2883135a-fc33-4645-b349-819bd45f4ffc","type":"Grid"},{"id":"af07df26-9e4c-4c9f-984e-80b2e3156c7a","type":"GlyphRenderer"}],"title":{"id":"562a092b-2715-44c6-af7e-e3ac62f69aff","type":"Title"},"toolbar":{"id":"970daf07-a39a-4835-b28a-7866b334d6ef","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"941035a6-4cda-4e74-9cfa-cfc5dedca1a2","type":"FactorRange"},"x_scale":{"id":"a34fc0e5-185a-4b84-9c5f-24f313224de9","type":"CategoricalScale"},"y_range":{"id":"1356e2e5-2729-4ff3-afda-eef3f3bce5d1","type":"DataRange1d"},"y_scale":{"id":"8c4545e0-c2b2-434e-be18-f0bedae61bb8","type":"LinearScale"}},"id":"fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"69362ff0-1f2c-4634-9514-d7c65e896887","type":"ColumnDataSource"},{"attributes":{},"id":"8c4545e0-c2b2-434e-be18-f0bedae61bb8","type":"LinearScale"},{"attributes":{"callback":null,"start":0},"id":"1356e2e5-2729-4ff3-afda-eef3f3bce5d1","type":"DataRange1d"},{"attributes":{"data_source":{"id":"69362ff0-1f2c-4634-9514-d7c65e896887","type":"ColumnDataSource"},"glyph":{"id":"c06dadd3-2909-4079-a9a5-78767f7a83d7","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1fbbf86d-ec35-48ab-99fd-ec938a4574ca","type":"VBar"},"selection_glyph":null,"view":{"id":"b95d2381-d687-474c-8798-a63f80c73f0b","type":"CDSView"}},"id":"af07df26-9e4c-4c9f-984e-80b2e3156c7a","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"562a092b-2715-44c6-af7e-e3ac62f69aff","type":"Title"},{"attributes":{"source":{"id":"69362ff0-1f2c-4634-9514-d7c65e896887","type":"ColumnDataSource"}},"id":"b95d2381-d687-474c-8798-a63f80c73f0b","type":"CDSView"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b","subtype":"Figure","type":"Plot"},"ticker":{"id":"1416f0fd-f1ca-4606-a0ef-d69f7255245f","type":"CategoricalTicker"}},"id":"848737d6-cb2d-4a05-8a2d-4f2ef5398945","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"c06dadd3-2909-4079-a9a5-78767f7a83d7","type":"VBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"1fbbf86d-ec35-48ab-99fd-ec938a4574ca","type":"VBar"}],"root_ids":["fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fc6b2c6f-dcaf-4d6e-87f9-543d22cc54b9","elementid":"bb376551-efd1-4d7a-92ae-2ed27af0a573","modelid":"fb6c5c3f-c8aa-4cf0-b9d6-7f5de129d18b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
