(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b3b53f6e-5265-4d1e-afa2-ce4a99b47565");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b3b53f6e-5265-4d1e-afa2-ce4a99b47565' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"aff3ec8a-8a41-4487-a1ef-1bd7611c36f2":{"roots":{"references":[{"attributes":{"overlay":{"id":"f4955ade-ba06-43db-b3cc-bac41442a64c","type":"BoxAnnotation"}},"id":"20570a41-930b-46b8-8962-8bf633f74fb4","type":"BoxZoomTool"},{"attributes":{},"id":"fdab8a5d-6a88-4dbf-a4e7-43278503f708","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"bcab55ea-7650-462c-8600-5f87c02ef1ea","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c013fa73-5c84-4da0-9a2c-4321768c0dbb","type":"PanTool"},{"id":"97b7bd4d-d931-4458-a47f-659abed92e4b","type":"WheelZoomTool"},{"id":"20570a41-930b-46b8-8962-8bf633f74fb4","type":"BoxZoomTool"},{"id":"fdab8a5d-6a88-4dbf-a4e7-43278503f708","type":"SaveTool"},{"id":"adacdf54-a85e-4586-add8-ec87a0cbccb1","type":"ResetTool"},{"id":"172bd936-c17e-4b1e-9912-fb7cfbe8f315","type":"HelpTool"}]},"id":"dd115bc8-d013-4796-8e2b-67e8a08a3982","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"6886570d-4a83-4a26-92bc-36e4b3036a76","subtype":"Figure","type":"Plot"},"ticker":{"id":"469e4719-3a45-45f3-81f0-959342521943","type":"BasicTicker"}},"id":"5992d170-7741-4cbb-816b-5e4f0736ffd9","type":"Grid"},{"attributes":{"plot":{"id":"6886570d-4a83-4a26-92bc-36e4b3036a76","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a376fc2-c1d7-46e8-882e-7f966062cdac","type":"BasicTicker"}},"id":"1518985f-d0a4-4fc9-8460-9df25f53da26","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"477a2855-15b0-4177-bd31-4c5b5f389232","type":"ColumnDataSource"},{"attributes":{"axis_label":"Temp","axis_line_color":{"value":"red"},"axis_line_width":{"value":3},"formatter":{"id":"66dc728a-48eb-4381-b862-05b7223f6dac","type":"BasicTickFormatter"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"6886570d-4a83-4a26-92bc-36e4b3036a76","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a376fc2-c1d7-46e8-882e-7f966062cdac","type":"BasicTicker"}},"id":"f716cd53-2877-47d9-bae1-bbd0d8f44ed7","type":"LinearAxis"},{"attributes":{},"id":"adacdf54-a85e-4586-add8-ec87a0cbccb1","type":"ResetTool"},{"attributes":{},"id":"2ed597a4-f0c5-4229-ac72-51e4d1a96b18","type":"BasicTickFormatter"},{"attributes":{},"id":"706cae58-e0e1-43d1-bb87-a20ead9c054b","type":"LinearScale"},{"attributes":{"axis_label":"Pressure","formatter":{"id":"2ed597a4-f0c5-4229-ac72-51e4d1a96b18","type":"BasicTickFormatter"},"major_label_orientation":"vertical","major_label_text_color":{"value":"orange"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"6886570d-4a83-4a26-92bc-36e4b3036a76","subtype":"Figure","type":"Plot"},"ticker":{"id":"469e4719-3a45-45f3-81f0-959342521943","type":"BasicTicker"}},"id":"a569b16f-e967-4faa-85ee-90c40088d0a7","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f4955ade-ba06-43db-b3cc-bac41442a64c","type":"BoxAnnotation"},{"attributes":{},"id":"1a376fc2-c1d7-46e8-882e-7f966062cdac","type":"BasicTicker"},{"attributes":{},"id":"172bd936-c17e-4b1e-9912-fb7cfbe8f315","type":"HelpTool"},{"attributes":{"data_source":{"id":"477a2855-15b0-4177-bd31-4c5b5f389232","type":"ColumnDataSource"},"glyph":{"id":"09a33b0e-b084-40f6-b860-b9748477f714","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"573291ff-b7d7-4cbd-8417-fd5abfe0023e","type":"Circle"},"selection_glyph":null,"view":{"id":"d2b59ced-8fb4-4da6-beae-eab0f34a0720","type":"CDSView"}},"id":"cf896aec-b22a-4c97-96c1-81d03ee19fa3","type":"GlyphRenderer"},{"attributes":{},"id":"66dc728a-48eb-4381-b862-05b7223f6dac","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"09a33b0e-b084-40f6-b860-b9748477f714","type":"Circle"},{"attributes":{"source":{"id":"477a2855-15b0-4177-bd31-4c5b5f389232","type":"ColumnDataSource"}},"id":"d2b59ced-8fb4-4da6-beae-eab0f34a0720","type":"CDSView"},{"attributes":{},"id":"97b7bd4d-d931-4458-a47f-659abed92e4b","type":"WheelZoomTool"},{"attributes":{},"id":"f6bb7b01-70dc-4f6e-a1ab-5b4259448f54","type":"LinearScale"},{"attributes":{"below":[{"id":"f716cd53-2877-47d9-bae1-bbd0d8f44ed7","type":"LinearAxis"}],"left":[{"id":"a569b16f-e967-4faa-85ee-90c40088d0a7","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f716cd53-2877-47d9-bae1-bbd0d8f44ed7","type":"LinearAxis"},{"id":"1518985f-d0a4-4fc9-8460-9df25f53da26","type":"Grid"},{"id":"a569b16f-e967-4faa-85ee-90c40088d0a7","type":"LinearAxis"},{"id":"5992d170-7741-4cbb-816b-5e4f0736ffd9","type":"Grid"},{"id":"f4955ade-ba06-43db-b3cc-bac41442a64c","type":"BoxAnnotation"},{"id":"cf896aec-b22a-4c97-96c1-81d03ee19fa3","type":"GlyphRenderer"}],"title":{"id":"bcab55ea-7650-462c-8600-5f87c02ef1ea","type":"Title"},"toolbar":{"id":"dd115bc8-d013-4796-8e2b-67e8a08a3982","type":"Toolbar"},"x_range":{"id":"91763e86-e0f3-406f-929f-a72c85aacd73","type":"DataRange1d"},"x_scale":{"id":"706cae58-e0e1-43d1-bb87-a20ead9c054b","type":"LinearScale"},"y_range":{"id":"dc3f724f-4a5d-4035-81e0-a9211d6259b4","type":"DataRange1d"},"y_scale":{"id":"f6bb7b01-70dc-4f6e-a1ab-5b4259448f54","type":"LinearScale"}},"id":"6886570d-4a83-4a26-92bc-36e4b3036a76","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"91763e86-e0f3-406f-929f-a72c85aacd73","type":"DataRange1d"},{"attributes":{},"id":"469e4719-3a45-45f3-81f0-959342521943","type":"BasicTicker"},{"attributes":{},"id":"c013fa73-5c84-4da0-9a2c-4321768c0dbb","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"573291ff-b7d7-4cbd-8417-fd5abfe0023e","type":"Circle"},{"attributes":{"callback":null},"id":"dc3f724f-4a5d-4035-81e0-a9211d6259b4","type":"DataRange1d"}],"root_ids":["6886570d-4a83-4a26-92bc-36e4b3036a76"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"aff3ec8a-8a41-4487-a1ef-1bd7611c36f2","elementid":"b3b53f6e-5265-4d1e-afa2-ce4a99b47565","modelid":"6886570d-4a83-4a26-92bc-36e4b3036a76"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
