(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("26b572e6-5d43-4f9c-8ee2-98aea2ca5b72");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '26b572e6-5d43-4f9c-8ee2-98aea2ca5b72' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"84b9110b-0bbd-4324-9f8f-4bc7b077bca0":{"roots":{"references":[{"attributes":{},"id":"c9e910d5-fac9-49c9-ba05-dfcdee0ba3cf","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["color","y","x"],"data":{"color":["navy","orange","olive","firebrick","gold"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"46d77b4e-e32f-443a-b092-7a8890ebc5d7","type":"ColumnDataSource"},{"attributes":{"source":{"id":"46d77b4e-e32f-443a-b092-7a8890ebc5d7","type":"ColumnDataSource"}},"id":"d1bf066c-35d4-4fbc-b942-d06455b80e06","type":"CDSView"},{"attributes":{"plot":{"id":"2ece4205-0a7a-44db-866c-1614756528df","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0b12561-feeb-4409-a973-cf745e096c63","type":"BasicTicker"}},"id":"0eb9103d-1e44-4fe6-97c9-40d7f39d078c","type":"Grid"},{"attributes":{},"id":"d0b12561-feeb-4409-a973-cf745e096c63","type":"BasicTicker"},{"attributes":{"callback":null},"id":"35577317-69e3-4346-afea-01578d098d04","type":"DataRange1d"},{"attributes":{"plot":null,"text":"Click the Dots"},"id":"517f1325-6cb0-4f9e-a0fd-cab629d94125","type":"Title"},{"attributes":{},"id":"a362b823-859d-48c1-b2db-b483eee5bd38","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"a362b823-859d-48c1-b2db-b483eee5bd38","type":"BasicTickFormatter"},"plot":{"id":"2ece4205-0a7a-44db-866c-1614756528df","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0b12561-feeb-4409-a973-cf745e096c63","type":"BasicTicker"}},"id":"a75a09d5-9ec0-4433-9e5e-642eafebc423","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"2ece4205-0a7a-44db-866c-1614756528df","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8a0876e-d8ac-4898-a4e0-5be290e67205","type":"BasicTicker"}},"id":"3e7f8e39-fb45-47d5-898a-b4ba132ad775","type":"Grid"},{"attributes":{"below":[{"id":"a75a09d5-9ec0-4433-9e5e-642eafebc423","type":"LinearAxis"}],"left":[{"id":"7b6784c9-bac3-4e5f-be9e-356c00f853ca","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a75a09d5-9ec0-4433-9e5e-642eafebc423","type":"LinearAxis"},{"id":"0eb9103d-1e44-4fe6-97c9-40d7f39d078c","type":"Grid"},{"id":"7b6784c9-bac3-4e5f-be9e-356c00f853ca","type":"LinearAxis"},{"id":"3e7f8e39-fb45-47d5-898a-b4ba132ad775","type":"Grid"},{"id":"a01f054a-0637-4ad7-9746-de7354b21399","type":"GlyphRenderer"}],"title":{"id":"517f1325-6cb0-4f9e-a0fd-cab629d94125","type":"Title"},"toolbar":{"id":"29200cb0-e551-48c2-b024-3b7f2a109476","type":"Toolbar"},"x_range":{"id":"35577317-69e3-4346-afea-01578d098d04","type":"DataRange1d"},"x_scale":{"id":"7d2d7317-87e3-40d7-96db-bbebb5b16485","type":"LinearScale"},"y_range":{"id":"8597534d-df01-442f-835f-340c7ee3cfac","type":"DataRange1d"},"y_scale":{"id":"c54336fc-51f2-4544-ac78-b7f382a3cb4c","type":"LinearScale"}},"id":"2ece4205-0a7a-44db-866c-1614756528df","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b620d5bb-866c-4090-b04d-bc040faed65b","type":"Circle"},{"attributes":{"data_source":{"id":"46d77b4e-e32f-443a-b092-7a8890ebc5d7","type":"ColumnDataSource"},"glyph":{"id":"b620d5bb-866c-4090-b04d-bc040faed65b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f1487a48-d046-4d56-8958-c9328acd23d2","type":"Circle"},"selection_glyph":null,"view":{"id":"d1bf066c-35d4-4fbc-b942-d06455b80e06","type":"CDSView"}},"id":"a01f054a-0637-4ad7-9746-de7354b21399","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f1487a48-d046-4d56-8958-c9328acd23d2","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"774c5d8d-dc3d-491a-8c76-b75aeca90b4b","type":"TapTool"}]},"id":"29200cb0-e551-48c2-b024-3b7f2a109476","type":"Toolbar"},{"attributes":{"url":"http://www.colors.commutercreative.com/@color/"},"id":"64b7bd60-0c82-47ba-be36-90f16d775e02","type":"OpenURL"},{"attributes":{},"id":"7d2d7317-87e3-40d7-96db-bbebb5b16485","type":"LinearScale"},{"attributes":{"callback":null},"id":"8597534d-df01-442f-835f-340c7ee3cfac","type":"DataRange1d"},{"attributes":{},"id":"c54336fc-51f2-4544-ac78-b7f382a3cb4c","type":"LinearScale"},{"attributes":{},"id":"c8a0876e-d8ac-4898-a4e0-5be290e67205","type":"BasicTicker"},{"attributes":{"callback":{"id":"64b7bd60-0c82-47ba-be36-90f16d775e02","type":"OpenURL"}},"id":"774c5d8d-dc3d-491a-8c76-b75aeca90b4b","type":"TapTool"},{"attributes":{"formatter":{"id":"c9e910d5-fac9-49c9-ba05-dfcdee0ba3cf","type":"BasicTickFormatter"},"plot":{"id":"2ece4205-0a7a-44db-866c-1614756528df","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8a0876e-d8ac-4898-a4e0-5be290e67205","type":"BasicTicker"}},"id":"7b6784c9-bac3-4e5f-be9e-356c00f853ca","type":"LinearAxis"}],"root_ids":["2ece4205-0a7a-44db-866c-1614756528df"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"84b9110b-0bbd-4324-9f8f-4bc7b077bca0","elementid":"26b572e6-5d43-4f9c-8ee2-98aea2ca5b72","modelid":"2ece4205-0a7a-44db-866c-1614756528df"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
