(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2767d3b8-5372-4129-a7bb-8f8f73d97b8d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2767d3b8-5372-4129-a7bb-8f8f73d97b8d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9b0a1c9b-6e9f-4c04-be05-206583001ad5":{"roots":{"references":[{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"090cc282-01f2-4580-b516-503a075da9ca","type":"VBar"},{"attributes":{},"id":"fc4501ba-4f54-4d54-95ac-bb79e49618e6","type":"LinearScale"},{"attributes":{"below":[{"id":"82332d15-630a-4bd7-a6b3-d09c2b4cc7b7","type":"CategoricalAxis"}],"left":[{"id":"953863dc-4491-4bf7-8811-3f6b1e6269f7","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"82332d15-630a-4bd7-a6b3-d09c2b4cc7b7","type":"CategoricalAxis"},{"id":"9713f14a-b8df-41d0-a47d-8bdc0d9d60fa","type":"Grid"},{"id":"953863dc-4491-4bf7-8811-3f6b1e6269f7","type":"LinearAxis"},{"id":"acdcf417-6b33-4e98-bfab-b5adfc8eef4d","type":"Grid"},{"id":"665141a0-a49a-46a5-b67e-a8290e018738","type":"Legend"},{"id":"48292713-8c93-427e-bfa6-b13e310e4bd9","type":"GlyphRenderer"}],"title":{"id":"518a7c72-7337-48d6-8adc-da3a4c717b0f","type":"Title"},"toolbar":{"id":"fbfa41f2-15c7-43b0-8dac-4564fb5b58fc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b71037e1-7324-4b53-a275-9462e3b6707f","type":"FactorRange"},"x_scale":{"id":"dbc420e5-dfaa-48a2-b77e-a534c2282fec","type":"CategoricalScale"},"y_range":{"id":"85d18c16-5ddc-479c-ae4f-e963cbd46bd1","type":"Range1d"},"y_scale":{"id":"fc4501ba-4f54-4d54-95ac-bb79e49618e6","type":"LinearScale"}},"id":"6ca5e502-f978-4808-9c75-6a04f6d7b42c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"01c727b6-2285-4408-927e-93d7096ee931","type":"BasicTicker"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"b71037e1-7324-4b53-a275-9462e3b6707f","type":"FactorRange"},{"attributes":{"formatter":{"id":"135516ad-73fb-4b01-847e-d65d3fa402db","type":"CategoricalTickFormatter"},"plot":{"id":"6ca5e502-f978-4808-9c75-6a04f6d7b42c","subtype":"Figure","type":"Plot"},"ticker":{"id":"489381b1-9d24-4dd2-998d-144dd746d3ec","type":"CategoricalTicker"}},"id":"82332d15-630a-4bd7-a6b3-d09c2b4cc7b7","type":"CategoricalAxis"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"518a7c72-7337-48d6-8adc-da3a4c717b0f","type":"Title"},{"attributes":{},"id":"dbc420e5-dfaa-48a2-b77e-a534c2282fec","type":"CategoricalScale"},{"attributes":{},"id":"489381b1-9d24-4dd2-998d-144dd746d3ec","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"536f24f5-fb65-4595-9319-27cd415c673b","type":"BasicTickFormatter"},"plot":{"id":"6ca5e502-f978-4808-9c75-6a04f6d7b42c","subtype":"Figure","type":"Plot"},"ticker":{"id":"01c727b6-2285-4408-927e-93d7096ee931","type":"BasicTicker"}},"id":"953863dc-4491-4bf7-8811-3f6b1e6269f7","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"fbfa41f2-15c7-43b0-8dac-4564fb5b58fc","type":"Toolbar"},{"attributes":{},"id":"135516ad-73fb-4b01-847e-d65d3fa402db","type":"CategoricalTickFormatter"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"48292713-8c93-427e-bfa6-b13e310e4bd9","type":"GlyphRenderer"}]},"id":"f4b41030-b24a-4065-bd89-a025d51b7fd5","type":"LegendItem"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"39e172c9-5137-4eae-b69e-ecdbc3758d57","type":"ColumnDataSource"},{"attributes":{},"id":"536f24f5-fb65-4595-9319-27cd415c673b","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"39e172c9-5137-4eae-b69e-ecdbc3758d57","type":"ColumnDataSource"},"glyph":{"id":"090cc282-01f2-4580-b516-503a075da9ca","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dedfebff-449a-4c7a-af62-1eaf7e368a78","type":"VBar"},"selection_glyph":null,"view":{"id":"c868874d-c1fc-40ab-8adc-cdc17951bced","type":"CDSView"}},"id":"48292713-8c93-427e-bfa6-b13e310e4bd9","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":9},"id":"85d18c16-5ddc-479c-ae4f-e963cbd46bd1","type":"Range1d"},{"attributes":{"dimension":1,"plot":{"id":"6ca5e502-f978-4808-9c75-6a04f6d7b42c","subtype":"Figure","type":"Plot"},"ticker":{"id":"01c727b6-2285-4408-927e-93d7096ee931","type":"BasicTicker"}},"id":"acdcf417-6b33-4e98-bfab-b5adfc8eef4d","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"dedfebff-449a-4c7a-af62-1eaf7e368a78","type":"VBar"},{"attributes":{"source":{"id":"39e172c9-5137-4eae-b69e-ecdbc3758d57","type":"ColumnDataSource"}},"id":"c868874d-c1fc-40ab-8adc-cdc17951bced","type":"CDSView"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"6ca5e502-f978-4808-9c75-6a04f6d7b42c","subtype":"Figure","type":"Plot"},"ticker":{"id":"489381b1-9d24-4dd2-998d-144dd746d3ec","type":"CategoricalTicker"}},"id":"9713f14a-b8df-41d0-a47d-8bdc0d9d60fa","type":"Grid"},{"attributes":{"items":[{"id":"f4b41030-b24a-4065-bd89-a025d51b7fd5","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"6ca5e502-f978-4808-9c75-6a04f6d7b42c","subtype":"Figure","type":"Plot"}},"id":"665141a0-a49a-46a5-b67e-a8290e018738","type":"Legend"}],"root_ids":["6ca5e502-f978-4808-9c75-6a04f6d7b42c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9b0a1c9b-6e9f-4c04-be05-206583001ad5","elementid":"2767d3b8-5372-4129-a7bb-8f8f73d97b8d","modelid":"6ca5e502-f978-4808-9c75-6a04f6d7b42c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
