(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3bb52eb4-c7c4-41a9-8f25-d7da38924212");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3bb52eb4-c7c4-41a9-8f25-d7da38924212' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f36ad26d-b7c0-4c58-ad2f-e3b8d208644a":{"roots":{"references":[{"attributes":{},"id":"eb5299c0-3c3c-480e-9578-d02d1432879c","type":"ResetTool"},{"attributes":{"data_source":{"id":"4b2a7030-c64b-4f78-989c-c0a2e9b5523c","type":"ColumnDataSource"},"glyph":{"id":"55e4ac4c-04b3-46eb-9a01-a6e8ad203168","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"232e33e1-5672-4f82-9c26-e39b0b28b0e0","type":"Circle"},"selection_glyph":null,"view":{"id":"b2842e56-e922-46c5-afb4-dce792559a2a","type":"CDSView"}},"id":"bc4fc667-2247-4e40-ad66-f76105039f74","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"7e8f3fb7-5ef7-449b-a0d8-4ceb0b11d92f","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a0f0773a-91fd-4305-b522-2bafd1ca00b1","type":"BoxAnnotation"},{"attributes":{},"id":"5ba86ada-3bef-44df-a1e6-ec86830bb3ce","type":"PanTool"},{"attributes":{"below":[{"id":"d6ad668a-876c-456c-bdad-5c441f0bd8de","type":"LinearAxis"}],"left":[{"id":"f6f483a5-f61a-4c65-86c5-c2d7f42eea0d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d6ad668a-876c-456c-bdad-5c441f0bd8de","type":"LinearAxis"},{"id":"3c93e70d-7e24-4e0e-881e-4894c5ac2d86","type":"Grid"},{"id":"f6f483a5-f61a-4c65-86c5-c2d7f42eea0d","type":"LinearAxis"},{"id":"a5ef1d29-becb-4aa7-80eb-5a852516811c","type":"Grid"},{"id":"a0f0773a-91fd-4305-b522-2bafd1ca00b1","type":"BoxAnnotation"},{"id":"bc4fc667-2247-4e40-ad66-f76105039f74","type":"GlyphRenderer"}],"title":{"id":"02879bd8-fde5-4c29-b6b2-528d47a1c0ff","type":"Title"},"title_location":"left","toolbar":{"id":"8bc7ef70-c5ee-48ae-9f2c-6af6cd61768c","type":"Toolbar"},"x_range":{"id":"c26cfce9-4862-4fa8-8366-7026bcf8eedf","type":"DataRange1d"},"x_scale":{"id":"fd8a21b3-a11b-4767-9362-62429f83da72","type":"LinearScale"},"y_range":{"id":"7e8f3fb7-5ef7-449b-a0d8-4ceb0b11d92f","type":"DataRange1d"},"y_scale":{"id":"769e13ec-24ed-4040-a158-e294551dfe54","type":"LinearScale"}},"id":"34869f74-2aa6-4068-a7be-5fc4d8288856","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"4b2a7030-c64b-4f78-989c-c0a2e9b5523c","type":"ColumnDataSource"},{"attributes":{},"id":"769e13ec-24ed-4040-a158-e294551dfe54","type":"LinearScale"},{"attributes":{},"id":"fd8a21b3-a11b-4767-9362-62429f83da72","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5ba86ada-3bef-44df-a1e6-ec86830bb3ce","type":"PanTool"},{"id":"366e9bbf-a76a-4586-8aa0-8734f18fa07c","type":"WheelZoomTool"},{"id":"8020da4f-745f-44f3-bfca-fa2e8ece1736","type":"BoxZoomTool"},{"id":"03b4e655-2380-44cf-9e50-c5c19e260c3a","type":"SaveTool"},{"id":"eb5299c0-3c3c-480e-9578-d02d1432879c","type":"ResetTool"},{"id":"a37df12c-2e66-407b-801d-22560acff5b3","type":"HelpTool"}]},"id":"8bc7ef70-c5ee-48ae-9f2c-6af6cd61768c","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"55e4ac4c-04b3-46eb-9a01-a6e8ad203168","type":"Circle"},{"attributes":{"callback":null},"id":"c26cfce9-4862-4fa8-8366-7026bcf8eedf","type":"DataRange1d"},{"attributes":{},"id":"af9405ba-e609-4d01-9367-d0631096ab49","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"232e33e1-5672-4f82-9c26-e39b0b28b0e0","type":"Circle"},{"attributes":{},"id":"688a8895-30eb-41d0-9f0d-a0363303e9ab","type":"BasicTickFormatter"},{"attributes":{},"id":"03b4e655-2380-44cf-9e50-c5c19e260c3a","type":"SaveTool"},{"attributes":{"plot":null,"text":"Left Title"},"id":"02879bd8-fde5-4c29-b6b2-528d47a1c0ff","type":"Title"},{"attributes":{},"id":"1fcc313a-a507-4d78-bc15-8e90834039da","type":"BasicTicker"},{"attributes":{"plot":{"id":"34869f74-2aa6-4068-a7be-5fc4d8288856","subtype":"Figure","type":"Plot"},"ticker":{"id":"1fcc313a-a507-4d78-bc15-8e90834039da","type":"BasicTicker"}},"id":"3c93e70d-7e24-4e0e-881e-4894c5ac2d86","type":"Grid"},{"attributes":{},"id":"366e9bbf-a76a-4586-8aa0-8734f18fa07c","type":"WheelZoomTool"},{"attributes":{"source":{"id":"4b2a7030-c64b-4f78-989c-c0a2e9b5523c","type":"ColumnDataSource"}},"id":"b2842e56-e922-46c5-afb4-dce792559a2a","type":"CDSView"},{"attributes":{"formatter":{"id":"1b97e2cf-272f-41f4-b076-e5c4ad2a2b78","type":"BasicTickFormatter"},"plot":{"id":"34869f74-2aa6-4068-a7be-5fc4d8288856","subtype":"Figure","type":"Plot"},"ticker":{"id":"1fcc313a-a507-4d78-bc15-8e90834039da","type":"BasicTicker"}},"id":"d6ad668a-876c-456c-bdad-5c441f0bd8de","type":"LinearAxis"},{"attributes":{},"id":"a37df12c-2e66-407b-801d-22560acff5b3","type":"HelpTool"},{"attributes":{"overlay":{"id":"a0f0773a-91fd-4305-b522-2bafd1ca00b1","type":"BoxAnnotation"}},"id":"8020da4f-745f-44f3-bfca-fa2e8ece1736","type":"BoxZoomTool"},{"attributes":{},"id":"1b97e2cf-272f-41f4-b076-e5c4ad2a2b78","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"688a8895-30eb-41d0-9f0d-a0363303e9ab","type":"BasicTickFormatter"},"plot":{"id":"34869f74-2aa6-4068-a7be-5fc4d8288856","subtype":"Figure","type":"Plot"},"ticker":{"id":"af9405ba-e609-4d01-9367-d0631096ab49","type":"BasicTicker"}},"id":"f6f483a5-f61a-4c65-86c5-c2d7f42eea0d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"34869f74-2aa6-4068-a7be-5fc4d8288856","subtype":"Figure","type":"Plot"},"ticker":{"id":"af9405ba-e609-4d01-9367-d0631096ab49","type":"BasicTicker"}},"id":"a5ef1d29-becb-4aa7-80eb-5a852516811c","type":"Grid"}],"root_ids":["34869f74-2aa6-4068-a7be-5fc4d8288856"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f36ad26d-b7c0-4c58-ad2f-e3b8d208644a","elementid":"3bb52eb4-c7c4-41a9-8f25-d7da38924212","modelid":"34869f74-2aa6-4068-a7be-5fc4d8288856"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
