(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("093f45e7-42ef-4276-a79c-7cbdf25b4264");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '093f45e7-42ef-4276-a79c-7cbdf25b4264' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"45bc4fd8-9aa1-4f21-8fb9-204b404bd292":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"4bb83fe1-f30e-4436-9ff3-670561b0eeaa","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"5c682015-a67f-47cf-ba1b-537edbaa8656","subtype":"Figure","type":"Plot"},"ticker":{"id":"c51cff04-376a-46aa-82fe-15e88daf6625","type":"BasicTicker"}},"id":"7f85935a-efe1-44a0-891c-e3cdd3ace2b5","type":"Grid"},{"attributes":{},"id":"0524fc39-184d-4212-8afa-cca8385eb405","type":"ResetTool"},{"attributes":{"background_fill_alpha":{"value":0.5},"background_fill_color":{"value":"beige"},"below":[{"id":"b0fb1a0e-3cca-4595-8629-728e9708926a","type":"LinearAxis"}],"left":[{"id":"12838f05-b295-4eca-b9af-dcc880458953","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b0fb1a0e-3cca-4595-8629-728e9708926a","type":"LinearAxis"},{"id":"7f85935a-efe1-44a0-891c-e3cdd3ace2b5","type":"Grid"},{"id":"12838f05-b295-4eca-b9af-dcc880458953","type":"LinearAxis"},{"id":"084281c5-cecb-4ca6-bfec-7b3d6c20bc5e","type":"Grid"},{"id":"1bd33b75-025a-4734-8fc2-d14db47a6ef5","type":"BoxAnnotation"},{"id":"3a3af776-8a59-4673-bf16-faad578ec2cd","type":"GlyphRenderer"}],"title":{"id":"d3263764-9af4-4751-891d-bd65a31bb5b0","type":"Title"},"toolbar":{"id":"414d6eb2-2851-4553-9b99-d38eec23d9e5","type":"Toolbar"},"x_range":{"id":"b7879947-cb09-4473-a0e8-e2dca00a3d55","type":"DataRange1d"},"x_scale":{"id":"1c72e475-20c7-4120-ad9a-d36d3d73bf3b","type":"LinearScale"},"y_range":{"id":"1dc8f1f9-a7ab-42ec-b533-d186ebb34ce8","type":"DataRange1d"},"y_scale":{"id":"da521f14-fcfa-4d53-8b7e-bbe0507c27ba","type":"LinearScale"}},"id":"5c682015-a67f-47cf-ba1b-537edbaa8656","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"d3263764-9af4-4751-891d-bd65a31bb5b0","type":"Title"},{"attributes":{"source":{"id":"4bb83fe1-f30e-4436-9ff3-670561b0eeaa","type":"ColumnDataSource"}},"id":"e627863e-59f1-4aee-b651-f41dd056c3f3","type":"CDSView"},{"attributes":{"overlay":{"id":"1bd33b75-025a-4734-8fc2-d14db47a6ef5","type":"BoxAnnotation"}},"id":"be80cfe6-4d45-40d3-8a69-4964795cee8f","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"1dc8f1f9-a7ab-42ec-b533-d186ebb34ce8","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"54380382-4ae1-497f-9487-f3f1d19a0a3c","type":"Circle"},{"attributes":{"formatter":{"id":"333e8cbe-95b2-425a-a2f7-3356177feb7e","type":"BasicTickFormatter"},"plot":{"id":"5c682015-a67f-47cf-ba1b-537edbaa8656","subtype":"Figure","type":"Plot"},"ticker":{"id":"c51cff04-376a-46aa-82fe-15e88daf6625","type":"BasicTicker"}},"id":"b0fb1a0e-3cca-4595-8629-728e9708926a","type":"LinearAxis"},{"attributes":{},"id":"c51cff04-376a-46aa-82fe-15e88daf6625","type":"BasicTicker"},{"attributes":{},"id":"e99e1cee-20d1-487c-bc31-1fa5662ad92d","type":"BasicTicker"},{"attributes":{"data_source":{"id":"4bb83fe1-f30e-4436-9ff3-670561b0eeaa","type":"ColumnDataSource"},"glyph":{"id":"54380382-4ae1-497f-9487-f3f1d19a0a3c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d8cc6a43-3a41-4d40-9a20-dc5aa968b472","type":"Circle"},"selection_glyph":null,"view":{"id":"e627863e-59f1-4aee-b651-f41dd056c3f3","type":"CDSView"}},"id":"3a3af776-8a59-4673-bf16-faad578ec2cd","type":"GlyphRenderer"},{"attributes":{},"id":"08b1d580-292d-44ae-b1c8-8c06ef78b45f","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"d96a8c58-65bd-4948-8c5b-7fdf92c47f3e","type":"BasicTickFormatter"},"plot":{"id":"5c682015-a67f-47cf-ba1b-537edbaa8656","subtype":"Figure","type":"Plot"},"ticker":{"id":"e99e1cee-20d1-487c-bc31-1fa5662ad92d","type":"BasicTicker"}},"id":"12838f05-b295-4eca-b9af-dcc880458953","type":"LinearAxis"},{"attributes":{},"id":"29870488-2265-4c90-98a9-3f1f88cbf0ea","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"5c682015-a67f-47cf-ba1b-537edbaa8656","subtype":"Figure","type":"Plot"},"ticker":{"id":"e99e1cee-20d1-487c-bc31-1fa5662ad92d","type":"BasicTicker"}},"id":"084281c5-cecb-4ca6-bfec-7b3d6c20bc5e","type":"Grid"},{"attributes":{},"id":"d96a8c58-65bd-4948-8c5b-7fdf92c47f3e","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d8cc6a43-3a41-4d40-9a20-dc5aa968b472","type":"Circle"},{"attributes":{},"id":"333e8cbe-95b2-425a-a2f7-3356177feb7e","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"b7879947-cb09-4473-a0e8-e2dca00a3d55","type":"DataRange1d"},{"attributes":{},"id":"506a8eff-88cc-4614-8cff-361ad243f246","type":"SaveTool"},{"attributes":{},"id":"1c72e475-20c7-4120-ad9a-d36d3d73bf3b","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"29870488-2265-4c90-98a9-3f1f88cbf0ea","type":"PanTool"},{"id":"08b1d580-292d-44ae-b1c8-8c06ef78b45f","type":"WheelZoomTool"},{"id":"be80cfe6-4d45-40d3-8a69-4964795cee8f","type":"BoxZoomTool"},{"id":"506a8eff-88cc-4614-8cff-361ad243f246","type":"SaveTool"},{"id":"0524fc39-184d-4212-8afa-cca8385eb405","type":"ResetTool"},{"id":"5cb05bb7-9f5c-4e31-80c0-2f993e1ac07f","type":"HelpTool"}]},"id":"414d6eb2-2851-4553-9b99-d38eec23d9e5","type":"Toolbar"},{"attributes":{},"id":"da521f14-fcfa-4d53-8b7e-bbe0507c27ba","type":"LinearScale"},{"attributes":{},"id":"5cb05bb7-9f5c-4e31-80c0-2f993e1ac07f","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1bd33b75-025a-4734-8fc2-d14db47a6ef5","type":"BoxAnnotation"}],"root_ids":["5c682015-a67f-47cf-ba1b-537edbaa8656"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"45bc4fd8-9aa1-4f21-8fb9-204b404bd292","elementid":"093f45e7-42ef-4276-a79c-7cbdf25b4264","modelid":"5c682015-a67f-47cf-ba1b-537edbaa8656"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
