(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("35c101e9-2723-4495-a022-ba38ece45a66");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '35c101e9-2723-4495-a022-ba38ece45a66' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a78f0075-2e06-48cb-b491-b5cae9d99a28":{"roots":{"references":[{"attributes":{},"id":"591ddf6c-b407-4bf5-bd82-fb9af6bebac5","type":"SaveTool"},{"attributes":{},"id":"5db3239a-2997-47bc-9981-3cbee855701e","type":"ResetTool"},{"attributes":{},"id":"a370b0c3-c50c-4afc-8804-bb2135ca75e7","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"4eb3d37e-28a8-4029-ab76-4a5120b28ed7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2d41925-6593-4cca-839f-99aa0640daed","type":"BasicTicker"}},"id":"11065be3-40fc-485a-b425-bde46ca93251","type":"Grid"},{"attributes":{},"id":"b2d41925-6593-4cca-839f-99aa0640daed","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a1482268-fdf0-4cc0-8fa0-58184fe4119b","type":"DataRange1d"},{"attributes":{"children":[{"id":"32db8de6-3df7-4b30-ba17-a0e0ecb40d52","type":"WidgetBox"},{"id":"4eb3d37e-28a8-4029-ab76-4a5120b28ed7","subtype":"Figure","type":"Plot"}]},"id":"f409409b-c9b5-4977-a5b4-9e39ef6016ba","type":"Column"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"2a760bd3-70d4-4866-bbf5-23f0dbd62ae5","type":"ColumnDataSource"},{"attributes":{},"id":"0e987a92-222e-410d-8970-6e39479d24cb","type":"HelpTool"},{"attributes":{},"id":"dd507005-bd96-4323-9b05-fb202222ab16","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"60cea3a0-42da-43cf-8a81-c32013e7a9c4","type":"Title"},{"attributes":{},"id":"5161f9b6-9b4a-4331-b934-886d68772dfd","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"105c1e3d-f550-4e2a-941a-522170b33b2d","type":"BoxAnnotation"},{"attributes":{"source":{"id":"2a760bd3-70d4-4866-bbf5-23f0dbd62ae5","type":"ColumnDataSource"}},"id":"91e3c1c7-5b29-4b11-88cc-aeb8e38a6949","type":"CDSView"},{"attributes":{"callback":null},"id":"a6b62bea-3c40-487a-9f82-560eaa3e97a5","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"4eb3d37e-28a8-4029-ab76-4a5120b28ed7","subtype":"Figure","type":"Plot"},"ticker":{"id":"848dd966-7211-4a47-93e4-40a13475b0a7","type":"BasicTicker"}},"id":"94705abe-c87a-4209-836b-9f8a5066400c","type":"Grid"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"ad4cc4d0-2ca5-4d9e-aabf-c354a851f7d8","type":"Line"},{"attributes":{"callback":{"id":"f2f95509-8462-4a69-8b8d-c7d51139f4de","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"e6fc7981-555b-4eba-a752-f0831e3cdb09","type":"Slider"},{"attributes":{"children":[{"id":"e6fc7981-555b-4eba-a752-f0831e3cdb09","type":"Slider"}]},"id":"32db8de6-3df7-4b30-ba17-a0e0ecb40d52","type":"WidgetBox"},{"attributes":{"overlay":{"id":"105c1e3d-f550-4e2a-941a-522170b33b2d","type":"BoxAnnotation"}},"id":"eb4f53ae-cea6-48b5-9f34-febb7ff22bdc","type":"BoxZoomTool"},{"attributes":{},"id":"acad3bff-2899-427e-a35d-43540ed60a91","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"bf4164d3-0919-45bc-a362-398e572a8caf","type":"LinearAxis"}],"left":[{"id":"85439dbf-974a-4a63-a846-ccffccc6adaf","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"bf4164d3-0919-45bc-a362-398e572a8caf","type":"LinearAxis"},{"id":"11065be3-40fc-485a-b425-bde46ca93251","type":"Grid"},{"id":"85439dbf-974a-4a63-a846-ccffccc6adaf","type":"LinearAxis"},{"id":"94705abe-c87a-4209-836b-9f8a5066400c","type":"Grid"},{"id":"105c1e3d-f550-4e2a-941a-522170b33b2d","type":"BoxAnnotation"},{"id":"f13469bc-34a6-4b59-9804-867b3145b1e7","type":"GlyphRenderer"}],"title":{"id":"60cea3a0-42da-43cf-8a81-c32013e7a9c4","type":"Title"},"toolbar":{"id":"22985486-f458-4424-87b7-eb6fc5b755a1","type":"Toolbar"},"x_range":{"id":"a1482268-fdf0-4cc0-8fa0-58184fe4119b","type":"DataRange1d"},"x_scale":{"id":"ef4094f9-ee64-42c0-8a07-3210c393cc9a","type":"LinearScale"},"y_range":{"id":"a6b62bea-3c40-487a-9f82-560eaa3e97a5","type":"DataRange1d"},"y_scale":{"id":"5cfdfbc3-4479-4733-b48e-25d8b6941fbd","type":"LinearScale"}},"id":"4eb3d37e-28a8-4029-ab76-4a5120b28ed7","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5161f9b6-9b4a-4331-b934-886d68772dfd","type":"PanTool"},{"id":"a370b0c3-c50c-4afc-8804-bb2135ca75e7","type":"WheelZoomTool"},{"id":"eb4f53ae-cea6-48b5-9f34-febb7ff22bdc","type":"BoxZoomTool"},{"id":"591ddf6c-b407-4bf5-bd82-fb9af6bebac5","type":"SaveTool"},{"id":"5db3239a-2997-47bc-9981-3cbee855701e","type":"ResetTool"},{"id":"0e987a92-222e-410d-8970-6e39479d24cb","type":"HelpTool"}]},"id":"22985486-f458-4424-87b7-eb6fc5b755a1","type":"Toolbar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"40504efb-5ae3-4f32-8165-def7974484dd","type":"Line"},{"attributes":{},"id":"848dd966-7211-4a47-93e4-40a13475b0a7","type":"BasicTicker"},{"attributes":{"args":{"source":{"id":"2a760bd3-70d4-4866-bbf5-23f0dbd62ae5","type":"ColumnDataSource"}},"code":"var _pyfunc_range = function (start, end, step) {\nvar i, res = [];\n    var val = start;\n    var n = (end - start) / step;\n    for (i=0; i<n; i++) {\n        res.push(val);\n        val += step;\n    }\n    return res;\n};\nvar cb;\ncb = function (source, window) {\n    var data, f, i, stub1_, x, y;\n    source = (source === undefined) ? source: source;\n    window = (window === undefined) ? null: window;\n    data = source.data;\n    f = cb_obj.value;\n    stub1_ = [data[\"x\"], data[\"y\"]];\n    x = stub1_[0];y = stub1_[1];\n    for (i = 0; i < x.length; i += 1) {\n        y[i] = window.Math.pow(x[i], f);\n    }\n    source.change.emit();\n    return null;\n};\ncb(source, window);\n"},"id":"f2f95509-8462-4a69-8b8d-c7d51139f4de","type":"CustomJS"},{"attributes":{"data_source":{"id":"2a760bd3-70d4-4866-bbf5-23f0dbd62ae5","type":"ColumnDataSource"},"glyph":{"id":"ad4cc4d0-2ca5-4d9e-aabf-c354a851f7d8","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"40504efb-5ae3-4f32-8165-def7974484dd","type":"Line"},"selection_glyph":null,"view":{"id":"91e3c1c7-5b29-4b11-88cc-aeb8e38a6949","type":"CDSView"}},"id":"f13469bc-34a6-4b59-9804-867b3145b1e7","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"dd507005-bd96-4323-9b05-fb202222ab16","type":"BasicTickFormatter"},"plot":{"id":"4eb3d37e-28a8-4029-ab76-4a5120b28ed7","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2d41925-6593-4cca-839f-99aa0640daed","type":"BasicTicker"}},"id":"bf4164d3-0919-45bc-a362-398e572a8caf","type":"LinearAxis"},{"attributes":{},"id":"5cfdfbc3-4479-4733-b48e-25d8b6941fbd","type":"LinearScale"},{"attributes":{},"id":"ef4094f9-ee64-42c0-8a07-3210c393cc9a","type":"LinearScale"},{"attributes":{"formatter":{"id":"acad3bff-2899-427e-a35d-43540ed60a91","type":"BasicTickFormatter"},"plot":{"id":"4eb3d37e-28a8-4029-ab76-4a5120b28ed7","subtype":"Figure","type":"Plot"},"ticker":{"id":"848dd966-7211-4a47-93e4-40a13475b0a7","type":"BasicTicker"}},"id":"85439dbf-974a-4a63-a846-ccffccc6adaf","type":"LinearAxis"}],"root_ids":["f409409b-c9b5-4977-a5b4-9e39ef6016ba"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a78f0075-2e06-48cb-b491-b5cae9d99a28","elementid":"35c101e9-2723-4495-a022-ba38ece45a66","modelid":"f409409b-c9b5-4977-a5b4-9e39ef6016ba"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
