(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8119d3de-269a-4746-b1f6-7bb6f7c5e523");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8119d3de-269a-4746-b1f6-7bb6f7c5e523' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bfc91eb0-7967-45ce-8c95-915a2cd71f2f":{"roots":{"references":[{"attributes":{},"id":"9faca418-e0df-429d-b15c-65e8b3e9cda3","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"4fee305f-be86-4d02-8225-f8b7fcfedc43","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["navy","yellow","red"],"line_color":["navy","yellow","red"],"x":[0,1,0.5],"y":[0,0,0.7]}},"id":"20f834fd-2f1a-4ffb-aa65-25f0cb0b5aa2","type":"ColumnDataSource"},{"attributes":{},"id":"d610c8ff-14ba-4735-a2c7-b039c57cb138","type":"ResetTool"},{"attributes":{"formatter":{"id":"71ac663e-ecfa-4c00-976c-bb20db13edb0","type":"BasicTickFormatter"},"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"ticker":{"id":"9faca418-e0df-429d-b15c-65e8b3e9cda3","type":"BasicTicker"}},"id":"3eb6b040-d587-4efd-8bed-746559f6071b","type":"LinearAxis"},{"attributes":{"source":{"id":"20f834fd-2f1a-4ffb-aa65-25f0cb0b5aa2","type":"ColumnDataSource"}},"id":"316842d5-979b-48dc-9d18-1156b349692e","type":"CDSView"},{"attributes":{"data_source":{"id":"20f834fd-2f1a-4ffb-aa65-25f0cb0b5aa2","type":"ColumnDataSource"},"glyph":{"id":"56cdc024-1aa9-4dab-b7ca-0231b6a3597b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"55a261d5-f8ef-4c32-af72-d49bc3259ee0","type":"Circle"},"selection_glyph":null,"view":{"id":"316842d5-979b-48dc-9d18-1156b349692e","type":"CDSView"}},"id":"05f05c4b-6131-4c26-a509-07212078864a","type":"GlyphRenderer"},{"attributes":{"end":{"id":"8b786881-196f-4f99-996f-5e99fe6b6f61","type":"NormalHead"},"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.5},"x_start":{"value":1},"y_end":{"value":0.7},"y_start":{"value":0}},"id":"85b44385-b654-45c9-bb47-77271624ef3c","type":"Arrow"},{"attributes":{"plot":null,"size":35},"id":"7d3d4bfd-4c36-4837-a386-18b968b92285","type":"VeeHead"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"42915427-ec86-4657-8c99-bbaffada12e7","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"e2f7bfff-0010-4b22-91d0-94040eecbd17","type":"DataRange1d"},{"attributes":{},"id":"439493dc-ae94-4fbb-8e9e-08bf2bf7b209","type":"LinearScale"},{"attributes":{},"id":"05d5cf0e-64b5-41d7-b4a3-05f7cbd5890b","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"05d5cf0e-64b5-41d7-b4a3-05f7cbd5890b","type":"PanTool"},{"id":"849c4866-8b9d-481d-bd49-18e597811299","type":"WheelZoomTool"},{"id":"c028f9dd-7cc7-4291-878c-f70831afc544","type":"BoxZoomTool"},{"id":"07b5631a-aa4f-4936-a339-e056a35ee528","type":"SaveTool"},{"id":"d610c8ff-14ba-4735-a2c7-b039c57cb138","type":"ResetTool"},{"id":"09c29381-d551-4a56-b082-73d163de289a","type":"HelpTool"}]},"id":"42b13e22-6060-4063-b9a9-b8738eaa91ad","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"55a261d5-f8ef-4c32-af72-d49bc3259ee0","type":"Circle"},{"attributes":{"end":{"id":"848ef15f-0dfd-4bf8-96de-985a50c19362","type":"OpenHead"},"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":1},"x_start":{"value":0},"y_end":{"value":0},"y_start":{"value":0}},"id":"5ac44252-633d-40be-b474-69181ec50f85","type":"Arrow"},{"attributes":{},"id":"09c29381-d551-4a56-b082-73d163de289a","type":"HelpTool"},{"attributes":{"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"ticker":{"id":"9faca418-e0df-429d-b15c-65e8b3e9cda3","type":"BasicTicker"}},"id":"fbe1d5c2-46d2-43c8-bfed-bf1bb5a54463","type":"Grid"},{"attributes":{"callback":null},"id":"1e425db2-b16b-406e-9c3e-266d1ed7d7f7","type":"DataRange1d"},{"attributes":{},"id":"849c4866-8b9d-481d-bd49-18e597811299","type":"WheelZoomTool"},{"attributes":{},"id":"07b5631a-aa4f-4936-a339-e056a35ee528","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"56cdc024-1aa9-4dab-b7ca-0231b6a3597b","type":"Circle"},{"attributes":{"overlay":{"id":"42915427-ec86-4657-8c99-bbaffada12e7","type":"BoxAnnotation"}},"id":"c028f9dd-7cc7-4291-878c-f70831afc544","type":"BoxZoomTool"},{"attributes":{},"id":"2783b308-fd8b-4d3d-8289-7483fa88c5a0","type":"LinearScale"},{"attributes":{},"id":"01225da4-6a50-430a-a5e7-94e16664ce1b","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"orange"},"plot":null},"id":"8b786881-196f-4f99-996f-5e99fe6b6f61","type":"NormalHead"},{"attributes":{"dimension":1,"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"ticker":{"id":"01225da4-6a50-430a-a5e7-94e16664ce1b","type":"BasicTicker"}},"id":"82922ddd-6d53-4abc-9af4-5dfce4b56f95","type":"Grid"},{"attributes":{"below":[{"id":"3eb6b040-d587-4efd-8bed-746559f6071b","type":"LinearAxis"}],"left":[{"id":"c5639055-4781-41c6-83a9-c35877f141eb","type":"LinearAxis"}],"renderers":[{"id":"3eb6b040-d587-4efd-8bed-746559f6071b","type":"LinearAxis"},{"id":"fbe1d5c2-46d2-43c8-bfed-bf1bb5a54463","type":"Grid"},{"id":"c5639055-4781-41c6-83a9-c35877f141eb","type":"LinearAxis"},{"id":"82922ddd-6d53-4abc-9af4-5dfce4b56f95","type":"Grid"},{"id":"42915427-ec86-4657-8c99-bbaffada12e7","type":"BoxAnnotation"},{"id":"05f05c4b-6131-4c26-a509-07212078864a","type":"GlyphRenderer"},{"id":"5ac44252-633d-40be-b474-69181ec50f85","type":"Arrow"},{"id":"85b44385-b654-45c9-bb47-77271624ef3c","type":"Arrow"},{"id":"2aa3c688-d1de-4890-a5ee-7651644485ea","type":"Arrow"}],"title":{"id":"4fee305f-be86-4d02-8225-f8b7fcfedc43","type":"Title"},"toolbar":{"id":"42b13e22-6060-4063-b9a9-b8738eaa91ad","type":"Toolbar"},"x_range":{"id":"1e425db2-b16b-406e-9c3e-266d1ed7d7f7","type":"DataRange1d"},"x_scale":{"id":"439493dc-ae94-4fbb-8e9e-08bf2bf7b209","type":"LinearScale"},"y_range":{"id":"e2f7bfff-0010-4b22-91d0-94040eecbd17","type":"DataRange1d"},"y_scale":{"id":"2783b308-fd8b-4d3d-8289-7483fa88c5a0","type":"LinearScale"}},"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"71ac663e-ecfa-4c00-976c-bb20db13edb0","type":"BasicTickFormatter"},{"attributes":{"end":{"id":"7d3d4bfd-4c36-4837-a386-18b968b92285","type":"VeeHead"},"line_color":{"value":"red"},"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0},"x_start":{"value":0.5},"y_end":{"value":0},"y_start":{"value":0.7}},"id":"2aa3c688-d1de-4890-a5ee-7651644485ea","type":"Arrow"},{"attributes":{},"id":"49e7b33f-e179-4bd1-b8f5-fd8419ffea4e","type":"BasicTickFormatter"},{"attributes":{"line_color":{"value":"firebrick"},"line_width":{"value":4},"plot":null},"id":"848ef15f-0dfd-4bf8-96de-985a50c19362","type":"OpenHead"},{"attributes":{"formatter":{"id":"49e7b33f-e179-4bd1-b8f5-fd8419ffea4e","type":"BasicTickFormatter"},"plot":{"id":"fd63cc92-44df-49b9-a40c-3f0180dd8d42","subtype":"Figure","type":"Plot"},"ticker":{"id":"01225da4-6a50-430a-a5e7-94e16664ce1b","type":"BasicTicker"}},"id":"c5639055-4781-41c6-83a9-c35877f141eb","type":"LinearAxis"}],"root_ids":["fd63cc92-44df-49b9-a40c-3f0180dd8d42"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bfc91eb0-7967-45ce-8c95-915a2cd71f2f","elementid":"8119d3de-269a-4746-b1f6-7bb6f7c5e523","modelid":"fd63cc92-44df-49b9-a40c-3f0180dd8d42"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
