(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("82e7b717-c700-45ea-bdbc-4be9b54d19d6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '82e7b717-c700-45ea-bdbc-4be9b54d19d6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6894af6e-5922-4dd3-bfc2-3fdca576ef24":{"roots":{"references":[{"attributes":{"source":{"id":"90d4dac8-e323-4fd6-8e30-9af28c81a6d6","type":"ColumnDataSource"}},"id":"f53f2137-9ca4-4de2-bc8e-3f85b98d39c5","type":"CDSView"},{"attributes":{"callback":null},"id":"effc8622-2368-4f91-a938-8f21ec25a08a","type":"DataRange1d"},{"attributes":{"below":[{"id":"4f751a81-2944-40d0-adb9-e89145effec1","type":"LinearAxis"}],"left":[{"id":"9abb0774-ce37-4b4d-960f-df0025a95bc8","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"4f751a81-2944-40d0-adb9-e89145effec1","type":"LinearAxis"},{"id":"a943ca7a-144e-4baa-a605-09b484192eae","type":"Grid"},{"id":"9abb0774-ce37-4b4d-960f-df0025a95bc8","type":"LinearAxis"},{"id":"4413bcd1-07ca-4ac0-a14e-9839ad7c9547","type":"Grid"},{"id":"1e625fe9-348d-422f-a3c3-23ba750ae02e","type":"GlyphRenderer"}],"title":{"id":"c7a67f02-fa95-4e1e-825c-8a406284615f","type":"Title"},"toolbar":{"id":"6c785779-44d1-405e-a77e-a242210418e9","type":"Toolbar"},"x_range":{"id":"effc8622-2368-4f91-a938-8f21ec25a08a","type":"DataRange1d"},"x_scale":{"id":"8a5b5e3d-ae6a-404e-8a74-c6616d6e1637","type":"LinearScale"},"y_range":{"id":"e9b92298-7add-4ef2-aac4-dfac14e62c3c","type":"DataRange1d"},"y_scale":{"id":"f2bb91bc-4954-4b98-95de-fc3c6d3f6185","type":"LinearScale"}},"id":"24997be0-3c04-4fb5-a69f-dc795b137a5a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"bb0cd379-11d5-4509-a761-28c5b263718c","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"e9b92298-7add-4ef2-aac4-dfac14e62c3c","type":"DataRange1d"},{"attributes":{"formatter":{"id":"bb0cd379-11d5-4509-a761-28c5b263718c","type":"BasicTickFormatter"},"plot":{"id":"24997be0-3c04-4fb5-a69f-dc795b137a5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"a9957346-6766-440c-b9a9-97b92b49a936","type":"BasicTicker"}},"id":"9abb0774-ce37-4b4d-960f-df0025a95bc8","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","desc"],"data":{"desc":["A","b","C","d","E"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"90d4dac8-e323-4fd6-8e30-9af28c81a6d6","type":"ColumnDataSource"},{"attributes":{},"id":"8a5b5e3d-ae6a-404e-8a74-c6616d6e1637","type":"LinearScale"},{"attributes":{},"id":"a9957346-6766-440c-b9a9-97b92b49a936","type":"BasicTicker"},{"attributes":{},"id":"f2bb91bc-4954-4b98-95de-fc3c6d3f6185","type":"LinearScale"},{"attributes":{"data_source":{"id":"90d4dac8-e323-4fd6-8e30-9af28c81a6d6","type":"ColumnDataSource"},"glyph":{"id":"f8293bf1-37ba-4cef-a202-82558b3da090","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c1123e9d-9ffa-4e41-bebb-28808b74a4a3","type":"Circle"},"selection_glyph":null,"view":{"id":"f53f2137-9ca4-4de2-bc8e-3f85b98d39c5","type":"CDSView"}},"id":"1e625fe9-348d-422f-a3c3-23ba750ae02e","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5b5fdf83-8b32-4a56-a9df-bc1c14a766d9","type":"HoverTool"}]},"id":"6c785779-44d1-405e-a77e-a242210418e9","type":"Toolbar"},{"attributes":{"callback":null,"tooltips":[["index","$index"],["(x,y)","($x, $y)"],["desc","@desc"]]},"id":"5b5fdf83-8b32-4a56-a9df-bc1c14a766d9","type":"HoverTool"},{"attributes":{"formatter":{"id":"b370d9a6-104f-4838-ab6b-150d73ba100f","type":"BasicTickFormatter"},"plot":{"id":"24997be0-3c04-4fb5-a69f-dc795b137a5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c9386851-76f6-4056-a021-2af968f31993","type":"BasicTicker"}},"id":"4f751a81-2944-40d0-adb9-e89145effec1","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f8293bf1-37ba-4cef-a202-82558b3da090","type":"Circle"},{"attributes":{"plot":{"id":"24997be0-3c04-4fb5-a69f-dc795b137a5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c9386851-76f6-4056-a021-2af968f31993","type":"BasicTicker"}},"id":"a943ca7a-144e-4baa-a605-09b484192eae","type":"Grid"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"c7a67f02-fa95-4e1e-825c-8a406284615f","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"24997be0-3c04-4fb5-a69f-dc795b137a5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"a9957346-6766-440c-b9a9-97b92b49a936","type":"BasicTicker"}},"id":"4413bcd1-07ca-4ac0-a14e-9839ad7c9547","type":"Grid"},{"attributes":{},"id":"c9386851-76f6-4056-a021-2af968f31993","type":"BasicTicker"},{"attributes":{},"id":"b370d9a6-104f-4838-ab6b-150d73ba100f","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1123e9d-9ffa-4e41-bebb-28808b74a4a3","type":"Circle"}],"root_ids":["24997be0-3c04-4fb5-a69f-dc795b137a5a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6894af6e-5922-4dd3-bfc2-3fdca576ef24","elementid":"82e7b717-c700-45ea-bdbc-4be9b54d19d6","modelid":"24997be0-3c04-4fb5-a69f-dc795b137a5a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
