(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3f689c8a-22a8-4cfb-bc8f-39396d42e2f4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3f689c8a-22a8-4cfb-bc8f-39396d42e2f4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"66818699-f7c9-44f4-b976-248fe4e37a45":{"roots":{"references":[{"attributes":{"axis_label":"Weight (lbs)","formatter":{"id":"0babeccb-3f7f-4770-9003-14759234e878","type":"BasicTickFormatter"},"plot":{"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8815be5-09d6-4e58-921c-8878be853707","type":"BasicTicker"}},"id":"f446ebe2-d1c9-445e-b188-0350fa0d2b90","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["names","weight","height"],"data":{"height":[66,71,72,68,58,62],"names":["Mark","Amir","Matt","Greg","Owen","Juan"],"weight":[165,189,220,141,260,174]}},"id":"c59a2e67-6b4e-4fc6-8a22-36304ccc356e","type":"ColumnDataSource"},{"attributes":{},"id":"c8815be5-09d6-4e58-921c-8878be853707","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a5c98555-af8b-41d0-90af-cdb9d1b80d77","type":"PanTool"},{"id":"786597ff-78dd-4df8-b85e-4cac5ebbaa39","type":"WheelZoomTool"},{"id":"deba2ebd-f9cd-4174-86c3-59d0e2efdd3c","type":"BoxZoomTool"},{"id":"c3e74838-2048-4315-afa5-990856e6649d","type":"SaveTool"},{"id":"353bfa00-70b9-4278-b54a-c88567d675c7","type":"ResetTool"},{"id":"7fa531fc-7cc0-4d9d-b531-230268aa5825","type":"HelpTool"}]},"id":"b4dea3a6-e507-46bf-9c43-6deca54bc5ee","type":"Toolbar"},{"attributes":{"callback":null},"id":"606a1b45-83df-4b84-855b-c8e1a121fc21","type":"DataRange1d"},{"attributes":{},"id":"786597ff-78dd-4df8-b85e-4cac5ebbaa39","type":"WheelZoomTool"},{"attributes":{},"id":"353bfa00-70b9-4278-b54a-c88567d675c7","type":"ResetTool"},{"attributes":{"background_fill_color":{"value":"white"},"border_line_color":{"value":"black"},"plot":{"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},"render_mode":"css","text":"Collected by Luke C. 2016-04-01","x":70,"x_units":"screen","y":70,"y_units":"screen"},"id":"cd3716df-c68e-4e2f-96e3-9c0957143779","type":"Label"},{"attributes":{"below":[{"id":"f446ebe2-d1c9-445e-b188-0350fa0d2b90","type":"LinearAxis"}],"left":[{"id":"bc2d376d-81b0-4837-ae5e-776d50159107","type":"LinearAxis"}],"renderers":[{"id":"f446ebe2-d1c9-445e-b188-0350fa0d2b90","type":"LinearAxis"},{"id":"ddfdade8-97f4-4776-9d65-73f2f8476b4c","type":"Grid"},{"id":"bc2d376d-81b0-4837-ae5e-776d50159107","type":"LinearAxis"},{"id":"03e836d0-7dd1-4895-b7ba-6240b210f05e","type":"Grid"},{"id":"007f8bd1-0564-4e37-8d00-fe4f2d6efcc6","type":"BoxAnnotation"},{"id":"6d4a1771-d0b0-434e-8272-a9a9726f731b","type":"GlyphRenderer"},{"id":"f90447c9-1343-4010-8bb8-dfab6e13a4d9","type":"LabelSet"},{"id":"cd3716df-c68e-4e2f-96e3-9c0957143779","type":"Label"}],"title":{"id":"cecd3ae6-182d-40e0-b065-69d0b523115e","type":"Title"},"toolbar":{"id":"b4dea3a6-e507-46bf-9c43-6deca54bc5ee","type":"Toolbar"},"x_range":{"id":"e408e0fa-ab70-43ac-b331-fdb00ae0e7e6","type":"Range1d"},"x_scale":{"id":"c46c7447-75ad-4ecb-bec9-1b283ba0e25e","type":"LinearScale"},"y_range":{"id":"606a1b45-83df-4b84-855b-c8e1a121fc21","type":"DataRange1d"},"y_scale":{"id":"e99ff061-0a4a-4f59-b474-69458d70890d","type":"LinearScale"}},"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"d51532fd-024d-4b61-bae0-e2a6f436c18b","type":"Circle"},{"attributes":{},"id":"98ada2c2-5b64-407e-a545-c7e502e028d5","type":"BasicTicker"},{"attributes":{"callback":null,"end":275,"start":140},"id":"e408e0fa-ab70-43ac-b331-fdb00ae0e7e6","type":"Range1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"d7f809cf-3918-499b-aaa5-35eb08c84823","type":"Circle"},{"attributes":{"axis_label":"Height (in)","formatter":{"id":"d04f35f5-2659-4832-8e65-61d22fcfa339","type":"BasicTickFormatter"},"plot":{"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"98ada2c2-5b64-407e-a545-c7e502e028d5","type":"BasicTicker"}},"id":"bc2d376d-81b0-4837-ae5e-776d50159107","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"007f8bd1-0564-4e37-8d00-fe4f2d6efcc6","type":"BoxAnnotation"},{"attributes":{},"id":"a5c98555-af8b-41d0-90af-cdb9d1b80d77","type":"PanTool"},{"attributes":{},"id":"e99ff061-0a4a-4f59-b474-69458d70890d","type":"LinearScale"},{"attributes":{"plot":{"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8815be5-09d6-4e58-921c-8878be853707","type":"BasicTicker"}},"id":"ddfdade8-97f4-4776-9d65-73f2f8476b4c","type":"Grid"},{"attributes":{},"id":"c46c7447-75ad-4ecb-bec9-1b283ba0e25e","type":"LinearScale"},{"attributes":{"level":"glyph","plot":{"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},"source":{"id":"c59a2e67-6b4e-4fc6-8a22-36304ccc356e","type":"ColumnDataSource"},"text":{"field":"names"},"x":{"field":"weight"},"x_offset":{"value":5},"y":{"field":"height"},"y_offset":{"value":5}},"id":"f90447c9-1343-4010-8bb8-dfab6e13a4d9","type":"LabelSet"},{"attributes":{},"id":"0babeccb-3f7f-4770-9003-14759234e878","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Dist. of 10th Grade Students at Lee High"},"id":"cecd3ae6-182d-40e0-b065-69d0b523115e","type":"Title"},{"attributes":{"data_source":{"id":"c59a2e67-6b4e-4fc6-8a22-36304ccc356e","type":"ColumnDataSource"},"glyph":{"id":"d7f809cf-3918-499b-aaa5-35eb08c84823","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d51532fd-024d-4b61-bae0-e2a6f436c18b","type":"Circle"},"selection_glyph":null,"view":{"id":"6d06137a-d28e-45c8-a335-fbb0b5d44fe8","type":"CDSView"}},"id":"6d4a1771-d0b0-434e-8272-a9a9726f731b","type":"GlyphRenderer"},{"attributes":{},"id":"d04f35f5-2659-4832-8e65-61d22fcfa339","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"98ada2c2-5b64-407e-a545-c7e502e028d5","type":"BasicTicker"}},"id":"03e836d0-7dd1-4895-b7ba-6240b210f05e","type":"Grid"},{"attributes":{"source":{"id":"c59a2e67-6b4e-4fc6-8a22-36304ccc356e","type":"ColumnDataSource"}},"id":"6d06137a-d28e-45c8-a335-fbb0b5d44fe8","type":"CDSView"},{"attributes":{},"id":"7fa531fc-7cc0-4d9d-b531-230268aa5825","type":"HelpTool"},{"attributes":{"overlay":{"id":"007f8bd1-0564-4e37-8d00-fe4f2d6efcc6","type":"BoxAnnotation"}},"id":"deba2ebd-f9cd-4174-86c3-59d0e2efdd3c","type":"BoxZoomTool"},{"attributes":{},"id":"c3e74838-2048-4315-afa5-990856e6649d","type":"SaveTool"}],"root_ids":["b81c0c02-3e9a-46d4-834f-2b0b15b22b3a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"66818699-f7c9-44f4-b976-248fe4e37a45","elementid":"3f689c8a-22a8-4cfb-bc8f-39396d42e2f4","modelid":"b81c0c02-3e9a-46d4-834f-2b0b15b22b3a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
