(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ea9e344a-4ffc-47a5-8482-8fe7a0f07a8a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ea9e344a-4ffc-47a5-8482-8fe7a0f07a8a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"da58a94a-e5c1-439f-9e52-945855c3cc47":{"roots":{"references":[{"attributes":{},"id":"7ed35e09-8b19-4cc5-87a6-3dc358eca7d6","type":"BasicTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"d5b12038-ae06-43a2-a405-ccde3410574a","subtype":"Figure","type":"Plot"},"ticker":{"id":"93b04016-33de-49f4-8271-e1be2cf01658","type":"CategoricalTicker"}},"id":"1eaca35c-7378-4dc0-b398-0f1f7e430c83","type":"Grid"},{"attributes":{"fields":["2015","2016"]},"id":"67be1f28-bdb5-4fa6-89c6-4eb9c89b2939","type":"Stack"},{"attributes":{},"id":"228ac9f7-35d3-4a83-95b8-dabfa1cf81cc","type":"BasicTickFormatter"},{"attributes":{"callback":null,"start":0},"id":"47201c5f-6674-4656-a8ef-48a92c6648c2","type":"DataRange1d"},{"attributes":{"bottom":{"expr":{"id":"020d4541-dbe8-4f2c-a631-b3280dd6cc31","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"cef7306c-4bc1-461b-9972-576521e5eb0a","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"4054f00e-2963-4c85-a361-34c0d9d54bfc","type":"VBar"},{"attributes":{"below":[{"id":"0abf37b8-591f-4ece-88a2-21bc5d6488e9","type":"CategoricalAxis"}],"left":[{"id":"3f40fbe0-069e-4d23-8749-7c5749c0090d","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"0abf37b8-591f-4ece-88a2-21bc5d6488e9","type":"CategoricalAxis"},{"id":"1eaca35c-7378-4dc0-b398-0f1f7e430c83","type":"Grid"},{"id":"3f40fbe0-069e-4d23-8749-7c5749c0090d","type":"LinearAxis"},{"id":"ec34c673-c6ab-4a5b-bd97-93357c6c3f5d","type":"Grid"},{"id":"f407a473-d7fb-42ca-9dc7-71ad3bf41307","type":"Legend"},{"id":"9f1da3ed-3ede-48ac-84cd-7cb224edc69e","type":"GlyphRenderer"},{"id":"037c1f3c-0a9e-49e9-be1f-39c4fe2e40cd","type":"GlyphRenderer"},{"id":"276e05e0-5140-4a1b-a8f7-a357e5c90a04","type":"GlyphRenderer"}],"title":{"id":"61e3ccb5-c178-43e4-94db-a86eb6b7803e","type":"Title"},"toolbar":{"id":"fa1eafad-5a7a-4807-b9f2-06920b96bb6d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"997cf72f-79f0-477d-8f7e-764fc085427a","type":"FactorRange"},"x_scale":{"id":"f29b9a01-1539-40a5-8feb-c6ed5664a4b5","type":"CategoricalScale"},"y_range":{"id":"47201c5f-6674-4656-a8ef-48a92c6648c2","type":"DataRange1d"},"y_scale":{"id":"04bda25b-e863-477e-a0ac-bb40c553aed6","type":"LinearScale"}},"id":"d5b12038-ae06-43a2-a405-ccde3410574a","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"}},"id":"00cc6a64-95d5-4d1d-b419-84b1bff333a5","type":"CDSView"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"9f1da3ed-3ede-48ac-84cd-7cb224edc69e","type":"GlyphRenderer"}]},"id":"7d608603-528b-4ced-bc10-e0c53a7caf6c","type":"LegendItem"},{"attributes":{},"id":"5230fdcf-a450-4a78-a4f4-a8d79e8c8577","type":"CategoricalTickFormatter"},{"attributes":{"bottom":{"expr":{"id":"a1d51147-8e09-4841-9a0f-d88ec18e738b","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"25dcbf9f-3eb6-4695-beb9-f8ebb7deb254","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"02a6874d-0c87-46f7-8777-858a5dae7d57","type":"VBar"},{"attributes":{"formatter":{"id":"228ac9f7-35d3-4a83-95b8-dabfa1cf81cc","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"d5b12038-ae06-43a2-a405-ccde3410574a","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ed35e09-8b19-4cc5-87a6-3dc358eca7d6","type":"BasicTicker"}},"id":"3f40fbe0-069e-4d23-8749-7c5749c0090d","type":"LinearAxis"},{"attributes":{"fields":["2015","2016","2017"]},"id":"25dcbf9f-3eb6-4695-beb9-f8ebb7deb254","type":"Stack"},{"attributes":{"items":[{"id":"7d608603-528b-4ced-bc10-e0c53a7caf6c","type":"LegendItem"},{"id":"fd4bea0a-9589-477a-947c-ff7d41798b9c","type":"LegendItem"},{"id":"4df894de-a607-4e07-ab35-c06d67ca88a5","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"d5b12038-ae06-43a2-a405-ccde3410574a","subtype":"Figure","type":"Plot"}},"id":"f407a473-d7fb-42ca-9dc7-71ad3bf41307","type":"Legend"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"037c1f3c-0a9e-49e9-be1f-39c4fe2e40cd","type":"GlyphRenderer"}]},"id":"fd4bea0a-9589-477a-947c-ff7d41798b9c","type":"LegendItem"},{"attributes":{"bottom":{"expr":{"id":"130c8d38-2fff-4fd9-8202-2b3610a1b8b5","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"67be1f28-bdb5-4fa6-89c6-4eb9c89b2939","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"289de521-bbf3-4978-8a9e-1f03509b53a3","type":"VBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"997cf72f-79f0-477d-8f7e-764fc085427a","type":"FactorRange"},{"attributes":{"fields":["2015"]},"id":"cef7306c-4bc1-461b-9972-576521e5eb0a","type":"Stack"},{"attributes":{},"id":"93b04016-33de-49f4-8271-e1be2cf01658","type":"CategoricalTicker"},{"attributes":{},"id":"f29b9a01-1539-40a5-8feb-c6ed5664a4b5","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"},"glyph":{"id":"088602ea-b6a2-41fc-bdf3-df16315ecc15","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"289de521-bbf3-4978-8a9e-1f03509b53a3","type":"VBar"},"selection_glyph":null,"view":{"id":"00cc6a64-95d5-4d1d-b419-84b1bff333a5","type":"CDSView"}},"id":"037c1f3c-0a9e-49e9-be1f-39c4fe2e40cd","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"d5b12038-ae06-43a2-a405-ccde3410574a","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ed35e09-8b19-4cc5-87a6-3dc358eca7d6","type":"BasicTicker"}},"id":"ec34c673-c6ab-4a5b-bd97-93357c6c3f5d","type":"Grid"},{"attributes":{"data_source":{"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"},"glyph":{"id":"b5aba179-f0b6-4ee3-85fe-b0ec9bd2438c","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4054f00e-2963-4c85-a361-34c0d9d54bfc","type":"VBar"},"selection_glyph":null,"view":{"id":"2d55de5d-e3a7-4d5e-9e5e-3d28893db011","type":"CDSView"}},"id":"9f1da3ed-3ede-48ac-84cd-7cb224edc69e","type":"GlyphRenderer"},{"attributes":{"fields":[]},"id":"020d4541-dbe8-4f2c-a631-b3280dd6cc31","type":"Stack"},{"attributes":{"data_source":{"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"},"glyph":{"id":"6b15e281-dd34-405f-989f-6bac501bcf88","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"02a6874d-0c87-46f7-8777-858a5dae7d57","type":"VBar"},"selection_glyph":null,"view":{"id":"809c081b-4c76-46e2-b30c-c380eb29c100","type":"CDSView"}},"id":"276e05e0-5140-4a1b-a8f7-a357e5c90a04","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"fa1eafad-5a7a-4807-b9f2-06920b96bb6d","type":"Toolbar"},{"attributes":{"fields":["2015","2016"]},"id":"a1d51147-8e09-4841-9a0f-d88ec18e738b","type":"Stack"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"276e05e0-5140-4a1b-a8f7-a357e5c90a04","type":"GlyphRenderer"}]},"id":"4df894de-a607-4e07-ab35-c06d67ca88a5","type":"LegendItem"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"61e3ccb5-c178-43e4-94db-a86eb6b7803e","type":"Title"},{"attributes":{"bottom":{"expr":{"id":"020d4541-dbe8-4f2c-a631-b3280dd6cc31","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"cef7306c-4bc1-461b-9972-576521e5eb0a","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"b5aba179-f0b6-4ee3-85fe-b0ec9bd2438c","type":"VBar"},{"attributes":{"fields":["2015"]},"id":"130c8d38-2fff-4fd9-8202-2b3610a1b8b5","type":"Stack"},{"attributes":{"source":{"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"}},"id":"2d55de5d-e3a7-4d5e-9e5e-3d28893db011","type":"CDSView"},{"attributes":{},"id":"04bda25b-e863-477e-a0ac-bb40c553aed6","type":"LinearScale"},{"attributes":{"bottom":{"expr":{"id":"a1d51147-8e09-4841-9a0f-d88ec18e738b","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"25dcbf9f-3eb6-4695-beb9-f8ebb7deb254","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"6b15e281-dd34-405f-989f-6bac501bcf88","type":"VBar"},{"attributes":{"bottom":{"expr":{"id":"130c8d38-2fff-4fd9-8202-2b3610a1b8b5","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"67be1f28-bdb5-4fa6-89c6-4eb9c89b2939","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"088602ea-b6a2-41fc-bdf3-df16315ecc15","type":"VBar"},{"attributes":{"formatter":{"id":"5230fdcf-a450-4a78-a4f4-a8d79e8c8577","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"d5b12038-ae06-43a2-a405-ccde3410574a","subtype":"Figure","type":"Plot"},"ticker":{"id":"93b04016-33de-49f4-8271-e1be2cf01658","type":"CategoricalTicker"}},"id":"0abf37b8-591f-4ece-88a2-21bc5d6488e9","type":"CategoricalAxis"},{"attributes":{"source":{"id":"60387d12-5b3f-478f-841e-e29df002740b","type":"ColumnDataSource"}},"id":"809c081b-4c76-46e2-b30c-c380eb29c100","type":"CDSView"}],"root_ids":["d5b12038-ae06-43a2-a405-ccde3410574a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"da58a94a-e5c1-439f-9e52-945855c3cc47","elementid":"ea9e344a-4ffc-47a5-8482-8fe7a0f07a8a","modelid":"d5b12038-ae06-43a2-a405-ccde3410574a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
