(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("15411b77-66ec-406c-9db1-d2386099ac9f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '15411b77-66ec-406c-9db1-d2386099ac9f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"19817a89-bb7c-4e4d-9e8f-e555cd6675dc":{"roots":{"references":[{"attributes":{"plot":null,"text":"Categorical Dot Plot"},"id":"48ebfd36-c63f-4cfa-8a62-d63cab648cfc","type":"Title"},{"attributes":{},"id":"95ab1bb4-b1a6-4d13-ae29-327ad409bfe2","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"0a9b6920-2902-424f-bd40-1731dd9e4dbf","type":"FactorRange"},{"attributes":{"data_source":{"id":"e5f19935-829d-4de6-88ee-fb18ecf2443b","type":"ColumnDataSource"},"glyph":{"id":"9ad5288b-ee8d-48e9-bc95-135c02a94a7c","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"948daf80-2b63-408f-808d-3397c88e3853","type":"Rect"},"selection_glyph":null,"view":{"id":"3f5b24e9-bc87-4447-84ab-cc2dde32fb05","type":"CDSView"}},"id":"327e5bfa-a4a7-4313-98aa-c2c9c5a8e989","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Categorical Heatmap"},"id":"971d7d89-bef1-42bc-83b6-88971da0b70d","type":"Title"},{"attributes":{"callback":null,"column_names":["y1","y0","x1"],"data":{"x1":[50,40,65,10,25,37,80,60],"y0":["a","b","c","d","e","f","g","h"],"y1":["a","b","c","d","e","f","g","h"]}},"id":"c067d805-d297-4f71-a5cb-286169783edc","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"line_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"x":["foo 123","foo 123","foo 123","bar:0.2","bar:0.2","bar:0.2","baz-10","baz-10","baz-10"],"y":["foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10"]}},"id":"e5f19935-829d-4de6-88ee-fb18ecf2443b","type":"ColumnDataSource"},{"attributes":{},"id":"dd30395c-42f5-403d-be3f-83a05c3e346d","type":"CategoricalTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"ea740c35-9668-4db5-9922-5141fccef7c4","type":"Segment"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"9686dbae-c86c-446c-9d13-fd6d1193e351","type":"Circle"},{"attributes":{},"id":"7e10c867-7145-425a-a53d-799f933ab0d3","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"c067d805-d297-4f71-a5cb-286169783edc","type":"ColumnDataSource"}},"id":"4425a5aa-1df5-4f05-a7cd-81b4a68ed419","type":"CDSView"},{"attributes":{"plot":{"id":"b3bb6b44-8d62-4ded-8474-94ae4e227703","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd30395c-42f5-403d-be3f-83a05c3e346d","type":"CategoricalTicker"}},"id":"6bb2a855-5720-4fce-8d12-a92547e6062f","type":"Grid"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"8e569652-0576-4387-a814-0f1c58d47e07","type":"FactorRange"},{"attributes":{"source":{"id":"610b69bb-32a0-4cf4-9e72-164f34f85288","type":"ColumnDataSource"}},"id":"ca36e2da-40e7-4d5a-b62c-04048bf9f561","type":"CDSView"},{"attributes":{"formatter":{"id":"7e10c867-7145-425a-a53d-799f933ab0d3","type":"BasicTickFormatter"},"plot":{"id":"d3c15374-ea79-40bd-844f-5e90c639a458","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f17b623-339f-4ddb-ab51-afb66be3faeb","type":"BasicTicker"}},"id":"aeaefdbb-3947-4255-a8a5-0f14a7064c01","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"7d72e614-ceba-4559-b5f7-1a7c70474704","type":"Circle"},{"attributes":{},"id":"b047d78a-5cfd-44e6-8a3a-36a1961cdb99","type":"LinearScale"},{"attributes":{"below":[{"id":"0dd85e2e-434d-49c7-9f8a-0a768b03736a","type":"CategoricalAxis"}],"left":[{"id":"273d1ca0-ca4b-482c-bcc1-62380b93c05d","type":"CategoricalAxis"}],"renderers":[{"id":"0dd85e2e-434d-49c7-9f8a-0a768b03736a","type":"CategoricalAxis"},{"id":"6bb2a855-5720-4fce-8d12-a92547e6062f","type":"Grid"},{"id":"273d1ca0-ca4b-482c-bcc1-62380b93c05d","type":"CategoricalAxis"},{"id":"89f8e260-2a99-41af-aaec-06a55cade2f9","type":"Grid"},{"id":"327e5bfa-a4a7-4313-98aa-c2c9c5a8e989","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"971d7d89-bef1-42bc-83b6-88971da0b70d","type":"Title"},"toolbar":{"id":"5c347010-7fd0-4424-93f8-713ec498ed87","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0a9b6920-2902-424f-bd40-1731dd9e4dbf","type":"FactorRange"},"x_scale":{"id":"595d6180-cd9e-45a5-b788-d9f4f1915d67","type":"CategoricalScale"},"y_range":{"id":"8e569652-0576-4387-a814-0f1c58d47e07","type":"FactorRange"},"y_scale":{"id":"15e2418e-7920-402a-b300-c7a77bec22eb","type":"CategoricalScale"}},"id":"b3bb6b44-8d62-4ded-8474-94ae4e227703","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"f4455257-56f4-4ff1-860f-a9e3d56c1fc8","type":"CategoricalTickFormatter"},"plot":{"id":"d3c15374-ea79-40bd-844f-5e90c639a458","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe376cd8-ae5e-476f-a357-e5784b894684","type":"CategoricalTicker"}},"id":"00c1af82-dc2c-4aa5-a546-4199c71ad7ab","type":"CategoricalAxis"},{"attributes":{"plot":{"id":"d3c15374-ea79-40bd-844f-5e90c639a458","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f17b623-339f-4ddb-ab51-afb66be3faeb","type":"BasicTicker"}},"id":"faf916b5-3979-4ff0-943b-a42dead58295","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"610b69bb-32a0-4cf4-9e72-164f34f85288","type":"ColumnDataSource"},{"attributes":{},"id":"33d8e010-8bf6-417e-84c5-939d9c292f43","type":"CategoricalScale"},{"attributes":{"callback":null},"id":"990cfd04-3755-445a-979e-7e411caed3c2","type":"HoverTool"},{"attributes":{"below":[{"id":"aeaefdbb-3947-4255-a8a5-0f14a7064c01","type":"LinearAxis"}],"left":[{"id":"00c1af82-dc2c-4aa5-a546-4199c71ad7ab","type":"CategoricalAxis"}],"renderers":[{"id":"aeaefdbb-3947-4255-a8a5-0f14a7064c01","type":"LinearAxis"},{"id":"faf916b5-3979-4ff0-943b-a42dead58295","type":"Grid"},{"id":"00c1af82-dc2c-4aa5-a546-4199c71ad7ab","type":"CategoricalAxis"},{"id":"9f105b43-65d2-4a7f-bcf3-a04455231b90","type":"Grid"},{"id":"540eba00-4781-4316-bf39-5820200ccdfc","type":"GlyphRenderer"},{"id":"f2eea235-473a-46c4-9d3b-4666ee420ec8","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"48ebfd36-c63f-4cfa-8a62-d63cab648cfc","type":"Title"},"toolbar":{"id":"b18a9836-d058-4890-a514-3438d794ef7b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"d7397795-a668-4c45-9412-ec7da285dadf","type":"Range1d"},"x_scale":{"id":"b047d78a-5cfd-44e6-8a3a-36a1961cdb99","type":"LinearScale"},"y_range":{"id":"0db644e9-9bc0-4c65-bcc6-44217009dadb","type":"FactorRange"},"y_scale":{"id":"33d8e010-8bf6-417e-84c5-939d9c292f43","type":"CategoricalScale"}},"id":"d3c15374-ea79-40bd-844f-5e90c639a458","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"948daf80-2b63-408f-808d-3397c88e3853","type":"Rect"},{"attributes":{},"id":"fe376cd8-ae5e-476f-a357-e5784b894684","type":"CategoricalTicker"},{"attributes":{"source":{"id":"e5f19935-829d-4de6-88ee-fb18ecf2443b","type":"ColumnDataSource"}},"id":"3f5b24e9-bc87-4447-84ab-cc2dde32fb05","type":"CDSView"},{"attributes":{"callback":null,"end":100},"id":"d7397795-a668-4c45-9412-ec7da285dadf","type":"Range1d"},{"attributes":{"data_source":{"id":"c067d805-d297-4f71-a5cb-286169783edc","type":"ColumnDataSource"},"glyph":{"id":"2a2c0013-3a8d-4958-af08-e12f37e4bf5f","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ea740c35-9668-4db5-9922-5141fccef7c4","type":"Segment"},"selection_glyph":null,"view":{"id":"4425a5aa-1df5-4f05-a7cd-81b4a68ed419","type":"CDSView"}},"id":"540eba00-4781-4316-bf39-5820200ccdfc","type":"GlyphRenderer"},{"attributes":{},"id":"6f17b623-339f-4ddb-ab51-afb66be3faeb","type":"BasicTicker"},{"attributes":{"children":[{"id":"b3bb6b44-8d62-4ded-8474-94ae4e227703","subtype":"Figure","type":"Plot"},{"id":"d3c15374-ea79-40bd-844f-5e90c639a458","subtype":"Figure","type":"Plot"}],"sizing_mode":"scale_width"},"id":"1eb216aa-ef99-45ee-aedd-04197d32aded","type":"Row"},{"attributes":{"formatter":{"id":"95ab1bb4-b1a6-4d13-ae29-327ad409bfe2","type":"CategoricalTickFormatter"},"plot":{"id":"b3bb6b44-8d62-4ded-8474-94ae4e227703","subtype":"Figure","type":"Plot"},"ticker":{"id":"d1ca90e7-1c46-4fcd-adf0-1a716aef5d3e","type":"CategoricalTicker"}},"id":"273d1ca0-ca4b-482c-bcc1-62380b93c05d","type":"CategoricalAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"990cfd04-3755-445a-979e-7e411caed3c2","type":"HoverTool"}]},"id":"5c347010-7fd0-4424-93f8-713ec498ed87","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b18a9836-d058-4890-a514-3438d794ef7b","type":"Toolbar"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"2a2c0013-3a8d-4958-af08-e12f37e4bf5f","type":"Segment"},{"attributes":{"formatter":{"id":"0019cdd3-b506-4d54-9b74-fbca2672e857","type":"CategoricalTickFormatter"},"plot":{"id":"b3bb6b44-8d62-4ded-8474-94ae4e227703","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd30395c-42f5-403d-be3f-83a05c3e346d","type":"CategoricalTicker"}},"id":"0dd85e2e-434d-49c7-9f8a-0a768b03736a","type":"CategoricalAxis"},{"attributes":{},"id":"d1ca90e7-1c46-4fcd-adf0-1a716aef5d3e","type":"CategoricalTicker"},{"attributes":{},"id":"595d6180-cd9e-45a5-b788-d9f4f1915d67","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"610b69bb-32a0-4cf4-9e72-164f34f85288","type":"ColumnDataSource"},"glyph":{"id":"7d72e614-ceba-4559-b5f7-1a7c70474704","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9686dbae-c86c-446c-9d13-fd6d1193e351","type":"Circle"},"selection_glyph":null,"view":{"id":"ca36e2da-40e7-4d5a-b62c-04048bf9f561","type":"CDSView"}},"id":"f2eea235-473a-46c4-9d3b-4666ee420ec8","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"b3bb6b44-8d62-4ded-8474-94ae4e227703","subtype":"Figure","type":"Plot"},"ticker":{"id":"d1ca90e7-1c46-4fcd-adf0-1a716aef5d3e","type":"CategoricalTicker"}},"id":"89f8e260-2a99-41af-aaec-06a55cade2f9","type":"Grid"},{"attributes":{},"id":"15e2418e-7920-402a-b300-c7a77bec22eb","type":"CategoricalScale"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":1},"line_color":{"field":"line_color"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"9ad5288b-ee8d-48e9-bc95-135c02a94a7c","type":"Rect"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"0db644e9-9bc0-4c65-bcc6-44217009dadb","type":"FactorRange"},{"attributes":{},"id":"f4455257-56f4-4ff1-860f-a9e3d56c1fc8","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"d3c15374-ea79-40bd-844f-5e90c639a458","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe376cd8-ae5e-476f-a357-e5784b894684","type":"CategoricalTicker"}},"id":"9f105b43-65d2-4a7f-bcf3-a04455231b90","type":"Grid"},{"attributes":{},"id":"0019cdd3-b506-4d54-9b74-fbca2672e857","type":"CategoricalTickFormatter"}],"root_ids":["1eb216aa-ef99-45ee-aedd-04197d32aded"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"19817a89-bb7c-4e4d-9e8f-e555cd6675dc","elementid":"15411b77-66ec-406c-9db1-d2386099ac9f","modelid":"1eb216aa-ef99-45ee-aedd-04197d32aded"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
