(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("76cb7d5f-b7c9-49a1-aa1b-e33b3e19ec49");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '76cb7d5f-b7c9-49a1-aa1b-e33b3e19ec49' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"41f61ea6-f7ed-4706-b635-e03611d2aebe":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y0","x0","x1","y1"],"data":{"x0":["a","b","c","d","e","f"],"x1":["a","b","c","d","e","f"],"y0":{"__ndarray__":"VixXFo08BEC7nQpvXhwDQJJ4RGgKLgxAFDAW+M2RDUBgm2X45WQSQBnvC34LeRNA","dtype":"float64","shape":[6]},"y1":{"__ndarray__":"8Nio9F3q5j+Y7h/cZbbhP4IszRlZ7vk/oBvSr0RY/D+V5+R/YnoFQCZuAAV0HQZA","dtype":"float64","shape":[6]}}},"id":"24b4906a-f0df-4834-8b25-feb378209e72","type":"ColumnDataSource"},{"attributes":{"source":{"id":"d0b9b10d-c417-4914-9f4d-32efad6b1726","type":"ColumnDataSource"}},"id":"cc23f844-115c-403d-acf5-839044871616","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y0","x0","x1","y1"],"data":{"x0":["a","b","c","d","e","f"],"x1":["a","b","c","d","e","f"],"y0":{"__ndarray__":"hHJdX/NUBMDuOYWJLUQGwIxwFmyKyPi/ZuniLnFS+78gHMGb3yfgv2QyRVtuvue/","dtype":"float64","shape":[6]},"y1":{"__ndarray__":"dpuW0hnI4r/uM/VXpf/ov1hQlSrFlNY/EgBawe9P2D9GEOwT44r2P+ZGjMAOyvU/","dtype":"float64","shape":[6]}}},"id":"1fdef0bc-39a0-4810-9be8-28662bd67564","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["bottom","top","x"],"data":{"bottom":{"__ndarray__":"8Nio9F3q5j+Y7h/cZbbhP4IszRlZ7vk/oBvSr0RY/D+V5+R/YnoFQCZuAAV0HQZA","dtype":"float64","shape":[6]},"top":{"__ndarray__":"Sk4+R+KsrT9arFsmCwjCv1w4lnjcPfA/eThb46CT8D84Q/1OECMAQLMWOz4nOgBA","dtype":"float64","shape":[6]},"x":["a","b","c","d","e","f"]}},"id":"2404572f-decb-456d-ba4d-e2cd3c04e694","type":"ColumnDataSource"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"1e74be87-3c4d-4083-af29-85260025f95c","type":"VBar"},{"attributes":{"data_source":{"id":"38796a7a-bea9-4148-a709-d44a49606bbc","type":"ColumnDataSource"},"glyph":{"id":"48eff78d-fea0-4991-87aa-a5ef3d1b5453","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7a506d6b-bd5a-4371-bc66-fc9bfeb9b4a1","type":"Circle"},"selection_glyph":null,"view":{"id":"42494c03-2f2e-4a1f-a276-d771909ae9c8","type":"CDSView"}},"id":"a970a46b-41f4-437e-bfc0-ae9508696309","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#F38630"},"line_color":{"value":"#F38630"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"48eff78d-fea0-4991-87aa-a5ef3d1b5453","type":"Circle"},{"attributes":{"background_fill_color":{"value":"#EFE8E2"},"below":[{"id":"c8f35075-8df6-4b6a-a665-5344f5f43b76","type":"CategoricalAxis"}],"left":[{"id":"b2248848-c245-40ce-a11f-f2313676b11f","type":"LinearAxis"}],"renderers":[{"id":"c8f35075-8df6-4b6a-a665-5344f5f43b76","type":"CategoricalAxis"},{"id":"b49ee536-cbba-43d7-825f-e5aa066b5c57","type":"Grid"},{"id":"b2248848-c245-40ce-a11f-f2313676b11f","type":"LinearAxis"},{"id":"abfbd107-fa42-41de-9a25-3a54eedc6a07","type":"Grid"},{"id":"d7571989-5fa2-4230-9399-2625f65372dd","type":"GlyphRenderer"},{"id":"5d8a699f-9ab6-4e03-b18e-6ffeccd407c8","type":"GlyphRenderer"},{"id":"4dfffea3-e53a-46a9-9035-967fc57836a7","type":"GlyphRenderer"},{"id":"ea572291-bbcb-4b5d-93d2-13e4742368d6","type":"GlyphRenderer"},{"id":"ecb84595-cb5c-47d1-a78f-7dd006a4ee79","type":"GlyphRenderer"},{"id":"710a9b21-b8cf-45e0-a0b9-59de40fc4900","type":"GlyphRenderer"},{"id":"a970a46b-41f4-437e-bfc0-ae9508696309","type":"GlyphRenderer"}],"title":{"id":"c679f2da-a47b-40c3-b9c6-69c2fcbda2e0","type":"Title"},"toolbar":{"id":"c4fcf005-9d94-4144-bd43-21e80c1d694c","type":"Toolbar"},"x_range":{"id":"323c9c2d-947f-42d6-a463-6269d738b553","type":"FactorRange"},"x_scale":{"id":"31a4156a-2f5e-4ddb-9ccb-1680d602a7a9","type":"CategoricalScale"},"y_range":{"id":"2c910530-4d61-48d3-8fb1-3d2306197a3c","type":"DataRange1d"},"y_scale":{"id":"8086f729-2946-49dd-85a0-37231f8fd6e0","type":"LinearScale"}},"id":"dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"c679f2da-a47b-40c3-b9c6-69c2fcbda2e0","type":"Title"},{"attributes":{"data_source":{"id":"9505bc9d-26fd-4dbd-8e17-712b63bf3bad","type":"ColumnDataSource"},"glyph":{"id":"32f02e2b-1e30-491f-bb64-9a13057238e5","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6ca521ae-8c09-498f-816b-a176c9e5433e","type":"Rect"},"selection_glyph":null,"view":{"id":"1d47795a-24c3-445b-b0be-afe7dd283169","type":"CDSView"}},"id":"710a9b21-b8cf-45e0-a0b9-59de40fc4900","type":"GlyphRenderer"},{"attributes":{},"id":"e091c8e0-9d9c-4670-9ac3-e4e421fbd5b9","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"38796a7a-bea9-4148-a709-d44a49606bbc","type":"ColumnDataSource"}},"id":"42494c03-2f2e-4a1f-a276-d771909ae9c8","type":"CDSView"},{"attributes":{"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"935dde39-154e-4fec-a4df-21cad758648b","type":"Segment"},{"attributes":{"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"3e3cf6e5-93ef-48f1-95e1-6677a6692f0b","type":"Segment"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"86180db0-5a31-44b1-b452-6f99617bede0","type":"SaveTool"}]},"id":"c4fcf005-9d94-4144-bd43-21e80c1d694c","type":"Toolbar"},{"attributes":{"source":{"id":"9505bc9d-26fd-4dbd-8e17-712b63bf3bad","type":"ColumnDataSource"}},"id":"1d47795a-24c3-445b-b0be-afe7dd283169","type":"CDSView"},{"attributes":{"source":{"id":"2404572f-decb-456d-ba4d-e2cd3c04e694","type":"ColumnDataSource"}},"id":"4b8030b2-b512-4abd-9fc9-d703c2df37f1","type":"CDSView"},{"attributes":{},"id":"ec3225ca-d451-4efd-b023-c43cc9f896de","type":"CategoricalTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"52cb7e4f-94d4-4e0d-801d-580b05aae9e0","type":"Rect"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["a","b","c","d","e","f"],"y":{"__ndarray__":"VixXFo08BEC7nQpvXhwDQJJ4RGgKLgxAFDAW+M2RDUBgm2X45WQSQBnvC34LeRNA","dtype":"float64","shape":[6]}}},"id":"9505bc9d-26fd-4dbd-8e17-712b63bf3bad","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"9a3da3c9-e40d-4c45-9403-53b8a4ae0295","type":"Segment"},{"attributes":{"grid_line_color":{"value":null},"grid_line_width":{"value":2},"plot":{"id":"dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec3225ca-d451-4efd-b023-c43cc9f896de","type":"CategoricalTicker"}},"id":"b49ee536-cbba-43d7-825f-e5aa066b5c57","type":"Grid"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#3B8686"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"6a595451-470f-4074-9a94-221e4ae74afe","type":"VBar"},{"attributes":{"data_source":{"id":"24b4906a-f0df-4834-8b25-feb378209e72","type":"ColumnDataSource"},"glyph":{"id":"935dde39-154e-4fec-a4df-21cad758648b","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9a3da3c9-e40d-4c45-9403-53b8a4ae0295","type":"Segment"},"selection_glyph":null,"view":{"id":"252ef73b-ce5a-4f89-b682-8d203fb3646d","type":"CDSView"}},"id":"d7571989-5fa2-4230-9399-2625f65372dd","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"2c910530-4d61-48d3-8fb1-3d2306197a3c","type":"DataRange1d"},{"attributes":{"source":{"id":"1fdef0bc-39a0-4810-9be8-28662bd67564","type":"ColumnDataSource"}},"id":"a1024f9f-1974-404f-82b3-12e52a66f57e","type":"CDSView"},{"attributes":{"formatter":{"id":"1cd6099c-1fbe-4a1d-bf39-52c5841dc91d","type":"CategoricalTickFormatter"},"major_label_text_font_size":{"value":"12pt"},"plot":{"id":"dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec3225ca-d451-4efd-b023-c43cc9f896de","type":"CategoricalTicker"}},"id":"c8f35075-8df6-4b6a-a665-5344f5f43b76","type":"CategoricalAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":["a","b","c","c","c","c","c","c","d","e","e","e","f","f","f"],"y":[-2.753803905924419,-3.26317710749484,3.572656914472253,3.5811279270918006,3.5394930525948545,3.9080655841627876,-1.5614405003100869,3.624840952394822,-1.8988469206957101,5.130313440306583,-0.6522745524517655,-0.7512414438369994,-0.7628551003242556,4.8709562770423,5.794992234250399]}},"id":"38796a7a-bea9-4148-a709-d44a49606bbc","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"2404572f-decb-456d-ba4d-e2cd3c04e694","type":"ColumnDataSource"},"glyph":{"id":"db3a1b15-3f3a-44d4-a4cc-c40ccacdbe37","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e2fdb823-688a-41e4-8530-5f6f6804f7e3","type":"VBar"},"selection_glyph":null,"view":{"id":"4b8030b2-b512-4abd-9fc9-d703c2df37f1","type":"CDSView"}},"id":"4dfffea3-e53a-46a9-9035-967fc57836a7","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"bc5453b8-9a1c-4469-bf60-af82b47f464b","type":"ColumnDataSource"},"glyph":{"id":"6a595451-470f-4074-9a94-221e4ae74afe","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1e74be87-3c4d-4083-af29-85260025f95c","type":"VBar"},"selection_glyph":null,"view":{"id":"9953c46d-cf86-46b2-b629-e3fe640a61f8","type":"CDSView"}},"id":"ea572291-bbcb-4b5d-93d2-13e4742368d6","type":"GlyphRenderer"},{"attributes":{},"id":"183daf36-3393-43b3-9a71-9f055a82c3e3","type":"BasicTicker"},{"attributes":{},"id":"8086f729-2946-49dd-85a0-37231f8fd6e0","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"ade9d334-6cfb-407a-bc3a-7814807e4217","type":"Segment"},{"attributes":{"source":{"id":"bc5453b8-9a1c-4469-bf60-af82b47f464b","type":"ColumnDataSource"}},"id":"9953c46d-cf86-46b2-b629-e3fe640a61f8","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"32f02e2b-1e30-491f-bb64-9a13057238e5","type":"Rect"},{"attributes":{"callback":null,"column_names":["bottom","top","x"],"data":{"bottom":{"__ndarray__":"Sk4+R+KsrT9arFsmCwjCv1w4lnjcPfA/eThb46CT8D84Q/1OECMAQLMWOz4nOgBA","dtype":"float64","shape":[6]},"top":{"__ndarray__":"dpuW0hnI4r/uM/VXpf/ov1hQlSrFlNY/EgBawe9P2D9GEOwT44r2P+ZGjMAOyvU/","dtype":"float64","shape":[6]},"x":["a","b","c","d","e","f"]}},"id":"bc5453b8-9a1c-4469-bf60-af82b47f464b","type":"ColumnDataSource"},{"attributes":{},"id":"31a4156a-2f5e-4ddb-9ccb-1680d602a7a9","type":"CategoricalScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0ea70253-43f3-45bf-af57-07090e711f8d","type":"Rect"},{"attributes":{},"id":"1cd6099c-1fbe-4a1d-bf39-52c5841dc91d","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f"]},"id":"323c9c2d-947f-42d6-a463-6269d738b553","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"7a506d6b-bd5a-4371-bc66-fc9bfeb9b4a1","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["a","b","c","d","e","f"],"y":{"__ndarray__":"hHJdX/NUBMDuOYWJLUQGwIxwFmyKyPi/ZuniLnFS+78gHMGb3yfgv2QyRVtuvue/","dtype":"float64","shape":[6]}}},"id":"d0b9b10d-c417-4914-9f4d-32efad6b1726","type":"ColumnDataSource"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#E08E79"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"db3a1b15-3f3a-44d4-a4cc-c40ccacdbe37","type":"VBar"},{"attributes":{},"id":"86180db0-5a31-44b1-b452-6f99617bede0","type":"SaveTool"},{"attributes":{"formatter":{"id":"e091c8e0-9d9c-4670-9ac3-e4e421fbd5b9","type":"BasicTickFormatter"},"plot":{"id":"dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"183daf36-3393-43b3-9a71-9f055a82c3e3","type":"BasicTicker"}},"id":"b2248848-c245-40ce-a11f-f2313676b11f","type":"LinearAxis"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"e2fdb823-688a-41e4-8530-5f6f6804f7e3","type":"VBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6ca521ae-8c09-498f-816b-a176c9e5433e","type":"Rect"},{"attributes":{"data_source":{"id":"1fdef0bc-39a0-4810-9be8-28662bd67564","type":"ColumnDataSource"},"glyph":{"id":"3e3cf6e5-93ef-48f1-95e1-6677a6692f0b","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ade9d334-6cfb-407a-bc3a-7814807e4217","type":"Segment"},"selection_glyph":null,"view":{"id":"a1024f9f-1974-404f-82b3-12e52a66f57e","type":"CDSView"}},"id":"5d8a699f-9ab6-4e03-b18e-6ffeccd407c8","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"d0b9b10d-c417-4914-9f4d-32efad6b1726","type":"ColumnDataSource"},"glyph":{"id":"0ea70253-43f3-45bf-af57-07090e711f8d","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"52cb7e4f-94d4-4e0d-801d-580b05aae9e0","type":"Rect"},"selection_glyph":null,"view":{"id":"cc23f844-115c-403d-acf5-839044871616","type":"CDSView"}},"id":"ecb84595-cb5c-47d1-a78f-7dd006a4ee79","type":"GlyphRenderer"},{"attributes":{"dimension":1,"grid_line_color":{"value":"white"},"grid_line_width":{"value":2},"plot":{"id":"dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d","subtype":"Figure","type":"Plot"},"ticker":{"id":"183daf36-3393-43b3-9a71-9f055a82c3e3","type":"BasicTicker"}},"id":"abfbd107-fa42-41de-9a25-3a54eedc6a07","type":"Grid"},{"attributes":{"source":{"id":"24b4906a-f0df-4834-8b25-feb378209e72","type":"ColumnDataSource"}},"id":"252ef73b-ce5a-4f89-b682-8d203fb3646d","type":"CDSView"}],"root_ids":["dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"41f61ea6-f7ed-4706-b635-e03611d2aebe","elementid":"76cb7d5f-b7c9-49a1-aa1b-e33b3e19ec49","modelid":"dc0dc430-7a23-4d3e-9c7a-f74cb5a8cc8d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
