(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a7dccfcb-3693-4857-9a1e-a54abd2252f1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a7dccfcb-3693-4857-9a1e-a54abd2252f1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e47b9769-0d9c-4544-b316-a910bf7b5cfa":{"roots":{"references":[{"attributes":{},"id":"026fb127-ab67-4059-84be-7ee4078e6324","type":"BasicTicker"},{"attributes":{},"id":"d578c438-94b0-4481-99bd-f912f0d9a7d9","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"3ea4bf9a-e817-4d0a-86c0-51df203a9f8a","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b64c1bac-da7b-4a73-9be0-e8b2a593a6ca","type":"DataRange1d"},{"attributes":{},"id":"af9571dd-c6dd-48a0-9100-7dd7a2af0a13","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#7fc97f"},"inner_radius":{"units":"data","value":0.2},"outer_radius":{"units":"data","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"43139bf1-6d92-40a5-8e10-3a8a7d2f1993","type":"Annulus"},{"attributes":{"source":{"id":"3ea4bf9a-e817-4d0a-86c0-51df203a9f8a","type":"ColumnDataSource"}},"id":"e1fb075a-db86-4aa5-bc7e-f8ca1ca71af7","type":"CDSView"},{"attributes":{"data_source":{"id":"3ea4bf9a-e817-4d0a-86c0-51df203a9f8a","type":"ColumnDataSource"},"glyph":{"id":"43139bf1-6d92-40a5-8e10-3a8a7d2f1993","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e1fb075a-db86-4aa5-bc7e-f8ca1ca71af7","type":"CDSView"}},"id":"dfc6caaa-4909-4b2e-9c91-fc90695d8416","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"af9571dd-c6dd-48a0-9100-7dd7a2af0a13","type":"BasicTickFormatter"},"plot":{"id":"c1bd7d11-e8c7-4986-bd88-406c443e8e44","type":"Plot"},"ticker":{"id":"2f9ddd9d-951b-47ea-a21e-337833d3f519","type":"BasicTicker"}},"id":"b22d68c2-6e25-402c-a69a-e534177469a1","type":"LinearAxis"},{"attributes":{"callback":null},"id":"28698d9b-8ecb-43b1-b02d-28e9826fa9c7","type":"DataRange1d"},{"attributes":{},"id":"2f9ddd9d-951b-47ea-a21e-337833d3f519","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"198f7f77-93db-4f1c-bec3-4ced88634839","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"c1bd7d11-e8c7-4986-bd88-406c443e8e44","type":"Plot"},"ticker":{"id":"2f9ddd9d-951b-47ea-a21e-337833d3f519","type":"BasicTicker"}},"id":"41e65e59-db39-4671-af3b-b660b631fbb7","type":"Grid"},{"attributes":{},"id":"4ba605d3-e005-4ddb-95ac-a598c2d03b05","type":"LinearScale"},{"attributes":{"plot":{"id":"c1bd7d11-e8c7-4986-bd88-406c443e8e44","type":"Plot"},"ticker":{"id":"026fb127-ab67-4059-84be-7ee4078e6324","type":"BasicTicker"}},"id":"7e505e2b-15cc-44f4-882f-16ed23484557","type":"Grid"},{"attributes":{"below":[{"id":"f8e62d60-43d7-4c19-b7b6-9b280eee4e45","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b22d68c2-6e25-402c-a69a-e534177469a1","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"dfc6caaa-4909-4b2e-9c91-fc90695d8416","type":"GlyphRenderer"},{"id":"f8e62d60-43d7-4c19-b7b6-9b280eee4e45","type":"LinearAxis"},{"id":"b22d68c2-6e25-402c-a69a-e534177469a1","type":"LinearAxis"},{"id":"7e505e2b-15cc-44f4-882f-16ed23484557","type":"Grid"},{"id":"41e65e59-db39-4671-af3b-b660b631fbb7","type":"Grid"}],"title":null,"toolbar":{"id":"198f7f77-93db-4f1c-bec3-4ced88634839","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"28698d9b-8ecb-43b1-b02d-28e9826fa9c7","type":"DataRange1d"},"x_scale":{"id":"4ba605d3-e005-4ddb-95ac-a598c2d03b05","type":"LinearScale"},"y_range":{"id":"b64c1bac-da7b-4a73-9be0-e8b2a593a6ca","type":"DataRange1d"},"y_scale":{"id":"86764f25-8a1d-4249-9ad9-b54dbda3ebae","type":"LinearScale"}},"id":"c1bd7d11-e8c7-4986-bd88-406c443e8e44","type":"Plot"},{"attributes":{"formatter":{"id":"d578c438-94b0-4481-99bd-f912f0d9a7d9","type":"BasicTickFormatter"},"plot":{"id":"c1bd7d11-e8c7-4986-bd88-406c443e8e44","type":"Plot"},"ticker":{"id":"026fb127-ab67-4059-84be-7ee4078e6324","type":"BasicTicker"}},"id":"f8e62d60-43d7-4c19-b7b6-9b280eee4e45","type":"LinearAxis"},{"attributes":{},"id":"86764f25-8a1d-4249-9ad9-b54dbda3ebae","type":"LinearScale"}],"root_ids":["c1bd7d11-e8c7-4986-bd88-406c443e8e44"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e47b9769-0d9c-4544-b316-a910bf7b5cfa","elementid":"a7dccfcb-3693-4857-9a1e-a54abd2252f1","modelid":"c1bd7d11-e8c7-4986-bd88-406c443e8e44"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
