(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("afeabfa0-79d1-447a-a3bb-3245103d683a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'afeabfa0-79d1-447a-a3bb-3245103d683a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fcd4efd3-5a4a-40da-8687-1ed672c1f583":{"roots":{"references":[{"attributes":{"source":{"id":"15a58796-2ff6-4491-9fd3-3e32d0c12c4f","type":"ColumnDataSource"}},"id":"11182eca-c24f-44e9-a84d-8520ac5f57a3","type":"CDSView"},{"attributes":{"callback":null},"id":"0c40c794-401d-4333-875f-5df44a91e237","type":"DataRange1d"},{"attributes":{},"id":"67fa1d68-e06c-4bd0-9501-85f2a8a96374","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"50f65c9c-3cd6-4a24-9bc5-ad91401633d3","type":"Plot"},"ticker":{"id":"5bf815ba-9e6a-4600-8789-0b76d2e60fd7","type":"BasicTicker"}},"id":"45c30dce-1e13-440a-b1d1-477207f5206b","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","ym01","yp01","xm01","x","xp01","xp02"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xm01":{"__ndarray__":"zczMzMzMAMCamZmZmZn5v5qZmZmZmfG/MzMzMzMz47+amZmZmZm5v5qZmZmZmdk/zczMzMzM7D9mZmZmZmb2P2ZmZmZmZv4/","dtype":"float64","shape":[9]},"xp01":{"__ndarray__":"ZmZmZmZm/r9mZmZmZmb2v83MzMzMzOy/mpmZmZmZ2b+amZmZmZm5PzMzMzMzM+M/mpmZmZmZ8T+amZmZmZn5P83MzMzMzABA","dtype":"float64","shape":[9]},"xp02":{"__ndarray__":"mpmZmZmZ+b+amZmZmZnxvzMzMzMzM+O/mJmZmZmZub+amZmZmZnZP83MzMzMzOw/ZmZmZmZm9j9mZmZmZmb+PzMzMzMzMwNA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"ym01":{"__ndarray__":"ZmZmZmZmDkBmZmZmZmYAQJqZmZmZmek/mJmZmZmZqT+amZmZmZnJv5iZmZmZmak/mpmZmZmZ6T9mZmZmZmYAQGZmZmZmZg5A","dtype":"float64","shape":[9]},"yp01":{"__ndarray__":"zczMzMzMEECamZmZmZkDQDMzMzMzM/M/zczMzMzM3D+amZmZmZnJP83MzMzMzNw/MzMzMzMz8z+amZmZmZkDQM3MzMzMzBBA","dtype":"float64","shape":[9]}}},"id":"15a58796-2ff6-4491-9fd3-3e32d0c12c4f","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"67fa1d68-e06c-4bd0-9501-85f2a8a96374","type":"BasicTickFormatter"},"plot":{"id":"50f65c9c-3cd6-4a24-9bc5-ad91401633d3","type":"Plot"},"ticker":{"id":"d8fdde8b-ecf2-4ec6-b756-aab78e8b5c1c","type":"BasicTicker"}},"id":"1b777f55-dc47-404c-9d3a-1b84e996c3aa","type":"LinearAxis"},{"attributes":{},"id":"f8406eac-9fe8-4720-bd09-fd2a7da82153","type":"LinearScale"},{"attributes":{"data_source":{"id":"15a58796-2ff6-4491-9fd3-3e32d0c12c4f","type":"ColumnDataSource"},"glyph":{"id":"7b2df3c5-105c-4f82-9a20-9fe39e547198","type":"Bezier"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"11182eca-c24f-44e9-a84d-8520ac5f57a3","type":"CDSView"}},"id":"0ebf9600-1c99-432b-8630-af7ca97df802","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"d0649ac4-b979-47af-a275-dbf3889e41e0","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"1b777f55-dc47-404c-9d3a-1b84e996c3aa","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"0ebf9600-1c99-432b-8630-af7ca97df802","type":"GlyphRenderer"},{"id":"d0649ac4-b979-47af-a275-dbf3889e41e0","type":"LinearAxis"},{"id":"1b777f55-dc47-404c-9d3a-1b84e996c3aa","type":"LinearAxis"},{"id":"45c30dce-1e13-440a-b1d1-477207f5206b","type":"Grid"},{"id":"71fc8d58-9507-48fe-b557-58b815c22307","type":"Grid"}],"title":null,"toolbar":{"id":"4992db1a-3bbe-4496-a9c9-25e4e9819f31","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0c40c794-401d-4333-875f-5df44a91e237","type":"DataRange1d"},"x_scale":{"id":"f8406eac-9fe8-4720-bd09-fd2a7da82153","type":"LinearScale"},"y_range":{"id":"ea66a5e4-c544-4cd2-b030-b07c115b584e","type":"DataRange1d"},"y_scale":{"id":"6847d895-f207-449f-96b0-07d7bffcb475","type":"LinearScale"}},"id":"50f65c9c-3cd6-4a24-9bc5-ad91401633d3","type":"Plot"},{"attributes":{},"id":"d8fdde8b-ecf2-4ec6-b756-aab78e8b5c1c","type":"BasicTicker"},{"attributes":{"formatter":{"id":"f435c57c-302e-4fa8-8f6f-76416c2e94fd","type":"BasicTickFormatter"},"plot":{"id":"50f65c9c-3cd6-4a24-9bc5-ad91401633d3","type":"Plot"},"ticker":{"id":"5bf815ba-9e6a-4600-8789-0b76d2e60fd7","type":"BasicTicker"}},"id":"d0649ac4-b979-47af-a275-dbf3889e41e0","type":"LinearAxis"},{"attributes":{},"id":"f435c57c-302e-4fa8-8f6f-76416c2e94fd","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"4992db1a-3bbe-4496-a9c9-25e4e9819f31","type":"Toolbar"},{"attributes":{"callback":null},"id":"ea66a5e4-c544-4cd2-b030-b07c115b584e","type":"DataRange1d"},{"attributes":{},"id":"6847d895-f207-449f-96b0-07d7bffcb475","type":"LinearScale"},{"attributes":{"cx0":{"field":"xp01"},"cx1":{"field":"xm01"},"cy0":{"field":"yp01"},"cy1":{"field":"ym01"},"line_color":{"value":"#D95F02"},"line_width":{"value":2},"x0":{"field":"x"},"x1":{"field":"xp02"},"y0":{"field":"y"},"y1":{"field":"y"}},"id":"7b2df3c5-105c-4f82-9a20-9fe39e547198","type":"Bezier"},{"attributes":{"dimension":1,"plot":{"id":"50f65c9c-3cd6-4a24-9bc5-ad91401633d3","type":"Plot"},"ticker":{"id":"d8fdde8b-ecf2-4ec6-b756-aab78e8b5c1c","type":"BasicTicker"}},"id":"71fc8d58-9507-48fe-b557-58b815c22307","type":"Grid"},{"attributes":{},"id":"5bf815ba-9e6a-4600-8789-0b76d2e60fd7","type":"BasicTicker"}],"root_ids":["50f65c9c-3cd6-4a24-9bc5-ad91401633d3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fcd4efd3-5a4a-40da-8687-1ed672c1f583","elementid":"afeabfa0-79d1-447a-a3bb-3245103d683a","modelid":"50f65c9c-3cd6-4a24-9bc5-ad91401633d3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
