(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d825cfe8-44c6-4904-a299-4df365fe10ba");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd825cfe8-44c6-4904-a299-4df365fe10ba' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ab441397-3eb0-4403-908e-95dcd709192c":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f13dd9b7-0e77-42ec-8c28-915147631991","type":"Toolbar"},{"attributes":{},"id":"92e66843-d187-48a5-98ac-c560d15eb367","type":"BasicTicker"},{"attributes":{},"id":"513a64d5-ac98-46db-b3c2-462472b59a9a","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"fee7ebd5-b04a-4456-adab-2ae4a874333b","type":"Plot"},"ticker":{"id":"92e66843-d187-48a5-98ac-c560d15eb367","type":"BasicTicker"}},"id":"511eaed5-e73e-4167-b91e-9b85232261e6","type":"Grid"},{"attributes":{"below":[{"id":"322d9c60-9272-4c6e-b7ed-8d7fac2ecccc","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"5fae5f1a-4717-4fa1-90dd-68f4908d8750","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"7ab91f3d-ce1c-4e26-b4c1-d3b8dfaa898e","type":"GlyphRenderer"},{"id":"322d9c60-9272-4c6e-b7ed-8d7fac2ecccc","type":"LinearAxis"},{"id":"5fae5f1a-4717-4fa1-90dd-68f4908d8750","type":"LinearAxis"},{"id":"c586b65e-8c4f-4e86-8dfd-b23f1eeaaa05","type":"Grid"},{"id":"511eaed5-e73e-4167-b91e-9b85232261e6","type":"Grid"}],"title":null,"toolbar":{"id":"f13dd9b7-0e77-42ec-8c28-915147631991","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b96f12da-4dce-45c8-b3a5-b7c7765e018e","type":"DataRange1d"},"x_scale":{"id":"513a64d5-ac98-46db-b3c2-462472b59a9a","type":"LinearScale"},"y_range":{"id":"2eda2179-a74d-4480-aac9-1aa1364252e1","type":"DataRange1d"},"y_scale":{"id":"22308c06-0195-478e-9315-87090f5b6a3d","type":"LinearScale"}},"id":"fee7ebd5-b04a-4456-adab-2ae4a874333b","type":"Plot"},{"attributes":{},"id":"50357b72-ae7e-4488-bfd8-dbd4dbf4e641","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"3312f79d-8817-4e37-b6d2-2d68c9181f97","type":"ColumnDataSource"}},"id":"8505391f-0d3b-42ea-b9fe-171e1776a271","type":"CDSView"},{"attributes":{"data_source":{"id":"3312f79d-8817-4e37-b6d2-2d68c9181f97","type":"ColumnDataSource"},"glyph":{"id":"82bb9d49-e32f-4fcb-add0-dff8450f136f","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"8505391f-0d3b-42ea-b9fe-171e1776a271","type":"CDSView"}},"id":"7ab91f3d-ce1c-4e26-b4c1-d3b8dfaa898e","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"fee7ebd5-b04a-4456-adab-2ae4a874333b","type":"Plot"},"ticker":{"id":"1ca85e27-be34-4e00-9cb4-4d60371fb386","type":"BasicTicker"}},"id":"c586b65e-8c4f-4e86-8dfd-b23f1eeaaa05","type":"Grid"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#CAB2D6"},"height":{"field":"h","units":"data"},"width":{"field":"w","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"82bb9d49-e32f-4fcb-add0-dff8450f136f","type":"Ellipse"},{"attributes":{"callback":null},"id":"b96f12da-4dce-45c8-b3a5-b7c7765e018e","type":"DataRange1d"},{"attributes":{"callback":null},"id":"2eda2179-a74d-4480-aac9-1aa1364252e1","type":"DataRange1d"},{"attributes":{"formatter":{"id":"50357b72-ae7e-4488-bfd8-dbd4dbf4e641","type":"BasicTickFormatter"},"plot":{"id":"fee7ebd5-b04a-4456-adab-2ae4a874333b","type":"Plot"},"ticker":{"id":"1ca85e27-be34-4e00-9cb4-4d60371fb386","type":"BasicTicker"}},"id":"322d9c60-9272-4c6e-b7ed-8d7fac2ecccc","type":"LinearAxis"},{"attributes":{},"id":"74bfbda6-71a1-47a7-b941-5d9a38dda8f2","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"74bfbda6-71a1-47a7-b941-5d9a38dda8f2","type":"BasicTickFormatter"},"plot":{"id":"fee7ebd5-b04a-4456-adab-2ae4a874333b","type":"Plot"},"ticker":{"id":"92e66843-d187-48a5-98ac-c560d15eb367","type":"BasicTicker"}},"id":"5fae5f1a-4717-4fa1-90dd-68f4908d8750","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","h","w","x"],"data":{"h":{"__ndarray__":"AAAAAAAA4D9mZmZmZmbaP2ZmZmZmZtY/AAAAAAAA1D8zMzMzMzPTPwAAAAAAANQ/ZmZmZmZm1j9mZmZmZmbaPwAAAAAAAOA/","dtype":"float64","shape":[9]},"w":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"3312f79d-8817-4e37-b6d2-2d68c9181f97","type":"ColumnDataSource"},{"attributes":{},"id":"22308c06-0195-478e-9315-87090f5b6a3d","type":"LinearScale"},{"attributes":{},"id":"1ca85e27-be34-4e00-9cb4-4d60371fb386","type":"BasicTicker"}],"root_ids":["fee7ebd5-b04a-4456-adab-2ae4a874333b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ab441397-3eb0-4403-908e-95dcd709192c","elementid":"d825cfe8-44c6-4904-a299-4df365fe10ba","modelid":"fee7ebd5-b04a-4456-adab-2ae4a874333b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
