(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f27f9f53-45b8-4c5b-b713-4e57b0113325");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f27f9f53-45b8-4c5b-b713-4e57b0113325' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"17d966b4-db63-46ee-bf89-3843fc7d859a":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"71916614-ce75-488a-ba5f-97f8f78045cd","type":"Toolbar"},{"attributes":{},"id":"d3c033b6-7ed1-408f-af64-7b45670c6494","type":"BasicTickFormatter"},{"attributes":{},"id":"5c295529-04d8-4c54-bc51-e4abeb720571","type":"LinearScale"},{"attributes":{"plot":{"id":"31240ddc-906d-49ce-8d8f-ae683c011c49","type":"Plot"},"ticker":{"id":"a6b00954-c7b5-4902-9559-462db0d9a690","type":"BasicTicker"}},"id":"0cd66fa7-e896-4865-b14c-590af06a1b8c","type":"Grid"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#b3de69"},"left":{"field":"left"},"right":{"field":"right"},"top":{"field":"top"}},"id":"41beb886-d6a8-4939-a463-897a191bf6a9","type":"Quad"},{"attributes":{},"id":"b14b983c-b997-418c-840f-9be6ec680ef3","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"31240ddc-906d-49ce-8d8f-ae683c011c49","type":"Plot"},"ticker":{"id":"17d2c717-869a-4f7e-8f5e-2ccbda9c8646","type":"BasicTicker"}},"id":"edbaa445-8ba8-4a5e-a330-d5afa5bbcdf3","type":"Grid"},{"attributes":{},"id":"b887ed3d-b044-4a47-baf6-73a4966a7c43","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["top","right","bottom","left"],"data":{"bottom":{"__ndarray__":"ZmZmZmZmEEAzMzMzMzMEQGZmZmZmZvY/MzMzMzMz5z8AAAAAAADgPzMzMzMzM+c/ZmZmZmZm9j8zMzMzMzMEQGZmZmZmZhBA","dtype":"float64","shape":[9]},"left":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"right":{"__ndarray__":"zMzMzMzM7L+amZmZmZnrvzQzMzMzM+O/AAAAAAAAyL8zMzMzMzPTPzMzMzMzM+k/MzMzMzMz8z9nZmZmZmb3PwAAAAAAAPg/","dtype":"float64","shape":[9]},"top":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"b941d624-bad7-4869-a228-78cb1325fbeb","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b14b983c-b997-418c-840f-9be6ec680ef3","type":"BasicTickFormatter"},"plot":{"id":"31240ddc-906d-49ce-8d8f-ae683c011c49","type":"Plot"},"ticker":{"id":"a6b00954-c7b5-4902-9559-462db0d9a690","type":"BasicTicker"}},"id":"bdcc91a9-69e7-46fa-87a6-68b678b9eb84","type":"LinearAxis"},{"attributes":{},"id":"a6b00954-c7b5-4902-9559-462db0d9a690","type":"BasicTicker"},{"attributes":{"callback":null},"id":"85b91b4a-0bf8-42a3-b85a-db68e0a22a36","type":"DataRange1d"},{"attributes":{"data_source":{"id":"b941d624-bad7-4869-a228-78cb1325fbeb","type":"ColumnDataSource"},"glyph":{"id":"41beb886-d6a8-4939-a463-897a191bf6a9","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"053f1d81-4e7a-455c-99e4-4659b8d25e44","type":"CDSView"}},"id":"39e6c4ed-f3d7-40fd-bbbf-75f4b88045b7","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"d3c033b6-7ed1-408f-af64-7b45670c6494","type":"BasicTickFormatter"},"plot":{"id":"31240ddc-906d-49ce-8d8f-ae683c011c49","type":"Plot"},"ticker":{"id":"17d2c717-869a-4f7e-8f5e-2ccbda9c8646","type":"BasicTicker"}},"id":"943aa8c1-75ad-4a7e-8b2e-829346e54d4e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"03b6b078-169d-4074-b944-cc0176aa7205","type":"DataRange1d"},{"attributes":{"source":{"id":"b941d624-bad7-4869-a228-78cb1325fbeb","type":"ColumnDataSource"}},"id":"053f1d81-4e7a-455c-99e4-4659b8d25e44","type":"CDSView"},{"attributes":{},"id":"17d2c717-869a-4f7e-8f5e-2ccbda9c8646","type":"BasicTicker"},{"attributes":{"below":[{"id":"bdcc91a9-69e7-46fa-87a6-68b678b9eb84","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"943aa8c1-75ad-4a7e-8b2e-829346e54d4e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"39e6c4ed-f3d7-40fd-bbbf-75f4b88045b7","type":"GlyphRenderer"},{"id":"bdcc91a9-69e7-46fa-87a6-68b678b9eb84","type":"LinearAxis"},{"id":"943aa8c1-75ad-4a7e-8b2e-829346e54d4e","type":"LinearAxis"},{"id":"0cd66fa7-e896-4865-b14c-590af06a1b8c","type":"Grid"},{"id":"edbaa445-8ba8-4a5e-a330-d5afa5bbcdf3","type":"Grid"}],"title":null,"toolbar":{"id":"71916614-ce75-488a-ba5f-97f8f78045cd","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"03b6b078-169d-4074-b944-cc0176aa7205","type":"DataRange1d"},"x_scale":{"id":"5c295529-04d8-4c54-bc51-e4abeb720571","type":"LinearScale"},"y_range":{"id":"85b91b4a-0bf8-42a3-b85a-db68e0a22a36","type":"DataRange1d"},"y_scale":{"id":"b887ed3d-b044-4a47-baf6-73a4966a7c43","type":"LinearScale"}},"id":"31240ddc-906d-49ce-8d8f-ae683c011c49","type":"Plot"}],"root_ids":["31240ddc-906d-49ce-8d8f-ae683c011c49"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"17d966b4-db63-46ee-bf89-3843fc7d859a","elementid":"f27f9f53-45b8-4c5b-b713-4e57b0113325","modelid":"31240ddc-906d-49ce-8d8f-ae683c011c49"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
