(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d5df5e33-2e4f-4a51-8beb-dfa142d6393a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd5df5e33-2e4f-4a51-8beb-dfa142d6393a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a03032a4-267a-4f07-8ac5-3b45fc9d8a20":{"roots":{"references":[{"attributes":{},"id":"ec15484b-7daf-4fef-9b73-6a10996f45f8","type":"LinearScale"},{"attributes":{},"id":"e6b34408-82ba-421d-ad9e-a273ddc02e16","type":"LinearScale"},{"attributes":{},"id":"4bcce35f-ce58-43d0-88f5-ea9a171855f5","type":"BasicTicker"},{"attributes":{"formatter":{"id":"245ab531-59b5-442e-93c6-829d0b57608b","type":"BasicTickFormatter"},"plot":{"id":"c655026a-c5da-456b-85b3-70d7be629634","type":"Plot"},"ticker":{"id":"4bcce35f-ce58-43d0-88f5-ea9a171855f5","type":"BasicTicker"}},"id":"db6dabe0-8163-4a8d-89c5-1a23078cb7e0","type":"LinearAxis"},{"attributes":{},"id":"ffc77ee4-0ab5-4dfa-93a1-55138c6c61b2","type":"BasicTickFormatter"},{"attributes":{},"id":"245ab531-59b5-442e-93c6-829d0b57608b","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"fff4d336-a27c-4dc1-9f3a-2dbb04f97634","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"db6dabe0-8163-4a8d-89c5-1a23078cb7e0","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"112b97a3-11ee-4069-8804-0a17778c47bc","type":"GlyphRenderer"},{"id":"fff4d336-a27c-4dc1-9f3a-2dbb04f97634","type":"LinearAxis"},{"id":"db6dabe0-8163-4a8d-89c5-1a23078cb7e0","type":"LinearAxis"},{"id":"1a279ce7-6468-4b88-9f5d-d6b3731cdc4d","type":"Grid"},{"id":"4758d0b4-21de-48e6-b490-838f800a3a03","type":"Grid"}],"title":null,"toolbar":{"id":"ca8cf2d6-c636-4773-ab8a-9d871d023c25","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0d76b5fa-5f46-48c6-9130-04349af3ff1e","type":"DataRange1d"},"x_scale":{"id":"e6b34408-82ba-421d-ad9e-a273ddc02e16","type":"LinearScale"},"y_range":{"id":"de642ca4-f8d1-40b5-9660-a74a223d2f6d","type":"DataRange1d"},"y_scale":{"id":"ec15484b-7daf-4fef-9b73-6a10996f45f8","type":"LinearScale"}},"id":"c655026a-c5da-456b-85b3-70d7be629634","type":"Plot"},{"attributes":{},"id":"b7121a64-ea39-4544-989b-ad8cfc7768c2","type":"BasicTicker"},{"attributes":{"callback":null},"id":"de642ca4-f8d1-40b5-9660-a74a223d2f6d","type":"DataRange1d"},{"attributes":{"cx":{"field":"xp01"},"cy":{"field":"yp01"},"line_color":{"value":"#4DAF4A"},"line_width":{"value":3},"x0":{"field":"x"},"x1":{"field":"xp02"},"y0":{"field":"y"},"y1":{"field":"y"}},"id":"3a26c5b1-49a6-40a6-8e00-5887dd5ae9b2","type":"Quadratic"},{"attributes":{"dimension":1,"plot":{"id":"c655026a-c5da-456b-85b3-70d7be629634","type":"Plot"},"ticker":{"id":"4bcce35f-ce58-43d0-88f5-ea9a171855f5","type":"BasicTicker"}},"id":"4758d0b4-21de-48e6-b490-838f800a3a03","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ca8cf2d6-c636-4773-ab8a-9d871d023c25","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x","yp01","xp01","xp02"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xp01":{"__ndarray__":"ZmZmZmZm/r9mZmZmZmb2v83MzMzMzOy/mpmZmZmZ2b+amZmZmZm5PzMzMzMzM+M/mpmZmZmZ8T+amZmZmZn5P83MzMzMzABA","dtype":"float64","shape":[9]},"xp02":{"__ndarray__":"mpmZmZmZ+b+amZmZmZnxvzMzMzMzM+O/mJmZmZmZub+amZmZmZnZP83MzMzMzOw/ZmZmZmZm9j9mZmZmZmb+PzMzMzMzMwNA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"yp01":{"__ndarray__":"zczMzMzMEECamZmZmZkDQDMzMzMzM/M/zczMzMzM3D+amZmZmZnJP83MzMzMzNw/MzMzMzMz8z+amZmZmZkDQM3MzMzMzBBA","dtype":"float64","shape":[9]}}},"id":"6ae7f3b2-e403-4cbc-8ebc-70c8e103a21f","type":"ColumnDataSource"},{"attributes":{"source":{"id":"6ae7f3b2-e403-4cbc-8ebc-70c8e103a21f","type":"ColumnDataSource"}},"id":"78258fcf-0854-4658-b510-85fee945a8ba","type":"CDSView"},{"attributes":{"data_source":{"id":"6ae7f3b2-e403-4cbc-8ebc-70c8e103a21f","type":"ColumnDataSource"},"glyph":{"id":"3a26c5b1-49a6-40a6-8e00-5887dd5ae9b2","type":"Quadratic"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"78258fcf-0854-4658-b510-85fee945a8ba","type":"CDSView"}},"id":"112b97a3-11ee-4069-8804-0a17778c47bc","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"0d76b5fa-5f46-48c6-9130-04349af3ff1e","type":"DataRange1d"},{"attributes":{"plot":{"id":"c655026a-c5da-456b-85b3-70d7be629634","type":"Plot"},"ticker":{"id":"b7121a64-ea39-4544-989b-ad8cfc7768c2","type":"BasicTicker"}},"id":"1a279ce7-6468-4b88-9f5d-d6b3731cdc4d","type":"Grid"},{"attributes":{"formatter":{"id":"ffc77ee4-0ab5-4dfa-93a1-55138c6c61b2","type":"BasicTickFormatter"},"plot":{"id":"c655026a-c5da-456b-85b3-70d7be629634","type":"Plot"},"ticker":{"id":"b7121a64-ea39-4544-989b-ad8cfc7768c2","type":"BasicTicker"}},"id":"fff4d336-a27c-4dc1-9f3a-2dbb04f97634","type":"LinearAxis"}],"root_ids":["c655026a-c5da-456b-85b3-70d7be629634"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a03032a4-267a-4f07-8ac5-3b45fc9d8a20","elementid":"d5df5e33-2e4f-4a51-8beb-dfa142d6393a","modelid":"c655026a-c5da-456b-85b3-70d7be629634"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
