(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ed745abf-44da-4da9-844f-5d2313c61203");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ed745abf-44da-4da9-844f-5d2313c61203' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"be36454b-193d-4046-94b4-168978dd3bfe":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f3c92729-5fbf-49fe-887e-7d181c091369","type":"Toolbar"},{"attributes":{"callback":null},"id":"5da47b0b-7a27-4f3a-b351-283641fcc1b6","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"6663aa40-101c-466a-9a03-56ac2067bf1a","type":"Plot"},"ticker":{"id":"053c0375-9baf-42f1-8a77-02860e0de3c5","type":"BasicTicker"}},"id":"6fc82237-53d3-4f39-a566-573f7d0a9b85","type":"Grid"},{"attributes":{"formatter":{"id":"fd6fb93f-770a-4328-a263-d69eedcd2030","type":"BasicTickFormatter"},"plot":{"id":"6663aa40-101c-466a-9a03-56ac2067bf1a","type":"Plot"},"ticker":{"id":"053c0375-9baf-42f1-8a77-02860e0de3c5","type":"BasicTicker"}},"id":"228144b7-6167-4549-94c6-14d3c15655f2","type":"LinearAxis"},{"attributes":{},"id":"81790411-fba1-4787-90ac-050f58de3849","type":"LinearScale"},{"attributes":{},"id":"a4e39434-a76f-41f5-b1b3-e4ad2db0ffc9","type":"BasicTicker"},{"attributes":{},"id":"053c0375-9baf-42f1-8a77-02860e0de3c5","type":"BasicTicker"},{"attributes":{"angle":{"units":"rad","value":-2.0},"length":{"field":"l","units":"data"},"line_color":{"value":"#fb8072"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"0014dab3-dbf9-4873-a8ff-ea7802abcbc3","type":"Ray"},{"attributes":{"data_source":{"id":"95e2b7ec-d92c-4393-aab6-86c69212046e","type":"ColumnDataSource"},"glyph":{"id":"0014dab3-dbf9-4873-a8ff-ea7802abcbc3","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"1c193c56-7af2-498b-89b4-646580830c6f","type":"CDSView"}},"id":"fb0e6a2f-f96b-4e38-a577-b86d7727a554","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x","l"],"data":{"l":{"__ndarray__":"AAAAAAAALkAAAAAAAIAxQAAAAAAAADRAAAAAAACANkAAAAAAAAA5QAAAAAAAgDtAAAAAAAAAPkAAAAAAAEBAQAAAAAAAgEFA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"95e2b7ec-d92c-4393-aab6-86c69212046e","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"e02cc648-bf9b-4c5c-b010-dabfb9f6f6e2","type":"BasicTickFormatter"},"plot":{"id":"6663aa40-101c-466a-9a03-56ac2067bf1a","type":"Plot"},"ticker":{"id":"a4e39434-a76f-41f5-b1b3-e4ad2db0ffc9","type":"BasicTicker"}},"id":"8aae44bc-9209-4cf4-bc33-3dea425f9494","type":"LinearAxis"},{"attributes":{},"id":"fd6fb93f-770a-4328-a263-d69eedcd2030","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"56c731c9-f1f2-4f61-bb18-0d1155d61815","type":"DataRange1d"},{"attributes":{"source":{"id":"95e2b7ec-d92c-4393-aab6-86c69212046e","type":"ColumnDataSource"}},"id":"1c193c56-7af2-498b-89b4-646580830c6f","type":"CDSView"},{"attributes":{},"id":"8f73b0da-3787-40b6-b088-609ecaaad591","type":"LinearScale"},{"attributes":{"below":[{"id":"8aae44bc-9209-4cf4-bc33-3dea425f9494","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"228144b7-6167-4549-94c6-14d3c15655f2","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"fb0e6a2f-f96b-4e38-a577-b86d7727a554","type":"GlyphRenderer"},{"id":"8aae44bc-9209-4cf4-bc33-3dea425f9494","type":"LinearAxis"},{"id":"228144b7-6167-4549-94c6-14d3c15655f2","type":"LinearAxis"},{"id":"66f33074-2c02-444a-8e68-6d8421dcadfb","type":"Grid"},{"id":"6fc82237-53d3-4f39-a566-573f7d0a9b85","type":"Grid"}],"title":null,"toolbar":{"id":"f3c92729-5fbf-49fe-887e-7d181c091369","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"56c731c9-f1f2-4f61-bb18-0d1155d61815","type":"DataRange1d"},"x_scale":{"id":"8f73b0da-3787-40b6-b088-609ecaaad591","type":"LinearScale"},"y_range":{"id":"5da47b0b-7a27-4f3a-b351-283641fcc1b6","type":"DataRange1d"},"y_scale":{"id":"81790411-fba1-4787-90ac-050f58de3849","type":"LinearScale"}},"id":"6663aa40-101c-466a-9a03-56ac2067bf1a","type":"Plot"},{"attributes":{"plot":{"id":"6663aa40-101c-466a-9a03-56ac2067bf1a","type":"Plot"},"ticker":{"id":"a4e39434-a76f-41f5-b1b3-e4ad2db0ffc9","type":"BasicTicker"}},"id":"66f33074-2c02-444a-8e68-6d8421dcadfb","type":"Grid"},{"attributes":{},"id":"e02cc648-bf9b-4c5c-b010-dabfb9f6f6e2","type":"BasicTickFormatter"}],"root_ids":["6663aa40-101c-466a-9a03-56ac2067bf1a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"be36454b-193d-4046-94b4-168978dd3bfe","elementid":"ed745abf-44da-4da9-844f-5d2313c61203","modelid":"6663aa40-101c-466a-9a03-56ac2067bf1a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
