(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0e43b98b-d9fc-4840-80df-47d7b820f05f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0e43b98b-d9fc-4840-80df-47d7b820f05f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2becff5d-ff2e-4d1c-bad7-771b2e85d4da":{"roots":{"references":[{"attributes":{"formatter":{"id":"755a7cc9-47d3-4ae1-94f6-44e4c3db4237","type":"BasicTickFormatter"},"plot":{"id":"e9098cc2-539a-4373-b9ba-0d04cf3f41b1","type":"Plot"},"ticker":{"id":"b4fa0bcf-e8fc-4aa2-9377-ff1925811fa4","type":"BasicTicker"}},"id":"df900ad0-4656-4df1-9731-d16b5b099642","type":"LinearAxis"},{"attributes":{"below":[{"id":"7339323d-34e4-431b-8297-1132400f25c4","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"df900ad0-4656-4df1-9731-d16b5b099642","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"1f89cef5-36d1-4849-a266-ae647b8e4704","type":"GlyphRenderer"},{"id":"7339323d-34e4-431b-8297-1132400f25c4","type":"LinearAxis"},{"id":"df900ad0-4656-4df1-9731-d16b5b099642","type":"LinearAxis"},{"id":"703db86f-f010-443d-b73d-95faba2cd893","type":"Grid"},{"id":"8ea74bb9-fe09-45da-a0c3-69200aa9c7ab","type":"Grid"}],"title":null,"toolbar":{"id":"dd79b319-633d-4906-b0bd-09364342ad25","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c22b7773-a8ef-4d10-b39d-d854dce1cc0d","type":"DataRange1d"},"x_scale":{"id":"567496eb-6860-4ff5-9d6c-c52787eaa929","type":"LinearScale"},"y_range":{"id":"6d2ca637-76bc-4fa1-9adf-a0e6220baf71","type":"DataRange1d"},"y_scale":{"id":"411729ec-21cf-4475-afd8-686095aadc45","type":"LinearScale"}},"id":"e9098cc2-539a-4373-b9ba-0d04cf3f41b1","type":"Plot"},{"attributes":{"callback":null},"id":"6d2ca637-76bc-4fa1-9adf-a0e6220baf71","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"dd79b319-633d-4906-b0bd-09364342ad25","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"e9098cc2-539a-4373-b9ba-0d04cf3f41b1","type":"Plot"},"ticker":{"id":"b4fa0bcf-e8fc-4aa2-9377-ff1925811fa4","type":"BasicTicker"}},"id":"8ea74bb9-fe09-45da-a0c3-69200aa9c7ab","type":"Grid"},{"attributes":{},"id":"755a7cc9-47d3-4ae1-94f6-44e4c3db4237","type":"BasicTickFormatter"},{"attributes":{},"id":"b4fa0bcf-e8fc-4aa2-9377-ff1925811fa4","type":"BasicTicker"},{"attributes":{},"id":"411729ec-21cf-4475-afd8-686095aadc45","type":"LinearScale"},{"attributes":{"source":{"id":"bb633770-1717-4fca-bc2a-9d243d54216a","type":"ColumnDataSource"}},"id":"4fe3de6d-4b3c-4c1a-bc04-de9f2938da3e","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","h","w","x"],"data":{"h":{"__ndarray__":"AAAAAAAA4D9mZmZmZmbaP2ZmZmZmZtY/AAAAAAAA1D8zMzMzMzPTPwAAAAAAANQ/ZmZmZmZm1j9mZmZmZmbaPwAAAAAAAOA/","dtype":"float64","shape":[9]},"w":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"bb633770-1717-4fca-bc2a-9d243d54216a","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"c22b7773-a8ef-4d10-b39d-d854dce1cc0d","type":"DataRange1d"},{"attributes":{"formatter":{"id":"616d9e02-68bc-43ee-9464-b75b5b6e1674","type":"BasicTickFormatter"},"plot":{"id":"e9098cc2-539a-4373-b9ba-0d04cf3f41b1","type":"Plot"},"ticker":{"id":"7c68a4d9-1f15-4543-b01d-eecaff423aa6","type":"BasicTicker"}},"id":"7339323d-34e4-431b-8297-1132400f25c4","type":"LinearAxis"},{"attributes":{},"id":"616d9e02-68bc-43ee-9464-b75b5b6e1674","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"bb633770-1717-4fca-bc2a-9d243d54216a","type":"ColumnDataSource"},"glyph":{"id":"839ed1b4-6f31-40b0-aa8e-245441eeb532","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"4fe3de6d-4b3c-4c1a-bc04-de9f2938da3e","type":"CDSView"}},"id":"1f89cef5-36d1-4849-a266-ae647b8e4704","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"e9098cc2-539a-4373-b9ba-0d04cf3f41b1","type":"Plot"},"ticker":{"id":"7c68a4d9-1f15-4543-b01d-eecaff423aa6","type":"BasicTicker"}},"id":"703db86f-f010-443d-b73d-95faba2cd893","type":"Grid"},{"attributes":{},"id":"7c68a4d9-1f15-4543-b01d-eecaff423aa6","type":"BasicTicker"},{"attributes":{},"id":"567496eb-6860-4ff5-9d6c-c52787eaa929","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#CAB2D6"},"height":{"field":"h","units":"data"},"width":{"field":"w","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"839ed1b4-6f31-40b0-aa8e-245441eeb532","type":"Rect"}],"root_ids":["e9098cc2-539a-4373-b9ba-0d04cf3f41b1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2becff5d-ff2e-4d1c-bad7-771b2e85d4da","elementid":"0e43b98b-d9fc-4840-80df-47d7b820f05f","modelid":"e9098cc2-539a-4373-b9ba-0d04cf3f41b1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
