(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4d870259-5b2a-459f-863e-f39ac5757b05");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4d870259-5b2a-459f-863e-f39ac5757b05' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ad240e9a-a56f-484a-9223-1c9a84239388":{"roots":{"references":[{"attributes":{},"id":"61f975ef-d290-42e5-bda6-8388beab95dd","type":"LinearScale"},{"attributes":{"plot":{"id":"893baac6-c5d9-4879-9b84-9ab8d3407a99","type":"Plot"},"ticker":{"id":"720ad657-726d-4d9b-a040-6338c0e356df","type":"BasicTicker"}},"id":"20c6a002-4428-422d-82b0-5dedd8da1adf","type":"Grid"},{"attributes":{"callback":null},"id":"af32f81c-5891-4e97-9e40-d45989ad197b","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["xm01","y","ym01","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xm01":{"__ndarray__":"zMzMzMzM7L+amZmZmZnrvzQzMzMzM+O/AAAAAAAAyL8zMzMzMzPTPzMzMzMzM+k/MzMzMzMz8z9nZmZmZmb3PwAAAAAAAPg/","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"ym01":{"__ndarray__":"ZmZmZmZmEEAzMzMzMzMEQGZmZmZmZvY/MzMzMzMz5z8AAAAAAADgPzMzMzMzM+c/ZmZmZmZm9j8zMzMzMzMEQGZmZmZmZhBA","dtype":"float64","shape":[9]}}},"id":"398ee738-da59-47ae-bc62-ce40666e3136","type":"ColumnDataSource"},{"attributes":{"source":{"id":"398ee738-da59-47ae-bc62-ce40666e3136","type":"ColumnDataSource"}},"id":"64f8c101-270a-44bf-a1a3-f527770da3e0","type":"CDSView"},{"attributes":{"line_color":{"value":"#f4a582"},"line_width":{"value":3},"x0":{"field":"x"},"x1":{"field":"xm01"},"y0":{"field":"y"},"y1":{"field":"ym01"}},"id":"62c0dd6b-4ff1-4ca4-8e94-f0295c953c3a","type":"Segment"},{"attributes":{},"id":"2d986853-ef23-4654-874d-e441b3269c94","type":"BasicTickFormatter"},{"attributes":{},"id":"4dca1110-cccd-4a01-82b3-8f4f689557d9","type":"LinearScale"},{"attributes":{},"id":"f214e709-e799-43e4-8df4-1850ad73364e","type":"BasicTicker"},{"attributes":{"formatter":{"id":"b87a8e0c-d2b6-4f69-8045-99a8ed80cfb5","type":"BasicTickFormatter"},"plot":{"id":"893baac6-c5d9-4879-9b84-9ab8d3407a99","type":"Plot"},"ticker":{"id":"720ad657-726d-4d9b-a040-6338c0e356df","type":"BasicTicker"}},"id":"080a3e88-dcda-4d22-bdbe-17109b192ad3","type":"LinearAxis"},{"attributes":{"below":[{"id":"080a3e88-dcda-4d22-bdbe-17109b192ad3","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"418f2143-4799-4bfb-883a-a0c99596c970","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"adb3c65d-7fdf-4cfb-bdbc-4e6186b960d3","type":"GlyphRenderer"},{"id":"080a3e88-dcda-4d22-bdbe-17109b192ad3","type":"LinearAxis"},{"id":"418f2143-4799-4bfb-883a-a0c99596c970","type":"LinearAxis"},{"id":"20c6a002-4428-422d-82b0-5dedd8da1adf","type":"Grid"},{"id":"5dbe19ca-9ca4-4954-905a-a6a3727bcad6","type":"Grid"}],"title":null,"toolbar":{"id":"ad7d524c-244f-4492-a2ec-6f2284e66881","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"af32f81c-5891-4e97-9e40-d45989ad197b","type":"DataRange1d"},"x_scale":{"id":"61f975ef-d290-42e5-bda6-8388beab95dd","type":"LinearScale"},"y_range":{"id":"63e70278-2ecd-4ec9-b52b-460d36f3df29","type":"DataRange1d"},"y_scale":{"id":"4dca1110-cccd-4a01-82b3-8f4f689557d9","type":"LinearScale"}},"id":"893baac6-c5d9-4879-9b84-9ab8d3407a99","type":"Plot"},{"attributes":{"formatter":{"id":"2d986853-ef23-4654-874d-e441b3269c94","type":"BasicTickFormatter"},"plot":{"id":"893baac6-c5d9-4879-9b84-9ab8d3407a99","type":"Plot"},"ticker":{"id":"f214e709-e799-43e4-8df4-1850ad73364e","type":"BasicTicker"}},"id":"418f2143-4799-4bfb-883a-a0c99596c970","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ad7d524c-244f-4492-a2ec-6f2284e66881","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"893baac6-c5d9-4879-9b84-9ab8d3407a99","type":"Plot"},"ticker":{"id":"f214e709-e799-43e4-8df4-1850ad73364e","type":"BasicTicker"}},"id":"5dbe19ca-9ca4-4954-905a-a6a3727bcad6","type":"Grid"},{"attributes":{},"id":"720ad657-726d-4d9b-a040-6338c0e356df","type":"BasicTicker"},{"attributes":{},"id":"b87a8e0c-d2b6-4f69-8045-99a8ed80cfb5","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"398ee738-da59-47ae-bc62-ce40666e3136","type":"ColumnDataSource"},"glyph":{"id":"62c0dd6b-4ff1-4ca4-8e94-f0295c953c3a","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"64f8c101-270a-44bf-a1a3-f527770da3e0","type":"CDSView"}},"id":"adb3c65d-7fdf-4cfb-bdbc-4e6186b960d3","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"63e70278-2ecd-4ec9-b52b-460d36f3df29","type":"DataRange1d"}],"root_ids":["893baac6-c5d9-4879-9b84-9ab8d3407a99"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ad240e9a-a56f-484a-9223-1c9a84239388","elementid":"4d870259-5b2a-459f-863e-f39ac5757b05","modelid":"893baac6-c5d9-4879-9b84-9ab8d3407a99"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
