(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2e182a0b-daa8-4b20-bce1-71658dbd95df");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2e182a0b-daa8-4b20-bce1-71658dbd95df' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e60eafc4-e540-4107-af25-b6dcf15bc4f7":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"6d0b7c72-b5e0-4adf-b217-3a8ac10d116f","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"2deef8dc-4356-4d7f-ac24-6be3691a2b02","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"11bdeeb2-d7ca-4814-b181-627758a93261","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"d63c464b-6dc3-44fb-862d-11779ffd25ae","type":"GlyphRenderer"},{"id":"2deef8dc-4356-4d7f-ac24-6be3691a2b02","type":"LinearAxis"},{"id":"11bdeeb2-d7ca-4814-b181-627758a93261","type":"LinearAxis"},{"id":"5ab438fb-28ac-40d8-9e23-91c17e998611","type":"Grid"},{"id":"6a9872e7-a877-4f63-a4b7-9b20378f0332","type":"Grid"}],"title":null,"toolbar":{"id":"7442c89b-0411-41a1-a0a5-985d05ea9811","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"894eff2f-6770-4252-bc84-d4cf5e016321","type":"DataRange1d"},"x_scale":{"id":"d79635a8-2f99-4b50-b626-9baf45cfac7f","type":"LinearScale"},"y_range":{"id":"303a5a45-e97b-405e-b86f-faa06a7329f1","type":"DataRange1d"},"y_scale":{"id":"5a414031-bfec-4caf-898d-da6ee645f381","type":"LinearScale"}},"id":"c77c966d-0f2f-4f36-9792-9ef13acc3708","type":"Plot"},{"attributes":{},"id":"853792ec-14bd-43db-8df0-15ed48a9b934","type":"BasicTickFormatter"},{"attributes":{},"id":"cf8bbdb4-9281-4b1e-ab83-9cc13fb59ca0","type":"BasicTicker"},{"attributes":{"plot":{"id":"c77c966d-0f2f-4f36-9792-9ef13acc3708","type":"Plot"},"ticker":{"id":"d2cd06e5-d3b5-4e29-b842-32f25c5f1822","type":"BasicTicker"}},"id":"5ab438fb-28ac-40d8-9e23-91c17e998611","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"7442c89b-0411-41a1-a0a5-985d05ea9811","type":"Toolbar"},{"attributes":{"source":{"id":"6d0b7c72-b5e0-4adf-b217-3a8ac10d116f","type":"ColumnDataSource"}},"id":"9bda1dae-2afc-4b22-b15c-c7c8c71a58a6","type":"CDSView"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#f0027f"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c742c44c-b653-4d67-91bb-ac20a7cddd92","type":"Asterisk"},{"attributes":{},"id":"9f4b8da6-c17a-4ec5-bf3d-6fd5dae79b32","type":"BasicTickFormatter"},{"attributes":{},"id":"d79635a8-2f99-4b50-b626-9baf45cfac7f","type":"LinearScale"},{"attributes":{},"id":"d2cd06e5-d3b5-4e29-b842-32f25c5f1822","type":"BasicTicker"},{"attributes":{"formatter":{"id":"9f4b8da6-c17a-4ec5-bf3d-6fd5dae79b32","type":"BasicTickFormatter"},"plot":{"id":"c77c966d-0f2f-4f36-9792-9ef13acc3708","type":"Plot"},"ticker":{"id":"d2cd06e5-d3b5-4e29-b842-32f25c5f1822","type":"BasicTicker"}},"id":"2deef8dc-4356-4d7f-ac24-6be3691a2b02","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"c77c966d-0f2f-4f36-9792-9ef13acc3708","type":"Plot"},"ticker":{"id":"cf8bbdb4-9281-4b1e-ab83-9cc13fb59ca0","type":"BasicTicker"}},"id":"6a9872e7-a877-4f63-a4b7-9b20378f0332","type":"Grid"},{"attributes":{"callback":null},"id":"303a5a45-e97b-405e-b86f-faa06a7329f1","type":"DataRange1d"},{"attributes":{"callback":null},"id":"894eff2f-6770-4252-bc84-d4cf5e016321","type":"DataRange1d"},{"attributes":{},"id":"5a414031-bfec-4caf-898d-da6ee645f381","type":"LinearScale"},{"attributes":{"formatter":{"id":"853792ec-14bd-43db-8df0-15ed48a9b934","type":"BasicTickFormatter"},"plot":{"id":"c77c966d-0f2f-4f36-9792-9ef13acc3708","type":"Plot"},"ticker":{"id":"cf8bbdb4-9281-4b1e-ab83-9cc13fb59ca0","type":"BasicTicker"}},"id":"11bdeeb2-d7ca-4814-b181-627758a93261","type":"LinearAxis"},{"attributes":{"data_source":{"id":"6d0b7c72-b5e0-4adf-b217-3a8ac10d116f","type":"ColumnDataSource"},"glyph":{"id":"c742c44c-b653-4d67-91bb-ac20a7cddd92","type":"Asterisk"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"9bda1dae-2afc-4b22-b15c-c7c8c71a58a6","type":"CDSView"}},"id":"d63c464b-6dc3-44fb-862d-11779ffd25ae","type":"GlyphRenderer"}],"root_ids":["c77c966d-0f2f-4f36-9792-9ef13acc3708"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e60eafc4-e540-4107-af25-b6dcf15bc4f7","elementid":"2e182a0b-daa8-4b20-bce1-71658dbd95df","modelid":"c77c966d-0f2f-4f36-9792-9ef13acc3708"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
