(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d00594db-96c8-42de-926f-d73d0eb09b7c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd00594db-96c8-42de-926f-d73d0eb09b7c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9050289a-c6f8-40b4-ada7-7b97c487c0a7":{"roots":{"references":[{"attributes":{"formatter":{"id":"6730deb8-56b0-448b-9fe2-661507f8cfb4","type":"BasicTickFormatter"},"plot":{"id":"cf2353a5-8179-4949-976b-45398f7f5c9d","type":"Plot"},"ticker":{"id":"117d82e7-1c90-44d4-966e-db9f18968581","type":"BasicTicker"}},"id":"daf78af9-b941-4e93-bd9d-fcb923339b69","type":"LinearAxis"},{"attributes":{},"id":"6730deb8-56b0-448b-9fe2-661507f8cfb4","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#3288Bd"},"line_width":{"value":3},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0e900a7-a7dd-4b7b-8a42-f28d80c2d806","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c11fd4c1-8002-48fe-9305-e71ec8fd42e5","type":"Toolbar"},{"attributes":{"data_source":{"id":"0457b973-5ca7-4e85-b2e2-1386537ac855","type":"ColumnDataSource"},"glyph":{"id":"b0e900a7-a7dd-4b7b-8a42-f28d80c2d806","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c0043921-a7f1-4015-a3c5-5f6d38d020cc","type":"CDSView"}},"id":"1f69cef8-84de-4896-b808-24580d3f35be","type":"GlyphRenderer"},{"attributes":{"source":{"id":"0457b973-5ca7-4e85-b2e2-1386537ac855","type":"ColumnDataSource"}},"id":"c0043921-a7f1-4015-a3c5-5f6d38d020cc","type":"CDSView"},{"attributes":{"below":[{"id":"4eee3815-0a30-4042-a682-336a3176e199","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"daf78af9-b941-4e93-bd9d-fcb923339b69","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"1f69cef8-84de-4896-b808-24580d3f35be","type":"GlyphRenderer"},{"id":"4eee3815-0a30-4042-a682-336a3176e199","type":"LinearAxis"},{"id":"daf78af9-b941-4e93-bd9d-fcb923339b69","type":"LinearAxis"},{"id":"6661ac0d-ecfc-493b-86bd-7cb05e190206","type":"Grid"},{"id":"efd27da0-03bf-4c58-90a8-af98dfdd4e35","type":"Grid"}],"title":null,"toolbar":{"id":"c11fd4c1-8002-48fe-9305-e71ec8fd42e5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c6da4744-8b94-4185-887e-c39fad922638","type":"DataRange1d"},"x_scale":{"id":"d84e7aa9-6f11-447c-be60-2b884bf0bdf5","type":"LinearScale"},"y_range":{"id":"499ed524-aae1-40e3-8f1a-e3e2cd20e955","type":"DataRange1d"},"y_scale":{"id":"b454a0ab-0ce0-441d-9972-8346f9fb1412","type":"LinearScale"}},"id":"cf2353a5-8179-4949-976b-45398f7f5c9d","type":"Plot"},{"attributes":{},"id":"b454a0ab-0ce0-441d-9972-8346f9fb1412","type":"LinearScale"},{"attributes":{"callback":null},"id":"499ed524-aae1-40e3-8f1a-e3e2cd20e955","type":"DataRange1d"},{"attributes":{"callback":null},"id":"c6da4744-8b94-4185-887e-c39fad922638","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e46a4fae-86d4-4a59-86d7-cf03bcb97326","type":"BasicTickFormatter"},"plot":{"id":"cf2353a5-8179-4949-976b-45398f7f5c9d","type":"Plot"},"ticker":{"id":"fb61c266-20c3-4517-81db-df591b6ebb6a","type":"BasicTicker"}},"id":"4eee3815-0a30-4042-a682-336a3176e199","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"0457b973-5ca7-4e85-b2e2-1386537ac855","type":"ColumnDataSource"},{"attributes":{},"id":"e46a4fae-86d4-4a59-86d7-cf03bcb97326","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"cf2353a5-8179-4949-976b-45398f7f5c9d","type":"Plot"},"ticker":{"id":"fb61c266-20c3-4517-81db-df591b6ebb6a","type":"BasicTicker"}},"id":"6661ac0d-ecfc-493b-86bd-7cb05e190206","type":"Grid"},{"attributes":{},"id":"d84e7aa9-6f11-447c-be60-2b884bf0bdf5","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"cf2353a5-8179-4949-976b-45398f7f5c9d","type":"Plot"},"ticker":{"id":"117d82e7-1c90-44d4-966e-db9f18968581","type":"BasicTicker"}},"id":"efd27da0-03bf-4c58-90a8-af98dfdd4e35","type":"Grid"},{"attributes":{},"id":"fb61c266-20c3-4517-81db-df591b6ebb6a","type":"BasicTicker"},{"attributes":{},"id":"117d82e7-1c90-44d4-966e-db9f18968581","type":"BasicTicker"}],"root_ids":["cf2353a5-8179-4949-976b-45398f7f5c9d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9050289a-c6f8-40b4-ada7-7b97c487c0a7","elementid":"d00594db-96c8-42de-926f-d73d0eb09b7c","modelid":"cf2353a5-8179-4949-976b-45398f7f5c9d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
