(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2c4a1a0e-bafe-4953-83f2-ae736102b602");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2c4a1a0e-bafe-4953-83f2-ae736102b602' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"237a8b72-6a50-42a6-a6c4-327ac94644ab":{"roots":{"references":[{"attributes":{"formatter":{"id":"6dbddb9c-f55e-4629-906d-b53eed9a0ee0","type":"BasicTickFormatter"},"plot":{"id":"23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca","type":"Plot"},"ticker":{"id":"de7b912a-d93a-4886-b5dd-9d478cf6e6c1","type":"BasicTicker"}},"id":"f17c0087-2e93-4d67-b723-8b3e4d02826e","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"850dd875-60b1-4ec9-9b7f-71b6ed7b09b2","type":"Toolbar"},{"attributes":{},"id":"6dbddb9c-f55e-4629-906d-b53eed9a0ee0","type":"BasicTickFormatter"},{"attributes":{},"id":"ecd34c68-f8b4-49ec-9920-810bbe7d0117","type":"BasicTicker"},{"attributes":{"plot":{"id":"23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca","type":"Plot"},"ticker":{"id":"ecd34c68-f8b4-49ec-9920-810bbe7d0117","type":"BasicTicker"}},"id":"e2953425-b97a-4164-82dc-cee7b4aa952b","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca","type":"Plot"},"ticker":{"id":"de7b912a-d93a-4886-b5dd-9d478cf6e6c1","type":"BasicTicker"}},"id":"ebec1643-c016-4600-a290-b72deaf04281","type":"Grid"},{"attributes":{},"id":"5c86c285-2aa6-47cc-8efd-c669e7731313","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"35b84652-a81f-4357-84db-61519ed0f812","type":"ColumnDataSource"},"glyph":{"id":"f88aec41-0ccd-4bdf-b2e7-dfc37aaad366","type":"CircleCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"95aef6f3-fd5f-46f6-9e87-c7585681463e","type":"CDSView"}},"id":"abfed1d7-324c-4fe7-9cb9-2c222fcc701c","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"2f13f26d-40fe-4cc9-b041-01ad34724c40","type":"DataRange1d"},{"attributes":{},"id":"de7b912a-d93a-4886-b5dd-9d478cf6e6c1","type":"BasicTicker"},{"attributes":{"callback":null},"id":"4b43d5de-9b49-483c-aa56-c0fe9c9b3330","type":"DataRange1d"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fb8072"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f88aec41-0ccd-4bdf-b2e7-dfc37aaad366","type":"CircleCross"},{"attributes":{"source":{"id":"35b84652-a81f-4357-84db-61519ed0f812","type":"ColumnDataSource"}},"id":"95aef6f3-fd5f-46f6-9e87-c7585681463e","type":"CDSView"},{"attributes":{"below":[{"id":"b46bbf46-5454-4f69-9a99-c2cfe0d04798","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"f17c0087-2e93-4d67-b723-8b3e4d02826e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"abfed1d7-324c-4fe7-9cb9-2c222fcc701c","type":"GlyphRenderer"},{"id":"b46bbf46-5454-4f69-9a99-c2cfe0d04798","type":"LinearAxis"},{"id":"f17c0087-2e93-4d67-b723-8b3e4d02826e","type":"LinearAxis"},{"id":"e2953425-b97a-4164-82dc-cee7b4aa952b","type":"Grid"},{"id":"ebec1643-c016-4600-a290-b72deaf04281","type":"Grid"}],"title":null,"toolbar":{"id":"850dd875-60b1-4ec9-9b7f-71b6ed7b09b2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"4b43d5de-9b49-483c-aa56-c0fe9c9b3330","type":"DataRange1d"},"x_scale":{"id":"0efc1fe5-9e9e-4524-be4d-fc9a38efe6dd","type":"LinearScale"},"y_range":{"id":"2f13f26d-40fe-4cc9-b041-01ad34724c40","type":"DataRange1d"},"y_scale":{"id":"e5a99bb1-f2a6-430e-ba2c-ba6bc8c38f84","type":"LinearScale"}},"id":"23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca","type":"Plot"},{"attributes":{},"id":"e5a99bb1-f2a6-430e-ba2c-ba6bc8c38f84","type":"LinearScale"},{"attributes":{"formatter":{"id":"5c86c285-2aa6-47cc-8efd-c669e7731313","type":"BasicTickFormatter"},"plot":{"id":"23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca","type":"Plot"},"ticker":{"id":"ecd34c68-f8b4-49ec-9920-810bbe7d0117","type":"BasicTicker"}},"id":"b46bbf46-5454-4f69-9a99-c2cfe0d04798","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"35b84652-a81f-4357-84db-61519ed0f812","type":"ColumnDataSource"},{"attributes":{},"id":"0efc1fe5-9e9e-4524-be4d-fc9a38efe6dd","type":"LinearScale"}],"root_ids":["23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"237a8b72-6a50-42a6-a6c4-327ac94644ab","elementid":"2c4a1a0e-bafe-4953-83f2-ae736102b602","modelid":"23f89ec5-6fd9-4a8e-b5a1-9a2d5b7819ca"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
