(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f14e8e79-0d8a-4096-b446-a559b6bc3875");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f14e8e79-0d8a-4096-b446-a559b6bc3875' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c78ffddd-5f51-4674-8c08-7599971d80c4":{"roots":{"references":[{"attributes":{},"id":"c3d6da2f-1c36-432e-b7d1-40f7067f6ef5","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"20db2c26-2384-466c-b3fa-2dd72e11030b","type":"Plot"},"ticker":{"id":"8781e4c3-e4aa-4630-be0c-7dc6bc7f1fe3","type":"BasicTicker"}},"id":"5709093d-496f-42cc-a67c-289c4058f659","type":"Grid"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#dd1c77"},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"565c8638-b863-4e9a-a20e-1e73a4393e8f","type":"CircleX"},{"attributes":{},"id":"9c877bd9-a695-4a91-9135-cea92dadf7c5","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"9c877bd9-a695-4a91-9135-cea92dadf7c5","type":"BasicTickFormatter"},"plot":{"id":"20db2c26-2384-466c-b3fa-2dd72e11030b","type":"Plot"},"ticker":{"id":"8781e4c3-e4aa-4630-be0c-7dc6bc7f1fe3","type":"BasicTicker"}},"id":"2f568824-b8f1-4956-9dd4-b6af6a2827e8","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"19709e4e-6633-4b4c-b1b4-4666a30aab90","type":"ColumnDataSource"},{"attributes":{},"id":"abcbdfe7-ff4a-4dea-8dba-01ae0b0777a5","type":"BasicTicker"},{"attributes":{"data_source":{"id":"19709e4e-6633-4b4c-b1b4-4666a30aab90","type":"ColumnDataSource"},"glyph":{"id":"565c8638-b863-4e9a-a20e-1e73a4393e8f","type":"CircleX"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"eac99b06-6b23-47bd-bf87-101b6fd3d8c0","type":"CDSView"}},"id":"d1427a5f-ce69-4be4-b0a3-3f4300c647c5","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"20db2c26-2384-466c-b3fa-2dd72e11030b","type":"Plot"},"ticker":{"id":"abcbdfe7-ff4a-4dea-8dba-01ae0b0777a5","type":"BasicTicker"}},"id":"1976a469-e2c6-47d3-91e9-cb7723c9b147","type":"Grid"},{"attributes":{"below":[{"id":"f2cd09be-23e6-4c6d-9515-6d8ddfc62dca","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"2f568824-b8f1-4956-9dd4-b6af6a2827e8","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"d1427a5f-ce69-4be4-b0a3-3f4300c647c5","type":"GlyphRenderer"},{"id":"f2cd09be-23e6-4c6d-9515-6d8ddfc62dca","type":"LinearAxis"},{"id":"2f568824-b8f1-4956-9dd4-b6af6a2827e8","type":"LinearAxis"},{"id":"1976a469-e2c6-47d3-91e9-cb7723c9b147","type":"Grid"},{"id":"5709093d-496f-42cc-a67c-289c4058f659","type":"Grid"}],"title":null,"toolbar":{"id":"d2083484-b5e0-4917-bf76-90f25b4efecc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e483c3f0-607f-43d1-baa9-5d7306ea6cf0","type":"DataRange1d"},"x_scale":{"id":"b359a46f-5f25-4b4a-bdc4-e3495e9f3276","type":"LinearScale"},"y_range":{"id":"cc3f6f6d-4d09-41a3-88b8-6b9493699ccb","type":"DataRange1d"},"y_scale":{"id":"c3d6da2f-1c36-432e-b7d1-40f7067f6ef5","type":"LinearScale"}},"id":"20db2c26-2384-466c-b3fa-2dd72e11030b","type":"Plot"},{"attributes":{"callback":null},"id":"cc3f6f6d-4d09-41a3-88b8-6b9493699ccb","type":"DataRange1d"},{"attributes":{},"id":"b359a46f-5f25-4b4a-bdc4-e3495e9f3276","type":"LinearScale"},{"attributes":{"formatter":{"id":"ad01f03f-d24d-4bce-9d33-c3f09490e41f","type":"BasicTickFormatter"},"plot":{"id":"20db2c26-2384-466c-b3fa-2dd72e11030b","type":"Plot"},"ticker":{"id":"abcbdfe7-ff4a-4dea-8dba-01ae0b0777a5","type":"BasicTicker"}},"id":"f2cd09be-23e6-4c6d-9515-6d8ddfc62dca","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e483c3f0-607f-43d1-baa9-5d7306ea6cf0","type":"DataRange1d"},{"attributes":{"source":{"id":"19709e4e-6633-4b4c-b1b4-4666a30aab90","type":"ColumnDataSource"}},"id":"eac99b06-6b23-47bd-bf87-101b6fd3d8c0","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"d2083484-b5e0-4917-bf76-90f25b4efecc","type":"Toolbar"},{"attributes":{},"id":"8781e4c3-e4aa-4630-be0c-7dc6bc7f1fe3","type":"BasicTicker"},{"attributes":{},"id":"ad01f03f-d24d-4bce-9d33-c3f09490e41f","type":"BasicTickFormatter"}],"root_ids":["20db2c26-2384-466c-b3fa-2dd72e11030b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c78ffddd-5f51-4674-8c08-7599971d80c4","elementid":"f14e8e79-0d8a-4096-b446-a559b6bc3875","modelid":"20db2c26-2384-466c-b3fa-2dd72e11030b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
