(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7f380ae7-6e18-44dd-8906-079cd1216381");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7f380ae7-6e18-44dd-8906-079cd1216381' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1d9026cb-fedd-42db-920f-6a831db26450":{"roots":{"references":[{"attributes":{},"id":"7d58f417-062a-449b-88ca-7bee82c75a8c","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c26af3ae-0c98-47a3-89c8-f79d6f46a6bf","type":"Toolbar"},{"attributes":{"callback":null},"id":"d0120e18-7ecc-478f-9834-3bd1fa3c0421","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d28b452f-31a4-4f17-bcf7-5e948caca9d4","type":"BasicTickFormatter"},"plot":{"id":"03e5de36-0e51-4513-bc65-512e8a00df8a","type":"Plot"},"ticker":{"id":"aacb9bef-3fa1-4166-b1f7-24a2b6291978","type":"BasicTicker"}},"id":"5189846b-7fd5-4a2c-9149-a9a3e612a7ad","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e08b0203-f10b-4668-992c-cf5b59489451","type":"ColumnDataSource"},"glyph":{"id":"0c526739-58db-48a6-9017-88e1fd6bbfd5","type":"Cross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"580f6638-5ea3-4f58-9a9a-ffe19ab6633b","type":"CDSView"}},"id":"b20f6563-705a-45a0-b3b6-45b4f9b9820a","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"48a5c401-dc44-460b-a2e4-3427adaafe66","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"5189846b-7fd5-4a2c-9149-a9a3e612a7ad","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"b20f6563-705a-45a0-b3b6-45b4f9b9820a","type":"GlyphRenderer"},{"id":"48a5c401-dc44-460b-a2e4-3427adaafe66","type":"LinearAxis"},{"id":"5189846b-7fd5-4a2c-9149-a9a3e612a7ad","type":"LinearAxis"},{"id":"01646e70-3381-4e82-977f-e88fdccc6d83","type":"Grid"},{"id":"2d537fbf-5309-4469-9203-931c0251688f","type":"Grid"}],"title":null,"toolbar":{"id":"c26af3ae-0c98-47a3-89c8-f79d6f46a6bf","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e3f977bf-2549-4e58-ac80-27ffa0ad8542","type":"DataRange1d"},"x_scale":{"id":"7d58f417-062a-449b-88ca-7bee82c75a8c","type":"LinearScale"},"y_range":{"id":"d0120e18-7ecc-478f-9834-3bd1fa3c0421","type":"DataRange1d"},"y_scale":{"id":"7a9f535c-12e2-4380-96fc-a56504398310","type":"LinearScale"}},"id":"03e5de36-0e51-4513-bc65-512e8a00df8a","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"e08b0203-f10b-4668-992c-cf5b59489451","type":"ColumnDataSource"},{"attributes":{},"id":"d28b452f-31a4-4f17-bcf7-5e948caca9d4","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"03e5de36-0e51-4513-bc65-512e8a00df8a","type":"Plot"},"ticker":{"id":"1cf2b6fe-474e-40de-bafb-9eb3968f70bd","type":"BasicTicker"}},"id":"01646e70-3381-4e82-977f-e88fdccc6d83","type":"Grid"},{"attributes":{"callback":null},"id":"e3f977bf-2549-4e58-ac80-27ffa0ad8542","type":"DataRange1d"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#e6550d"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"0c526739-58db-48a6-9017-88e1fd6bbfd5","type":"Cross"},{"attributes":{"dimension":1,"plot":{"id":"03e5de36-0e51-4513-bc65-512e8a00df8a","type":"Plot"},"ticker":{"id":"aacb9bef-3fa1-4166-b1f7-24a2b6291978","type":"BasicTicker"}},"id":"2d537fbf-5309-4469-9203-931c0251688f","type":"Grid"},{"attributes":{},"id":"7a9f535c-12e2-4380-96fc-a56504398310","type":"LinearScale"},{"attributes":{},"id":"ff75b61c-8712-414d-bf9a-39be37e9f64f","type":"BasicTickFormatter"},{"attributes":{},"id":"1cf2b6fe-474e-40de-bafb-9eb3968f70bd","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ff75b61c-8712-414d-bf9a-39be37e9f64f","type":"BasicTickFormatter"},"plot":{"id":"03e5de36-0e51-4513-bc65-512e8a00df8a","type":"Plot"},"ticker":{"id":"1cf2b6fe-474e-40de-bafb-9eb3968f70bd","type":"BasicTicker"}},"id":"48a5c401-dc44-460b-a2e4-3427adaafe66","type":"LinearAxis"},{"attributes":{},"id":"aacb9bef-3fa1-4166-b1f7-24a2b6291978","type":"BasicTicker"},{"attributes":{"source":{"id":"e08b0203-f10b-4668-992c-cf5b59489451","type":"ColumnDataSource"}},"id":"580f6638-5ea3-4f58-9a9a-ffe19ab6633b","type":"CDSView"}],"root_ids":["03e5de36-0e51-4513-bc65-512e8a00df8a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1d9026cb-fedd-42db-920f-6a831db26450","elementid":"7f380ae7-6e18-44dd-8906-079cd1216381","modelid":"03e5de36-0e51-4513-bc65-512e8a00df8a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
