(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7bbcd947-c354-4113-8385-aa81f19fc56a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7bbcd947-c354-4113-8385-aa81f19fc56a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0ed20c66-1f34-4b6e-9714-171ebc0e0b03":{"roots":{"references":[{"attributes":{"plot":{"id":"bb8e2637-dad9-48d5-83d9-a03d1910a3e0","type":"Plot"},"ticker":{"id":"9380cce4-46ec-4f79-a71a-6a9b8437dd0f","type":"BasicTicker"}},"id":"eda0800d-1c4c-4abc-ad76-11af39a4fb4a","type":"Grid"},{"attributes":{"source":{"id":"071b79dc-421b-4832-9349-a468397cee2b","type":"ColumnDataSource"}},"id":"2ce89138-14c0-49a9-b2dc-7558fcf214d7","type":"CDSView"},{"attributes":{},"id":"fd106814-cc38-44c7-975c-9781e3f88f43","type":"BasicTicker"},{"attributes":{"callback":null},"id":"05b2cfe8-2708-4065-9ed0-d7b24fdae5be","type":"DataRange1d"},{"attributes":{"callback":null},"id":"d3debf3d-0a51-4fca-a5ff-45a10a9ce795","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"bb8e2637-dad9-48d5-83d9-a03d1910a3e0","type":"Plot"},"ticker":{"id":"fd106814-cc38-44c7-975c-9781e3f88f43","type":"BasicTicker"}},"id":"4e624f76-774e-43c3-9b78-ba66971ecaee","type":"Grid"},{"attributes":{"below":[{"id":"468e31c1-0ff2-458c-a883-41ed5e3971d2","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"2483bd6f-c4ca-437f-ae76-a12f9b51b774","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"e9cbbdaf-22c9-4ebb-b315-e43b9b88f214","type":"GlyphRenderer"},{"id":"468e31c1-0ff2-458c-a883-41ed5e3971d2","type":"LinearAxis"},{"id":"2483bd6f-c4ca-437f-ae76-a12f9b51b774","type":"LinearAxis"},{"id":"eda0800d-1c4c-4abc-ad76-11af39a4fb4a","type":"Grid"},{"id":"4e624f76-774e-43c3-9b78-ba66971ecaee","type":"Grid"}],"title":null,"toolbar":{"id":"74969828-dda2-4345-95c9-fbf2808dd6f0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"05b2cfe8-2708-4065-9ed0-d7b24fdae5be","type":"DataRange1d"},"x_scale":{"id":"9f0cd2f0-938d-4dc1-875f-2f31a5d524a9","type":"LinearScale"},"y_range":{"id":"d3debf3d-0a51-4fca-a5ff-45a10a9ce795","type":"DataRange1d"},"y_scale":{"id":"e7461550-52e1-4cdd-985a-a443a2f62274","type":"LinearScale"}},"id":"bb8e2637-dad9-48d5-83d9-a03d1910a3e0","type":"Plot"},{"attributes":{},"id":"e7461550-52e1-4cdd-985a-a443a2f62274","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"071b79dc-421b-4832-9349-a468397cee2b","type":"ColumnDataSource"},{"attributes":{},"id":"9380cce4-46ec-4f79-a71a-6a9b8437dd0f","type":"BasicTicker"},{"attributes":{},"id":"7e3a0850-717c-4c77-bbc0-96cb10373e1f","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"74969828-dda2-4345-95c9-fbf2808dd6f0","type":"Toolbar"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#7fc97f"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"76068e7d-53a8-4b5b-a207-f43fea4914a1","type":"SquareCross"},{"attributes":{"data_source":{"id":"071b79dc-421b-4832-9349-a468397cee2b","type":"ColumnDataSource"},"glyph":{"id":"76068e7d-53a8-4b5b-a207-f43fea4914a1","type":"SquareCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"2ce89138-14c0-49a9-b2dc-7558fcf214d7","type":"CDSView"}},"id":"e9cbbdaf-22c9-4ebb-b315-e43b9b88f214","type":"GlyphRenderer"},{"attributes":{},"id":"9f0cd2f0-938d-4dc1-875f-2f31a5d524a9","type":"LinearScale"},{"attributes":{},"id":"3462bcc4-7f68-480b-847c-9b314fe502d9","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"7e3a0850-717c-4c77-bbc0-96cb10373e1f","type":"BasicTickFormatter"},"plot":{"id":"bb8e2637-dad9-48d5-83d9-a03d1910a3e0","type":"Plot"},"ticker":{"id":"9380cce4-46ec-4f79-a71a-6a9b8437dd0f","type":"BasicTicker"}},"id":"468e31c1-0ff2-458c-a883-41ed5e3971d2","type":"LinearAxis"},{"attributes":{"formatter":{"id":"3462bcc4-7f68-480b-847c-9b314fe502d9","type":"BasicTickFormatter"},"plot":{"id":"bb8e2637-dad9-48d5-83d9-a03d1910a3e0","type":"Plot"},"ticker":{"id":"fd106814-cc38-44c7-975c-9781e3f88f43","type":"BasicTicker"}},"id":"2483bd6f-c4ca-437f-ae76-a12f9b51b774","type":"LinearAxis"}],"root_ids":["bb8e2637-dad9-48d5-83d9-a03d1910a3e0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0ed20c66-1f34-4b6e-9714-171ebc0e0b03","elementid":"7bbcd947-c354-4113-8385-aa81f19fc56a","modelid":"bb8e2637-dad9-48d5-83d9-a03d1910a3e0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
