(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9c193fba-9989-4017-8d70-e1320e963aeb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9c193fba-9989-4017-8d70-e1320e963aeb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"231a44c3-13f2-46e3-a56e-64f1f95afdb5":{"roots":{"references":[{"attributes":{"source":{"id":"54ae2249-fa5d-4ba0-9446-26fcbfba3c9c","type":"ColumnDataSource"}},"id":"52b82445-8fea-4ec9-9aaa-493990ee9fe7","type":"CDSView"},{"attributes":{"formatter":{"id":"370a4c67-3ced-4f90-8e2b-5eb45fb2ba9f","type":"BasicTickFormatter"},"plot":{"id":"dd028918-5dc9-4313-b5f1-a8c1d5f1531b","type":"Plot"},"ticker":{"id":"9d7cccb0-b06d-48f1-a4a7-aebfd63e9c19","type":"BasicTicker"}},"id":"2041503f-ec46-48ce-a800-ca8ef6360218","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"dd028918-5dc9-4313-b5f1-a8c1d5f1531b","type":"Plot"},"ticker":{"id":"e800b679-6d05-4705-8795-38ebadada90c","type":"BasicTicker"}},"id":"1d77edab-2b39-40fb-a595-4f439e1bffa6","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"54ae2249-fa5d-4ba0-9446-26fcbfba3c9c","type":"ColumnDataSource"},{"attributes":{},"id":"e800b679-6d05-4705-8795-38ebadada90c","type":"BasicTicker"},{"attributes":{"below":[{"id":"2041503f-ec46-48ce-a800-ca8ef6360218","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"db1b4de0-6812-41d1-b930-edcef6f79c2d","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"5c1f916c-0c81-459d-b1e4-12908b42a896","type":"GlyphRenderer"},{"id":"2041503f-ec46-48ce-a800-ca8ef6360218","type":"LinearAxis"},{"id":"db1b4de0-6812-41d1-b930-edcef6f79c2d","type":"LinearAxis"},{"id":"138d936b-5159-4b84-bdf6-e4ff04411418","type":"Grid"},{"id":"1d77edab-2b39-40fb-a595-4f439e1bffa6","type":"Grid"}],"title":null,"toolbar":{"id":"aaadd0cc-9e58-4931-ad71-76e378448c40","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6e5c67af-2655-4e9e-88ec-4a1afec15a87","type":"DataRange1d"},"x_scale":{"id":"cfc0192a-5f72-4b4a-a7ab-20bdd749cd32","type":"LinearScale"},"y_range":{"id":"5bfcce7f-055e-4991-9e2a-3096796e3dba","type":"DataRange1d"},"y_scale":{"id":"6457400c-76f6-4c2b-a9e2-09d120dbb04d","type":"LinearScale"}},"id":"dd028918-5dc9-4313-b5f1-a8c1d5f1531b","type":"Plot"},{"attributes":{},"id":"370a4c67-3ced-4f90-8e2b-5eb45fb2ba9f","type":"BasicTickFormatter"},{"attributes":{},"id":"cfc0192a-5f72-4b4a-a7ab-20bdd749cd32","type":"LinearScale"},{"attributes":{"plot":{"id":"dd028918-5dc9-4313-b5f1-a8c1d5f1531b","type":"Plot"},"ticker":{"id":"9d7cccb0-b06d-48f1-a4a7-aebfd63e9c19","type":"BasicTicker"}},"id":"138d936b-5159-4b84-bdf6-e4ff04411418","type":"Grid"},{"attributes":{"callback":null},"id":"5bfcce7f-055e-4991-9e2a-3096796e3dba","type":"DataRange1d"},{"attributes":{},"id":"d90e8731-40eb-4d11-98ec-de45238762e2","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"aaadd0cc-9e58-4931-ad71-76e378448c40","type":"Toolbar"},{"attributes":{"data_source":{"id":"54ae2249-fa5d-4ba0-9446-26fcbfba3c9c","type":"ColumnDataSource"},"glyph":{"id":"8a127ad2-3961-48d1-be8b-990e7f0950b3","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"52b82445-8fea-4ec9-9aaa-493990ee9fe7","type":"CDSView"}},"id":"5c1f916c-0c81-459d-b1e4-12908b42a896","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"6e5c67af-2655-4e9e-88ec-4a1afec15a87","type":"DataRange1d"},{"attributes":{},"id":"6457400c-76f6-4c2b-a9e2-09d120dbb04d","type":"LinearScale"},{"attributes":{},"id":"9d7cccb0-b06d-48f1-a4a7-aebfd63e9c19","type":"BasicTicker"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#99d594"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"8a127ad2-3961-48d1-be8b-990e7f0950b3","type":"Triangle"},{"attributes":{"formatter":{"id":"d90e8731-40eb-4d11-98ec-de45238762e2","type":"BasicTickFormatter"},"plot":{"id":"dd028918-5dc9-4313-b5f1-a8c1d5f1531b","type":"Plot"},"ticker":{"id":"e800b679-6d05-4705-8795-38ebadada90c","type":"BasicTicker"}},"id":"db1b4de0-6812-41d1-b930-edcef6f79c2d","type":"LinearAxis"}],"root_ids":["dd028918-5dc9-4313-b5f1-a8c1d5f1531b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"231a44c3-13f2-46e3-a56e-64f1f95afdb5","elementid":"9c193fba-9989-4017-8d70-e1320e963aeb","modelid":"dd028918-5dc9-4313-b5f1-a8c1d5f1531b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
