(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8c1726ec-3a88-4208-be9c-7284ec12ffa7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8c1726ec-3a88-4208-be9c-7284ec12ffa7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f866f7f2-500e-4cc9-a369-045fe09fea62":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c3e093d5-7370-479f-a57c-ac1748884407","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"d5d69c7c-b2d0-46ef-9620-30a974710a47","type":"DataRange1d"},{"attributes":{"below":[{"id":"39481a05-f420-40c0-8d7c-a04a9199576f","type":"LinearAxis"}],"left":[{"id":"3e2cfc79-0587-4439-b24b-202c9cde7698","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"39481a05-f420-40c0-8d7c-a04a9199576f","type":"LinearAxis"},{"id":"6b5838ff-28a2-4880-a927-a5665093011d","type":"Grid"},{"id":"3e2cfc79-0587-4439-b24b-202c9cde7698","type":"LinearAxis"},{"id":"9c398e3c-9eb9-44b0-ae17-ca73c137993f","type":"Grid"},{"id":"8b9a4db1-c5ae-4575-b2d9-90bda50f826d","type":"BoxAnnotation"},{"id":"0fb2e32a-801a-4707-8564-92f0ad70c0c6","type":"GlyphRenderer"}],"title":{"id":"1d197b2d-0f37-46ce-b6ca-41f0182cda92","type":"Title"},"toolbar":{"id":"5e16ef5a-9848-4be6-8bbf-7e1378463f78","type":"Toolbar"},"x_range":{"id":"903bd61d-d577-4c8a-95f1-61ccd5970927","type":"DataRange1d"},"x_scale":{"id":"fb79fc05-9797-41a2-82d3-4bb5d03dbc31","type":"LinearScale"},"y_range":{"id":"5e52bb11-261a-4428-9d91-58861f79d253","type":"DataRange1d"},"y_scale":{"id":"7d375726-ab73-4584-8fa1-737505580b69","type":"LinearScale"}},"id":"8b9236ea-b6e3-4813-aea3-792bd9e0c6d9","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"903bd61d-d577-4c8a-95f1-61ccd5970927","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"04600b48-ef2b-434f-a435-c25411057cec","type":"Circle"},{"attributes":{"formatter":{"id":"ed8a57ea-92c8-4f98-b409-04af7eabb5c7","type":"BasicTickFormatter"},"plot":{"id":"2a6f8df8-7d41-49ea-99b6-a2bcac03a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"c72ef56c-66f7-486a-a581-e217a4e527c7","type":"BasicTicker"}},"id":"ff0d8bc8-aedb-49c9-9f2d-74baadb37162","type":"LinearAxis"},{"attributes":{},"id":"c17c664c-632a-4d1a-8337-f59402380b07","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"41219823-bf01-4a5a-8e0e-e4fae105617a","type":"PanTool"},{"id":"e6f5b47b-0081-4ccb-8305-9f289ea91caf","type":"WheelZoomTool"},{"id":"4a437078-e040-4a9a-be50-4a431970d6fd","type":"BoxZoomTool"},{"id":"61a544d7-dd7c-4684-81d2-dd7e6027eb0b","type":"SaveTool"},{"id":"956ed914-108f-49ca-8000-212b5edc082f","type":"ResetTool"},{"id":"ee4b7e7b-f9e1-4e26-920a-a968314c5358","type":"HelpTool"}]},"id":"5e16ef5a-9848-4be6-8bbf-7e1378463f78","type":"Toolbar"},{"attributes":{"source":{"id":"f2efb4c5-0a32-419d-b500-6c536756afcc","type":"ColumnDataSource"}},"id":"bbb74804-9593-48fa-9c20-141df33dde1b","type":"CDSView"},{"attributes":{},"id":"41219823-bf01-4a5a-8e0e-e4fae105617a","type":"PanTool"},{"attributes":{"plot":{"id":"2a6f8df8-7d41-49ea-99b6-a2bcac03a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"542a9621-fdc7-466e-92d7-9e4c295f7552","type":"BasicTicker"}},"id":"86966510-287f-44b8-8bc3-f5a373365f9c","type":"Grid"},{"attributes":{"callback":null},"id":"f2e3a964-a8b6-4883-80f1-678598904bb9","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"1d197b2d-0f37-46ce-b6ca-41f0182cda92","type":"Title"},{"attributes":{"overlay":{"id":"8b9a4db1-c5ae-4575-b2d9-90bda50f826d","type":"BoxAnnotation"}},"id":"4a437078-e040-4a9a-be50-4a431970d6fd","type":"BoxZoomTool"},{"attributes":{"overlay":{"id":"c3e093d5-7370-479f-a57c-ac1748884407","type":"BoxAnnotation"}},"id":"ee02e3d6-1439-49b2-a511-d3809d2111d7","type":"BoxZoomTool"},{"attributes":{"child":{"id":"8b9236ea-b6e3-4813-aea3-792bd9e0c6d9","subtype":"Figure","type":"Plot"},"title":"line"},"id":"7888c432-d92d-456e-b93d-22c80cbef069","type":"Panel"},{"attributes":{"child":{"id":"2a6f8df8-7d41-49ea-99b6-a2bcac03a635","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"87819da8-3bb4-4c13-8a5f-474fb543fa78","type":"Panel"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"99bc1261-aa80-4eed-927a-5ac1a1807a0c","type":"Line"},{"attributes":{},"id":"e4d64d3e-260a-426a-9372-247c84030534","type":"WheelZoomTool"},{"attributes":{},"id":"61a544d7-dd7c-4684-81d2-dd7e6027eb0b","type":"SaveTool"},{"attributes":{},"id":"e6f5b47b-0081-4ccb-8305-9f289ea91caf","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"5393cd6f-e631-4d3b-8413-83c8d03a56a7","type":"BasicTickFormatter"},"plot":{"id":"8b9236ea-b6e3-4813-aea3-792bd9e0c6d9","subtype":"Figure","type":"Plot"},"ticker":{"id":"31f293e0-f7b0-48b5-a833-56dde6c63619","type":"BasicTicker"}},"id":"3e2cfc79-0587-4439-b24b-202c9cde7698","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"1fce9c3c-cff5-4bd8-a566-1b84200ee2b6","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"1fce9c3c-cff5-4bd8-a566-1b84200ee2b6","type":"ColumnDataSource"},"glyph":{"id":"04600b48-ef2b-434f-a435-c25411057cec","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"49e7d982-0b26-46fe-b297-674a98ec6ecf","type":"Circle"},"selection_glyph":null,"view":{"id":"5bfbe5ed-675f-497a-b657-eeca5c7b0eb6","type":"CDSView"}},"id":"d7ebe821-23d1-4909-8686-4e0cbf242dff","type":"GlyphRenderer"},{"attributes":{},"id":"a51306ba-d462-40e5-9299-5aaabecce72e","type":"PanTool"},{"attributes":{},"id":"5393cd6f-e631-4d3b-8413-83c8d03a56a7","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a51306ba-d462-40e5-9299-5aaabecce72e","type":"PanTool"},{"id":"e4d64d3e-260a-426a-9372-247c84030534","type":"WheelZoomTool"},{"id":"ee02e3d6-1439-49b2-a511-d3809d2111d7","type":"BoxZoomTool"},{"id":"4041b540-1bc5-47ab-bc83-de7851bb7dc5","type":"SaveTool"},{"id":"f73ac5c2-7946-472f-879b-83dc86d076c1","type":"ResetTool"},{"id":"3ad89d6b-9120-4f5a-a12f-73e82f3e915c","type":"HelpTool"}]},"id":"e78ea4ae-a571-46dc-87e8-5b26125661e6","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"8b9236ea-b6e3-4813-aea3-792bd9e0c6d9","subtype":"Figure","type":"Plot"},"ticker":{"id":"31f293e0-f7b0-48b5-a833-56dde6c63619","type":"BasicTicker"}},"id":"9c398e3c-9eb9-44b0-ae17-ca73c137993f","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"b066a374-b63e-421d-aa63-99f3cebde774","type":"Title"},{"attributes":{"formatter":{"id":"603709fe-2c0c-4373-ac73-0dd9c473ae72","type":"BasicTickFormatter"},"plot":{"id":"2a6f8df8-7d41-49ea-99b6-a2bcac03a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"542a9621-fdc7-466e-92d7-9e4c295f7552","type":"BasicTicker"}},"id":"158ca9cc-a156-4eb8-8a18-5da464a27983","type":"LinearAxis"},{"attributes":{},"id":"4041b540-1bc5-47ab-bc83-de7851bb7dc5","type":"SaveTool"},{"attributes":{"callback":null},"id":"5e52bb11-261a-4428-9d91-58861f79d253","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"2a6f8df8-7d41-49ea-99b6-a2bcac03a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"c72ef56c-66f7-486a-a581-e217a4e527c7","type":"BasicTicker"}},"id":"c30234f5-e87f-4ffb-87b4-8b713f27ba81","type":"Grid"},{"attributes":{},"id":"7e6d7025-61cb-4cfa-bb76-20253db7ba7a","type":"BasicTicker"},{"attributes":{"source":{"id":"1fce9c3c-cff5-4bd8-a566-1b84200ee2b6","type":"ColumnDataSource"}},"id":"5bfbe5ed-675f-497a-b657-eeca5c7b0eb6","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8b9a4db1-c5ae-4575-b2d9-90bda50f826d","type":"BoxAnnotation"},{"attributes":{},"id":"956ed914-108f-49ca-8000-212b5edc082f","type":"ResetTool"},{"attributes":{"formatter":{"id":"c17c664c-632a-4d1a-8337-f59402380b07","type":"BasicTickFormatter"},"plot":{"id":"8b9236ea-b6e3-4813-aea3-792bd9e0c6d9","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e6d7025-61cb-4cfa-bb76-20253db7ba7a","type":"BasicTicker"}},"id":"39481a05-f420-40c0-8d7c-a04a9199576f","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"49e7d982-0b26-46fe-b297-674a98ec6ecf","type":"Circle"},{"attributes":{},"id":"542a9621-fdc7-466e-92d7-9e4c295f7552","type":"BasicTicker"},{"attributes":{},"id":"ee4b7e7b-f9e1-4e26-920a-a968314c5358","type":"HelpTool"},{"attributes":{},"id":"f73ac5c2-7946-472f-879b-83dc86d076c1","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"f2efb4c5-0a32-419d-b500-6c536756afcc","type":"ColumnDataSource"},{"attributes":{},"id":"7d375726-ab73-4584-8fa1-737505580b69","type":"LinearScale"},{"attributes":{},"id":"603709fe-2c0c-4373-ac73-0dd9c473ae72","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"158ca9cc-a156-4eb8-8a18-5da464a27983","type":"LinearAxis"}],"left":[{"id":"ff0d8bc8-aedb-49c9-9f2d-74baadb37162","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"158ca9cc-a156-4eb8-8a18-5da464a27983","type":"LinearAxis"},{"id":"86966510-287f-44b8-8bc3-f5a373365f9c","type":"Grid"},{"id":"ff0d8bc8-aedb-49c9-9f2d-74baadb37162","type":"LinearAxis"},{"id":"c30234f5-e87f-4ffb-87b4-8b713f27ba81","type":"Grid"},{"id":"c3e093d5-7370-479f-a57c-ac1748884407","type":"BoxAnnotation"},{"id":"d7ebe821-23d1-4909-8686-4e0cbf242dff","type":"GlyphRenderer"}],"title":{"id":"b066a374-b63e-421d-aa63-99f3cebde774","type":"Title"},"toolbar":{"id":"e78ea4ae-a571-46dc-87e8-5b26125661e6","type":"Toolbar"},"x_range":{"id":"d5d69c7c-b2d0-46ef-9620-30a974710a47","type":"DataRange1d"},"x_scale":{"id":"4d25a22b-5059-4695-99f1-95a08e848b31","type":"LinearScale"},"y_range":{"id":"f2e3a964-a8b6-4883-80f1-678598904bb9","type":"DataRange1d"},"y_scale":{"id":"6327e414-f248-4e50-bca8-a9be17f4f119","type":"LinearScale"}},"id":"2a6f8df8-7d41-49ea-99b6-a2bcac03a635","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c86f321-0e12-4b80-be2b-c268113f47bc","type":"Line"},{"attributes":{},"id":"4d25a22b-5059-4695-99f1-95a08e848b31","type":"LinearScale"},{"attributes":{"data_source":{"id":"f2efb4c5-0a32-419d-b500-6c536756afcc","type":"ColumnDataSource"},"glyph":{"id":"7c86f321-0e12-4b80-be2b-c268113f47bc","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"99bc1261-aa80-4eed-927a-5ac1a1807a0c","type":"Line"},"selection_glyph":null,"view":{"id":"bbb74804-9593-48fa-9c20-141df33dde1b","type":"CDSView"}},"id":"0fb2e32a-801a-4707-8564-92f0ad70c0c6","type":"GlyphRenderer"},{"attributes":{"callback":null,"tabs":[{"id":"87819da8-3bb4-4c13-8a5f-474fb543fa78","type":"Panel"},{"id":"7888c432-d92d-456e-b93d-22c80cbef069","type":"Panel"}]},"id":"76ac3347-909e-4be7-8ba6-15897befd863","type":"Tabs"},{"attributes":{},"id":"c72ef56c-66f7-486a-a581-e217a4e527c7","type":"BasicTicker"},{"attributes":{},"id":"ed8a57ea-92c8-4f98-b409-04af7eabb5c7","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"8b9236ea-b6e3-4813-aea3-792bd9e0c6d9","subtype":"Figure","type":"Plot"},"ticker":{"id":"7e6d7025-61cb-4cfa-bb76-20253db7ba7a","type":"BasicTicker"}},"id":"6b5838ff-28a2-4880-a927-a5665093011d","type":"Grid"},{"attributes":{},"id":"3ad89d6b-9120-4f5a-a12f-73e82f3e915c","type":"HelpTool"},{"attributes":{},"id":"31f293e0-f7b0-48b5-a833-56dde6c63619","type":"BasicTicker"},{"attributes":{},"id":"fb79fc05-9797-41a2-82d3-4bb5d03dbc31","type":"LinearScale"},{"attributes":{},"id":"6327e414-f248-4e50-bca8-a9be17f4f119","type":"LinearScale"}],"root_ids":["76ac3347-909e-4be7-8ba6-15897befd863"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f866f7f2-500e-4cc9-a369-045fe09fea62","elementid":"8c1726ec-3a88-4208-be9c-7284ec12ffa7","modelid":"76ac3347-909e-4be7-8ba6-15897befd863"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
