(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7155cc7e-5494-4c21-9559-c972f88243f8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7155cc7e-5494-4c21-9559-c972f88243f8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c98cb2cc-1168-439d-a245-9f513cb1cc40":{"roots":{"references":[{"attributes":{"overlay":{"id":"77738ab9-835b-45cd-bd80-9354af80fca9","type":"BoxAnnotation"}},"id":"dbe67b02-6a7d-4a17-9d7e-17416e484073","type":"BoxZoomTool"},{"attributes":{},"id":"3618005f-6bff-499a-b9cb-3d6b2bdb4e93","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"daf04f7c-f917-4ab0-ab41-1df0fbb392c1","type":"PanTool"},{"id":"a539f68a-8353-4098-9dbd-794295bb196f","type":"WheelZoomTool"},{"id":"dbe67b02-6a7d-4a17-9d7e-17416e484073","type":"BoxZoomTool"},{"id":"431eb65a-5fef-40bf-8f7b-c6b112b5e493","type":"SaveTool"},{"id":"3618005f-6bff-499a-b9cb-3d6b2bdb4e93","type":"ResetTool"},{"id":"df135f02-6e40-4ec8-98d9-90a4ab14506c","type":"HelpTool"}]},"id":"4a8e1d99-90f8-4681-a14f-7493a9362def","type":"Toolbar"},{"attributes":{},"id":"431eb65a-5fef-40bf-8f7b-c6b112b5e493","type":"SaveTool"},{"attributes":{},"id":"4e50a0df-13c7-4821-a115-d03c572f05f1","type":"LinearScale"},{"attributes":{"formatter":{"id":"33ce9206-b794-4b03-8cb2-74fa64a4fb16","type":"BasicTickFormatter"},"plot":{"id":"b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc","subtype":"Figure","type":"Plot"},"ticker":{"id":"99965a1d-4ad7-4244-ac58-7fba773b5aa5","type":"BasicTicker"}},"id":"d97f643b-22ed-46cb-a604-c1867c072e54","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"fbffdf27-3501-4913-b333-2d60460ab570","type":"ColumnDataSource"},{"attributes":{},"id":"33ce9206-b794-4b03-8cb2-74fa64a4fb16","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"cca5bb2d-cd09-4173-84a8-48e21d8cf6a5","type":"BasicTickFormatter"},"plot":{"id":"b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc","subtype":"Figure","type":"Plot"},"ticker":{"id":"607e1a42-4096-4f8c-8222-b2e69d44805f","type":"BasicTicker"}},"id":"3cfdaed7-e2d9-4a9d-8ef9-0192a2b38b59","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc","subtype":"Figure","type":"Plot"},"ticker":{"id":"607e1a42-4096-4f8c-8222-b2e69d44805f","type":"BasicTicker"}},"id":"e76c5dc0-4ac2-4096-94d6-bb692ee34668","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"77738ab9-835b-45cd-bd80-9354af80fca9","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"edcda630-83a8-4b66-8ca9-d8506732248c","type":"DataRange1d"},{"attributes":{},"id":"a64ac53f-3892-4251-aa33-25158938f1da","type":"LinearScale"},{"attributes":{},"id":"daf04f7c-f917-4ab0-ab41-1df0fbb392c1","type":"PanTool"},{"attributes":{},"id":"99965a1d-4ad7-4244-ac58-7fba773b5aa5","type":"BasicTicker"},{"attributes":{"source":{"id":"fbffdf27-3501-4913-b333-2d60460ab570","type":"ColumnDataSource"}},"id":"03bc2836-46dd-4de5-9380-b374b33bf127","type":"CDSView"},{"attributes":{"callback":null},"id":"63cc696e-6fc8-49c5-93a6-c87baf32279d","type":"DataRange1d"},{"attributes":{},"id":"cca5bb2d-cd09-4173-84a8-48e21d8cf6a5","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"fbffdf27-3501-4913-b333-2d60460ab570","type":"ColumnDataSource"},"glyph":{"id":"602644fb-0484-4ce7-9579-cf7708f04a56","type":"InvertedTriangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"09e84d50-20ee-4bdf-a945-3d6256b6703a","type":"InvertedTriangle"},"selection_glyph":null,"view":{"id":"03bc2836-46dd-4de5-9380-b374b33bf127","type":"CDSView"}},"id":"9f6ab7b3-5f20-49b4-ae4b-01d010df66f4","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc","subtype":"Figure","type":"Plot"},"ticker":{"id":"99965a1d-4ad7-4244-ac58-7fba773b5aa5","type":"BasicTicker"}},"id":"20ffd6da-2c04-46e2-8c19-13bd7ce77f86","type":"Grid"},{"attributes":{},"id":"607e1a42-4096-4f8c-8222-b2e69d44805f","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"df0e38a3-cbea-4bfb-9e2a-9c9d80974d7a","type":"Title"},{"attributes":{},"id":"a539f68a-8353-4098-9dbd-794295bb196f","type":"WheelZoomTool"},{"attributes":{},"id":"df135f02-6e40-4ec8-98d9-90a4ab14506c","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"09e84d50-20ee-4bdf-a945-3d6256b6703a","type":"InvertedTriangle"},{"attributes":{"fill_color":{"value":"#DE2D26"},"line_color":{"value":"#DE2D26"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"602644fb-0484-4ce7-9579-cf7708f04a56","type":"InvertedTriangle"},{"attributes":{"below":[{"id":"d97f643b-22ed-46cb-a604-c1867c072e54","type":"LinearAxis"}],"left":[{"id":"3cfdaed7-e2d9-4a9d-8ef9-0192a2b38b59","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d97f643b-22ed-46cb-a604-c1867c072e54","type":"LinearAxis"},{"id":"20ffd6da-2c04-46e2-8c19-13bd7ce77f86","type":"Grid"},{"id":"3cfdaed7-e2d9-4a9d-8ef9-0192a2b38b59","type":"LinearAxis"},{"id":"e76c5dc0-4ac2-4096-94d6-bb692ee34668","type":"Grid"},{"id":"77738ab9-835b-45cd-bd80-9354af80fca9","type":"BoxAnnotation"},{"id":"9f6ab7b3-5f20-49b4-ae4b-01d010df66f4","type":"GlyphRenderer"}],"title":{"id":"df0e38a3-cbea-4bfb-9e2a-9c9d80974d7a","type":"Title"},"toolbar":{"id":"4a8e1d99-90f8-4681-a14f-7493a9362def","type":"Toolbar"},"x_range":{"id":"edcda630-83a8-4b66-8ca9-d8506732248c","type":"DataRange1d"},"x_scale":{"id":"4e50a0df-13c7-4821-a115-d03c572f05f1","type":"LinearScale"},"y_range":{"id":"63cc696e-6fc8-49c5-93a6-c87baf32279d","type":"DataRange1d"},"y_scale":{"id":"a64ac53f-3892-4251-aa33-25158938f1da","type":"LinearScale"}},"id":"b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc","subtype":"Figure","type":"Plot"}],"root_ids":["b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c98cb2cc-1168-439d-a245-9f513cb1cc40","elementid":"7155cc7e-5494-4c21-9559-c972f88243f8","modelid":"b63c5a36-b3d4-4a0c-9de8-7897d8f96fbc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
