(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9c295436-a69d-4633-aadf-e423c47e0ef5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9c295436-a69d-4633-aadf-e423c47e0ef5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1a39bed2-640a-418b-8737-d0b6119f6422":{"roots":{"references":[{"attributes":{},"id":"2f161240-c239-4ae5-8608-039d10e3c08c","type":"LinearScale"},{"attributes":{},"id":"d0cc5680-c4f8-43ec-a836-21fe47afb444","type":"BasicTickFormatter"},{"attributes":{},"id":"b796aba5-ab43-4a37-8364-12b577d1a253","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"e1e3b965-74f0-4da4-97e8-60d5dc5e73a1","type":"ColumnDataSource"}},"id":"4ca22c09-d37f-4b65-8d83-be9907125f2a","type":"CDSView"},{"attributes":{},"id":"3529c2e1-5837-4e54-bdfc-213556cb99e3","type":"BasicTicker"},{"attributes":{},"id":"34439e22-15de-4cea-a8eb-7ecb3e0f5c1c","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"00bf1233-9423-43a4-9093-eb8552da917b","subtype":"Figure","type":"Plot"},"ticker":{"id":"3529c2e1-5837-4e54-bdfc-213556cb99e3","type":"BasicTicker"}},"id":"0526f289-821b-40ca-bd43-e39af7eead0e","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"e1e3b965-74f0-4da4-97e8-60d5dc5e73a1","type":"ColumnDataSource"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#1D91C0"},"height":{"units":"data","value":0.4},"line_color":{"value":"#1D91C0"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"492c8bb4-1c3d-4a5b-9e5d-dd9e4672201e","type":"Oval"},{"attributes":{"formatter":{"id":"d0cc5680-c4f8-43ec-a836-21fe47afb444","type":"BasicTickFormatter"},"plot":{"id":"00bf1233-9423-43a4-9093-eb8552da917b","subtype":"Figure","type":"Plot"},"ticker":{"id":"3529c2e1-5837-4e54-bdfc-213556cb99e3","type":"BasicTicker"}},"id":"21883d41-3d82-4dce-939e-3935d3d9f9f4","type":"LinearAxis"},{"attributes":{"callback":null},"id":"3ae9b6a0-79d3-44ab-9b12-58cd172887b3","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"01c6e269-1f88-449e-b28d-89c8f45a7480","type":"Title"},{"attributes":{"data_source":{"id":"e1e3b965-74f0-4da4-97e8-60d5dc5e73a1","type":"ColumnDataSource"},"glyph":{"id":"492c8bb4-1c3d-4a5b-9e5d-dd9e4672201e","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3b5b2d08-a8f4-4574-89b0-6082152e6c51","type":"Oval"},"selection_glyph":null,"view":{"id":"4ca22c09-d37f-4b65-8d83-be9907125f2a","type":"CDSView"}},"id":"2d71b29f-c82a-4889-8855-59b360f56d03","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"b796aba5-ab43-4a37-8364-12b577d1a253","type":"BasicTickFormatter"},"plot":{"id":"00bf1233-9423-43a4-9093-eb8552da917b","subtype":"Figure","type":"Plot"},"ticker":{"id":"659841ee-3195-4e35-9d2a-dd6fc4d9deb4","type":"BasicTicker"}},"id":"9e24c1ae-4434-438d-b785-d2061d7984e5","type":"LinearAxis"},{"attributes":{"callback":null},"id":"f39c09f7-a5e4-4473-97a2-22f4254f4203","type":"DataRange1d"},{"attributes":{"below":[{"id":"9e24c1ae-4434-438d-b785-d2061d7984e5","type":"LinearAxis"}],"left":[{"id":"21883d41-3d82-4dce-939e-3935d3d9f9f4","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"9e24c1ae-4434-438d-b785-d2061d7984e5","type":"LinearAxis"},{"id":"0fb89568-cc51-40ae-805a-78ed566704d2","type":"Grid"},{"id":"21883d41-3d82-4dce-939e-3935d3d9f9f4","type":"LinearAxis"},{"id":"0526f289-821b-40ca-bd43-e39af7eead0e","type":"Grid"},{"id":"78a87304-d562-4de6-a456-0b3388f281d5","type":"BoxAnnotation"},{"id":"2d71b29f-c82a-4889-8855-59b360f56d03","type":"GlyphRenderer"}],"title":{"id":"01c6e269-1f88-449e-b28d-89c8f45a7480","type":"Title"},"toolbar":{"id":"8c4897a8-deb1-40d9-9ad5-ea7bbf5789bf","type":"Toolbar"},"x_range":{"id":"3ae9b6a0-79d3-44ab-9b12-58cd172887b3","type":"DataRange1d"},"x_scale":{"id":"0b790152-df39-454c-b091-85f1285e4e1c","type":"LinearScale"},"y_range":{"id":"f39c09f7-a5e4-4473-97a2-22f4254f4203","type":"DataRange1d"},"y_scale":{"id":"2f161240-c239-4ae5-8608-039d10e3c08c","type":"LinearScale"}},"id":"00bf1233-9423-43a4-9093-eb8552da917b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1aa6f9b6-a213-4677-bbd9-35bd4e417312","type":"ResetTool"},{"attributes":{},"id":"fc32c6cb-908b-4e51-8295-b92d200cb924","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"78a87304-d562-4de6-a456-0b3388f281d5","type":"BoxAnnotation"},{"attributes":{},"id":"66ed87c6-1971-4eec-bd41-1d8e02e3cab4","type":"SaveTool"},{"attributes":{"plot":{"id":"00bf1233-9423-43a4-9093-eb8552da917b","subtype":"Figure","type":"Plot"},"ticker":{"id":"659841ee-3195-4e35-9d2a-dd6fc4d9deb4","type":"BasicTicker"}},"id":"0fb89568-cc51-40ae-805a-78ed566704d2","type":"Grid"},{"attributes":{},"id":"0b790152-df39-454c-b091-85f1285e4e1c","type":"LinearScale"},{"attributes":{},"id":"7aa8935f-287b-4164-a9d4-1a22437ec3af","type":"PanTool"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.4},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3b5b2d08-a8f4-4574-89b0-6082152e6c51","type":"Oval"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7aa8935f-287b-4164-a9d4-1a22437ec3af","type":"PanTool"},{"id":"34439e22-15de-4cea-a8eb-7ecb3e0f5c1c","type":"WheelZoomTool"},{"id":"54781fc7-84f8-4a9e-a016-f034e551e2e4","type":"BoxZoomTool"},{"id":"66ed87c6-1971-4eec-bd41-1d8e02e3cab4","type":"SaveTool"},{"id":"1aa6f9b6-a213-4677-bbd9-35bd4e417312","type":"ResetTool"},{"id":"fc32c6cb-908b-4e51-8295-b92d200cb924","type":"HelpTool"}]},"id":"8c4897a8-deb1-40d9-9ad5-ea7bbf5789bf","type":"Toolbar"},{"attributes":{},"id":"659841ee-3195-4e35-9d2a-dd6fc4d9deb4","type":"BasicTicker"},{"attributes":{"overlay":{"id":"78a87304-d562-4de6-a456-0b3388f281d5","type":"BoxAnnotation"}},"id":"54781fc7-84f8-4a9e-a016-f034e551e2e4","type":"BoxZoomTool"}],"root_ids":["00bf1233-9423-43a4-9093-eb8552da917b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1a39bed2-640a-418b-8737-d0b6119f6422","elementid":"9c295436-a69d-4633-aadf-e423c47e0ef5","modelid":"00bf1233-9423-43a4-9093-eb8552da917b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
