(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fa276edb-967e-423a-9b19-e20e13695ccb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fa276edb-967e-423a-9b19-e20e13695ccb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cc6d4fc6-9794-4a71-8930-57cf0dfa57fb":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5ed0fbc6-eb9b-4589-bf52-d582826f8f16","type":"PanTool"},{"id":"d59871f7-d943-4618-b0ea-545ca1f5d463","type":"WheelZoomTool"},{"id":"8486e225-84c3-4419-9c2f-2e40b840953e","type":"BoxZoomTool"},{"id":"7c623b3f-ff65-4c97-b7db-91a53db893f0","type":"SaveTool"},{"id":"93ba0498-6ca0-4c10-8882-5ab4ce60fa70","type":"ResetTool"},{"id":"4d339ec2-b64b-47dc-90df-b089400a11fd","type":"HelpTool"}]},"id":"3bc04d8d-2c72-4632-9cba-27db450833a9","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#99d8c9"},"line_color":{"value":"#99d8c9"},"x":{"field":"x"},"y":{"field":"y"}},"id":"717303cb-dfb2-4a5e-9d39-3fa8d8f3a774","type":"Patch"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"40619458-95b7-4b36-b9a9-296236c58861","type":"Patch"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6b62a62f-f1c8-412d-9121-8bb6db020461","type":"BoxAnnotation"},{"attributes":{},"id":"4d339ec2-b64b-47dc-90df-b089400a11fd","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"0b7ce0a9-cee0-4c0d-abeb-e106a780478e","type":"Title"},{"attributes":{"data_source":{"id":"c58941da-05ef-4876-b74e-28c587f45e65","type":"ColumnDataSource"},"glyph":{"id":"717303cb-dfb2-4a5e-9d39-3fa8d8f3a774","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"40619458-95b7-4b36-b9a9-296236c58861","type":"Patch"},"selection_glyph":null,"view":{"id":"74256d28-b810-4458-9a48-660edbd62701","type":"CDSView"}},"id":"613fcb1b-5e28-4f51-a8fd-925408912cbb","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"5b2c9bcb-0849-442c-80e4-0400edc2f772","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e763d85-f114-4bd3-a723-851f450ff6e3","type":"BasicTicker"}},"id":"6f11a1d1-317f-4d86-8776-35d7083c117d","type":"Grid"},{"attributes":{"source":{"id":"c58941da-05ef-4876-b74e-28c587f45e65","type":"ColumnDataSource"}},"id":"74256d28-b810-4458-9a48-660edbd62701","type":"CDSView"},{"attributes":{},"id":"d59871f7-d943-4618-b0ea-545ca1f5d463","type":"WheelZoomTool"},{"attributes":{},"id":"7c623b3f-ff65-4c97-b7db-91a53db893f0","type":"SaveTool"},{"attributes":{"overlay":{"id":"6b62a62f-f1c8-412d-9121-8bb6db020461","type":"BoxAnnotation"}},"id":"8486e225-84c3-4419-9c2f-2e40b840953e","type":"BoxZoomTool"},{"attributes":{},"id":"ccb23bfa-bd22-46dd-a6d9-025a286da3c3","type":"LinearScale"},{"attributes":{},"id":"164f1a95-01c2-4d1f-9c63-a7de62eb4a2d","type":"LinearScale"},{"attributes":{},"id":"9e763d85-f114-4bd3-a723-851f450ff6e3","type":"BasicTicker"},{"attributes":{"callback":null},"id":"424a4825-298f-4ef6-a96f-88357a93349f","type":"DataRange1d"},{"attributes":{},"id":"1f66da1a-9601-4469-8b0d-c7c35ceb3fd0","type":"BasicTicker"},{"attributes":{},"id":"c9bc147d-8493-4a20-af08-08b493d22ce8","type":"BasicTickFormatter"},{"attributes":{},"id":"5ed0fbc6-eb9b-4589-bf52-d582826f8f16","type":"PanTool"},{"attributes":{"formatter":{"id":"f960fc58-edda-4827-b489-01f1b59998c7","type":"BasicTickFormatter"},"plot":{"id":"5b2c9bcb-0849-442c-80e4-0400edc2f772","subtype":"Figure","type":"Plot"},"ticker":{"id":"1f66da1a-9601-4469-8b0d-c7c35ceb3fd0","type":"BasicTicker"}},"id":"27eaea73-dbb2-416d-a50b-81a66b8e80e8","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3,2],"y":[6,7,2,2]}},"id":"c58941da-05ef-4876-b74e-28c587f45e65","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"c9bc147d-8493-4a20-af08-08b493d22ce8","type":"BasicTickFormatter"},"plot":{"id":"5b2c9bcb-0849-442c-80e4-0400edc2f772","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e763d85-f114-4bd3-a723-851f450ff6e3","type":"BasicTicker"}},"id":"19fe1e66-bb7a-4fc4-9939-b2d63e810638","type":"LinearAxis"},{"attributes":{},"id":"f960fc58-edda-4827-b489-01f1b59998c7","type":"BasicTickFormatter"},{"attributes":{},"id":"93ba0498-6ca0-4c10-8882-5ab4ce60fa70","type":"ResetTool"},{"attributes":{"plot":{"id":"5b2c9bcb-0849-442c-80e4-0400edc2f772","subtype":"Figure","type":"Plot"},"ticker":{"id":"1f66da1a-9601-4469-8b0d-c7c35ceb3fd0","type":"BasicTicker"}},"id":"0c3d626d-45f3-42a8-9807-c831064bb6dc","type":"Grid"},{"attributes":{"below":[{"id":"27eaea73-dbb2-416d-a50b-81a66b8e80e8","type":"LinearAxis"}],"left":[{"id":"19fe1e66-bb7a-4fc4-9939-b2d63e810638","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"27eaea73-dbb2-416d-a50b-81a66b8e80e8","type":"LinearAxis"},{"id":"0c3d626d-45f3-42a8-9807-c831064bb6dc","type":"Grid"},{"id":"19fe1e66-bb7a-4fc4-9939-b2d63e810638","type":"LinearAxis"},{"id":"6f11a1d1-317f-4d86-8776-35d7083c117d","type":"Grid"},{"id":"6b62a62f-f1c8-412d-9121-8bb6db020461","type":"BoxAnnotation"},{"id":"613fcb1b-5e28-4f51-a8fd-925408912cbb","type":"GlyphRenderer"}],"title":{"id":"0b7ce0a9-cee0-4c0d-abeb-e106a780478e","type":"Title"},"toolbar":{"id":"3bc04d8d-2c72-4632-9cba-27db450833a9","type":"Toolbar"},"x_range":{"id":"424a4825-298f-4ef6-a96f-88357a93349f","type":"DataRange1d"},"x_scale":{"id":"ccb23bfa-bd22-46dd-a6d9-025a286da3c3","type":"LinearScale"},"y_range":{"id":"51b32327-da2e-4983-9fee-8259fea3fca9","type":"DataRange1d"},"y_scale":{"id":"164f1a95-01c2-4d1f-9c63-a7de62eb4a2d","type":"LinearScale"}},"id":"5b2c9bcb-0849-442c-80e4-0400edc2f772","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"51b32327-da2e-4983-9fee-8259fea3fca9","type":"DataRange1d"}],"root_ids":["5b2c9bcb-0849-442c-80e4-0400edc2f772"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cc6d4fc6-9794-4a71-8930-57cf0dfa57fb","elementid":"fa276edb-967e-423a-9b19-e20e13695ccb","modelid":"5b2c9bcb-0849-442c-80e4-0400edc2f772"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
