(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("64d30687-0d5d-4adc-880f-d72467d8a5a3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '64d30687-0d5d-4adc-880f-d72467d8a5a3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"25211fa0-5e99-4d81-b9c8-65c8c92c49bc":{"roots":{"references":[{"attributes":{"overlay":{"id":"d61a353e-112f-4a42-9cb8-b0e4b02b3b70","type":"BoxAnnotation"}},"id":"8fef093d-e86b-4982-a892-b9d0a8d4703a","type":"BoxZoomTool"},{"attributes":{},"id":"ea320170-3bb8-45fd-8d53-472ee09bdb02","type":"PanTool"},{"attributes":{"source":{"id":"b1b617e8-d74b-4f45-8c22-4a22b651c988","type":"ColumnDataSource"}},"id":"9bc2c14e-6b7d-43f2-95ef-857c0f2d6da6","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d61a353e-112f-4a42-9cb8-b0e4b02b3b70","type":"BoxAnnotation"},{"attributes":{},"id":"b15800b1-ab66-41bb-870f-96490519a5ff","type":"ResetTool"},{"attributes":{"angle":{"units":"rad","value":-0.7},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"81b2ed3d-d0b6-44b1-adae-25c06e78ef77","type":"Ray"},{"attributes":{"plot":null,"text":""},"id":"e5d7f285-c0a9-4554-8d5d-a242d555db0b","type":"Title"},{"attributes":{"formatter":{"id":"df91f818-956b-4f62-b2d7-a4ea9a91d753","type":"BasicTickFormatter"},"plot":{"id":"05d282be-9f6d-427f-97a9-8148055347f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"84e8552d-0d8e-4431-b3f4-f9416eb423f0","type":"BasicTicker"}},"id":"0de3f323-6fc1-41f0-a520-e45b5796972b","type":"LinearAxis"},{"attributes":{"below":[{"id":"0de3f323-6fc1-41f0-a520-e45b5796972b","type":"LinearAxis"}],"left":[{"id":"217966cd-3128-4acd-921c-fe0187a8d8eb","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0de3f323-6fc1-41f0-a520-e45b5796972b","type":"LinearAxis"},{"id":"4116caa2-7ffa-48ac-a77b-d541ea65c054","type":"Grid"},{"id":"217966cd-3128-4acd-921c-fe0187a8d8eb","type":"LinearAxis"},{"id":"6a753a6b-b747-4024-8634-03f44bca7144","type":"Grid"},{"id":"d61a353e-112f-4a42-9cb8-b0e4b02b3b70","type":"BoxAnnotation"},{"id":"1ad640b1-63f4-46d5-801a-9ced6c4dba4b","type":"GlyphRenderer"}],"title":{"id":"e5d7f285-c0a9-4554-8d5d-a242d555db0b","type":"Title"},"toolbar":{"id":"6bbebea8-7d97-49b0-a33c-644c775bdcda","type":"Toolbar"},"x_range":{"id":"74b488c1-3ff6-4f96-b6ea-64cc1ad1cae2","type":"DataRange1d"},"x_scale":{"id":"897bfc9f-c062-4937-9455-a2181fb1b04f","type":"LinearScale"},"y_range":{"id":"1e749273-c106-4eaf-89c5-41b8d22765d2","type":"DataRange1d"},"y_scale":{"id":"0cd8253e-6b37-4d73-9c47-75b032a4183b","type":"LinearScale"}},"id":"05d282be-9f6d-427f-97a9-8148055347f9","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"74b488c1-3ff6-4f96-b6ea-64cc1ad1cae2","type":"DataRange1d"},{"attributes":{},"id":"daef51be-02ef-4c65-90a4-9daa610f7113","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ea320170-3bb8-45fd-8d53-472ee09bdb02","type":"PanTool"},{"id":"67f7e747-1ba7-4bbf-a9b8-b9e4bbe3dbb8","type":"WheelZoomTool"},{"id":"8fef093d-e86b-4982-a892-b9d0a8d4703a","type":"BoxZoomTool"},{"id":"2f7c3752-1da9-450d-b783-a126e8ea34be","type":"SaveTool"},{"id":"b15800b1-ab66-41bb-870f-96490519a5ff","type":"ResetTool"},{"id":"10743d51-e788-4077-ae64-9d9e6baa2cba","type":"HelpTool"}]},"id":"6bbebea8-7d97-49b0-a33c-644c775bdcda","type":"Toolbar"},{"attributes":{},"id":"84e8552d-0d8e-4431-b3f4-f9416eb423f0","type":"BasicTicker"},{"attributes":{"callback":null},"id":"1e749273-c106-4eaf-89c5-41b8d22765d2","type":"DataRange1d"},{"attributes":{},"id":"0cd8253e-6b37-4d73-9c47-75b032a4183b","type":"LinearScale"},{"attributes":{},"id":"67f7e747-1ba7-4bbf-a9b8-b9e4bbe3dbb8","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"05d282be-9f6d-427f-97a9-8148055347f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"84e8552d-0d8e-4431-b3f4-f9416eb423f0","type":"BasicTicker"}},"id":"4116caa2-7ffa-48ac-a77b-d541ea65c054","type":"Grid"},{"attributes":{},"id":"df91f818-956b-4f62-b2d7-a4ea9a91d753","type":"BasicTickFormatter"},{"attributes":{},"id":"897bfc9f-c062-4937-9455-a2181fb1b04f","type":"LinearScale"},{"attributes":{},"id":"10743d51-e788-4077-ae64-9d9e6baa2cba","type":"HelpTool"},{"attributes":{"formatter":{"id":"0f6844f5-0701-410e-8da6-f84121349eba","type":"BasicTickFormatter"},"plot":{"id":"05d282be-9f6d-427f-97a9-8148055347f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"daef51be-02ef-4c65-90a4-9daa610f7113","type":"BasicTicker"}},"id":"217966cd-3128-4acd-921c-fe0187a8d8eb","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":-0.7},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"0891e711-a53b-4964-ad03-f21401cf2640","type":"Ray"},{"attributes":{},"id":"2f7c3752-1da9-450d-b783-a126e8ea34be","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"b1b617e8-d74b-4f45-8c22-4a22b651c988","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"b1b617e8-d74b-4f45-8c22-4a22b651c988","type":"ColumnDataSource"},"glyph":{"id":"81b2ed3d-d0b6-44b1-adae-25c06e78ef77","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0891e711-a53b-4964-ad03-f21401cf2640","type":"Ray"},"selection_glyph":null,"view":{"id":"9bc2c14e-6b7d-43f2-95ef-857c0f2d6da6","type":"CDSView"}},"id":"1ad640b1-63f4-46d5-801a-9ced6c4dba4b","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"05d282be-9f6d-427f-97a9-8148055347f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"daef51be-02ef-4c65-90a4-9daa610f7113","type":"BasicTicker"}},"id":"6a753a6b-b747-4024-8634-03f44bca7144","type":"Grid"},{"attributes":{},"id":"0f6844f5-0701-410e-8da6-f84121349eba","type":"BasicTickFormatter"}],"root_ids":["05d282be-9f6d-427f-97a9-8148055347f9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"25211fa0-5e99-4d81-b9c8-65c8c92c49bc","elementid":"64d30687-0d5d-4adc-880f-d72467d8a5a3","modelid":"05d282be-9f6d-427f-97a9-8148055347f9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
