(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0c45ddf6-3744-47b2-b146-763acbb67082");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0c45ddf6-3744-47b2-b146-763acbb67082' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7c9b1cee-df05-4000-addf-7b70a353680f":{"roots":{"references":[{"attributes":{"overlay":{"id":"b90884d8-46b4-43de-9a86-6ec70f9ae00a","type":"BoxAnnotation"}},"id":"08fda064-1bf1-4362-af23-24064afb45bc","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"9327a92e-6080-4dfe-9c2d-2a9a09cd3e90","type":"LinearAxis"}],"left":[{"id":"ade01b0a-4b4c-42ff-8406-c9f83569a816","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"9327a92e-6080-4dfe-9c2d-2a9a09cd3e90","type":"LinearAxis"},{"id":"e223b44b-f8f4-45a1-8766-f9bb0cfb8d5d","type":"Grid"},{"id":"ade01b0a-4b4c-42ff-8406-c9f83569a816","type":"LinearAxis"},{"id":"2d9703f1-76ce-49ef-b232-802d85d55595","type":"Grid"},{"id":"b90884d8-46b4-43de-9a86-6ec70f9ae00a","type":"BoxAnnotation"},{"id":"f7e4d6cf-d3d8-4cd8-a345-1cb19e1f01fd","type":"GlyphRenderer"}],"title":{"id":"eb1c0e64-adc4-40ff-be27-4075b7bc391e","type":"Title"},"toolbar":{"id":"9af627f0-2d52-487e-a376-4e95bc2c066b","type":"Toolbar"},"x_range":{"id":"97b6c0d4-e20c-41f0-b3b9-c34854900b58","type":"DataRange1d"},"x_scale":{"id":"99b198e8-67b2-44cf-9353-4fb839a74934","type":"LinearScale"},"y_range":{"id":"d518df4f-7e34-488e-8335-1c0f238d669e","type":"DataRange1d"},"y_scale":{"id":"53acecae-64b0-4a79-9aac-7482bafa82db","type":"LinearScale"}},"id":"91e015ef-a44c-4385-95ee-0a228fe2d70e","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f5cc6456-b40e-43e5-812d-80ecad74d8b8","type":"PanTool"},{"id":"268169e0-7480-4c08-b291-d55dc09fcfd3","type":"WheelZoomTool"},{"id":"08fda064-1bf1-4362-af23-24064afb45bc","type":"BoxZoomTool"},{"id":"1399b00a-0b7f-47b5-88aa-a91acd134bcf","type":"SaveTool"},{"id":"afc9c1b6-5bde-4158-b607-45635823c116","type":"ResetTool"},{"id":"d223e105-296b-4a50-b4b5-5cb3608646e2","type":"HelpTool"}]},"id":"9af627f0-2d52-487e-a376-4e95bc2c066b","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"1ef0627e-8e35-41af-8918-af6c4bbeecf6","type":"ColumnDataSource"},{"attributes":{},"id":"99b198e8-67b2-44cf-9353-4fb839a74934","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"91e015ef-a44c-4385-95ee-0a228fe2d70e","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fadc7d0-8ce9-4328-aa97-974ac4291569","type":"BasicTicker"}},"id":"2d9703f1-76ce-49ef-b232-802d85d55595","type":"Grid"},{"attributes":{"data_source":{"id":"1ef0627e-8e35-41af-8918-af6c4bbeecf6","type":"ColumnDataSource"},"glyph":{"id":"2c7f151f-e573-474a-a6ac-5db58a372cbc","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9f0bc534-506b-4d67-a936-913c8841dfd2","type":"Rect"},"selection_glyph":null,"view":{"id":"930694e0-9449-4b2f-97b5-188316fda208","type":"CDSView"}},"id":"f7e4d6cf-d3d8-4cd8-a345-1cb19e1f01fd","type":"GlyphRenderer"},{"attributes":{},"id":"289c702e-e816-47a2-a810-678f57abebe6","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":20},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9f0bc534-506b-4d67-a936-913c8841dfd2","type":"Rect"},{"attributes":{},"id":"53acecae-64b0-4a79-9aac-7482bafa82db","type":"LinearScale"},{"attributes":{},"id":"5f033b18-cc54-4090-b5df-1f379089cbf9","type":"BasicTickFormatter"},{"attributes":{},"id":"1399b00a-0b7f-47b5-88aa-a91acd134bcf","type":"SaveTool"},{"attributes":{},"id":"afc9c1b6-5bde-4158-b607-45635823c116","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"eb1c0e64-adc4-40ff-be27-4075b7bc391e","type":"Title"},{"attributes":{"formatter":{"id":"31efca18-0565-4811-b367-21118da08bb4","type":"BasicTickFormatter"},"plot":{"id":"91e015ef-a44c-4385-95ee-0a228fe2d70e","subtype":"Figure","type":"Plot"},"ticker":{"id":"289c702e-e816-47a2-a810-678f57abebe6","type":"BasicTicker"}},"id":"9327a92e-6080-4dfe-9c2d-2a9a09cd3e90","type":"LinearAxis"},{"attributes":{"source":{"id":"1ef0627e-8e35-41af-8918-af6c4bbeecf6","type":"ColumnDataSource"}},"id":"930694e0-9449-4b2f-97b5-188316fda208","type":"CDSView"},{"attributes":{},"id":"268169e0-7480-4c08-b291-d55dc09fcfd3","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"91e015ef-a44c-4385-95ee-0a228fe2d70e","subtype":"Figure","type":"Plot"},"ticker":{"id":"289c702e-e816-47a2-a810-678f57abebe6","type":"BasicTicker"}},"id":"e223b44b-f8f4-45a1-8766-f9bb0cfb8d5d","type":"Grid"},{"attributes":{"callback":null},"id":"d518df4f-7e34-488e-8335-1c0f238d669e","type":"DataRange1d"},{"attributes":{"formatter":{"id":"5f033b18-cc54-4090-b5df-1f379089cbf9","type":"BasicTickFormatter"},"plot":{"id":"91e015ef-a44c-4385-95ee-0a228fe2d70e","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fadc7d0-8ce9-4328-aa97-974ac4291569","type":"BasicTicker"}},"id":"ade01b0a-4b4c-42ff-8406-c9f83569a816","type":"LinearAxis"},{"attributes":{},"id":"f5cc6456-b40e-43e5-812d-80ecad74d8b8","type":"PanTool"},{"attributes":{},"id":"31efca18-0565-4811-b367-21118da08bb4","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"97b6c0d4-e20c-41f0-b3b9-c34854900b58","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b90884d8-46b4-43de-9a86-6ec70f9ae00a","type":"BoxAnnotation"},{"attributes":{},"id":"0fadc7d0-8ce9-4328-aa97-974ac4291569","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":20},"line_color":{"value":"#CAB2D6"},"width":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2c7f151f-e573-474a-a6ac-5db58a372cbc","type":"Rect"},{"attributes":{},"id":"d223e105-296b-4a50-b4b5-5cb3608646e2","type":"HelpTool"}],"root_ids":["91e015ef-a44c-4385-95ee-0a228fe2d70e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7c9b1cee-df05-4000-addf-7b70a353680f","elementid":"0c45ddf6-3744-47b2-b146-763acbb67082","modelid":"91e015ef-a44c-4385-95ee-0a228fe2d70e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
