(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("038cf76f-ef2a-44c7-ac77-628259482de1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '038cf76f-ef2a-44c7-ac77-628259482de1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"785c751b-fbd9-4de6-bcbe-c511eed47a2b":{"roots":{"references":[{"attributes":{},"id":"91188006-be9b-4237-b96e-93f16795d94f","type":"LinearScale"},{"attributes":{},"id":"eaf62c79-3332-4164-9fdc-42891b96ba6e","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"4f9dca29-b19b-4801-a2f2-1894ce4f3a2d","type":"LinearAxis"}],"left":[{"id":"039c23ed-609a-46f5-9367-8822a935fa50","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"4f9dca29-b19b-4801-a2f2-1894ce4f3a2d","type":"LinearAxis"},{"id":"7da2a407-015a-4084-b994-0eb6afb3ad85","type":"Grid"},{"id":"039c23ed-609a-46f5-9367-8822a935fa50","type":"LinearAxis"},{"id":"97e634c9-7307-419c-a12b-fa21da948c3b","type":"Grid"},{"id":"7ed3ae4a-9229-40ea-b0ef-5c3607570e76","type":"BoxAnnotation"},{"id":"822a818a-eeea-4a98-bc25-3412ddbfc89d","type":"GlyphRenderer"}],"title":{"id":"17c759e2-24ef-4303-b8b9-65cdfd179a08","type":"Title"},"toolbar":{"id":"cd7cd4c7-d7ae-4025-9da0-82353521f534","type":"Toolbar"},"x_range":{"id":"1e9293fc-854f-4b23-9f70-db2ff397c405","type":"DataRange1d"},"x_scale":{"id":"a7ac1767-e6a8-4d80-a50d-de9ad794a525","type":"LinearScale"},"y_range":{"id":"25e911e0-c202-4e96-a3e8-99c8d1c2e617","type":"DataRange1d"},"y_scale":{"id":"91188006-be9b-4237-b96e-93f16795d94f","type":"LinearScale"}},"id":"a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"eaf62c79-3332-4164-9fdc-42891b96ba6e","type":"BasicTickFormatter"},"plot":{"id":"a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"5361014c-0575-4b08-b0b1-f3529839ef33","type":"BasicTicker"}},"id":"4f9dca29-b19b-4801-a2f2-1894ce4f3a2d","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"a8d33347-6fb5-429c-8d66-6f6d78227cef","type":"Segment"},{"attributes":{"callback":null},"id":"25e911e0-c202-4e96-a3e8-99c8d1c2e617","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3eea84c-b99c-4217-b111-af23f7931f78","type":"BasicTicker"}},"id":"97e634c9-7307-419c-a12b-fa21da948c3b","type":"Grid"},{"attributes":{},"id":"f7d69797-2ec2-4702-b5b6-27a4cef96bef","type":"HelpTool"},{"attributes":{},"id":"f8463194-59a2-42a1-88a0-615bb175f8bb","type":"PanTool"},{"attributes":{},"id":"a7ac1767-e6a8-4d80-a50d-de9ad794a525","type":"LinearScale"},{"attributes":{},"id":"462ec535-cd72-40e1-bdcb-bd835379996b","type":"SaveTool"},{"attributes":{},"id":"351836de-62ec-4fc2-8d09-8fd4a9d16e96","type":"ResetTool"},{"attributes":{"formatter":{"id":"61db167a-7cfb-4cbf-8fbd-7ebc2920e8b1","type":"BasicTickFormatter"},"plot":{"id":"a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3eea84c-b99c-4217-b111-af23f7931f78","type":"BasicTicker"}},"id":"039c23ed-609a-46f5-9367-8822a935fa50","type":"LinearAxis"},{"attributes":{},"id":"6cc9c1ad-d08a-490f-aa43-853a635b2ef1","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f8463194-59a2-42a1-88a0-615bb175f8bb","type":"PanTool"},{"id":"6cc9c1ad-d08a-490f-aa43-853a635b2ef1","type":"WheelZoomTool"},{"id":"7df020f6-86fa-4918-8b86-4d3fc4906f76","type":"BoxZoomTool"},{"id":"462ec535-cd72-40e1-bdcb-bd835379996b","type":"SaveTool"},{"id":"351836de-62ec-4fc2-8d09-8fd4a9d16e96","type":"ResetTool"},{"id":"f7d69797-2ec2-4702-b5b6-27a4cef96bef","type":"HelpTool"}]},"id":"cd7cd4c7-d7ae-4025-9da0-82353521f534","type":"Toolbar"},{"attributes":{"overlay":{"id":"7ed3ae4a-9229-40ea-b0ef-5c3607570e76","type":"BoxAnnotation"}},"id":"7df020f6-86fa-4918-8b86-4d3fc4906f76","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"5361014c-0575-4b08-b0b1-f3529839ef33","type":"BasicTicker"}},"id":"7da2a407-015a-4084-b994-0eb6afb3ad85","type":"Grid"},{"attributes":{"data_source":{"id":"76a46371-c744-4590-bbcf-07012daef4f3","type":"ColumnDataSource"},"glyph":{"id":"a8d33347-6fb5-429c-8d66-6f6d78227cef","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"18c242a3-404d-4ca4-9760-5f4ce5675ab8","type":"Segment"},"selection_glyph":null,"view":{"id":"52cb7421-0533-4d5f-a4e4-ece1b947cf10","type":"CDSView"}},"id":"822a818a-eeea-4a98-bc25-3412ddbfc89d","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"1e9293fc-854f-4b23-9f70-db2ff397c405","type":"DataRange1d"},{"attributes":{},"id":"61db167a-7cfb-4cbf-8fbd-7ebc2920e8b1","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"17c759e2-24ef-4303-b8b9-65cdfd179a08","type":"Title"},{"attributes":{},"id":"5361014c-0575-4b08-b0b1-f3529839ef33","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7ed3ae4a-9229-40ea-b0ef-5c3607570e76","type":"BoxAnnotation"},{"attributes":{"source":{"id":"76a46371-c744-4590-bbcf-07012daef4f3","type":"ColumnDataSource"}},"id":"52cb7421-0533-4d5f-a4e4-ece1b947cf10","type":"CDSView"},{"attributes":{},"id":"a3eea84c-b99c-4217-b111-af23f7931f78","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"18c242a3-404d-4ca4-9760-5f4ce5675ab8","type":"Segment"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1,2,3],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"76a46371-c744-4590-bbcf-07012daef4f3","type":"ColumnDataSource"}],"root_ids":["a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"785c751b-fbd9-4de6-bcbe-c511eed47a2b","elementid":"038cf76f-ef2a-44c7-ac77-628259482de1","modelid":"a1bb6da4-feb6-4e8d-b8ce-eb0ea6ca2cdf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
