(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8a30037a-b664-4ed0-ba48-03ef66374eee");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8a30037a-b664-4ed0-ba48-03ef66374eee' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8b9cb77f-7bdf-442e-b923-9a4ba71c6417":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"6bcc552d-3fac-4f95-a01d-3936744d6c52","type":"ColumnDataSource"},{"attributes":{},"id":"9eeac05e-7798-4050-b184-816c73a0ccfc","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c302189a-bf14-46f1-9484-bf3cf81cdc20","type":"SquareCross"},{"attributes":{},"id":"5ac7b018-a895-441e-a5c8-7cc6e20dffc6","type":"WheelZoomTool"},{"attributes":{},"id":"2d84d4e2-d3b4-4171-8b36-c07e9a433b86","type":"SaveTool"},{"attributes":{},"id":"e493e6d5-b032-45a5-b929-f45a6aa1c04e","type":"HelpTool"},{"attributes":{},"id":"702441b1-febb-4d77-8864-53dc9e6aa150","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"f1303b10-9595-407e-ba7a-ba9c155befc5","type":"BoxAnnotation"}},"id":"c7431599-fbf5-4607-b1ce-8772d4f96993","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"702441b1-febb-4d77-8864-53dc9e6aa150","type":"BasicTickFormatter"},"plot":{"id":"9f4244ff-e363-4d02-869e-77830a71efdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"c1826485-5c5a-4d4d-92ad-55d4257791d3","type":"BasicTicker"}},"id":"f918275c-b4ce-41a7-b783-c1bc4f685db5","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"f0132c5b-0691-44d3-b680-e35dac51f9d1","type":"Title"},{"attributes":{},"id":"34bb8ba0-d663-48bc-b5c4-14b157dcdca9","type":"BasicTicker"},{"attributes":{"formatter":{"id":"9eeac05e-7798-4050-b184-816c73a0ccfc","type":"BasicTickFormatter"},"plot":{"id":"9f4244ff-e363-4d02-869e-77830a71efdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"34bb8ba0-d663-48bc-b5c4-14b157dcdca9","type":"BasicTicker"}},"id":"73cae39d-6572-40bc-96ac-3d9de2be8de4","type":"LinearAxis"},{"attributes":{"callback":null},"id":"25ac653d-f071-4dd8-92f4-c8dce7c83bbe","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f1303b10-9595-407e-ba7a-ba9c155befc5","type":"BoxAnnotation"},{"attributes":{},"id":"ad7d032d-97f8-42b4-a267-2529bbd8a3d4","type":"LinearScale"},{"attributes":{},"id":"864dd650-ee17-471c-ab7e-e5e6a0271818","type":"PanTool"},{"attributes":{"plot":{"id":"9f4244ff-e363-4d02-869e-77830a71efdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"c1826485-5c5a-4d4d-92ad-55d4257791d3","type":"BasicTicker"}},"id":"92995a00-ec8f-4187-ad6a-2801e8af9efc","type":"Grid"},{"attributes":{"callback":null},"id":"04f09231-4fcb-4d1a-b372-6cac01c13dc3","type":"DataRange1d"},{"attributes":{"source":{"id":"6bcc552d-3fac-4f95-a01d-3936744d6c52","type":"ColumnDataSource"}},"id":"aa78999c-c6e9-4b02-926b-9700ebf99372","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"9f4244ff-e363-4d02-869e-77830a71efdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"34bb8ba0-d663-48bc-b5c4-14b157dcdca9","type":"BasicTicker"}},"id":"e6a68c08-6e96-499f-a41b-1cbaae859f47","type":"Grid"},{"attributes":{},"id":"7221f453-75c3-4a85-a08f-a9b49dbd7266","type":"ResetTool"},{"attributes":{},"id":"c2b0fac1-c4ea-4740-898a-354d5300d848","type":"LinearScale"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#7FC97F"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c2666f30-cfe8-4aa1-a989-ea2951e1b804","type":"SquareCross"},{"attributes":{"data_source":{"id":"6bcc552d-3fac-4f95-a01d-3936744d6c52","type":"ColumnDataSource"},"glyph":{"id":"c2666f30-cfe8-4aa1-a989-ea2951e1b804","type":"SquareCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c302189a-bf14-46f1-9484-bf3cf81cdc20","type":"SquareCross"},"selection_glyph":null,"view":{"id":"aa78999c-c6e9-4b02-926b-9700ebf99372","type":"CDSView"}},"id":"26b9310d-acd2-4854-bb08-1fd2d82e9a1c","type":"GlyphRenderer"},{"attributes":{},"id":"c1826485-5c5a-4d4d-92ad-55d4257791d3","type":"BasicTicker"},{"attributes":{"below":[{"id":"f918275c-b4ce-41a7-b783-c1bc4f685db5","type":"LinearAxis"}],"left":[{"id":"73cae39d-6572-40bc-96ac-3d9de2be8de4","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"f918275c-b4ce-41a7-b783-c1bc4f685db5","type":"LinearAxis"},{"id":"92995a00-ec8f-4187-ad6a-2801e8af9efc","type":"Grid"},{"id":"73cae39d-6572-40bc-96ac-3d9de2be8de4","type":"LinearAxis"},{"id":"e6a68c08-6e96-499f-a41b-1cbaae859f47","type":"Grid"},{"id":"f1303b10-9595-407e-ba7a-ba9c155befc5","type":"BoxAnnotation"},{"id":"26b9310d-acd2-4854-bb08-1fd2d82e9a1c","type":"GlyphRenderer"}],"title":{"id":"f0132c5b-0691-44d3-b680-e35dac51f9d1","type":"Title"},"toolbar":{"id":"4bc9e588-8039-49d7-8588-223be0c12ee1","type":"Toolbar"},"x_range":{"id":"04f09231-4fcb-4d1a-b372-6cac01c13dc3","type":"DataRange1d"},"x_scale":{"id":"c2b0fac1-c4ea-4740-898a-354d5300d848","type":"LinearScale"},"y_range":{"id":"25ac653d-f071-4dd8-92f4-c8dce7c83bbe","type":"DataRange1d"},"y_scale":{"id":"ad7d032d-97f8-42b4-a267-2529bbd8a3d4","type":"LinearScale"}},"id":"9f4244ff-e363-4d02-869e-77830a71efdf","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"864dd650-ee17-471c-ab7e-e5e6a0271818","type":"PanTool"},{"id":"5ac7b018-a895-441e-a5c8-7cc6e20dffc6","type":"WheelZoomTool"},{"id":"c7431599-fbf5-4607-b1ce-8772d4f96993","type":"BoxZoomTool"},{"id":"2d84d4e2-d3b4-4171-8b36-c07e9a433b86","type":"SaveTool"},{"id":"7221f453-75c3-4a85-a08f-a9b49dbd7266","type":"ResetTool"},{"id":"e493e6d5-b032-45a5-b929-f45a6aa1c04e","type":"HelpTool"}]},"id":"4bc9e588-8039-49d7-8588-223be0c12ee1","type":"Toolbar"}],"root_ids":["9f4244ff-e363-4d02-869e-77830a71efdf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8b9cb77f-7bdf-442e-b923-9a4ba71c6417","elementid":"8a30037a-b664-4ed0-ba48-03ef66374eee","modelid":"9f4244ff-e363-4d02-869e-77830a71efdf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
