(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ea292373-8222-4c59-9d2a-65209020f8ff");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ea292373-8222-4c59-9d2a-65209020f8ff' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c8a62f42-9692-42e0-9e1f-e6a89e0fd413":{"roots":{"references":[{"attributes":{},"id":"c9c679c2-9fb3-40eb-a39f-701fac2ee2c5","type":"ResetTool"},{"attributes":{"callback":null},"id":"80bc528b-5740-47fb-9036-9b926b6b9931","type":"DataRange1d"},{"attributes":{"below":[{"id":"dc202a77-5619-4baf-b2af-f9ed1d2f7c0e","type":"LinearAxis"}],"left":[{"id":"35abf57c-e877-4ca7-a3ba-a9472574ed27","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"dc202a77-5619-4baf-b2af-f9ed1d2f7c0e","type":"LinearAxis"},{"id":"377d66e9-eb43-4650-8b29-f29538352b25","type":"Grid"},{"id":"35abf57c-e877-4ca7-a3ba-a9472574ed27","type":"LinearAxis"},{"id":"10407629-fdc3-465b-98d7-8d0f98fc6385","type":"Grid"},{"id":"0df3fb09-4548-4dff-8541-c23ddae2c2c2","type":"BoxAnnotation"},{"id":"056c9884-d892-47a9-83e8-381ac2c7bc42","type":"GlyphRenderer"}],"title":{"id":"3b46d2c4-1711-4367-8a3d-f98f7e4253fa","type":"Title"},"toolbar":{"id":"3a50befe-0302-4b32-9dfb-ac983e1869cc","type":"Toolbar"},"x_range":{"id":"40e57db9-d4f4-4da5-8a5b-c131bf0ff174","type":"DataRange1d"},"x_scale":{"id":"7ce42754-e76c-4679-a281-dd1f0ac6a89d","type":"LinearScale"},"y_range":{"id":"80bc528b-5740-47fb-9036-9b926b6b9931","type":"DataRange1d"},"y_scale":{"id":"4cb31b99-6311-4793-ac85-56d59d983126","type":"LinearScale"}},"id":"5b379f05-67c9-4b83-904a-d1cdfad0e569","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f8440320-77e1-4be1-855e-f5478781953a","type":"WheelZoomTool"},{"attributes":{},"id":"4cb31b99-6311-4793-ac85-56d59d983126","type":"LinearScale"},{"attributes":{},"id":"406c0d9a-9fb8-491d-bbad-ac669308d250","type":"BasicTickFormatter"},{"attributes":{},"id":"85d1cf3f-8404-469b-95bd-6c4fa9fedc5e","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"e9d222be-b356-4c41-8926-d8f3c951715e","type":"ColumnDataSource"},{"attributes":{"source":{"id":"e9d222be-b356-4c41-8926-d8f3c951715e","type":"ColumnDataSource"}},"id":"c213aaa4-2e72-441b-9f60-913a1ed1f5b2","type":"CDSView"},{"attributes":{"callback":null},"id":"40e57db9-d4f4-4da5-8a5b-c131bf0ff174","type":"DataRange1d"},{"attributes":{},"id":"025675fd-f9ec-41f2-9786-043d2cf51eb4","type":"BasicTicker"},{"attributes":{"formatter":{"id":"adc77399-4235-4ab4-a18a-86f8951313d7","type":"BasicTickFormatter"},"plot":{"id":"5b379f05-67c9-4b83-904a-d1cdfad0e569","subtype":"Figure","type":"Plot"},"ticker":{"id":"05ac80cb-58bd-496f-942b-4aa1c8a1758a","type":"BasicTicker"}},"id":"dc202a77-5619-4baf-b2af-f9ed1d2f7c0e","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"81526db0-4a1b-4d39-a787-d62480f6db18","type":"Triangle"},{"attributes":{"plot":{"id":"5b379f05-67c9-4b83-904a-d1cdfad0e569","subtype":"Figure","type":"Plot"},"ticker":{"id":"05ac80cb-58bd-496f-942b-4aa1c8a1758a","type":"BasicTicker"}},"id":"377d66e9-eb43-4650-8b29-f29538352b25","type":"Grid"},{"attributes":{},"id":"3111ddf6-d34f-468d-8449-647dd5eb4b78","type":"SaveTool"},{"attributes":{"overlay":{"id":"0df3fb09-4548-4dff-8541-c23ddae2c2c2","type":"BoxAnnotation"}},"id":"ab19302b-0c92-4988-bfe9-ec416bb6d211","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0df3fb09-4548-4dff-8541-c23ddae2c2c2","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"3b46d2c4-1711-4367-8a3d-f98f7e4253fa","type":"Title"},{"attributes":{},"id":"adc77399-4235-4ab4-a18a-86f8951313d7","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"5b379f05-67c9-4b83-904a-d1cdfad0e569","subtype":"Figure","type":"Plot"},"ticker":{"id":"025675fd-f9ec-41f2-9786-043d2cf51eb4","type":"BasicTicker"}},"id":"10407629-fdc3-465b-98d7-8d0f98fc6385","type":"Grid"},{"attributes":{"data_source":{"id":"e9d222be-b356-4c41-8926-d8f3c951715e","type":"ColumnDataSource"},"glyph":{"id":"a2488a4b-c11d-4395-b0a8-525878c0cbf1","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"81526db0-4a1b-4d39-a787-d62480f6db18","type":"Triangle"},"selection_glyph":null,"view":{"id":"c213aaa4-2e72-441b-9f60-913a1ed1f5b2","type":"CDSView"}},"id":"056c9884-d892-47a9-83e8-381ac2c7bc42","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#99D594"},"line_color":{"value":"#99D594"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a2488a4b-c11d-4395-b0a8-525878c0cbf1","type":"Triangle"},{"attributes":{},"id":"a8931c91-0cae-4cd8-8737-bcfe6423d2c5","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a8931c91-0cae-4cd8-8737-bcfe6423d2c5","type":"PanTool"},{"id":"f8440320-77e1-4be1-855e-f5478781953a","type":"WheelZoomTool"},{"id":"ab19302b-0c92-4988-bfe9-ec416bb6d211","type":"BoxZoomTool"},{"id":"3111ddf6-d34f-468d-8449-647dd5eb4b78","type":"SaveTool"},{"id":"c9c679c2-9fb3-40eb-a39f-701fac2ee2c5","type":"ResetTool"},{"id":"85d1cf3f-8404-469b-95bd-6c4fa9fedc5e","type":"HelpTool"}]},"id":"3a50befe-0302-4b32-9dfb-ac983e1869cc","type":"Toolbar"},{"attributes":{"formatter":{"id":"406c0d9a-9fb8-491d-bbad-ac669308d250","type":"BasicTickFormatter"},"plot":{"id":"5b379f05-67c9-4b83-904a-d1cdfad0e569","subtype":"Figure","type":"Plot"},"ticker":{"id":"025675fd-f9ec-41f2-9786-043d2cf51eb4","type":"BasicTicker"}},"id":"35abf57c-e877-4ca7-a3ba-a9472574ed27","type":"LinearAxis"},{"attributes":{},"id":"7ce42754-e76c-4679-a281-dd1f0ac6a89d","type":"LinearScale"},{"attributes":{},"id":"05ac80cb-58bd-496f-942b-4aa1c8a1758a","type":"BasicTicker"}],"root_ids":["5b379f05-67c9-4b83-904a-d1cdfad0e569"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c8a62f42-9692-42e0-9e1f-e6a89e0fd413","elementid":"ea292373-8222-4c59-9d2a-65209020f8ff","modelid":"5b379f05-67c9-4b83-904a-d1cdfad0e569"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
