(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2433e96d-5d5e-4020-8122-d45834beecdb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2433e96d-5d5e-4020-8122-d45834beecdb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f17d10e-f6ed-44d9-b375-3131b7340c09":{"roots":{"references":[{"attributes":{"data_source":{"id":"98247c11-eb9b-4a4a-80e8-a3701d365f89","type":"ColumnDataSource"},"glyph":{"id":"7ebe2fdd-50e1-47a1-aa2e-db1f41d21ee6","type":"Cross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dbf81a79-a1ed-4b44-9f17-a430555d1650","type":"Cross"},"selection_glyph":null,"view":{"id":"06af4cbf-ead2-48a4-a36d-31f5f99b0f6d","type":"CDSView"}},"id":"6c54721e-0268-462d-91d2-e971b520d2dc","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"70e34bef-643d-4591-b4ee-0ff0f1fa049d","type":"LinearAxis"}],"left":[{"id":"fc719e67-b858-4532-8cdb-515856c5b591","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"70e34bef-643d-4591-b4ee-0ff0f1fa049d","type":"LinearAxis"},{"id":"750829ea-53a7-4dc1-a350-7bb72b3967ca","type":"Grid"},{"id":"fc719e67-b858-4532-8cdb-515856c5b591","type":"LinearAxis"},{"id":"599f2644-8ab6-49b5-87bd-95b0f43b678c","type":"Grid"},{"id":"01cc06a0-fd3f-43b4-bc1b-21e3f5673a1b","type":"BoxAnnotation"},{"id":"6c54721e-0268-462d-91d2-e971b520d2dc","type":"GlyphRenderer"}],"title":{"id":"563b2f72-adb6-4074-8265-f59af8c8d291","type":"Title"},"toolbar":{"id":"a20ca478-823d-4f11-8eac-3321c3230e6e","type":"Toolbar"},"x_range":{"id":"fc9293e9-d158-4d8b-8ec2-306d97a62a88","type":"DataRange1d"},"x_scale":{"id":"c3920853-c7c9-41f4-bf61-66ac24b80f96","type":"LinearScale"},"y_range":{"id":"a2fd1b0a-a82a-486f-a9d9-b4b3deee3f3e","type":"DataRange1d"},"y_scale":{"id":"0738276d-9827-401a-b4d7-f5eefe198518","type":"LinearScale"}},"id":"b45327e2-2f89-42fb-a73b-eb27a8a7bf6d","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"98247c11-eb9b-4a4a-80e8-a3701d365f89","type":"ColumnDataSource"}},"id":"06af4cbf-ead2-48a4-a36d-31f5f99b0f6d","type":"CDSView"},{"attributes":{"callback":null},"id":"a2fd1b0a-a82a-486f-a9d9-b4b3deee3f3e","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0b2e39d3-f89a-4f8b-adac-50872b24de9a","type":"PanTool"},{"id":"63c5d4ba-6a34-4c00-a316-6793562de3be","type":"WheelZoomTool"},{"id":"52f107c7-10ef-4c5e-a2ed-805f63f839d3","type":"BoxZoomTool"},{"id":"2c8fe001-10e3-4f3f-afb3-18ccb64f1b0b","type":"SaveTool"},{"id":"7196913e-2cdc-4f3a-b7a1-3f2420a09314","type":"ResetTool"},{"id":"9ba5d068-5300-46b9-a9d6-375e88e6ba21","type":"HelpTool"}]},"id":"a20ca478-823d-4f11-8eac-3321c3230e6e","type":"Toolbar"},{"attributes":{},"id":"8b0da3c8-8c35-4952-90f1-ea0c0ba9d094","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"dbf81a79-a1ed-4b44-9f17-a430555d1650","type":"Cross"},{"attributes":{},"id":"0b2e39d3-f89a-4f8b-adac-50872b24de9a","type":"PanTool"},{"attributes":{},"id":"c3920853-c7c9-41f4-bf61-66ac24b80f96","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"b45327e2-2f89-42fb-a73b-eb27a8a7bf6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"8b0da3c8-8c35-4952-90f1-ea0c0ba9d094","type":"BasicTicker"}},"id":"599f2644-8ab6-49b5-87bd-95b0f43b678c","type":"Grid"},{"attributes":{},"id":"7196913e-2cdc-4f3a-b7a1-3f2420a09314","type":"ResetTool"},{"attributes":{},"id":"4a797aa0-e4de-49cb-a2af-c6dacc460c46","type":"BasicTicker"},{"attributes":{},"id":"9ba5d068-5300-46b9-a9d6-375e88e6ba21","type":"HelpTool"},{"attributes":{"overlay":{"id":"01cc06a0-fd3f-43b4-bc1b-21e3f5673a1b","type":"BoxAnnotation"}},"id":"52f107c7-10ef-4c5e-a2ed-805f63f839d3","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"fc9293e9-d158-4d8b-8ec2-306d97a62a88","type":"DataRange1d"},{"attributes":{},"id":"2c8fe001-10e3-4f3f-afb3-18ccb64f1b0b","type":"SaveTool"},{"attributes":{},"id":"0738276d-9827-401a-b4d7-f5eefe198518","type":"LinearScale"},{"attributes":{},"id":"547c60df-37a5-48d8-a272-ba3e6d72a7a7","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"b45327e2-2f89-42fb-a73b-eb27a8a7bf6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a797aa0-e4de-49cb-a2af-c6dacc460c46","type":"BasicTicker"}},"id":"750829ea-53a7-4dc1-a350-7bb72b3967ca","type":"Grid"},{"attributes":{},"id":"0e9a119e-a380-403a-83a8-a5a1dab3c928","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#E6550D"},"line_color":{"value":"#E6550D"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"7ebe2fdd-50e1-47a1-aa2e-db1f41d21ee6","type":"Cross"},{"attributes":{"plot":null,"text":""},"id":"563b2f72-adb6-4074-8265-f59af8c8d291","type":"Title"},{"attributes":{},"id":"63c5d4ba-6a34-4c00-a316-6793562de3be","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"0e9a119e-a380-403a-83a8-a5a1dab3c928","type":"BasicTickFormatter"},"plot":{"id":"b45327e2-2f89-42fb-a73b-eb27a8a7bf6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"8b0da3c8-8c35-4952-90f1-ea0c0ba9d094","type":"BasicTicker"}},"id":"fc719e67-b858-4532-8cdb-515856c5b591","type":"LinearAxis"},{"attributes":{"formatter":{"id":"547c60df-37a5-48d8-a272-ba3e6d72a7a7","type":"BasicTickFormatter"},"plot":{"id":"b45327e2-2f89-42fb-a73b-eb27a8a7bf6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a797aa0-e4de-49cb-a2af-c6dacc460c46","type":"BasicTicker"}},"id":"70e34bef-643d-4591-b4ee-0ff0f1fa049d","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"01cc06a0-fd3f-43b4-bc1b-21e3f5673a1b","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"98247c11-eb9b-4a4a-80e8-a3701d365f89","type":"ColumnDataSource"}],"root_ids":["b45327e2-2f89-42fb-a73b-eb27a8a7bf6d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f17d10e-f6ed-44d9-b375-3131b7340c09","elementid":"2433e96d-5d5e-4020-8122-d45834beecdb","modelid":"b45327e2-2f89-42fb-a73b-eb27a8a7bf6d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
