(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("de1a974e-fd6f-489d-934b-5ad3255430f3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'de1a974e-fd6f-489d-934b-5ad3255430f3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"59e18266-4522-4de5-867d-4011273aad13":{"roots":{"references":[{"attributes":{},"id":"f059c876-4c9b-41e0-80f2-e023adcfe56e","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c36424bb-9cd8-4ee4-8022-25f49889ba02","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"6df22576-70fa-450b-82bb-e6f44d58ba21","type":"ColumnDataSource"},"glyph":{"id":"76bd7b7a-5858-4d5b-978d-15806da0a8e1","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9cd4dac6-b38e-4717-9f85-6ce98f152bf5","type":"Ellipse"},"selection_glyph":null,"view":{"id":"b862e17a-b5bc-4ca0-8b36-012966b301cc","type":"CDSView"}},"id":"34c5afe9-ca45-45a2-a9ab-ff382b62e072","type":"GlyphRenderer"},{"attributes":{},"id":"72ce20f8-f03c-424f-be32-747cef42a01c","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":20},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"9cd4dac6-b38e-4717-9f85-6ce98f152bf5","type":"Ellipse"},{"attributes":{"callback":null},"id":"78a0f078-c968-412f-8f42-873ad1594e6c","type":"DataRange1d"},{"attributes":{},"id":"0cb00733-3495-4b61-965a-f5affae16e52","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"6df22576-70fa-450b-82bb-e6f44d58ba21","type":"ColumnDataSource"},{"attributes":{},"id":"6b84e7a1-a15b-4971-9cbd-2ffc09b5e9f8","type":"BasicTicker"},{"attributes":{"below":[{"id":"0d11f7cc-bf2b-43e4-8d40-9a20e36926c6","type":"LinearAxis"}],"left":[{"id":"41998695-a97d-408d-aa23-3d3b7a29bd5e","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0d11f7cc-bf2b-43e4-8d40-9a20e36926c6","type":"LinearAxis"},{"id":"4c291a47-a648-4c27-a702-cbf260af0be3","type":"Grid"},{"id":"41998695-a97d-408d-aa23-3d3b7a29bd5e","type":"LinearAxis"},{"id":"6faa2a47-656d-4dd3-a3ad-db136d3e3ad4","type":"Grid"},{"id":"c36424bb-9cd8-4ee4-8022-25f49889ba02","type":"BoxAnnotation"},{"id":"34c5afe9-ca45-45a2-a9ab-ff382b62e072","type":"GlyphRenderer"}],"title":{"id":"3b4bb454-cb9b-4ecc-99c3-27315690ab22","type":"Title"},"toolbar":{"id":"f8efa951-b553-46fe-ac9d-a5c61f491fcc","type":"Toolbar"},"x_range":{"id":"fe9af64e-050c-45f5-a0b7-27598a0621d7","type":"DataRange1d"},"x_scale":{"id":"41262cf1-29bd-400c-a73f-c5e2938db85e","type":"LinearScale"},"y_range":{"id":"78a0f078-c968-412f-8f42-873ad1594e6c","type":"DataRange1d"},"y_scale":{"id":"d57f13ae-eb7e-4fcc-87f5-87bc6a5f17b7","type":"LinearScale"}},"id":"dbe7882d-1f7f-475f-a6df-0555ef794968","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"41262cf1-29bd-400c-a73f-c5e2938db85e","type":"LinearScale"},{"attributes":{"formatter":{"id":"e4ff097e-e910-479d-9ced-25b2ec9d86c7","type":"BasicTickFormatter"},"plot":{"id":"dbe7882d-1f7f-475f-a6df-0555ef794968","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b84e7a1-a15b-4971-9cbd-2ffc09b5e9f8","type":"BasicTicker"}},"id":"0d11f7cc-bf2b-43e4-8d40-9a20e36926c6","type":"LinearAxis"},{"attributes":{},"id":"e74b60b8-29da-492d-a8f7-750bf5df451b","type":"HelpTool"},{"attributes":{},"id":"f3f7d477-948f-4b7e-ad73-afd34698eca5","type":"BasicTicker"},{"attributes":{"callback":null},"id":"fe9af64e-050c-45f5-a0b7-27598a0621d7","type":"DataRange1d"},{"attributes":{"overlay":{"id":"c36424bb-9cd8-4ee4-8022-25f49889ba02","type":"BoxAnnotation"}},"id":"fe19f42f-5d9b-432b-ae57-2325f049efeb","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"dbe7882d-1f7f-475f-a6df-0555ef794968","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b84e7a1-a15b-4971-9cbd-2ffc09b5e9f8","type":"BasicTicker"}},"id":"4c291a47-a648-4c27-a702-cbf260af0be3","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"dbe7882d-1f7f-475f-a6df-0555ef794968","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3f7d477-948f-4b7e-ad73-afd34698eca5","type":"BasicTicker"}},"id":"6faa2a47-656d-4dd3-a3ad-db136d3e3ad4","type":"Grid"},{"attributes":{"fill_color":{"value":null},"height":{"units":"data","value":20},"line_color":{"value":"#386CB0"},"line_width":{"value":2},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"76bd7b7a-5858-4d5b-978d-15806da0a8e1","type":"Ellipse"},{"attributes":{},"id":"e009c35f-20e5-4da9-8ca3-498cfadd91c3","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e009c35f-20e5-4da9-8ca3-498cfadd91c3","type":"PanTool"},{"id":"72ce20f8-f03c-424f-be32-747cef42a01c","type":"WheelZoomTool"},{"id":"fe19f42f-5d9b-432b-ae57-2325f049efeb","type":"BoxZoomTool"},{"id":"f059c876-4c9b-41e0-80f2-e023adcfe56e","type":"SaveTool"},{"id":"0cb00733-3495-4b61-965a-f5affae16e52","type":"ResetTool"},{"id":"e74b60b8-29da-492d-a8f7-750bf5df451b","type":"HelpTool"}]},"id":"f8efa951-b553-46fe-ac9d-a5c61f491fcc","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"3b4bb454-cb9b-4ecc-99c3-27315690ab22","type":"Title"},{"attributes":{},"id":"e4ff097e-e910-479d-9ced-25b2ec9d86c7","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"6df22576-70fa-450b-82bb-e6f44d58ba21","type":"ColumnDataSource"}},"id":"b862e17a-b5bc-4ca0-8b36-012966b301cc","type":"CDSView"},{"attributes":{},"id":"d57f13ae-eb7e-4fcc-87f5-87bc6a5f17b7","type":"LinearScale"},{"attributes":{"formatter":{"id":"46609656-a81c-450e-ac66-c1f85d4baafb","type":"BasicTickFormatter"},"plot":{"id":"dbe7882d-1f7f-475f-a6df-0555ef794968","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3f7d477-948f-4b7e-ad73-afd34698eca5","type":"BasicTicker"}},"id":"41998695-a97d-408d-aa23-3d3b7a29bd5e","type":"LinearAxis"},{"attributes":{},"id":"46609656-a81c-450e-ac66-c1f85d4baafb","type":"BasicTickFormatter"}],"root_ids":["dbe7882d-1f7f-475f-a6df-0555ef794968"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"59e18266-4522-4de5-867d-4011273aad13","elementid":"de1a974e-fd6f-489d-934b-5ad3255430f3","modelid":"dbe7882d-1f7f-475f-a6df-0555ef794968"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
