(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("950f90fb-ac59-44b7-8d67-b4accedb5ffb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '950f90fb-ac59-44b7-8d67-b4accedb5ffb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7e8795f3-0b09-4ce7-92a2-512e0c6b5523":{"roots":{"references":[{"attributes":{"formatter":{"id":"c2a16854-c4ed-4e3f-a0e2-4dd6f1e83fe0","type":"BasicTickFormatter"},"plot":{"id":"0be14b6f-fa96-489d-a158-c7c731944718","subtype":"Figure","type":"Plot"},"ticker":{"id":"95419811-8023-4a20-9e3a-4fe3ff0f807d","type":"BasicTicker"}},"id":"d0e56154-4ab3-40d1-950a-6817495a4cbb","type":"LinearAxis"},{"attributes":{},"id":"95419811-8023-4a20-9e3a-4fe3ff0f807d","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"255cc29e-ece8-4a40-b9e4-95c8f227d235","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"cd22e0e4-644c-493e-afdc-33dc953bc1ae","type":"HBar"},{"attributes":{"dimension":1,"plot":{"id":"0be14b6f-fa96-489d-a158-c7c731944718","subtype":"Figure","type":"Plot"},"ticker":{"id":"50f2796c-7a89-42d0-8d71-59cc334c19a0","type":"BasicTicker"}},"id":"1092f96d-6a86-4726-a96d-598b6627af21","type":"Grid"},{"attributes":{"formatter":{"id":"ac6a63f8-5bac-48bb-8d97-72d5f34a86b7","type":"BasicTickFormatter"},"plot":{"id":"0be14b6f-fa96-489d-a158-c7c731944718","subtype":"Figure","type":"Plot"},"ticker":{"id":"50f2796c-7a89-42d0-8d71-59cc334c19a0","type":"BasicTicker"}},"id":"36385216-039a-4eb2-8695-67142f8d06cf","type":"LinearAxis"},{"attributes":{"source":{"id":"2bf1ceae-f528-4873-86b0-2a87d6df65f4","type":"ColumnDataSource"}},"id":"8ac89b2e-1087-4126-b3ed-c349e1b2ab23","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1,2,3],"y":[1,2,3]}},"id":"2bf1ceae-f528-4873-86b0-2a87d6df65f4","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"height":{"value":0.5},"line_color":{"value":"#CAB2D6"},"right":{"field":"right"},"y":{"field":"y"}},"id":"24ccaea2-069d-416c-aad2-7f411bc5770f","type":"HBar"},{"attributes":{"plot":null,"text":""},"id":"d6f8880d-088d-43f2-b166-0ba2762583ca","type":"Title"},{"attributes":{"overlay":{"id":"255cc29e-ece8-4a40-b9e4-95c8f227d235","type":"BoxAnnotation"}},"id":"6d663d76-e4b0-41cd-b8ca-14c1d1701b62","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"0cab2c34-0059-44c1-94ce-41c95b1fa8dd","type":"DataRange1d"},{"attributes":{"data_source":{"id":"2bf1ceae-f528-4873-86b0-2a87d6df65f4","type":"ColumnDataSource"},"glyph":{"id":"24ccaea2-069d-416c-aad2-7f411bc5770f","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd22e0e4-644c-493e-afdc-33dc953bc1ae","type":"HBar"},"selection_glyph":null,"view":{"id":"8ac89b2e-1087-4126-b3ed-c349e1b2ab23","type":"CDSView"}},"id":"8ce8dab8-5ec4-4737-b41b-0d2b4bee3082","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"0be14b6f-fa96-489d-a158-c7c731944718","subtype":"Figure","type":"Plot"},"ticker":{"id":"95419811-8023-4a20-9e3a-4fe3ff0f807d","type":"BasicTicker"}},"id":"53477efc-1251-4e85-b6a1-7bf3841cd122","type":"Grid"},{"attributes":{},"id":"6e2a7d2e-54be-4f1c-86c4-0f80cfe50e97","type":"SaveTool"},{"attributes":{},"id":"e04a834f-4c7c-45db-bd30-02fb57f508a5","type":"LinearScale"},{"attributes":{},"id":"50f2796c-7a89-42d0-8d71-59cc334c19a0","type":"BasicTicker"},{"attributes":{},"id":"925cd8b1-7d56-4e17-9b16-17f549d0ef49","type":"WheelZoomTool"},{"attributes":{},"id":"06c39e72-f5bb-4149-b6b7-4161cd20e165","type":"LinearScale"},{"attributes":{},"id":"b55a7347-bf99-4aa7-989e-fbd01685ed69","type":"HelpTool"},{"attributes":{},"id":"ac6a63f8-5bac-48bb-8d97-72d5f34a86b7","type":"BasicTickFormatter"},{"attributes":{},"id":"c2a16854-c4ed-4e3f-a0e2-4dd6f1e83fe0","type":"BasicTickFormatter"},{"attributes":{},"id":"a785e0f3-bb21-40ae-b013-6c614862d141","type":"ResetTool"},{"attributes":{"below":[{"id":"d0e56154-4ab3-40d1-950a-6817495a4cbb","type":"LinearAxis"}],"left":[{"id":"36385216-039a-4eb2-8695-67142f8d06cf","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d0e56154-4ab3-40d1-950a-6817495a4cbb","type":"LinearAxis"},{"id":"53477efc-1251-4e85-b6a1-7bf3841cd122","type":"Grid"},{"id":"36385216-039a-4eb2-8695-67142f8d06cf","type":"LinearAxis"},{"id":"1092f96d-6a86-4726-a96d-598b6627af21","type":"Grid"},{"id":"255cc29e-ece8-4a40-b9e4-95c8f227d235","type":"BoxAnnotation"},{"id":"8ce8dab8-5ec4-4737-b41b-0d2b4bee3082","type":"GlyphRenderer"}],"title":{"id":"d6f8880d-088d-43f2-b166-0ba2762583ca","type":"Title"},"toolbar":{"id":"dbaf6ef3-5af7-4e9b-8fe3-3761c0e17ead","type":"Toolbar"},"x_range":{"id":"c75b8d37-aa3b-4ebc-bdda-56026e92bb17","type":"DataRange1d"},"x_scale":{"id":"06c39e72-f5bb-4149-b6b7-4161cd20e165","type":"LinearScale"},"y_range":{"id":"0cab2c34-0059-44c1-94ce-41c95b1fa8dd","type":"DataRange1d"},"y_scale":{"id":"e04a834f-4c7c-45db-bd30-02fb57f508a5","type":"LinearScale"}},"id":"0be14b6f-fa96-489d-a158-c7c731944718","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f553fa30-1e2d-412a-af7d-6140003dbbb0","type":"PanTool"},{"attributes":{"callback":null},"id":"c75b8d37-aa3b-4ebc-bdda-56026e92bb17","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f553fa30-1e2d-412a-af7d-6140003dbbb0","type":"PanTool"},{"id":"925cd8b1-7d56-4e17-9b16-17f549d0ef49","type":"WheelZoomTool"},{"id":"6d663d76-e4b0-41cd-b8ca-14c1d1701b62","type":"BoxZoomTool"},{"id":"6e2a7d2e-54be-4f1c-86c4-0f80cfe50e97","type":"SaveTool"},{"id":"a785e0f3-bb21-40ae-b013-6c614862d141","type":"ResetTool"},{"id":"b55a7347-bf99-4aa7-989e-fbd01685ed69","type":"HelpTool"}]},"id":"dbaf6ef3-5af7-4e9b-8fe3-3761c0e17ead","type":"Toolbar"}],"root_ids":["0be14b6f-fa96-489d-a158-c7c731944718"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7e8795f3-0b09-4ce7-92a2-512e0c6b5523","elementid":"950f90fb-ac59-44b7-8d67-b4accedb5ffb","modelid":"0be14b6f-fa96-489d-a158-c7c731944718"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
