(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bd824ea2-ddaa-4fb1-b86f-e5cfec6b869d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bd824ea2-ddaa-4fb1-b86f-e5cfec6b869d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b05f42c4-9834-440b-8e6c-db3723a46a61":{"roots":{"references":[{"attributes":{"formatter":{"id":"34b5c12d-edcb-4805-9123-e0101ccc9748","type":"BasicTickFormatter"},"plot":{"id":"30b97e51-036c-40ca-83a7-5801e2528d81","subtype":"Figure","type":"Plot"},"ticker":{"id":"dfdff79d-f3b3-46d4-a07e-7a69e7cd49c8","type":"BasicTicker"}},"id":"395ffbe4-016b-4b77-9148-689271fcba77","type":"LinearAxis"},{"attributes":{},"id":"315efe44-2512-476d-aefd-502619364eb6","type":"HelpTool"},{"attributes":{},"id":"feda4d33-ad2d-420d-9dc9-de64922b87ba","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"bf39d5ea-98e9-4a76-86ce-313b4bfa9e19","type":"BoxAnnotation"}},"id":"d37b76ef-2904-4764-852e-d3c7464324c5","type":"BoxZoomTool"},{"attributes":{},"id":"647d3d44-b7aa-4c8b-99c1-edf2d88764e0","type":"SaveTool"},{"attributes":{"callback":null},"id":"60067d44-7379-4770-a921-9e84540cc690","type":"DataRange1d"},{"attributes":{"callback":null},"id":"992719ca-3d37-49ea-be6f-fb4b027cc732","type":"DataRange1d"},{"attributes":{"plot":{"id":"30b97e51-036c-40ca-83a7-5801e2528d81","subtype":"Figure","type":"Plot"},"ticker":{"id":"b65aa644-2226-49a3-8d56-449de438500a","type":"BasicTicker"}},"id":"fb164edb-1054-49c1-aa3f-07a9821b2cd8","type":"Grid"},{"attributes":{"plot":null,"text":"Left Title"},"id":"8d3dcb01-1257-4ad3-956e-48d7fc31a40b","type":"Title"},{"attributes":{},"id":"a3c8d971-f03f-4389-858a-e8dbdb523af1","type":"ResetTool"},{"attributes":{"formatter":{"id":"25f240ae-7a12-43ad-902e-125877a0ca62","type":"BasicTickFormatter"},"plot":{"id":"30b97e51-036c-40ca-83a7-5801e2528d81","subtype":"Figure","type":"Plot"},"ticker":{"id":"b65aa644-2226-49a3-8d56-449de438500a","type":"BasicTicker"}},"id":"862a34d3-f695-41fc-b834-e36341bae9b0","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"30b97e51-036c-40ca-83a7-5801e2528d81","subtype":"Figure","type":"Plot"},"ticker":{"id":"dfdff79d-f3b3-46d4-a07e-7a69e7cd49c8","type":"BasicTicker"}},"id":"594fde5d-7bf8-4f28-a9e0-3a689aff4f96","type":"Grid"},{"attributes":{"source":{"id":"41c86089-1a7d-45eb-b27a-0dd95ac30e52","type":"ColumnDataSource"}},"id":"1ff30237-1d81-4851-9c6a-15bbfad257fb","type":"CDSView"},{"attributes":{},"id":"6f5fc1ec-563a-4e67-8682-13c13eb74a3c","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7a142843-0a5e-465f-89f4-bc2355ee29df","type":"Circle"},{"attributes":{},"id":"beceae6d-58c9-4fcd-8a48-99ab80ae0c78","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"41c86089-1a7d-45eb-b27a-0dd95ac30e52","type":"ColumnDataSource"},{"attributes":{},"id":"dfdff79d-f3b3-46d4-a07e-7a69e7cd49c8","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5a54b736-1ddf-4c64-86af-8b2736817072","type":"Circle"},{"attributes":{"data_source":{"id":"41c86089-1a7d-45eb-b27a-0dd95ac30e52","type":"ColumnDataSource"},"glyph":{"id":"5a54b736-1ddf-4c64-86af-8b2736817072","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7a142843-0a5e-465f-89f4-bc2355ee29df","type":"Circle"},"selection_glyph":null,"view":{"id":"1ff30237-1d81-4851-9c6a-15bbfad257fb","type":"CDSView"}},"id":"f3b86bc7-5c05-4667-a385-bc12d6392a46","type":"GlyphRenderer"},{"attributes":{},"id":"34b5c12d-edcb-4805-9123-e0101ccc9748","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c267a248-83b0-4dfd-bbfd-5a592fe69eb5","type":"PanTool"},{"id":"feda4d33-ad2d-420d-9dc9-de64922b87ba","type":"WheelZoomTool"},{"id":"d37b76ef-2904-4764-852e-d3c7464324c5","type":"BoxZoomTool"},{"id":"647d3d44-b7aa-4c8b-99c1-edf2d88764e0","type":"SaveTool"},{"id":"a3c8d971-f03f-4389-858a-e8dbdb523af1","type":"ResetTool"},{"id":"315efe44-2512-476d-aefd-502619364eb6","type":"HelpTool"}]},"id":"9649f351-391e-4fd9-aba3-f2d19c36e69a","type":"Toolbar"},{"attributes":{},"id":"b65aa644-2226-49a3-8d56-449de438500a","type":"BasicTicker"},{"attributes":{},"id":"c267a248-83b0-4dfd-bbfd-5a592fe69eb5","type":"PanTool"},{"attributes":{},"id":"25f240ae-7a12-43ad-902e-125877a0ca62","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"862a34d3-f695-41fc-b834-e36341bae9b0","type":"LinearAxis"}],"left":[{"id":"395ffbe4-016b-4b77-9148-689271fcba77","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"862a34d3-f695-41fc-b834-e36341bae9b0","type":"LinearAxis"},{"id":"fb164edb-1054-49c1-aa3f-07a9821b2cd8","type":"Grid"},{"id":"395ffbe4-016b-4b77-9148-689271fcba77","type":"LinearAxis"},{"id":"594fde5d-7bf8-4f28-a9e0-3a689aff4f96","type":"Grid"},{"id":"bf39d5ea-98e9-4a76-86ce-313b4bfa9e19","type":"BoxAnnotation"},{"id":"f3b86bc7-5c05-4667-a385-bc12d6392a46","type":"GlyphRenderer"}],"title":{"id":"8d3dcb01-1257-4ad3-956e-48d7fc31a40b","type":"Title"},"title_location":"left","toolbar":{"id":"9649f351-391e-4fd9-aba3-f2d19c36e69a","type":"Toolbar"},"x_range":{"id":"60067d44-7379-4770-a921-9e84540cc690","type":"DataRange1d"},"x_scale":{"id":"6f5fc1ec-563a-4e67-8682-13c13eb74a3c","type":"LinearScale"},"y_range":{"id":"992719ca-3d37-49ea-be6f-fb4b027cc732","type":"DataRange1d"},"y_scale":{"id":"beceae6d-58c9-4fcd-8a48-99ab80ae0c78","type":"LinearScale"}},"id":"30b97e51-036c-40ca-83a7-5801e2528d81","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bf39d5ea-98e9-4a76-86ce-313b4bfa9e19","type":"BoxAnnotation"}],"root_ids":["30b97e51-036c-40ca-83a7-5801e2528d81"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b05f42c4-9834-440b-8e6c-db3723a46a61","elementid":"bd824ea2-ddaa-4fb1-b86f-e5cfec6b869d","modelid":"30b97e51-036c-40ca-83a7-5801e2528d81"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
