(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("58be8390-793c-4b37-8504-a44d8c78dc26");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '58be8390-793c-4b37-8504-a44d8c78dc26' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ffbab793-9edc-490b-ab99-6106d468151e":{"roots":{"references":[{"attributes":{},"id":"6177a68f-f74d-4f7e-8ff6-7598b158ac17","type":"ResetTool"},{"attributes":{"callback":null},"id":"63eb3369-bcac-498f-ad05-d29c7e5b90d8","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0f0cc2b4-50ff-4923-9d1a-5ca329d3f013","type":"BoxAnnotation"},{"attributes":{},"id":"90806a45-e764-49bc-a816-a8e20c7cd595","type":"BasicTicker"},{"attributes":{"axis_label":"Height (in)","formatter":{"id":"30170a92-556d-40db-9353-1cfa311e7052","type":"BasicTickFormatter"},"plot":{"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},"ticker":{"id":"90806a45-e764-49bc-a816-a8e20c7cd595","type":"BasicTicker"}},"id":"df318651-1849-44e1-b6b4-57e56de2002d","type":"LinearAxis"},{"attributes":{"background_fill_color":{"value":"white"},"border_line_color":{"value":"black"},"plot":{"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},"render_mode":"css","text":"Collected by Luke C. 2016-04-01","x":70,"x_units":"screen","y":70,"y_units":"screen"},"id":"2c123195-8c49-42b7-b9ec-607f7c967a8d","type":"Label"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"8b4a9e10-7c09-4c82-8c93-0167c4c1c271","type":"Circle"},{"attributes":{},"id":"c959ea58-3ea1-494e-9c3c-18d8086419ff","type":"BasicTicker"},{"attributes":{"level":"glyph","plot":{"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},"source":{"id":"c728251b-19fb-4385-8422-31d789319b16","type":"ColumnDataSource"},"text":{"field":"names"},"x":{"field":"weight"},"x_offset":{"value":5},"y":{"field":"height"},"y_offset":{"value":5}},"id":"4a6e2600-960a-49db-a89f-0cd05831ecba","type":"LabelSet"},{"attributes":{},"id":"310a3d8d-da35-478d-a7ee-f27d320430bf","type":"HelpTool"},{"attributes":{"plot":null,"text":"Dist. of 10th Grade Students at Lee High"},"id":"90ff65c3-8f9f-4123-9586-9a84f1929034","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},"ticker":{"id":"90806a45-e764-49bc-a816-a8e20c7cd595","type":"BasicTicker"}},"id":"6f8aaa78-1826-4966-8b6c-cf6a74ffd7cf","type":"Grid"},{"attributes":{"axis_label":"Weight (lbs)","formatter":{"id":"89c17c88-f772-4d6a-82e4-8d5e9e83a6c6","type":"BasicTickFormatter"},"plot":{"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},"ticker":{"id":"c959ea58-3ea1-494e-9c3c-18d8086419ff","type":"BasicTicker"}},"id":"6fc5320f-5848-47c5-b866-1c9dc2882a29","type":"LinearAxis"},{"attributes":{},"id":"cbeb152e-42b1-453a-94f1-08a70e4a2cf5","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["names","weight","height"],"data":{"height":[66,71,72,68,58,62],"names":["Mark","Amir","Matt","Greg","Owen","Juan"],"weight":[165,189,220,141,260,174]}},"id":"c728251b-19fb-4385-8422-31d789319b16","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},"ticker":{"id":"c959ea58-3ea1-494e-9c3c-18d8086419ff","type":"BasicTicker"}},"id":"8eef97ce-f7e6-4141-84e3-802a5958740c","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0e9e751f-abc9-4244-b5c1-985602254bdc","type":"PanTool"},{"id":"cbeb152e-42b1-453a-94f1-08a70e4a2cf5","type":"WheelZoomTool"},{"id":"f653cd7c-3569-4ae1-b4b7-99dba2b1e743","type":"BoxZoomTool"},{"id":"6bb97abf-d8fd-42d8-98b1-557be76b4042","type":"SaveTool"},{"id":"6177a68f-f74d-4f7e-8ff6-7598b158ac17","type":"ResetTool"},{"id":"310a3d8d-da35-478d-a7ee-f27d320430bf","type":"HelpTool"}]},"id":"60069894-f16d-49c4-9091-367cd5d4c75b","type":"Toolbar"},{"attributes":{"overlay":{"id":"0f0cc2b4-50ff-4923-9d1a-5ca329d3f013","type":"BoxAnnotation"}},"id":"f653cd7c-3569-4ae1-b4b7-99dba2b1e743","type":"BoxZoomTool"},{"attributes":{},"id":"ac8d6e26-c0cb-462e-b5a2-4c0b7878b51e","type":"LinearScale"},{"attributes":{},"id":"0e9e751f-abc9-4244-b5c1-985602254bdc","type":"PanTool"},{"attributes":{"data_source":{"id":"c728251b-19fb-4385-8422-31d789319b16","type":"ColumnDataSource"},"glyph":{"id":"8b4a9e10-7c09-4c82-8c93-0167c4c1c271","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7dde56dc-3880-4688-a2ac-6855609c05e4","type":"Circle"},"selection_glyph":null,"view":{"id":"c15b851f-0c72-4376-ad72-406a09faf57f","type":"CDSView"}},"id":"42c83df4-b0e6-4de7-bfd3-624eee02ea42","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"7dde56dc-3880-4688-a2ac-6855609c05e4","type":"Circle"},{"attributes":{},"id":"4ed8808c-9c15-4b79-abb5-1e420af44136","type":"LinearScale"},{"attributes":{"source":{"id":"c728251b-19fb-4385-8422-31d789319b16","type":"ColumnDataSource"}},"id":"c15b851f-0c72-4376-ad72-406a09faf57f","type":"CDSView"},{"attributes":{},"id":"30170a92-556d-40db-9353-1cfa311e7052","type":"BasicTickFormatter"},{"attributes":{},"id":"89c17c88-f772-4d6a-82e4-8d5e9e83a6c6","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"6fc5320f-5848-47c5-b866-1c9dc2882a29","type":"LinearAxis"}],"left":[{"id":"df318651-1849-44e1-b6b4-57e56de2002d","type":"LinearAxis"}],"renderers":[{"id":"6fc5320f-5848-47c5-b866-1c9dc2882a29","type":"LinearAxis"},{"id":"8eef97ce-f7e6-4141-84e3-802a5958740c","type":"Grid"},{"id":"df318651-1849-44e1-b6b4-57e56de2002d","type":"LinearAxis"},{"id":"6f8aaa78-1826-4966-8b6c-cf6a74ffd7cf","type":"Grid"},{"id":"0f0cc2b4-50ff-4923-9d1a-5ca329d3f013","type":"BoxAnnotation"},{"id":"42c83df4-b0e6-4de7-bfd3-624eee02ea42","type":"GlyphRenderer"},{"id":"4a6e2600-960a-49db-a89f-0cd05831ecba","type":"LabelSet"},{"id":"2c123195-8c49-42b7-b9ec-607f7c967a8d","type":"Label"}],"title":{"id":"90ff65c3-8f9f-4123-9586-9a84f1929034","type":"Title"},"toolbar":{"id":"60069894-f16d-49c4-9091-367cd5d4c75b","type":"Toolbar"},"x_range":{"id":"2347a125-33dd-4daa-9bde-e60d2a0035c4","type":"Range1d"},"x_scale":{"id":"4ed8808c-9c15-4b79-abb5-1e420af44136","type":"LinearScale"},"y_range":{"id":"63eb3369-bcac-498f-ad05-d29c7e5b90d8","type":"DataRange1d"},"y_scale":{"id":"ac8d6e26-c0cb-462e-b5a2-4c0b7878b51e","type":"LinearScale"}},"id":"fb97b3ac-b916-447e-9552-89e26162a327","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"end":275,"start":140},"id":"2347a125-33dd-4daa-9bde-e60d2a0035c4","type":"Range1d"},{"attributes":{},"id":"6bb97abf-d8fd-42d8-98b1-557be76b4042","type":"SaveTool"}],"root_ids":["fb97b3ac-b916-447e-9552-89e26162a327"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ffbab793-9edc-490b-ab99-6106d468151e","elementid":"58be8390-793c-4b37-8504-a44d8c78dc26","modelid":"fb97b3ac-b916-447e-9552-89e26162a327"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
