(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f85786cf-0d1c-406b-a745-a1c008941ecc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f85786cf-0d1c-406b-a745-a1c008941ecc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2640e063-1f8e-4a00-bd4d-a7a2d5d35d15":{"roots":{"references":[{"attributes":{},"id":"c14a05c6-d60d-4d4e-b1ad-1ed148b55f2a","type":"LinearScale"},{"attributes":{"source":{"id":"de39f83f-229e-4399-9f8c-978961808ec2","type":"ColumnDataSource"}},"id":"dab6500d-861a-42bc-a169-7c1ea9a47f7b","type":"CDSView"},{"attributes":{},"id":"82dc4928-6d0d-463f-b859-2defa4361314","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c4dbf72c-cb8e-47c5-8401-cc6d86f569d7","type":"Circle"},{"attributes":{},"id":"30c18148-fb46-4251-94cf-5723645d1362","type":"LinearScale"},{"attributes":{"overlay":{"id":"75bd4853-fa0b-4d23-b7ca-62543bfd5a1c","type":"BoxAnnotation"}},"id":"3ebc717d-d522-48d0-8f3a-c14b2e25f096","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"de39f83f-229e-4399-9f8c-978961808ec2","type":"ColumnDataSource"},"glyph":{"id":"9d62c02b-c4e3-4d42-bde2-d41c23ae8d17","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c4dbf72c-cb8e-47c5-8401-cc6d86f569d7","type":"Circle"},"selection_glyph":null,"view":{"id":"dab6500d-861a-42bc-a169-7c1ea9a47f7b","type":"CDSView"}},"id":"a8a0abda-f807-4aa3-87ba-4ab56dbe7504","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"82dc4928-6d0d-463f-b859-2defa4361314","type":"BasicTickFormatter"},"plot":{"id":"517ce841-96b3-4a1a-a5eb-7daf54b1971b","subtype":"Figure","type":"Plot"},"ticker":{"id":"648cc446-c162-4160-8416-f6302c8ac3dc","type":"BasicTicker"}},"id":"c3361e2e-010c-4194-ac2c-bd4204c271cf","type":"LinearAxis"},{"attributes":{},"id":"d1b59e19-9697-4960-bcec-7e237543202c","type":"PanTool"},{"attributes":{},"id":"a1afffc3-e0fb-4811-99c7-55743f5f7c78","type":"BasicTicker"},{"attributes":{},"id":"648cc446-c162-4160-8416-f6302c8ac3dc","type":"BasicTicker"},{"attributes":{"formatter":{"id":"2ea8f453-0676-4bc2-b0ca-9779fd831464","type":"BasicTickFormatter"},"plot":{"id":"517ce841-96b3-4a1a-a5eb-7daf54b1971b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a1afffc3-e0fb-4811-99c7-55743f5f7c78","type":"BasicTicker"}},"id":"52de304e-7f32-43b5-a8b5-c41220637a0b","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"9d62c02b-c4e3-4d42-bde2-d41c23ae8d17","type":"Circle"},{"attributes":{"below":[{"id":"c3361e2e-010c-4194-ac2c-bd4204c271cf","type":"LinearAxis"}],"left":[{"id":"52de304e-7f32-43b5-a8b5-c41220637a0b","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c3361e2e-010c-4194-ac2c-bd4204c271cf","type":"LinearAxis"},{"id":"935e6139-4bb8-473b-a18c-9a64f7baaa37","type":"Grid"},{"id":"52de304e-7f32-43b5-a8b5-c41220637a0b","type":"LinearAxis"},{"id":"b5b08d34-5aa1-46c9-b1f0-ea86f891ede6","type":"Grid"},{"id":"75bd4853-fa0b-4d23-b7ca-62543bfd5a1c","type":"BoxAnnotation"},{"id":"a8a0abda-f807-4aa3-87ba-4ab56dbe7504","type":"GlyphRenderer"}],"title":{"id":"691c41ce-a752-43c9-99b3-70846034b663","type":"Title"},"toolbar":{"id":"4e523c42-f0b9-409c-9eb0-bda91bae54d8","type":"Toolbar"},"x_range":{"id":"8d2bdff3-4620-40f7-90fe-9ec2e06de237","type":"DataRange1d"},"x_scale":{"id":"30c18148-fb46-4251-94cf-5723645d1362","type":"LinearScale"},"y_range":{"id":"de6dedca-1c83-4eb8-b62b-81bd6e5565bd","type":"DataRange1d"},"y_scale":{"id":"c14a05c6-d60d-4d4e-b1ad-1ed148b55f2a","type":"LinearScale"}},"id":"517ce841-96b3-4a1a-a5eb-7daf54b1971b","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d1b59e19-9697-4960-bcec-7e237543202c","type":"PanTool"},{"id":"42e62adb-b62d-492b-9ad5-77976f5b5b57","type":"WheelZoomTool"},{"id":"3ebc717d-d522-48d0-8f3a-c14b2e25f096","type":"BoxZoomTool"},{"id":"9f250552-a15c-460d-9747-9de021cd87c5","type":"SaveTool"},{"id":"eda0b24f-d446-43dd-af61-0c834cf45d2a","type":"ResetTool"},{"id":"f8786b67-9ea3-4da1-9bc1-5b09efef396c","type":"HelpTool"}]},"id":"4e523c42-f0b9-409c-9eb0-bda91bae54d8","type":"Toolbar"},{"attributes":{"callback":null},"id":"8d2bdff3-4620-40f7-90fe-9ec2e06de237","type":"DataRange1d"},{"attributes":{},"id":"2ea8f453-0676-4bc2-b0ca-9779fd831464","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"75bd4853-fa0b-4d23-b7ca-62543bfd5a1c","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"de6dedca-1c83-4eb8-b62b-81bd6e5565bd","type":"DataRange1d"},{"attributes":{},"id":"eda0b24f-d446-43dd-af61-0c834cf45d2a","type":"ResetTool"},{"attributes":{},"id":"f8786b67-9ea3-4da1-9bc1-5b09efef396c","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"517ce841-96b3-4a1a-a5eb-7daf54b1971b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a1afffc3-e0fb-4811-99c7-55743f5f7c78","type":"BasicTicker"}},"id":"b5b08d34-5aa1-46c9-b1f0-ea86f891ede6","type":"Grid"},{"attributes":{},"id":"9f250552-a15c-460d-9747-9de021cd87c5","type":"SaveTool"},{"attributes":{"plot":{"id":"517ce841-96b3-4a1a-a5eb-7daf54b1971b","subtype":"Figure","type":"Plot"},"ticker":{"id":"648cc446-c162-4160-8416-f6302c8ac3dc","type":"BasicTicker"}},"id":"935e6139-4bb8-473b-a18c-9a64f7baaa37","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"de39f83f-229e-4399-9f8c-978961808ec2","type":"ColumnDataSource"},{"attributes":{},"id":"42e62adb-b62d-492b-9ad5-77976f5b5b57","type":"WheelZoomTool"},{"attributes":{"align":"right","background_fill_color":{"value":"#aaaaee"},"plot":null,"text":"Title With Options","text_color":{"value":"orange"},"text_font_size":{"value":"25px"}},"id":"691c41ce-a752-43c9-99b3-70846034b663","type":"Title"}],"root_ids":["517ce841-96b3-4a1a-a5eb-7daf54b1971b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2640e063-1f8e-4a00-bd4d-a7a2d5d35d15","elementid":"f85786cf-0d1c-406b-a745-a1c008941ecc","modelid":"517ce841-96b3-4a1a-a5eb-7daf54b1971b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
