(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("81b8c276-f4e1-43cf-baa1-7b84accb31bf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '81b8c276-f4e1-43cf-baa1-7b84accb31bf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0657409a-8bae-4f7e-bb8b-46f0033037c4":{"roots":{"references":[{"attributes":{},"id":"2cb6c584-6d5b-47a6-97a4-cd0834e2daac","type":"BasicTicker"},{"attributes":{"formatter":{"id":"eee3a724-067b-4f55-9d0a-22934220f36a","type":"BasicTickFormatter"},"plot":{"id":"a880fed3-6a7a-49c3-8746-b62ee455f8da","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc614418-14aa-4b9a-b291-c94482d272ce","type":"BasicTicker"}},"id":"dccbeef6-74cc-480c-aede-0d6b47a183c9","type":"LinearAxis"},{"attributes":{},"id":"70fcc179-9b00-45bc-ab92-feef22d52f40","type":"LinearScale"},{"attributes":{},"id":"61b15f7b-4116-4c22-9ffe-1b1bdbc4171a","type":"BasicTickFormatter"},{"attributes":{},"id":"a83befbc-9f6c-441e-8c26-2e60b1724abc","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"859e9ce5-c4c7-40ec-9a94-fe77bff376d7","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a83befbc-9f6c-441e-8c26-2e60b1724abc","type":"PanTool"},{"id":"decbdf47-2a00-4699-8e5a-f49cbd307e8c","type":"WheelZoomTool"},{"id":"8aa52c1b-7489-44b2-b123-037cfbc2b612","type":"BoxZoomTool"},{"id":"724d6eca-1baf-47c0-beb8-ab66af7d5156","type":"SaveTool"},{"id":"c1de28f0-0fcc-40d7-a5eb-4a11cb5c6c2f","type":"ResetTool"},{"id":"06a9cdcc-07aa-404f-962b-55342829ad39","type":"HelpTool"}]},"id":"e3914eb9-770e-4a0b-a88f-79c92f2a0292","type":"Toolbar"},{"attributes":{},"id":"decbdf47-2a00-4699-8e5a-f49cbd307e8c","type":"WheelZoomTool"},{"attributes":{},"id":"eee3a724-067b-4f55-9d0a-22934220f36a","type":"BasicTickFormatter"},{"attributes":{},"id":"bc614418-14aa-4b9a-b291-c94482d272ce","type":"BasicTicker"},{"attributes":{"source":{"id":"e2d004ed-63b4-41e3-9041-f47dbb69f39e","type":"ColumnDataSource"}},"id":"ab5bdd72-97e7-4bf8-9a05-70c484d97a8c","type":"CDSView"},{"attributes":{},"id":"c1de28f0-0fcc-40d7-a5eb-4a11cb5c6c2f","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"1da9ef76-c0ad-4db1-ab63-43ce6996b1f6","type":"Circle"},{"attributes":{"data_source":{"id":"e2d004ed-63b4-41e3-9041-f47dbb69f39e","type":"ColumnDataSource"},"glyph":{"id":"17413108-0442-49e0-9bcf-e5b6022775dd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1da9ef76-c0ad-4db1-ab63-43ce6996b1f6","type":"Circle"},"selection_glyph":null,"view":{"id":"ab5bdd72-97e7-4bf8-9a05-70c484d97a8c","type":"CDSView"}},"id":"33a53030-ef3d-4598-9408-b153147c94e7","type":"GlyphRenderer"},{"attributes":{},"id":"724d6eca-1baf-47c0-beb8-ab66af7d5156","type":"SaveTool"},{"attributes":{},"id":"06a9cdcc-07aa-404f-962b-55342829ad39","type":"HelpTool"},{"attributes":{"formatter":{"id":"61b15f7b-4116-4c22-9ffe-1b1bdbc4171a","type":"BasicTickFormatter"},"plot":{"id":"a880fed3-6a7a-49c3-8746-b62ee455f8da","subtype":"Figure","type":"Plot"},"ticker":{"id":"2cb6c584-6d5b-47a6-97a4-cd0834e2daac","type":"BasicTicker"}},"id":"bf8d03e7-4bb4-4f06-bcce-d31ddd797228","type":"LinearAxis"},{"attributes":{"below":[{"id":"bf8d03e7-4bb4-4f06-bcce-d31ddd797228","type":"LinearAxis"}],"left":[{"id":"dccbeef6-74cc-480c-aede-0d6b47a183c9","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"bf8d03e7-4bb4-4f06-bcce-d31ddd797228","type":"LinearAxis"},{"id":"feb86869-f82f-4511-8733-22f453d5a24f","type":"Grid"},{"id":"dccbeef6-74cc-480c-aede-0d6b47a183c9","type":"LinearAxis"},{"id":"3d9fe815-519b-4bab-aacf-6e804253878b","type":"Grid"},{"id":"859e9ce5-c4c7-40ec-9a94-fe77bff376d7","type":"BoxAnnotation"},{"id":"33a53030-ef3d-4598-9408-b153147c94e7","type":"GlyphRenderer"}],"title":{"id":"2aa9f105-bea8-42ce-8715-dd52f4cb4982","type":"Title"},"toolbar":{"id":"e3914eb9-770e-4a0b-a88f-79c92f2a0292","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"18903ece-61c8-4e0f-813a-75eb051a75fd","type":"DataRange1d"},"x_scale":{"id":"c1c8e74f-57b4-4c6e-94f5-be31afd83255","type":"LinearScale"},"y_range":{"id":"798d07a5-2812-4d38-83ee-4c69bac2e730","type":"DataRange1d"},"y_scale":{"id":"70fcc179-9b00-45bc-ab92-feef22d52f40","type":"LinearScale"}},"id":"a880fed3-6a7a-49c3-8746-b62ee455f8da","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"859e9ce5-c4c7-40ec-9a94-fe77bff376d7","type":"BoxAnnotation"}},"id":"8aa52c1b-7489-44b2-b123-037cfbc2b612","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"e2d004ed-63b4-41e3-9041-f47dbb69f39e","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"18903ece-61c8-4e0f-813a-75eb051a75fd","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"a880fed3-6a7a-49c3-8746-b62ee455f8da","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc614418-14aa-4b9a-b291-c94482d272ce","type":"BasicTicker"}},"id":"3d9fe815-519b-4bab-aacf-6e804253878b","type":"Grid"},{"attributes":{"plot":null,"text":"Top Title with Toolbar"},"id":"2aa9f105-bea8-42ce-8715-dd52f4cb4982","type":"Title"},{"attributes":{},"id":"c1c8e74f-57b4-4c6e-94f5-be31afd83255","type":"LinearScale"},{"attributes":{"plot":{"id":"a880fed3-6a7a-49c3-8746-b62ee455f8da","subtype":"Figure","type":"Plot"},"ticker":{"id":"2cb6c584-6d5b-47a6-97a4-cd0834e2daac","type":"BasicTicker"}},"id":"feb86869-f82f-4511-8733-22f453d5a24f","type":"Grid"},{"attributes":{"callback":null},"id":"798d07a5-2812-4d38-83ee-4c69bac2e730","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"17413108-0442-49e0-9bcf-e5b6022775dd","type":"Circle"}],"root_ids":["a880fed3-6a7a-49c3-8746-b62ee455f8da"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0657409a-8bae-4f7e-bb8b-46f0033037c4","elementid":"81b8c276-f4e1-43cf-baa1-7b84accb31bf","modelid":"a880fed3-6a7a-49c3-8746-b62ee455f8da"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
