(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e190c4cf-a8c6-465a-b5e2-2924f1039d1c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e190c4cf-a8c6-465a-b5e2-2924f1039d1c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d88f011e-8f51-4984-8ad4-c61855f35838":{"roots":{"references":[{"attributes":{},"id":"87497b2c-0c15-4139-bcbe-9272a6908c16","type":"SaveTool"},{"attributes":{},"id":"dc26eed4-0369-48e5-9dbf-07ec427253a4","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"ae83d658-574d-4eaf-b871-4c53e55dfb3e","type":"Title"},{"attributes":{"data_source":{"id":"2ba6ff93-5789-4028-9b26-3356d0ba750a","type":"ColumnDataSource"},"glyph":{"id":"9876d747-ec50-49c3-9d88-c87197a1a6d4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"62bf62a7-d562-4e8a-b10e-3eafb46e28da","type":"Circle"},"selection_glyph":null,"view":{"id":"73965c48-95ed-4476-8c6f-a0de440f3f45","type":"CDSView"}},"id":"1f155999-5979-4d6e-82b3-8ecd9e1fa0e1","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["color","y","label","x"],"data":{"color":["#ef8a62","#67a9cf","#ef8a62","#67a9cf","#ef8a62","#67a9cf"],"label":["hi","lo","hi","lo","hi","lo"],"x":[1,2,3,4,5,6],"y":[2,1,2,1,2,1]}},"id":"2ba6ff93-5789-4028-9b26-3356d0ba750a","type":"ColumnDataSource"},{"attributes":{},"id":"bce33fbc-98bc-469f-94db-9475b62ac3d1","type":"BasicTickFormatter"},{"attributes":{},"id":"e372e5a0-7099-4826-87ec-89876de71730","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"45a0d496-cafc-4547-aab8-3baf495b0ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"dc26eed4-0369-48e5-9dbf-07ec427253a4","type":"BasicTicker"}},"id":"90dc0899-a430-4bda-be4b-94016538dd5a","type":"Grid"},{"attributes":{},"id":"a16413d2-e294-4625-9357-c5463ae29203","type":"LinearScale"},{"attributes":{"formatter":{"id":"bce33fbc-98bc-469f-94db-9475b62ac3d1","type":"BasicTickFormatter"},"plot":{"id":"45a0d496-cafc-4547-aab8-3baf495b0ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"dc26eed4-0369-48e5-9dbf-07ec427253a4","type":"BasicTicker"}},"id":"ba6081b1-6cef-493b-8ef6-8fb9cc93f48f","type":"LinearAxis"},{"attributes":{"formatter":{"id":"2d900c6b-39b9-4482-9f5e-a02fd9a35261","type":"BasicTickFormatter"},"plot":{"id":"45a0d496-cafc-4547-aab8-3baf495b0ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"e372e5a0-7099-4826-87ec-89876de71730","type":"BasicTicker"}},"id":"de2d6258-e431-447e-b610-98fc09fa8517","type":"LinearAxis"},{"attributes":{"label":{"field":"label"},"renderers":[{"id":"1f155999-5979-4d6e-82b3-8ecd9e1fa0e1","type":"GlyphRenderer"}]},"id":"0edeffc4-7b26-4d23-8413-10fd73901574","type":"LegendItem"},{"attributes":{},"id":"55a1c14b-7d61-4d3b-97b7-015ec236005d","type":"LinearScale"},{"attributes":{},"id":"2d900c6b-39b9-4482-9f5e-a02fd9a35261","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"87497b2c-0c15-4139-bcbe-9272a6908c16","type":"SaveTool"}]},"id":"4aa49281-f495-4472-9fb9-c56bb1c682af","type":"Toolbar"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"9876d747-ec50-49c3-9d88-c87197a1a6d4","type":"Circle"},{"attributes":{"callback":null,"end":3},"id":"7f30d13c-725a-449c-8d72-5c3e0614a182","type":"Range1d"},{"attributes":{"source":{"id":"2ba6ff93-5789-4028-9b26-3356d0ba750a","type":"ColumnDataSource"}},"id":"73965c48-95ed-4476-8c6f-a0de440f3f45","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"62bf62a7-d562-4e8a-b10e-3eafb46e28da","type":"Circle"},{"attributes":{"below":[{"id":"de2d6258-e431-447e-b610-98fc09fa8517","type":"LinearAxis"}],"left":[{"id":"ba6081b1-6cef-493b-8ef6-8fb9cc93f48f","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"de2d6258-e431-447e-b610-98fc09fa8517","type":"LinearAxis"},{"id":"388f9d6e-2aaa-4028-9da8-e296e0f6e344","type":"Grid"},{"id":"ba6081b1-6cef-493b-8ef6-8fb9cc93f48f","type":"LinearAxis"},{"id":"90dc0899-a430-4bda-be4b-94016538dd5a","type":"Grid"},{"id":"7c441ccd-6421-4a03-9445-650d21a91c46","type":"Legend"},{"id":"1f155999-5979-4d6e-82b3-8ecd9e1fa0e1","type":"GlyphRenderer"}],"title":{"id":"ae83d658-574d-4eaf-b871-4c53e55dfb3e","type":"Title"},"toolbar":{"id":"4aa49281-f495-4472-9fb9-c56bb1c682af","type":"Toolbar"},"x_range":{"id":"6d67e846-26a6-4d7d-822a-b41b8bc06614","type":"Range1d"},"x_scale":{"id":"55a1c14b-7d61-4d3b-97b7-015ec236005d","type":"LinearScale"},"y_range":{"id":"7f30d13c-725a-449c-8d72-5c3e0614a182","type":"Range1d"},"y_scale":{"id":"a16413d2-e294-4625-9357-c5463ae29203","type":"LinearScale"}},"id":"45a0d496-cafc-4547-aab8-3baf495b0ea8","subtype":"Figure","type":"Plot"},{"attributes":{"items":[{"id":"0edeffc4-7b26-4d23-8413-10fd73901574","type":"LegendItem"}],"plot":{"id":"45a0d496-cafc-4547-aab8-3baf495b0ea8","subtype":"Figure","type":"Plot"}},"id":"7c441ccd-6421-4a03-9445-650d21a91c46","type":"Legend"},{"attributes":{"callback":null,"end":7},"id":"6d67e846-26a6-4d7d-822a-b41b8bc06614","type":"Range1d"},{"attributes":{"plot":{"id":"45a0d496-cafc-4547-aab8-3baf495b0ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"e372e5a0-7099-4826-87ec-89876de71730","type":"BasicTicker"}},"id":"388f9d6e-2aaa-4028-9da8-e296e0f6e344","type":"Grid"}],"root_ids":["45a0d496-cafc-4547-aab8-3baf495b0ea8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d88f011e-8f51-4984-8ad4-c61855f35838","elementid":"e190c4cf-a8c6-465a-b5e2-2924f1039d1c","modelid":"45a0d496-cafc-4547-aab8-3baf495b0ea8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
