(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1b9b275e-fe75-459f-af4c-b9c7d0e80b49");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1b9b275e-fe75-459f-af4c-b9c7d0e80b49' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2a7cf015-259e-4633-a0a3-a7a3b13cb4d8":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"22fac04c-5364-4845-8a3a-7134283469ef","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d9d767cc-e927-4742-98a2-86a81645d51d","type":"PanTool"},{"id":"30d5c201-62b8-4269-b122-24303c350e40","type":"WheelZoomTool"},{"id":"44ad75cc-84c3-47ab-92db-fd822516dea7","type":"BoxZoomTool"},{"id":"c8991155-8bde-4cf2-8a8a-f35d484ffa34","type":"SaveTool"},{"id":"b483a578-87b3-4d1a-bc5b-e11165497c6f","type":"ResetTool"},{"id":"ee85ec77-f5c3-4358-8d7b-3e7de74bbaa9","type":"HelpTool"}]},"id":"987fd762-8bc9-48f5-b86b-6f727a1c9d23","type":"Toolbar"},{"attributes":{"callback":null},"id":"3ae6013a-2e90-44db-88da-0b3e4f1d28b0","type":"DataRange1d"},{"attributes":{"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"ticker":{"id":"419349ee-0625-4daf-b03d-0fcb0e7cb81b","type":"BasicTicker"}},"id":"faa1e443-c248-4598-ac58-a3de6a6a2bfe","type":"Grid"},{"attributes":{"callback":null},"id":"be513eff-4ad7-4e8e-940f-2658d410db63","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"506e704f-9158-4819-ab29-125c397e870d","type":"BoxAnnotation"},{"attributes":{},"id":"b483a578-87b3-4d1a-bc5b-e11165497c6f","type":"ResetTool"},{"attributes":{},"id":"06f5d6eb-539d-40b2-b88c-945d6f26a533","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"4e6284ee-873d-4b9c-bc39-fe01383fc555","type":"Title"},{"attributes":{"fill_color":{"value":"orange"},"plot":null},"id":"ce167cc6-2336-476e-892f-947604f66cc6","type":"NormalHead"},{"attributes":{"source":{"id":"26ed89f9-310b-4036-91bb-9601e243879c","type":"ColumnDataSource"}},"id":"7b49b7f6-136b-4b6f-ac8f-efbc48459d0c","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"ticker":{"id":"84e2784e-7d90-43f3-a568-3d5bbb04db81","type":"BasicTicker"}},"id":"ad77cdd7-7b09-492e-9fc4-3ea863f73895","type":"Grid"},{"attributes":{"line_color":{"value":"firebrick"},"line_width":{"value":4},"plot":null},"id":"53dbeeab-c39e-4ad2-9e7d-9438314c9985","type":"OpenHead"},{"attributes":{"formatter":{"id":"06f5d6eb-539d-40b2-b88c-945d6f26a533","type":"BasicTickFormatter"},"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"ticker":{"id":"84e2784e-7d90-43f3-a568-3d5bbb04db81","type":"BasicTicker"}},"id":"86877cc0-4f6d-4fe0-a094-c20a5c6a147e","type":"LinearAxis"},{"attributes":{},"id":"419349ee-0625-4daf-b03d-0fcb0e7cb81b","type":"BasicTicker"},{"attributes":{"plot":null,"size":35},"id":"5c9130ec-392b-41db-b339-a6ba88f713ae","type":"VeeHead"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["navy","yellow","red"],"line_color":["navy","yellow","red"],"x":[0,1,0.5],"y":[0,0,0.7]}},"id":"26ed89f9-310b-4036-91bb-9601e243879c","type":"ColumnDataSource"},{"attributes":{},"id":"2e29b31f-1554-48e1-abe7-927c23989668","type":"LinearScale"},{"attributes":{"end":{"id":"5c9130ec-392b-41db-b339-a6ba88f713ae","type":"VeeHead"},"line_color":{"value":"red"},"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0},"x_start":{"value":0.5},"y_end":{"value":0},"y_start":{"value":0.7}},"id":"15130f2b-a279-4390-9b22-5bae00679459","type":"Arrow"},{"attributes":{},"id":"ee85ec77-f5c3-4358-8d7b-3e7de74bbaa9","type":"HelpTool"},{"attributes":{"below":[{"id":"ae58d11f-3fed-4404-a939-0d4460962928","type":"LinearAxis"}],"left":[{"id":"86877cc0-4f6d-4fe0-a094-c20a5c6a147e","type":"LinearAxis"}],"renderers":[{"id":"ae58d11f-3fed-4404-a939-0d4460962928","type":"LinearAxis"},{"id":"faa1e443-c248-4598-ac58-a3de6a6a2bfe","type":"Grid"},{"id":"86877cc0-4f6d-4fe0-a094-c20a5c6a147e","type":"LinearAxis"},{"id":"ad77cdd7-7b09-492e-9fc4-3ea863f73895","type":"Grid"},{"id":"506e704f-9158-4819-ab29-125c397e870d","type":"BoxAnnotation"},{"id":"72bec4db-2367-4828-bdd9-c54a7cf6ae87","type":"GlyphRenderer"},{"id":"4f511396-852b-43a2-bedc-9066af66ba04","type":"Arrow"},{"id":"a4ebdc1a-c420-4ae2-92c2-fc13a07507f8","type":"Arrow"},{"id":"15130f2b-a279-4390-9b22-5bae00679459","type":"Arrow"}],"title":{"id":"4e6284ee-873d-4b9c-bc39-fe01383fc555","type":"Title"},"toolbar":{"id":"987fd762-8bc9-48f5-b86b-6f727a1c9d23","type":"Toolbar"},"x_range":{"id":"be513eff-4ad7-4e8e-940f-2658d410db63","type":"DataRange1d"},"x_scale":{"id":"2e29b31f-1554-48e1-abe7-927c23989668","type":"LinearScale"},"y_range":{"id":"3ae6013a-2e90-44db-88da-0b3e4f1d28b0","type":"DataRange1d"},"y_scale":{"id":"9ed4bd87-560e-4a45-9427-7f439b773a24","type":"LinearScale"}},"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},{"attributes":{"end":{"id":"53dbeeab-c39e-4ad2-9e7d-9438314c9985","type":"OpenHead"},"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":1},"x_start":{"value":0},"y_end":{"value":0},"y_start":{"value":0}},"id":"4f511396-852b-43a2-bedc-9066af66ba04","type":"Arrow"},{"attributes":{"overlay":{"id":"506e704f-9158-4819-ab29-125c397e870d","type":"BoxAnnotation"}},"id":"44ad75cc-84c3-47ab-92db-fd822516dea7","type":"BoxZoomTool"},{"attributes":{"end":{"id":"ce167cc6-2336-476e-892f-947604f66cc6","type":"NormalHead"},"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.5},"x_start":{"value":1},"y_end":{"value":0.7},"y_start":{"value":0}},"id":"a4ebdc1a-c420-4ae2-92c2-fc13a07507f8","type":"Arrow"},{"attributes":{},"id":"9ed4bd87-560e-4a45-9427-7f439b773a24","type":"LinearScale"},{"attributes":{},"id":"84e2784e-7d90-43f3-a568-3d5bbb04db81","type":"BasicTicker"},{"attributes":{"formatter":{"id":"2fc22c1c-bf51-4d40-a983-c7027e93d7f1","type":"BasicTickFormatter"},"plot":{"id":"0bce9fe6-e4ba-497e-96a2-b6eab0625274","subtype":"Figure","type":"Plot"},"ticker":{"id":"419349ee-0625-4daf-b03d-0fcb0e7cb81b","type":"BasicTicker"}},"id":"ae58d11f-3fed-4404-a939-0d4460962928","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"c7221e4c-2b40-43f5-b8ba-830742936779","type":"Circle"},{"attributes":{},"id":"d9d767cc-e927-4742-98a2-86a81645d51d","type":"PanTool"},{"attributes":{},"id":"30d5c201-62b8-4269-b122-24303c350e40","type":"WheelZoomTool"},{"attributes":{},"id":"c8991155-8bde-4cf2-8a8a-f35d484ffa34","type":"SaveTool"},{"attributes":{"data_source":{"id":"26ed89f9-310b-4036-91bb-9601e243879c","type":"ColumnDataSource"},"glyph":{"id":"22fac04c-5364-4845-8a3a-7134283469ef","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c7221e4c-2b40-43f5-b8ba-830742936779","type":"Circle"},"selection_glyph":null,"view":{"id":"7b49b7f6-136b-4b6f-ac8f-efbc48459d0c","type":"CDSView"}},"id":"72bec4db-2367-4828-bdd9-c54a7cf6ae87","type":"GlyphRenderer"},{"attributes":{},"id":"2fc22c1c-bf51-4d40-a983-c7027e93d7f1","type":"BasicTickFormatter"}],"root_ids":["0bce9fe6-e4ba-497e-96a2-b6eab0625274"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2a7cf015-259e-4633-a0a3-a7a3b13cb4d8","elementid":"1b9b275e-fe75-459f-af4c-b9c7d0e80b49","modelid":"0bce9fe6-e4ba-497e-96a2-b6eab0625274"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
