(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e706acc2-bab8-430d-a994-cedd5d64a846");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e706acc2-bab8-430d-a994-cedd5d64a846' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e0d7c279-f70e-4cd4-b229-fb24e76ca10a":{"roots":{"references":[{"attributes":{"formatter":{"id":"21febe1f-623d-476b-a1ed-0330ed611d7e","type":"BasicTickFormatter"},"plot":{"id":"ad6677b6-7054-4505-83e5-75a333158f2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"52412a00-aa07-4c3b-8851-fd2afd3e300e","type":"BasicTicker"}},"id":"06ae86e6-ca75-46ac-936d-e92e8847efb2","type":"LinearAxis"},{"attributes":{},"id":"52412a00-aa07-4c3b-8851-fd2afd3e300e","type":"BasicTicker"},{"attributes":{"data_source":{"id":"bc868d68-9388-4719-a4fd-bb47758e32ac","type":"ColumnDataSource"},"glyph":{"id":"04f29e31-0e53-45f9-8988-13ca2176eab4","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"da24fe05-55e9-444d-8e8d-3e2d5bb3e537","type":"VBar"},"selection_glyph":null,"view":{"id":"2fc80c23-55aa-417c-b3fa-1ada9cf7d4f8","type":"CDSView"}},"id":"1b285a50-1e3e-4a74-93dd-7e836040e15f","type":"GlyphRenderer"},{"attributes":{"callback":null,"start":0},"id":"c52d1744-5c3a-4d90-92ef-0b9307556339","type":"DataRange1d"},{"attributes":{},"id":"307c55ce-1e4f-4828-aa8a-ae258a148e9c","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"ad6677b6-7054-4505-83e5-75a333158f2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"52412a00-aa07-4c3b-8851-fd2afd3e300e","type":"BasicTicker"}},"id":"50486f92-25b5-407e-92f8-bba824a67eaa","type":"Grid"},{"attributes":{},"id":"b4c5d3c8-588f-494b-828b-0e29dfc81e57","type":"CategoricalTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"04f29e31-0e53-45f9-8988-13ca2176eab4","type":"VBar"},{"attributes":{},"id":"21febe1f-623d-476b-a1ed-0330ed611d7e","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"25f3c934-e79a-4002-ba07-983463fdb18f","type":"Toolbar"},{"attributes":{},"id":"ae7e2b92-82e7-4224-a9b7-c1af4f3026d9","type":"LinearScale"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"a1b7e806-deb1-485a-88cf-b2028713cd1f","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"da24fe05-55e9-444d-8e8d-3e2d5bb3e537","type":"VBar"},{"attributes":{"source":{"id":"bc868d68-9388-4719-a4fd-bb47758e32ac","type":"ColumnDataSource"}},"id":"2fc80c23-55aa-417c-b3fa-1ada9cf7d4f8","type":"CDSView"},{"attributes":{"formatter":{"id":"307c55ce-1e4f-4828-aa8a-ae258a148e9c","type":"CategoricalTickFormatter"},"plot":{"id":"ad6677b6-7054-4505-83e5-75a333158f2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4c5d3c8-588f-494b-828b-0e29dfc81e57","type":"CategoricalTicker"}},"id":"549cc0c8-8243-4898-96d4-af5e4d322762","type":"CategoricalAxis"},{"attributes":{},"id":"b9e2c3dc-fdf0-47e5-8f3d-e0088d08f4d5","type":"CategoricalScale"},{"attributes":{"below":[{"id":"549cc0c8-8243-4898-96d4-af5e4d322762","type":"CategoricalAxis"}],"left":[{"id":"06ae86e6-ca75-46ac-936d-e92e8847efb2","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"549cc0c8-8243-4898-96d4-af5e4d322762","type":"CategoricalAxis"},{"id":"b9498177-8f6c-45e0-bc08-e9f40a18f767","type":"Grid"},{"id":"06ae86e6-ca75-46ac-936d-e92e8847efb2","type":"LinearAxis"},{"id":"50486f92-25b5-407e-92f8-bba824a67eaa","type":"Grid"},{"id":"1b285a50-1e3e-4a74-93dd-7e836040e15f","type":"GlyphRenderer"}],"title":{"id":"1b89d87c-6e77-4e1b-bd11-00e4fc3141dc","type":"Title"},"toolbar":{"id":"25f3c934-e79a-4002-ba07-983463fdb18f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a1b7e806-deb1-485a-88cf-b2028713cd1f","type":"FactorRange"},"x_scale":{"id":"b9e2c3dc-fdf0-47e5-8f3d-e0088d08f4d5","type":"CategoricalScale"},"y_range":{"id":"c52d1744-5c3a-4d90-92ef-0b9307556339","type":"DataRange1d"},"y_scale":{"id":"ae7e2b92-82e7-4224-a9b7-c1af4f3026d9","type":"LinearScale"}},"id":"ad6677b6-7054-4505-83e5-75a333158f2d","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"1b89d87c-6e77-4e1b-bd11-00e4fc3141dc","type":"Title"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"bc868d68-9388-4719-a4fd-bb47758e32ac","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ad6677b6-7054-4505-83e5-75a333158f2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4c5d3c8-588f-494b-828b-0e29dfc81e57","type":"CategoricalTicker"}},"id":"b9498177-8f6c-45e0-bc08-e9f40a18f767","type":"Grid"}],"root_ids":["ad6677b6-7054-4505-83e5-75a333158f2d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e0d7c279-f70e-4cd4-b229-fb24e76ca10a","elementid":"e706acc2-bab8-430d-a994-cedd5d64a846","modelid":"ad6677b6-7054-4505-83e5-75a333158f2d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
