(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f22e00c1-09ed-4ea2-96cb-a4b1ccba47e9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f22e00c1-09ed-4ea2-96cb-a4b1ccba47e9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"30af384a-02d8-4b8c-ad0d-1f0880b7a613":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":[["Apples",-0.5],["Pears",-0.2],["Nectarines",0.0],["Plums",0.3],["Grapes",0.1],["Strawberries",0.3]]}},"id":"f952a7bb-0b04-4bcc-b192-18993b39b3db","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"53061a35-157f-4ec2-aadc-887f651d7e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"59b285d2-2665-483f-b43b-7146e8a27a67","type":"BasicTicker"}},"id":"b0571c29-2617-4f61-816c-a99318f4076b","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"fb68cc69-91fc-4c58-ba0b-47d8f6498f48","type":"VBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"3d17a270-458b-4217-b9e0-76fed7639063","type":"FactorRange"},{"attributes":{},"id":"5b174ee7-e669-4cf3-88d5-c166fb625df5","type":"CategoricalScale"},{"attributes":{},"id":"e44728e2-45f3-4e5e-91f8-9394a2f1c7a5","type":"LinearScale"},{"attributes":{"below":[{"id":"53c3871e-6e86-44b4-a8bf-f4b96fcefc5a","type":"CategoricalAxis"}],"left":[{"id":"bbbc1d0a-e890-4ffd-b21c-1628ce1a1926","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"53c3871e-6e86-44b4-a8bf-f4b96fcefc5a","type":"CategoricalAxis"},{"id":"12a4d8cf-8db3-4268-ac6a-f10d1cc46593","type":"Grid"},{"id":"bbbc1d0a-e890-4ffd-b21c-1628ce1a1926","type":"LinearAxis"},{"id":"b0571c29-2617-4f61-816c-a99318f4076b","type":"Grid"},{"id":"175d4f63-abf9-4ee9-8a47-5ebfe894f2d0","type":"GlyphRenderer"}],"title":{"id":"0270bb9c-e03c-4c79-b67d-393edf9e9f1d","type":"Title"},"toolbar":{"id":"c9b15186-55b5-447e-834f-8e805f1f7a21","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3d17a270-458b-4217-b9e0-76fed7639063","type":"FactorRange"},"x_scale":{"id":"5b174ee7-e669-4cf3-88d5-c166fb625df5","type":"CategoricalScale"},"y_range":{"id":"44cc40b9-9e33-4688-9a81-99ce438dd911","type":"DataRange1d"},"y_scale":{"id":"e44728e2-45f3-4e5e-91f8-9394a2f1c7a5","type":"LinearScale"}},"id":"53061a35-157f-4ec2-aadc-887f651d7e14","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"3301e6ca-483b-440c-8538-a8837798703e","type":"BasicTickFormatter"},"plot":{"id":"53061a35-157f-4ec2-aadc-887f651d7e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"59b285d2-2665-483f-b43b-7146e8a27a67","type":"BasicTicker"}},"id":"bbbc1d0a-e890-4ffd-b21c-1628ce1a1926","type":"LinearAxis"},{"attributes":{},"id":"59b285d2-2665-483f-b43b-7146e8a27a67","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c9b15186-55b5-447e-834f-8e805f1f7a21","type":"Toolbar"},{"attributes":{},"id":"d66b8c05-c7dc-4a88-bea0-8990caa52b1a","type":"CategoricalTickFormatter"},{"attributes":{"data_source":{"id":"f952a7bb-0b04-4bcc-b192-18993b39b3db","type":"ColumnDataSource"},"glyph":{"id":"fb68cc69-91fc-4c58-ba0b-47d8f6498f48","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"122d9611-bcc0-4cb2-a3c3-91719cfa4a7e","type":"VBar"},"selection_glyph":null,"view":{"id":"27a6cee5-eac1-42c0-aed2-f3b262630799","type":"CDSView"}},"id":"175d4f63-abf9-4ee9-8a47-5ebfe894f2d0","type":"GlyphRenderer"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"53061a35-157f-4ec2-aadc-887f651d7e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"07334f58-87e1-4f46-b220-5e95bedfd0dd","type":"CategoricalTicker"}},"id":"12a4d8cf-8db3-4268-ac6a-f10d1cc46593","type":"Grid"},{"attributes":{},"id":"3301e6ca-483b-440c-8538-a8837798703e","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"122d9611-bcc0-4cb2-a3c3-91719cfa4a7e","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"0270bb9c-e03c-4c79-b67d-393edf9e9f1d","type":"Title"},{"attributes":{"formatter":{"id":"d66b8c05-c7dc-4a88-bea0-8990caa52b1a","type":"CategoricalTickFormatter"},"plot":{"id":"53061a35-157f-4ec2-aadc-887f651d7e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"07334f58-87e1-4f46-b220-5e95bedfd0dd","type":"CategoricalTicker"}},"id":"53c3871e-6e86-44b4-a8bf-f4b96fcefc5a","type":"CategoricalAxis"},{"attributes":{"callback":null,"start":0},"id":"44cc40b9-9e33-4688-9a81-99ce438dd911","type":"DataRange1d"},{"attributes":{"source":{"id":"f952a7bb-0b04-4bcc-b192-18993b39b3db","type":"ColumnDataSource"}},"id":"27a6cee5-eac1-42c0-aed2-f3b262630799","type":"CDSView"},{"attributes":{},"id":"07334f58-87e1-4f46-b220-5e95bedfd0dd","type":"CategoricalTicker"}],"root_ids":["53061a35-157f-4ec2-aadc-887f651d7e14"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"30af384a-02d8-4b8c-ad0d-1f0880b7a613","elementid":"f22e00c1-09ed-4ea2-96cb-a4b1ccba47e9","modelid":"53061a35-157f-4ec2-aadc-887f651d7e14"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
