(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("30736143-a1a7-4e94-8957-e5541d2dc594");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '30736143-a1a7-4e94-8957-e5541d2dc594' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f27ff3cc-6e06-457b-ae03-75f500a11bdc":{"roots":{"references":[{"attributes":{},"id":"8e434e37-6b54-4799-867f-2ef51b9ca416","type":"CategoricalTicker"},{"attributes":{},"id":"c0f07af7-7206-4982-893c-620fb883c4e9","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"start":0},"id":"a75d2ac4-51b2-46b5-babe-4c867c0cee2b","type":"DataRange1d"},{"attributes":{"below":[{"id":"f5a47a46-908d-4acc-8b94-c4ec87629a0a","type":"CategoricalAxis"}],"left":[{"id":"c4d2edef-abe5-4614-97b2-63c31824b31a","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"f5a47a46-908d-4acc-8b94-c4ec87629a0a","type":"CategoricalAxis"},{"id":"9f2cb8d8-29a6-4ba4-81fc-9ef433a764be","type":"Grid"},{"id":"c4d2edef-abe5-4614-97b2-63c31824b31a","type":"LinearAxis"},{"id":"79a36b10-541b-45ad-904a-ff73e35f288a","type":"Grid"},{"id":"f8f12f5a-00fe-44e4-86f6-f0d48b6585bf","type":"GlyphRenderer"}],"title":{"id":"5a11be87-db34-4e40-ad4d-f3ec29fd89c5","type":"Title"},"toolbar":{"id":"1d87d74b-32e1-4620-82ba-47dda686b5b0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"471c23bc-3edf-47f7-8e76-5ba3bf9d2bd0","type":"FactorRange"},"x_scale":{"id":"cde9efbe-2e2a-47ff-94fe-eabb1a582449","type":"CategoricalScale"},"y_range":{"id":"a75d2ac4-51b2-46b5-babe-4c867c0cee2b","type":"DataRange1d"},"y_scale":{"id":"70c60d8f-1110-4379-a426-8645e6053d92","type":"LinearScale"}},"id":"46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1","subtype":"Figure","type":"Plot"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e434e37-6b54-4799-867f-2ef51b9ca416","type":"CategoricalTicker"}},"id":"9f2cb8d8-29a6-4ba4-81fc-9ef433a764be","type":"Grid"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"471c23bc-3edf-47f7-8e76-5ba3bf9d2bd0","type":"FactorRange"},{"attributes":{"formatter":{"id":"bd4406fb-6541-423a-936a-49a62d09a540","type":"BasicTickFormatter"},"plot":{"id":"46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a7c3afe-e0b2-4780-b1fe-a941e745d8b0","type":"BasicTicker"}},"id":"c4d2edef-abe5-4614-97b2-63c31824b31a","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"7ecebe1a-5bb9-4c42-be2f-4bd3bca32d05","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"7ecebe1a-5bb9-4c42-be2f-4bd3bca32d05","type":"ColumnDataSource"},"glyph":{"id":"c805e1ae-9519-40b0-931c-2b4dc7bfde9a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"81e3821f-872d-44de-b84d-d0bbb832794b","type":"VBar"},"selection_glyph":null,"view":{"id":"7ee346e8-c9e9-4f3a-bbed-09aa9bfc89a2","type":"CDSView"}},"id":"f8f12f5a-00fe-44e4-86f6-f0d48b6585bf","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"81e3821f-872d-44de-b84d-d0bbb832794b","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a7c3afe-e0b2-4780-b1fe-a941e745d8b0","type":"BasicTicker"}},"id":"79a36b10-541b-45ad-904a-ff73e35f288a","type":"Grid"},{"attributes":{},"id":"70c60d8f-1110-4379-a426-8645e6053d92","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"1d87d74b-32e1-4620-82ba-47dda686b5b0","type":"Toolbar"},{"attributes":{},"id":"8a7c3afe-e0b2-4780-b1fe-a941e745d8b0","type":"BasicTicker"},{"attributes":{"source":{"id":"7ecebe1a-5bb9-4c42-be2f-4bd3bca32d05","type":"ColumnDataSource"}},"id":"7ee346e8-c9e9-4f3a-bbed-09aa9bfc89a2","type":"CDSView"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"5a11be87-db34-4e40-ad4d-f3ec29fd89c5","type":"Title"},{"attributes":{"formatter":{"id":"c0f07af7-7206-4982-893c-620fb883c4e9","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e434e37-6b54-4799-867f-2ef51b9ca416","type":"CategoricalTicker"}},"id":"f5a47a46-908d-4acc-8b94-c4ec87629a0a","type":"CategoricalAxis"},{"attributes":{},"id":"bd4406fb-6541-423a-936a-49a62d09a540","type":"BasicTickFormatter"},{"attributes":{},"id":"cde9efbe-2e2a-47ff-94fe-eabb1a582449","type":"CategoricalScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"c805e1ae-9519-40b0-931c-2b4dc7bfde9a","type":"VBar"}],"root_ids":["46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f27ff3cc-6e06-457b-ae03-75f500a11bdc","elementid":"30736143-a1a7-4e94-8957-e5541d2dc594","modelid":"46a9fe7e-d93b-4ef3-8a0f-aa93cdd3b8f1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
