(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("23031908-b79d-470e-ac03-bb4158b3fd23");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '23031908-b79d-470e-ac03-bb4158b3fd23' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"649d6075-6c2c-4f0d-820b-4282244589ab":{"roots":{"references":[{"attributes":{"formatter":{"id":"0830e683-6b92-488d-89b7-a0ba544bd0c1","type":"BasicTickFormatter"},"plot":{"id":"beef23c6-286c-4d22-91aa-be32a47be8a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"99e6ab1e-b547-4eb8-bde7-ddbcb9d474bc","type":"BasicTicker"}},"id":"717ff59c-26e8-478b-8c7e-f4336bafe2f4","type":"LinearAxis"},{"attributes":{"source":{"id":"a5eaf4f8-4a29-42b7-99f7-72c865f075f3","type":"ColumnDataSource"}},"id":"7a0a4c0d-bbfc-41e6-9e71-52ba7e235c9b","type":"CDSView"},{"attributes":{},"id":"f7db8856-1627-46b4-a279-96e1b46cdf50","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"a5eaf4f8-4a29-42b7-99f7-72c865f075f3","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"a4899fc2-9bb8-4e89-aedd-5dbe6ef04029","type":"VBar"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"4da3655f-1d6c-47c9-a3b3-8b96ec609cda","type":"CategoricalColorMapper"},{"attributes":{},"id":"b3651ea2-55df-47d8-b9da-9f507bc83ce7","type":"CategoricalTickFormatter"},{"attributes":{"below":[{"id":"267d0e90-8eae-4567-8f8b-a81c1890d294","type":"CategoricalAxis"}],"left":[{"id":"717ff59c-26e8-478b-8c7e-f4336bafe2f4","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"267d0e90-8eae-4567-8f8b-a81c1890d294","type":"CategoricalAxis"},{"id":"688360ec-fd66-40ac-a0b5-1c2f0d782981","type":"Grid"},{"id":"717ff59c-26e8-478b-8c7e-f4336bafe2f4","type":"LinearAxis"},{"id":"d3d9b5cc-4cfe-423e-bbcf-c23e1d7f76c1","type":"Grid"},{"id":"dc6ad192-343d-4fb6-8518-0b4086be9ea2","type":"GlyphRenderer"}],"title":{"id":"5b5731b4-9704-4dc7-b887-306e79a9b11e","type":"Title"},"toolbar":{"id":"93786df6-c882-42db-85ce-7fc9c3c6a15b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"95407cb9-212a-4b28-9ec6-5275668340eb","type":"FactorRange"},"x_scale":{"id":"1436660b-7e71-40fd-ae87-df7296177aee","type":"CategoricalScale"},"y_range":{"id":"7122e0a5-c12d-4ae4-a554-3009fb6c71ad","type":"DataRange1d"},"y_scale":{"id":"f7db8856-1627-46b4-a279-96e1b46cdf50","type":"LinearScale"}},"id":"beef23c6-286c-4d22-91aa-be32a47be8a2","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"95407cb9-212a-4b28-9ec6-5275668340eb","type":"FactorRange"},{"attributes":{"formatter":{"id":"b3651ea2-55df-47d8-b9da-9f507bc83ce7","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"beef23c6-286c-4d22-91aa-be32a47be8a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"0cf005ba-68c8-431c-a615-8a107cd1241d","type":"CategoricalTicker"}},"id":"267d0e90-8eae-4567-8f8b-a81c1890d294","type":"CategoricalAxis"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"5b5731b4-9704-4dc7-b887-306e79a9b11e","type":"Title"},{"attributes":{"callback":null,"start":0},"id":"7122e0a5-c12d-4ae4-a554-3009fb6c71ad","type":"DataRange1d"},{"attributes":{},"id":"0830e683-6b92-488d-89b7-a0ba544bd0c1","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"4da3655f-1d6c-47c9-a3b3-8b96ec609cda","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"9e07d11c-5a73-498f-a3f4-0f71b2dc137b","type":"VBar"},{"attributes":{"data_source":{"id":"a5eaf4f8-4a29-42b7-99f7-72c865f075f3","type":"ColumnDataSource"},"glyph":{"id":"9e07d11c-5a73-498f-a3f4-0f71b2dc137b","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a4899fc2-9bb8-4e89-aedd-5dbe6ef04029","type":"VBar"},"selection_glyph":null,"view":{"id":"7a0a4c0d-bbfc-41e6-9e71-52ba7e235c9b","type":"CDSView"}},"id":"dc6ad192-343d-4fb6-8518-0b4086be9ea2","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"beef23c6-286c-4d22-91aa-be32a47be8a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"99e6ab1e-b547-4eb8-bde7-ddbcb9d474bc","type":"BasicTicker"}},"id":"d3d9b5cc-4cfe-423e-bbcf-c23e1d7f76c1","type":"Grid"},{"attributes":{},"id":"99e6ab1e-b547-4eb8-bde7-ddbcb9d474bc","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"93786df6-c882-42db-85ce-7fc9c3c6a15b","type":"Toolbar"},{"attributes":{},"id":"0cf005ba-68c8-431c-a615-8a107cd1241d","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"beef23c6-286c-4d22-91aa-be32a47be8a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"0cf005ba-68c8-431c-a615-8a107cd1241d","type":"CategoricalTicker"}},"id":"688360ec-fd66-40ac-a0b5-1c2f0d782981","type":"Grid"},{"attributes":{},"id":"1436660b-7e71-40fd-ae87-df7296177aee","type":"CategoricalScale"}],"root_ids":["beef23c6-286c-4d22-91aa-be32a47be8a2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"649d6075-6c2c-4f0d-820b-4282244589ab","elementid":"23031908-b79d-470e-ac03-bb4158b3fd23","modelid":"beef23c6-286c-4d22-91aa-be32a47be8a2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
