(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("162ce64c-0977-4df9-bc74-bd194707b358");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '162ce64c-0977-4df9-bc74-bd194707b358' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"440bf25c-4301-4d44-a606-c80a97999868":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c4616126-e544-4826-b9a8-6dd7903618e6","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"},{"attributes":{"callback":null,"start":0},"id":"857939cd-423c-461f-98ed-26f33eb9f485","type":"DataRange1d"},{"attributes":{"below":[{"id":"b2267168-9d6c-4481-b46c-df93f1fe4b55","type":"CategoricalAxis"}],"left":[{"id":"6c903ffb-864d-4ac5-878e-f5bd8998c23f","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"b2267168-9d6c-4481-b46c-df93f1fe4b55","type":"CategoricalAxis"},{"id":"cb589f74-e2d1-43e8-9b9a-4f34af9f965c","type":"Grid"},{"id":"6c903ffb-864d-4ac5-878e-f5bd8998c23f","type":"LinearAxis"},{"id":"98428b98-066c-48f5-97af-77a6df9c13d2","type":"Grid"},{"id":"e508eb31-c684-4213-a3b4-70e66a7b7bfa","type":"Legend"},{"id":"f8881ec1-b7ea-4233-963a-8140c78c738f","type":"GlyphRenderer"},{"id":"0850121d-fff5-4e90-b236-495e4f7216c2","type":"GlyphRenderer"},{"id":"e4d0f4ef-599b-4b15-abca-3e0840eac898","type":"GlyphRenderer"}],"title":{"id":"71ce2f3c-c9a3-4172-94c9-0468fe0a03a9","type":"Title"},"toolbar":{"id":"c4616126-e544-4826-b9a8-6dd7903618e6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"36e27ec2-b7cf-4ecc-a000-636a6370976c","type":"FactorRange"},"x_scale":{"id":"9f087068-9663-4451-85ee-1a59f3be5957","type":"CategoricalScale"},"y_range":{"id":"857939cd-423c-461f-98ed-26f33eb9f485","type":"DataRange1d"},"y_scale":{"id":"630e94bb-9fc2-4def-8b8c-bc33dfa9facd","type":"LinearScale"}},"id":"706372d4-4502-414c-b8c4-37f4d18fa31f","subtype":"Figure","type":"Plot"},{"attributes":{"items":[{"id":"04fd584d-185d-4843-aa94-d63a006aff67","type":"LegendItem"},{"id":"066171ac-9f11-4c8e-acc5-dbd0ff77e03e","type":"LegendItem"},{"id":"92276d08-7e22-43ba-a70b-1dc7b02b97b5","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"706372d4-4502-414c-b8c4-37f4d18fa31f","subtype":"Figure","type":"Plot"}},"id":"e508eb31-c684-4213-a3b4-70e66a7b7bfa","type":"Legend"},{"attributes":{},"id":"9f087068-9663-4451-85ee-1a59f3be5957","type":"CategoricalScale"},{"attributes":{},"id":"16287d81-99dd-4b21-a557-8360d76f2308","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"}},"id":"5a66f6b4-da95-4993-98c9-01aa48dcccc1","type":"CDSView"},{"attributes":{"bottom":{"expr":{"id":"7b185df5-9bde-421b-8434-3379a043445d","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"47ff56f1-7409-4d1f-b121-f50519ae7000","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"c44f487d-4403-49d9-a5f6-38ffdefd72fa","type":"VBar"},{"attributes":{"data_source":{"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"},"glyph":{"id":"4f113d6d-3185-4d3e-a4d9-c56d07e8dc6a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5806bff2-9523-49b6-9265-e93cd21ea5a3","type":"VBar"},"selection_glyph":null,"view":{"id":"6e8b215f-0019-425f-8dd2-26f35739c2d4","type":"CDSView"}},"id":"f8881ec1-b7ea-4233-963a-8140c78c738f","type":"GlyphRenderer"},{"attributes":{"bottom":{"expr":{"id":"7b185df5-9bde-421b-8434-3379a043445d","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"47ff56f1-7409-4d1f-b121-f50519ae7000","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d5497bca-5046-4bff-bd0d-970ed08adc64","type":"VBar"},{"attributes":{"formatter":{"id":"d451bfa3-df1d-461f-b526-3cb9592dda03","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"706372d4-4502-414c-b8c4-37f4d18fa31f","subtype":"Figure","type":"Plot"},"ticker":{"id":"02de6a15-3e6c-4363-be09-69b27a9afe9f","type":"CategoricalTicker"}},"id":"b2267168-9d6c-4481-b46c-df93f1fe4b55","type":"CategoricalAxis"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"71ce2f3c-c9a3-4172-94c9-0468fe0a03a9","type":"Title"},{"attributes":{"bottom":{"expr":{"id":"f86d94f7-a6c0-41a6-bced-5dfc9d52974b","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"c1a1b6e2-33e4-49ba-9589-ca859cee2f8a","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"2f91268d-4b84-47e8-990d-71e3bb6e3693","type":"VBar"},{"attributes":{"fields":["2015","2016"]},"id":"7b185df5-9bde-421b-8434-3379a043445d","type":"Stack"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"e4d0f4ef-599b-4b15-abca-3e0840eac898","type":"GlyphRenderer"}]},"id":"92276d08-7e22-43ba-a70b-1dc7b02b97b5","type":"LegendItem"},{"attributes":{"bottom":{"expr":{"id":"f86d94f7-a6c0-41a6-bced-5dfc9d52974b","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"c1a1b6e2-33e4-49ba-9589-ca859cee2f8a","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"ed7042f0-213b-4562-83df-8379dfdcd634","type":"VBar"},{"attributes":{},"id":"02de6a15-3e6c-4363-be09-69b27a9afe9f","type":"CategoricalTicker"},{"attributes":{"data_source":{"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"},"glyph":{"id":"c44f487d-4403-49d9-a5f6-38ffdefd72fa","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d5497bca-5046-4bff-bd0d-970ed08adc64","type":"VBar"},"selection_glyph":null,"view":{"id":"5a66f6b4-da95-4993-98c9-01aa48dcccc1","type":"CDSView"}},"id":"e4d0f4ef-599b-4b15-abca-3e0840eac898","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"},"glyph":{"id":"2f91268d-4b84-47e8-990d-71e3bb6e3693","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ed7042f0-213b-4562-83df-8379dfdcd634","type":"VBar"},"selection_glyph":null,"view":{"id":"5de2c228-1702-4677-8ec3-d2a51951866f","type":"CDSView"}},"id":"0850121d-fff5-4e90-b236-495e4f7216c2","type":"GlyphRenderer"},{"attributes":{"bottom":{"expr":{"id":"047da59a-babf-4e0f-895a-632846c71df6","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"504563fb-0102-4800-a63e-64ec24b41c60","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"5806bff2-9523-49b6-9265-e93cd21ea5a3","type":"VBar"},{"attributes":{"fields":["2015","2016"]},"id":"c1a1b6e2-33e4-49ba-9589-ca859cee2f8a","type":"Stack"},{"attributes":{"dimension":1,"plot":{"id":"706372d4-4502-414c-b8c4-37f4d18fa31f","subtype":"Figure","type":"Plot"},"ticker":{"id":"037f2706-3390-4661-8618-79bca899c768","type":"BasicTicker"}},"id":"98428b98-066c-48f5-97af-77a6df9c13d2","type":"Grid"},{"attributes":{"fields":[]},"id":"047da59a-babf-4e0f-895a-632846c71df6","type":"Stack"},{"attributes":{},"id":"d451bfa3-df1d-461f-b526-3cb9592dda03","type":"CategoricalTickFormatter"},{"attributes":{"fields":["2015"]},"id":"504563fb-0102-4800-a63e-64ec24b41c60","type":"Stack"},{"attributes":{},"id":"037f2706-3390-4661-8618-79bca899c768","type":"BasicTicker"},{"attributes":{"fields":["2015"]},"id":"f86d94f7-a6c0-41a6-bced-5dfc9d52974b","type":"Stack"},{"attributes":{"fields":["2015","2016","2017"]},"id":"47ff56f1-7409-4d1f-b121-f50519ae7000","type":"Stack"},{"attributes":{"source":{"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"}},"id":"6e8b215f-0019-425f-8dd2-26f35739c2d4","type":"CDSView"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"706372d4-4502-414c-b8c4-37f4d18fa31f","subtype":"Figure","type":"Plot"},"ticker":{"id":"02de6a15-3e6c-4363-be09-69b27a9afe9f","type":"CategoricalTicker"}},"id":"cb589f74-e2d1-43e8-9b9a-4f34af9f965c","type":"Grid"},{"attributes":{"bottom":{"expr":{"id":"047da59a-babf-4e0f-895a-632846c71df6","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"504563fb-0102-4800-a63e-64ec24b41c60","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"4f113d6d-3185-4d3e-a4d9-c56d07e8dc6a","type":"VBar"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"f8881ec1-b7ea-4233-963a-8140c78c738f","type":"GlyphRenderer"}]},"id":"04fd584d-185d-4843-aa94-d63a006aff67","type":"LegendItem"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"36e27ec2-b7cf-4ecc-a000-636a6370976c","type":"FactorRange"},{"attributes":{"source":{"id":"d15860ff-c9f3-45f7-8ce7-682b8255d14c","type":"ColumnDataSource"}},"id":"5de2c228-1702-4677-8ec3-d2a51951866f","type":"CDSView"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"0850121d-fff5-4e90-b236-495e4f7216c2","type":"GlyphRenderer"}]},"id":"066171ac-9f11-4c8e-acc5-dbd0ff77e03e","type":"LegendItem"},{"attributes":{"formatter":{"id":"16287d81-99dd-4b21-a557-8360d76f2308","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"706372d4-4502-414c-b8c4-37f4d18fa31f","subtype":"Figure","type":"Plot"},"ticker":{"id":"037f2706-3390-4661-8618-79bca899c768","type":"BasicTicker"}},"id":"6c903ffb-864d-4ac5-878e-f5bd8998c23f","type":"LinearAxis"},{"attributes":{},"id":"630e94bb-9fc2-4def-8b8c-bc33dfa9facd","type":"LinearScale"}],"root_ids":["706372d4-4502-414c-b8c4-37f4d18fa31f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"440bf25c-4301-4d44-a606-c80a97999868","elementid":"162ce64c-0977-4df9-bc74-bd194707b358","modelid":"706372d4-4502-414c-b8c4-37f4d18fa31f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
