(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4cdd03e5-e033-4aca-a491-56e84545707a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4cdd03e5-e033-4aca-a491-56e84545707a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"40949cfe-2620-4fec-8777-e57fce565640":{"roots":{"references":[{"attributes":{"formatter":{"id":"1c14b685-c7d2-4124-9ed0-0e71902a0c35","type":"BasicTickFormatter"},"plot":{"id":"ef1894fd-bb28-45fc-8fed-dd1d0cd112d2","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b276c12-533e-426a-b5d1-2287c6f3c3be","type":"BasicTicker"}},"id":"2b7e3764-9166-45ca-8c5d-d50748339578","type":"LinearAxis"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"14eaa800-75c2-4c9f-93d9-05e46d2ccbde","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"986a3e5a-8fb8-4d5a-b432-5bb6a3b4e83f","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"7c7adba2-a182-48c9-975b-a75e6a50a16a","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"aaac2025-da96-43d6-9071-861db11d73d6","type":"Toolbar"},{"attributes":{"data_source":{"id":"38e4ba06-3379-43d2-9efc-5d19ab0223b1","type":"ColumnDataSource"},"glyph":{"id":"327caf73-df85-4b90-8ff5-c3bede425f5d","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b76d9d7e-fbcc-42dd-a7d5-71c212cc1e06","type":"Line"},"selection_glyph":null,"view":{"id":"cdd90762-4729-473a-b158-cbf29a1ed615","type":"CDSView"}},"id":"affd8940-daf3-4884-bc02-11109d5c0090","type":"GlyphRenderer"},{"attributes":{},"id":"fc501692-eaa4-44e7-889d-9385477e2365","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"6b4ff74f-4b2e-4172-a0f8-a1ff096db987","type":"Title"},{"attributes":{},"id":"ec88eceb-18d8-4cea-a7c5-d1b3effbdf55","type":"CategoricalTicker"},{"attributes":{"data_source":{"id":"c109fd69-8f9e-4f56-8ae0-40f4b05030a4","type":"ColumnDataSource"},"glyph":{"id":"aaed1b08-5c49-439c-8f84-ab72ec59e9b8","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"986a3e5a-8fb8-4d5a-b432-5bb6a3b4e83f","type":"VBar"},"selection_glyph":null,"view":{"id":"da28d92f-b79e-420f-b635-a9b6f7001339","type":"CDSView"}},"id":"3a926634-e226-4be9-aae2-0721520f356f","type":"GlyphRenderer"},{"attributes":{},"id":"1c14b685-c7d2-4124-9ed0-0e71902a0c35","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"c109fd69-8f9e-4f56-8ae0-40f4b05030a4","type":"ColumnDataSource"},{"attributes":{},"id":"2622568e-1e7f-4bd8-b659-39837da1def3","type":"CategoricalTickFormatter"},{"attributes":{},"id":"89af98b6-a0de-4049-b677-f4593031bbf9","type":"CategoricalScale"},{"attributes":{"formatter":{"id":"2622568e-1e7f-4bd8-b659-39837da1def3","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"ef1894fd-bb28-45fc-8fed-dd1d0cd112d2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec88eceb-18d8-4cea-a7c5-d1b3effbdf55","type":"CategoricalTicker"}},"id":"09ed08d6-cea5-4055-821d-efa52db58365","type":"CategoricalAxis"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"327caf73-df85-4b90-8ff5-c3bede425f5d","type":"Line"},{"attributes":{"below":[{"id":"09ed08d6-cea5-4055-821d-efa52db58365","type":"CategoricalAxis"}],"left":[{"id":"2b7e3764-9166-45ca-8c5d-d50748339578","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"09ed08d6-cea5-4055-821d-efa52db58365","type":"CategoricalAxis"},{"id":"6fc9fa27-e508-4663-a975-119a9c441a35","type":"Grid"},{"id":"2b7e3764-9166-45ca-8c5d-d50748339578","type":"LinearAxis"},{"id":"b645ee14-6c0e-4223-bb73-c0cb2d93d25b","type":"Grid"},{"id":"3a926634-e226-4be9-aae2-0721520f356f","type":"GlyphRenderer"},{"id":"affd8940-daf3-4884-bc02-11109d5c0090","type":"GlyphRenderer"}],"title":{"id":"6b4ff74f-4b2e-4172-a0f8-a1ff096db987","type":"Title"},"toolbar":{"id":"aaac2025-da96-43d6-9071-861db11d73d6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"14eaa800-75c2-4c9f-93d9-05e46d2ccbde","type":"FactorRange"},"x_scale":{"id":"89af98b6-a0de-4049-b677-f4593031bbf9","type":"CategoricalScale"},"y_range":{"id":"7c7adba2-a182-48c9-975b-a75e6a50a16a","type":"DataRange1d"},"y_scale":{"id":"fc501692-eaa4-44e7-889d-9385477e2365","type":"LinearScale"}},"id":"ef1894fd-bb28-45fc-8fed-dd1d0cd112d2","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"ef1894fd-bb28-45fc-8fed-dd1d0cd112d2","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b276c12-533e-426a-b5d1-2287c6f3c3be","type":"BasicTicker"}},"id":"b645ee14-6c0e-4223-bb73-c0cb2d93d25b","type":"Grid"},{"attributes":{"source":{"id":"c109fd69-8f9e-4f56-8ae0-40f4b05030a4","type":"ColumnDataSource"}},"id":"da28d92f-b79e-420f-b635-a9b6f7001339","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"aaed1b08-5c49-439c-8f84-ab72ec59e9b8","type":"VBar"},{"attributes":{"source":{"id":"38e4ba06-3379-43d2-9efc-5d19ab0223b1","type":"ColumnDataSource"}},"id":"cdd90762-4729-473a-b158-cbf29a1ed615","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"38e4ba06-3379-43d2-9efc-5d19ab0223b1","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"b76d9d7e-fbcc-42dd-a7d5-71c212cc1e06","type":"Line"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ef1894fd-bb28-45fc-8fed-dd1d0cd112d2","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec88eceb-18d8-4cea-a7c5-d1b3effbdf55","type":"CategoricalTicker"}},"id":"6fc9fa27-e508-4663-a975-119a9c441a35","type":"Grid"},{"attributes":{},"id":"6b276c12-533e-426a-b5d1-2287c6f3c3be","type":"BasicTicker"}],"root_ids":["ef1894fd-bb28-45fc-8fed-dd1d0cd112d2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"40949cfe-2620-4fec-8777-e57fce565640","elementid":"4cdd03e5-e033-4aca-a491-56e84545707a","modelid":"ef1894fd-bb28-45fc-8fed-dd1d0cd112d2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
