(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ef6d10ac-e3f9-4cc2-8806-3aac7777883e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ef6d10ac-e3f9-4cc2-8806-3aac7777883e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d4c87b5d-939b-4c58-978f-226ae62273cf":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"43178df4-40ec-4be4-9e9c-f32150fab043","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b4193c3-cf9e-4262-8557-9fb63b61dd49","type":"BasicTicker"}},"id":"b033595e-c5c9-4a0b-8101-cb9267367990","type":"Grid"},{"attributes":{},"id":"47d5b278-b3c1-45fd-bdee-d18143a5b5a5","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"5a82a3db-e43d-40af-9d9a-2c76540e16cf","type":"Circle"},{"attributes":{"callback":null},"id":"becc1c39-c2cc-47c8-867e-5ec653df9bae","type":"DataRange1d"},{"attributes":{"formatter":{"id":"265c87c9-96dc-45f4-b8d0-d04ca8f750de","type":"BasicTickFormatter"},"plot":{"id":"43178df4-40ec-4be4-9e9c-f32150fab043","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b4193c3-cf9e-4262-8557-9fb63b61dd49","type":"BasicTicker"}},"id":"771a5519-dbb8-433a-94c0-9a82f8882609","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"178aeae0-abe0-406b-b253-473b593c7e43","type":"Circle"},{"attributes":{"plot":{"id":"43178df4-40ec-4be4-9e9c-f32150fab043","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2958b5e-5b98-44e0-b803-bcf04dcd069c","type":"BasicTicker"}},"id":"ff95db8e-cb2a-4fcc-b500-8e7f4efef285","type":"Grid"},{"attributes":{"formatter":{"id":"2d2609ff-ca73-47b0-9621-2f133820ab47","type":"BasicTickFormatter"},"plot":{"id":"43178df4-40ec-4be4-9e9c-f32150fab043","subtype":"Figure","type":"Plot"},"ticker":{"id":"b2958b5e-5b98-44e0-b803-bcf04dcd069c","type":"BasicTicker"}},"id":"3b05b2c9-c07d-49f9-a321-e88dd1a62bb2","type":"LinearAxis"},{"attributes":{},"id":"49a9fa3d-d3e5-4824-852e-f41ca2db933a","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"49a9fa3d-d3e5-4824-852e-f41ca2db933a","type":"PanTool"},{"id":"47d5b278-b3c1-45fd-bdee-d18143a5b5a5","type":"ResetTool"},{"id":"236db716-bd30-4ed9-a3e8-299c45b6213e","type":"SaveTool"}]},"id":"1fd35b7a-7418-4074-b3fc-73db71096ff6","type":"Toolbar"},{"attributes":{"data_source":{"id":"502cd60c-f3fb-4dd5-bad7-176642b5f9f0","type":"ColumnDataSource"},"glyph":{"id":"5a82a3db-e43d-40af-9d9a-2c76540e16cf","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"178aeae0-abe0-406b-b253-473b593c7e43","type":"Circle"},"selection_glyph":null,"view":{"id":"e6caf0a8-a914-443f-8562-94e9a7efe45f","type":"CDSView"}},"id":"1945d4c3-39e4-4cf0-8e46-fc0b6dce493b","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"3b05b2c9-c07d-49f9-a321-e88dd1a62bb2","type":"LinearAxis"}],"left":[{"id":"771a5519-dbb8-433a-94c0-9a82f8882609","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"3b05b2c9-c07d-49f9-a321-e88dd1a62bb2","type":"LinearAxis"},{"id":"ff95db8e-cb2a-4fcc-b500-8e7f4efef285","type":"Grid"},{"id":"771a5519-dbb8-433a-94c0-9a82f8882609","type":"LinearAxis"},{"id":"b033595e-c5c9-4a0b-8101-cb9267367990","type":"Grid"},{"id":"1945d4c3-39e4-4cf0-8e46-fc0b6dce493b","type":"GlyphRenderer"}],"title":{"id":"5044495d-3357-4c1b-aede-c94d890b7424","type":"Title"},"toolbar":{"id":"1fd35b7a-7418-4074-b3fc-73db71096ff6","type":"Toolbar"},"x_range":{"id":"becc1c39-c2cc-47c8-867e-5ec653df9bae","type":"DataRange1d"},"x_scale":{"id":"da5d745c-efcd-49d0-ba61-cc1d2e1d3a1a","type":"LinearScale"},"y_range":{"id":"5bf52ebc-3d6a-4d28-8d21-8264effe3be1","type":"DataRange1d"},"y_scale":{"id":"41bcb41b-6793-499c-a49a-bb1058d3432c","type":"LinearScale"}},"id":"43178df4-40ec-4be4-9e9c-f32150fab043","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"265c87c9-96dc-45f4-b8d0-d04ca8f750de","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2.5,3,2],"y":[2,3,1,1.5]}},"id":"502cd60c-f3fb-4dd5-bad7-176642b5f9f0","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"5bf52ebc-3d6a-4d28-8d21-8264effe3be1","type":"DataRange1d"},{"attributes":{},"id":"4b4193c3-cf9e-4262-8557-9fb63b61dd49","type":"BasicTicker"},{"attributes":{},"id":"da5d745c-efcd-49d0-ba61-cc1d2e1d3a1a","type":"LinearScale"},{"attributes":{},"id":"41bcb41b-6793-499c-a49a-bb1058d3432c","type":"LinearScale"},{"attributes":{"source":{"id":"502cd60c-f3fb-4dd5-bad7-176642b5f9f0","type":"ColumnDataSource"}},"id":"e6caf0a8-a914-443f-8562-94e9a7efe45f","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"5044495d-3357-4c1b-aede-c94d890b7424","type":"Title"},{"attributes":{},"id":"b2958b5e-5b98-44e0-b803-bcf04dcd069c","type":"BasicTicker"},{"attributes":{},"id":"2d2609ff-ca73-47b0-9621-2f133820ab47","type":"BasicTickFormatter"},{"attributes":{},"id":"236db716-bd30-4ed9-a3e8-299c45b6213e","type":"SaveTool"}],"root_ids":["43178df4-40ec-4be4-9e9c-f32150fab043"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d4c87b5d-939b-4c58-978f-226ae62273cf","elementid":"ef6d10ac-e3f9-4cc2-8806-3aac7777883e","modelid":"43178df4-40ec-4be4-9e9c-f32150fab043"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
