(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d84a18e0-9b7f-4631-a474-d6e78b05c20c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd84a18e0-9b7f-4631-a474-d6e78b05c20c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"39c6c1e6-74e6-476c-b8c2-59901f30bd28":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"0733a7f3-5c53-499d-9c19-150746fa779e","type":"PolyAnnotation"},{"attributes":{"source":{"id":"c8c0ed39-048d-4c76-a591-638860cc7d68","type":"ColumnDataSource"}},"id":"6d782e2a-fe3c-41a2-b11e-4f4f72413f0c","type":"CDSView"},{"attributes":{"formatter":{"id":"43ebf920-7483-4a45-a1a4-8b8f4d111ea6","type":"BasicTickFormatter"},"plot":{"id":"1b689d9e-0cbf-488b-845a-d86b9108c6cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"cbd3636e-e4ac-4f9d-83b9-3a63ca1e6629","type":"BasicTicker"}},"id":"93abe1b7-c14c-4c8f-b6b6-3e0185fe2c8d","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"288a6841-ae83-488c-8386-9cc9066c741f","type":"BoxAnnotation"},"renderers":[{"id":"537e1517-282e-4006-8426-f4209c8245f8","type":"GlyphRenderer"}]},"id":"8dbec220-3436-44d2-98fe-008656f792ce","type":"BoxSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"0733a7f3-5c53-499d-9c19-150746fa779e","type":"PolyAnnotation"}},"id":"27518f92-2d5e-4321-9768-acb8e3a2c5f4","type":"LassoSelectTool"},{"attributes":{},"id":"c8bd2e7c-2682-4232-8249-3ab31e4fd133","type":"BasicTickFormatter"},{"attributes":{},"id":"8187b59c-dc02-4d61-9b7e-b6b1f9e8fcdc","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c8bd2e7c-2682-4232-8249-3ab31e4fd133","type":"BasicTickFormatter"},"plot":{"id":"1968d2e7-96f6-483d-9bc0-5eeea4c97e7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"8187b59c-dc02-4d61-9b7e-b6b1f9e8fcdc","type":"BasicTicker"}},"id":"fd68b6bd-18c7-4c0d-afe2-c74248ff5383","type":"LinearAxis"},{"attributes":{},"id":"3b68d765-33d5-4169-a5f8-89a4f72f5836","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"c8c0ed39-048d-4c76-a591-638860cc7d68","type":"ColumnDataSource"},"glyph":{"id":"f9ef56a1-ea4a-4f51-8607-2fa1719883fd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"66fe2939-399d-44a4-8853-49de79f1c1eb","type":"Circle"},"selection_glyph":null,"view":{"id":"6d782e2a-fe3c-41a2-b11e-4f4f72413f0c","type":"CDSView"}},"id":"97b75995-8115-493f-bd6f-923c1ed03c0c","type":"GlyphRenderer"},{"attributes":{"callback":null,"overlay":{"id":"20acb0d7-5ce6-4233-b559-40a9f500af6f","type":"BoxAnnotation"},"renderers":[{"id":"97b75995-8115-493f-bd6f-923c1ed03c0c","type":"GlyphRenderer"}]},"id":"18b4d102-7170-434e-bb10-236f11d63f4a","type":"BoxSelectTool"},{"attributes":{"children":[{"id":"1968d2e7-96f6-483d-9bc0-5eeea4c97e7c","subtype":"Figure","type":"Plot"},{"id":"1b689d9e-0cbf-488b-845a-d86b9108c6cd","subtype":"Figure","type":"Plot"}]},"id":"b238f0a8-0ac1-47af-bfdf-4e72d69de8a5","type":"Row"},{"attributes":{"formatter":{"id":"3b68d765-33d5-4169-a5f8-89a4f72f5836","type":"BasicTickFormatter"},"plot":{"id":"1b689d9e-0cbf-488b-845a-d86b9108c6cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"836d7bab-d67d-4214-94a7-3a6b093204bd","type":"BasicTicker"}},"id":"31afea38-61a0-4569-a053-99acdbeeaf92","type":"LinearAxis"},{"attributes":{"data_source":{"id":"c8c0ed39-048d-4c76-a591-638860cc7d68","type":"ColumnDataSource"},"glyph":{"id":"a212ca46-c7f9-443c-a080-911a039fb5b1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8eaec0e9-2c4e-4c5b-a089-2a7625bf5988","type":"Circle"},"selection_glyph":null,"view":{"id":"dca53f8c-7c9f-4d2d-bdb5-7d27f346e4a4","type":"CDSView"}},"id":"537e1517-282e-4006-8426-f4209c8245f8","type":"GlyphRenderer"},{"attributes":{},"id":"0f1b47e3-db8e-479e-9fa7-ee57d28b6be1","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"1b689d9e-0cbf-488b-845a-d86b9108c6cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"cbd3636e-e4ac-4f9d-83b9-3a63ca1e6629","type":"BasicTicker"}},"id":"bbb4f5fe-243f-4847-8cbe-3312ef0d996c","type":"Grid"},{"attributes":{"source":{"id":"c8c0ed39-048d-4c76-a591-638860cc7d68","type":"ColumnDataSource"}},"id":"dca53f8c-7c9f-4d2d-bdb5-7d27f346e4a4","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"20acb0d7-5ce6-4233-b559-40a9f500af6f","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"18b4d102-7170-434e-bb10-236f11d63f4a","type":"BoxSelectTool"},{"id":"27518f92-2d5e-4321-9768-acb8e3a2c5f4","type":"LassoSelectTool"},{"id":"0f1b47e3-db8e-479e-9fa7-ee57d28b6be1","type":"HelpTool"}]},"id":"ddb51362-ad45-4ab5-ac2c-ad71360436e5","type":"Toolbar"},{"attributes":{},"id":"4943a92c-94f0-4d38-9acb-2fa78466dade","type":"LinearScale"},{"attributes":{},"id":"d760b248-3f0a-4098-90dd-19a3b7338328","type":"HelpTool"},{"attributes":{"plot":{"id":"1968d2e7-96f6-483d-9bc0-5eeea4c97e7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3a3152c-d182-4949-8add-b13fa93c9ed7","type":"BasicTicker"}},"id":"05bd6214-c80e-4111-9159-2748472f80bf","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8dbec220-3436-44d2-98fe-008656f792ce","type":"BoxSelectTool"},{"id":"dd988f2f-2604-4c9e-80ae-fda00fbf8c53","type":"LassoSelectTool"},{"id":"d760b248-3f0a-4098-90dd-19a3b7338328","type":"HelpTool"}]},"id":"4bb58b7b-71f0-44ec-810f-88e1aef4008b","type":"Toolbar"},{"attributes":{"callback":null},"id":"32b0dbad-1b64-4a42-be6f-2a65320c244a","type":"DataRange1d"},{"attributes":{},"id":"cbd3636e-e4ac-4f9d-83b9-3a63ca1e6629","type":"BasicTicker"},{"attributes":{"callback":null},"id":"60332450-d1d0-4d86-9114-243051cb66c7","type":"DataRange1d"},{"attributes":{"children":[{"id":"b238f0a8-0ac1-47af-bfdf-4e72d69de8a5","type":"Row"}]},"id":"b3a2d668-f3cf-4e3a-a8e1-e71d16a16bd9","type":"Column"},{"attributes":{"formatter":{"id":"1d426393-bf79-4148-9112-f521a9f88847","type":"BasicTickFormatter"},"plot":{"id":"1968d2e7-96f6-483d-9bc0-5eeea4c97e7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3a3152c-d182-4949-8add-b13fa93c9ed7","type":"BasicTicker"}},"id":"9622ba08-6019-4a6c-ae42-4381eca57315","type":"LinearAxis"},{"attributes":{"callback":null},"id":"05c52909-6982-4d8a-bdfb-371b0b5f60f4","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"1118a923-582e-415c-a765-9bf39556a248","type":"PolyAnnotation"}},"id":"dd988f2f-2604-4c9e-80ae-fda00fbf8c53","type":"LassoSelectTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"1118a923-582e-415c-a765-9bf39556a248","type":"PolyAnnotation"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"18b4d102-7170-434e-bb10-236f11d63f4a","type":"BoxSelectTool"},{"id":"27518f92-2d5e-4321-9768-acb8e3a2c5f4","type":"LassoSelectTool"},{"id":"0f1b47e3-db8e-479e-9fa7-ee57d28b6be1","type":"HelpTool"},{"id":"8dbec220-3436-44d2-98fe-008656f792ce","type":"BoxSelectTool"},{"id":"dd988f2f-2604-4c9e-80ae-fda00fbf8c53","type":"LassoSelectTool"},{"id":"d760b248-3f0a-4098-90dd-19a3b7338328","type":"HelpTool"}]},"id":"fec235fa-395a-4311-a824-5014810294a5","type":"ToolbarBox"},{"attributes":{},"id":"f3a3152c-d182-4949-8add-b13fa93c9ed7","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"66fe2939-399d-44a4-8853-49de79f1c1eb","type":"Circle"},{"attributes":{},"id":"43ebf920-7483-4a45-a1a4-8b8f4d111ea6","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"8eaec0e9-2c4e-4c5b-a089-2a7625bf5988","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"1968d2e7-96f6-483d-9bc0-5eeea4c97e7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"8187b59c-dc02-4d61-9b7e-b6b1f9e8fcdc","type":"BasicTicker"}},"id":"29bc1d7d-ca72-4a38-a8ff-aa537d7a2453","type":"Grid"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"c8c0ed39-048d-4c76-a591-638860cc7d68","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"31afea38-61a0-4569-a053-99acdbeeaf92","type":"LinearAxis"}],"left":[{"id":"93abe1b7-c14c-4c8f-b6b6-3e0185fe2c8d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"31afea38-61a0-4569-a053-99acdbeeaf92","type":"LinearAxis"},{"id":"6823a62e-ea23-4178-a534-e6c840d362ea","type":"Grid"},{"id":"93abe1b7-c14c-4c8f-b6b6-3e0185fe2c8d","type":"LinearAxis"},{"id":"bbb4f5fe-243f-4847-8cbe-3312ef0d996c","type":"Grid"},{"id":"288a6841-ae83-488c-8386-9cc9066c741f","type":"BoxAnnotation"},{"id":"1118a923-582e-415c-a765-9bf39556a248","type":"PolyAnnotation"},{"id":"537e1517-282e-4006-8426-f4209c8245f8","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"4bb58b7b-71f0-44ec-810f-88e1aef4008b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"32b0dbad-1b64-4a42-be6f-2a65320c244a","type":"DataRange1d"},"x_scale":{"id":"d116f69e-bd48-457d-aa53-b98cb465c058","type":"LinearScale"},"y_range":{"id":"05c52909-6982-4d8a-bdfb-371b0b5f60f4","type":"DataRange1d"},"y_scale":{"id":"4943a92c-94f0-4d38-9acb-2fa78466dade","type":"LinearScale"}},"id":"1b689d9e-0cbf-488b-845a-d86b9108c6cd","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"1b689d9e-0cbf-488b-845a-d86b9108c6cd","subtype":"Figure","type":"Plot"},"ticker":{"id":"836d7bab-d67d-4214-94a7-3a6b093204bd","type":"BasicTicker"}},"id":"6823a62e-ea23-4178-a534-e6c840d362ea","type":"Grid"},{"attributes":{},"id":"a6ff5c3d-fb84-4157-ac83-ecc650534d73","type":"LinearScale"},{"attributes":{"children":[{"id":"fec235fa-395a-4311-a824-5014810294a5","type":"ToolbarBox"},{"id":"b3a2d668-f3cf-4e3a-a8e1-e71d16a16bd9","type":"Column"}]},"id":"532fb971-de32-40db-aabb-8a5a8901c836","type":"Column"},{"attributes":{"below":[{"id":"9622ba08-6019-4a6c-ae42-4381eca57315","type":"LinearAxis"}],"left":[{"id":"fd68b6bd-18c7-4c0d-afe2-c74248ff5383","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"9622ba08-6019-4a6c-ae42-4381eca57315","type":"LinearAxis"},{"id":"05bd6214-c80e-4111-9159-2748472f80bf","type":"Grid"},{"id":"fd68b6bd-18c7-4c0d-afe2-c74248ff5383","type":"LinearAxis"},{"id":"29bc1d7d-ca72-4a38-a8ff-aa537d7a2453","type":"Grid"},{"id":"20acb0d7-5ce6-4233-b559-40a9f500af6f","type":"BoxAnnotation"},{"id":"0733a7f3-5c53-499d-9c19-150746fa779e","type":"PolyAnnotation"},{"id":"97b75995-8115-493f-bd6f-923c1ed03c0c","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"ddb51362-ad45-4ab5-ac2c-ad71360436e5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"60332450-d1d0-4d86-9114-243051cb66c7","type":"DataRange1d"},"x_scale":{"id":"a6ff5c3d-fb84-4157-ac83-ecc650534d73","type":"LinearScale"},"y_range":{"id":"ea89444c-269a-4f16-9a47-4ee60d5f0f10","type":"DataRange1d"},"y_scale":{"id":"6017cae2-c551-401d-a5a7-d9072cbbbfe1","type":"LinearScale"}},"id":"1968d2e7-96f6-483d-9bc0-5eeea4c97e7c","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"288a6841-ae83-488c-8386-9cc9066c741f","type":"BoxAnnotation"},{"attributes":{},"id":"6017cae2-c551-401d-a5a7-d9072cbbbfe1","type":"LinearScale"},{"attributes":{"callback":null},"id":"ea89444c-269a-4f16-9a47-4ee60d5f0f10","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"f9ef56a1-ea4a-4f51-8607-2fa1719883fd","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"a212ca46-c7f9-443c-a080-911a039fb5b1","type":"Circle"},{"attributes":{},"id":"d116f69e-bd48-457d-aa53-b98cb465c058","type":"LinearScale"},{"attributes":{},"id":"836d7bab-d67d-4214-94a7-3a6b093204bd","type":"BasicTicker"},{"attributes":{},"id":"1d426393-bf79-4148-9112-f521a9f88847","type":"BasicTickFormatter"}],"root_ids":["532fb971-de32-40db-aabb-8a5a8901c836"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"39c6c1e6-74e6-476c-b8c2-59901f30bd28","elementid":"d84a18e0-9b7f-4631-a474-d6e78b05c20c","modelid":"532fb971-de32-40db-aabb-8a5a8901c836"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
