(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("946b5673-fa54-4c5c-b9ac-d0208363bab2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '946b5673-fa54-4c5c-b9ac-d0208363bab2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"beaae9b4-ead6-43d4-8e8c-87127e7d0834":{"roots":{"references":[{"attributes":{},"id":"72086f25-af6f-43b9-bc03-d13a831f6fc6","type":"LinearScale"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7918ed7d-ba68-4b20-af8f-855186f54b35","type":"Circle"},{"attributes":{"callback":null,"overlay":{"id":"3aad0e2c-73cd-40a7-be74-043f9e8e2cf1","type":"BoxAnnotation"},"renderers":[{"id":"aad79d0b-6ec3-47c1-a5f4-a92326b68d75","type":"GlyphRenderer"}]},"id":"42d58e7c-40ad-49dd-a897-8a5af9cd72b9","type":"BoxSelectTool"},{"attributes":{"children":[{"id":"4ce65981-cdf9-49e8-9bb9-d97a2b8567ce","type":"Row"}]},"id":"4ac9eadc-1f00-4172-b264-d60b461e4432","type":"Column"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8f115ec5-c80c-451f-a255-c4c3178670c1","type":"Circle"},{"attributes":{},"id":"370e3a30-666b-4b11-bfdd-0932ed8c3a79","type":"ResetTool"},{"attributes":{"below":[{"id":"f5fb4300-54f3-46a0-be09-b66e190c6793","type":"LinearAxis"}],"left":[{"id":"6bbd9257-76c5-49a9-997f-f6513eb44786","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"f5fb4300-54f3-46a0-be09-b66e190c6793","type":"LinearAxis"},{"id":"82334891-df0b-4c66-a0e6-a2c87c837086","type":"Grid"},{"id":"6bbd9257-76c5-49a9-997f-f6513eb44786","type":"LinearAxis"},{"id":"0793833b-22af-451f-a9b8-ba89a1dfaef8","type":"Grid"},{"id":"adb2d60a-5cff-4cca-9ef0-ae592022e514","type":"BoxAnnotation"},{"id":"0f890bd2-8621-4737-b5b0-1afe7ab8937a","type":"GlyphRenderer"}],"title":{"id":"265a1c56-bc11-493c-9285-f40709cf131d","type":"Title"},"toolbar":{"id":"90611bef-cf1d-47c5-8e95-be7ce2258b3c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"68ac12c9-27db-47ae-a1ab-650fcde6754c","type":"DataRange1d"},"x_scale":{"id":"72086f25-af6f-43b9-bc03-d13a831f6fc6","type":"LinearScale"},"y_range":{"id":"117aafc5-56ca-49b6-b5fc-38652432d170","type":"DataRange1d"},"y_scale":{"id":"e6ff5a4a-4fff-4f38-b937-430f0f7d19c5","type":"LinearScale"}},"id":"ddb5cbf1-b4d1-4349-a0d9-1ae899d372c9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"110c7df2-02f5-4e26-b981-3c1b767403c8","type":"BasicTicker"},{"attributes":{"children":[{"id":"b1145363-bb4a-4e04-b198-7601ee94cdc4","type":"ToolbarBox"},{"id":"4ac9eadc-1f00-4172-b264-d60b461e4432","type":"Column"}]},"id":"8a633533-0785-45ec-9c95-771f6fcee208","type":"Column"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"39a60e3b-53f0-4c20-b2ca-4de7eddbb880","type":"Circle"},{"attributes":{},"id":"cb42b0ff-9f5d-4fbb-a8a9-9b13f471d283","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ecb17e88-00e4-44fe-be13-93c163562436","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"ddb5cbf1-b4d1-4349-a0d9-1ae899d372c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"1f57e8c2-30f8-4fb2-a155-3a40b3157dde","type":"BasicTicker"}},"id":"0793833b-22af-451f-a9b8-ba89a1dfaef8","type":"Grid"},{"attributes":{},"id":"e6ff5a4a-4fff-4f38-b937-430f0f7d19c5","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"adb2d60a-5cff-4cca-9ef0-ae592022e514","type":"BoxAnnotation"},"renderers":[{"id":"0f890bd2-8621-4737-b5b0-1afe7ab8937a","type":"GlyphRenderer"}]},"id":"23539d1c-35fb-417e-8946-f2d59baa12ba","type":"BoxSelectTool"},{"attributes":{},"id":"1f57e8c2-30f8-4fb2-a155-3a40b3157dde","type":"BasicTicker"},{"attributes":{"callback":null},"id":"68ac12c9-27db-47ae-a1ab-650fcde6754c","type":"DataRange1d"},{"attributes":{"below":[{"id":"9c178003-6310-49b8-ab9c-8431a3e02b91","type":"LinearAxis"}],"left":[{"id":"550e1335-54a2-4c33-878d-8979de3274b5","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"9c178003-6310-49b8-ab9c-8431a3e02b91","type":"LinearAxis"},{"id":"37454951-20b6-448c-aacf-de1d05582e52","type":"Grid"},{"id":"550e1335-54a2-4c33-878d-8979de3274b5","type":"LinearAxis"},{"id":"9e679a16-9864-42d3-9b9b-f63d079c875a","type":"Grid"},{"id":"3aad0e2c-73cd-40a7-be74-043f9e8e2cf1","type":"BoxAnnotation"},{"id":"aad79d0b-6ec3-47c1-a5f4-a92326b68d75","type":"GlyphRenderer"}],"title":{"id":"a0b812fc-f812-46dc-a2cf-ee8723b52e8f","type":"Title"},"toolbar":{"id":"dbf5e732-05f4-4e3a-8e97-28f6d4a5f99d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a8f23da2-afff-4177-a15a-692f2d0805a7","type":"DataRange1d"},"x_scale":{"id":"a19833ee-4771-4255-be82-85b841ae01d4","type":"LinearScale"},"y_range":{"id":"0be0ded9-1e64-4249-9358-e032ad5115af","type":"DataRange1d"},"y_scale":{"id":"ce4bf217-706e-4292-9c92-e3982946a7bd","type":"LinearScale"}},"id":"95ac1c44-9c0c-41f9-a54e-0de5837377fe","subtype":"Figure","type":"Plot"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"23539d1c-35fb-417e-8946-f2d59baa12ba","type":"BoxSelectTool"},{"id":"3b65f065-7cb7-4463-969e-2b21a86f7d4c","type":"HoverTool"},{"id":"915a3622-18bd-45e4-8af6-da6fb74c09c1","type":"ResetTool"},{"id":"42d58e7c-40ad-49dd-a897-8a5af9cd72b9","type":"BoxSelectTool"},{"id":"5138f3b3-7574-4b13-a276-70b7b0379ccc","type":"HoverTool"},{"id":"370e3a30-666b-4b11-bfdd-0932ed8c3a79","type":"ResetTool"}]},"id":"b1145363-bb4a-4e04-b198-7601ee94cdc4","type":"ToolbarBox"},{"attributes":{"plot":{"id":"95ac1c44-9c0c-41f9-a54e-0de5837377fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"9462dd70-ccc2-4b07-95c6-2bdc331ac360","type":"BasicTicker"}},"id":"37454951-20b6-448c-aacf-de1d05582e52","type":"Grid"},{"attributes":{"data_source":{"id":"ce7c8a65-45e3-48d7-b454-647e3600bd6b","type":"ColumnDataSource"},"glyph":{"id":"8a7e8702-5ae9-454d-9818-d7aba668d45e","type":"Circle"},"hover_glyph":{"id":"b022d81c-9a65-4de5-9f5b-8953b4dd65d5","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"ecb17e88-00e4-44fe-be13-93c163562436","type":"Circle"},"selection_glyph":null,"view":{"id":"2e40d1d4-77b7-47f8-ad30-d0dbfdbf2b93","type":"CDSView"}},"id":"0f890bd2-8621-4737-b5b0-1afe7ab8937a","type":"GlyphRenderer"},{"attributes":{"source":{"id":"ce7c8a65-45e3-48d7-b454-647e3600bd6b","type":"ColumnDataSource"}},"id":"2e40d1d4-77b7-47f8-ad30-d0dbfdbf2b93","type":"CDSView"},{"attributes":{"data_source":{"id":"ce7c8a65-45e3-48d7-b454-647e3600bd6b","type":"ColumnDataSource"},"glyph":{"id":"8f115ec5-c80c-451f-a255-c4c3178670c1","type":"Circle"},"hover_glyph":{"id":"7918ed7d-ba68-4b20-af8f-855186f54b35","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"39a60e3b-53f0-4c20-b2ca-4de7eddbb880","type":"Circle"},"selection_glyph":null,"view":{"id":"571e75f7-067b-4b94-8fa7-fa45f7f29720","type":"CDSView"}},"id":"aad79d0b-6ec3-47c1-a5f4-a92326b68d75","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"265a1c56-bc11-493c-9285-f40709cf131d","type":"Title"},{"attributes":{},"id":"b8feb839-047e-4243-8565-83c06740d3bd","type":"BasicTicker"},{"attributes":{"callback":null},"id":"0be0ded9-1e64-4249-9358-e032ad5115af","type":"DataRange1d"},{"attributes":{"indices":[0,2,4]},"id":"db1e1017-56c0-419e-be42-1c5c613d8bf2","type":"IndexFilter"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b022d81c-9a65-4de5-9f5b-8953b4dd65d5","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"adb2d60a-5cff-4cca-9ef0-ae592022e514","type":"BoxAnnotation"},{"attributes":{},"id":"4113da84-6119-45ec-b272-4ad38bf37438","type":"BasicTickFormatter"},{"attributes":{},"id":"9462dd70-ccc2-4b07-95c6-2bdc331ac360","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"95ac1c44-9c0c-41f9-a54e-0de5837377fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8feb839-047e-4243-8565-83c06740d3bd","type":"BasicTicker"}},"id":"9e679a16-9864-42d3-9b9b-f63d079c875a","type":"Grid"},{"attributes":{"formatter":{"id":"ebadd4a6-f69a-48e7-81aa-a162e28bc78a","type":"BasicTickFormatter"},"plot":{"id":"ddb5cbf1-b4d1-4349-a0d9-1ae899d372c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"110c7df2-02f5-4e26-b981-3c1b767403c8","type":"BasicTicker"}},"id":"f5fb4300-54f3-46a0-be09-b66e190c6793","type":"LinearAxis"},{"attributes":{"callback":null},"id":"3b65f065-7cb7-4463-969e-2b21a86f7d4c","type":"HoverTool"},{"attributes":{"plot":{"id":"ddb5cbf1-b4d1-4349-a0d9-1ae899d372c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"110c7df2-02f5-4e26-b981-3c1b767403c8","type":"BasicTicker"}},"id":"82334891-df0b-4c66-a0e6-a2c87c837086","type":"Grid"},{"attributes":{},"id":"915a3622-18bd-45e4-8af6-da6fb74c09c1","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"a0b812fc-f812-46dc-a2cf-ee8723b52e8f","type":"Title"},{"attributes":{"callback":null},"id":"5138f3b3-7574-4b13-a276-70b7b0379ccc","type":"HoverTool"},{"attributes":{"formatter":{"id":"4113da84-6119-45ec-b272-4ad38bf37438","type":"BasicTickFormatter"},"plot":{"id":"ddb5cbf1-b4d1-4349-a0d9-1ae899d372c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"1f57e8c2-30f8-4fb2-a155-3a40b3157dde","type":"BasicTicker"}},"id":"6bbd9257-76c5-49a9-997f-f6513eb44786","type":"LinearAxis"},{"attributes":{"formatter":{"id":"fcda8235-fedd-4c83-a63e-5b080da67487","type":"BasicTickFormatter"},"plot":{"id":"95ac1c44-9c0c-41f9-a54e-0de5837377fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"9462dd70-ccc2-4b07-95c6-2bdc331ac360","type":"BasicTicker"}},"id":"9c178003-6310-49b8-ab9c-8431a3e02b91","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3aad0e2c-73cd-40a7-be74-043f9e8e2cf1","type":"BoxAnnotation"},{"attributes":{},"id":"a19833ee-4771-4255-be82-85b841ae01d4","type":"LinearScale"},{"attributes":{"callback":null},"id":"117aafc5-56ca-49b6-b5fc-38652432d170","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"42d58e7c-40ad-49dd-a897-8a5af9cd72b9","type":"BoxSelectTool"},{"id":"5138f3b3-7574-4b13-a276-70b7b0379ccc","type":"HoverTool"},{"id":"370e3a30-666b-4b11-bfdd-0932ed8c3a79","type":"ResetTool"}]},"id":"dbf5e732-05f4-4e3a-8e97-28f6d4a5f99d","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8a7e8702-5ae9-454d-9818-d7aba668d45e","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[1,2,3,4,5]}},"id":"ce7c8a65-45e3-48d7-b454-647e3600bd6b","type":"ColumnDataSource"},{"attributes":{"filters":[{"id":"db1e1017-56c0-419e-be42-1c5c613d8bf2","type":"IndexFilter"}],"source":{"id":"ce7c8a65-45e3-48d7-b454-647e3600bd6b","type":"ColumnDataSource"}},"id":"571e75f7-067b-4b94-8fa7-fa45f7f29720","type":"CDSView"},{"attributes":{"callback":null},"id":"a8f23da2-afff-4177-a15a-692f2d0805a7","type":"DataRange1d"},{"attributes":{},"id":"ce4bf217-706e-4292-9c92-e3982946a7bd","type":"LinearScale"},{"attributes":{},"id":"fcda8235-fedd-4c83-a63e-5b080da67487","type":"BasicTickFormatter"},{"attributes":{},"id":"ebadd4a6-f69a-48e7-81aa-a162e28bc78a","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"cb42b0ff-9f5d-4fbb-a8a9-9b13f471d283","type":"BasicTickFormatter"},"plot":{"id":"95ac1c44-9c0c-41f9-a54e-0de5837377fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8feb839-047e-4243-8565-83c06740d3bd","type":"BasicTicker"}},"id":"550e1335-54a2-4c33-878d-8979de3274b5","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"23539d1c-35fb-417e-8946-f2d59baa12ba","type":"BoxSelectTool"},{"id":"3b65f065-7cb7-4463-969e-2b21a86f7d4c","type":"HoverTool"},{"id":"915a3622-18bd-45e4-8af6-da6fb74c09c1","type":"ResetTool"}]},"id":"90611bef-cf1d-47c5-8e95-be7ce2258b3c","type":"Toolbar"},{"attributes":{"children":[{"id":"ddb5cbf1-b4d1-4349-a0d9-1ae899d372c9","subtype":"Figure","type":"Plot"},{"id":"95ac1c44-9c0c-41f9-a54e-0de5837377fe","subtype":"Figure","type":"Plot"}]},"id":"4ce65981-cdf9-49e8-9bb9-d97a2b8567ce","type":"Row"}],"root_ids":["8a633533-0785-45ec-9c95-771f6fcee208"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"beaae9b4-ead6-43d4-8e8c-87127e7d0834","elementid":"946b5673-fa54-4c5c-b9ac-d0208363bab2","modelid":"8a633533-0785-45ec-9c95-771f6fcee208"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
