(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("15ccc2a7-01bb-4c04-ad11-02eb2e410413");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '15ccc2a7-01bb-4c04-ad11-02eb2e410413' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"00d28cd1-3498-4b24-92da-831459603eb6":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.8},"fill_color":{"value":"blue"},"line_color":{"value":null},"size":{"units":"screen","value":15},"x":{"field":"lon"},"y":{"field":"lat"}},"id":"3f9847d3-7f72-4df6-93e0-4f0e744aa6cc","type":"Circle"},{"attributes":{"data_source":{"id":"3a1fcef4-af15-4ff0-9984-0a3f3cbffc8e","type":"ColumnDataSource"},"glyph":{"id":"3f9847d3-7f72-4df6-93e0-4f0e744aa6cc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"85d75e1b-ca34-42d5-bc1e-dc93a2e3ae5c","type":"CDSView"}},"id":"a18b3779-dd50-4a64-85ad-30d0ed2eb377","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"67f4c43f-c6ea-4e4f-9d92-aed103c6204c","type":"PanTool"},{"id":"24197d8f-0ec6-47d7-af99-1f6ef74cb3ea","type":"WheelZoomTool"},{"id":"2ef4b5b1-2fb9-41ee-b891-35c5e3f57a1c","type":"BoxSelectTool"}]},"id":"b5272112-0030-4491-b02a-7185cfeeed50","type":"Toolbar"},{"attributes":{},"id":"67f4c43f-c6ea-4e4f-9d92-aed103c6204c","type":"PanTool"},{"attributes":{"source":{"id":"3a1fcef4-af15-4ff0-9984-0a3f3cbffc8e","type":"ColumnDataSource"}},"id":"85d75e1b-ca34-42d5-bc1e-dc93a2e3ae5c","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a8493428-0dda-4784-a805-9767da7f1723","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"79349fcc-cb19-4d3d-a216-e773560e360c","type":"DataRange1d"},{"attributes":{"callback":null},"id":"a9aae9e4-d86e-4552-84f8-d735e5192bb7","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"a8493428-0dda-4784-a805-9767da7f1723","type":"BoxAnnotation"}},"id":"2ef4b5b1-2fb9-41ee-b891-35c5e3f57a1c","type":"BoxSelectTool"},{"attributes":{"api_key":"MISSING_API_KEY","map_options":{"id":"de306bf2-624f-49de-8dfc-f4be9075327a","type":"GMapOptions"},"renderers":[{"id":"a18b3779-dd50-4a64-85ad-30d0ed2eb377","type":"GlyphRenderer"},{"id":"a8493428-0dda-4784-a805-9767da7f1723","type":"BoxAnnotation"}],"title":{"id":"fecb06d4-37e1-40df-b668-b6ef3688a6d0","type":"Title"},"toolbar":{"id":"b5272112-0030-4491-b02a-7185cfeeed50","type":"Toolbar"},"x_range":{"id":"79349fcc-cb19-4d3d-a216-e773560e360c","type":"DataRange1d"},"x_scale":{"id":"1fc5d806-7f6f-4775-9811-d9105d223309","type":"LinearScale"},"y_range":{"id":"a9aae9e4-d86e-4552-84f8-d735e5192bb7","type":"DataRange1d"},"y_scale":{"id":"28afb1c7-ef66-4350-8933-163fca71a2ea","type":"LinearScale"}},"id":"e59df6c0-57da-4aa9-88f7-18bc189c6c02","type":"GMapPlot"},{"attributes":{"plot":null,"text":"Austin"},"id":"fecb06d4-37e1-40df-b668-b6ef3688a6d0","type":"Title"},{"attributes":{},"id":"1fc5d806-7f6f-4775-9811-d9105d223309","type":"LinearScale"},{"attributes":{"lat":30.29,"lng":-97.73,"zoom":11},"id":"de306bf2-624f-49de-8dfc-f4be9075327a","type":"GMapOptions"},{"attributes":{},"id":"24197d8f-0ec6-47d7-af99-1f6ef74cb3ea","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["lat","lon"],"data":{"lat":[30.29,30.2,30.29],"lon":[-97.7,-97.74,-97.78]}},"id":"3a1fcef4-af15-4ff0-9984-0a3f3cbffc8e","type":"ColumnDataSource"},{"attributes":{},"id":"28afb1c7-ef66-4350-8933-163fca71a2ea","type":"LinearScale"}],"root_ids":["e59df6c0-57da-4aa9-88f7-18bc189c6c02"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"00d28cd1-3498-4b24-92da-831459603eb6","elementid":"15ccc2a7-01bb-4c04-ad11-02eb2e410413","modelid":"e59df6c0-57da-4aa9-88f7-18bc189c6c02"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
