(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3d5f616a-a66b-444f-a57c-c6ddfe50f7ca");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3d5f616a-a66b-444f-a57c-c6ddfe50f7ca' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"55a10009-b530-4edd-8f44-6fd8030a4805":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"18a554d8-b0dc-40d2-8fed-44b05bc14cb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a659d0f-ef23-4897-b293-9708e4f894e3","type":"BasicTicker"}},"id":"91166e65-981f-4be9-b7e4-5a1669f5cd3d","type":"Grid"},{"attributes":{"formatter":{"id":"4fd8efcc-9684-4ccd-a879-b85e61d27fa7","type":"BasicTickFormatter"},"plot":{"id":"18a554d8-b0dc-40d2-8fed-44b05bc14cb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"301719c4-c438-42a1-bf5e-940d34b49251","type":"BasicTicker"},"visible":false},"id":"9f540bea-dff7-4c3d-8bb1-2c9c984140c9","type":"LinearAxis"},{"attributes":{},"id":"b1b6dc9d-2b83-474b-99fb-1d0e9f692b8b","type":"WheelZoomTool"},{"attributes":{},"id":"61fa8e24-0044-4b31-941c-9db947569606","type":"LinearScale"},{"attributes":{"tile_source":{"id":"4ec29932-a17f-4651-bc56-0381fe16381e","type":"WMTSTileSource"}},"id":"704a7e69-6b9c-4a0f-b75b-e317a27c3dc9","type":"TileRenderer"},{"attributes":{"plot":{"id":"18a554d8-b0dc-40d2-8fed-44b05bc14cb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"301719c4-c438-42a1-bf5e-940d34b49251","type":"BasicTicker"}},"id":"aef1d643-0cc3-4119-841f-2dedb9760280","type":"Grid"},{"attributes":{},"id":"4fd8efcc-9684-4ccd-a879-b85e61d27fa7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":20000000,"start":-20000000},"id":"060bafbb-87af-4b71-b53f-9cd8f52aa1fd","type":"Range1d"},{"attributes":{"callback":null,"end":20000000,"start":-20000000},"id":"50b86c97-6eef-4101-ba8e-7bb3c18e5c1c","type":"Range1d"},{"attributes":{},"id":"02316660-73d5-4bc9-bf73-011e8dceca7f","type":"BasicTickFormatter"},{"attributes":{"attribution":"Map tiles by <a href=\"http://stamen.com\">Stamen Design</a>, under <a href=\"http://creativecommons.org/licenses/by/3.0\">CC BY 3.0</a>.Data by <a href=\"http://openstreetmap.org\">OpenStreetMap</a>, under <a href=\"http://www.openstreetmap.org/copyright\">ODbL</a>","url":"http://tile.stamen.com/toner/{Z}/{X}/{Y}.png"},"id":"4ec29932-a17f-4651-bc56-0381fe16381e","type":"WMTSTileSource"},{"attributes":{"below":[{"id":"9f540bea-dff7-4c3d-8bb1-2c9c984140c9","type":"LinearAxis"}],"left":[{"id":"2e37028a-7b43-4986-aef4-73dae0986670","type":"LinearAxis"}],"renderers":[{"id":"9f540bea-dff7-4c3d-8bb1-2c9c984140c9","type":"LinearAxis"},{"id":"aef1d643-0cc3-4119-841f-2dedb9760280","type":"Grid"},{"id":"2e37028a-7b43-4986-aef4-73dae0986670","type":"LinearAxis"},{"id":"91166e65-981f-4be9-b7e4-5a1669f5cd3d","type":"Grid"},{"id":"704a7e69-6b9c-4a0f-b75b-e317a27c3dc9","type":"TileRenderer"}],"title":{"id":"89227fa0-2f10-40ac-a445-01cab04b35c5","type":"Title"},"toolbar":{"id":"c364003d-df12-4dbd-87db-04c14edd8ab4","type":"Toolbar"},"x_range":{"id":"50b86c97-6eef-4101-ba8e-7bb3c18e5c1c","type":"Range1d"},"x_scale":{"id":"61fa8e24-0044-4b31-941c-9db947569606","type":"LinearScale"},"y_range":{"id":"060bafbb-87af-4b71-b53f-9cd8f52aa1fd","type":"Range1d"},"y_scale":{"id":"28c943d7-c537-458e-90a0-f7ef5331a80f","type":"LinearScale"}},"id":"18a554d8-b0dc-40d2-8fed-44b05bc14cb9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"28c943d7-c537-458e-90a0-f7ef5331a80f","type":"LinearScale"},{"attributes":{},"id":"1a659d0f-ef23-4897-b293-9708e4f894e3","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"20c865c5-6a46-4ddb-90e4-600363260749","type":"PanTool"},{"id":"b1b6dc9d-2b83-474b-99fb-1d0e9f692b8b","type":"WheelZoomTool"}]},"id":"c364003d-df12-4dbd-87db-04c14edd8ab4","type":"Toolbar"},{"attributes":{},"id":"20c865c5-6a46-4ddb-90e4-600363260749","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"89227fa0-2f10-40ac-a445-01cab04b35c5","type":"Title"},{"attributes":{},"id":"301719c4-c438-42a1-bf5e-940d34b49251","type":"BasicTicker"},{"attributes":{"formatter":{"id":"02316660-73d5-4bc9-bf73-011e8dceca7f","type":"BasicTickFormatter"},"plot":{"id":"18a554d8-b0dc-40d2-8fed-44b05bc14cb9","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a659d0f-ef23-4897-b293-9708e4f894e3","type":"BasicTicker"},"visible":false},"id":"2e37028a-7b43-4986-aef4-73dae0986670","type":"LinearAxis"}],"root_ids":["18a554d8-b0dc-40d2-8fed-44b05bc14cb9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"55a10009-b530-4edd-8f44-6fd8030a4805","elementid":"3d5f616a-a66b-444f-a57c-c6ddfe50f7ca","modelid":"18a554d8-b0dc-40d2-8fed-44b05bc14cb9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
