(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5fe8517f-6f79-4b8e-a6f0-eba1a6c9301b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5fe8517f-6f79-4b8e-a6f0-eba1a6c9301b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fbb1b5cb-4c85-4520-8194-af620048f011":{"roots":{"references":[{"attributes":{},"id":"bb0f9c0f-521a-4a11-bbee-ecc1efa89674","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"0934d312-73f6-4f67-addc-f219228115da","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"78c1976b-9b9a-4489-b6cd-4f552877341d","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"4bb0544e-b728-429a-96c2-bba5af0528c6","type":"BasicTickFormatter"},"plot":{"id":"e6c24ec7-00e4-4f36-991f-6acce2ade918","subtype":"Figure","type":"Plot"},"ticker":{"id":"60ff2eaa-eedb-4f0e-bc8b-00ce2e9bfdc2","type":"BasicTicker"}},"id":"f2f05cc1-f073-4731-8e7d-7ac94538041d","type":"LinearAxis"},{"attributes":{},"id":"7751000f-5028-4e95-8590-86a85b7d2b87","type":"Circle"},{"attributes":{},"id":"c721aec1-537b-4619-9f82-6360280d2b96","type":"MultiLine"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"808acfa9-c7ca-4d18-9ecb-06fe5a91dd11","type":"Range1d"},{"attributes":{},"id":"4bb0544e-b728-429a-96c2-bba5af0528c6","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"e6c24ec7-00e4-4f36-991f-6acce2ade918","subtype":"Figure","type":"Plot"},"ticker":{"id":"60ff2eaa-eedb-4f0e-bc8b-00ce2e9bfdc2","type":"BasicTicker"}},"id":"db6c31cd-808a-411b-93a6-0ae744884e91","type":"Grid"},{"attributes":{"formatter":{"id":"c00c0f34-e8b0-4754-912d-685d57a0d704","type":"BasicTickFormatter"},"plot":{"id":"e6c24ec7-00e4-4f36-991f-6acce2ade918","subtype":"Figure","type":"Plot"},"ticker":{"id":"43b63232-0e6e-46bd-b160-4adfae7a599a","type":"BasicTicker"}},"id":"7acf0d2f-df52-4292-938b-c29fa2d17240","type":"LinearAxis"},{"attributes":{},"id":"c00c0f34-e8b0-4754-912d-685d57a0d704","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Networkx Integration Demonstration"},"id":"76a1f6a5-e311-45e7-9bf1-a50e6f3378e4","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"5dc01f79-fb51-4981-98ec-7c36bb1eab2b","type":"Toolbar"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"5aaa1198-8b04-4165-956a-ed6db7d89338","type":"Range1d"},{"attributes":{},"id":"60ff2eaa-eedb-4f0e-bc8b-00ce2e9bfdc2","type":"BasicTicker"},{"attributes":{"data_source":{"id":"78c1976b-9b9a-4489-b6cd-4f552877341d","type":"ColumnDataSource"},"glyph":{"id":"7751000f-5028-4e95-8590-86a85b7d2b87","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"10f08652-fd82-40e8-9566-cd8653b651b2","type":"CDSView"}},"id":"fa8fb2a9-3aff-49ff-a8fb-c753db436112","type":"GlyphRenderer"},{"attributes":{},"id":"43b63232-0e6e-46bd-b160-4adfae7a599a","type":"BasicTicker"},{"attributes":{},"id":"75eeb13e-80ca-47a2-8d3e-de8f1bf04fc6","type":"NodesOnly"},{"attributes":{"source":{"id":"0934d312-73f6-4f67-addc-f219228115da","type":"ColumnDataSource"}},"id":"becc867b-d107-4906-9172-0f0cd4e1e041","type":"CDSView"},{"attributes":{"below":[{"id":"7acf0d2f-df52-4292-938b-c29fa2d17240","type":"LinearAxis"}],"left":[{"id":"f2f05cc1-f073-4731-8e7d-7ac94538041d","type":"LinearAxis"}],"renderers":[{"id":"7acf0d2f-df52-4292-938b-c29fa2d17240","type":"LinearAxis"},{"id":"46ab79eb-4631-42e3-bae6-c636244f91a7","type":"Grid"},{"id":"f2f05cc1-f073-4731-8e7d-7ac94538041d","type":"LinearAxis"},{"id":"db6c31cd-808a-411b-93a6-0ae744884e91","type":"Grid"},{"id":"3a520d03-2bdb-444a-a5bf-c7cc6a6ab556","type":"GraphRenderer"}],"title":{"id":"76a1f6a5-e311-45e7-9bf1-a50e6f3378e4","type":"Title"},"toolbar":{"id":"5dc01f79-fb51-4981-98ec-7c36bb1eab2b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5aaa1198-8b04-4165-956a-ed6db7d89338","type":"Range1d"},"x_scale":{"id":"bb0f9c0f-521a-4a11-bbee-ecc1efa89674","type":"LinearScale"},"y_range":{"id":"808acfa9-c7ca-4d18-9ecb-06fe5a91dd11","type":"Range1d"},"y_scale":{"id":"8e82ecf0-969f-4bbc-a451-393883099025","type":"LinearScale"}},"id":"e6c24ec7-00e4-4f36-991f-6acce2ade918","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e6c0e878-d019-44a6-917c-1aba6d4d079e","type":"NodesOnly"},{"attributes":{"edge_renderer":{"id":"c7f54d76-325e-434e-9f81-1635dd4fc189","type":"GlyphRenderer"},"inspection_policy":{"id":"75eeb13e-80ca-47a2-8d3e-de8f1bf04fc6","type":"NodesOnly"},"layout_provider":{"id":"5d313d49-9326-419f-86fd-326d346d779b","type":"StaticLayoutProvider"},"node_renderer":{"id":"fa8fb2a9-3aff-49ff-a8fb-c753db436112","type":"GlyphRenderer"},"selection_policy":{"id":"e6c0e878-d019-44a6-917c-1aba6d4d079e","type":"NodesOnly"}},"id":"3a520d03-2bdb-444a-a5bf-c7cc6a6ab556","type":"GraphRenderer"},{"attributes":{},"id":"8e82ecf0-969f-4bbc-a451-393883099025","type":"LinearScale"},{"attributes":{"graph_layout":{"0":[-0.4417916100419249,-0.2946465152331922],"1":[-0.7293027322692488,-0.05096764092237227],"10":[-0.28439751891430476,-0.9923801523960765],"11":[-0.944552319817533,-0.49564420593895275],"12":[-0.8603826303047661,0.4081903397862072],"13":[-0.4914491290464166,0.22745491990336042],"14":[0.7823489226108848,-0.1437603199025811],"15":[0.6617002384362629,-0.2986519669029385],"16":[0.44304124572425474,-0.9044788743754987],"17":[-1.0,-0.1712238634788381],"18":[0.25919403300754373,0.6808158226508223],"19":[-0.46902161297847966,-0.12039466882791428],"2":[-0.24978497675303035,0.33375148088978457],"20":[0.5143926113162449,-0.41787369167223043],"21":[-0.7999401167364164,-0.6156972581977265],"22":[0.3379925415293865,-0.3829624651422222],"23":[0.7866346021753297,0.2528076211258763],"24":[0.9045503682922955,0.37418827028907264],"25":[1.0,0.06149453011009909],"26":[0.5022037475130636,0.7736329645548641],"27":[0.4940264650677839,0.5906007093394523],"28":[0.04771277321353562,0.8042006811275011],"29":[0.6693456752555598,0.46705754294588164],"3":[-0.8383967168513708,0.17030415756147632],"30":[-0.15772313448536124,0.0722267391015714],"31":[0.3863557476245403,0.27121852896057175],"32":[0.38491097001264785,0.05420543714743342],"33":[0.22260145220870786,0.21395706291120686],"4":[-0.46045744331088734,-0.8909052205087082],"5":[0.05728365721629047,-1.0],"6":[-0.09024866494092276,-0.9156096715997025],"7":[-0.7354630070000696,0.32229053654485185],"8":[-0.02846159918167912,-0.101458816216906],"9":[-0.2777026632730524,0.7279179314361819]}},"id":"5d313d49-9326-419f-86fd-326d346d779b","type":"StaticLayoutProvider"},{"attributes":{"source":{"id":"78c1976b-9b9a-4489-b6cd-4f552877341d","type":"ColumnDataSource"}},"id":"10f08652-fd82-40e8-9566-cd8653b651b2","type":"CDSView"},{"attributes":{"plot":{"id":"e6c24ec7-00e4-4f36-991f-6acce2ade918","subtype":"Figure","type":"Plot"},"ticker":{"id":"43b63232-0e6e-46bd-b160-4adfae7a599a","type":"BasicTicker"}},"id":"46ab79eb-4631-42e3-bae6-c636244f91a7","type":"Grid"},{"attributes":{"data_source":{"id":"0934d312-73f6-4f67-addc-f219228115da","type":"ColumnDataSource"},"glyph":{"id":"c721aec1-537b-4619-9f82-6360280d2b96","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"becc867b-d107-4906-9172-0f0cd4e1e041","type":"CDSView"}},"id":"c7f54d76-325e-434e-9f81-1635dd4fc189","type":"GlyphRenderer"}],"root_ids":["e6c24ec7-00e4-4f36-991f-6acce2ade918"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fbb1b5cb-4c85-4520-8194-af620048f011","elementid":"5fe8517f-6f79-4b8e-a6f0-eba1a6c9301b","modelid":"e6c24ec7-00e4-4f36-991f-6acce2ade918"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
