(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d906d9c5-8c87-4eb8-8c28-450e76680001");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd906d9c5-8c87-4eb8-8c28-450e76680001' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"51d534d2-5db7-4648-9911-c3ed7d160707":{"roots":{"references":[{"attributes":{"callback":null,"overlay":{"id":"2378b520-79f5-4b0e-8b2d-49c4f31e3c3b","type":"BoxAnnotation"}},"id":"ac7bc97b-a4d3-403f-b04a-2457af197f18","type":"BoxSelectTool"},{"attributes":{"callback":null,"tooltips":null},"id":"3f40acdb-fc87-4573-88b6-1044a4e85ddb","type":"HoverTool"},{"attributes":{"line_alpha":{"value":0.8},"line_color":{"value":"#CCCCCC"},"line_width":{"value":5}},"id":"7d5cb34e-a43e-4629-9249-dab7bb27d741","type":"MultiLine"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2378b520-79f5-4b0e-8b2d-49c4f31e3c3b","type":"BoxAnnotation"},{"attributes":{},"id":"549430ca-978b-4356-9d69-a19ef10e5321","type":"LinearScale"},{"attributes":{"edge_renderer":{"id":"76b918e5-5bde-4d66-a2eb-72bca92e1d03","type":"GlyphRenderer"},"inspection_policy":{"id":"79a6cf51-5b5f-4e06-b60e-00aeaabac91e","type":"EdgesAndLinkedNodes"},"layout_provider":{"id":"51f5a922-1045-4a19-93ba-0c7db6a49a06","type":"StaticLayoutProvider"},"node_renderer":{"id":"6919ceb5-1e32-4c31-a774-dbb200621c4a","type":"GlyphRenderer"},"selection_policy":{"id":"52396ebe-548b-4101-9aa0-a8e4470dcb85","type":"NodesAndLinkedEdges"}},"id":"af856e2c-3e08-4935-aed1-8e86feb06a37","type":"GraphRenderer"},{"attributes":{"callback":null},"id":"f280d9b8-1a9f-4a99-b2e3-113186298d14","type":"TapTool"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.9829730996839018,0.18374951781657034],"10":[-0.2736629900720829,0.961825643172819],"11":[-0.44573835577653825,0.8951632913550623],"12":[-0.6026346363792563,0.7980172272802396],"13":[-0.739008917220659,0.6736956436465573],"14":[-0.8502171357296142,0.5264321628773557],"15":[-0.9324722294043558,0.36124166618715287],"16":[-0.9829730996839018,0.18374951781657037],"17":[-1.0,1.2246467991473532e-16],"18":[-0.9829730996839018,-0.18374951781657015],"19":[-0.9324722294043557,-0.3612416661871531],"2":[0.9324722294043558,0.3612416661871529],"20":[-0.8502171357296141,-0.5264321628773558],"21":[-0.7390089172206591,-0.6736956436465572],"22":[-0.6026346363792565,-0.7980172272802394],"23":[-0.44573835577653803,-0.8951632913550625],"24":[-0.2736629900720831,-0.961825643172819],"25":[-0.0922683594633019,-0.9957341762950346],"26":[0.09226835946330156,-0.9957341762950346],"27":[0.2736629900720828,-0.961825643172819],"28":[0.44573835577653853,-0.8951632913550622],"29":[0.6026346363792562,-0.7980172272802397],"3":[0.8502171357296142,0.5264321628773557],"30":[0.7390089172206591,-0.6736956436465571],"31":[0.850217135729614,-0.5264321628773562],"32":[0.9324722294043558,-0.361241666187153],"33":[0.9829730996839018,-0.18374951781657006],"4":[0.7390089172206591,0.6736956436465572],"5":[0.6026346363792564,0.7980172272802395],"6":[0.4457383557765383,0.8951632913550623],"7":[0.2736629900720828,0.961825643172819],"8":[0.092268359463302,0.9957341762950345],"9":[-0.09226835946330189,0.9957341762950346]}},"id":"51f5a922-1045-4a19-93ba-0c7db6a49a06","type":"StaticLayoutProvider"},{"attributes":{"fill_color":{"value":"#abdda4"},"size":{"units":"screen","value":15}},"id":"6449ea23-2b85-4446-be72-0257d7155a29","type":"Circle"},{"attributes":{"fill_color":{"value":"#2b83ba"},"size":{"units":"screen","value":15}},"id":"5e3b19df-7555-4e71-97d1-ccb9ec45baa8","type":"Circle"},{"attributes":{"plot":null,"text":"Graph Interaction Demonstration"},"id":"143c342c-fdf2-4441-8b24-a35e84d404d2","type":"Title"},{"attributes":{},"id":"ae0dcbb4-e0f5-4d39-9fbf-7462ca57437f","type":"LinearScale"},{"attributes":{},"id":"52396ebe-548b-4101-9aa0-a8e4470dcb85","type":"NodesAndLinkedEdges"},{"attributes":{"plot_height":400,"plot_width":400,"renderers":[{"id":"2378b520-79f5-4b0e-8b2d-49c4f31e3c3b","type":"BoxAnnotation"},{"id":"af856e2c-3e08-4935-aed1-8e86feb06a37","type":"GraphRenderer"}],"title":{"id":"143c342c-fdf2-4441-8b24-a35e84d404d2","type":"Title"},"toolbar":{"id":"fe27b617-e60e-4490-9df8-7a470a34f75f","type":"Toolbar"},"x_range":{"id":"8b4afcb9-b374-4c41-a12d-aced01011c81","type":"Range1d"},"x_scale":{"id":"549430ca-978b-4356-9d69-a19ef10e5321","type":"LinearScale"},"y_range":{"id":"67b07847-26d6-476e-920b-cfe9f4816dd9","type":"Range1d"},"y_scale":{"id":"ae0dcbb4-e0f5-4d39-9fbf-7462ca57437f","type":"LinearScale"}},"id":"bd8e7bd1-4f8c-4aa8-bfb0-b00a8303c650","type":"Plot"},{"attributes":{"line_color":{"value":"#fdae61"},"line_width":{"value":5}},"id":"657ed10e-4499-493d-be1f-a78f91a46d61","type":"MultiLine"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3f40acdb-fc87-4573-88b6-1044a4e85ddb","type":"HoverTool"},{"id":"f280d9b8-1a9f-4a99-b2e3-113186298d14","type":"TapTool"},{"id":"ac7bc97b-a4d3-403f-b04a-2457af197f18","type":"BoxSelectTool"}]},"id":"fe27b617-e60e-4490-9df8-7a470a34f75f","type":"Toolbar"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"67b07847-26d6-476e-920b-cfe9f4816dd9","type":"Range1d"},{"attributes":{"data_source":{"id":"37497165-1742-43e2-a68a-7b911024dee8","type":"ColumnDataSource"},"glyph":{"id":"5e3b19df-7555-4e71-97d1-ccb9ec45baa8","type":"Circle"},"hover_glyph":{"id":"6449ea23-2b85-4446-be72-0257d7155a29","type":"Circle"},"muted_glyph":null,"selection_glyph":{"id":"e8c9153d-cc9a-461a-9d12-9d237a9e3865","type":"Circle"},"view":{"id":"96f8e520-b9e5-499f-9a32-18c9386e5644","type":"CDSView"}},"id":"6919ceb5-1e32-4c31-a774-dbb200621c4a","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#fdae61"},"size":{"units":"screen","value":15}},"id":"e8c9153d-cc9a-461a-9d12-9d237a9e3865","type":"Circle"},{"attributes":{"line_color":{"value":"#abdda4"},"line_width":{"value":5}},"id":"1bda8ab8-50f0-4cd5-9ad1-08f235ea6cc3","type":"MultiLine"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"f69cd656-ed1d-463b-bbdd-3348c09fac1e","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"f69cd656-ed1d-463b-bbdd-3348c09fac1e","type":"ColumnDataSource"},"glyph":{"id":"7d5cb34e-a43e-4629-9249-dab7bb27d741","type":"MultiLine"},"hover_glyph":{"id":"1bda8ab8-50f0-4cd5-9ad1-08f235ea6cc3","type":"MultiLine"},"muted_glyph":null,"selection_glyph":{"id":"657ed10e-4499-493d-be1f-a78f91a46d61","type":"MultiLine"},"view":{"id":"9d0ee5ac-70ed-41e5-8bb3-a9ad5051c2fa","type":"CDSView"}},"id":"76b918e5-5bde-4d66-a2eb-72bca92e1d03","type":"GlyphRenderer"},{"attributes":{},"id":"79a6cf51-5b5f-4e06-b60e-00aeaabac91e","type":"EdgesAndLinkedNodes"},{"attributes":{"source":{"id":"37497165-1742-43e2-a68a-7b911024dee8","type":"ColumnDataSource"}},"id":"96f8e520-b9e5-499f-9a32-18c9386e5644","type":"CDSView"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"8b4afcb9-b374-4c41-a12d-aced01011c81","type":"Range1d"},{"attributes":{"source":{"id":"f69cd656-ed1d-463b-bbdd-3348c09fac1e","type":"ColumnDataSource"}},"id":"9d0ee5ac-70ed-41e5-8bb3-a9ad5051c2fa","type":"CDSView"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"37497165-1742-43e2-a68a-7b911024dee8","type":"ColumnDataSource"}],"root_ids":["bd8e7bd1-4f8c-4aa8-bfb0-b00a8303c650"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"51d534d2-5db7-4648-9911-c3ed7d160707","elementid":"d906d9c5-8c87-4eb8-8c28-450e76680001","modelid":"bd8e7bd1-4f8c-4aa8-bfb0-b00a8303c650"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
