(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("87234b88-f2ac-4b90-acf5-c95cdbd21017");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '87234b88-f2ac-4b90-acf5-c95cdbd21017' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7516e800-72ed-4262-b230-12627574779b":{"roots":{"references":[{"attributes":{"data_source":{"id":"9f60307c-e301-441f-91ba-c7ff850b8928","type":"ColumnDataSource"},"glyph":{"id":"3b6ac83f-278b-45f8-83b8-2e7cdabf4f4a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e9052644-5cee-4174-931e-d0382d438ca8","type":"Line"},"selection_glyph":null,"view":{"id":"13909745-db36-4341-87bf-71ea8377c665","type":"CDSView"}},"id":"55d5642e-dab3-4636-aa12-f2dd4c343b81","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"aed30fb0-1bdf-479b-8cb5-513cb645d088","type":"BasicTickFormatter"},"plot":{"id":"a601dc1f-ee79-496c-8a08-df773f8f5be4","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a3f19b0-b866-4c0a-a75e-d47bdc6f74f5","type":"BasicTicker"}},"id":"b5c6e9f9-0817-4f64-a890-7cc7f91cbf96","type":"LinearAxis"},{"attributes":{},"id":"790e2082-e1c3-4351-a7b1-aaf9f4bf9a7c","type":"LinearScale"},{"attributes":{"source":{"id":"9f60307c-e301-441f-91ba-c7ff850b8928","type":"ColumnDataSource"}},"id":"13909745-db36-4341-87bf-71ea8377c665","type":"CDSView"},{"attributes":{},"id":"15df12a5-4498-452a-9110-a1334d514aff","type":"LinearScale"},{"attributes":{},"id":"dc470c5b-5627-4916-9876-d03d5bd9bdaa","type":"ResetTool"},{"attributes":{"callback":null},"id":"de47304c-5e76-414b-acdb-9aa9c9a5d504","type":"DataRange1d"},{"attributes":{},"id":"e2de6908-4a8e-480b-a4aa-5aafa136f3a8","type":"HelpTool"},{"attributes":{"children":[{"id":"9dfd77b1-6387-43fb-b52a-a80b952d9388","type":"Slider"}]},"id":"1cd5ce78-888b-40bf-bfaf-c577b93e9e58","type":"WidgetBox"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3191d597-2919-424e-b1d3-5677d6febd20","type":"PanTool"},{"id":"59794964-9431-41ae-b30b-dc3946be0fb1","type":"WheelZoomTool"},{"id":"a508dfad-80ac-4261-a239-3187238df782","type":"BoxZoomTool"},{"id":"09d80351-af73-42dd-a748-c5a1dc81b3c8","type":"SaveTool"},{"id":"dc470c5b-5627-4916-9876-d03d5bd9bdaa","type":"ResetTool"},{"id":"e2de6908-4a8e-480b-a4aa-5aafa136f3a8","type":"HelpTool"}]},"id":"6515f25a-f73c-4958-9bcd-a5f42eccf236","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"9f60307c-e301-441f-91ba-c7ff850b8928","type":"ColumnDataSource"},{"attributes":{},"id":"59794964-9431-41ae-b30b-dc3946be0fb1","type":"WheelZoomTool"},{"attributes":{},"id":"87f4e16b-74fa-4307-9b56-9ed2e8fd2520","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8cbfe7e2-0f63-4050-978e-697c2d4b6e10","type":"BoxAnnotation"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"3b6ac83f-278b-45f8-83b8-2e7cdabf4f4a","type":"Line"},{"attributes":{"plot":{"id":"a601dc1f-ee79-496c-8a08-df773f8f5be4","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a3f19b0-b866-4c0a-a75e-d47bdc6f74f5","type":"BasicTicker"}},"id":"3dc3ec58-b24c-454c-b4d9-82d316e5030f","type":"Grid"},{"attributes":{"args":{"source":{"id":"9f60307c-e301-441f-91ba-c7ff850b8928","type":"ColumnDataSource"}},"code":"\n    var data = source.data;\n    var f = cb_obj.value\n    x = data['x']\n    y = data['y']\n    for (i = 0; i < x.length; i++) {\n        y[i] = Math.pow(x[i], f)\n    }\n    source.change.emit();\n"},"id":"0eb72e81-048c-440a-82ab-2157de57d6b6","type":"CustomJS"},{"attributes":{"below":[{"id":"b5c6e9f9-0817-4f64-a890-7cc7f91cbf96","type":"LinearAxis"}],"left":[{"id":"519f1248-478b-4c77-b83b-359c0b88732f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b5c6e9f9-0817-4f64-a890-7cc7f91cbf96","type":"LinearAxis"},{"id":"3dc3ec58-b24c-454c-b4d9-82d316e5030f","type":"Grid"},{"id":"519f1248-478b-4c77-b83b-359c0b88732f","type":"LinearAxis"},{"id":"211119b8-dfbb-43c8-8ef9-bc04d8b505fa","type":"Grid"},{"id":"8cbfe7e2-0f63-4050-978e-697c2d4b6e10","type":"BoxAnnotation"},{"id":"55d5642e-dab3-4636-aa12-f2dd4c343b81","type":"GlyphRenderer"}],"title":{"id":"86b92edc-1324-4728-9719-2d9819f71da9","type":"Title"},"toolbar":{"id":"6515f25a-f73c-4958-9bcd-a5f42eccf236","type":"Toolbar"},"x_range":{"id":"6dd38f9e-1a40-4421-be6f-befc0404e5c1","type":"DataRange1d"},"x_scale":{"id":"15df12a5-4498-452a-9110-a1334d514aff","type":"LinearScale"},"y_range":{"id":"de47304c-5e76-414b-acdb-9aa9c9a5d504","type":"DataRange1d"},"y_scale":{"id":"790e2082-e1c3-4351-a7b1-aaf9f4bf9a7c","type":"LinearScale"}},"id":"a601dc1f-ee79-496c-8a08-df773f8f5be4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"09d80351-af73-42dd-a748-c5a1dc81b3c8","type":"SaveTool"},{"attributes":{},"id":"6a3f19b0-b866-4c0a-a75e-d47bdc6f74f5","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"86b92edc-1324-4728-9719-2d9819f71da9","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"a601dc1f-ee79-496c-8a08-df773f8f5be4","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e58af63-7e10-4e31-bd57-89b7d7b203eb","type":"BasicTicker"}},"id":"211119b8-dfbb-43c8-8ef9-bc04d8b505fa","type":"Grid"},{"attributes":{},"id":"3191d597-2919-424e-b1d3-5677d6febd20","type":"PanTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"e9052644-5cee-4174-931e-d0382d438ca8","type":"Line"},{"attributes":{"formatter":{"id":"87f4e16b-74fa-4307-9b56-9ed2e8fd2520","type":"BasicTickFormatter"},"plot":{"id":"a601dc1f-ee79-496c-8a08-df773f8f5be4","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e58af63-7e10-4e31-bd57-89b7d7b203eb","type":"BasicTicker"}},"id":"519f1248-478b-4c77-b83b-359c0b88732f","type":"LinearAxis"},{"attributes":{"children":[{"id":"1cd5ce78-888b-40bf-bfaf-c577b93e9e58","type":"WidgetBox"},{"id":"a601dc1f-ee79-496c-8a08-df773f8f5be4","subtype":"Figure","type":"Plot"}]},"id":"b7b80df7-a040-442c-baff-1e598f298d03","type":"Column"},{"attributes":{"callback":null,"end":4,"js_property_callbacks":{"change:value":[{"id":"0eb72e81-048c-440a-82ab-2157de57d6b6","type":"CustomJS"}]},"start":0.1,"step":0.1,"title":"power","value":1},"id":"9dfd77b1-6387-43fb-b52a-a80b952d9388","type":"Slider"},{"attributes":{"overlay":{"id":"8cbfe7e2-0f63-4050-978e-697c2d4b6e10","type":"BoxAnnotation"}},"id":"a508dfad-80ac-4261-a239-3187238df782","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"6dd38f9e-1a40-4421-be6f-befc0404e5c1","type":"DataRange1d"},{"attributes":{},"id":"aed30fb0-1bdf-479b-8cb5-513cb645d088","type":"BasicTickFormatter"},{"attributes":{},"id":"8e58af63-7e10-4e31-bd57-89b7d7b203eb","type":"BasicTicker"}],"root_ids":["b7b80df7-a040-442c-baff-1e598f298d03"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7516e800-72ed-4262-b230-12627574779b","elementid":"87234b88-f2ac-4b90-acf5-c95cdbd21017","modelid":"b7b80df7-a040-442c-baff-1e598f298d03"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
