(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0188a374-a75d-42f8-84ad-3070b34ddd5e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0188a374-a75d-42f8-84ad-3070b34ddd5e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2ab555da-bbda-4cef-b275-7a8dc465b92a":{"roots":{"references":[{"attributes":{"source":{"id":"f1a36c73-e825-4228-be24-d463acedc315","type":"ColumnDataSource"}},"id":"4dfc69d6-3407-4faf-ba42-f04ed5a8c3c5","type":"CDSView"},{"attributes":{"callback":null},"id":"e478f366-3cd8-4ec1-b3b4-2863773417e8","type":"DataRange1d"},{"attributes":{},"id":"02d47a0a-e9ab-478f-a0cc-5c9becee256a","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"c5ff382d-80d3-4e1e-830f-b68d6432c21b","type":"Title"},{"attributes":{},"id":"e579af08-72a0-4553-a97b-707ccaf1a8ce","type":"SaveTool"},{"attributes":{"formatter":{"id":"d66222ba-96a7-477d-8bf6-9c56921446e8","type":"BasicTickFormatter"},"plot":{"id":"aadfff9a-b730-4e73-b851-8e5dab2ce313","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b2b9e1e-259a-46b8-8126-448985d748dd","type":"BasicTicker"}},"id":"6bf0ce24-818b-4df5-80fd-140025577375","type":"LinearAxis"},{"attributes":{"children":[{"id":"e4a42ff8-0207-466f-bf50-72e3d801fcb6","type":"WidgetBox"},{"id":"aadfff9a-b730-4e73-b851-8e5dab2ce313","subtype":"Figure","type":"Plot"}]},"id":"009e413a-a248-4e08-b955-0ba527908f78","type":"Column"},{"attributes":{},"id":"d66222ba-96a7-477d-8bf6-9c56921446e8","type":"BasicTickFormatter"},{"attributes":{},"id":"0fa6ad08-6d91-4f67-8fd1-f91f92d32d27","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"1e0e24d6-5fd9-446f-8cbd-12f00d8246a7","type":"Line"},{"attributes":{"children":[{"id":"538fa19e-eb80-4a98-97db-fd8733a8d7a7","type":"Slider"}]},"id":"e4a42ff8-0207-466f-bf50-72e3d801fcb6","type":"WidgetBox"},{"attributes":{},"id":"65432b80-a1b2-4a9d-9b57-d5c72958d9cf","type":"LinearScale"},{"attributes":{},"id":"ee5248ae-c38c-41d8-8a9e-fd4e5e97b859","type":"BasicTickFormatter"},{"attributes":{},"id":"769894b0-9a08-44f8-a8da-bfbdd24aa160","type":"HelpTool"},{"attributes":{"callback":null},"id":"29f318f6-2efa-4fb0-853f-7a7c3bfa8251","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a51aaeed-2c9a-4182-8aec-2f55dbe934f7","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"ee5248ae-c38c-41d8-8a9e-fd4e5e97b859","type":"BasicTickFormatter"},"plot":{"id":"aadfff9a-b730-4e73-b851-8e5dab2ce313","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea890b3b-2532-49c4-911b-6c1a2bbe9365","type":"BasicTicker"}},"id":"d9b932d3-769c-497e-9dbd-b6ee41270305","type":"LinearAxis"},{"attributes":{},"id":"6b2b9e1e-259a-46b8-8126-448985d748dd","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"f1a36c73-e825-4228-be24-d463acedc315","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"f1a36c73-e825-4228-be24-d463acedc315","type":"ColumnDataSource"},"glyph":{"id":"e8bedbe3-e2d7-4cac-b93e-0bf046244607","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1e0e24d6-5fd9-446f-8cbd-12f00d8246a7","type":"Line"},"selection_glyph":null,"view":{"id":"4dfc69d6-3407-4faf-ba42-f04ed5a8c3c5","type":"CDSView"}},"id":"7e4bc547-985d-4e40-9ab5-6b5e8dbc8703","type":"GlyphRenderer"},{"attributes":{},"id":"920763f7-fb58-4b56-a3d4-eb3ad9864690","type":"ResetTool"},{"attributes":{},"id":"ea890b3b-2532-49c4-911b-6c1a2bbe9365","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"e8bedbe3-e2d7-4cac-b93e-0bf046244607","type":"Line"},{"attributes":{},"id":"beae5009-2ec1-467e-9cc6-33a4c6ad2fc0","type":"PanTool"},{"attributes":{"callback":{"id":"1075efd1-c733-438e-b977-eb8a60e9a46a","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"538fa19e-eb80-4a98-97db-fd8733a8d7a7","type":"Slider"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"beae5009-2ec1-467e-9cc6-33a4c6ad2fc0","type":"PanTool"},{"id":"02d47a0a-e9ab-478f-a0cc-5c9becee256a","type":"WheelZoomTool"},{"id":"da5d3466-9fce-4aad-aa82-4032168560c5","type":"BoxZoomTool"},{"id":"e579af08-72a0-4553-a97b-707ccaf1a8ce","type":"SaveTool"},{"id":"920763f7-fb58-4b56-a3d4-eb3ad9864690","type":"ResetTool"},{"id":"769894b0-9a08-44f8-a8da-bfbdd24aa160","type":"HelpTool"}]},"id":"09018514-51a6-43fc-9789-07604cffee92","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"aadfff9a-b730-4e73-b851-8e5dab2ce313","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b2b9e1e-259a-46b8-8126-448985d748dd","type":"BasicTicker"}},"id":"87f91847-b5d6-439e-bffa-2ff08db2205b","type":"Grid"},{"attributes":{"below":[{"id":"d9b932d3-769c-497e-9dbd-b6ee41270305","type":"LinearAxis"}],"left":[{"id":"6bf0ce24-818b-4df5-80fd-140025577375","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d9b932d3-769c-497e-9dbd-b6ee41270305","type":"LinearAxis"},{"id":"3435c6d4-5432-451b-9f61-e1c9bf61645c","type":"Grid"},{"id":"6bf0ce24-818b-4df5-80fd-140025577375","type":"LinearAxis"},{"id":"87f91847-b5d6-439e-bffa-2ff08db2205b","type":"Grid"},{"id":"a51aaeed-2c9a-4182-8aec-2f55dbe934f7","type":"BoxAnnotation"},{"id":"7e4bc547-985d-4e40-9ab5-6b5e8dbc8703","type":"GlyphRenderer"}],"title":{"id":"c5ff382d-80d3-4e1e-830f-b68d6432c21b","type":"Title"},"toolbar":{"id":"09018514-51a6-43fc-9789-07604cffee92","type":"Toolbar"},"x_range":{"id":"e478f366-3cd8-4ec1-b3b4-2863773417e8","type":"DataRange1d"},"x_scale":{"id":"0fa6ad08-6d91-4f67-8fd1-f91f92d32d27","type":"LinearScale"},"y_range":{"id":"29f318f6-2efa-4fb0-853f-7a7c3bfa8251","type":"DataRange1d"},"y_scale":{"id":"65432b80-a1b2-4a9d-9b57-d5c72958d9cf","type":"LinearScale"}},"id":"aadfff9a-b730-4e73-b851-8e5dab2ce313","subtype":"Figure","type":"Plot"},{"attributes":{"args":{"source":{"id":"f1a36c73-e825-4228-be24-d463acedc315","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"1075efd1-c733-438e-b977-eb8a60e9a46a","type":"CustomJS"},{"attributes":{"overlay":{"id":"a51aaeed-2c9a-4182-8aec-2f55dbe934f7","type":"BoxAnnotation"}},"id":"da5d3466-9fce-4aad-aa82-4032168560c5","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"aadfff9a-b730-4e73-b851-8e5dab2ce313","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea890b3b-2532-49c4-911b-6c1a2bbe9365","type":"BasicTicker"}},"id":"3435c6d4-5432-451b-9f61-e1c9bf61645c","type":"Grid"}],"root_ids":["009e413a-a248-4e08-b955-0ba527908f78"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2ab555da-bbda-4cef-b275-7a8dc465b92a","elementid":"0188a374-a75d-42f8-84ad-3070b34ddd5e","modelid":"009e413a-a248-4e08-b955-0ba527908f78"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
