(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("42642e25-5bf7-4d02-a1a1-1522b658f3ba");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '42642e25-5bf7-4d02-a1a1-1522b658f3ba' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f8638da2-b739-4005-a93d-ecaebf8f9e97":{"roots":{"references":[{"attributes":{},"id":"28d615c0-dd3e-4b78-b451-dda6f01b7ed9","type":"BasicTicker"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0306cc9c-a5be-47b3-964e-ad6c50577f39","type":"Circle"},{"attributes":{},"id":"d4265c74-00d8-4a41-bc8d-d91c10d3b726","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["color","y","x"],"data":{"color":["navy","orange","olive","firebrick","gold"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"2514def4-4315-498e-9ff8-21f5eef1d22b","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"1f30d414-91a8-4ffc-958a-37569f272c38","type":"BasicTickFormatter"},"plot":{"id":"1cfae4f5-7962-449b-90da-731488123f5c","subtype":"Figure","type":"Plot"},"ticker":{"id":"eafbf489-e369-40e0-b88b-85f997370a5c","type":"BasicTicker"}},"id":"3ce7136b-de99-4fae-9507-5b1a2819cd85","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Click the Dots"},"id":"431a434c-7b78-4d71-adfd-b56eeba1524e","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"1cfae4f5-7962-449b-90da-731488123f5c","subtype":"Figure","type":"Plot"},"ticker":{"id":"28d615c0-dd3e-4b78-b451-dda6f01b7ed9","type":"BasicTicker"}},"id":"bd9aed54-5bb3-4a63-b06d-7d617393214b","type":"Grid"},{"attributes":{"formatter":{"id":"d4265c74-00d8-4a41-bc8d-d91c10d3b726","type":"BasicTickFormatter"},"plot":{"id":"1cfae4f5-7962-449b-90da-731488123f5c","subtype":"Figure","type":"Plot"},"ticker":{"id":"28d615c0-dd3e-4b78-b451-dda6f01b7ed9","type":"BasicTicker"}},"id":"8790540a-1460-4468-b26c-6cd28104568c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"57f05e4f-8ce3-408b-bb62-88aaacda6240","type":"DataRange1d"},{"attributes":{"plot":{"id":"1cfae4f5-7962-449b-90da-731488123f5c","subtype":"Figure","type":"Plot"},"ticker":{"id":"eafbf489-e369-40e0-b88b-85f997370a5c","type":"BasicTicker"}},"id":"47f05f2e-f607-4edb-b776-fb1f5a2c9a76","type":"Grid"},{"attributes":{},"id":"eafbf489-e369-40e0-b88b-85f997370a5c","type":"BasicTicker"},{"attributes":{"source":{"id":"2514def4-4315-498e-9ff8-21f5eef1d22b","type":"ColumnDataSource"}},"id":"eb76b2b6-6343-4510-9db7-adf9431b8ffd","type":"CDSView"},{"attributes":{"below":[{"id":"3ce7136b-de99-4fae-9507-5b1a2819cd85","type":"LinearAxis"}],"left":[{"id":"8790540a-1460-4468-b26c-6cd28104568c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3ce7136b-de99-4fae-9507-5b1a2819cd85","type":"LinearAxis"},{"id":"47f05f2e-f607-4edb-b776-fb1f5a2c9a76","type":"Grid"},{"id":"8790540a-1460-4468-b26c-6cd28104568c","type":"LinearAxis"},{"id":"bd9aed54-5bb3-4a63-b06d-7d617393214b","type":"Grid"},{"id":"3b996bff-2109-4911-ae64-85f516e16351","type":"GlyphRenderer"}],"title":{"id":"431a434c-7b78-4d71-adfd-b56eeba1524e","type":"Title"},"toolbar":{"id":"adf520f2-feec-45d7-80b8-3d96e53259c2","type":"Toolbar"},"x_range":{"id":"849dc815-1587-4104-b148-099099fcc363","type":"DataRange1d"},"x_scale":{"id":"68f031a6-be50-4444-860c-24dc7b891714","type":"LinearScale"},"y_range":{"id":"57f05e4f-8ce3-408b-bb62-88aaacda6240","type":"DataRange1d"},"y_scale":{"id":"c765a81a-bce4-43d3-b0c8-2551038390d9","type":"LinearScale"}},"id":"1cfae4f5-7962-449b-90da-731488123f5c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1f30d414-91a8-4ffc-958a-37569f272c38","type":"BasicTickFormatter"},{"attributes":{"callback":{"id":"49de819e-5d3d-43c9-9fe1-5247cddd6267","type":"OpenURL"}},"id":"5a9f197d-8696-4401-bb4d-7e0bed80487b","type":"TapTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5a9f197d-8696-4401-bb4d-7e0bed80487b","type":"TapTool"}]},"id":"adf520f2-feec-45d7-80b8-3d96e53259c2","type":"Toolbar"},{"attributes":{},"id":"c765a81a-bce4-43d3-b0c8-2551038390d9","type":"LinearScale"},{"attributes":{},"id":"68f031a6-be50-4444-860c-24dc7b891714","type":"LinearScale"},{"attributes":{"callback":null},"id":"849dc815-1587-4104-b148-099099fcc363","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"428350f7-d943-4a91-aad5-4bbce6b71e87","type":"Circle"},{"attributes":{"data_source":{"id":"2514def4-4315-498e-9ff8-21f5eef1d22b","type":"ColumnDataSource"},"glyph":{"id":"0306cc9c-a5be-47b3-964e-ad6c50577f39","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"428350f7-d943-4a91-aad5-4bbce6b71e87","type":"Circle"},"selection_glyph":null,"view":{"id":"eb76b2b6-6343-4510-9db7-adf9431b8ffd","type":"CDSView"}},"id":"3b996bff-2109-4911-ae64-85f516e16351","type":"GlyphRenderer"},{"attributes":{"url":"http://www.colors.commutercreative.com/@color/"},"id":"49de819e-5d3d-43c9-9fe1-5247cddd6267","type":"OpenURL"}],"root_ids":["1cfae4f5-7962-449b-90da-731488123f5c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f8638da2-b739-4005-a93d-ecaebf8f9e97","elementid":"42642e25-5bf7-4d02-a1a1-1522b658f3ba","modelid":"1cfae4f5-7962-449b-90da-731488123f5c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
