(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("99e44fd8-ccb7-4ce1-b489-88e5b51ec093");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '99e44fd8-ccb7-4ce1-b489-88e5b51ec093' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"505f021c-3b76-4147-89c5-e5ff302bc61b":{"roots":{"references":[{"attributes":{"overlay":{"id":"747cb38c-8a30-4a64-8d66-2925c333affb","type":"BoxAnnotation"}},"id":"d38d04fe-086c-48e5-8eef-b7ece2f8f084","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"4432d394-81e1-4d02-9d30-ae2fa674293d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5685f60-b462-4077-9c33-65e2655d9c2f","type":"BasicTicker"}},"id":"83f69f06-5c60-4e55-afff-7ce6c3bcbee4","type":"Grid"},{"attributes":{},"id":"4d61210f-640a-451d-be3d-979fbdd01564","type":"LinearScale"},{"attributes":{"children":[{"id":"6a723226-97b6-48db-a643-6e8f422eaffc","subtype":"Figure","type":"Plot"},{"id":"4432d394-81e1-4d02-9d30-ae2fa674293d","subtype":"Figure","type":"Plot"},{"id":"de28522e-84cc-4a9e-ada6-26ab5a2f7c0d","subtype":"Figure","type":"Plot"}]},"id":"28233de2-b076-4dfb-8f38-2869d8f58613","type":"Row"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"747cb38c-8a30-4a64-8d66-2925c333affb","type":"BoxAnnotation"},{"attributes":{},"id":"c3bb439f-08a2-449c-bd7f-06e892275420","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3a138c83-b9dd-4d29-9299-696f3379d19a","type":"Circle"},{"attributes":{},"id":"b4a11900-a9bd-49aa-8437-26804968d17c","type":"ResetTool"},{"attributes":{},"id":"933a7d80-4744-41a0-affd-72f9c5419b8c","type":"LinearScale"},{"attributes":{"formatter":{"id":"a0e68c60-55a2-4ce5-998f-e57e7c4c7680","type":"BasicTickFormatter"},"plot":{"id":"6a723226-97b6-48db-a643-6e8f422eaffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa797399-4a50-4149-8a6a-e32124514591","type":"BasicTicker"}},"id":"b0459d57-0d64-44a4-83e9-0fae0c7c6c0c","type":"LinearAxis"},{"attributes":{"source":{"id":"aebfd119-c52e-4fa0-8577-cc4189f198fc","type":"ColumnDataSource"}},"id":"9cfea20e-9f1a-42c4-86aa-fa3df961b29c","type":"CDSView"},{"attributes":{"formatter":{"id":"bcdfb8eb-f936-41f6-84fd-d5ceca1aff0c","type":"BasicTickFormatter"},"plot":{"id":"4432d394-81e1-4d02-9d30-ae2fa674293d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5685f60-b462-4077-9c33-65e2655d9c2f","type":"BasicTicker"}},"id":"b12e0e74-4aa4-4e97-8731-6ec202899a8b","type":"LinearAxis"},{"attributes":{},"id":"17062bf1-ed5a-4ec1-aa1d-b7271d384858","type":"PanTool"},{"attributes":{"data_source":{"id":"aebfd119-c52e-4fa0-8577-cc4189f198fc","type":"ColumnDataSource"},"glyph":{"id":"fd47bd69-93ff-4a4c-958d-65a29b2dba0c","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"73fc22cd-1fab-460f-8951-cb4f0b6495eb","type":"Square"},"selection_glyph":null,"view":{"id":"9cfea20e-9f1a-42c4-86aa-fa3df961b29c","type":"CDSView"}},"id":"59f3ada7-a142-41e0-9c1f-9b6fef8fa248","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"4432d394-81e1-4d02-9d30-ae2fa674293d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3bb439f-08a2-449c-bd7f-06e892275420","type":"BasicTicker"}},"id":"c289200e-18d9-4854-beae-239ad4ac45db","type":"Grid"},{"attributes":{"callback":null},"id":"e8386678-7d25-4917-b867-1ad818fa4314","type":"DataRange1d"},{"attributes":{},"id":"fa797399-4a50-4149-8a6a-e32124514591","type":"BasicTicker"},{"attributes":{},"id":"040bf888-59d0-4ce9-a8fe-1ccbd0f39eeb","type":"BasicTicker"},{"attributes":{},"id":"7b88ea77-6834-45ab-8e47-478dbef4f43b","type":"WheelZoomTool"},{"attributes":{"source":{"id":"06dda0c0-cee9-40b4-bb4c-9889876cd736","type":"ColumnDataSource"}},"id":"9a7e0feb-3891-4fdc-bebe-95bd6fe030a4","type":"CDSView"},{"attributes":{},"id":"c5685f60-b462-4077-9c33-65e2655d9c2f","type":"BasicTicker"},{"attributes":{"formatter":{"id":"88ec0c67-d88a-4d9d-bf37-01699fe8cc86","type":"BasicTickFormatter"},"plot":{"id":"6a723226-97b6-48db-a643-6e8f422eaffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d64d0c7-5e6f-43a0-8bf6-713b7e850136","type":"BasicTicker"}},"id":"05d737bb-64f6-429d-926d-672643f4a6f3","type":"LinearAxis"},{"attributes":{},"id":"9f0dfe74-c61e-4fed-8b53-d5a69cac2ef1","type":"PanTool"},{"attributes":{},"id":"cc84fd04-9c77-4f29-bc67-7dbdc783bdcf","type":"HelpTool"},{"attributes":{"source":{"id":"f16d694f-2145-4e49-befb-3dd979a21a5c","type":"ColumnDataSource"}},"id":"6c7c1ce5-3975-4531-bfcf-d2460cfc60b6","type":"CDSView"},{"attributes":{"below":[{"id":"b0459d57-0d64-44a4-83e9-0fae0c7c6c0c","type":"LinearAxis"}],"left":[{"id":"05d737bb-64f6-429d-926d-672643f4a6f3","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b0459d57-0d64-44a4-83e9-0fae0c7c6c0c","type":"LinearAxis"},{"id":"dda8a152-d7cc-46c1-b4af-1b88a1e5ea86","type":"Grid"},{"id":"05d737bb-64f6-429d-926d-672643f4a6f3","type":"LinearAxis"},{"id":"50ce7214-6d86-40f4-afeb-ad55b4a93b0e","type":"Grid"},{"id":"81b7fe4f-79dc-4305-b791-f02ceee71430","type":"BoxAnnotation"},{"id":"e24651d6-602a-4802-b90d-201b0684fd40","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"ac8703dd-0ea1-41b6-ac36-327030da42e4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"be2836eb-f351-4fc2-b488-82b04042d719","type":"DataRange1d"},"x_scale":{"id":"933a7d80-4744-41a0-affd-72f9c5419b8c","type":"LinearScale"},"y_range":{"id":"e8386678-7d25-4917-b867-1ad818fa4314","type":"DataRange1d"},"y_scale":{"id":"4d61210f-640a-451d-be3d-979fbdd01564","type":"LinearScale"}},"id":"6a723226-97b6-48db-a643-6e8f422eaffc","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a0e68c60-55a2-4ce5-998f-e57e7c4c7680","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"b12e0e74-4aa4-4e97-8731-6ec202899a8b","type":"LinearAxis"}],"left":[{"id":"37871393-a298-46af-bcad-843fde789f46","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b12e0e74-4aa4-4e97-8731-6ec202899a8b","type":"LinearAxis"},{"id":"83f69f06-5c60-4e55-afff-7ce6c3bcbee4","type":"Grid"},{"id":"37871393-a298-46af-bcad-843fde789f46","type":"LinearAxis"},{"id":"c289200e-18d9-4854-beae-239ad4ac45db","type":"Grid"},{"id":"aa27bac8-9190-4857-9827-31570cdab1d7","type":"BoxAnnotation"},{"id":"54822669-4b8d-42da-81c2-38bf4995d8b2","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"c709090e-8e57-4616-952e-025c3303ec85","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"be2836eb-f351-4fc2-b488-82b04042d719","type":"DataRange1d"},"x_scale":{"id":"877d2bcd-b687-490b-8277-d676ef10b942","type":"LinearScale"},"y_range":{"id":"e8386678-7d25-4917-b867-1ad818fa4314","type":"DataRange1d"},"y_scale":{"id":"9db12b2d-1653-414e-94dd-82e03f18be11","type":"LinearScale"}},"id":"4432d394-81e1-4d02-9d30-ae2fa674293d","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a77929de-e367-493e-b0d7-82622b74e190","type":"PanTool"},{"id":"6543643d-088f-4202-bae9-3893d22be8bb","type":"WheelZoomTool"},{"id":"f5759256-33b5-4e3b-bd5c-bbd332e86e93","type":"BoxZoomTool"},{"id":"9a0138a3-bb6e-46cc-9f00-115bb3732ff2","type":"SaveTool"},{"id":"319fa42f-09e9-4f95-81b1-5f682cbd0d08","type":"ResetTool"},{"id":"092ecc6d-90a5-4b07-9eba-ea82f71d8c96","type":"HelpTool"}]},"id":"c709090e-8e57-4616-952e-025c3303ec85","type":"Toolbar"},{"attributes":{},"id":"9db12b2d-1653-414e-94dd-82e03f18be11","type":"LinearScale"},{"attributes":{},"id":"1d64d0c7-5e6f-43a0-8bf6-713b7e850136","type":"BasicTicker"},{"attributes":{"data_source":{"id":"f16d694f-2145-4e49-befb-3dd979a21a5c","type":"ColumnDataSource"},"glyph":{"id":"b3012164-b45f-4792-b52b-000ce551eeeb","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ebbd9782-1def-4be7-b905-05641309d67e","type":"Triangle"},"selection_glyph":null,"view":{"id":"6c7c1ce5-3975-4531-bfcf-d2460cfc60b6","type":"CDSView"}},"id":"54822669-4b8d-42da-81c2-38bf4995d8b2","type":"GlyphRenderer"},{"attributes":{},"id":"63b2caec-5290-4e36-b3ce-a5a510b98d99","type":"LinearScale"},{"attributes":{},"id":"c114ad84-770f-47aa-bc78-dc13a468cab0","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"17062bf1-ed5a-4ec1-aa1d-b7271d384858","type":"PanTool"},{"id":"c114ad84-770f-47aa-bc78-dc13a468cab0","type":"WheelZoomTool"},{"id":"c7ef6cfb-aaa1-48bc-b104-a52aecd3dfa3","type":"BoxZoomTool"},{"id":"9697b7c3-2a06-4c60-a5af-ca2ae329681a","type":"SaveTool"},{"id":"b7e95604-5ace-4144-8cdd-56ff66bfa8ef","type":"ResetTool"},{"id":"cc84fd04-9c77-4f29-bc67-7dbdc783bdcf","type":"HelpTool"}]},"id":"ac8703dd-0ea1-41b6-ac36-327030da42e4","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ebbd9782-1def-4be7-b905-05641309d67e","type":"Triangle"},{"attributes":{},"id":"9697b7c3-2a06-4c60-a5af-ca2ae329681a","type":"SaveTool"},{"attributes":{},"id":"bcdfb8eb-f936-41f6-84fd-d5ceca1aff0c","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"28233de2-b076-4dfb-8f38-2869d8f58613","type":"Row"}]},"id":"b2e9f921-020c-4822-8f81-7b7ad2dab391","type":"Column"},{"attributes":{"plot":{"id":"6a723226-97b6-48db-a643-6e8f422eaffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa797399-4a50-4149-8a6a-e32124514591","type":"BasicTicker"}},"id":"dda8a152-d7cc-46c1-b4af-1b88a1e5ea86","type":"Grid"},{"attributes":{},"id":"092ecc6d-90a5-4b07-9eba-ea82f71d8c96","type":"HelpTool"},{"attributes":{},"id":"b7e95604-5ace-4144-8cdd-56ff66bfa8ef","type":"ResetTool"},{"attributes":{},"id":"88ec0c67-d88a-4d9d-bf37-01699fe8cc86","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"47b57233-2a79-45f3-a519-5a2ca3218554","type":"BasicTickFormatter"},"plot":{"id":"4432d394-81e1-4d02-9d30-ae2fa674293d","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3bb439f-08a2-449c-bd7f-06e892275420","type":"BasicTicker"}},"id":"37871393-a298-46af-bcad-843fde789f46","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fd47bd69-93ff-4a4c-958d-65a29b2dba0c","type":"Square"},{"attributes":{"formatter":{"id":"5c3027ac-0067-4b8a-9626-2c2622add59a","type":"BasicTickFormatter"},"plot":{"id":"de28522e-84cc-4a9e-ada6-26ab5a2f7c0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2173d51c-fa3b-48ff-8abd-78af5554950a","type":"BasicTicker"}},"id":"15598ba1-e3ea-4c22-bf6e-0d6feedd213e","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"6a723226-97b6-48db-a643-6e8f422eaffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d64d0c7-5e6f-43a0-8bf6-713b7e850136","type":"BasicTicker"}},"id":"50ce7214-6d86-40f4-afeb-ad55b4a93b0e","type":"Grid"},{"attributes":{"plot":{"id":"de28522e-84cc-4a9e-ada6-26ab5a2f7c0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"2173d51c-fa3b-48ff-8abd-78af5554950a","type":"BasicTicker"}},"id":"361faf38-0951-44f2-9ca2-b586612c7762","type":"Grid"},{"attributes":{},"id":"56ed0e2e-01d0-4e46-84e9-984f1b7b9369","type":"LinearScale"},{"attributes":{},"id":"319fa42f-09e9-4f95-81b1-5f682cbd0d08","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"81b7fe4f-79dc-4305-b791-f02ceee71430","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9f0dfe74-c61e-4fed-8b53-d5a69cac2ef1","type":"PanTool"},{"id":"7b88ea77-6834-45ab-8e47-478dbef4f43b","type":"WheelZoomTool"},{"id":"d38d04fe-086c-48e5-8eef-b7ece2f8f084","type":"BoxZoomTool"},{"id":"aa279f8e-946d-4c9c-ad55-7d49821359be","type":"SaveTool"},{"id":"b4a11900-a9bd-49aa-8437-26804968d17c","type":"ResetTool"},{"id":"47ab201f-4afd-4274-b3bd-118f328f33d2","type":"HelpTool"}]},"id":"a1010e9c-38c5-4f52-ac11-9271a06b979c","type":"Toolbar"},{"attributes":{},"id":"6543643d-088f-4202-bae9-3893d22be8bb","type":"WheelZoomTool"},{"attributes":{},"id":"9a0138a3-bb6e-46cc-9f00-115bb3732ff2","type":"SaveTool"},{"attributes":{},"id":"47b57233-2a79-45f3-a519-5a2ca3218554","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"be2836eb-f351-4fc2-b488-82b04042d719","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"06dda0c0-cee9-40b4-bb4c-9889876cd736","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"81b7fe4f-79dc-4305-b791-f02ceee71430","type":"BoxAnnotation"}},"id":"c7ef6cfb-aaa1-48bc-b104-a52aecd3dfa3","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"d80a9e88-11a2-4db7-bfc4-a8848313bca3","type":"DataRange1d"},{"attributes":{},"id":"5c3027ac-0067-4b8a-9626-2c2622add59a","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"aebfd119-c52e-4fa0-8577-cc4189f198fc","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c2e0795-6881-4d2d-98a2-fce1b2c7f983","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"73fc22cd-1fab-460f-8951-cb4f0b6495eb","type":"Square"},{"attributes":{"dimension":1,"plot":{"id":"de28522e-84cc-4a9e-ada6-26ab5a2f7c0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"040bf888-59d0-4ce9-a8fe-1ccbd0f39eeb","type":"BasicTicker"}},"id":"162e6848-2e75-47f9-8d7e-69530f318653","type":"Grid"},{"attributes":{"formatter":{"id":"a404bea1-158d-4a38-932b-26e37f81ec84","type":"BasicTickFormatter"},"plot":{"id":"de28522e-84cc-4a9e-ada6-26ab5a2f7c0d","subtype":"Figure","type":"Plot"},"ticker":{"id":"040bf888-59d0-4ce9-a8fe-1ccbd0f39eeb","type":"BasicTicker"}},"id":"2934a499-3734-4332-b9fa-473e771e3f78","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"f16d694f-2145-4e49-befb-3dd979a21a5c","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"06dda0c0-cee9-40b4-bb4c-9889876cd736","type":"ColumnDataSource"},"glyph":{"id":"7c2e0795-6881-4d2d-98a2-fce1b2c7f983","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3a138c83-b9dd-4d29-9299-696f3379d19a","type":"Circle"},"selection_glyph":null,"view":{"id":"9a7e0feb-3891-4fdc-bebe-95bd6fe030a4","type":"CDSView"}},"id":"e24651d6-602a-4802-b90d-201b0684fd40","type":"GlyphRenderer"},{"attributes":{},"id":"a404bea1-158d-4a38-932b-26e37f81ec84","type":"BasicTickFormatter"},{"attributes":{},"id":"aa279f8e-946d-4c9c-ad55-7d49821359be","type":"SaveTool"},{"attributes":{"overlay":{"id":"aa27bac8-9190-4857-9827-31570cdab1d7","type":"BoxAnnotation"}},"id":"f5759256-33b5-4e3b-bd5c-bbd332e86e93","type":"BoxZoomTool"},{"attributes":{},"id":"a77929de-e367-493e-b0d7-82622b74e190","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b3012164-b45f-4792-b52b-000ce551eeeb","type":"Triangle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"aa27bac8-9190-4857-9827-31570cdab1d7","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"15598ba1-e3ea-4c22-bf6e-0d6feedd213e","type":"LinearAxis"}],"left":[{"id":"2934a499-3734-4332-b9fa-473e771e3f78","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"15598ba1-e3ea-4c22-bf6e-0d6feedd213e","type":"LinearAxis"},{"id":"361faf38-0951-44f2-9ca2-b586612c7762","type":"Grid"},{"id":"2934a499-3734-4332-b9fa-473e771e3f78","type":"LinearAxis"},{"id":"162e6848-2e75-47f9-8d7e-69530f318653","type":"Grid"},{"id":"747cb38c-8a30-4a64-8d66-2925c333affb","type":"BoxAnnotation"},{"id":"59f3ada7-a142-41e0-9c1f-9b6fef8fa248","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"a1010e9c-38c5-4f52-ac11-9271a06b979c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"be2836eb-f351-4fc2-b488-82b04042d719","type":"DataRange1d"},"x_scale":{"id":"63b2caec-5290-4e36-b3ce-a5a510b98d99","type":"LinearScale"},"y_range":{"id":"d80a9e88-11a2-4db7-bfc4-a8848313bca3","type":"DataRange1d"},"y_scale":{"id":"56ed0e2e-01d0-4e46-84e9-984f1b7b9369","type":"LinearScale"}},"id":"de28522e-84cc-4a9e-ada6-26ab5a2f7c0d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2173d51c-fa3b-48ff-8abd-78af5554950a","type":"BasicTicker"},{"attributes":{},"id":"47ab201f-4afd-4274-b3bd-118f328f33d2","type":"HelpTool"},{"attributes":{},"id":"877d2bcd-b687-490b-8277-d676ef10b942","type":"LinearScale"}],"root_ids":["b2e9f921-020c-4822-8f81-7b7ad2dab391"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"505f021c-3b76-4147-89c5-e5ff302bc61b","elementid":"99e44fd8-ccb7-4ce1-b489-88e5b51ec093","modelid":"b2e9f921-020c-4822-8f81-7b7ad2dab391"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
