(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("66a16d42-d8f2-4783-8f6d-101a904c0599");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '66a16d42-d8f2-4783-8f6d-101a904c0599' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4d35a6d9-36ff-45b9-8bac-6cdaaab4571d":{"roots":{"references":[{"attributes":{},"id":"b6b29fd9-db56-4d55-8da9-61ff815308b8","type":"LinearScale"},{"attributes":{},"id":"f181c6c0-487c-420a-bf64-b5b731bc1445","type":"PanTool"},{"attributes":{},"id":"2cdb02d0-a8b7-4ecb-998d-2a2e254e5e1c","type":"BasicTicker"},{"attributes":{"source":{"id":"1dc05d5f-539b-4e2f-9bfd-0c8ef4aec556","type":"ColumnDataSource"}},"id":"aa528013-c386-4313-b310-25f950b62379","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9aecf67c-4ec9-49c7-bb1e-46e404bc8adf","type":"Circle"},{"attributes":{},"id":"5da9a998-88b4-4ead-a717-bf06aadc7d0d","type":"BasicTickFormatter"},{"attributes":{},"id":"a4abdf6f-e3dd-4834-b789-738557427ec6","type":"BasicTickFormatter"},{"attributes":{},"id":"7ad2a531-1c14-4be9-adb9-2aab4dea5cc4","type":"LinearScale"},{"attributes":{"formatter":{"id":"9cf7d954-0eca-4607-af4d-9c3690f2abd3","type":"BasicTickFormatter"},"plot":{"id":"a6f95c65-13a5-4ed9-8eae-0fc6722a57c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"43671a1b-cb37-4540-8ac5-4fcae3452869","type":"BasicTicker"}},"id":"fe0b1675-566b-462c-af50-7bdd9916dda8","type":"LinearAxis"},{"attributes":{"data_source":{"id":"f36a7ed8-1420-4d51-a9cf-e8745f73c172","type":"ColumnDataSource"},"glyph":{"id":"fa87ba17-2971-4f6d-8256-244779ec6b84","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9aecf67c-4ec9-49c7-bb1e-46e404bc8adf","type":"Circle"},"selection_glyph":null,"view":{"id":"f42cf055-b624-4907-9bcd-6e572c72b1a4","type":"CDSView"}},"id":"a63286cf-7090-46cb-86dd-ab4a352ee196","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"8b6a4379-8f28-472b-a7da-b4fe89a9ff21","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"46581b70-d276-47c3-8044-9cedcaff7d34","type":"Triangle"},{"attributes":{},"id":"5d11d9cb-6b1e-485c-a775-e3ce7a7d47e3","type":"ResetTool"},{"attributes":{},"id":"7f3942d2-7c55-4fd2-afa6-c96a317d01c4","type":"BasicTicker"},{"attributes":{},"id":"34c4edc9-3e1c-483e-b9a9-88715c192c2c","type":"PanTool"},{"attributes":{},"id":"7350b970-0980-441e-9423-920f19619190","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"1dc05d5f-539b-4e2f-9bfd-0c8ef4aec556","type":"ColumnDataSource"},{"attributes":{},"id":"a22ca635-eecf-46fb-abf4-868285cf94c4","type":"WheelZoomTool"},{"attributes":{},"id":"3ca8c2b3-6a90-4aae-8759-779621f17385","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"17bbd92d-2702-43dc-94f9-62bc1528c205","type":"BasicTickFormatter"},"plot":{"id":"73ad9601-0fc8-4de8-a87d-e79e5a785771","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a240030-c45f-4e5a-b9f2-88a02c2e2253","type":"BasicTicker"}},"id":"cd72afdc-26b3-4f28-bd67-59c33b0fc1b4","type":"LinearAxis"},{"attributes":{"plot":{"id":"74a04826-446f-450c-aae7-2494d85d3109","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f3942d2-7c55-4fd2-afa6-c96a317d01c4","type":"BasicTicker"}},"id":"000e2769-0258-4dca-b72c-2ebccc19f1b5","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"a6f95c65-13a5-4ed9-8eae-0fc6722a57c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"43671a1b-cb37-4540-8ac5-4fcae3452869","type":"BasicTicker"}},"id":"5ec246e8-4bc9-4e18-8b72-055c9e7efc35","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f181c6c0-487c-420a-bf64-b5b731bc1445","type":"PanTool"},{"id":"a22ca635-eecf-46fb-abf4-868285cf94c4","type":"WheelZoomTool"},{"id":"60e00fdd-6414-485a-bb45-aeac06b6b3fc","type":"BoxZoomTool"},{"id":"13b0465f-c2ee-4779-bc80-addc071e265e","type":"SaveTool"},{"id":"8cde0672-e11d-47e3-8732-59b2d674fa1b","type":"ResetTool"},{"id":"851d02d5-bce8-4dd3-8676-56421474b6f4","type":"HelpTool"}]},"id":"0da40f82-fb65-41d0-bfd5-d58f3f125c4e","type":"Toolbar"},{"attributes":{},"id":"17bbd92d-2702-43dc-94f9-62bc1528c205","type":"BasicTickFormatter"},{"attributes":{},"id":"62bb02df-22b1-43aa-98e5-15ae78fd999d","type":"PanTool"},{"attributes":{"data_source":{"id":"1dc05d5f-539b-4e2f-9bfd-0c8ef4aec556","type":"ColumnDataSource"},"glyph":{"id":"fcb68e8a-b9de-4c82-8af1-834feff5b13a","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0c5a9ff5-7074-4218-8eb0-94f0c9306457","type":"Square"},"selection_glyph":null,"view":{"id":"aa528013-c386-4313-b310-25f950b62379","type":"CDSView"}},"id":"f017ea9a-8d1f-4d46-8214-7b965de98410","type":"GlyphRenderer"},{"attributes":{},"id":"43671a1b-cb37-4540-8ac5-4fcae3452869","type":"BasicTicker"},{"attributes":{"source":{"id":"a6e539a8-bc8b-429f-881d-7e4649dd1933","type":"ColumnDataSource"}},"id":"6800db29-0d3e-42d1-8ca1-fefed324431a","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fa87ba17-2971-4f6d-8256-244779ec6b84","type":"Circle"},{"attributes":{},"id":"8d0766fe-2ad1-4b33-8291-070a439abeaf","type":"LinearScale"},{"attributes":{"plot":{"id":"a6f95c65-13a5-4ed9-8eae-0fc6722a57c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"851b6050-cb3f-461b-847f-c098277433e9","type":"BasicTicker"}},"id":"a69a45d0-0b9e-4bdc-a248-d8a330b1f541","type":"Grid"},{"attributes":{"overlay":{"id":"0cc46f0e-3071-41b9-8053-fd18710a0092","type":"BoxAnnotation"}},"id":"60e00fdd-6414-485a-bb45-aeac06b6b3fc","type":"BoxZoomTool"},{"attributes":{},"id":"86a54699-4e36-4ac9-b69a-d906ba48dd26","type":"HelpTool"},{"attributes":{},"id":"c26480ba-85a1-4777-9801-452ebd2ad830","type":"SaveTool"},{"attributes":{},"id":"56e0addd-fb01-4774-a667-dfeee804d6f8","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"6e3a2ec0-cc03-458f-b02e-be95a7ae3b41","type":"LinearAxis"}],"left":[{"id":"fe0b1675-566b-462c-af50-7bdd9916dda8","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"6e3a2ec0-cc03-458f-b02e-be95a7ae3b41","type":"LinearAxis"},{"id":"a69a45d0-0b9e-4bdc-a248-d8a330b1f541","type":"Grid"},{"id":"fe0b1675-566b-462c-af50-7bdd9916dda8","type":"LinearAxis"},{"id":"5ec246e8-4bc9-4e18-8b72-055c9e7efc35","type":"Grid"},{"id":"a0d949d5-dad3-46f6-9ce8-8e731bd88f09","type":"BoxAnnotation"},{"id":"f017ea9a-8d1f-4d46-8214-7b965de98410","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"3f3b73c5-88e5-4f62-972d-924dfeca3765","type":"Toolbar"},"x_range":{"id":"383aa219-5fd3-4a56-830f-b5ea3702d1d5","type":"DataRange1d"},"x_scale":{"id":"fee99aba-d13e-4fea-acbc-e502e654a06c","type":"LinearScale"},"y_range":{"id":"b37827bc-9cce-459a-a1d7-148c3f3fc8a9","type":"DataRange1d"},"y_scale":{"id":"7ad2a531-1c14-4be9-adb9-2aab4dea5cc4","type":"LinearScale"}},"id":"a6f95c65-13a5-4ed9-8eae-0fc6722a57c2","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"01b20720-8d92-4e48-8b5b-5739bb17a4a3","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"74a04826-446f-450c-aae7-2494d85d3109","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b26eab4-53f4-4b49-9f5a-ddec21e2f9e0","type":"BasicTicker"}},"id":"8ee5624e-6fe1-465b-b56d-8413e0bac8a8","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"73ad9601-0fc8-4de8-a87d-e79e5a785771","subtype":"Figure","type":"Plot"},"ticker":{"id":"2cdb02d0-a8b7-4ecb-998d-2a2e254e5e1c","type":"BasicTicker"}},"id":"344a9a28-5022-462a-a00d-46758e6bb94b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"75e1a524-6a16-40cd-925d-9d0bf6ffe235","type":"Triangle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"a6e539a8-bc8b-429f-881d-7e4649dd1933","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0cc46f0e-3071-41b9-8053-fd18710a0092","type":"BoxAnnotation"},{"attributes":{},"id":"06d0747e-bb8d-4985-923a-931720a6f9ca","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"a4abdf6f-e3dd-4834-b789-738557427ec6","type":"BasicTickFormatter"},"plot":{"id":"74a04826-446f-450c-aae7-2494d85d3109","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b26eab4-53f4-4b49-9f5a-ddec21e2f9e0","type":"BasicTicker"}},"id":"3e3a1627-f5c8-41e8-bf2d-94d28c852569","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"34c4edc9-3e1c-483e-b9a9-88715c192c2c","type":"PanTool"},{"id":"56e0addd-fb01-4774-a667-dfeee804d6f8","type":"WheelZoomTool"},{"id":"f998a3d1-286a-47b4-9ae7-11f942622b46","type":"BoxZoomTool"},{"id":"c26480ba-85a1-4777-9801-452ebd2ad830","type":"SaveTool"},{"id":"dd3c50dd-126d-4217-8546-d68bf1c7bc34","type":"ResetTool"},{"id":"86a54699-4e36-4ac9-b69a-d906ba48dd26","type":"HelpTool"}]},"id":"3f3b73c5-88e5-4f62-972d-924dfeca3765","type":"Toolbar"},{"attributes":{"overlay":{"id":"a0d949d5-dad3-46f6-9ce8-8e731bd88f09","type":"BoxAnnotation"}},"id":"f998a3d1-286a-47b4-9ae7-11f942622b46","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"383aa219-5fd3-4a56-830f-b5ea3702d1d5","type":"DataRange1d"},{"attributes":{"below":[{"id":"1ae86bc2-b00d-4df5-a07c-6c3714d88f9a","type":"LinearAxis"}],"left":[{"id":"3e3a1627-f5c8-41e8-bf2d-94d28c852569","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"1ae86bc2-b00d-4df5-a07c-6c3714d88f9a","type":"LinearAxis"},{"id":"000e2769-0258-4dca-b72c-2ebccc19f1b5","type":"Grid"},{"id":"3e3a1627-f5c8-41e8-bf2d-94d28c852569","type":"LinearAxis"},{"id":"8ee5624e-6fe1-465b-b56d-8413e0bac8a8","type":"Grid"},{"id":"0cc46f0e-3071-41b9-8053-fd18710a0092","type":"BoxAnnotation"},{"id":"a63286cf-7090-46cb-86dd-ab4a352ee196","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"0da40f82-fb65-41d0-bfd5-d58f3f125c4e","type":"Toolbar"},"x_range":{"id":"8b6a4379-8f28-472b-a7da-b4fe89a9ff21","type":"DataRange1d"},"x_scale":{"id":"c3f5c47c-ac1c-457a-8220-0fa1a2e6af89","type":"LinearScale"},"y_range":{"id":"01b20720-8d92-4e48-8b5b-5739bb17a4a3","type":"DataRange1d"},"y_scale":{"id":"43162708-56f8-4419-99ae-fa8b881db5c9","type":"LinearScale"}},"id":"74a04826-446f-450c-aae7-2494d85d3109","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4b26eab4-53f4-4b49-9f5a-ddec21e2f9e0","type":"BasicTicker"},{"attributes":{},"id":"752df490-a895-4c44-9652-abb8480af67a","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"f36a7ed8-1420-4d51-a9cf-e8745f73c172","type":"ColumnDataSource"},{"attributes":{},"id":"b31d8cf2-fd0d-4d4e-91ce-1fb151d504b3","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0c5a9ff5-7074-4218-8eb0-94f0c9306457","type":"Square"},{"attributes":{},"id":"8cde0672-e11d-47e3-8732-59b2d674fa1b","type":"ResetTool"},{"attributes":{},"id":"851b6050-cb3f-461b-847f-c098277433e9","type":"BasicTicker"},{"attributes":{},"id":"dd3c50dd-126d-4217-8546-d68bf1c7bc34","type":"ResetTool"},{"attributes":{},"id":"9cf7d954-0eca-4607-af4d-9c3690f2abd3","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"b37827bc-9cce-459a-a1d7-148c3f3fc8a9","type":"DataRange1d"},{"attributes":{"callback":null},"id":"ad011a0b-adc4-44b1-9788-c304e70ac7b4","type":"DataRange1d"},{"attributes":{},"id":"13b0465f-c2ee-4779-bc80-addc071e265e","type":"SaveTool"},{"attributes":{},"id":"9a240030-c45f-4e5a-b9f2-88a02c2e2253","type":"BasicTicker"},{"attributes":{},"id":"c3f5c47c-ac1c-457a-8220-0fa1a2e6af89","type":"LinearScale"},{"attributes":{"source":{"id":"f36a7ed8-1420-4d51-a9cf-e8745f73c172","type":"ColumnDataSource"}},"id":"f42cf055-b624-4907-9bcd-6e572c72b1a4","type":"CDSView"},{"attributes":{"callback":null},"id":"4f58024c-3ba1-423e-8c3c-6762ce27a9ae","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"dd559178-c186-4e59-a975-59d8d923fe2f","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"a6e539a8-bc8b-429f-881d-7e4649dd1933","type":"ColumnDataSource"},"glyph":{"id":"46581b70-d276-47c3-8044-9cedcaff7d34","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"75e1a524-6a16-40cd-925d-9d0bf6ffe235","type":"Triangle"},"selection_glyph":null,"view":{"id":"6800db29-0d3e-42d1-8ca1-fefed324431a","type":"CDSView"}},"id":"6f8012e1-e74f-4593-a60a-44d187c9c292","type":"GlyphRenderer"},{"attributes":{},"id":"43162708-56f8-4419-99ae-fa8b881db5c9","type":"LinearScale"},{"attributes":{},"id":"851d02d5-bce8-4dd3-8676-56421474b6f4","type":"HelpTool"},{"attributes":{"formatter":{"id":"7350b970-0980-441e-9423-920f19619190","type":"BasicTickFormatter"},"plot":{"id":"74a04826-446f-450c-aae7-2494d85d3109","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f3942d2-7c55-4fd2-afa6-c96a317d01c4","type":"BasicTicker"}},"id":"1ae86bc2-b00d-4df5-a07c-6c3714d88f9a","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a0d949d5-dad3-46f6-9ce8-8e731bd88f09","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"dd559178-c186-4e59-a975-59d8d923fe2f","type":"BoxAnnotation"}},"id":"c1607c13-5bcc-40b2-89f9-b2c233098ebd","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"5da9a998-88b4-4ead-a717-bf06aadc7d0d","type":"BasicTickFormatter"},"plot":{"id":"73ad9601-0fc8-4de8-a87d-e79e5a785771","subtype":"Figure","type":"Plot"},"ticker":{"id":"2cdb02d0-a8b7-4ecb-998d-2a2e254e5e1c","type":"BasicTicker"}},"id":"d2eeb55c-ad03-4786-ad6f-9db9c6ff2285","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"62bb02df-22b1-43aa-98e5-15ae78fd999d","type":"PanTool"},{"id":"3ca8c2b3-6a90-4aae-8759-779621f17385","type":"WheelZoomTool"},{"id":"c1607c13-5bcc-40b2-89f9-b2c233098ebd","type":"BoxZoomTool"},{"id":"752df490-a895-4c44-9652-abb8480af67a","type":"SaveTool"},{"id":"5d11d9cb-6b1e-485c-a775-e3ce7a7d47e3","type":"ResetTool"},{"id":"b31d8cf2-fd0d-4d4e-91ce-1fb151d504b3","type":"HelpTool"}]},"id":"08165feb-c367-4edd-99b8-5c9980221b21","type":"Toolbar"},{"attributes":{"below":[{"id":"cd72afdc-26b3-4f28-bd67-59c33b0fc1b4","type":"LinearAxis"}],"left":[{"id":"d2eeb55c-ad03-4786-ad6f-9db9c6ff2285","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"cd72afdc-26b3-4f28-bd67-59c33b0fc1b4","type":"LinearAxis"},{"id":"2740e6e1-904c-4829-bff4-27064947e160","type":"Grid"},{"id":"d2eeb55c-ad03-4786-ad6f-9db9c6ff2285","type":"LinearAxis"},{"id":"344a9a28-5022-462a-a00d-46758e6bb94b","type":"Grid"},{"id":"dd559178-c186-4e59-a975-59d8d923fe2f","type":"BoxAnnotation"},{"id":"6f8012e1-e74f-4593-a60a-44d187c9c292","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"08165feb-c367-4edd-99b8-5c9980221b21","type":"Toolbar"},"x_range":{"id":"ad011a0b-adc4-44b1-9788-c304e70ac7b4","type":"DataRange1d"},"x_scale":{"id":"8d0766fe-2ad1-4b33-8291-070a439abeaf","type":"LinearScale"},"y_range":{"id":"4f58024c-3ba1-423e-8c3c-6762ce27a9ae","type":"DataRange1d"},"y_scale":{"id":"b6b29fd9-db56-4d55-8da9-61ff815308b8","type":"LinearScale"}},"id":"73ad9601-0fc8-4de8-a87d-e79e5a785771","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"73ad9601-0fc8-4de8-a87d-e79e5a785771","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a240030-c45f-4e5a-b9f2-88a02c2e2253","type":"BasicTicker"}},"id":"2740e6e1-904c-4829-bff4-27064947e160","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fcb68e8a-b9de-4c82-8af1-834feff5b13a","type":"Square"},{"attributes":{"formatter":{"id":"06d0747e-bb8d-4985-923a-931720a6f9ca","type":"BasicTickFormatter"},"plot":{"id":"a6f95c65-13a5-4ed9-8eae-0fc6722a57c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"851b6050-cb3f-461b-847f-c098277433e9","type":"BasicTicker"}},"id":"6e3a2ec0-cc03-458f-b02e-be95a7ae3b41","type":"LinearAxis"},{"attributes":{"children":[{"id":"74a04826-446f-450c-aae7-2494d85d3109","subtype":"Figure","type":"Plot"},{"id":"73ad9601-0fc8-4de8-a87d-e79e5a785771","subtype":"Figure","type":"Plot"},{"id":"a6f95c65-13a5-4ed9-8eae-0fc6722a57c2","subtype":"Figure","type":"Plot"}]},"id":"dc894e51-9081-4782-9cc7-893d700c799c","type":"Row"},{"attributes":{},"id":"fee99aba-d13e-4fea-acbc-e502e654a06c","type":"LinearScale"}],"root_ids":["dc894e51-9081-4782-9cc7-893d700c799c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4d35a6d9-36ff-45b9-8bac-6cdaaab4571d","elementid":"66a16d42-d8f2-4783-8f6d-101a904c0599","modelid":"dc894e51-9081-4782-9cc7-893d700c799c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
