(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("21e19231-dce6-4734-ac8f-c1967e429c2d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '21e19231-dce6-4734-ac8f-c1967e429c2d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2ef956fa-872a-42f3-96c2-fea1673d9ac9":{"roots":{"references":[{"attributes":{"callback":null},"id":"b592734c-707e-416d-af4d-23b3a12c22ba","type":"DataRange1d"},{"attributes":{"below":[{"id":"b7e3491f-63fe-4a2a-9ee0-c699f96d7036","type":"LinearAxis"}],"left":[{"id":"d70727cd-9145-4de7-b24b-cdb3e677ad59","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b7e3491f-63fe-4a2a-9ee0-c699f96d7036","type":"LinearAxis"},{"id":"73cf4f8b-34fe-42fd-83a8-4f1a9241a0b1","type":"Grid"},{"id":"d70727cd-9145-4de7-b24b-cdb3e677ad59","type":"LinearAxis"},{"id":"21eb562a-5cca-4414-972f-89684a34e74f","type":"Grid"},{"id":"0f1a8d44-f68d-4f7c-9034-885e1d362617","type":"BoxAnnotation"},{"id":"f0eedbe9-d328-4dbf-b0fa-11fab0d796b4","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"447ccfd1-da6a-481d-837f-233286e6d667","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b86b7ca4-6954-48fd-9c31-22c155398ca3","type":"DataRange1d"},"x_scale":{"id":"c75c05eb-1d2a-464d-9b56-71b4e1560fec","type":"LinearScale"},"y_range":{"id":"481e0a69-f32d-4784-be41-00f6df7121d4","type":"DataRange1d"},"y_scale":{"id":"b6e4e11f-24a1-4768-b363-9aa77b99cb6e","type":"LinearScale"}},"id":"1829ee5b-6c3f-48a7-9b80-fdcfe922bc56","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"1829ee5b-6c3f-48a7-9b80-fdcfe922bc56","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca011e41-88ec-45ad-aae9-20ab09dd89e2","type":"BasicTicker"}},"id":"73cf4f8b-34fe-42fd-83a8-4f1a9241a0b1","type":"Grid"},{"attributes":{"data_source":{"id":"1283dfe8-7779-4f1f-b449-2d0aaa51eca7","type":"ColumnDataSource"},"glyph":{"id":"ae3f4175-f0ac-4425-9a04-3c8c636505f4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2133a79f-8187-4726-a8af-8860824686ec","type":"Circle"},"selection_glyph":null,"view":{"id":"a7ef7ac7-de4e-4d48-bf52-5f59bbfcae07","type":"CDSView"}},"id":"f0eedbe9-d328-4dbf-b0fa-11fab0d796b4","type":"GlyphRenderer"},{"attributes":{},"id":"2a464808-007c-4939-8029-ec6f3c41d84f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"a1f856f5-276e-486e-a542-8a7e742f5535","type":"BasicTickFormatter"},"plot":{"id":"ef51f428-7e67-4c96-ab87-088c8014f73d","subtype":"Figure","type":"Plot"},"ticker":{"id":"1c962549-5de9-4788-9339-a7d4203405d2","type":"BasicTicker"}},"id":"a7a2675c-e84c-4ed4-95bc-f8ddec33fe54","type":"LinearAxis"},{"attributes":{},"id":"08f1a2a8-998c-482c-bf44-3340ce0cb6c3","type":"HelpTool"},{"attributes":{},"id":"ee6e69df-8e1e-453d-92e2-6b189625f6b5","type":"ResetTool"},{"attributes":{"source":{"id":"50ab21c0-c159-4942-bb50-763992480c53","type":"ColumnDataSource"}},"id":"c72276d0-d338-4946-9105-13f886061586","type":"CDSView"},{"attributes":{},"id":"65ea4807-dc19-497f-945e-8ef422340c5f","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"63a2b59a-c0ea-4a6f-942c-945192dae5df","subtype":"Figure","type":"Plot"},"ticker":{"id":"de80b2cf-4ae7-47bd-88e7-d8c7aecdcf28","type":"BasicTicker"}},"id":"25dcb9b0-d312-4ae1-83b0-f56449eda5dd","type":"Grid"},{"attributes":{},"id":"2131f8ff-83dc-4eb2-b173-452263e4a044","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cda46267-9b0b-4329-b738-553da7231a19","type":"Square"},{"attributes":{"below":[{"id":"7bec44b5-fdfe-412e-b7da-9a23e74cf3b2","type":"LinearAxis"}],"left":[{"id":"8ef6ad39-11d2-4094-8b2d-ef270d92827d","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"7bec44b5-fdfe-412e-b7da-9a23e74cf3b2","type":"LinearAxis"},{"id":"f0d6db6b-e196-44bd-a55d-9a41cbbb4faa","type":"Grid"},{"id":"8ef6ad39-11d2-4094-8b2d-ef270d92827d","type":"LinearAxis"},{"id":"25dcb9b0-d312-4ae1-83b0-f56449eda5dd","type":"Grid"},{"id":"cf8d0ab6-9027-4b8a-bf10-eb5ae94d574a","type":"BoxAnnotation"},{"id":"f0f42d8f-9e2a-4f1e-aa3d-d31668b1d4db","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"60a28417-0087-4d05-a712-ad50c2bba3e2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5a52c28b-5d6f-48aa-82a3-160d8046a912","type":"DataRange1d"},"x_scale":{"id":"c53e0693-e068-49e5-ba4b-e4d5509fdebb","type":"LinearScale"},"y_range":{"id":"97739010-8ecb-4b73-9c53-c464066a3e64","type":"DataRange1d"},"y_scale":{"id":"498df50d-2e03-4824-9f7a-d3c4431b6dce","type":"LinearScale"}},"id":"63a2b59a-c0ea-4a6f-942c-945192dae5df","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"ef51f428-7e67-4c96-ab87-088c8014f73d","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe8db7b5-69fb-41a1-b190-46e5543a5f48","type":"BasicTicker"}},"id":"0bf4c271-bcdf-4546-a659-b3794d2edcdf","type":"Grid"},{"attributes":{"callback":null},"id":"fd67fea9-4c5e-4759-b636-197725bd8c58","type":"DataRange1d"},{"attributes":{},"id":"a45f2594-70c3-4cbc-bf21-3387fe037e7a","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"814f8dbc-f5bb-4780-b779-bf97609c559a","type":"PanTool"},{"id":"b0036129-5a7f-4e7e-bcbe-ac61ab81b2e6","type":"WheelZoomTool"},{"id":"cb90a010-55d5-4783-87d6-43f9ee4fce26","type":"BoxZoomTool"},{"id":"2131f8ff-83dc-4eb2-b173-452263e4a044","type":"SaveTool"},{"id":"65ea4807-dc19-497f-945e-8ef422340c5f","type":"ResetTool"},{"id":"08f1a2a8-998c-482c-bf44-3340ce0cb6c3","type":"HelpTool"}]},"id":"d048d8f1-ba0b-4da1-83cb-8ec57f00846e","type":"Toolbar"},{"attributes":{"height":250,"width":250},"id":"cb11ade7-238c-4f73-bfa4-6de5c8bce2e7","type":"Spacer"},{"attributes":{"formatter":{"id":"a45f2594-70c3-4cbc-bf21-3387fe037e7a","type":"BasicTickFormatter"},"plot":{"id":"1829ee5b-6c3f-48a7-9b80-fdcfe922bc56","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d9b8cc8-f877-4da9-b469-ae6e9e593cac","type":"BasicTicker"}},"id":"d70727cd-9145-4de7-b24b-cdb3e677ad59","type":"LinearAxis"},{"attributes":{},"id":"1c962549-5de9-4788-9339-a7d4203405d2","type":"BasicTicker"},{"attributes":{},"id":"814f8dbc-f5bb-4780-b779-bf97609c559a","type":"PanTool"},{"attributes":{},"id":"9ce01ef0-b8a8-45fa-9cca-e5f8ce1a5af6","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2133a79f-8187-4726-a8af-8860824686ec","type":"Circle"},{"attributes":{"formatter":{"id":"d4c206d3-fabe-4e25-8a9c-ea7619bc42a1","type":"BasicTickFormatter"},"plot":{"id":"63a2b59a-c0ea-4a6f-942c-945192dae5df","subtype":"Figure","type":"Plot"},"ticker":{"id":"de80b2cf-4ae7-47bd-88e7-d8c7aecdcf28","type":"BasicTicker"}},"id":"8ef6ad39-11d2-4094-8b2d-ef270d92827d","type":"LinearAxis"},{"attributes":{"source":{"id":"40b053f8-37ec-4cee-9906-3e8ed710cb13","type":"ColumnDataSource"}},"id":"d4eea1d5-d050-48cf-a70b-20fc5a8a2f8a","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8bbd3165-3723-4e86-ba07-bac630b996a1","type":"PanTool"},{"id":"c38d8946-56d4-4935-8ea4-3f23b18253f8","type":"WheelZoomTool"},{"id":"50e6a306-5c5a-4c0d-996d-e99afc8c4707","type":"BoxZoomTool"},{"id":"61b4f1f6-8ae7-46e4-ab26-0f85580fb573","type":"SaveTool"},{"id":"992a6c09-839f-449b-86aa-e8fc9bfe0bc6","type":"ResetTool"},{"id":"263ea4f0-d638-447e-af98-4b2efba13f9b","type":"HelpTool"}]},"id":"60a28417-0087-4d05-a712-ad50c2bba3e2","type":"Toolbar"},{"attributes":{},"id":"c75c05eb-1d2a-464d-9b56-71b4e1560fec","type":"LinearScale"},{"attributes":{},"id":"c53e0693-e068-49e5-ba4b-e4d5509fdebb","type":"LinearScale"},{"attributes":{"overlay":{"id":"0f1a8d44-f68d-4f7c-9034-885e1d362617","type":"BoxAnnotation"}},"id":"f7016153-b5b1-479c-9b7f-266a2d6f433d","type":"BoxZoomTool"},{"attributes":{},"id":"e9bd7549-5c79-40ef-aded-2f02714fab21","type":"SaveTool"},{"attributes":{},"id":"fe8db7b5-69fb-41a1-b190-46e5543a5f48","type":"BasicTicker"},{"attributes":{"data_source":{"id":"40b053f8-37ec-4cee-9906-3e8ed710cb13","type":"ColumnDataSource"},"glyph":{"id":"cda46267-9b0b-4329-b738-553da7231a19","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4aaa6c3d-3b5c-4d24-b448-27fb91debe62","type":"Square"},"selection_glyph":null,"view":{"id":"d4eea1d5-d050-48cf-a70b-20fc5a8a2f8a","type":"CDSView"}},"id":"f0f42d8f-9e2a-4f1e-aa3d-d31668b1d4db","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"a8786d5d-7970-4473-9c73-bc084521cda6","type":"BasicTickFormatter"},"plot":{"id":"1829ee5b-6c3f-48a7-9b80-fdcfe922bc56","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca011e41-88ec-45ad-aae9-20ab09dd89e2","type":"BasicTicker"}},"id":"b7e3491f-63fe-4a2a-9ee0-c699f96d7036","type":"LinearAxis"},{"attributes":{},"id":"992a6c09-839f-449b-86aa-e8fc9bfe0bc6","type":"ResetTool"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ae3f4175-f0ac-4425-9a04-3c8c636505f4","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0f1a8d44-f68d-4f7c-9034-885e1d362617","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"50ab21c0-c159-4942-bb50-763992480c53","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4aaa6c3d-3b5c-4d24-b448-27fb91debe62","type":"Square"},{"attributes":{},"id":"d4c206d3-fabe-4e25-8a9c-ea7619bc42a1","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"cb11ade7-238c-4f73-bfa4-6de5c8bce2e7","type":"Spacer"},{"id":"63a2b59a-c0ea-4a6f-942c-945192dae5df","subtype":"Figure","type":"Plot"}]},"id":"e9582bd7-a95e-49d0-8bbf-f674d545f214","type":"Row"},{"attributes":{},"id":"b18ba685-e127-41f6-8fcd-464b7ae6a49d","type":"LinearScale"},{"attributes":{"formatter":{"id":"f487ecaa-a793-4812-a172-a769b0cacc5f","type":"BasicTickFormatter"},"plot":{"id":"ef51f428-7e67-4c96-ab87-088c8014f73d","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe8db7b5-69fb-41a1-b190-46e5543a5f48","type":"BasicTicker"}},"id":"f35ef0ee-6d90-48f4-bc34-0cbbba65c07c","type":"LinearAxis"},{"attributes":{},"id":"8bbd3165-3723-4e86-ba07-bac630b996a1","type":"PanTool"},{"attributes":{"data_source":{"id":"50ab21c0-c159-4942-bb50-763992480c53","type":"ColumnDataSource"},"glyph":{"id":"f4cc3d7a-e9fd-4ba4-aae1-dfaa66340dcf","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7a0845be-b0ac-4d71-ae52-cfe0b2a0f461","type":"Triangle"},"selection_glyph":null,"view":{"id":"c72276d0-d338-4946-9105-13f886061586","type":"CDSView"}},"id":"848a8a7a-53c2-4f85-96f8-e66d81545bfe","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cf8d0ab6-9027-4b8a-bf10-eb5ae94d574a","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"5a52c28b-5d6f-48aa-82a3-160d8046a912","type":"DataRange1d"},{"attributes":{},"id":"b6e4e11f-24a1-4768-b363-9aa77b99cb6e","type":"LinearScale"},{"attributes":{},"id":"a1f856f5-276e-486e-a542-8a7e742f5535","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"97739010-8ecb-4b73-9c53-c464066a3e64","type":"DataRange1d"},{"attributes":{"children":[{"id":"c01634f4-cc72-456f-98da-9b23e9b6b4b2","type":"Row"},{"id":"e9582bd7-a95e-49d0-8bbf-f674d545f214","type":"Row"}]},"id":"b75e1083-b5b9-47e3-8cd8-528c28167af7","type":"Column"},{"attributes":{},"id":"c38d8946-56d4-4935-8ea4-3f23b18253f8","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f0978ddc-8951-4b69-8149-29ad7a7ff8a4","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"1da40380-7803-4764-88aa-a62e5f8771c4","type":"ToolbarBox"},{"id":"b75e1083-b5b9-47e3-8cd8-528c28167af7","type":"Column"}]},"id":"8a6bb76e-3f42-4762-b423-5780bb4aad8e","type":"Column"},{"attributes":{"dimension":1,"plot":{"id":"1829ee5b-6c3f-48a7-9b80-fdcfe922bc56","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d9b8cc8-f877-4da9-b469-ae6e9e593cac","type":"BasicTicker"}},"id":"21eb562a-5cca-4414-972f-89684a34e74f","type":"Grid"},{"attributes":{"below":[{"id":"f35ef0ee-6d90-48f4-bc34-0cbbba65c07c","type":"LinearAxis"}],"left":[{"id":"a7a2675c-e84c-4ed4-95bc-f8ddec33fe54","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"f35ef0ee-6d90-48f4-bc34-0cbbba65c07c","type":"LinearAxis"},{"id":"0bf4c271-bcdf-4546-a659-b3794d2edcdf","type":"Grid"},{"id":"a7a2675c-e84c-4ed4-95bc-f8ddec33fe54","type":"LinearAxis"},{"id":"67dd8ab3-2531-4672-8663-6790de39675a","type":"Grid"},{"id":"f0978ddc-8951-4b69-8149-29ad7a7ff8a4","type":"BoxAnnotation"},{"id":"848a8a7a-53c2-4f85-96f8-e66d81545bfe","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"d048d8f1-ba0b-4da1-83cb-8ec57f00846e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b592734c-707e-416d-af4d-23b3a12c22ba","type":"DataRange1d"},"x_scale":{"id":"b18ba685-e127-41f6-8fcd-464b7ae6a49d","type":"LinearScale"},"y_range":{"id":"fd67fea9-4c5e-4759-b636-197725bd8c58","type":"DataRange1d"},"y_scale":{"id":"bccabf6b-015e-4b87-a6b7-0fb77c195018","type":"LinearScale"}},"id":"ef51f428-7e67-4c96-ab87-088c8014f73d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6d87b708-9e9e-44d0-8862-107de85ed17e","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b0b4bb18-f169-4716-8afe-f54160ed8ac7","type":"PanTool"},{"id":"6d87b708-9e9e-44d0-8862-107de85ed17e","type":"WheelZoomTool"},{"id":"f7016153-b5b1-479c-9b7f-266a2d6f433d","type":"BoxZoomTool"},{"id":"e9bd7549-5c79-40ef-aded-2f02714fab21","type":"SaveTool"},{"id":"ee6e69df-8e1e-453d-92e2-6b189625f6b5","type":"ResetTool"},{"id":"9ce01ef0-b8a8-45fa-9cca-e5f8ce1a5af6","type":"HelpTool"}]},"id":"447ccfd1-da6a-481d-837f-233286e6d667","type":"Toolbar"},{"attributes":{},"id":"bccabf6b-015e-4b87-a6b7-0fb77c195018","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7a0845be-b0ac-4d71-ae52-cfe0b2a0f461","type":"Triangle"},{"attributes":{},"id":"ca011e41-88ec-45ad-aae9-20ab09dd89e2","type":"BasicTicker"},{"attributes":{},"id":"b0b4bb18-f169-4716-8afe-f54160ed8ac7","type":"PanTool"},{"attributes":{"children":[{"id":"1829ee5b-6c3f-48a7-9b80-fdcfe922bc56","subtype":"Figure","type":"Plot"},{"id":"ef51f428-7e67-4c96-ab87-088c8014f73d","subtype":"Figure","type":"Plot"}]},"id":"c01634f4-cc72-456f-98da-9b23e9b6b4b2","type":"Row"},{"attributes":{"callback":null},"id":"481e0a69-f32d-4784-be41-00f6df7121d4","type":"DataRange1d"},{"attributes":{"callback":null},"id":"b86b7ca4-6954-48fd-9c31-22c155398ca3","type":"DataRange1d"},{"attributes":{},"id":"de80b2cf-4ae7-47bd-88e7-d8c7aecdcf28","type":"BasicTicker"},{"attributes":{},"id":"112aa689-32d9-46db-b9f3-716c65804d87","type":"BasicTicker"},{"attributes":{"source":{"id":"1283dfe8-7779-4f1f-b449-2d0aaa51eca7","type":"ColumnDataSource"}},"id":"a7ef7ac7-de4e-4d48-bf52-5f59bbfcae07","type":"CDSView"},{"attributes":{},"id":"498df50d-2e03-4824-9f7a-d3c4431b6dce","type":"LinearScale"},{"attributes":{},"id":"1d9b8cc8-f877-4da9-b469-ae6e9e593cac","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f4cc3d7a-e9fd-4ba4-aae1-dfaa66340dcf","type":"Triangle"},{"attributes":{},"id":"b0036129-5a7f-4e7e-bcbe-ac61ab81b2e6","type":"WheelZoomTool"},{"attributes":{},"id":"f487ecaa-a793-4812-a172-a769b0cacc5f","type":"BasicTickFormatter"},{"attributes":{},"id":"a8786d5d-7970-4473-9c73-bc084521cda6","type":"BasicTickFormatter"},{"attributes":{},"id":"61b4f1f6-8ae7-46e4-ab26-0f85580fb573","type":"SaveTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"b0b4bb18-f169-4716-8afe-f54160ed8ac7","type":"PanTool"},{"id":"6d87b708-9e9e-44d0-8862-107de85ed17e","type":"WheelZoomTool"},{"id":"f7016153-b5b1-479c-9b7f-266a2d6f433d","type":"BoxZoomTool"},{"id":"e9bd7549-5c79-40ef-aded-2f02714fab21","type":"SaveTool"},{"id":"ee6e69df-8e1e-453d-92e2-6b189625f6b5","type":"ResetTool"},{"id":"9ce01ef0-b8a8-45fa-9cca-e5f8ce1a5af6","type":"HelpTool"},{"id":"814f8dbc-f5bb-4780-b779-bf97609c559a","type":"PanTool"},{"id":"b0036129-5a7f-4e7e-bcbe-ac61ab81b2e6","type":"WheelZoomTool"},{"id":"cb90a010-55d5-4783-87d6-43f9ee4fce26","type":"BoxZoomTool"},{"id":"2131f8ff-83dc-4eb2-b173-452263e4a044","type":"SaveTool"},{"id":"65ea4807-dc19-497f-945e-8ef422340c5f","type":"ResetTool"},{"id":"08f1a2a8-998c-482c-bf44-3340ce0cb6c3","type":"HelpTool"},{"id":"8bbd3165-3723-4e86-ba07-bac630b996a1","type":"PanTool"},{"id":"c38d8946-56d4-4935-8ea4-3f23b18253f8","type":"WheelZoomTool"},{"id":"50e6a306-5c5a-4c0d-996d-e99afc8c4707","type":"BoxZoomTool"},{"id":"61b4f1f6-8ae7-46e4-ab26-0f85580fb573","type":"SaveTool"},{"id":"992a6c09-839f-449b-86aa-e8fc9bfe0bc6","type":"ResetTool"},{"id":"263ea4f0-d638-447e-af98-4b2efba13f9b","type":"HelpTool"}]},"id":"1da40380-7803-4764-88aa-a62e5f8771c4","type":"ToolbarBox"},{"attributes":{"overlay":{"id":"cf8d0ab6-9027-4b8a-bf10-eb5ae94d574a","type":"BoxAnnotation"}},"id":"50e6a306-5c5a-4c0d-996d-e99afc8c4707","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"ef51f428-7e67-4c96-ab87-088c8014f73d","subtype":"Figure","type":"Plot"},"ticker":{"id":"1c962549-5de9-4788-9339-a7d4203405d2","type":"BasicTicker"}},"id":"67dd8ab3-2531-4672-8663-6790de39675a","type":"Grid"},{"attributes":{"formatter":{"id":"2a464808-007c-4939-8029-ec6f3c41d84f","type":"BasicTickFormatter"},"plot":{"id":"63a2b59a-c0ea-4a6f-942c-945192dae5df","subtype":"Figure","type":"Plot"},"ticker":{"id":"112aa689-32d9-46db-b9f3-716c65804d87","type":"BasicTicker"}},"id":"7bec44b5-fdfe-412e-b7da-9a23e74cf3b2","type":"LinearAxis"},{"attributes":{"plot":{"id":"63a2b59a-c0ea-4a6f-942c-945192dae5df","subtype":"Figure","type":"Plot"},"ticker":{"id":"112aa689-32d9-46db-b9f3-716c65804d87","type":"BasicTicker"}},"id":"f0d6db6b-e196-44bd-a55d-9a41cbbb4faa","type":"Grid"},{"attributes":{},"id":"263ea4f0-d638-447e-af98-4b2efba13f9b","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"1283dfe8-7779-4f1f-b449-2d0aaa51eca7","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"f0978ddc-8951-4b69-8149-29ad7a7ff8a4","type":"BoxAnnotation"}},"id":"cb90a010-55d5-4783-87d6-43f9ee4fce26","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"40b053f8-37ec-4cee-9906-3e8ed710cb13","type":"ColumnDataSource"}],"root_ids":["8a6bb76e-3f42-4762-b423-5780bb4aad8e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2ef956fa-872a-42f3-96c2-fea1673d9ac9","elementid":"21e19231-dce6-4734-ac8f-c1967e429c2d","modelid":"8a6bb76e-3f42-4762-b423-5780bb4aad8e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
