(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3e3c4443-2bae-4ced-ad37-b28914b9fcc2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3e3c4443-2bae-4ced-ad37-b28914b9fcc2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6422c91a-6e11-4b4e-b1e9-945211b4709f":{"roots":{"references":[{"attributes":{},"id":"dfbd1d92-5bfa-4559-9de7-0cb3327a5ef7","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8996033c-fa6a-4aee-b5ba-a2b8f4495f81","type":"Square"},{"attributes":{"data_source":{"id":"d7abaa62-0e42-4aec-ab9f-9c0802263fcf","type":"ColumnDataSource"},"glyph":{"id":"cd0d4626-6be9-4348-968d-36e41f3fc7c6","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8996033c-fa6a-4aee-b5ba-a2b8f4495f81","type":"Square"},"selection_glyph":null,"view":{"id":"cab431b7-1251-40c1-911e-dbe1c05dba6c","type":"CDSView"}},"id":"dcd570f2-c6c4-4135-a543-c27b9422775a","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"f5fbc66e-fc7c-4e90-9a6f-f015f0c71394","type":"Title"},{"attributes":{},"id":"e5888b27-6903-4dd7-8c52-a0a6f8c09243","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e1c110e9-afd0-44ec-9444-992aecce4e6f","type":"PanTool"},{"id":"b6a3e0ac-ef06-4875-b1b4-523a41af7874","type":"WheelZoomTool"},{"id":"bd89e726-91e1-4f8f-b7dc-e5602ae7a2b8","type":"BoxZoomTool"},{"id":"2cfea94e-302c-4fae-bbca-445e744131b4","type":"SaveTool"},{"id":"3ed198be-00f2-4e5f-ab26-7b7e92b8f4e9","type":"ResetTool"},{"id":"9ac7b542-f373-42ca-bafe-f9b9b3fc2823","type":"HelpTool"}]},"id":"2ce4c751-e878-4c3e-91f0-37a05fcb44fa","type":"Toolbar"},{"attributes":{"plot":{"id":"3977ae25-266f-4c4b-bd37-e69722ce9c0f","subtype":"Figure","type":"Plot"},"ticker":{"id":"69bf6c72-64fa-4b36-a389-b1d0f316b621","type":"BasicTicker"}},"id":"8df7ee20-1078-486c-8ac2-ddd88d06891e","type":"Grid"},{"attributes":{"callback":null},"id":"7702989a-813b-4e0c-a7a9-52bdc79f8c2d","type":"DataRange1d"},{"attributes":{},"id":"e70b8687-8e24-4aca-861f-32aae43fceab","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"3977ae25-266f-4c4b-bd37-e69722ce9c0f","subtype":"Figure","type":"Plot"},"ticker":{"id":"dfbd1d92-5bfa-4559-9de7-0cb3327a5ef7","type":"BasicTicker"}},"id":"2eb7dfa1-b2ad-4b1a-896e-399f5dcfcc9d","type":"Grid"},{"attributes":{"below":[{"id":"5ce6e901-794b-4268-9d7d-19cc0b2d97dc","type":"LinearAxis"}],"left":[{"id":"2dda0ed6-0c36-4e5d-a56a-a56770ec42f3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5ce6e901-794b-4268-9d7d-19cc0b2d97dc","type":"LinearAxis"},{"id":"8df7ee20-1078-486c-8ac2-ddd88d06891e","type":"Grid"},{"id":"2dda0ed6-0c36-4e5d-a56a-a56770ec42f3","type":"LinearAxis"},{"id":"2eb7dfa1-b2ad-4b1a-896e-399f5dcfcc9d","type":"Grid"},{"id":"4abf3ba4-ad02-4a75-8cb2-af412c0faeeb","type":"BoxAnnotation"},{"id":"dcd570f2-c6c4-4135-a543-c27b9422775a","type":"GlyphRenderer"}],"title":{"id":"f5fbc66e-fc7c-4e90-9a6f-f015f0c71394","type":"Title"},"toolbar":{"id":"2ce4c751-e878-4c3e-91f0-37a05fcb44fa","type":"Toolbar"},"x_range":{"id":"7702989a-813b-4e0c-a7a9-52bdc79f8c2d","type":"DataRange1d"},"x_scale":{"id":"edcb53d3-6182-4540-bb75-c6231b018f99","type":"LinearScale"},"y_range":{"id":"b1b1cfb2-3a72-4217-9923-0a4055a37c61","type":"DataRange1d"},"y_scale":{"id":"b1e8d809-3f15-4f73-bf15-ff9771672d5c","type":"LinearScale"}},"id":"3977ae25-266f-4c4b-bd37-e69722ce9c0f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"edcb53d3-6182-4540-bb75-c6231b018f99","type":"LinearScale"},{"attributes":{"overlay":{"id":"4abf3ba4-ad02-4a75-8cb2-af412c0faeeb","type":"BoxAnnotation"}},"id":"bd89e726-91e1-4f8f-b7dc-e5602ae7a2b8","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"d7abaa62-0e42-4aec-ab9f-9c0802263fcf","type":"ColumnDataSource"},{"attributes":{},"id":"3ed198be-00f2-4e5f-ab26-7b7e92b8f4e9","type":"ResetTool"},{"attributes":{"source":{"id":"d7abaa62-0e42-4aec-ab9f-9c0802263fcf","type":"ColumnDataSource"}},"id":"cab431b7-1251-40c1-911e-dbe1c05dba6c","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd0d4626-6be9-4348-968d-36e41f3fc7c6","type":"Square"},{"attributes":{},"id":"e1c110e9-afd0-44ec-9444-992aecce4e6f","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4abf3ba4-ad02-4a75-8cb2-af412c0faeeb","type":"BoxAnnotation"},{"attributes":{},"id":"2cfea94e-302c-4fae-bbca-445e744131b4","type":"SaveTool"},{"attributes":{"callback":null},"id":"b1b1cfb2-3a72-4217-9923-0a4055a37c61","type":"DataRange1d"},{"attributes":{"formatter":{"id":"e70b8687-8e24-4aca-861f-32aae43fceab","type":"BasicTickFormatter"},"plot":{"id":"3977ae25-266f-4c4b-bd37-e69722ce9c0f","subtype":"Figure","type":"Plot"},"ticker":{"id":"dfbd1d92-5bfa-4559-9de7-0cb3327a5ef7","type":"BasicTicker"}},"id":"2dda0ed6-0c36-4e5d-a56a-a56770ec42f3","type":"LinearAxis"},{"attributes":{},"id":"9ac7b542-f373-42ca-bafe-f9b9b3fc2823","type":"HelpTool"},{"attributes":{},"id":"69bf6c72-64fa-4b36-a389-b1d0f316b621","type":"BasicTicker"},{"attributes":{},"id":"b6a3e0ac-ef06-4875-b1b4-523a41af7874","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"e5888b27-6903-4dd7-8c52-a0a6f8c09243","type":"BasicTickFormatter"},"plot":{"id":"3977ae25-266f-4c4b-bd37-e69722ce9c0f","subtype":"Figure","type":"Plot"},"ticker":{"id":"69bf6c72-64fa-4b36-a389-b1d0f316b621","type":"BasicTicker"}},"id":"5ce6e901-794b-4268-9d7d-19cc0b2d97dc","type":"LinearAxis"},{"attributes":{},"id":"b1e8d809-3f15-4f73-bf15-ff9771672d5c","type":"LinearScale"}],"root_ids":["3977ae25-266f-4c4b-bd37-e69722ce9c0f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6422c91a-6e11-4b4e-b1e9-945211b4709f","elementid":"3e3c4443-2bae-4ced-ad37-b28914b9fcc2","modelid":"3977ae25-266f-4c4b-bd37-e69722ce9c0f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
