(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8f458a81-1a5b-414a-8945-37cdaae6dc0d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8f458a81-1a5b-414a-8945-37cdaae6dc0d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7aba8b66-2c65-4ab5-8c79-35748e4492d2":{"roots":{"references":[{"attributes":{"callback":null},"id":"d9967618-5edf-4eb9-816f-b19715360c5a","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"388064d4-c5ec-4211-bfd7-b8f66aa1f862","type":"Title"},{"attributes":{},"id":"5f155745-506e-42f7-90ac-a4f7cb841be1","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"5d19e81d-c1cc-4a18-84be-4b40ff3e3a48","type":"Patches"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5b524b0b-8019-4b56-bcc0-fa5968adfe60","type":"BoxAnnotation"},{"attributes":{},"id":"30d3bfd3-5248-42fc-982a-86e7d16e63cf","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"23692b44-77c4-4b9c-be94-d5552b8f9f45","subtype":"Figure","type":"Plot"},"ticker":{"id":"c81831bd-5c82-4edc-bfd6-fa023f5a3efc","type":"BasicTicker"}},"id":"d3379124-d93c-4499-9ca5-7c81e9479409","type":"Grid"},{"attributes":{"data_source":{"id":"a6b782ad-054d-455c-8fc0-e65a9a607402","type":"ColumnDataSource"},"glyph":{"id":"88dd9d81-d6f8-470f-9413-052b137d91c5","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5d19e81d-c1cc-4a18-84be-4b40ff3e3a48","type":"Patches"},"selection_glyph":null,"view":{"id":"5cb57a0a-bf2b-45e8-9ab8-387ac25f3cca","type":"CDSView"}},"id":"df4ecfaf-1a63-49f5-a9b6-b12751a20422","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"53d7c4be-9780-4dee-ae5d-226f81ad9f9b","type":"BasicTickFormatter"},"plot":{"id":"23692b44-77c4-4b9c-be94-d5552b8f9f45","subtype":"Figure","type":"Plot"},"ticker":{"id":"c81831bd-5c82-4edc-bfd6-fa023f5a3efc","type":"BasicTicker"}},"id":"b20f2947-6651-4f2f-8bec-cdd6e4145ff3","type":"LinearAxis"},{"attributes":{},"id":"a1f88b11-db46-429e-8f37-2b113697a4a9","type":"HelpTool"},{"attributes":{"formatter":{"id":"5425cd9e-80df-42b5-beee-5a7475c7edbf","type":"BasicTickFormatter"},"plot":{"id":"23692b44-77c4-4b9c-be94-d5552b8f9f45","subtype":"Figure","type":"Plot"},"ticker":{"id":"210fba2c-64db-4fa8-95ca-a5a60fe40c0a","type":"BasicTicker"}},"id":"2b65185a-0d01-44b1-adc0-8251136f79b5","type":"LinearAxis"},{"attributes":{},"id":"85d34255-a2f0-4a73-bb06-b3ec23fd67f5","type":"SaveTool"},{"attributes":{"fill_alpha":{"field":"fill_alpha"},"fill_color":{"field":"fill_color"},"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"88dd9d81-d6f8-470f-9413-052b137d91c5","type":"Patches"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5f155745-506e-42f7-90ac-a4f7cb841be1","type":"PanTool"},{"id":"8520f0a4-181c-4850-80f1-46c7a9eb510e","type":"WheelZoomTool"},{"id":"867f046b-a840-40d2-87a4-25347e904546","type":"BoxZoomTool"},{"id":"85d34255-a2f0-4a73-bb06-b3ec23fd67f5","type":"SaveTool"},{"id":"30d3bfd3-5248-42fc-982a-86e7d16e63cf","type":"ResetTool"},{"id":"a1f88b11-db46-429e-8f37-2b113697a4a9","type":"HelpTool"}]},"id":"0d7b0163-99e1-41a3-bbcc-30a8901c7f17","type":"Toolbar"},{"attributes":{},"id":"5425cd9e-80df-42b5-beee-5a7475c7edbf","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha","fill_alpha","fill_color"],"data":{"fill_alpha":[0.8,0.3],"fill_color":["firebrick","navy"],"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"a6b782ad-054d-455c-8fc0-e65a9a607402","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"2b65185a-0d01-44b1-adc0-8251136f79b5","type":"LinearAxis"}],"left":[{"id":"b20f2947-6651-4f2f-8bec-cdd6e4145ff3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2b65185a-0d01-44b1-adc0-8251136f79b5","type":"LinearAxis"},{"id":"db8b051f-8675-4500-81fc-96a517940104","type":"Grid"},{"id":"b20f2947-6651-4f2f-8bec-cdd6e4145ff3","type":"LinearAxis"},{"id":"d3379124-d93c-4499-9ca5-7c81e9479409","type":"Grid"},{"id":"5b524b0b-8019-4b56-bcc0-fa5968adfe60","type":"BoxAnnotation"},{"id":"df4ecfaf-1a63-49f5-a9b6-b12751a20422","type":"GlyphRenderer"}],"title":{"id":"388064d4-c5ec-4211-bfd7-b8f66aa1f862","type":"Title"},"toolbar":{"id":"0d7b0163-99e1-41a3-bbcc-30a8901c7f17","type":"Toolbar"},"x_range":{"id":"d9967618-5edf-4eb9-816f-b19715360c5a","type":"DataRange1d"},"x_scale":{"id":"11e60a09-774c-40de-b00d-4e29edadaf31","type":"LinearScale"},"y_range":{"id":"ce92d999-2343-492a-a149-3b976359906d","type":"DataRange1d"},"y_scale":{"id":"cd99d863-462c-467e-9d97-c530c3f1f6e7","type":"LinearScale"}},"id":"23692b44-77c4-4b9c-be94-d5552b8f9f45","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"5b524b0b-8019-4b56-bcc0-fa5968adfe60","type":"BoxAnnotation"}},"id":"867f046b-a840-40d2-87a4-25347e904546","type":"BoxZoomTool"},{"attributes":{},"id":"210fba2c-64db-4fa8-95ca-a5a60fe40c0a","type":"BasicTicker"},{"attributes":{},"id":"8520f0a4-181c-4850-80f1-46c7a9eb510e","type":"WheelZoomTool"},{"attributes":{},"id":"11e60a09-774c-40de-b00d-4e29edadaf31","type":"LinearScale"},{"attributes":{"plot":{"id":"23692b44-77c4-4b9c-be94-d5552b8f9f45","subtype":"Figure","type":"Plot"},"ticker":{"id":"210fba2c-64db-4fa8-95ca-a5a60fe40c0a","type":"BasicTicker"}},"id":"db8b051f-8675-4500-81fc-96a517940104","type":"Grid"},{"attributes":{},"id":"53d7c4be-9780-4dee-ae5d-226f81ad9f9b","type":"BasicTickFormatter"},{"attributes":{},"id":"cd99d863-462c-467e-9d97-c530c3f1f6e7","type":"LinearScale"},{"attributes":{"source":{"id":"a6b782ad-054d-455c-8fc0-e65a9a607402","type":"ColumnDataSource"}},"id":"5cb57a0a-bf2b-45e8-9ab8-387ac25f3cca","type":"CDSView"},{"attributes":{"callback":null},"id":"ce92d999-2343-492a-a149-3b976359906d","type":"DataRange1d"},{"attributes":{},"id":"c81831bd-5c82-4edc-bfd6-fa023f5a3efc","type":"BasicTicker"}],"root_ids":["23692b44-77c4-4b9c-be94-d5552b8f9f45"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7aba8b66-2c65-4ab5-8c79-35748e4492d2","elementid":"8f458a81-1a5b-414a-8945-37cdaae6dc0d","modelid":"23692b44-77c4-4b9c-be94-d5552b8f9f45"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
