(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0c57e118-c788-4042-85e8-579bc30bf7cd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0c57e118-c788-4042-85e8-579bc30bf7cd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d1657637-12e9-4343-ae1d-5e2d85f7f4bf":{"roots":{"references":[{"attributes":{},"id":"72177be4-d847-4574-980e-03d0cfd21cc5","type":"LinearScale"},{"attributes":{},"id":"4a490a12-943c-49d2-98f2-697ca0f7a429","type":"BasicTickFormatter"},{"attributes":{},"id":"6708da7f-5a0f-4867-a168-7d36fdc6795b","type":"SaveTool"},{"attributes":{},"id":"8c27ab5e-2e6a-4628-a2b9-0a860ffd8434","type":"LinearScale"},{"attributes":{},"id":"889b2605-aa36-4322-aa4f-feb67430ed60","type":"ResetTool"},{"attributes":{},"id":"376b9c3f-1f45-472e-936a-f2b6d2a3c059","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5,6],"y":[6,7,5,"NaN",7,3,6]}},"id":"58a6430a-9067-4cc2-851a-13e7daf55e52","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"261ed662-2dcd-41fc-8750-73e0fbc4fe29","type":"Patch"},{"attributes":{},"id":"840cfbc2-2339-4bb1-accc-3aa6e929301e","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"28036d51-6f4e-4d5a-baed-0fc3a153b0b0","type":"Patch"},{"attributes":{"plot":null,"text":""},"id":"2b745af2-e7b3-4575-b6a5-f3d196e4c1ff","type":"Title"},{"attributes":{},"id":"4601e0e7-ad65-4242-bf96-366407e3a8f3","type":"BasicTicker"},{"attributes":{"overlay":{"id":"0afcb921-c19d-41bc-b77c-63256e709d17","type":"BoxAnnotation"}},"id":"b826acc2-eeaf-49fe-a952-f7d6df2c4dc3","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"10370375-75b1-4827-aa8a-a0344e8eb254","subtype":"Figure","type":"Plot"},"ticker":{"id":"376b9c3f-1f45-472e-936a-f2b6d2a3c059","type":"BasicTicker"}},"id":"664d3455-836e-4a56-9a8c-d0f94c1545b4","type":"Grid"},{"attributes":{"data_source":{"id":"58a6430a-9067-4cc2-851a-13e7daf55e52","type":"ColumnDataSource"},"glyph":{"id":"261ed662-2dcd-41fc-8750-73e0fbc4fe29","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"28036d51-6f4e-4d5a-baed-0fc3a153b0b0","type":"Patch"},"selection_glyph":null,"view":{"id":"606ccda2-d492-4c7f-9d20-9f1cdfaaebe5","type":"CDSView"}},"id":"44ad8c6b-3ec4-44fa-af2b-4f631a146a3d","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"9bb2be94-207e-409b-9a3a-9bcbcf78101b","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7657ba95-bb9a-42a0-97ab-dcaa060067d3","type":"PanTool"},{"id":"21433620-3d37-4b19-9b91-35ddd557f232","type":"WheelZoomTool"},{"id":"b826acc2-eeaf-49fe-a952-f7d6df2c4dc3","type":"BoxZoomTool"},{"id":"6708da7f-5a0f-4867-a168-7d36fdc6795b","type":"SaveTool"},{"id":"889b2605-aa36-4322-aa4f-feb67430ed60","type":"ResetTool"},{"id":"840cfbc2-2339-4bb1-accc-3aa6e929301e","type":"HelpTool"}]},"id":"2a8196f1-8ed4-4727-a7d9-e4f1d246ae65","type":"Toolbar"},{"attributes":{"below":[{"id":"06eef2fd-016a-4349-b6fd-f104a68ec29b","type":"LinearAxis"}],"left":[{"id":"40268313-d804-4d9d-a393-b3cbea79b69a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"06eef2fd-016a-4349-b6fd-f104a68ec29b","type":"LinearAxis"},{"id":"8ba19d24-f50c-4569-bd02-65f6cd35da7c","type":"Grid"},{"id":"40268313-d804-4d9d-a393-b3cbea79b69a","type":"LinearAxis"},{"id":"664d3455-836e-4a56-9a8c-d0f94c1545b4","type":"Grid"},{"id":"0afcb921-c19d-41bc-b77c-63256e709d17","type":"BoxAnnotation"},{"id":"44ad8c6b-3ec4-44fa-af2b-4f631a146a3d","type":"GlyphRenderer"}],"title":{"id":"2b745af2-e7b3-4575-b6a5-f3d196e4c1ff","type":"Title"},"toolbar":{"id":"2a8196f1-8ed4-4727-a7d9-e4f1d246ae65","type":"Toolbar"},"x_range":{"id":"9bb2be94-207e-409b-9a3a-9bcbcf78101b","type":"DataRange1d"},"x_scale":{"id":"72177be4-d847-4574-980e-03d0cfd21cc5","type":"LinearScale"},"y_range":{"id":"2d81ac41-14d8-4eff-b13b-787c129a859d","type":"DataRange1d"},"y_scale":{"id":"8c27ab5e-2e6a-4628-a2b9-0a860ffd8434","type":"LinearScale"}},"id":"10370375-75b1-4827-aa8a-a0344e8eb254","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0afcb921-c19d-41bc-b77c-63256e709d17","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"4a490a12-943c-49d2-98f2-697ca0f7a429","type":"BasicTickFormatter"},"plot":{"id":"10370375-75b1-4827-aa8a-a0344e8eb254","subtype":"Figure","type":"Plot"},"ticker":{"id":"4601e0e7-ad65-4242-bf96-366407e3a8f3","type":"BasicTicker"}},"id":"06eef2fd-016a-4349-b6fd-f104a68ec29b","type":"LinearAxis"},{"attributes":{},"id":"21433620-3d37-4b19-9b91-35ddd557f232","type":"WheelZoomTool"},{"attributes":{},"id":"a1509994-5294-47f0-8f0b-bb964b5478af","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"2d81ac41-14d8-4eff-b13b-787c129a859d","type":"DataRange1d"},{"attributes":{"formatter":{"id":"a1509994-5294-47f0-8f0b-bb964b5478af","type":"BasicTickFormatter"},"plot":{"id":"10370375-75b1-4827-aa8a-a0344e8eb254","subtype":"Figure","type":"Plot"},"ticker":{"id":"376b9c3f-1f45-472e-936a-f2b6d2a3c059","type":"BasicTicker"}},"id":"40268313-d804-4d9d-a393-b3cbea79b69a","type":"LinearAxis"},{"attributes":{"plot":{"id":"10370375-75b1-4827-aa8a-a0344e8eb254","subtype":"Figure","type":"Plot"},"ticker":{"id":"4601e0e7-ad65-4242-bf96-366407e3a8f3","type":"BasicTicker"}},"id":"8ba19d24-f50c-4569-bd02-65f6cd35da7c","type":"Grid"},{"attributes":{"source":{"id":"58a6430a-9067-4cc2-851a-13e7daf55e52","type":"ColumnDataSource"}},"id":"606ccda2-d492-4c7f-9d20-9f1cdfaaebe5","type":"CDSView"},{"attributes":{},"id":"7657ba95-bb9a-42a0-97ab-dcaa060067d3","type":"PanTool"}],"root_ids":["10370375-75b1-4827-aa8a-a0344e8eb254"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d1657637-12e9-4343-ae1d-5e2d85f7f4bf","elementid":"0c57e118-c788-4042-85e8-579bc30bf7cd","modelid":"10370375-75b1-4827-aa8a-a0344e8eb254"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
