(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("00f8c159-24b2-4c0d-9de5-736496abeba4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '00f8c159-24b2-4c0d-9de5-736496abeba4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"59a05b04-cf5e-4128-baba-d07ffd1c8555":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"9fc1450c-aa85-4ad2-a3cd-6b8d25f2a4b4","type":"Title"},{"attributes":{"callback":null},"id":"dc14cdb2-8de8-47f3-a8c0-6c7d35cb887e","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e803043b-5d10-49f6-a3ae-116ade0c6876","type":"BoxAnnotation"},{"attributes":{},"id":"b84af8e1-46af-477c-9ce8-9397da7328c0","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"8ada8b42-8614-49c5-9003-72b4bb8682f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c1cc586-1b3d-4a1d-9caa-cb2ad9941e38","type":"BasicTicker"}},"id":"2bba9d04-b685-4c47-9463-216d99995539","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"ec744079-9a91-4f94-8a0c-c62993d9805f","type":"Segment"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1a9bee30-567e-47b1-8b61-d5ac46b7d647","type":"PanTool"},{"id":"4b898b50-b95d-4b08-9a7b-53f9d30b0bed","type":"WheelZoomTool"},{"id":"66e3a275-d0c1-4cb6-8c7b-68c7e0707755","type":"BoxZoomTool"},{"id":"e9d63bbb-f513-467f-8575-5eca9f9b4957","type":"SaveTool"},{"id":"f260e116-80d5-4278-a7ce-7908584f7106","type":"ResetTool"},{"id":"7ba07c3b-2584-42c4-aec1-6f610193c60f","type":"HelpTool"}]},"id":"8f1df722-54b3-4d73-abcd-206552138761","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"8ada8b42-8614-49c5-9003-72b4bb8682f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"480afcbe-2598-4d0f-a1ee-d1e35cf2e2e8","type":"BasicTicker"}},"id":"f7fb9d5d-c0ca-4e62-8287-16b1fd356170","type":"Grid"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"1bd241c6-9dd2-4d45-b62b-20e56f4e24e6","type":"Segment"},{"attributes":{},"id":"7ba07c3b-2584-42c4-aec1-6f610193c60f","type":"HelpTool"},{"attributes":{},"id":"07ae2d6f-ad6f-4be4-a677-677ad8b6e6db","type":"LinearScale"},{"attributes":{"below":[{"id":"69018440-459c-47d8-bfaa-3332896db82f","type":"LinearAxis"}],"left":[{"id":"b1dc24d8-6ae7-4774-9c54-91364262b122","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"69018440-459c-47d8-bfaa-3332896db82f","type":"LinearAxis"},{"id":"2bba9d04-b685-4c47-9463-216d99995539","type":"Grid"},{"id":"b1dc24d8-6ae7-4774-9c54-91364262b122","type":"LinearAxis"},{"id":"f7fb9d5d-c0ca-4e62-8287-16b1fd356170","type":"Grid"},{"id":"e803043b-5d10-49f6-a3ae-116ade0c6876","type":"BoxAnnotation"},{"id":"7f7550a8-4da8-4bdf-82cf-843342bef787","type":"GlyphRenderer"}],"title":{"id":"9fc1450c-aa85-4ad2-a3cd-6b8d25f2a4b4","type":"Title"},"toolbar":{"id":"8f1df722-54b3-4d73-abcd-206552138761","type":"Toolbar"},"x_range":{"id":"dc14cdb2-8de8-47f3-a8c0-6c7d35cb887e","type":"DataRange1d"},"x_scale":{"id":"07ae2d6f-ad6f-4be4-a677-677ad8b6e6db","type":"LinearScale"},"y_range":{"id":"f048a64e-c52a-4a9d-8011-f98b37b622ce","type":"DataRange1d"},"y_scale":{"id":"cf29b3cc-b8cb-41e8-b024-85ad7d28e5af","type":"LinearScale"}},"id":"8ada8b42-8614-49c5-9003-72b4bb8682f4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7c1cc586-1b3d-4a1d-9caa-cb2ad9941e38","type":"BasicTicker"},{"attributes":{"source":{"id":"277c4fa4-49ba-40ee-91e3-60ae1285b10a","type":"ColumnDataSource"}},"id":"0a853017-80b4-429f-8166-e4b9194fb5c9","type":"CDSView"},{"attributes":{"formatter":{"id":"b84af8e1-46af-477c-9ce8-9397da7328c0","type":"BasicTickFormatter"},"plot":{"id":"8ada8b42-8614-49c5-9003-72b4bb8682f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"480afcbe-2598-4d0f-a1ee-d1e35cf2e2e8","type":"BasicTicker"}},"id":"b1dc24d8-6ae7-4774-9c54-91364262b122","type":"LinearAxis"},{"attributes":{},"id":"fb972c0c-1a64-4c6d-9e36-07f35dc6f24a","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"e803043b-5d10-49f6-a3ae-116ade0c6876","type":"BoxAnnotation"}},"id":"66e3a275-d0c1-4cb6-8c7b-68c7e0707755","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"fb972c0c-1a64-4c6d-9e36-07f35dc6f24a","type":"BasicTickFormatter"},"plot":{"id":"8ada8b42-8614-49c5-9003-72b4bb8682f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c1cc586-1b3d-4a1d-9caa-cb2ad9941e38","type":"BasicTicker"}},"id":"69018440-459c-47d8-bfaa-3332896db82f","type":"LinearAxis"},{"attributes":{"callback":null},"id":"f048a64e-c52a-4a9d-8011-f98b37b622ce","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1.2,2.4,3.1],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"277c4fa4-49ba-40ee-91e3-60ae1285b10a","type":"ColumnDataSource"},{"attributes":{},"id":"1a9bee30-567e-47b1-8b61-d5ac46b7d647","type":"PanTool"},{"attributes":{},"id":"cf29b3cc-b8cb-41e8-b024-85ad7d28e5af","type":"LinearScale"},{"attributes":{},"id":"f260e116-80d5-4278-a7ce-7908584f7106","type":"ResetTool"},{"attributes":{},"id":"e9d63bbb-f513-467f-8575-5eca9f9b4957","type":"SaveTool"},{"attributes":{},"id":"480afcbe-2598-4d0f-a1ee-d1e35cf2e2e8","type":"BasicTicker"},{"attributes":{},"id":"4b898b50-b95d-4b08-9a7b-53f9d30b0bed","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"277c4fa4-49ba-40ee-91e3-60ae1285b10a","type":"ColumnDataSource"},"glyph":{"id":"1bd241c6-9dd2-4d45-b62b-20e56f4e24e6","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec744079-9a91-4f94-8a0c-c62993d9805f","type":"Segment"},"selection_glyph":null,"view":{"id":"0a853017-80b4-429f-8166-e4b9194fb5c9","type":"CDSView"}},"id":"7f7550a8-4da8-4bdf-82cf-843342bef787","type":"GlyphRenderer"}],"root_ids":["8ada8b42-8614-49c5-9003-72b4bb8682f4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"59a05b04-cf5e-4128-baba-d07ffd1c8555","elementid":"00f8c159-24b2-4c0d-9de5-736496abeba4","modelid":"8ada8b42-8614-49c5-9003-72b4bb8682f4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
