(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2fa26d30-20d8-4bf6-8041-422c54190609");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2fa26d30-20d8-4bf6-8041-422c54190609' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1bee3fef-a711-4c02-9b53-4f60b11e7096":{"roots":{"references":[{"attributes":{"callback":null},"id":"c836a628-9687-48b0-9019-363073e7d751","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"95be583f-7dc2-487f-b465-757fb8778ecf","subtype":"Figure","type":"Plot"},"ticker":{"id":"d84d1258-2e6f-436c-a3dc-e1482cd69e8b","type":"BasicTicker"}},"id":"49a0b8a3-9998-457a-8c8f-789d86960324","type":"Grid"},{"attributes":{},"id":"b2d65827-97d0-40ba-98d3-6a14be93882c","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5fb16557-8670-4fe5-b145-4654f574a7db","type":"BoxAnnotation"},{"attributes":{},"id":"18d95b75-8848-4cf5-bccf-b43cac595aab","type":"ResetTool"},{"attributes":{"formatter":{"id":"df9119ae-5c34-4f50-b38b-1ea9379e9651","type":"BasicTickFormatter"},"plot":{"id":"95be583f-7dc2-487f-b465-757fb8778ecf","subtype":"Figure","type":"Plot"},"ticker":{"id":"d84d1258-2e6f-436c-a3dc-e1482cd69e8b","type":"BasicTicker"}},"id":"52d2377c-e388-40f1-9a47-a2ec3f4e5f8c","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b2d65827-97d0-40ba-98d3-6a14be93882c","type":"PanTool"},{"id":"4c36fae9-0a6d-4a17-91e7-b4e476df2fe7","type":"WheelZoomTool"},{"id":"de5316c7-99df-45bf-b6f7-f9be06a0c01c","type":"BoxZoomTool"},{"id":"01ffe06d-f669-4941-a5a2-3f8bc3f5bdc7","type":"SaveTool"},{"id":"18d95b75-8848-4cf5-bccf-b43cac595aab","type":"ResetTool"},{"id":"7ec532c7-6717-4c51-a6cb-50a492f303ca","type":"HelpTool"}]},"id":"10521df0-e666-4b26-b5e9-604f4c51ceaa","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"acab2a72-92ac-49bf-959e-d2f559efe0c2","type":"ColumnDataSource"},{"attributes":{},"id":"2c1335a1-62e9-446d-90f6-506cd27a750e","type":"BasicTicker"},{"attributes":{"plot":{"id":"95be583f-7dc2-487f-b465-757fb8778ecf","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c1335a1-62e9-446d-90f6-506cd27a750e","type":"BasicTicker"}},"id":"ef5bd6ea-b4ec-4c82-a7f0-c515a6f8217a","type":"Grid"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"green"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"green"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"18bc9851-a1bd-4c06-82ac-4b6e545851dc","type":"AnnularWedge"},{"attributes":{},"id":"d84d1258-2e6f-436c-a3dc-e1482cd69e8b","type":"BasicTicker"},{"attributes":{},"id":"0b3c110d-9af2-4715-982a-b510cb68415e","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3c1064da-71d7-4157-8bda-ef8f379daa6e","type":"DataRange1d"},{"attributes":{},"id":"df9119ae-5c34-4f50-b38b-1ea9379e9651","type":"BasicTickFormatter"},{"attributes":{},"id":"4c36fae9-0a6d-4a17-91e7-b4e476df2fe7","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"0b3c110d-9af2-4715-982a-b510cb68415e","type":"BasicTickFormatter"},"plot":{"id":"95be583f-7dc2-487f-b465-757fb8778ecf","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c1335a1-62e9-446d-90f6-506cd27a750e","type":"BasicTicker"}},"id":"04454306-793a-4c04-b4fd-f7c94dbf667b","type":"LinearAxis"},{"attributes":{},"id":"934dcb8f-dd60-4e03-a546-8f68c286726f","type":"LinearScale"},{"attributes":{},"id":"756c48b1-dadf-41fa-8214-31ffb822ce6c","type":"LinearScale"},{"attributes":{},"id":"7ec532c7-6717-4c51-a6cb-50a492f303ca","type":"HelpTool"},{"attributes":{"overlay":{"id":"5fb16557-8670-4fe5-b145-4654f574a7db","type":"BoxAnnotation"}},"id":"de5316c7-99df-45bf-b6f7-f9be06a0c01c","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"acab2a72-92ac-49bf-959e-d2f559efe0c2","type":"ColumnDataSource"},"glyph":{"id":"18bc9851-a1bd-4c06-82ac-4b6e545851dc","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b034376b-4f8b-4c0e-b7e7-40351b017c71","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"7420139d-f183-4e21-8e63-e57a7c78b811","type":"CDSView"}},"id":"d42642b4-4ad3-4cb0-9cc7-4fe28bcd2539","type":"GlyphRenderer"},{"attributes":{"source":{"id":"acab2a72-92ac-49bf-959e-d2f559efe0c2","type":"ColumnDataSource"}},"id":"7420139d-f183-4e21-8e63-e57a7c78b811","type":"CDSView"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"b034376b-4f8b-4c0e-b7e7-40351b017c71","type":"AnnularWedge"},{"attributes":{"plot":null,"text":""},"id":"ca9c41ba-9fb8-4a0e-94a7-5fe68b7b484d","type":"Title"},{"attributes":{},"id":"01ffe06d-f669-4941-a5a2-3f8bc3f5bdc7","type":"SaveTool"},{"attributes":{"below":[{"id":"04454306-793a-4c04-b4fd-f7c94dbf667b","type":"LinearAxis"}],"left":[{"id":"52d2377c-e388-40f1-9a47-a2ec3f4e5f8c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"04454306-793a-4c04-b4fd-f7c94dbf667b","type":"LinearAxis"},{"id":"ef5bd6ea-b4ec-4c82-a7f0-c515a6f8217a","type":"Grid"},{"id":"52d2377c-e388-40f1-9a47-a2ec3f4e5f8c","type":"LinearAxis"},{"id":"49a0b8a3-9998-457a-8c8f-789d86960324","type":"Grid"},{"id":"5fb16557-8670-4fe5-b145-4654f574a7db","type":"BoxAnnotation"},{"id":"d42642b4-4ad3-4cb0-9cc7-4fe28bcd2539","type":"GlyphRenderer"}],"title":{"id":"ca9c41ba-9fb8-4a0e-94a7-5fe68b7b484d","type":"Title"},"toolbar":{"id":"10521df0-e666-4b26-b5e9-604f4c51ceaa","type":"Toolbar"},"x_range":{"id":"c836a628-9687-48b0-9019-363073e7d751","type":"DataRange1d"},"x_scale":{"id":"756c48b1-dadf-41fa-8214-31ffb822ce6c","type":"LinearScale"},"y_range":{"id":"3c1064da-71d7-4157-8bda-ef8f379daa6e","type":"DataRange1d"},"y_scale":{"id":"934dcb8f-dd60-4e03-a546-8f68c286726f","type":"LinearScale"}},"id":"95be583f-7dc2-487f-b465-757fb8778ecf","subtype":"Figure","type":"Plot"}],"root_ids":["95be583f-7dc2-487f-b465-757fb8778ecf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1bee3fef-a711-4c02-9b53-4f60b11e7096","elementid":"2fa26d30-20d8-4bf6-8041-422c54190609","modelid":"95be583f-7dc2-487f-b465-757fb8778ecf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
