(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("524009ca-0d66-4a21-9e0e-1dc8055027ec");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '524009ca-0d66-4a21-9e0e-1dc8055027ec' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b8106ea4-1fc6-4bae-b688-89d1c425816e":{"roots":{"references":[{"attributes":{"callback":null},"id":"b4819157-578b-4212-bb1c-f80d089a99c3","type":"DataRange1d"},{"attributes":{},"id":"718832c0-f29b-473f-8127-5a46c852b251","type":"SaveTool"},{"attributes":{},"id":"d4ef70c7-6f26-440c-8d61-743b65dddd60","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"orange"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"fb477736-3d82-4a6c-8656-43b4bef1d9b1","type":"Annulus"},{"attributes":{},"id":"23a68de2-5e59-4dbe-8785-0b3ea9d7aa29","type":"WheelZoomTool"},{"attributes":{},"id":"b30d743a-1864-41f0-913b-18dfeb7073fb","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"404fab87-1df1-4c2d-ae75-b587a58aa34e","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"353c581b-6eb0-4838-a71d-9073b4137e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"3cee8bb8-b9f0-4082-9652-3a25b3c82a84","type":"BasicTicker"}},"id":"b73f01cd-d3ea-4e57-97f0-de8808112503","type":"Grid"},{"attributes":{"formatter":{"id":"e284e6c1-719f-4ca0-87d1-61cadb05347f","type":"BasicTickFormatter"},"plot":{"id":"353c581b-6eb0-4838-a71d-9073b4137e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"3cee8bb8-b9f0-4082-9652-3a25b3c82a84","type":"BasicTicker"}},"id":"524ca723-2984-4c56-ba2d-3c0322fedf01","type":"LinearAxis"},{"attributes":{"below":[{"id":"9c86157f-663d-40c6-852b-c61194c3792c","type":"LinearAxis"}],"left":[{"id":"524ca723-2984-4c56-ba2d-3c0322fedf01","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9c86157f-663d-40c6-852b-c61194c3792c","type":"LinearAxis"},{"id":"a5819e3d-dd0b-4068-afc5-9e21ed03c3a8","type":"Grid"},{"id":"524ca723-2984-4c56-ba2d-3c0322fedf01","type":"LinearAxis"},{"id":"b73f01cd-d3ea-4e57-97f0-de8808112503","type":"Grid"},{"id":"017b44fb-c5f5-4243-b72f-55b6ed34d350","type":"BoxAnnotation"},{"id":"1e4f01b3-436c-4e48-878f-583211f16d70","type":"GlyphRenderer"}],"title":{"id":"404fab87-1df1-4c2d-ae75-b587a58aa34e","type":"Title"},"toolbar":{"id":"e67f417a-705a-45bb-a774-bfce2818c30a","type":"Toolbar"},"x_range":{"id":"b4819157-578b-4212-bb1c-f80d089a99c3","type":"DataRange1d"},"x_scale":{"id":"b30d743a-1864-41f0-913b-18dfeb7073fb","type":"LinearScale"},"y_range":{"id":"e4f91e7c-c92f-4dc3-a6f3-8368a0134db2","type":"DataRange1d"},"y_scale":{"id":"376a6d52-a808-4465-9322-822f4e578ee7","type":"LinearScale"}},"id":"353c581b-6eb0-4838-a71d-9073b4137e14","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"376a6d52-a808-4465-9322-822f4e578ee7","type":"LinearScale"},{"attributes":{"plot":{"id":"353c581b-6eb0-4838-a71d-9073b4137e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"09a212fb-3210-4c2a-b951-6d0a8ce1ae47","type":"BasicTicker"}},"id":"a5819e3d-dd0b-4068-afc5-9e21ed03c3a8","type":"Grid"},{"attributes":{},"id":"88b3c618-3da6-4586-a16b-977264ca0dc7","type":"HelpTool"},{"attributes":{},"id":"3cee8bb8-b9f0-4082-9652-3a25b3c82a84","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"a7281e0d-75a8-48e2-a873-1cc597b40350","type":"Annulus"},{"attributes":{},"id":"09a212fb-3210-4c2a-b951-6d0a8ce1ae47","type":"BasicTicker"},{"attributes":{"callback":null},"id":"e4f91e7c-c92f-4dc3-a6f3-8368a0134db2","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"017b44fb-c5f5-4243-b72f-55b6ed34d350","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"be99c8ea-d2ba-47dd-81b3-5f0710c10b55","type":"ColumnDataSource"},"glyph":{"id":"fb477736-3d82-4a6c-8656-43b4bef1d9b1","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a7281e0d-75a8-48e2-a873-1cc597b40350","type":"Annulus"},"selection_glyph":null,"view":{"id":"34377b01-132c-4390-b987-12e6e7fee2a4","type":"CDSView"}},"id":"1e4f01b3-436c-4e48-878f-583211f16d70","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"017b44fb-c5f5-4243-b72f-55b6ed34d350","type":"BoxAnnotation"}},"id":"ab568f7f-abf9-4af3-b748-5360151f128d","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"be99c8ea-d2ba-47dd-81b3-5f0710c10b55","type":"ColumnDataSource"},{"attributes":{},"id":"e1e63f79-06cb-4a9e-a26b-8621726a3c75","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e1e63f79-06cb-4a9e-a26b-8621726a3c75","type":"PanTool"},{"id":"23a68de2-5e59-4dbe-8785-0b3ea9d7aa29","type":"WheelZoomTool"},{"id":"ab568f7f-abf9-4af3-b748-5360151f128d","type":"BoxZoomTool"},{"id":"718832c0-f29b-473f-8127-5a46c852b251","type":"SaveTool"},{"id":"d4ef70c7-6f26-440c-8d61-743b65dddd60","type":"ResetTool"},{"id":"88b3c618-3da6-4586-a16b-977264ca0dc7","type":"HelpTool"}]},"id":"e67f417a-705a-45bb-a774-bfce2818c30a","type":"Toolbar"},{"attributes":{"source":{"id":"be99c8ea-d2ba-47dd-81b3-5f0710c10b55","type":"ColumnDataSource"}},"id":"34377b01-132c-4390-b987-12e6e7fee2a4","type":"CDSView"},{"attributes":{"formatter":{"id":"8499e4d0-afd3-402b-9783-3c0a87aedfa3","type":"BasicTickFormatter"},"plot":{"id":"353c581b-6eb0-4838-a71d-9073b4137e14","subtype":"Figure","type":"Plot"},"ticker":{"id":"09a212fb-3210-4c2a-b951-6d0a8ce1ae47","type":"BasicTicker"}},"id":"9c86157f-663d-40c6-852b-c61194c3792c","type":"LinearAxis"},{"attributes":{},"id":"e284e6c1-719f-4ca0-87d1-61cadb05347f","type":"BasicTickFormatter"},{"attributes":{},"id":"8499e4d0-afd3-402b-9783-3c0a87aedfa3","type":"BasicTickFormatter"}],"root_ids":["353c581b-6eb0-4838-a71d-9073b4137e14"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b8106ea4-1fc6-4bae-b688-89d1c425816e","elementid":"524009ca-0d66-4a21-9e0e-1dc8055027ec","modelid":"353c581b-6eb0-4838-a71d-9073b4137e14"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
