(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6b43f90d-43da-489e-b9b2-78016ededf1c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6b43f90d-43da-489e-b9b2-78016ededf1c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dae1ddc5-e4b7-4814-9dd7-241765615f0c":{"roots":{"references":[{"attributes":{},"id":"a3a567c3-de67-4acf-954b-0c0a047edccf","type":"BasicTicker"},{"attributes":{"formatter":{"id":"f4c77618-3d0a-4966-875c-433c521b28bc","type":"BasicTickFormatter"},"plot":{"id":"ea7d13d0-859a-474c-b08a-5ba736341f12","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3a567c3-de67-4acf-954b-0c0a047edccf","type":"BasicTicker"}},"id":"28436a64-f178-4f0f-8b82-42ded3df6ed9","type":"LinearAxis"},{"attributes":{"plot":{"id":"ea7d13d0-859a-474c-b08a-5ba736341f12","subtype":"Figure","type":"Plot"},"ticker":{"id":"a3a567c3-de67-4acf-954b-0c0a047edccf","type":"BasicTicker"}},"id":"83e07bfb-0279-492c-9c28-e35bebe9325d","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"29b92ff6-12a9-4f5d-acc9-2e411653744e","type":"BoxAnnotation"},{"attributes":{},"id":"d220891e-fee7-496a-98a0-315699944d7a","type":"SaveTool"},{"attributes":{"callback":null},"id":"8061e830-633e-4347-8107-edf24d22ba4a","type":"DataRange1d"},{"attributes":{"data_source":{"id":"986f5a78-2607-44db-ac5e-aefc09ed284c","type":"ColumnDataSource"},"glyph":{"id":"21272e11-07f2-481a-ba5d-599c9012c053","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e4191383-2964-455e-b386-e64f0e2c4c63","type":"Line"},"selection_glyph":null,"view":{"id":"7a59162c-cc31-4522-a6ca-f2a1ef0cacf4","type":"CDSView"}},"id":"b45421ee-f9e8-432a-94fe-f81bd08ae5e0","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"9827d27e-0606-4e85-a8a3-a2ec89315adb","type":"ColumnDataSource"},"glyph":{"id":"6c549a1a-006b-4293-918c-b9f857dfcee9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e1abaf15-7da7-4101-9a67-abca4e263fc2","type":"Circle"},"selection_glyph":null,"view":{"id":"24e33092-ca1b-4f22-8856-ff770e1a5680","type":"CDSView"}},"id":"439f020e-13c7-43ab-80c2-df4d78fbef74","type":"GlyphRenderer"},{"attributes":{"source":{"id":"9827d27e-0606-4e85-a8a3-a2ec89315adb","type":"ColumnDataSource"}},"id":"24e33092-ca1b-4f22-8856-ff770e1a5680","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"ea7d13d0-859a-474c-b08a-5ba736341f12","subtype":"Figure","type":"Plot"},"ticker":{"id":"091fc6d8-1dc4-4dd5-bc9d-dd6c9b9fb1d1","type":"BasicTicker"}},"id":"5a2a9d17-032d-4ecd-a617-3256b4302eae","type":"Grid"},{"attributes":{},"id":"f4c77618-3d0a-4966-875c-433c521b28bc","type":"BasicTickFormatter"},{"attributes":{},"id":"8e63dad5-3fbc-4374-ac8f-c9e1244e1947","type":"BasicTickFormatter"},{"attributes":{},"id":"d5704185-9aa4-49fd-8335-8c83a1d32604","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"84908092-c71f-41f1-a9a7-f9f81aeadf41","type":"Title"},{"attributes":{},"id":"091fc6d8-1dc4-4dd5-bc9d-dd6c9b9fb1d1","type":"BasicTicker"},{"attributes":{"overlay":{"id":"29b92ff6-12a9-4f5d-acc9-2e411653744e","type":"BoxAnnotation"}},"id":"99ea789b-93b2-4e54-b9f4-3bce9c423fb6","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"28436a64-f178-4f0f-8b82-42ded3df6ed9","type":"LinearAxis"}],"left":[{"id":"4fbf59ad-f600-4d14-8287-b0d09f580bc6","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"28436a64-f178-4f0f-8b82-42ded3df6ed9","type":"LinearAxis"},{"id":"83e07bfb-0279-492c-9c28-e35bebe9325d","type":"Grid"},{"id":"4fbf59ad-f600-4d14-8287-b0d09f580bc6","type":"LinearAxis"},{"id":"5a2a9d17-032d-4ecd-a617-3256b4302eae","type":"Grid"},{"id":"29b92ff6-12a9-4f5d-acc9-2e411653744e","type":"BoxAnnotation"},{"id":"b45421ee-f9e8-432a-94fe-f81bd08ae5e0","type":"GlyphRenderer"},{"id":"439f020e-13c7-43ab-80c2-df4d78fbef74","type":"GlyphRenderer"}],"title":{"id":"84908092-c71f-41f1-a9a7-f9f81aeadf41","type":"Title"},"toolbar":{"id":"69593ecc-5072-4c2d-b13a-b3751506ca51","type":"Toolbar"},"x_range":{"id":"8061e830-633e-4347-8107-edf24d22ba4a","type":"DataRange1d"},"x_scale":{"id":"b489ae2d-3663-4c93-8827-61f586e3d712","type":"LinearScale"},"y_range":{"id":"37230566-5fa8-4ff3-91bc-23959eb66925","type":"DataRange1d"},"y_scale":{"id":"02d7f0a1-1ac0-4e1f-85a0-1ee3f241e77b","type":"LinearScale"}},"id":"ea7d13d0-859a-474c-b08a-5ba736341f12","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7f584093-659a-47b1-bf65-8c599c385cb9","type":"ResetTool"},{"attributes":{"callback":null},"id":"37230566-5fa8-4ff3-91bc-23959eb66925","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d5704185-9aa4-49fd-8335-8c83a1d32604","type":"PanTool"},{"id":"c1df1f9e-17c3-43a9-9d3a-21f072959128","type":"WheelZoomTool"},{"id":"99ea789b-93b2-4e54-b9f4-3bce9c423fb6","type":"BoxZoomTool"},{"id":"d220891e-fee7-496a-98a0-315699944d7a","type":"SaveTool"},{"id":"7f584093-659a-47b1-bf65-8c599c385cb9","type":"ResetTool"},{"id":"b3e18972-f1dd-4550-91ba-4d2852710a72","type":"HelpTool"}]},"id":"69593ecc-5072-4c2d-b13a-b3751506ca51","type":"Toolbar"},{"attributes":{},"id":"b3e18972-f1dd-4550-91ba-4d2852710a72","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"9827d27e-0606-4e85-a8a3-a2ec89315adb","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"8e63dad5-3fbc-4374-ac8f-c9e1244e1947","type":"BasicTickFormatter"},"plot":{"id":"ea7d13d0-859a-474c-b08a-5ba736341f12","subtype":"Figure","type":"Plot"},"ticker":{"id":"091fc6d8-1dc4-4dd5-bc9d-dd6c9b9fb1d1","type":"BasicTicker"}},"id":"4fbf59ad-f600-4d14-8287-b0d09f580bc6","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"21272e11-07f2-481a-ba5d-599c9012c053","type":"Line"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"e1abaf15-7da7-4101-9a67-abca4e263fc2","type":"Circle"},{"attributes":{"source":{"id":"986f5a78-2607-44db-ac5e-aefc09ed284c","type":"ColumnDataSource"}},"id":"7a59162c-cc31-4522-a6ca-f2a1ef0cacf4","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e4191383-2964-455e-b386-e64f0e2c4c63","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"986f5a78-2607-44db-ac5e-aefc09ed284c","type":"ColumnDataSource"},{"attributes":{},"id":"b489ae2d-3663-4c93-8827-61f586e3d712","type":"LinearScale"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"6c549a1a-006b-4293-918c-b9f857dfcee9","type":"Circle"},{"attributes":{},"id":"02d7f0a1-1ac0-4e1f-85a0-1ee3f241e77b","type":"LinearScale"},{"attributes":{},"id":"c1df1f9e-17c3-43a9-9d3a-21f072959128","type":"WheelZoomTool"}],"root_ids":["ea7d13d0-859a-474c-b08a-5ba736341f12"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dae1ddc5-e4b7-4814-9dd7-241765615f0c","elementid":"6b43f90d-43da-489e-b9b2-78016ededf1c","modelid":"ea7d13d0-859a-474c-b08a-5ba736341f12"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
