(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ccad0f1e-cbb3-4367-a47c-d98ea3df19a2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ccad0f1e-cbb3-4367-a47c-d98ea3df19a2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"95b5a519-1d4f-4a84-b8c0-0a60bfca784f":{"roots":{"references":[{"attributes":{},"id":"54da9895-8d1b-462d-a715-94fa1b6343fa","type":"BasicTicker"},{"attributes":{},"id":"82b44c06-2aa8-43fb-a4e7-a799f4e6b551","type":"ResetTool"},{"attributes":{},"id":"d9d44348-b0a2-4bd7-ad84-1fed5901e29f","type":"LinearScale"},{"attributes":{},"id":"7733d419-69cb-42bd-a9a4-9c0ab6437166","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e9636435-154a-4872-ad09-52e7c23a29b6","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"be59ea27-aedb-47c0-9093-0c6e0f0f462f","type":"Circle"},{"attributes":{"formatter":{"id":"7733d419-69cb-42bd-a9a4-9c0ab6437166","type":"BasicTickFormatter"},"plot":{"id":"7ae3d274-2ab9-4376-9bda-6359d16ecfc0","subtype":"Figure","type":"Plot"},"ticker":{"id":"a530741f-7f83-4f2e-baa4-d9931933241f","type":"BasicTicker"}},"id":"c3f035be-ec12-43cb-813b-e6c12ea160b4","type":"LinearAxis"},{"attributes":{},"id":"8dfe73ca-f932-4cce-ae8c-8233007e4624","type":"LinearScale"},{"attributes":{},"id":"af77a79e-94f6-4462-a3b5-9aeb9e1da9b1","type":"PanTool"},{"attributes":{"plot":{"id":"7ae3d274-2ab9-4376-9bda-6359d16ecfc0","subtype":"Figure","type":"Plot"},"ticker":{"id":"54da9895-8d1b-462d-a715-94fa1b6343fa","type":"BasicTicker"}},"id":"5f9fa5da-c1bc-4bcf-99f9-366175e4171a","type":"Grid"},{"attributes":{"data_source":{"id":"b94292c3-12b8-4291-a8ef-03ca246ea14b","type":"ColumnDataSource"},"glyph":{"id":"be59ea27-aedb-47c0-9093-0c6e0f0f462f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fc8d3f24-a11a-479d-939e-b3c26cee4360","type":"Circle"},"selection_glyph":null,"view":{"id":"3b5d4cc2-6cf9-4bea-91a9-4fe07d1b1464","type":"CDSView"}},"id":"912b075d-4063-46cf-87de-8382dd61093e","type":"GlyphRenderer"},{"attributes":{},"id":"ee4b3b1a-c848-423f-a541-e466ca75e4d7","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"af77a79e-94f6-4462-a3b5-9aeb9e1da9b1","type":"PanTool"},{"id":"3119c918-5cc2-448d-8076-bf322abc3679","type":"WheelZoomTool"},{"id":"8e77406a-09da-42c0-a239-1d6e3dbd13e4","type":"BoxZoomTool"},{"id":"ee4b3b1a-c848-423f-a541-e466ca75e4d7","type":"SaveTool"},{"id":"82b44c06-2aa8-43fb-a4e7-a799f4e6b551","type":"ResetTool"},{"id":"05f379c3-df96-4286-a7df-6178b776304d","type":"HelpTool"}]},"id":"ff9ee250-764c-4453-bb43-bdd50f8d7485","type":"Toolbar"},{"attributes":{"callback":null,"end":20},"id":"eea621e3-164c-4e3d-8fa5-6d83a4f35fc7","type":"Range1d"},{"attributes":{},"id":"05f379c3-df96-4286-a7df-6178b776304d","type":"HelpTool"},{"attributes":{"callback":null,"end":15},"id":"6dab4030-ff8a-4ec6-9592-4a523eabe198","type":"Range1d"},{"attributes":{"overlay":{"id":"e9636435-154a-4872-ad09-52e7c23a29b6","type":"BoxAnnotation"}},"id":"8e77406a-09da-42c0-a239-1d6e3dbd13e4","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"7ae3d274-2ab9-4376-9bda-6359d16ecfc0","subtype":"Figure","type":"Plot"},"ticker":{"id":"a530741f-7f83-4f2e-baa4-d9931933241f","type":"BasicTicker"}},"id":"4e099a58-ca09-4ee7-80d4-52764a50eb78","type":"Grid"},{"attributes":{"source":{"id":"b94292c3-12b8-4291-a8ef-03ca246ea14b","type":"ColumnDataSource"}},"id":"3b5d4cc2-6cf9-4bea-91a9-4fe07d1b1464","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"0876c77f-ef94-4ccc-9aed-0da2ab9b2bc5","type":"Title"},{"attributes":{},"id":"a530741f-7f83-4f2e-baa4-d9931933241f","type":"BasicTicker"},{"attributes":{},"id":"b8ce1e50-9e9b-40f3-9c61-b35d3668cd9e","type":"BasicTickFormatter"},{"attributes":{},"id":"3119c918-5cc2-448d-8076-bf322abc3679","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b94292c3-12b8-4291-a8ef-03ca246ea14b","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b8ce1e50-9e9b-40f3-9c61-b35d3668cd9e","type":"BasicTickFormatter"},"plot":{"id":"7ae3d274-2ab9-4376-9bda-6359d16ecfc0","subtype":"Figure","type":"Plot"},"ticker":{"id":"54da9895-8d1b-462d-a715-94fa1b6343fa","type":"BasicTicker"}},"id":"443c3dfe-403b-473e-8485-f4639a2171bf","type":"LinearAxis"},{"attributes":{"below":[{"id":"443c3dfe-403b-473e-8485-f4639a2171bf","type":"LinearAxis"}],"left":[{"id":"c3f035be-ec12-43cb-813b-e6c12ea160b4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"443c3dfe-403b-473e-8485-f4639a2171bf","type":"LinearAxis"},{"id":"5f9fa5da-c1bc-4bcf-99f9-366175e4171a","type":"Grid"},{"id":"c3f035be-ec12-43cb-813b-e6c12ea160b4","type":"LinearAxis"},{"id":"4e099a58-ca09-4ee7-80d4-52764a50eb78","type":"Grid"},{"id":"e9636435-154a-4872-ad09-52e7c23a29b6","type":"BoxAnnotation"},{"id":"912b075d-4063-46cf-87de-8382dd61093e","type":"GlyphRenderer"}],"title":{"id":"0876c77f-ef94-4ccc-9aed-0da2ab9b2bc5","type":"Title"},"toolbar":{"id":"ff9ee250-764c-4453-bb43-bdd50f8d7485","type":"Toolbar"},"x_range":{"id":"eea621e3-164c-4e3d-8fa5-6d83a4f35fc7","type":"Range1d"},"x_scale":{"id":"d9d44348-b0a2-4bd7-ad84-1fed5901e29f","type":"LinearScale"},"y_range":{"id":"6dab4030-ff8a-4ec6-9592-4a523eabe198","type":"Range1d"},"y_scale":{"id":"8dfe73ca-f932-4cce-ae8c-8233007e4624","type":"LinearScale"}},"id":"7ae3d274-2ab9-4376-9bda-6359d16ecfc0","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fc8d3f24-a11a-479d-939e-b3c26cee4360","type":"Circle"}],"root_ids":["7ae3d274-2ab9-4376-9bda-6359d16ecfc0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"95b5a519-1d4f-4a84-b8c0-0a60bfca784f","elementid":"ccad0f1e-cbb3-4367-a47c-d98ea3df19a2","modelid":"7ae3d274-2ab9-4376-9bda-6359d16ecfc0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
