(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7d7377fe-8afd-47df-8c42-979f3c7e09cf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7d7377fe-8afd-47df-8c42-979f3c7e09cf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2ec58069-0c25-4332-8db5-7d86bba51eb1":{"roots":{"references":[{"attributes":{},"id":"f043578f-02f4-44a4-98e9-335bff697c28","type":"WheelZoomTool"},{"attributes":{},"id":"dad1da99-7da2-46fb-971f-387c986e0531","type":"BasicTicker"},{"attributes":{},"id":"c68e19d4-69af-43f9-983c-4c92050cf229","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"9ea46c36-68eb-4d49-b242-f4392864aa09","type":"ColumnDataSource"},"glyph":{"id":"3a0c4d8d-e108-45d4-b52b-114bbc11eb71","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c09d0403-a938-4e86-b824-7869d4b3b0b0","type":"MultiLine"},"selection_glyph":null,"view":{"id":"0f4fda77-9a8a-4275-bf84-f22a7f212664","type":"CDSView"}},"id":"9f034f4b-85d2-476a-97ab-133d35ebcb2c","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"fc81a81e-097f-49fb-adbb-c0d883ced6b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c9812a7-b246-4c46-a1d8-f853d9a34d44","type":"BasicTicker"}},"id":"8d22cb7e-06c4-4120-8401-3179b39dfffb","type":"Grid"},{"attributes":{"callback":null},"id":"4c51ee78-2149-4546-8fe9-7feaa1fef8be","type":"DataRange1d"},{"attributes":{},"id":"8c9812a7-b246-4c46-a1d8-f853d9a34d44","type":"BasicTicker"},{"attributes":{},"id":"6fcfeaa7-9a9a-41ec-8164-eabe2cc522fc","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"a42ae92c-ffef-4875-9723-719614d82f04","type":"LinearAxis"}],"left":[{"id":"c0c2c3fc-a72e-413b-a769-5dda4a55d316","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a42ae92c-ffef-4875-9723-719614d82f04","type":"LinearAxis"},{"id":"8d22cb7e-06c4-4120-8401-3179b39dfffb","type":"Grid"},{"id":"c0c2c3fc-a72e-413b-a769-5dda4a55d316","type":"LinearAxis"},{"id":"82f2c35a-7247-4a9e-bc93-2a16883c7a57","type":"Grid"},{"id":"3207c295-5d81-4532-a226-cfc9dc1c16be","type":"BoxAnnotation"},{"id":"9f034f4b-85d2-476a-97ab-133d35ebcb2c","type":"GlyphRenderer"}],"title":{"id":"b690899a-30a6-4af7-b097-bb9aeda33e73","type":"Title"},"toolbar":{"id":"a76ecb00-7449-48c5-abdc-719ee4700fda","type":"Toolbar"},"x_range":{"id":"4c51ee78-2149-4546-8fe9-7feaa1fef8be","type":"DataRange1d"},"x_scale":{"id":"3760ba1f-5235-45fa-952e-0c7e1ba9d9a1","type":"LinearScale"},"y_range":{"id":"80a9691e-7910-44f0-ae4b-c2586c085051","type":"DataRange1d"},"y_scale":{"id":"3b158057-70d6-4702-a885-94f8aba9f238","type":"LinearScale"}},"id":"fc81a81e-097f-49fb-adbb-c0d883ced6b0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3b158057-70d6-4702-a885-94f8aba9f238","type":"LinearScale"},{"attributes":{"source":{"id":"9ea46c36-68eb-4d49-b242-f4392864aa09","type":"ColumnDataSource"}},"id":"0f4fda77-9a8a-4275-bf84-f22a7f212664","type":"CDSView"},{"attributes":{},"id":"3bcb26e5-5b1c-4c3e-aad7-0fef6cfe13a9","type":"PanTool"},{"attributes":{"formatter":{"id":"6fcfeaa7-9a9a-41ec-8164-eabe2cc522fc","type":"BasicTickFormatter"},"plot":{"id":"fc81a81e-097f-49fb-adbb-c0d883ced6b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"dad1da99-7da2-46fb-971f-387c986e0531","type":"BasicTicker"}},"id":"c0c2c3fc-a72e-413b-a769-5dda4a55d316","type":"LinearAxis"},{"attributes":{},"id":"ec14e03a-007d-4b8b-a4d0-14bb3cf45d62","type":"SaveTool"},{"attributes":{},"id":"3760ba1f-5235-45fa-952e-0c7e1ba9d9a1","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3207c295-5d81-4532-a226-cfc9dc1c16be","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3bcb26e5-5b1c-4c3e-aad7-0fef6cfe13a9","type":"PanTool"},{"id":"f043578f-02f4-44a4-98e9-335bff697c28","type":"WheelZoomTool"},{"id":"7498689c-3872-47c9-beb3-d412b350104c","type":"BoxZoomTool"},{"id":"ec14e03a-007d-4b8b-a4d0-14bb3cf45d62","type":"SaveTool"},{"id":"4ef83029-dfaf-451a-9950-47022f9729be","type":"ResetTool"},{"id":"dd2d3dea-6867-4470-9528-4069050ad0ce","type":"HelpTool"}]},"id":"a76ecb00-7449-48c5-abdc-719ee4700fda","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"fc81a81e-097f-49fb-adbb-c0d883ced6b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"dad1da99-7da2-46fb-971f-387c986e0531","type":"BasicTicker"}},"id":"82f2c35a-7247-4a9e-bc93-2a16883c7a57","type":"Grid"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha"],"data":{"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"9ea46c36-68eb-4d49-b242-f4392864aa09","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"c68e19d4-69af-43f9-983c-4c92050cf229","type":"BasicTickFormatter"},"plot":{"id":"fc81a81e-097f-49fb-adbb-c0d883ced6b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c9812a7-b246-4c46-a1d8-f853d9a34d44","type":"BasicTicker"}},"id":"a42ae92c-ffef-4875-9723-719614d82f04","type":"LinearAxis"},{"attributes":{"overlay":{"id":"3207c295-5d81-4532-a226-cfc9dc1c16be","type":"BoxAnnotation"}},"id":"7498689c-3872-47c9-beb3-d412b350104c","type":"BoxZoomTool"},{"attributes":{},"id":"4ef83029-dfaf-451a-9950-47022f9729be","type":"ResetTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"c09d0403-a938-4e86-b824-7869d4b3b0b0","type":"MultiLine"},{"attributes":{},"id":"dd2d3dea-6867-4470-9528-4069050ad0ce","type":"HelpTool"},{"attributes":{"callback":null},"id":"80a9691e-7910-44f0-ae4b-c2586c085051","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"b690899a-30a6-4af7-b097-bb9aeda33e73","type":"Title"},{"attributes":{"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"3a0c4d8d-e108-45d4-b52b-114bbc11eb71","type":"MultiLine"}],"root_ids":["fc81a81e-097f-49fb-adbb-c0d883ced6b0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2ec58069-0c25-4332-8db5-7d86bba51eb1","elementid":"7d7377fe-8afd-47df-8c42-979f3c7e09cf","modelid":"fc81a81e-097f-49fb-adbb-c0d883ced6b0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
