(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("74c44cf7-6190-4618-b8be-6dd9b047fb5c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '74c44cf7-6190-4618-b8be-6dd9b047fb5c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c5cfacb4-e8cb-4d92-b5d2-f330914a1788":{"roots":{"references":[{"attributes":{"data_source":{"id":"1faed732-b79b-4efe-841c-a9ea0eb5eb89","type":"ColumnDataSource"},"glyph":{"id":"fd103ea3-baed-4db3-8a8a-e70497fb10cb","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"62ce7979-e9f8-4421-aeff-a517572651ba","type":"Patch"},"selection_glyph":null,"view":{"id":"d61d8257-2965-461f-9f76-5da4641dea26","type":"CDSView"}},"id":"c5b4db9c-7ae0-45c8-86fa-7d7de3f8a7ff","type":"GlyphRenderer"},{"attributes":{},"id":"0fb1515f-26fc-42de-be6d-6e7aad29bc42","type":"BasicTicker"},{"attributes":{},"id":"fd38f53a-d2d2-46ff-99e8-9afab2099e7c","type":"LinearScale"},{"attributes":{},"id":"9e966049-e526-4e69-a47f-5cd6b9bafc5f","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"1faed732-b79b-4efe-841c-a9ea0eb5eb89","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"3ab2cf9d-fdbb-4ab2-aea6-b25ce5efdccf","type":"LinearAxis"}],"left":[{"id":"c0917c3f-2767-4ca0-baec-5eefd27b2b4e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3ab2cf9d-fdbb-4ab2-aea6-b25ce5efdccf","type":"LinearAxis"},{"id":"b6b4bfb1-5408-4db6-b1be-9f15e0044e43","type":"Grid"},{"id":"c0917c3f-2767-4ca0-baec-5eefd27b2b4e","type":"LinearAxis"},{"id":"fe7ad541-1fcc-4c0b-8d06-a605c9918593","type":"Grid"},{"id":"5b34a093-2c74-4ef3-b826-f296b38cf76b","type":"BoxAnnotation"},{"id":"c5b4db9c-7ae0-45c8-86fa-7d7de3f8a7ff","type":"GlyphRenderer"}],"title":{"id":"30d71736-86cb-4aeb-936f-6f0631af81d0","type":"Title"},"toolbar":{"id":"908f5d16-c85f-4217-8346-f31e162352f8","type":"Toolbar"},"x_range":{"id":"33b3d690-7276-4e31-81f1-c09d4ac97dec","type":"DataRange1d"},"x_scale":{"id":"b1c9dfbd-f66e-410c-8975-54124580598d","type":"LinearScale"},"y_range":{"id":"ec69fef8-1e0a-47e4-bbe3-e21168c01047","type":"DataRange1d"},"y_scale":{"id":"fd38f53a-d2d2-46ff-99e8-9afab2099e7c","type":"LinearScale"}},"id":"650a4ce3-edb5-49b8-ac57-40a33ff833f8","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"30d71736-86cb-4aeb-936f-6f0631af81d0","type":"Title"},{"attributes":{},"id":"022113a6-5c87-4bb9-bb84-22554521bee5","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"62ce7979-e9f8-4421-aeff-a517572651ba","type":"Patch"},{"attributes":{},"id":"b1c9dfbd-f66e-410c-8975-54124580598d","type":"LinearScale"},{"attributes":{},"id":"d5c04dab-171f-4c72-a9dd-db2c54ce4baf","type":"SaveTool"},{"attributes":{"plot":{"id":"650a4ce3-edb5-49b8-ac57-40a33ff833f8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fb1515f-26fc-42de-be6d-6e7aad29bc42","type":"BasicTicker"}},"id":"b6b4bfb1-5408-4db6-b1be-9f15e0044e43","type":"Grid"},{"attributes":{},"id":"209f0ac0-a40f-4921-a002-fd10f45eef74","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"92b4542f-38d6-48a9-905b-a1ae99919857","type":"BasicTickFormatter"},"plot":{"id":"650a4ce3-edb5-49b8-ac57-40a33ff833f8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0fb1515f-26fc-42de-be6d-6e7aad29bc42","type":"BasicTicker"}},"id":"3ab2cf9d-fdbb-4ab2-aea6-b25ce5efdccf","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"650a4ce3-edb5-49b8-ac57-40a33ff833f8","subtype":"Figure","type":"Plot"},"ticker":{"id":"dcfe6256-ee5c-466f-8c67-f119e8e42a59","type":"BasicTicker"}},"id":"fe7ad541-1fcc-4c0b-8d06-a605c9918593","type":"Grid"},{"attributes":{"source":{"id":"1faed732-b79b-4efe-841c-a9ea0eb5eb89","type":"ColumnDataSource"}},"id":"d61d8257-2965-461f-9f76-5da4641dea26","type":"CDSView"},{"attributes":{},"id":"dcfe6256-ee5c-466f-8c67-f119e8e42a59","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"97c5f40f-251a-4b45-991a-53e276511213","type":"PanTool"},{"id":"209f0ac0-a40f-4921-a002-fd10f45eef74","type":"WheelZoomTool"},{"id":"23ad55b6-e714-4bb6-82c0-53163e61144a","type":"BoxZoomTool"},{"id":"d5c04dab-171f-4c72-a9dd-db2c54ce4baf","type":"SaveTool"},{"id":"fb196750-666f-4d59-8129-d37293153857","type":"ResetTool"},{"id":"9e966049-e526-4e69-a47f-5cd6b9bafc5f","type":"HelpTool"}]},"id":"908f5d16-c85f-4217-8346-f31e162352f8","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5b34a093-2c74-4ef3-b826-f296b38cf76b","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"5b34a093-2c74-4ef3-b826-f296b38cf76b","type":"BoxAnnotation"}},"id":"23ad55b6-e714-4bb6-82c0-53163e61144a","type":"BoxZoomTool"},{"attributes":{},"id":"97c5f40f-251a-4b45-991a-53e276511213","type":"PanTool"},{"attributes":{"callback":null},"id":"33b3d690-7276-4e31-81f1-c09d4ac97dec","type":"DataRange1d"},{"attributes":{},"id":"fb196750-666f-4d59-8129-d37293153857","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"fd103ea3-baed-4db3-8a8a-e70497fb10cb","type":"Patch"},{"attributes":{"callback":null},"id":"ec69fef8-1e0a-47e4-bbe3-e21168c01047","type":"DataRange1d"},{"attributes":{"formatter":{"id":"022113a6-5c87-4bb9-bb84-22554521bee5","type":"BasicTickFormatter"},"plot":{"id":"650a4ce3-edb5-49b8-ac57-40a33ff833f8","subtype":"Figure","type":"Plot"},"ticker":{"id":"dcfe6256-ee5c-466f-8c67-f119e8e42a59","type":"BasicTicker"}},"id":"c0917c3f-2767-4ca0-baec-5eefd27b2b4e","type":"LinearAxis"},{"attributes":{},"id":"92b4542f-38d6-48a9-905b-a1ae99919857","type":"BasicTickFormatter"}],"root_ids":["650a4ce3-edb5-49b8-ac57-40a33ff833f8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c5cfacb4-e8cb-4d92-b5d2-f330914a1788","elementid":"74c44cf7-6190-4618-b8be-6dd9b047fb5c","modelid":"650a4ce3-edb5-49b8-ac57-40a33ff833f8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
