(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("916c616c-0f61-430b-b5b1-ccd0e9255600");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '916c616c-0f61-430b-b5b1-ccd0e9255600' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d2ace325-db95-4946-b84b-ab09613ac2bf":{"roots":{"references":[{"attributes":{},"id":"0c175313-84e8-4ea6-a5d2-831662f84a6a","type":"LinearScale"},{"attributes":{},"id":"c312cf5f-1999-458d-8006-fabef91dcf20","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"e24c5243-2008-4b2f-9558-44daac039190","type":"Title"},{"attributes":{"below":[{"id":"c89dce3e-ee2c-4348-8743-d8b97137c86b","type":"LinearAxis"}],"left":[{"id":"b054b37f-856b-41f1-b15e-8f7c578df2b7","type":"LinearAxis"}],"plot_height":200,"plot_width":500,"renderers":[{"id":"c89dce3e-ee2c-4348-8743-d8b97137c86b","type":"LinearAxis"},{"id":"9427ea2c-08c9-4a51-a088-e295710675b7","type":"Grid"},{"id":"b054b37f-856b-41f1-b15e-8f7c578df2b7","type":"LinearAxis"},{"id":"78287b0b-a6ca-4ec8-89d5-147412713a90","type":"Grid"},{"id":"2c44d6f5-03fd-487b-b022-9c662b02973a","type":"GlyphRenderer"},{"id":"26e3f337-71b0-416a-951a-5684fa76c999","type":"GlyphRenderer"}],"title":{"id":"e24c5243-2008-4b2f-9558-44daac039190","type":"Title"},"toolbar":{"id":"92f0f6ae-cda6-43fe-9877-272d2a8d53a4","type":"Toolbar"},"x_range":{"id":"d4a444a5-4377-4201-84a4-40513fea43c3","type":"DataRange1d"},"x_scale":{"id":"0c175313-84e8-4ea6-a5d2-831662f84a6a","type":"LinearScale"},"y_range":{"id":"1f03a403-58ec-49bf-beb1-23a171dc90ed","type":"DataRange1d"},"y_scale":{"id":"0b2ddd2b-bb64-4d14-b24a-fbe3e02c6515","type":"LinearScale"}},"id":"3f0c3460-a967-4eec-96cf-05583fe16ff4","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"c35e3c37-2789-4774-8a7e-6e5b3fcffd89","type":"ColumnDataSource"}},"id":"2eb45b66-8575-4768-af26-55f452fe8a49","type":"CDSView"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5bb5b9a1-c917-4f34-bd51-ccdffdc4dede","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6f98c4c6-55d1-45c0-97d7-b4c0fadc8fea","type":"Line"},{"attributes":{"formatter":{"id":"1088879f-8ec9-402e-a36b-c4973d126321","type":"BasicTickFormatter"},"plot":{"id":"3f0c3460-a967-4eec-96cf-05583fe16ff4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa62a458-89a4-4f59-ac00-038fc698cb05","type":"BasicTicker"},"visible":false},"id":"c89dce3e-ee2c-4348-8743-d8b97137c86b","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c1cd46d-99c4-4cf8-8711-3c26cdb94a84","type":"Line"},{"attributes":{"callback":null},"id":"d4a444a5-4377-4201-84a4-40513fea43c3","type":"DataRange1d"},{"attributes":{},"id":"1088879f-8ec9-402e-a36b-c4973d126321","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"92f0f6ae-cda6-43fe-9877-272d2a8d53a4","type":"Toolbar"},{"attributes":{},"id":"fa62a458-89a4-4f59-ac00-038fc698cb05","type":"BasicTicker"},{"attributes":{"source":{"id":"14360ccb-f9ac-47c7-8b34-0444711ec9c0","type":"ColumnDataSource"}},"id":"86c775cc-825b-4861-ab62-f199717b8bd4","type":"CDSView"},{"attributes":{"data_source":{"id":"14360ccb-f9ac-47c7-8b34-0444711ec9c0","type":"ColumnDataSource"},"glyph":{"id":"5bb5b9a1-c917-4f34-bd51-ccdffdc4dede","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4c1cd46d-99c4-4cf8-8711-3c26cdb94a84","type":"Line"},"selection_glyph":null,"view":{"id":"86c775cc-825b-4861-ab62-f199717b8bd4","type":"CDSView"},"visible":false},"id":"26e3f337-71b0-416a-951a-5684fa76c999","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"14360ccb-f9ac-47c7-8b34-0444711ec9c0","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"3f0c3460-a967-4eec-96cf-05583fe16ff4","subtype":"Figure","type":"Plot"},"ticker":{"id":"31b67591-1892-4415-a81d-a36ebf8c5b4c","type":"BasicTicker"}},"id":"78287b0b-a6ca-4ec8-89d5-147412713a90","type":"Grid"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"62cd6071-6730-44dc-87d9-4560d1209e1e","type":"Line"},{"attributes":{},"id":"31b67591-1892-4415-a81d-a36ebf8c5b4c","type":"BasicTicker"},{"attributes":{},"id":"0b2ddd2b-bb64-4d14-b24a-fbe3e02c6515","type":"LinearScale"},{"attributes":{"plot":{"id":"3f0c3460-a967-4eec-96cf-05583fe16ff4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa62a458-89a4-4f59-ac00-038fc698cb05","type":"BasicTicker"},"visible":false},"id":"9427ea2c-08c9-4a51-a088-e295710675b7","type":"Grid"},{"attributes":{"data_source":{"id":"c35e3c37-2789-4774-8a7e-6e5b3fcffd89","type":"ColumnDataSource"},"glyph":{"id":"62cd6071-6730-44dc-87d9-4560d1209e1e","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6f98c4c6-55d1-45c0-97d7-b4c0fadc8fea","type":"Line"},"selection_glyph":null,"view":{"id":"2eb45b66-8575-4768-af26-55f452fe8a49","type":"CDSView"}},"id":"2c44d6f5-03fd-487b-b022-9c662b02973a","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"c35e3c37-2789-4774-8a7e-6e5b3fcffd89","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"c312cf5f-1999-458d-8006-fabef91dcf20","type":"BasicTickFormatter"},"plot":{"id":"3f0c3460-a967-4eec-96cf-05583fe16ff4","subtype":"Figure","type":"Plot"},"ticker":{"id":"31b67591-1892-4415-a81d-a36ebf8c5b4c","type":"BasicTicker"}},"id":"b054b37f-856b-41f1-b15e-8f7c578df2b7","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1f03a403-58ec-49bf-beb1-23a171dc90ed","type":"DataRange1d"}],"root_ids":["3f0c3460-a967-4eec-96cf-05583fe16ff4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d2ace325-db95-4946-b84b-ab09613ac2bf","elementid":"916c616c-0f61-430b-b5b1-ccd0e9255600","modelid":"3f0c3460-a967-4eec-96cf-05583fe16ff4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
