(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("104627b5-a8f3-491c-a80f-cd841fc32521");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '104627b5-a8f3-491c-a80f-cd841fc32521' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fcd72927-1b56-488a-8083-eb4ec88432f8":{"roots":{"references":[{"attributes":{"callback":null},"id":"65cf8346-8bc0-4413-baf5-0cfe127ff138","type":"DataRange1d"},{"attributes":{"plot":{"id":"ecd0ad7d-0f03-4dbb-b52c-9658d83021d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"175333a8-3450-49df-a2fb-dfa7711c8a69","type":"BasicTicker"}},"id":"099c1428-d0cc-4ede-adec-72a2dde6bcf2","type":"Grid"},{"attributes":{},"id":"e33c29f4-6477-4528-b3a9-048719e5cd85","type":"LinearScale"},{"attributes":{"callback":null},"id":"112c2611-4c4c-437a-a801-3626ac516aad","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":null}},"id":"755f6648-7d0b-475d-aaea-e8d2b238f0dd","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"}},"id":"9d8c7a9b-2779-4baa-abec-37665323ac61","type":"Circle"},{"attributes":{"data_source":{"id":"a7a38692-caae-4bd4-9d9d-d7c9fe6e7421","type":"ColumnDataSource"},"glyph":{"id":"35f7c7f4-94db-4102-8aa9-5c2fbe9db59d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9d8c7a9b-2779-4baa-abec-37665323ac61","type":"Circle"},"selection_glyph":{"id":"755f6648-7d0b-475d-aaea-e8d2b238f0dd","type":"Circle"},"view":{"id":"751c9f75-0fce-4cba-9dd4-009ca3f53f68","type":"CDSView"}},"id":"7c9d390f-56b3-4d86-9c1f-a31b4cd2428b","type":"GlyphRenderer"},{"attributes":{},"id":"175333a8-3450-49df-a2fb-dfa7711c8a69","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"e2077df5-5c26-4a1c-9669-86ea3b67fd72","type":"Title"},{"attributes":{},"id":"e04225ec-7891-47ab-9fb2-7c27889c73c7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"a7a38692-caae-4bd4-9d9d-d7c9fe6e7421","type":"ColumnDataSource"},{"attributes":{"source":{"id":"a7a38692-caae-4bd4-9d9d-d7c9fe6e7421","type":"ColumnDataSource"}},"id":"751c9f75-0fce-4cba-9dd4-009ca3f53f68","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"35f7c7f4-94db-4102-8aa9-5c2fbe9db59d","type":"Circle"},{"attributes":{"below":[{"id":"80a5c9f2-8d02-449d-917c-0b296fbef85e","type":"LinearAxis"}],"left":[{"id":"b46547f0-ad6a-4e14-9824-6b22f33f4158","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"80a5c9f2-8d02-449d-917c-0b296fbef85e","type":"LinearAxis"},{"id":"099c1428-d0cc-4ede-adec-72a2dde6bcf2","type":"Grid"},{"id":"b46547f0-ad6a-4e14-9824-6b22f33f4158","type":"LinearAxis"},{"id":"f0e5997e-1644-407b-b601-014cef48f72d","type":"Grid"},{"id":"7c9d390f-56b3-4d86-9c1f-a31b4cd2428b","type":"GlyphRenderer"}],"title":{"id":"e2077df5-5c26-4a1c-9669-86ea3b67fd72","type":"Title"},"toolbar":{"id":"646d45aa-4edc-44f0-9089-9b80434edc55","type":"Toolbar"},"x_range":{"id":"65cf8346-8bc0-4413-baf5-0cfe127ff138","type":"DataRange1d"},"x_scale":{"id":"5c3213ad-084d-4ddb-b1bf-23e8c57a60cb","type":"LinearScale"},"y_range":{"id":"112c2611-4c4c-437a-a801-3626ac516aad","type":"DataRange1d"},"y_scale":{"id":"e33c29f4-6477-4528-b3a9-048719e5cd85","type":"LinearScale"}},"id":"ecd0ad7d-0f03-4dbb-b52c-9658d83021d1","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"ecd0ad7d-0f03-4dbb-b52c-9658d83021d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"3509bc32-89a4-49c7-bc44-220e53dcb9f8","type":"BasicTicker"}},"id":"f0e5997e-1644-407b-b601-014cef48f72d","type":"Grid"},{"attributes":{"formatter":{"id":"fec4ccbc-c8ee-4202-86d8-1486a85ca0ae","type":"BasicTickFormatter"},"plot":{"id":"ecd0ad7d-0f03-4dbb-b52c-9658d83021d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"175333a8-3450-49df-a2fb-dfa7711c8a69","type":"BasicTicker"}},"id":"80a5c9f2-8d02-449d-917c-0b296fbef85e","type":"LinearAxis"},{"attributes":{},"id":"fec4ccbc-c8ee-4202-86d8-1486a85ca0ae","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e04225ec-7891-47ab-9fb2-7c27889c73c7","type":"BasicTickFormatter"},"plot":{"id":"ecd0ad7d-0f03-4dbb-b52c-9658d83021d1","subtype":"Figure","type":"Plot"},"ticker":{"id":"3509bc32-89a4-49c7-bc44-220e53dcb9f8","type":"BasicTicker"}},"id":"b46547f0-ad6a-4e14-9824-6b22f33f4158","type":"LinearAxis"},{"attributes":{},"id":"5c3213ad-084d-4ddb-b1bf-23e8c57a60cb","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eb1b030b-584a-4838-99d0-b688c9daf14f","type":"TapTool"}]},"id":"646d45aa-4edc-44f0-9089-9b80434edc55","type":"Toolbar"},{"attributes":{"callback":null},"id":"eb1b030b-584a-4838-99d0-b688c9daf14f","type":"TapTool"},{"attributes":{},"id":"3509bc32-89a4-49c7-bc44-220e53dcb9f8","type":"BasicTicker"}],"root_ids":["ecd0ad7d-0f03-4dbb-b52c-9658d83021d1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fcd72927-1b56-488a-8083-eb4ec88432f8","elementid":"104627b5-a8f3-491c-a80f-cd841fc32521","modelid":"ecd0ad7d-0f03-4dbb-b52c-9658d83021d1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
