(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cbcea373-cbc4-4988-9a0d-173da7db40d2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cbcea373-cbc4-4988-9a0d-173da7db40d2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6b303e3f-a9c2-4bb0-9905-312d2dd8bb58":{"roots":{"references":[{"attributes":{"source":{"id":"9c0d4e8c-b09a-49ea-b33a-46c8592f51c1","type":"ColumnDataSource"}},"id":"8a30607e-eeee-4989-b431-87c945288135","type":"CDSView"},{"attributes":{"data_source":{"id":"9c0d4e8c-b09a-49ea-b33a-46c8592f51c1","type":"ColumnDataSource"},"glyph":{"id":"d4c681dd-2b98-4a05-a2e6-c35458c25569","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"80fc68c4-54c6-4a4e-ab76-16deaf6632a8","type":"Circle"},"selection_glyph":null,"view":{"id":"8a30607e-eeee-4989-b431-87c945288135","type":"CDSView"}},"id":"d442a93e-8a59-4bac-822a-b604a34a265e","type":"GlyphRenderer"},{"attributes":{},"id":"1655432e-c0f4-49a3-958b-f0db8daca1de","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"80fc68c4-54c6-4a4e-ab76-16deaf6632a8","type":"Circle"},{"attributes":{},"id":"5179651d-58d9-4afc-80d6-129aab0d26a2","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"9c0d4e8c-b09a-49ea-b33a-46c8592f51c1","type":"ColumnDataSource"},{"attributes":{},"id":"2eb93a0f-38eb-4b65-80f6-15ac15eff6c9","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ab849ee0-12af-41b5-9640-2eb18d044039","type":"PanTool"},{"id":"5179651d-58d9-4afc-80d6-129aab0d26a2","type":"WheelZoomTool"},{"id":"8561c006-ef46-4dbb-a306-b804684f48d9","type":"BoxZoomTool"},{"id":"2eb93a0f-38eb-4b65-80f6-15ac15eff6c9","type":"SaveTool"},{"id":"bbc06e60-e001-4562-82e1-b3cb6b0849b8","type":"ResetTool"},{"id":"71a25996-437c-494e-9228-5e4919e2e59d","type":"HelpTool"}]},"id":"48c243e4-5eef-430c-b5ba-8aac94a0b198","type":"Toolbar"},{"attributes":{"callback":null},"id":"c87f7ceb-e56a-470a-bc0e-143d1139d77f","type":"DataRange1d"},{"attributes":{"below":[{"id":"42a23482-4930-426b-bb76-61f7bebca21b","type":"LinearAxis"}],"left":[{"id":"acc8b6f9-501a-4a8c-b89d-c8e08b595473","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"42a23482-4930-426b-bb76-61f7bebca21b","type":"LinearAxis"},{"id":"b02487db-fece-4812-9558-0a8e38d244e6","type":"Grid"},{"id":"acc8b6f9-501a-4a8c-b89d-c8e08b595473","type":"LinearAxis"},{"id":"461b9471-0259-4cd1-8d42-314ca4caf61d","type":"Grid"},{"id":"87b5d5d8-9eae-4c83-8378-adc572027c9e","type":"BoxAnnotation"},{"id":"d442a93e-8a59-4bac-822a-b604a34a265e","type":"GlyphRenderer"}],"title":{"id":"e14b1d4e-f984-40ec-89ee-390b8b145ca5","type":"Title"},"toolbar":{"id":"48c243e4-5eef-430c-b5ba-8aac94a0b198","type":"Toolbar"},"x_range":{"id":"e7676db3-af59-4701-8309-6e9f9f9bfa29","type":"DataRange1d"},"x_scale":{"id":"1655432e-c0f4-49a3-958b-f0db8daca1de","type":"LinearScale"},"y_range":{"id":"c87f7ceb-e56a-470a-bc0e-143d1139d77f","type":"DataRange1d"},"y_scale":{"id":"567ee887-363b-4698-b03c-a21facb140a2","type":"LinearScale"}},"id":"f871cdd6-e7fc-4731-a397-d9a640c203e5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b882932d-825b-407e-80e3-105631490acc","type":"BasicTickFormatter"},{"attributes":{},"id":"567ee887-363b-4698-b03c-a21facb140a2","type":"LinearScale"},{"attributes":{},"id":"ab849ee0-12af-41b5-9640-2eb18d044039","type":"PanTool"},{"attributes":{},"id":"5b4a545d-55b9-4257-92ca-d4a9744b8505","type":"BasicTickFormatter"},{"attributes":{"axis_label":"Pressure","formatter":{"id":"5b4a545d-55b9-4257-92ca-d4a9744b8505","type":"BasicTickFormatter"},"major_label_orientation":"vertical","major_label_text_color":{"value":"orange"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"f871cdd6-e7fc-4731-a397-d9a640c203e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9e4118a-0bb7-41ad-b7a0-c8c822ef112f","type":"BasicTicker"}},"id":"acc8b6f9-501a-4a8c-b89d-c8e08b595473","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"f871cdd6-e7fc-4731-a397-d9a640c203e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9e4118a-0bb7-41ad-b7a0-c8c822ef112f","type":"BasicTicker"}},"id":"461b9471-0259-4cd1-8d42-314ca4caf61d","type":"Grid"},{"attributes":{},"id":"bbc06e60-e001-4562-82e1-b3cb6b0849b8","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"87b5d5d8-9eae-4c83-8378-adc572027c9e","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"e14b1d4e-f984-40ec-89ee-390b8b145ca5","type":"Title"},{"attributes":{},"id":"d0f4e7f5-578e-49a5-9745-b9e1d650b76f","type":"BasicTicker"},{"attributes":{},"id":"71a25996-437c-494e-9228-5e4919e2e59d","type":"HelpTool"},{"attributes":{"axis_label":"Temp","axis_line_color":{"value":"red"},"axis_line_width":{"value":3},"formatter":{"id":"b882932d-825b-407e-80e3-105631490acc","type":"BasicTickFormatter"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"f871cdd6-e7fc-4731-a397-d9a640c203e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0f4e7f5-578e-49a5-9745-b9e1d650b76f","type":"BasicTicker"}},"id":"42a23482-4930-426b-bb76-61f7bebca21b","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e7676db3-af59-4701-8309-6e9f9f9bfa29","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d4c681dd-2b98-4a05-a2e6-c35458c25569","type":"Circle"},{"attributes":{"overlay":{"id":"87b5d5d8-9eae-4c83-8378-adc572027c9e","type":"BoxAnnotation"}},"id":"8561c006-ef46-4dbb-a306-b804684f48d9","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"f871cdd6-e7fc-4731-a397-d9a640c203e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0f4e7f5-578e-49a5-9745-b9e1d650b76f","type":"BasicTicker"}},"id":"b02487db-fece-4812-9558-0a8e38d244e6","type":"Grid"},{"attributes":{},"id":"b9e4118a-0bb7-41ad-b7a0-c8c822ef112f","type":"BasicTicker"}],"root_ids":["f871cdd6-e7fc-4731-a397-d9a640c203e5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6b303e3f-a9c2-4bb0-9905-312d2dd8bb58","elementid":"cbcea373-cbc4-4988-9a0d-173da7db40d2","modelid":"f871cdd6-e7fc-4731-a397-d9a640c203e5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
