(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3faa38e0-a0f4-49ee-9761-06c37a3c5ebb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3faa38e0-a0f4-49ee-9761-06c37a3c5ebb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4dfc2533-2bd5-4686-9b28-5654550b5e8c":{"roots":{"references":[{"attributes":{"source":{"id":"11eb2942-e39e-49ce-9935-252a46a967cd","type":"ColumnDataSource"}},"id":"4f234410-ac4b-43bd-87c1-29f866a43f4d","type":"CDSView"},{"attributes":{},"id":"38715865-91a1-4efc-b859-4a09be98b1e4","type":"BasicTicker"},{"attributes":{"plot":{"id":"4b505819-eaed-4196-baab-b364fe7066c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"38715865-91a1-4efc-b859-4a09be98b1e4","type":"BasicTicker"}},"id":"4c247c65-f932-421a-b2c4-57173d553c3f","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"4b505819-eaed-4196-baab-b364fe7066c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a59a197-d63e-420e-a356-c82a03d3a33b","type":"BasicTicker"}},"id":"6b0fd014-6296-4a88-a4ca-24721b3f5f59","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"11eb2942-e39e-49ce-9935-252a46a967cd","type":"ColumnDataSource"},{"attributes":{},"id":"4041fdc7-2be1-4814-97d2-077ed172691f","type":"PanTool"},{"attributes":{"data_source":{"id":"11eb2942-e39e-49ce-9935-252a46a967cd","type":"ColumnDataSource"},"glyph":{"id":"56523e32-8cf9-4f0b-ba66-0373569593fd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5202fa06-aaad-402c-816b-978cdfa18d84","type":"Circle"},"selection_glyph":null,"view":{"id":"4f234410-ac4b-43bd-87c1-29f866a43f4d","type":"CDSView"}},"id":"8a4b6f33-77df-471b-802b-a06843ce7a3f","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"56523e32-8cf9-4f0b-ba66-0373569593fd","type":"Circle"},{"attributes":{"callback":null},"id":"816e8d1d-f7e3-4868-846d-1c95d04b5b1c","type":"DataRange1d"},{"attributes":{},"id":"5e653b3d-68a9-44d7-8b58-e57f3bad1afb","type":"HelpTool"},{"attributes":{},"id":"4a59a197-d63e-420e-a356-c82a03d3a33b","type":"BasicTicker"},{"attributes":{"callback":null},"id":"3beedab2-1abc-4b02-a160-ff5c3ce9f112","type":"DataRange1d"},{"attributes":{},"id":"b35453d6-d8f5-44f6-9920-199d0c23ad01","type":"SaveTool"},{"attributes":{},"id":"ffc935cc-a120-442a-99a4-5cc4d263c699","type":"BasicTickFormatter"},{"attributes":{},"id":"32e219b5-a0d9-4a2e-bfac-fe481a2e063d","type":"ResetTool"},{"attributes":{},"id":"b47aa704-20a7-46fb-b18c-aeda6e020c99","type":"LinearScale"},{"attributes":{"axis_label":"Bin Count","formatter":{"id":"f63305bd-865d-43ba-b09d-72471c9ec1b7","type":"BasicTickFormatter"},"plot":{"id":"4b505819-eaed-4196-baab-b364fe7066c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"4a59a197-d63e-420e-a356-c82a03d3a33b","type":"BasicTicker"}},"id":"3ebc5b3d-0ffb-4f5b-b508-ae231914eac9","type":"LinearAxis"},{"attributes":{"overlay":{"id":"8a80d4ab-004c-4d36-9163-800047cdf68c","type":"BoxAnnotation"}},"id":"fac05557-b43f-4fd4-b01a-a69c70b68bc1","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"ee16d30b-6a95-48e1-94c5-86a8414311f1","type":"LinearAxis"}],"left":[{"id":"3ebc5b3d-0ffb-4f5b-b508-ae231914eac9","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ee16d30b-6a95-48e1-94c5-86a8414311f1","type":"LinearAxis"},{"id":"4c247c65-f932-421a-b2c4-57173d553c3f","type":"Grid"},{"id":"3ebc5b3d-0ffb-4f5b-b508-ae231914eac9","type":"LinearAxis"},{"id":"6b0fd014-6296-4a88-a4ca-24721b3f5f59","type":"Grid"},{"id":"8a80d4ab-004c-4d36-9163-800047cdf68c","type":"BoxAnnotation"},{"id":"8a4b6f33-77df-471b-802b-a06843ce7a3f","type":"GlyphRenderer"}],"title":{"id":"2865f892-7dd9-49fc-a5ee-f8af37bc7d6e","type":"Title"},"toolbar":{"id":"f46c79f0-8163-4d88-9e6b-ff51a42aeeee","type":"Toolbar"},"x_range":{"id":"3beedab2-1abc-4b02-a160-ff5c3ce9f112","type":"DataRange1d"},"x_scale":{"id":"6a1cb817-23bc-4554-9dc7-82ce65da40fe","type":"LinearScale"},"y_range":{"id":"816e8d1d-f7e3-4868-846d-1c95d04b5b1c","type":"DataRange1d"},"y_scale":{"id":"b47aa704-20a7-46fb-b18c-aeda6e020c99","type":"LinearScale"}},"id":"4b505819-eaed-4196-baab-b364fe7066c7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f63305bd-865d-43ba-b09d-72471c9ec1b7","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"2865f892-7dd9-49fc-a5ee-f8af37bc7d6e","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4041fdc7-2be1-4814-97d2-077ed172691f","type":"PanTool"},{"id":"4b668ced-535a-48a9-af04-203ff9b500b6","type":"WheelZoomTool"},{"id":"fac05557-b43f-4fd4-b01a-a69c70b68bc1","type":"BoxZoomTool"},{"id":"b35453d6-d8f5-44f6-9920-199d0c23ad01","type":"SaveTool"},{"id":"32e219b5-a0d9-4a2e-bfac-fe481a2e063d","type":"ResetTool"},{"id":"5e653b3d-68a9-44d7-8b58-e57f3bad1afb","type":"HelpTool"}]},"id":"f46c79f0-8163-4d88-9e6b-ff51a42aeeee","type":"Toolbar"},{"attributes":{"axis_label":"Lot Number","axis_label_standoff":30,"axis_label_text_color":{"value":"#aa6666"},"formatter":{"id":"ffc935cc-a120-442a-99a4-5cc4d263c699","type":"BasicTickFormatter"},"plot":{"id":"4b505819-eaed-4196-baab-b364fe7066c7","subtype":"Figure","type":"Plot"},"ticker":{"id":"38715865-91a1-4efc-b859-4a09be98b1e4","type":"BasicTicker"}},"id":"ee16d30b-6a95-48e1-94c5-86a8414311f1","type":"LinearAxis"},{"attributes":{},"id":"4b668ced-535a-48a9-af04-203ff9b500b6","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8a80d4ab-004c-4d36-9163-800047cdf68c","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5202fa06-aaad-402c-816b-978cdfa18d84","type":"Circle"},{"attributes":{},"id":"6a1cb817-23bc-4554-9dc7-82ce65da40fe","type":"LinearScale"}],"root_ids":["4b505819-eaed-4196-baab-b364fe7066c7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4dfc2533-2bd5-4686-9b28-5654550b5e8c","elementid":"3faa38e0-a0f4-49ee-9761-06c37a3c5ebb","modelid":"4b505819-eaed-4196-baab-b364fe7066c7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
