(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3c6732b2-513b-491f-8093-bf654e7e3d4f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3c6732b2-513b-491f-8093-bf654e7e3d4f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9c673e9e-c5a8-4443-89a6-51e931eeebf0":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3f5ba074-2fe2-42a2-a2f9-46040c309f30","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"34ac7d32-9db4-45a2-acec-6e2034017140","type":"ColumnDataSource"},"glyph":{"id":"028fed73-4082-49ca-b98d-1067741f85f2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e9b2f80-3fff-4e5b-a90e-b488a6126807","type":"Circle"},"selection_glyph":null,"view":{"id":"cf800658-b252-4097-923c-1dd8f7b47071","type":"CDSView"}},"id":"f6051aac-81b0-42aa-88a5-5bf59e53ed87","type":"GlyphRenderer"},{"attributes":{},"id":"327f3bd0-a110-44f7-a5b6-b854107e51dc","type":"SaveTool"},{"attributes":{"source":{"id":"34ac7d32-9db4-45a2-acec-6e2034017140","type":"ColumnDataSource"}},"id":"cf800658-b252-4097-923c-1dd8f7b47071","type":"CDSView"},{"attributes":{},"id":"1712db04-0c5d-4d29-a816-45d10b22ea6f","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"028fed73-4082-49ca-b98d-1067741f85f2","type":"Circle"},{"attributes":{},"id":"0c4c137b-a167-425c-92d9-9d28583ae674","type":"BasicTicker"},{"attributes":{"plot":{"id":"f39b9f2f-9cc0-4927-8c64-bb7e586ebe38","subtype":"Figure","type":"Plot"},"ticker":{"id":"1712db04-0c5d-4d29-a816-45d10b22ea6f","type":"BasicTicker"}},"id":"d78d1914-84da-48b5-90c1-7d54247e3d85","type":"Grid"},{"attributes":{},"id":"ea362dd9-e945-452d-8682-04f6f1042e86","type":"LinearScale"},{"attributes":{},"id":"dd4493f1-ac5e-448b-8307-d266aa33bfca","type":"HelpTool"},{"attributes":{},"id":"f0ca5442-c6ea-49db-b2f0-d27f7179976b","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"52202925-da42-44b4-b962-8b10c9d50e92","type":"Title"},{"attributes":{"callback":null},"id":"a86a25ba-0fbd-4d13-a63b-56c77a48c3b1","type":"DataRange1d"},{"attributes":{"code":"\n    return Math.floor(tick) + \" + \" + (tick % 1).toFixed(2)\n"},"id":"fad1fa2f-cb2e-4f67-998f-e9bc8fa86b44","type":"FuncTickFormatter"},{"attributes":{},"id":"989c54c8-8df7-4d59-8ed3-d734e02f9766","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,2,4,6,8,10],"y":[6,2,4,10,8,0]}},"id":"34ac7d32-9db4-45a2-acec-6e2034017140","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"ffd6a6af-d51b-48f3-ae14-6403630d2b19","type":"DataRange1d"},{"attributes":{"below":[{"id":"a6bb7517-ade5-4b9d-8281-f9d3d7ce4b34","type":"LinearAxis"}],"left":[{"id":"18faaaf2-5a61-4a77-8654-6202eb77fb90","type":"LinearAxis"}],"plot_height":500,"plot_width":500,"renderers":[{"id":"a6bb7517-ade5-4b9d-8281-f9d3d7ce4b34","type":"LinearAxis"},{"id":"d78d1914-84da-48b5-90c1-7d54247e3d85","type":"Grid"},{"id":"18faaaf2-5a61-4a77-8654-6202eb77fb90","type":"LinearAxis"},{"id":"aaceb351-aa9a-4d21-910a-7bbb34956832","type":"Grid"},{"id":"3f5ba074-2fe2-42a2-a2f9-46040c309f30","type":"BoxAnnotation"},{"id":"f6051aac-81b0-42aa-88a5-5bf59e53ed87","type":"GlyphRenderer"}],"title":{"id":"52202925-da42-44b4-b962-8b10c9d50e92","type":"Title"},"toolbar":{"id":"d83366a0-5162-4e42-8419-0a1ed1119fa6","type":"Toolbar"},"x_range":{"id":"ffd6a6af-d51b-48f3-ae14-6403630d2b19","type":"DataRange1d"},"x_scale":{"id":"ea362dd9-e945-452d-8682-04f6f1042e86","type":"LinearScale"},"y_range":{"id":"a86a25ba-0fbd-4d13-a63b-56c77a48c3b1","type":"DataRange1d"},"y_scale":{"id":"571afd3b-9bb8-41f9-8fd2-180c0810dcb1","type":"LinearScale"}},"id":"f39b9f2f-9cc0-4927-8c64-bb7e586ebe38","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"83b49294-c4ad-470e-a82e-93006d24a9c8","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"f39b9f2f-9cc0-4927-8c64-bb7e586ebe38","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c4c137b-a167-425c-92d9-9d28583ae674","type":"BasicTicker"}},"id":"aaceb351-aa9a-4d21-910a-7bbb34956832","type":"Grid"},{"attributes":{"formatter":{"id":"fad1fa2f-cb2e-4f67-998f-e9bc8fa86b44","type":"FuncTickFormatter"},"plot":{"id":"f39b9f2f-9cc0-4927-8c64-bb7e586ebe38","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c4c137b-a167-425c-92d9-9d28583ae674","type":"BasicTicker"}},"id":"18faaaf2-5a61-4a77-8654-6202eb77fb90","type":"LinearAxis"},{"attributes":{},"id":"571afd3b-9bb8-41f9-8fd2-180c0810dcb1","type":"LinearScale"},{"attributes":{"formatter":{"id":"5b50bb08-e100-4b15-97e5-8176441ed0fa","type":"BasicTickFormatter"},"plot":{"id":"f39b9f2f-9cc0-4927-8c64-bb7e586ebe38","subtype":"Figure","type":"Plot"},"ticker":{"id":"1712db04-0c5d-4d29-a816-45d10b22ea6f","type":"BasicTicker"}},"id":"a6bb7517-ade5-4b9d-8281-f9d3d7ce4b34","type":"LinearAxis"},{"attributes":{},"id":"5b50bb08-e100-4b15-97e5-8176441ed0fa","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"3f5ba074-2fe2-42a2-a2f9-46040c309f30","type":"BoxAnnotation"}},"id":"49972da6-78e1-4016-934f-7d09129053aa","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f0ca5442-c6ea-49db-b2f0-d27f7179976b","type":"PanTool"},{"id":"83b49294-c4ad-470e-a82e-93006d24a9c8","type":"WheelZoomTool"},{"id":"49972da6-78e1-4016-934f-7d09129053aa","type":"BoxZoomTool"},{"id":"327f3bd0-a110-44f7-a5b6-b854107e51dc","type":"SaveTool"},{"id":"989c54c8-8df7-4d59-8ed3-d734e02f9766","type":"ResetTool"},{"id":"dd4493f1-ac5e-448b-8307-d266aa33bfca","type":"HelpTool"}]},"id":"d83366a0-5162-4e42-8419-0a1ed1119fa6","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e9b2f80-3fff-4e5b-a90e-b488a6126807","type":"Circle"}],"root_ids":["f39b9f2f-9cc0-4927-8c64-bb7e586ebe38"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9c673e9e-c5a8-4443-89a6-51e931eeebf0","elementid":"3c6732b2-513b-491f-8093-bf654e7e3d4f","modelid":"f39b9f2f-9cc0-4927-8c64-bb7e586ebe38"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
