(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1c8bb492-d2ff-48e8-bdd1-18c6d6f95328");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1c8bb492-d2ff-48e8-bdd1-18c6d6f95328' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"32bf2d25-abab-4f28-ac06-66d4cb93d1a0":{"roots":{"references":[{"attributes":{"overlay":{"id":"0c3c4190-f5bc-443d-86e7-e0d230d01d82","type":"BoxAnnotation"}},"id":"ac16b96d-e0b4-4f7e-a844-b4dcdfe632e4","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"b8ed6250-6a69-44e6-912c-d1b256889012","type":"Title"},{"attributes":{},"id":"b57f6696-67ac-4c83-9780-ef50660ce784","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0c3c4190-f5bc-443d-86e7-e0d230d01d82","type":"BoxAnnotation"},{"attributes":{},"id":"af939640-040e-4e74-a319-da1e0bb8d60e","type":"PanTool"},{"attributes":{},"id":"76c5b74f-19d0-40af-b67c-4d3da7423d48","type":"LinearScale"},{"attributes":{"formatter":{"id":"d5a9eaf3-5978-480e-9e58-f140ddf00b19","type":"BasicTickFormatter"},"major_label_orientation":"vertical","plot":{"id":"507ad94e-7d51-4959-9bcc-20d087d3b586","subtype":"Figure","type":"Plot"},"ticker":{"id":"60fdcb82-46b4-4bb3-9b92-5ec5b6f4b055","type":"BasicTicker"}},"id":"3bafd51f-9ad9-46f7-9d0d-6fb537facdc6","type":"LinearAxis"},{"attributes":{},"id":"b50aa9d6-937b-479c-bf4c-92b759b9c6b3","type":"BasicTicker"},{"attributes":{},"id":"1872c0b6-e77f-49f5-86c4-cd9d34ff7768","type":"SaveTool"},{"attributes":{},"id":"d5a9eaf3-5978-480e-9e58-f140ddf00b19","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"507ad94e-7d51-4959-9bcc-20d087d3b586","subtype":"Figure","type":"Plot"},"ticker":{"id":"60fdcb82-46b4-4bb3-9b92-5ec5b6f4b055","type":"BasicTicker"}},"id":"b8394828-124b-4cde-a692-fbf6f1fb1c70","type":"Grid"},{"attributes":{"below":[{"id":"9782febf-45d5-4568-bf0b-91b5532cda26","type":"LinearAxis"}],"left":[{"id":"3bafd51f-9ad9-46f7-9d0d-6fb537facdc6","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9782febf-45d5-4568-bf0b-91b5532cda26","type":"LinearAxis"},{"id":"0b26ede7-2e1b-4f42-ac51-e00ab593d91b","type":"Grid"},{"id":"3bafd51f-9ad9-46f7-9d0d-6fb537facdc6","type":"LinearAxis"},{"id":"b8394828-124b-4cde-a692-fbf6f1fb1c70","type":"Grid"},{"id":"0c3c4190-f5bc-443d-86e7-e0d230d01d82","type":"BoxAnnotation"},{"id":"5dad9b50-55b5-41c8-bf4f-316d2aae202a","type":"GlyphRenderer"}],"title":{"id":"b8ed6250-6a69-44e6-912c-d1b256889012","type":"Title"},"toolbar":{"id":"65196f4c-6465-410e-b655-6cd7db5ee4f9","type":"Toolbar"},"x_range":{"id":"eaef6979-bae2-4ac8-b72b-f8cd417a07f9","type":"DataRange1d"},"x_scale":{"id":"b57f6696-67ac-4c83-9780-ef50660ce784","type":"LinearScale"},"y_range":{"id":"9a39ecd1-9bc2-4169-9bf9-60e65bd2b72a","type":"DataRange1d"},"y_scale":{"id":"76c5b74f-19d0-40af-b67c-4d3da7423d48","type":"LinearScale"}},"id":"507ad94e-7d51-4959-9bcc-20d087d3b586","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"95b63819-4582-4d28-80f4-fb2f5dc77a60","type":"HelpTool"},{"attributes":{},"id":"b203d748-fb79-42dc-8964-dba98c60189e","type":"ResetTool"},{"attributes":{},"id":"60fdcb82-46b4-4bb3-9b92-5ec5b6f4b055","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c59006fc-9513-405c-9e76-c4794e72cc8b","type":"BasicTickFormatter"},"major_label_orientation":0.7853981633974483,"plot":{"id":"507ad94e-7d51-4959-9bcc-20d087d3b586","subtype":"Figure","type":"Plot"},"ticker":{"id":"b50aa9d6-937b-479c-bf4c-92b759b9c6b3","type":"BasicTicker"}},"id":"9782febf-45d5-4568-bf0b-91b5532cda26","type":"LinearAxis"},{"attributes":{},"id":"c59006fc-9513-405c-9e76-c4794e72cc8b","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"d7b0ca10-3c72-47ee-a1ad-2dc9448fa967","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"71fb4534-56bb-486d-a6a0-573fae5838d6","type":"Circle"},{"attributes":{"callback":null},"id":"9a39ecd1-9bc2-4169-9bf9-60e65bd2b72a","type":"DataRange1d"},{"attributes":{},"id":"1a484201-a677-41c1-9f59-8d27a68e171b","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"df40a4e2-0c0d-49e1-adcd-4d58113f3734","type":"Circle"},{"attributes":{"source":{"id":"d7b0ca10-3c72-47ee-a1ad-2dc9448fa967","type":"ColumnDataSource"}},"id":"573f5f79-7a8e-4c55-8080-d808ba87e0d1","type":"CDSView"},{"attributes":{"plot":{"id":"507ad94e-7d51-4959-9bcc-20d087d3b586","subtype":"Figure","type":"Plot"},"ticker":{"id":"b50aa9d6-937b-479c-bf4c-92b759b9c6b3","type":"BasicTicker"}},"id":"0b26ede7-2e1b-4f42-ac51-e00ab593d91b","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"af939640-040e-4e74-a319-da1e0bb8d60e","type":"PanTool"},{"id":"1a484201-a677-41c1-9f59-8d27a68e171b","type":"WheelZoomTool"},{"id":"ac16b96d-e0b4-4f7e-a844-b4dcdfe632e4","type":"BoxZoomTool"},{"id":"1872c0b6-e77f-49f5-86c4-cd9d34ff7768","type":"SaveTool"},{"id":"b203d748-fb79-42dc-8964-dba98c60189e","type":"ResetTool"},{"id":"95b63819-4582-4d28-80f4-fb2f5dc77a60","type":"HelpTool"}]},"id":"65196f4c-6465-410e-b655-6cd7db5ee4f9","type":"Toolbar"},{"attributes":{"callback":null},"id":"eaef6979-bae2-4ac8-b72b-f8cd417a07f9","type":"DataRange1d"},{"attributes":{"data_source":{"id":"d7b0ca10-3c72-47ee-a1ad-2dc9448fa967","type":"ColumnDataSource"},"glyph":{"id":"df40a4e2-0c0d-49e1-adcd-4d58113f3734","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"71fb4534-56bb-486d-a6a0-573fae5838d6","type":"Circle"},"selection_glyph":null,"view":{"id":"573f5f79-7a8e-4c55-8080-d808ba87e0d1","type":"CDSView"}},"id":"5dad9b50-55b5-41c8-bf4f-316d2aae202a","type":"GlyphRenderer"}],"root_ids":["507ad94e-7d51-4959-9bcc-20d087d3b586"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"32bf2d25-abab-4f28-ac06-66d4cb93d1a0","elementid":"1c8bb492-d2ff-48e8-bdd1-18c6d6f95328","modelid":"507ad94e-7d51-4959-9bcc-20d087d3b586"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
