(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("06aaa5d4-50f8-46c7-9dae-909b05679006");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '06aaa5d4-50f8-46c7-9dae-909b05679006' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c5f4ace1-e042-4f1b-8085-ed476910d5ef":{"roots":{"references":[{"attributes":{"end":{"id":"d0260b14-ef4c-4979-8f5c-620db63b8e97","type":"OpenHead"},"plot":{"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":0},"y_start":{"value":0}},"id":"7e50e501-7999-4616-96ef-5e44e91f4332","type":"Arrow"},{"attributes":{"plot":null},"id":"4df5c87c-a81e-47c6-884b-fa600a00aa23","type":"NormalHead"},{"attributes":{"min_border_bottom":0,"min_border_left":0,"min_border_right":0,"min_border_top":0,"outline_line_color":{"value":null},"plot_height":105,"plot_width":150,"renderers":[{"id":"7e50e501-7999-4616-96ef-5e44e91f4332","type":"Arrow"},{"id":"d2617bd1-2064-4435-b243-3ddf5c78a6cf","type":"Label"},{"id":"aef09ad9-9987-4051-a1d7-e3e945da689c","type":"Arrow"},{"id":"2ed459c9-41b7-4078-a40f-8136879ca249","type":"Label"},{"id":"68d3ba61-6fdf-44ad-b202-1af76385d391","type":"Arrow"},{"id":"ddb9c74b-ee72-4263-a1f4-d4820b094712","type":"Label"}],"title":{"id":"e5aa213c-634f-4b44-a979-47b9a128775c","type":"Title"},"toolbar":{"id":"3f3c81e9-6594-42f2-997f-756111f19188","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"111b6ee0-fe9d-4210-a19d-7d5fb0732644","type":"Range1d"},"x_scale":{"id":"7310c783-fa6e-4c49-9dcd-7acdde2513fd","type":"LinearScale"},"y_range":{"id":"0aa1d5d9-c071-4aa5-bb98-f2512eaafa55","type":"Range1d"},"y_scale":{"id":"fd53960d-41c6-4275-90ff-e48d775960b2","type":"LinearScale"}},"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},{"attributes":{"callback":null,"end":2.5,"start":-0.5},"id":"0aa1d5d9-c071-4aa5-bb98-f2512eaafa55","type":"Range1d"},{"attributes":{},"id":"7310c783-fa6e-4c49-9dcd-7acdde2513fd","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"3f3c81e9-6594-42f2-997f-756111f19188","type":"Toolbar"},{"attributes":{"plot":null},"id":"47a437d9-6deb-476c-bbf4-1c2e465b0128","type":"VeeHead"},{"attributes":{"callback":null},"id":"111b6ee0-fe9d-4210-a19d-7d5fb0732644","type":"Range1d"},{"attributes":{"plot":{"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},"text":"VeeHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":2},"id":"ddb9c74b-ee72-4263-a1f4-d4820b094712","type":"Label"},{"attributes":{"plot":{"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},"text":"OpenHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":0},"id":"d2617bd1-2064-4435-b243-3ddf5c78a6cf","type":"Label"},{"attributes":{},"id":"fd53960d-41c6-4275-90ff-e48d775960b2","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"e5aa213c-634f-4b44-a979-47b9a128775c","type":"Title"},{"attributes":{"plot":{"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},"text":"NormalHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":1},"id":"2ed459c9-41b7-4078-a40f-8136879ca249","type":"Label"},{"attributes":{"end":{"id":"47a437d9-6deb-476c-bbf4-1c2e465b0128","type":"VeeHead"},"plot":{"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":2},"y_start":{"value":2}},"id":"68d3ba61-6fdf-44ad-b202-1af76385d391","type":"Arrow"},{"attributes":{"plot":null},"id":"d0260b14-ef4c-4979-8f5c-620db63b8e97","type":"OpenHead"},{"attributes":{"end":{"id":"4df5c87c-a81e-47c6-884b-fa600a00aa23","type":"NormalHead"},"plot":{"id":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":1},"y_start":{"value":1}},"id":"aef09ad9-9987-4051-a1d7-e3e945da689c","type":"Arrow"}],"root_ids":["cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c5f4ace1-e042-4f1b-8085-ed476910d5ef","elementid":"06aaa5d4-50f8-46c7-9dae-909b05679006","modelid":"cd5d595b-dbc3-41fd-a2e7-d1b889fb63f2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
