(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7101aaf9-8d5c-4519-891e-925477b652a0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7101aaf9-8d5c-4519-891e-925477b652a0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"13009243-5052-408a-bb0a-17869079096e":{"roots":{"references":[{"attributes":{},"id":"82852f07-105b-4c28-befd-64ef6a0f0d21","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"cfca242a-d123-4213-81b0-2f9676aefdef","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"6ae26831-d620-47be-9ae8-c2a6fa381671","type":"BasicTickFormatter"},"plot":{"id":"8c27a0ce-5d09-429c-8640-949a79f96d10","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f5d5d63-2f75-4014-86a4-87e03a1d9dcf","type":"BasicTicker"}},"id":"150a2195-0789-4936-bb1d-5903aaaa35af","type":"LinearAxis"},{"attributes":{},"id":"2ef85fac-ce3f-4d32-a256-4aa0f7abf5a0","type":"BasicTicker"},{"attributes":{},"id":"ac960426-a5c7-44bb-91d3-613200c89a31","type":"LinearScale"},{"attributes":{"plot":{"id":"8c27a0ce-5d09-429c-8640-949a79f96d10","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f5d5d63-2f75-4014-86a4-87e03a1d9dcf","type":"BasicTicker"}},"id":"5e5e8376-e961-4de8-b9ca-16766af7deed","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"35081916-30da-49ef-be8d-a1ad8d06deeb","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9bf6eb75-d868-4d1c-93a4-bf8789407014","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"a29d0845-8180-4437-804d-05c99ffa048d","type":"DataRange1d"},{"attributes":{},"id":"207530da-3788-48f2-bfe8-96aa154da232","type":"HelpTool"},{"attributes":{"formatter":{"id":"ca8bac86-ab21-498d-b128-ebe290ec613e","type":"BasicTickFormatter"},"plot":{"id":"8c27a0ce-5d09-429c-8640-949a79f96d10","subtype":"Figure","type":"Plot"},"ticker":{"id":"2ef85fac-ce3f-4d32-a256-4aa0f7abf5a0","type":"BasicTicker"}},"id":"e381d178-8e64-42d6-85dd-e8b7bec3a21c","type":"LinearAxis"},{"attributes":{},"id":"8ad4a9c0-9067-495e-8e09-875f34e53121","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dfc627e0-b674-4d5b-b64a-938ae77477ae","type":"PanTool"},{"id":"d8efbbe8-cc86-4296-b02b-0bc55f021142","type":"WheelZoomTool"},{"id":"8fbc9484-9fcb-4624-8a67-b5cef9029225","type":"BoxZoomTool"},{"id":"82852f07-105b-4c28-befd-64ef6a0f0d21","type":"SaveTool"},{"id":"ad17332e-4a35-43cb-aa5e-2c876df6b927","type":"ResetTool"},{"id":"207530da-3788-48f2-bfe8-96aa154da232","type":"HelpTool"}]},"id":"0a1e00dd-8855-45e9-b55f-2ebe0bee6960","type":"Toolbar"},{"attributes":{},"id":"d8efbbe8-cc86-4296-b02b-0bc55f021142","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"722aec3f-bee1-4f25-b440-cfc0e7343f3c","type":"Title"},{"attributes":{"source":{"id":"cfca242a-d123-4213-81b0-2f9676aefdef","type":"ColumnDataSource"}},"id":"e1deb21d-0d98-4f64-8786-27f9cede532a","type":"CDSView"},{"attributes":{},"id":"7f5d5d63-2f75-4014-86a4-87e03a1d9dcf","type":"BasicTicker"},{"attributes":{},"id":"ca8bac86-ab21-498d-b128-ebe290ec613e","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"cfca242a-d123-4213-81b0-2f9676aefdef","type":"ColumnDataSource"},"glyph":{"id":"219abd01-b5b4-4b50-8d9a-a1206f51d7a4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"35081916-30da-49ef-be8d-a1ad8d06deeb","type":"Circle"},"selection_glyph":null,"view":{"id":"e1deb21d-0d98-4f64-8786-27f9cede532a","type":"CDSView"}},"id":"d0dbfa78-9353-4f2d-ae7f-b196d078ac37","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"8c27a0ce-5d09-429c-8640-949a79f96d10","subtype":"Figure","type":"Plot"},"ticker":{"id":"2ef85fac-ce3f-4d32-a256-4aa0f7abf5a0","type":"BasicTicker"}},"id":"c1817f71-8e66-4b2e-bf4d-882ec1af1da1","type":"Grid"},{"attributes":{},"id":"dfc627e0-b674-4d5b-b64a-938ae77477ae","type":"PanTool"},{"attributes":{},"id":"ad17332e-4a35-43cb-aa5e-2c876df6b927","type":"ResetTool"},{"attributes":{},"id":"6ae26831-d620-47be-9ae8-c2a6fa381671","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"219abd01-b5b4-4b50-8d9a-a1206f51d7a4","type":"Circle"},{"attributes":{"overlay":{"id":"9bf6eb75-d868-4d1c-93a4-bf8789407014","type":"BoxAnnotation"}},"id":"8fbc9484-9fcb-4624-8a67-b5cef9029225","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"150a2195-0789-4936-bb1d-5903aaaa35af","type":"LinearAxis"}],"border_fill_color":{"value":"whitesmoke"},"left":[{"id":"e381d178-8e64-42d6-85dd-e8b7bec3a21c","type":"LinearAxis"}],"min_border_left":80,"plot_height":400,"plot_width":400,"renderers":[{"id":"150a2195-0789-4936-bb1d-5903aaaa35af","type":"LinearAxis"},{"id":"5e5e8376-e961-4de8-b9ca-16766af7deed","type":"Grid"},{"id":"e381d178-8e64-42d6-85dd-e8b7bec3a21c","type":"LinearAxis"},{"id":"c1817f71-8e66-4b2e-bf4d-882ec1af1da1","type":"Grid"},{"id":"9bf6eb75-d868-4d1c-93a4-bf8789407014","type":"BoxAnnotation"},{"id":"d0dbfa78-9353-4f2d-ae7f-b196d078ac37","type":"GlyphRenderer"}],"title":{"id":"722aec3f-bee1-4f25-b440-cfc0e7343f3c","type":"Title"},"toolbar":{"id":"0a1e00dd-8855-45e9-b55f-2ebe0bee6960","type":"Toolbar"},"x_range":{"id":"d25b9734-56fa-4be5-8659-cb11197cbc66","type":"DataRange1d"},"x_scale":{"id":"8ad4a9c0-9067-495e-8e09-875f34e53121","type":"LinearScale"},"y_range":{"id":"a29d0845-8180-4437-804d-05c99ffa048d","type":"DataRange1d"},"y_scale":{"id":"ac960426-a5c7-44bb-91d3-613200c89a31","type":"LinearScale"}},"id":"8c27a0ce-5d09-429c-8640-949a79f96d10","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"d25b9734-56fa-4be5-8659-cb11197cbc66","type":"DataRange1d"}],"root_ids":["8c27a0ce-5d09-429c-8640-949a79f96d10"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"13009243-5052-408a-bb0a-17869079096e","elementid":"7101aaf9-8d5c-4519-891e-925477b652a0","modelid":"8c27a0ce-5d09-429c-8640-949a79f96d10"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
