(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("67e9981f-9514-464f-a372-461bc9c744f7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '67e9981f-9514-464f-a372-461bc9c744f7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"04962e5a-28c9-4d5b-a8fa-cfced5a51948":{"roots":{"references":[{"attributes":{"callback":null},"id":"eb278a8b-30b0-4ad5-8c5e-761e301e520b","type":"DataRange1d"},{"attributes":{},"id":"165c0ed3-9266-437a-992c-d0f156f2d6e5","type":"BasicTickFormatter"},{"attributes":{},"id":"bfd8ee20-c26b-44a5-b371-6c7137772891","type":"LinearScale"},{"attributes":{},"id":"a273b435-6123-47ee-aba4-12cbaada9606","type":"BasicTickFormatter"},{"attributes":{},"id":"5dffcf8c-92f0-431a-951c-9ef14f02d20e","type":"BasicTicker"},{"attributes":{"plot":{"id":"780113d9-44e2-43bb-9c75-a9791f957591","subtype":"Figure","type":"Plot"},"ticker":{"id":"5dffcf8c-92f0-431a-951c-9ef14f02d20e","type":"BasicTicker"}},"id":"90ea25cc-38ff-4fe5-95bb-ed0bf78f20dd","type":"Grid"},{"attributes":{"formatter":{"id":"165c0ed3-9266-437a-992c-d0f156f2d6e5","type":"BasicTickFormatter"},"plot":{"id":"780113d9-44e2-43bb-9c75-a9791f957591","subtype":"Figure","type":"Plot"},"ticker":{"id":"5dffcf8c-92f0-431a-951c-9ef14f02d20e","type":"BasicTicker"}},"id":"e260ba3d-42a3-427c-ba76-0a8383dfbfc8","type":"LinearAxis"},{"attributes":{"callback":null},"id":"0652cf63-5af7-4201-bd87-7a321d6cf785","type":"DataRange1d"},{"attributes":{},"id":"b8372891-5099-4f6a-9d54-506d6b51dfe5","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"85f628c0-2d1a-4a7b-b249-81c0c576f8a6","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"85f628c0-2d1a-4a7b-b249-81c0c576f8a6","type":"ColumnDataSource"},"glyph":{"id":"bd14b8b3-075f-49be-9394-4b36daf13feb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a4942443-26a5-4683-9a77-fb111d3ea8d6","type":"Circle"},"selection_glyph":null,"view":{"id":"7a631655-1b88-4204-b11d-bdbd52106154","type":"CDSView"}},"id":"f32bd059-c394-4f6f-9431-0c69874897ca","type":"GlyphRenderer"},{"attributes":{},"id":"c8ed6a5b-ee2c-45d2-8890-7236afeb6287","type":"HelpTool"},{"attributes":{},"id":"00a153cb-6fcd-4dac-a141-73470a6e08f1","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"780113d9-44e2-43bb-9c75-a9791f957591","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8372891-5099-4f6a-9d54-506d6b51dfe5","type":"BasicTicker"}},"id":"d5f5f698-97c2-4f42-a512-d6b866215297","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a4942443-26a5-4683-9a77-fb111d3ea8d6","type":"Circle"},{"attributes":{"below":[{"id":"e260ba3d-42a3-427c-ba76-0a8383dfbfc8","type":"LinearAxis"}],"left":[{"id":"950659c8-56bd-40f7-85b6-c66523c0baaa","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e260ba3d-42a3-427c-ba76-0a8383dfbfc8","type":"LinearAxis"},{"id":"90ea25cc-38ff-4fe5-95bb-ed0bf78f20dd","type":"Grid"},{"id":"950659c8-56bd-40f7-85b6-c66523c0baaa","type":"LinearAxis"},{"id":"d5f5f698-97c2-4f42-a512-d6b866215297","type":"Grid"},{"id":"5d3cf489-976f-4e23-bb31-7823c1bf876f","type":"BoxAnnotation"},{"id":"f32bd059-c394-4f6f-9431-0c69874897ca","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"9b182836-f26f-4ee2-971a-49e3f1fd79ad","type":"Toolbar"},"toolbar_location":"below","toolbar_sticky":false,"x_range":{"id":"eb278a8b-30b0-4ad5-8c5e-761e301e520b","type":"DataRange1d"},"x_scale":{"id":"bfd8ee20-c26b-44a5-b371-6c7137772891","type":"LinearScale"},"y_range":{"id":"0652cf63-5af7-4201-bd87-7a321d6cf785","type":"DataRange1d"},"y_scale":{"id":"3b5306be-1479-4726-adb4-ffd6ef83bc9d","type":"LinearScale"}},"id":"780113d9-44e2-43bb-9c75-a9791f957591","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"58235568-bd78-4135-8406-cfc0398bfd86","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bd14b8b3-075f-49be-9394-4b36daf13feb","type":"Circle"},{"attributes":{},"id":"fb296ef0-d9ea-4c9d-abe3-16327030163d","type":"ResetTool"},{"attributes":{"source":{"id":"85f628c0-2d1a-4a7b-b249-81c0c576f8a6","type":"ColumnDataSource"}},"id":"7a631655-1b88-4204-b11d-bdbd52106154","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8afa29d4-8506-4b2b-8315-db1434bf0098","type":"PanTool"},{"id":"00a153cb-6fcd-4dac-a141-73470a6e08f1","type":"WheelZoomTool"},{"id":"477927d0-493d-4b75-8159-064ad9546610","type":"BoxZoomTool"},{"id":"58235568-bd78-4135-8406-cfc0398bfd86","type":"SaveTool"},{"id":"fb296ef0-d9ea-4c9d-abe3-16327030163d","type":"ResetTool"},{"id":"c8ed6a5b-ee2c-45d2-8890-7236afeb6287","type":"HelpTool"}]},"id":"9b182836-f26f-4ee2-971a-49e3f1fd79ad","type":"Toolbar"},{"attributes":{"overlay":{"id":"5d3cf489-976f-4e23-bb31-7823c1bf876f","type":"BoxAnnotation"}},"id":"477927d0-493d-4b75-8159-064ad9546610","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"a273b435-6123-47ee-aba4-12cbaada9606","type":"BasicTickFormatter"},"plot":{"id":"780113d9-44e2-43bb-9c75-a9791f957591","subtype":"Figure","type":"Plot"},"ticker":{"id":"b8372891-5099-4f6a-9d54-506d6b51dfe5","type":"BasicTicker"}},"id":"950659c8-56bd-40f7-85b6-c66523c0baaa","type":"LinearAxis"},{"attributes":{},"id":"8afa29d4-8506-4b2b-8315-db1434bf0098","type":"PanTool"},{"attributes":{},"id":"3b5306be-1479-4726-adb4-ffd6ef83bc9d","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5d3cf489-976f-4e23-bb31-7823c1bf876f","type":"BoxAnnotation"}],"root_ids":["780113d9-44e2-43bb-9c75-a9791f957591"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"04962e5a-28c9-4d5b-a8fa-cfced5a51948","elementid":"67e9981f-9514-464f-a372-461bc9c744f7","modelid":"780113d9-44e2-43bb-9c75-a9791f957591"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
