(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d4bbcda4-a321-4b2b-acd3-fa84cf7300ea");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd4bbcda4-a321-4b2b-acd3-fa84cf7300ea' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f505f7b1-be3f-467b-866a-1d4681e00f8e":{"roots":{"references":[{"attributes":{"source":{"id":"95178f58-a2c6-4efc-875a-4d55f78457aa","type":"ColumnDataSource"}},"id":"c7f7967b-9780-4e82-a00b-b1d5ac1b3e52","type":"CDSView"},{"attributes":{"callback":null},"id":"dafe24ea-4da3-4c10-993e-ed1331af45a2","type":"DataRange1d"},{"attributes":{"below":[{"id":"c2ddff4c-2526-4a45-bf24-35a08be69e75","type":"LinearAxis"}],"left":[{"id":"8ec14143-fe3b-4e84-aa63-431425ab70fc","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c2ddff4c-2526-4a45-bf24-35a08be69e75","type":"LinearAxis"},{"id":"3d24f5c9-41ee-4f45-93a5-fa723959bda3","type":"Grid"},{"id":"8ec14143-fe3b-4e84-aa63-431425ab70fc","type":"LinearAxis"},{"id":"b8bcae38-0e47-43fb-8cad-2d95e7ad8c96","type":"Grid"},{"id":"f92f2f21-813a-4c30-8cec-9dabdf833b6a","type":"GlyphRenderer"}],"title":{"id":"55f73cd4-ba6d-4249-95f5-0b49fa0a0b1c","type":"Title"},"toolbar":{"id":"1635456b-2630-4041-8082-9ad2f6631226","type":"Toolbar"},"x_range":{"id":"536b842e-0a31-45e0-a566-a0cfd6b3d87d","type":"DataRange1d"},"x_scale":{"id":"62092dca-5ff4-490c-be2c-c11a9e520734","type":"LinearScale"},"y_range":{"id":"dafe24ea-4da3-4c10-993e-ed1331af45a2","type":"DataRange1d"},"y_scale":{"id":"cafda926-3c56-4fff-a124-1e9f564e0083","type":"LinearScale"}},"id":"6251775b-1558-4631-ae02-cbcea2e0d38e","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"55f73cd4-ba6d-4249-95f5-0b49fa0a0b1c","type":"Title"},{"attributes":{"callback":null},"id":"536b842e-0a31-45e0-a566-a0cfd6b3d87d","type":"DataRange1d"},{"attributes":{"formatter":{"id":"a20a0765-6659-477e-9874-66d1c85962f1","type":"BasicTickFormatter"},"plot":{"id":"6251775b-1558-4631-ae02-cbcea2e0d38e","subtype":"Figure","type":"Plot"},"ticker":{"id":"e16510d4-645b-46a2-b145-192bcd4bbe07","type":"BasicTicker"}},"id":"c2ddff4c-2526-4a45-bf24-35a08be69e75","type":"LinearAxis"},{"attributes":{},"id":"a20a0765-6659-477e-9874-66d1c85962f1","type":"BasicTickFormatter"},{"attributes":{},"id":"62092dca-5ff4-490c-be2c-c11a9e520734","type":"LinearScale"},{"attributes":{},"id":"cafda926-3c56-4fff-a124-1e9f564e0083","type":"LinearScale"},{"attributes":{"callback":null,"tooltips":[["index","$index"],["(x,y)","($x, $y)"],["desc","@desc"]]},"id":"63f1184d-32dd-4829-bbcd-739913fc8d9a","type":"HoverTool"},{"attributes":{},"id":"4eb93173-51c8-4e7e-886a-b60ec0bc95d6","type":"BasicTickFormatter"},{"attributes":{},"id":"6ef688c0-e794-4c18-94a5-100c766bbba9","type":"BasicTicker"},{"attributes":{},"id":"e16510d4-645b-46a2-b145-192bcd4bbe07","type":"BasicTicker"},{"attributes":{"plot":{"id":"6251775b-1558-4631-ae02-cbcea2e0d38e","subtype":"Figure","type":"Plot"},"ticker":{"id":"e16510d4-645b-46a2-b145-192bcd4bbe07","type":"BasicTicker"}},"id":"3d24f5c9-41ee-4f45-93a5-fa723959bda3","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"d0bb7a2e-2bce-44d0-977c-65e6baecf255","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x","desc"],"data":{"desc":["A","b","C","d","E"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"95178f58-a2c6-4efc-875a-4d55f78457aa","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"6251775b-1558-4631-ae02-cbcea2e0d38e","subtype":"Figure","type":"Plot"},"ticker":{"id":"6ef688c0-e794-4c18-94a5-100c766bbba9","type":"BasicTicker"}},"id":"b8bcae38-0e47-43fb-8cad-2d95e7ad8c96","type":"Grid"},{"attributes":{"formatter":{"id":"4eb93173-51c8-4e7e-886a-b60ec0bc95d6","type":"BasicTickFormatter"},"plot":{"id":"6251775b-1558-4631-ae02-cbcea2e0d38e","subtype":"Figure","type":"Plot"},"ticker":{"id":"6ef688c0-e794-4c18-94a5-100c766bbba9","type":"BasicTicker"}},"id":"8ec14143-fe3b-4e84-aa63-431425ab70fc","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"ce8b76e8-e597-4539-b1a5-2c196420800c","type":"Circle"},{"attributes":{"data_source":{"id":"95178f58-a2c6-4efc-875a-4d55f78457aa","type":"ColumnDataSource"},"glyph":{"id":"d0bb7a2e-2bce-44d0-977c-65e6baecf255","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ce8b76e8-e597-4539-b1a5-2c196420800c","type":"Circle"},"selection_glyph":null,"view":{"id":"c7f7967b-9780-4e82-a00b-b1d5ac1b3e52","type":"CDSView"}},"id":"f92f2f21-813a-4c30-8cec-9dabdf833b6a","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"63f1184d-32dd-4829-bbcd-739913fc8d9a","type":"HoverTool"}]},"id":"1635456b-2630-4041-8082-9ad2f6631226","type":"Toolbar"}],"root_ids":["6251775b-1558-4631-ae02-cbcea2e0d38e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f505f7b1-be3f-467b-866a-1d4681e00f8e","elementid":"d4bbcda4-a321-4b2b-acd3-fa84cf7300ea","modelid":"6251775b-1558-4631-ae02-cbcea2e0d38e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
