(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e6f32fad-c766-44bf-9713-37870a1c8429");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e6f32fad-c766-44bf-9713-37870a1c8429' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c39f5a3b-2806-408a-8896-cbb05e558afd":{"roots":{"references":[{"attributes":{"callback":null,"tooltips":"\n    <div>\n        <div>\n            <img\n                src=\"@imgs\" height=\"42\" alt=\"@imgs\" width=\"42\"\n                style=\"float: left; margin: 0px 15px 15px 0px;\"\n                border=\"2\"\n            ></img>\n        </div>\n        <div>\n            <span style=\"font-size: 17px; font-weight: bold;\">@desc</span>\n            <span style=\"font-size: 15px; color: #966;\">[$index]</span>\n        </div>\n        <div>\n            <span>@fonts{safe}</span>\n        </div>\n        <div>\n            <span style=\"font-size: 15px;\">Location</span>\n            <span style=\"font-size: 10px; color: #696;\">($x, $y)</span>\n        </div>\n    </div>\n    "},"id":"1a7478c7-3af0-422c-a3b0-d761841a0e22","type":"HoverTool"},{"attributes":{},"id":"6792a24a-da3b-45b9-90cf-833b92f48253","type":"BasicTickFormatter"},{"attributes":{},"id":"bcf92ccc-533f-47fc-b27b-0b38348db497","type":"LinearScale"},{"attributes":{"data_source":{"id":"99faf737-486d-4b42-a25d-9ac633ba8537","type":"ColumnDataSource"},"glyph":{"id":"51eef205-adb6-4c50-b709-11301aec6769","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c4bec5d7-1234-4a2d-99aa-ac1b9987cf0b","type":"Circle"},"selection_glyph":null,"view":{"id":"24ba558c-035e-4f04-b2bf-3f9b98584467","type":"CDSView"}},"id":"f9a20dff-9b0a-4fb1-aeee-ae23168f033e","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"8cab0f21-14a9-4e69-a4d2-15c74df890ee","type":"LinearAxis"}],"left":[{"id":"f1b2fe21-a5a2-4927-9ad5-22cb92761310","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8cab0f21-14a9-4e69-a4d2-15c74df890ee","type":"LinearAxis"},{"id":"94f99eee-c04e-442e-9bcf-6fb595240539","type":"Grid"},{"id":"f1b2fe21-a5a2-4927-9ad5-22cb92761310","type":"LinearAxis"},{"id":"ffee7ebe-2f03-4491-a4aa-80de9ecd44e0","type":"Grid"},{"id":"f9a20dff-9b0a-4fb1-aeee-ae23168f033e","type":"GlyphRenderer"}],"title":{"id":"08f5da2e-9124-4315-82e8-edadc354e258","type":"Title"},"toolbar":{"id":"77346316-d56c-41c7-9cfb-76372cba2001","type":"Toolbar"},"x_range":{"id":"b8985c9f-c1d8-486e-8590-4cb810221011","type":"DataRange1d"},"x_scale":{"id":"fd354772-6f1c-4f5b-aa24-ea128fbe8354","type":"LinearScale"},"y_range":{"id":"2f3130dd-9f82-49ed-9bb0-e5bba6421d30","type":"DataRange1d"},"y_scale":{"id":"bcf92ccc-533f-47fc-b27b-0b38348db497","type":"LinearScale"}},"id":"c97fc0cd-4c88-4652-93fd-a4b8e1e4967e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"fd354772-6f1c-4f5b-aa24-ea128fbe8354","type":"LinearScale"},{"attributes":{"callback":null},"id":"2f3130dd-9f82-49ed-9bb0-e5bba6421d30","type":"DataRange1d"},{"attributes":{},"id":"72ca3085-6eaa-4fde-9000-428bd02160ce","type":"BasicTicker"},{"attributes":{"formatter":{"id":"6792a24a-da3b-45b9-90cf-833b92f48253","type":"BasicTickFormatter"},"plot":{"id":"c97fc0cd-4c88-4652-93fd-a4b8e1e4967e","subtype":"Figure","type":"Plot"},"ticker":{"id":"72ca3085-6eaa-4fde-9000-428bd02160ce","type":"BasicTicker"}},"id":"8cab0f21-14a9-4e69-a4d2-15c74df890ee","type":"LinearAxis"},{"attributes":{"plot":{"id":"c97fc0cd-4c88-4652-93fd-a4b8e1e4967e","subtype":"Figure","type":"Plot"},"ticker":{"id":"72ca3085-6eaa-4fde-9000-428bd02160ce","type":"BasicTicker"}},"id":"94f99eee-c04e-442e-9bcf-6fb595240539","type":"Grid"},{"attributes":{"callback":null,"column_names":["imgs","y","desc","fonts","x"],"data":{"desc":["A","b","C","d","E"],"fonts":["<i>italics</i>","<pre>pre</pre>","<b>bold</b>","<small>small</small>","<del>del</del>"],"imgs":["https://bokeh.pydata.org/static/snake.jpg","https://bokeh.pydata.org/static/snake2.png","https://bokeh.pydata.org/static/snake3D.png","https://bokeh.pydata.org/static/snake4_TheRevenge.png","https://bokeh.pydata.org/static/snakebite.jpg"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"99faf737-486d-4b42-a25d-9ac633ba8537","type":"ColumnDataSource"},{"attributes":{},"id":"3b39d070-9604-4419-b143-059fe16c371c","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"c4bec5d7-1234-4a2d-99aa-ac1b9987cf0b","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"c97fc0cd-4c88-4652-93fd-a4b8e1e4967e","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b39d070-9604-4419-b143-059fe16c371c","type":"BasicTicker"}},"id":"ffee7ebe-2f03-4491-a4aa-80de9ecd44e0","type":"Grid"},{"attributes":{"formatter":{"id":"587d1da4-4f43-474a-bb88-4f74a6db4d7a","type":"BasicTickFormatter"},"plot":{"id":"c97fc0cd-4c88-4652-93fd-a4b8e1e4967e","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b39d070-9604-4419-b143-059fe16c371c","type":"BasicTicker"}},"id":"f1b2fe21-a5a2-4927-9ad5-22cb92761310","type":"LinearAxis"},{"attributes":{"callback":null},"id":"b8985c9f-c1d8-486e-8590-4cb810221011","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1a7478c7-3af0-422c-a3b0-d761841a0e22","type":"HoverTool"}]},"id":"77346316-d56c-41c7-9cfb-76372cba2001","type":"Toolbar"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"08f5da2e-9124-4315-82e8-edadc354e258","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"51eef205-adb6-4c50-b709-11301aec6769","type":"Circle"},{"attributes":{"source":{"id":"99faf737-486d-4b42-a25d-9ac633ba8537","type":"ColumnDataSource"}},"id":"24ba558c-035e-4f04-b2bf-3f9b98584467","type":"CDSView"},{"attributes":{},"id":"587d1da4-4f43-474a-bb88-4f74a6db4d7a","type":"BasicTickFormatter"}],"root_ids":["c97fc0cd-4c88-4652-93fd-a4b8e1e4967e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c39f5a3b-2806-408a-8896-cbb05e558afd","elementid":"e6f32fad-c766-44bf-9713-37870a1c8429","modelid":"c97fc0cd-4c88-4652-93fd-a4b8e1e4967e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
