(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4aa3e3fe-f1e1-46c1-9198-8c2177e32fec");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4aa3e3fe-f1e1-46c1-9198-8c2177e32fec' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d7cf8ed2-c35c-42d1-a3c2-9a27bd5d3dd3":{"roots":{"references":[{"attributes":{},"id":"03ed2d74-40a6-445b-869b-92264709a5ba","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.8},"line_color":{"value":"#CCCCCC"},"line_width":{"value":5}},"id":"3c68716b-a593-4e98-9eae-a0bc7041ab7b","type":"MultiLine"},{"attributes":{"source":{"id":"b9f5d357-3d82-4026-96bb-41eb9e745d80","type":"ColumnDataSource"}},"id":"21e9539b-484f-4e63-a90a-de1778ab5c84","type":"CDSView"},{"attributes":{"callback":null},"id":"cc1a5ac1-1f46-49e5-8e74-2c80ebf973ce","type":"TapTool"},{"attributes":{"data_source":{"id":"5d1929dd-2906-4ee9-bdc5-13ff515a12fc","type":"ColumnDataSource"},"glyph":{"id":"3c68716b-a593-4e98-9eae-a0bc7041ab7b","type":"MultiLine"},"hover_glyph":{"id":"574727dd-5480-4467-93b0-1cb139bb5010","type":"MultiLine"},"muted_glyph":null,"selection_glyph":{"id":"cb7e1a40-8182-40ea-97bb-a8d6e4b94e7c","type":"MultiLine"},"view":{"id":"5fe9a411-1541-45fb-be65-218fffb1a239","type":"CDSView"}},"id":"9e25b01d-fe78-41eb-b503-02f7f0e9fec5","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"b9f5d357-3d82-4026-96bb-41eb9e745d80","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"b9f5d357-3d82-4026-96bb-41eb9e745d80","type":"ColumnDataSource"},"glyph":{"id":"b01c5fb2-8803-4998-bc45-72038a4eeb22","type":"Circle"},"hover_glyph":{"id":"7005f738-6ff8-47f2-9b26-6be4703348a2","type":"Circle"},"muted_glyph":null,"selection_glyph":{"id":"2a697c50-818f-4223-a866-558a07fab6dd","type":"Circle"},"view":{"id":"21e9539b-484f-4e63-a90a-de1778ab5c84","type":"CDSView"}},"id":"6fbc3169-d3b5-45ad-9eaa-c97e593a6363","type":"GlyphRenderer"},{"attributes":{},"id":"3dd6dfa1-8437-43a4-b209-3c32f9a7ae45","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#abdda4"},"size":{"units":"screen","value":15}},"id":"7005f738-6ff8-47f2-9b26-6be4703348a2","type":"Circle"},{"attributes":{"callback":null,"tooltips":null},"id":"72be4bef-d94f-4554-bf60-bd1b744db728","type":"HoverTool"},{"attributes":{"plot":null,"text":"Graph Interaction Demonstration"},"id":"5967625a-c41c-4a7a-81e8-fb3988b32ff0","type":"Title"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"3413c438-dfcd-4c4d-8749-351d5026e28f","type":"Range1d"},{"attributes":{"line_color":{"value":"#abdda4"},"line_width":{"value":5}},"id":"574727dd-5480-4467-93b0-1cb139bb5010","type":"MultiLine"},{"attributes":{"fill_color":{"value":"#2b83ba"},"size":{"units":"screen","value":15}},"id":"b01c5fb2-8803-4998-bc45-72038a4eeb22","type":"Circle"},{"attributes":{"line_color":{"value":"#fdae61"},"line_width":{"value":5}},"id":"cb7e1a40-8182-40ea-97bb-a8d6e4b94e7c","type":"MultiLine"},{"attributes":{"fill_color":{"value":"#fdae61"},"size":{"units":"screen","value":15}},"id":"2a697c50-818f-4223-a866-558a07fab6dd","type":"Circle"},{"attributes":{"source":{"id":"5d1929dd-2906-4ee9-bdc5-13ff515a12fc","type":"ColumnDataSource"}},"id":"5fe9a411-1541-45fb-be65-218fffb1a239","type":"CDSView"},{"attributes":{},"id":"35889fed-c6df-4688-a248-6c676eb01929","type":"NodesAndLinkedEdges"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"5d1929dd-2906-4ee9-bdc5-13ff515a12fc","type":"ColumnDataSource"},{"attributes":{},"id":"8103c8b7-ce2f-460a-89c2-72243b6fdeda","type":"EdgesAndLinkedNodes"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.9829730996839018,0.18374951781657034],"10":[-0.2736629900720829,0.961825643172819],"11":[-0.44573835577653825,0.8951632913550623],"12":[-0.6026346363792563,0.7980172272802396],"13":[-0.739008917220659,0.6736956436465573],"14":[-0.8502171357296142,0.5264321628773557],"15":[-0.9324722294043558,0.36124166618715287],"16":[-0.9829730996839018,0.18374951781657037],"17":[-1.0,1.2246467991473532e-16],"18":[-0.9829730996839018,-0.18374951781657015],"19":[-0.9324722294043557,-0.3612416661871531],"2":[0.9324722294043558,0.3612416661871529],"20":[-0.8502171357296141,-0.5264321628773558],"21":[-0.7390089172206591,-0.6736956436465572],"22":[-0.6026346363792565,-0.7980172272802394],"23":[-0.44573835577653803,-0.8951632913550625],"24":[-0.2736629900720831,-0.961825643172819],"25":[-0.0922683594633019,-0.9957341762950346],"26":[0.09226835946330156,-0.9957341762950346],"27":[0.2736629900720828,-0.961825643172819],"28":[0.44573835577653853,-0.8951632913550622],"29":[0.6026346363792562,-0.7980172272802397],"3":[0.8502171357296142,0.5264321628773557],"30":[0.7390089172206591,-0.6736956436465571],"31":[0.850217135729614,-0.5264321628773562],"32":[0.9324722294043558,-0.361241666187153],"33":[0.9829730996839018,-0.18374951781657006],"4":[0.7390089172206591,0.6736956436465572],"5":[0.6026346363792564,0.7980172272802395],"6":[0.4457383557765383,0.8951632913550623],"7":[0.2736629900720828,0.961825643172819],"8":[0.092268359463302,0.9957341762950345],"9":[-0.09226835946330189,0.9957341762950346]}},"id":"393f5261-e9be-45e7-a2ee-b786b48ae8fa","type":"StaticLayoutProvider"},{"attributes":{"callback":null,"overlay":{"id":"9117f249-1378-4999-ac7b-c7c906fdfe37","type":"BoxAnnotation"}},"id":"a4cfaa4d-beab-4c52-aa55-02afffe96b5e","type":"BoxSelectTool"},{"attributes":{"plot_height":400,"plot_width":400,"renderers":[{"id":"9117f249-1378-4999-ac7b-c7c906fdfe37","type":"BoxAnnotation"},{"id":"90132d9c-29b7-4907-aab2-5f2625a413d8","type":"GraphRenderer"}],"title":{"id":"5967625a-c41c-4a7a-81e8-fb3988b32ff0","type":"Title"},"toolbar":{"id":"1f4c8c08-b017-4cbb-ac69-490391916ead","type":"Toolbar"},"x_range":{"id":"3413c438-dfcd-4c4d-8749-351d5026e28f","type":"Range1d"},"x_scale":{"id":"03ed2d74-40a6-445b-869b-92264709a5ba","type":"LinearScale"},"y_range":{"id":"2c46fead-b4a8-4a3b-ad00-6ee60794e6a9","type":"Range1d"},"y_scale":{"id":"3dd6dfa1-8437-43a4-b209-3c32f9a7ae45","type":"LinearScale"}},"id":"4c42d1fc-9c82-40e5-bcd7-7b5073d0db25","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"72be4bef-d94f-4554-bf60-bd1b744db728","type":"HoverTool"},{"id":"cc1a5ac1-1f46-49e5-8e74-2c80ebf973ce","type":"TapTool"},{"id":"a4cfaa4d-beab-4c52-aa55-02afffe96b5e","type":"BoxSelectTool"}]},"id":"1f4c8c08-b017-4cbb-ac69-490391916ead","type":"Toolbar"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"2c46fead-b4a8-4a3b-ad00-6ee60794e6a9","type":"Range1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9117f249-1378-4999-ac7b-c7c906fdfe37","type":"BoxAnnotation"},{"attributes":{"edge_renderer":{"id":"9e25b01d-fe78-41eb-b503-02f7f0e9fec5","type":"GlyphRenderer"},"inspection_policy":{"id":"8103c8b7-ce2f-460a-89c2-72243b6fdeda","type":"EdgesAndLinkedNodes"},"layout_provider":{"id":"393f5261-e9be-45e7-a2ee-b786b48ae8fa","type":"StaticLayoutProvider"},"node_renderer":{"id":"6fbc3169-d3b5-45ad-9eaa-c97e593a6363","type":"GlyphRenderer"},"selection_policy":{"id":"35889fed-c6df-4688-a248-6c676eb01929","type":"NodesAndLinkedEdges"}},"id":"90132d9c-29b7-4907-aab2-5f2625a413d8","type":"GraphRenderer"}],"root_ids":["4c42d1fc-9c82-40e5-bcd7-7b5073d0db25"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d7cf8ed2-c35c-42d1-a3c2-9a27bd5d3dd3","elementid":"4aa3e3fe-f1e1-46c1-9198-8c2177e32fec","modelid":"4c42d1fc-9c82-40e5-bcd7-7b5073d0db25"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
