(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("972542f8-673b-4099-bc3c-e981fea069c3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '972542f8-673b-4099-bc3c-e981fea069c3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9a52f90d-63d9-47e1-abd5-fe5815d0dd1f":{"roots":{"references":[{"attributes":{"source":{"id":"56119be2-047b-4e5a-b2cb-51da40e61e4c","type":"ColumnDataSource"}},"id":"819ceb88-346f-41d7-92f3-4d4de79fc0a5","type":"CDSView"},{"attributes":{},"id":"ee01fcd5-2677-48ac-a772-f63f79cc4ac0","type":"StringEditor"},{"attributes":{"callback":null,"column_names":["downloads","dates"],"data":{"dates":[1393632000000.0,1393718400000.0,1393804800000.0,1393891200000.0,1393977600000.0,1394064000000.0,1394150400000.0,1394236800000.0,1394323200000.0,1394409600000.0],"downloads":[69,79,24,11,41,82,62,44,59,86]}},"id":"56119be2-047b-4e5a-b2cb-51da40e61e4c","type":"ColumnDataSource"},{"attributes":{},"id":"ddd8c43d-7336-40e6-a670-8cc9bbdc419e","type":"StringFormatter"},{"attributes":{"editor":{"id":"ee01fcd5-2677-48ac-a772-f63f79cc4ac0","type":"StringEditor"},"field":"dates","formatter":{"id":"d000b4d7-9079-435a-ad15-dcd5873df142","type":"DateFormatter"},"title":"Date"},"id":"03cc592d-11b7-46d1-949e-39decf3e2d13","type":"TableColumn"},{"attributes":{},"id":"8a6ff9d0-b4c3-4f02-a2fd-c24901d575f2","type":"StringEditor"},{"attributes":{"children":[{"id":"34cf8599-fe29-43ab-a919-aefea7617573","type":"DataTable"}]},"id":"227681e6-207d-4f23-b301-e76d239732f5","type":"WidgetBox"},{"attributes":{"columns":[{"id":"03cc592d-11b7-46d1-949e-39decf3e2d13","type":"TableColumn"},{"id":"132698ea-63fe-4b12-a50a-62210c826c5e","type":"TableColumn"}],"height":280,"source":{"id":"56119be2-047b-4e5a-b2cb-51da40e61e4c","type":"ColumnDataSource"},"view":{"id":"819ceb88-346f-41d7-92f3-4d4de79fc0a5","type":"CDSView"},"width":400},"id":"34cf8599-fe29-43ab-a919-aefea7617573","type":"DataTable"},{"attributes":{"editor":{"id":"8a6ff9d0-b4c3-4f02-a2fd-c24901d575f2","type":"StringEditor"},"field":"downloads","formatter":{"id":"ddd8c43d-7336-40e6-a670-8cc9bbdc419e","type":"StringFormatter"},"title":"Downloads"},"id":"132698ea-63fe-4b12-a50a-62210c826c5e","type":"TableColumn"},{"attributes":{},"id":"d000b4d7-9079-435a-ad15-dcd5873df142","type":"DateFormatter"}],"root_ids":["227681e6-207d-4f23-b301-e76d239732f5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9a52f90d-63d9-47e1-abd5-fe5815d0dd1f","elementid":"972542f8-673b-4099-bc3c-e981fea069c3","modelid":"227681e6-207d-4f23-b301-e76d239732f5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
