(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("50ecee93-da9b-4bf3-a965-48320b334083");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '50ecee93-da9b-4bf3-a965-48320b334083' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b5e03783-d843-44a1-8380-9985a10fc100":{"roots":{"references":[{"attributes":{},"id":"96e25c5a-1baf-4868-abae-b587d09a0e34","type":"BasicTicker"},{"attributes":{"children":[{"id":"dace0189-c38c-4571-b6ad-05df396f6824","type":"Spacer"},{"id":"d78904fe-89f5-49bc-9b53-223cdaaf41fe","subtype":"Figure","type":"Plot"}]},"id":"6a843af6-e33f-4876-bc6b-5c95dba7926a","type":"Row"},{"attributes":{},"id":"34ddd24f-e964-4046-a431-9af267ab7f64","type":"PanTool"},{"attributes":{},"id":"13dab7bc-486f-45be-b6da-4f0295b9b157","type":"LinearScale"},{"attributes":{"plot":{"id":"d78904fe-89f5-49bc-9b53-223cdaaf41fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"03ca9667-e49a-4d33-be73-a2e3eff85f8d","type":"BasicTicker"}},"id":"1cb17626-3e98-4da1-8fe7-a940f1d07399","type":"Grid"},{"attributes":{"children":[{"id":"de399d1b-43b8-4bdd-b897-81249449eb65","subtype":"Figure","type":"Plot"},{"id":"07f8c8ab-66a4-4ee4-a5af-060c3732a40d","subtype":"Figure","type":"Plot"}]},"id":"c697c2c5-d15c-4fab-a669-cd0eb0cff77a","type":"Row"},{"attributes":{"data_source":{"id":"db11075f-0cde-4060-b02f-866bb6ee7344","type":"ColumnDataSource"},"glyph":{"id":"b2babb28-3908-4cd2-a071-f54ce54155d7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7705b2e2-5682-4f39-ba59-0d22879fdffd","type":"Circle"},"selection_glyph":null,"view":{"id":"96d49c53-1398-4a78-a2b8-519d43a0ec86","type":"CDSView"}},"id":"7b243b58-3bae-4fb0-b8b3-85ddb1cf27c9","type":"GlyphRenderer"},{"attributes":{},"id":"6e42bd0f-3b9f-4016-a06f-dd9b9d0de635","type":"SaveTool"},{"attributes":{},"id":"991a20e3-cc4b-4269-984c-d9002eb0d774","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"16524235-74dd-48e9-a7a0-2c650f684230","type":"BoxAnnotation"}},"id":"815f6ced-fca3-4005-aaef-d300b8fea742","type":"BoxZoomTool"},{"attributes":{},"id":"52fb5cc7-adc0-4834-b66e-f4d5a061f19d","type":"LinearScale"},{"attributes":{"formatter":{"id":"d4912d22-64fc-418d-bd35-663933027a5a","type":"BasicTickFormatter"},"plot":{"id":"de399d1b-43b8-4bdd-b897-81249449eb65","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b361051-36c2-4ee4-8fd8-a525ae2275a0","type":"BasicTicker"}},"id":"4d594918-39c0-44f6-81be-62cdde168e37","type":"LinearAxis"},{"attributes":{"formatter":{"id":"0f382c70-b5d1-4956-b876-e585b872a698","type":"BasicTickFormatter"},"plot":{"id":"07f8c8ab-66a4-4ee4-a5af-060c3732a40d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3dfb4319-b03d-4396-83cf-1d156da1faf5","type":"BasicTicker"}},"id":"45440f89-d666-491b-98ad-6c022e329b5e","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"d78904fe-89f5-49bc-9b53-223cdaaf41fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"9feb3a2e-f112-4021-9dc7-9b9ee38e4810","type":"BasicTicker"}},"id":"a1868351-b867-4344-a44d-123396dc488b","type":"Grid"},{"attributes":{},"id":"da7caec3-6156-49f8-921c-9bcf8e5531de","type":"WheelZoomTool"},{"attributes":{},"id":"530e0db9-bb9b-4d5a-8750-6ddfac3b170c","type":"SaveTool"},{"attributes":{},"id":"322b871a-e910-491c-ad14-9b06a0c4f3ca","type":"LinearScale"},{"attributes":{},"id":"b4de87dc-36f9-44b9-814e-5e4b8a55216f","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"07f8c8ab-66a4-4ee4-a5af-060c3732a40d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3dfb4319-b03d-4396-83cf-1d156da1faf5","type":"BasicTicker"}},"id":"f8ceac8d-259d-44e7-9363-c488129c367c","type":"Grid"},{"attributes":{},"id":"58d0c1f6-aab6-4f2e-b25d-ede3d2cbabfb","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a8e47360-b046-4513-96a4-b52fa798193f","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b2babb28-3908-4cd2-a071-f54ce54155d7","type":"Circle"},{"attributes":{"overlay":{"id":"a8e47360-b046-4513-96a4-b52fa798193f","type":"BoxAnnotation"}},"id":"9cf98f07-1bc5-475a-b445-51741bef9ddd","type":"BoxZoomTool"},{"attributes":{},"id":"61c34c70-c57e-4a9c-9aa8-52665bf002e5","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"de399d1b-43b8-4bdd-b897-81249449eb65","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b361051-36c2-4ee4-8fd8-a525ae2275a0","type":"BasicTicker"}},"id":"33fa304b-bb7e-4da7-bb1f-4d59db6816f4","type":"Grid"},{"attributes":{"data_source":{"id":"b6b5d4b1-04b8-495e-95fb-1d0f411f09e7","type":"ColumnDataSource"},"glyph":{"id":"86a18620-c429-4cf1-b84d-5f69e1496150","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"15dd8103-9054-4f35-a10a-f2c95abfb82d","type":"Triangle"},"selection_glyph":null,"view":{"id":"3b1afc3c-a3b7-489f-b460-7b4733c7008b","type":"CDSView"}},"id":"281abb0e-8207-4ecc-8d8b-d7efd955ee70","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"3a7a0e5f-ea33-4805-92f1-2524235257fc","type":"ColumnDataSource"},{"attributes":{},"id":"d28812b0-ce71-475a-aff5-3d31dba842a1","type":"HelpTool"},{"attributes":{},"id":"55b470ae-7a51-4328-9f0c-7bb9e00197cb","type":"SaveTool"},{"attributes":{"source":{"id":"b6b5d4b1-04b8-495e-95fb-1d0f411f09e7","type":"ColumnDataSource"}},"id":"3b1afc3c-a3b7-489f-b460-7b4733c7008b","type":"CDSView"},{"attributes":{"callback":null},"id":"0298bc6d-40ef-4775-972e-62a03afea77a","type":"DataRange1d"},{"attributes":{},"id":"04f6e2e5-0468-4e1b-a495-b541066ec481","type":"PanTool"},{"attributes":{},"id":"d4912d22-64fc-418d-bd35-663933027a5a","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b4de87dc-36f9-44b9-814e-5e4b8a55216f","type":"BasicTickFormatter"},"plot":{"id":"d78904fe-89f5-49bc-9b53-223cdaaf41fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"9feb3a2e-f112-4021-9dc7-9b9ee38e4810","type":"BasicTicker"}},"id":"6da065c6-3586-44cf-8265-dd27b0116c5a","type":"LinearAxis"},{"attributes":{"formatter":{"id":"58d0c1f6-aab6-4f2e-b25d-ede3d2cbabfb","type":"BasicTickFormatter"},"plot":{"id":"d78904fe-89f5-49bc-9b53-223cdaaf41fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"03ca9667-e49a-4d33-be73-a2e3eff85f8d","type":"BasicTicker"}},"id":"5e53fb9c-de56-45e3-92cc-84380d2ec287","type":"LinearAxis"},{"attributes":{"formatter":{"id":"8d745845-7115-4f62-96d5-ae76567feb45","type":"BasicTickFormatter"},"plot":{"id":"07f8c8ab-66a4-4ee4-a5af-060c3732a40d","subtype":"Figure","type":"Plot"},"ticker":{"id":"96e25c5a-1baf-4868-abae-b587d09a0e34","type":"BasicTicker"}},"id":"b4d93a94-00ab-4135-a208-da2be7e78d9b","type":"LinearAxis"},{"attributes":{},"id":"0f382c70-b5d1-4956-b876-e585b872a698","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"6c59dda9-fef2-4eb1-8a46-5520235eb8c8","type":"DataRange1d"},{"attributes":{"below":[{"id":"5e53fb9c-de56-45e3-92cc-84380d2ec287","type":"LinearAxis"}],"left":[{"id":"6da065c6-3586-44cf-8265-dd27b0116c5a","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"5e53fb9c-de56-45e3-92cc-84380d2ec287","type":"LinearAxis"},{"id":"1cb17626-3e98-4da1-8fe7-a940f1d07399","type":"Grid"},{"id":"6da065c6-3586-44cf-8265-dd27b0116c5a","type":"LinearAxis"},{"id":"a1868351-b867-4344-a44d-123396dc488b","type":"Grid"},{"id":"a8e47360-b046-4513-96a4-b52fa798193f","type":"BoxAnnotation"},{"id":"d6716131-ae73-4489-a7b9-273f89b9f486","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"8b65b114-5ddf-4c92-8860-b4abeaa1307e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"29e72927-f956-43fe-ab9b-6dfcc2b206ab","type":"DataRange1d"},"x_scale":{"id":"13dab7bc-486f-45be-b6da-4f0295b9b157","type":"LinearScale"},"y_range":{"id":"a4f74b21-42d6-4520-a304-3270f89efe3f","type":"DataRange1d"},"y_scale":{"id":"a0a483a2-354b-4f86-b7b3-7d0b56a554e1","type":"LinearScale"}},"id":"d78904fe-89f5-49bc-9b53-223cdaaf41fe","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9feb3a2e-f112-4021-9dc7-9b9ee38e4810","type":"BasicTicker"},{"attributes":{},"id":"55a3d170-857c-4298-986a-8494f8dc2bb0","type":"ResetTool"},{"attributes":{},"id":"e79ed7ab-4999-4c51-a73c-02d09e5b63bd","type":"ResetTool"},{"attributes":{},"id":"2b361051-36c2-4ee4-8fd8-a525ae2275a0","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"16524235-74dd-48e9-a7a0-2c650f684230","type":"BoxAnnotation"},{"attributes":{},"id":"f8b63f94-ed84-4ec8-8967-da0a4f8207f1","type":"PanTool"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"86a18620-c429-4cf1-b84d-5f69e1496150","type":"Triangle"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"db11075f-0cde-4060-b02f-866bb6ee7344","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"b4d93a94-00ab-4135-a208-da2be7e78d9b","type":"LinearAxis"}],"left":[{"id":"45440f89-d666-491b-98ad-6c022e329b5e","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b4d93a94-00ab-4135-a208-da2be7e78d9b","type":"LinearAxis"},{"id":"000472a0-faeb-42c4-8320-4940271c4627","type":"Grid"},{"id":"45440f89-d666-491b-98ad-6c022e329b5e","type":"LinearAxis"},{"id":"f8ceac8d-259d-44e7-9363-c488129c367c","type":"Grid"},{"id":"16524235-74dd-48e9-a7a0-2c650f684230","type":"BoxAnnotation"},{"id":"281abb0e-8207-4ecc-8d8b-d7efd955ee70","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"4a4e6c83-0614-4b3d-a80b-4be42eaa8307","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b2ae2f0e-2d1d-42d8-b174-ee9711c65977","type":"DataRange1d"},"x_scale":{"id":"52fb5cc7-adc0-4834-b66e-f4d5a061f19d","type":"LinearScale"},"y_range":{"id":"30f1828b-c785-4be9-8a7c-ef97caf73a5d","type":"DataRange1d"},"y_scale":{"id":"285247fb-a367-4fb3-b113-00c2207d89bd","type":"LinearScale"}},"id":"07f8c8ab-66a4-4ee4-a5af-060c3732a40d","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"4d594918-39c0-44f6-81be-62cdde168e37","type":"LinearAxis"}],"left":[{"id":"ccbc0be0-9542-4ef1-997a-c953fb4de217","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"4d594918-39c0-44f6-81be-62cdde168e37","type":"LinearAxis"},{"id":"33fa304b-bb7e-4da7-bb1f-4d59db6816f4","type":"Grid"},{"id":"ccbc0be0-9542-4ef1-997a-c953fb4de217","type":"LinearAxis"},{"id":"32b07f1b-fa3f-4df4-9d43-5a587a41cb6f","type":"Grid"},{"id":"782678f1-48f0-4071-98a3-c10cabf760cc","type":"BoxAnnotation"},{"id":"7b243b58-3bae-4fb0-b8b3-85ddb1cf27c9","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"a6c22ceb-6f05-4115-b6f8-a1fb63016bfd","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"0298bc6d-40ef-4775-972e-62a03afea77a","type":"DataRange1d"},"x_scale":{"id":"2bd2d90b-53dc-4e3f-a909-cf390822fb09","type":"LinearScale"},"y_range":{"id":"6c59dda9-fef2-4eb1-8a46-5520235eb8c8","type":"DataRange1d"},"y_scale":{"id":"322b871a-e910-491c-ad14-9b06a0c4f3ca","type":"LinearScale"}},"id":"de399d1b-43b8-4bdd-b897-81249449eb65","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"b6b5d4b1-04b8-495e-95fb-1d0f411f09e7","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f8b63f94-ed84-4ec8-8967-da0a4f8207f1","type":"PanTool"},{"id":"991a20e3-cc4b-4269-984c-d9002eb0d774","type":"WheelZoomTool"},{"id":"e72d29b2-ca35-4b5a-ab72-5f5838b3b92a","type":"BoxZoomTool"},{"id":"55b470ae-7a51-4328-9f0c-7bb9e00197cb","type":"SaveTool"},{"id":"ac3d8fd9-cdfa-45c5-a59c-403268424811","type":"ResetTool"},{"id":"229608d3-27a5-4ca1-9bf4-e26d10b25d46","type":"HelpTool"}]},"id":"a6c22ceb-6f05-4115-b6f8-a1fb63016bfd","type":"Toolbar"},{"attributes":{"children":[{"id":"2a744562-8a32-4ca4-b92e-31f90ac88069","type":"ToolbarBox"},{"id":"039eedb3-c9bf-4ddd-816c-4dccee33d812","type":"Column"}]},"id":"44abd1fb-86b2-4c61-9db6-80a211b16219","type":"Column"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4268f920-8618-4eed-afbf-db43e264cc20","type":"Square"},{"attributes":{},"id":"f770a6fd-ae9e-4177-9175-de3ef8f0ea94","type":"HelpTool"},{"attributes":{"callback":null},"id":"b2ae2f0e-2d1d-42d8-b174-ee9711c65977","type":"DataRange1d"},{"attributes":{"children":[{"id":"c697c2c5-d15c-4fab-a669-cd0eb0cff77a","type":"Row"},{"id":"6a843af6-e33f-4876-bc6b-5c95dba7926a","type":"Row"}]},"id":"039eedb3-c9bf-4ddd-816c-4dccee33d812","type":"Column"},{"attributes":{"data_source":{"id":"3a7a0e5f-ea33-4805-92f1-2524235257fc","type":"ColumnDataSource"},"glyph":{"id":"4268f920-8618-4eed-afbf-db43e264cc20","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e3c63357-c85d-4ff3-817a-317f6a9fdf48","type":"Square"},"selection_glyph":null,"view":{"id":"23b159b6-2f22-40ac-9373-7475a9eaaaa0","type":"CDSView"}},"id":"d6716131-ae73-4489-a7b9-273f89b9f486","type":"GlyphRenderer"},{"attributes":{"source":{"id":"3a7a0e5f-ea33-4805-92f1-2524235257fc","type":"ColumnDataSource"}},"id":"23b159b6-2f22-40ac-9373-7475a9eaaaa0","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"782678f1-48f0-4071-98a3-c10cabf760cc","type":"BoxAnnotation"},{"attributes":{},"id":"285247fb-a367-4fb3-b113-00c2207d89bd","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"15dd8103-9054-4f35-a10a-f2c95abfb82d","type":"Triangle"},{"attributes":{},"id":"ac3d8fd9-cdfa-45c5-a59c-403268424811","type":"ResetTool"},{"attributes":{},"id":"3dfb4319-b03d-4396-83cf-1d156da1faf5","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a4f74b21-42d6-4520-a304-3270f89efe3f","type":"DataRange1d"},{"attributes":{},"id":"8d745845-7115-4f62-96d5-ae76567feb45","type":"BasicTickFormatter"},{"attributes":{},"id":"a0a483a2-354b-4f86-b7b3-7d0b56a554e1","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e3c63357-c85d-4ff3-817a-317f6a9fdf48","type":"Square"},{"attributes":{},"id":"e2915bcd-8be6-4357-8813-a2401c70f6ee","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"de399d1b-43b8-4bdd-b897-81249449eb65","subtype":"Figure","type":"Plot"},"ticker":{"id":"859563a6-5fad-49f3-a777-3dee908f4efa","type":"BasicTicker"}},"id":"32b07f1b-fa3f-4df4-9d43-5a587a41cb6f","type":"Grid"},{"attributes":{"overlay":{"id":"782678f1-48f0-4071-98a3-c10cabf760cc","type":"BoxAnnotation"}},"id":"e72d29b2-ca35-4b5a-ab72-5f5838b3b92a","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"29e72927-f956-43fe-ab9b-6dfcc2b206ab","type":"DataRange1d"},{"attributes":{"height":250,"width":250},"id":"dace0189-c38c-4571-b6ad-05df396f6824","type":"Spacer"},{"attributes":{},"id":"03ca9667-e49a-4d33-be73-a2e3eff85f8d","type":"BasicTicker"},{"attributes":{"callback":null},"id":"30f1828b-c785-4be9-8a7c-ef97caf73a5d","type":"DataRange1d"},{"attributes":{},"id":"229608d3-27a5-4ca1-9bf4-e26d10b25d46","type":"HelpTool"},{"attributes":{},"id":"859563a6-5fad-49f3-a777-3dee908f4efa","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"04f6e2e5-0468-4e1b-a495-b541066ec481","type":"PanTool"},{"id":"61c34c70-c57e-4a9c-9aa8-52665bf002e5","type":"WheelZoomTool"},{"id":"9cf98f07-1bc5-475a-b445-51741bef9ddd","type":"BoxZoomTool"},{"id":"530e0db9-bb9b-4d5a-8750-6ddfac3b170c","type":"SaveTool"},{"id":"55a3d170-857c-4298-986a-8494f8dc2bb0","type":"ResetTool"},{"id":"f770a6fd-ae9e-4177-9175-de3ef8f0ea94","type":"HelpTool"}]},"id":"8b65b114-5ddf-4c92-8860-b4abeaa1307e","type":"Toolbar"},{"attributes":{},"id":"2bd2d90b-53dc-4e3f-a909-cf390822fb09","type":"LinearScale"},{"attributes":{"source":{"id":"db11075f-0cde-4060-b02f-866bb6ee7344","type":"ColumnDataSource"}},"id":"96d49c53-1398-4a78-a2b8-519d43a0ec86","type":"CDSView"},{"attributes":{"formatter":{"id":"e2915bcd-8be6-4357-8813-a2401c70f6ee","type":"BasicTickFormatter"},"plot":{"id":"de399d1b-43b8-4bdd-b897-81249449eb65","subtype":"Figure","type":"Plot"},"ticker":{"id":"859563a6-5fad-49f3-a777-3dee908f4efa","type":"BasicTicker"}},"id":"ccbc0be0-9542-4ef1-997a-c953fb4de217","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7705b2e2-5682-4f39-ba59-0d22879fdffd","type":"Circle"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"f8b63f94-ed84-4ec8-8967-da0a4f8207f1","type":"PanTool"},{"id":"991a20e3-cc4b-4269-984c-d9002eb0d774","type":"WheelZoomTool"},{"id":"e72d29b2-ca35-4b5a-ab72-5f5838b3b92a","type":"BoxZoomTool"},{"id":"55b470ae-7a51-4328-9f0c-7bb9e00197cb","type":"SaveTool"},{"id":"ac3d8fd9-cdfa-45c5-a59c-403268424811","type":"ResetTool"},{"id":"229608d3-27a5-4ca1-9bf4-e26d10b25d46","type":"HelpTool"},{"id":"34ddd24f-e964-4046-a431-9af267ab7f64","type":"PanTool"},{"id":"da7caec3-6156-49f8-921c-9bcf8e5531de","type":"WheelZoomTool"},{"id":"815f6ced-fca3-4005-aaef-d300b8fea742","type":"BoxZoomTool"},{"id":"6e42bd0f-3b9f-4016-a06f-dd9b9d0de635","type":"SaveTool"},{"id":"e79ed7ab-4999-4c51-a73c-02d09e5b63bd","type":"ResetTool"},{"id":"d28812b0-ce71-475a-aff5-3d31dba842a1","type":"HelpTool"},{"id":"04f6e2e5-0468-4e1b-a495-b541066ec481","type":"PanTool"},{"id":"61c34c70-c57e-4a9c-9aa8-52665bf002e5","type":"WheelZoomTool"},{"id":"9cf98f07-1bc5-475a-b445-51741bef9ddd","type":"BoxZoomTool"},{"id":"530e0db9-bb9b-4d5a-8750-6ddfac3b170c","type":"SaveTool"},{"id":"55a3d170-857c-4298-986a-8494f8dc2bb0","type":"ResetTool"},{"id":"f770a6fd-ae9e-4177-9175-de3ef8f0ea94","type":"HelpTool"}]},"id":"2a744562-8a32-4ca4-b92e-31f90ac88069","type":"ToolbarBox"},{"attributes":{"plot":{"id":"07f8c8ab-66a4-4ee4-a5af-060c3732a40d","subtype":"Figure","type":"Plot"},"ticker":{"id":"96e25c5a-1baf-4868-abae-b587d09a0e34","type":"BasicTicker"}},"id":"000472a0-faeb-42c4-8320-4940271c4627","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"34ddd24f-e964-4046-a431-9af267ab7f64","type":"PanTool"},{"id":"da7caec3-6156-49f8-921c-9bcf8e5531de","type":"WheelZoomTool"},{"id":"815f6ced-fca3-4005-aaef-d300b8fea742","type":"BoxZoomTool"},{"id":"6e42bd0f-3b9f-4016-a06f-dd9b9d0de635","type":"SaveTool"},{"id":"e79ed7ab-4999-4c51-a73c-02d09e5b63bd","type":"ResetTool"},{"id":"d28812b0-ce71-475a-aff5-3d31dba842a1","type":"HelpTool"}]},"id":"4a4e6c83-0614-4b3d-a80b-4be42eaa8307","type":"Toolbar"}],"root_ids":["44abd1fb-86b2-4c61-9db6-80a211b16219"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b5e03783-d843-44a1-8380-9985a10fc100","elementid":"50ecee93-da9b-4bf3-a965-48320b334083","modelid":"44abd1fb-86b2-4c61-9db6-80a211b16219"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
