(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b11cf9bc-807a-4eb0-a3dd-0d1251e8b946");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b11cf9bc-807a-4eb0-a3dd-0d1251e8b946' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"eb41b311-3f31-41df-8fac-9c10a0d1f252":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"76038cc6-ba91-40f4-ae0c-2bd6a8d888c1","type":"Patch"},{"attributes":{},"id":"fc23d0f9-0604-4435-9012-f77d3a247e8f","type":"HelpTool"},{"attributes":{},"id":"3080d5a1-3d54-4698-b41c-4d033a08af37","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"6daa32f1-cf3f-4b36-9716-75d715b3d586","type":"Title"},{"attributes":{"source":{"id":"ed23cd2f-3d64-4f6c-8939-b63d4042a657","type":"ColumnDataSource"}},"id":"f602ca95-df75-49f3-a723-04207ba4f611","type":"CDSView"},{"attributes":{"formatter":{"id":"95309e6e-1968-4cfa-b75f-c45e9e4a22b4","type":"BasicTickFormatter"},"plot":{"id":"e155d7c8-1d38-4fa2-a9a4-c7af455359f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0c114f1-fc4e-4297-8823-9599f6562d80","type":"BasicTicker"}},"id":"e893971e-b093-4f20-acc4-13c29bd371d1","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"18f080a9-0382-4f31-9292-ba64628d5a4b","type":"PanTool"},{"id":"fbd1962b-5caf-438f-b403-2f67fc0e2c10","type":"WheelZoomTool"},{"id":"b6bef73a-e234-413e-89ac-7a9b1b7bf338","type":"BoxZoomTool"},{"id":"c46257c7-78bc-4c8e-8585-6f4afe9213b7","type":"SaveTool"},{"id":"3080d5a1-3d54-4698-b41c-4d033a08af37","type":"ResetTool"},{"id":"fc23d0f9-0604-4435-9012-f77d3a247e8f","type":"HelpTool"}]},"id":"7ccb0cdc-7657-4f2a-8f53-08ccee4bb74e","type":"Toolbar"},{"attributes":{"formatter":{"id":"9443aa31-c4bd-4152-8db3-d8017f42409a","type":"BasicTickFormatter"},"plot":{"id":"e155d7c8-1d38-4fa2-a9a4-c7af455359f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b66414f-f2e6-49dd-a31e-6f6748cd7520","type":"BasicTicker"}},"id":"07b83290-717b-4a6a-b0b8-d8a71320e081","type":"LinearAxis"},{"attributes":{},"id":"b726bfaf-b786-463e-8ad9-0382be46e923","type":"LinearScale"},{"attributes":{},"id":"7b66414f-f2e6-49dd-a31e-6f6748cd7520","type":"BasicTicker"},{"attributes":{},"id":"95309e6e-1968-4cfa-b75f-c45e9e4a22b4","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"0a804be0-dd48-4cb4-bc02-c4cbf5dccf24","type":"BoxAnnotation"}},"id":"b6bef73a-e234-413e-89ac-7a9b1b7bf338","type":"BoxZoomTool"},{"attributes":{},"id":"f0c114f1-fc4e-4297-8823-9599f6562d80","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a5fbab74-7a94-4a0f-9a13-dab7025ba077","type":"DataRange1d"},{"attributes":{"callback":null},"id":"9e0f9ba5-5448-49d2-8a2c-f4d20757a291","type":"DataRange1d"},{"attributes":{},"id":"c46257c7-78bc-4c8e-8585-6f4afe9213b7","type":"SaveTool"},{"attributes":{},"id":"c1e80d0f-b26a-4a34-8da4-ad25e68ec3b3","type":"LinearScale"},{"attributes":{},"id":"18f080a9-0382-4f31-9292-ba64628d5a4b","type":"PanTool"},{"attributes":{},"id":"9443aa31-c4bd-4152-8db3-d8017f42409a","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"9a9fdbde-170e-41cf-850c-2e965feb9900","type":"Patch"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0a804be0-dd48-4cb4-bc02-c4cbf5dccf24","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5,6],"y":[6,7,5,"NaN",7,3,6]}},"id":"ed23cd2f-3d64-4f6c-8939-b63d4042a657","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"07b83290-717b-4a6a-b0b8-d8a71320e081","type":"LinearAxis"}],"left":[{"id":"e893971e-b093-4f20-acc4-13c29bd371d1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"07b83290-717b-4a6a-b0b8-d8a71320e081","type":"LinearAxis"},{"id":"1beb29c1-eaee-4eef-87da-041eabba3fdf","type":"Grid"},{"id":"e893971e-b093-4f20-acc4-13c29bd371d1","type":"LinearAxis"},{"id":"733deeb2-d886-4d80-882f-ee3ca267cdda","type":"Grid"},{"id":"0a804be0-dd48-4cb4-bc02-c4cbf5dccf24","type":"BoxAnnotation"},{"id":"b5eeed67-089d-49f3-b8a7-1acd6d18f95d","type":"GlyphRenderer"}],"title":{"id":"6daa32f1-cf3f-4b36-9716-75d715b3d586","type":"Title"},"toolbar":{"id":"7ccb0cdc-7657-4f2a-8f53-08ccee4bb74e","type":"Toolbar"},"x_range":{"id":"9e0f9ba5-5448-49d2-8a2c-f4d20757a291","type":"DataRange1d"},"x_scale":{"id":"c1e80d0f-b26a-4a34-8da4-ad25e68ec3b3","type":"LinearScale"},"y_range":{"id":"a5fbab74-7a94-4a0f-9a13-dab7025ba077","type":"DataRange1d"},"y_scale":{"id":"b726bfaf-b786-463e-8ad9-0382be46e923","type":"LinearScale"}},"id":"e155d7c8-1d38-4fa2-a9a4-c7af455359f9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"fbd1962b-5caf-438f-b403-2f67fc0e2c10","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"e155d7c8-1d38-4fa2-a9a4-c7af455359f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"7b66414f-f2e6-49dd-a31e-6f6748cd7520","type":"BasicTicker"}},"id":"1beb29c1-eaee-4eef-87da-041eabba3fdf","type":"Grid"},{"attributes":{"data_source":{"id":"ed23cd2f-3d64-4f6c-8939-b63d4042a657","type":"ColumnDataSource"},"glyph":{"id":"76038cc6-ba91-40f4-ae0c-2bd6a8d888c1","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9a9fdbde-170e-41cf-850c-2e965feb9900","type":"Patch"},"selection_glyph":null,"view":{"id":"f602ca95-df75-49f3-a723-04207ba4f611","type":"CDSView"}},"id":"b5eeed67-089d-49f3-b8a7-1acd6d18f95d","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"e155d7c8-1d38-4fa2-a9a4-c7af455359f9","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0c114f1-fc4e-4297-8823-9599f6562d80","type":"BasicTicker"}},"id":"733deeb2-d886-4d80-882f-ee3ca267cdda","type":"Grid"}],"root_ids":["e155d7c8-1d38-4fa2-a9a4-c7af455359f9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"eb41b311-3f31-41df-8fac-9c10a0d1f252","elementid":"b11cf9bc-807a-4eb0-a3dd-0d1251e8b946","modelid":"e155d7c8-1d38-4fa2-a9a4-c7af455359f9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
