(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cd592494-cd65-4efa-ac6f-57524d8915c8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cd592494-cd65-4efa-ac6f-57524d8915c8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d4cf598d-8cf3-466f-9767-da1c5091891b":{"roots":{"references":[{"attributes":{},"id":"ac3b9a70-9f86-4826-8834-b59cbaa1b43a","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5f76b3fa-0c78-4d26-8f3b-b9a732617a09","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"c64e4bef-8fb4-433f-a356-3f56dd8f6ea6","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f67846ea-4cd4-4e84-8456-5ca175755cff","type":"Circle"},{"attributes":{"below":[{"id":"56e57004-235b-4489-9882-6d8cf62bc826","type":"LinearAxis"}],"left":[{"id":"da90ca87-f3cb-43c5-90f6-aa0205dac7b1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"56e57004-235b-4489-9882-6d8cf62bc826","type":"LinearAxis"},{"id":"c5741edc-f454-4c30-a977-0a16a75f7e94","type":"Grid"},{"id":"da90ca87-f3cb-43c5-90f6-aa0205dac7b1","type":"LinearAxis"},{"id":"e62e210e-676e-490a-8524-25603b4d41d1","type":"Grid"},{"id":"5f76b3fa-0c78-4d26-8f3b-b9a732617a09","type":"BoxAnnotation"},{"id":"7be2eea7-a40a-42b0-bf68-8ebbc664bab9","type":"GlyphRenderer"}],"title":{"id":"0bfe4c30-8ba3-4964-9712-aeba5ee297ed","type":"Title"},"toolbar":{"id":"5778e2ac-d31a-457b-b881-f2a9ffb77ecb","type":"Toolbar"},"x_range":{"id":"90f4fd5a-c3a0-4211-909e-401dd0ea83b6","type":"DataRange1d"},"x_scale":{"id":"1927b916-bd90-45f4-9420-8e494d9b072d","type":"LinearScale"},"y_range":{"id":"c64e4bef-8fb4-433f-a356-3f56dd8f6ea6","type":"DataRange1d"},"y_scale":{"id":"178fb37b-33ab-40c1-b9a9-cf8939b75eb0","type":"LinearScale"}},"id":"8a155a06-3e10-4b79-afaf-09a190bdd51c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"178fb37b-33ab-40c1-b9a9-cf8939b75eb0","type":"LinearScale"},{"attributes":{"overlay":{"id":"5f76b3fa-0c78-4d26-8f3b-b9a732617a09","type":"BoxAnnotation"}},"id":"7d86c992-a6d4-42f5-9892-f1a6f000707c","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"7c6cb89a-44cb-4557-a09d-00ca3e9e038f","type":"BasicTickFormatter"},"plot":{"id":"8a155a06-3e10-4b79-afaf-09a190bdd51c","subtype":"Figure","type":"Plot"},"ticker":{"id":"485cbef4-3927-4a2f-bc01-6595d10f5c81","type":"BasicTicker"}},"id":"da90ca87-f3cb-43c5-90f6-aa0205dac7b1","type":"LinearAxis"},{"attributes":{},"id":"485cbef4-3927-4a2f-bc01-6595d10f5c81","type":"BasicTicker"},{"attributes":{},"id":"042d1a5a-436f-4c73-8ce7-95a632bb5d89","type":"ResetTool"},{"attributes":{"source":{"id":"a750be3c-614b-471b-bffc-f8a1522e6315","type":"ColumnDataSource"}},"id":"b9ccff29-e347-4969-a332-4b3c4d592cd1","type":"CDSView"},{"attributes":{"bounds":[2,4],"plot":{"id":"8a155a06-3e10-4b79-afaf-09a190bdd51c","subtype":"Figure","type":"Plot"},"ticker":{"id":"435c2c7a-60e8-4146-a079-caa7afd9c1bc","type":"BasicTicker"}},"id":"c5741edc-f454-4c30-a977-0a16a75f7e94","type":"Grid"},{"attributes":{},"id":"6abf1154-cd69-4a7c-a6e6-6c848d53d9a4","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"ac3b9a70-9f86-4826-8834-b59cbaa1b43a","type":"BasicTickFormatter"},"plot":{"id":"8a155a06-3e10-4b79-afaf-09a190bdd51c","subtype":"Figure","type":"Plot"},"ticker":{"id":"435c2c7a-60e8-4146-a079-caa7afd9c1bc","type":"BasicTicker"}},"id":"56e57004-235b-4489-9882-6d8cf62bc826","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0d638309-16c4-40fd-ab52-722fe0ae4b6f","type":"Circle"},{"attributes":{},"id":"b3c4e84c-b7c7-4806-8ad2-8780294c0901","type":"SaveTool"},{"attributes":{"bounds":[2,4],"dimension":1,"plot":{"id":"8a155a06-3e10-4b79-afaf-09a190bdd51c","subtype":"Figure","type":"Plot"},"ticker":{"id":"485cbef4-3927-4a2f-bc01-6595d10f5c81","type":"BasicTicker"}},"id":"e62e210e-676e-490a-8524-25603b4d41d1","type":"Grid"},{"attributes":{},"id":"435c2c7a-60e8-4146-a079-caa7afd9c1bc","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b5c57f02-645d-4fb7-a9db-ac192c4fa443","type":"PanTool"},{"id":"6abf1154-cd69-4a7c-a6e6-6c848d53d9a4","type":"WheelZoomTool"},{"id":"7d86c992-a6d4-42f5-9892-f1a6f000707c","type":"BoxZoomTool"},{"id":"b3c4e84c-b7c7-4806-8ad2-8780294c0901","type":"SaveTool"},{"id":"042d1a5a-436f-4c73-8ce7-95a632bb5d89","type":"ResetTool"},{"id":"9061edff-23ac-4928-bda2-bd7879dfdfe1","type":"HelpTool"}]},"id":"5778e2ac-d31a-457b-b881-f2a9ffb77ecb","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"a750be3c-614b-471b-bffc-f8a1522e6315","type":"ColumnDataSource"},{"attributes":{},"id":"9061edff-23ac-4928-bda2-bd7879dfdfe1","type":"HelpTool"},{"attributes":{},"id":"1927b916-bd90-45f4-9420-8e494d9b072d","type":"LinearScale"},{"attributes":{"callback":null},"id":"90f4fd5a-c3a0-4211-909e-401dd0ea83b6","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"0bfe4c30-8ba3-4964-9712-aeba5ee297ed","type":"Title"},{"attributes":{"data_source":{"id":"a750be3c-614b-471b-bffc-f8a1522e6315","type":"ColumnDataSource"},"glyph":{"id":"0d638309-16c4-40fd-ab52-722fe0ae4b6f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f67846ea-4cd4-4e84-8456-5ca175755cff","type":"Circle"},"selection_glyph":null,"view":{"id":"b9ccff29-e347-4969-a332-4b3c4d592cd1","type":"CDSView"}},"id":"7be2eea7-a40a-42b0-bf68-8ebbc664bab9","type":"GlyphRenderer"},{"attributes":{},"id":"7c6cb89a-44cb-4557-a09d-00ca3e9e038f","type":"BasicTickFormatter"},{"attributes":{},"id":"b5c57f02-645d-4fb7-a9db-ac192c4fa443","type":"PanTool"}],"root_ids":["8a155a06-3e10-4b79-afaf-09a190bdd51c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d4cf598d-8cf3-466f-9767-da1c5091891b","elementid":"cd592494-cd65-4efa-ac6f-57524d8915c8","modelid":"8a155a06-3e10-4b79-afaf-09a190bdd51c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
